diff -urN soojung-0.4.8/admin.php soojung/admin.php
--- soojung-0.4.8/admin.php	2005-04-27 23:05:26.000000000 +0900
+++ soojung/admin.php	2005-06-16 19:50:48.000000000 +0900
@@ -28,7 +28,8 @@
   }
   Soojung::writeConfigFile($_POST["blogname"], $_POST["desc"], $_POST["url"], $_POST["perpage"],
 		    $_POST["fancyurl"], $_POST["notify"], $_POST["adminname"], $_POST["email"],
-		    $password, $_POST["skin"], $_POST["license"]);
+		    $password, $_POST["skin"], $_POST["license"],
+		    $_POST["word"]);
   echo "<meta http-equiv='refresh' content='0;URL=index.php?compile=t'>";
   exit;
 }
@@ -87,7 +88,9 @@
 
 function logout_mode() {
   unset($_SESSION['auth']);
-  header("Location: admin.php");
+  setcookie(session_name(), '', 0, '/');
+  header("Location: index.php");
+  exit();
 }
 
 if (array_key_exists("mode", $_POST) and $_POST["mode"] == "login") {
@@ -99,6 +102,10 @@
 
 $template = new AdminTemplate;
 
+sajax_init();
+sajax_handle_client_request();
+$template->assign("sajax_functions", sajax_get_javascript());
+
 if (!isset($_SESSION["auth"])) {
   $template->display('login.tpl');
   exit();
@@ -130,6 +137,7 @@
   $template->assign("license", $entries_license);
   $template->assign("admin_name", $admin_name);
   $template->assign("admin_email", $admin_email);
+  $template->assign("spam_words", $spam_words);
   $template->assign("templates", Soojung::getTemplates());
   $template->assign("config_writable", is_writable("config.php"));
   $template->display('config.tpl');
@@ -157,14 +165,14 @@
   if ($page > 1) {
     $prev_link = "admin.php?mode=list&page=" . ($page - 1);
     if (isset($_GET["flag"])) {
-      $prev_link .= "&flag=" . $_GET["flag"];
+      $prev_link .= "&flag=" . urlencode($_GET["flag"]);
     }
     $template->assign('prev_page_link', $prev_link);
   }
   if ($count > $page * 10) {
     $next_link = "admin.php?mode=list&page=" . ($page + 1);
     if (isset($_GET["flag"])) {
-      $next_link .= "&flag=" . $_GET["flag"];
+      $next_link .= "&flag=" . urlencode($_GET["flag"]);
     }
     $template->assign('next_page_link', $next_link);
   }
diff -urN soojung-0.4.8/classes/Comment.class.php soojung/classes/Comment.class.php
--- soojung-0.4.8/classes/Comment.class.php	2005-03-27 21:46:40.000000000 +0900
+++ soojung/classes/Comment.class.php	2005-06-06 15:00:30.000000000 +0900
@@ -52,11 +52,19 @@
    * if $text is spam comment return true
    */ 
   function isSpam($text) {
-    $words = array("수신거부", "기적의 영문법", "소호 시스템", "섹시무비");
-    foreach ($words as $word) {
-      if (strpos($text, $word) != FALSE) {
+    global $spam_words;
+    $text = br2nl($text);
+
+    $words = split("(\r\n|\n)", $spam_words);
+    foreach($words as $word) {
+      $word = trim($word);
+      if($word != '')
+	$spam_word[] = "(?:" . $word. ")";
+    }
+    if($spam_word != '') {
+      $p = "@(" . implode("|", $spam_word) . ")@i";
+      if(preg_match($p, $text))
 	return true;
-      }
     }
     return false;
   }
diff -urN soojung-0.4.8/classes/Counter.class.php soojung/classes/Counter.class.php
--- soojung-0.4.8/classes/Counter.class.php	2005-03-30 11:29:04.000000000 +0900
+++ soojung/classes/Counter.class.php	2005-06-16 19:50:48.000000000 +0900
@@ -56,7 +56,7 @@
   }
 
   function isbot() {
-    return stristr($_SERVER['HTTP_USER_AGENT'], "googlebot");
+    return strstr($_SERVER['HTTP_USER_AGENT'], "bot");
   }
 
   function update() {
diff -urN soojung-0.4.8/classes/Entry.class.php soojung/classes/Entry.class.php
--- soojung-0.4.8/classes/Entry.class.php	2005-04-27 23:05:28.000000000 +0900
+++ soojung/classes/Entry.class.php	2005-06-16 19:50:48.000000000 +0900
@@ -51,11 +51,16 @@
     return in_array($option, $this->options);
   }
 
-  function getHref() {
+  function getHref($toShow=false) {
     global $blog_baseurl, $blog_fancyurl;
 
     if ($blog_fancyurl) {
-      $_category = preg_replace('/%2F/i','/',urlencode($this->category->name));
+      $_category ="";
+      if ($toShow) {
+	$_category = $this->category->name;
+      } else {
+	$_category = preg_replace('/%2F/i','/',urlencode($this->category->name));
+      }
       return $blog_baseurl . "/" . $_category . date("/Y/m/d/", $this->date) . $this->entryId . ".html";
     } else {
       return $blog_baseurl . '/entry.php?blogid=' . $this->entryId;
diff -urN soojung-0.4.8/classes/Formatter.class.php soojung/classes/Formatter.class.php
--- soojung-0.4.8/classes/Formatter.class.php	2005-03-23 09:23:46.000000000 +0900
+++ soojung/classes/Formatter.class.php	2005-06-11 11:10:49.000000000 +0900
@@ -123,16 +123,11 @@
   function toHtml($str) {
     $trans = array("\\\r\n"=>"", "\\\r"=>"", "\\\n"=>"");
     $text = "";
-    $spos = 0;
+	$spos = 0;
     while (($pos = @strpos($str, "<pre", $spos)) !== FALSE) {
       $text .= nl2br(strtr(trim(substr($str, $spos, $pos-$spos)), $trans));
-      $spos = strpos($str, "</pre>", $pos);
-      if ($spos === false) {
-	$str .= "</pre>";
-	$spos = strlen($str);
-      }
-      $spos += 6;
-      $text .= substr($str, $pos, $spos-$pos);
+	  $spos = strpos($str, "</pre>", $spos) + 6;
+	  $text .= substr($str, $pos, $spos-$pos);
     }
     $text .= nl2br(strtr(trim(substr($str, $spos)), $trans));
     return $text;
@@ -209,11 +204,11 @@
         'BBcodeFormatter::__listing("\1","\2")',
         'BBcodeFormatter::__escape("<a href=\\"\1\\">\1</a>")',
         'BBcodeFormatter::__escape("<a href=\\"\2\\">\3</a>")',
-        'BBcodeFormatter::__escape("<img src=\\"\1\\" width=\\"\\" height=\\"\\" alt=\\"\1\\\" class=\\"bbcode\\" />")',
-        'BBcodeFormatter::__escape("<img src=\\"\2\\" width=\\"\\" height=\\"\\" alt=\\"\3\\\" class=\\"bbcode\\" />")',
+        'BBcodeFormatter::__escape("<img src=\\"\1\\" alt=\\"\1\\\" />")',
+        'BBcodeFormatter::__escape("<img src=\\"\2\\" alt=\\"\3\\\" />")',
         'BBcodeFormatter::__escape("<a href=\\"mailto:\1\\">\1</a>")'),
       $rule2 = array(
-        '#http://(?:[-0-9a-z_.@:~\\#%=+?/]|&amp;)+#i',
+        '#(?<![\/~"\'])http://(?:[-0-9a-z_.@:~\\#%=+?/]|&amp;)+(?!(?:</a>|"|\'>))#i',
         '#[-0-9a-z_.]+@[-0-9a-z_.]+#i'),
       $repl2 = array(
         '<a href="\0">\0</a>',
@@ -242,11 +237,11 @@
         ":?:" => "icon_question.gif",
         ":?" => "icon_confused.gif"),
       $smiley = null;
-
+    global $blog_baseurl;
     if(is_null($smiley)) {
       $smiley = array();
       foreach($_smiley as $k => $v) {
-        $smiley[htmlspecialchars($k)] = '<img src="./libs/bbcode/smiles/'.$v.'" width="15" height="15" alt="'.htmlspecialchars($k).'" />';
+        $smiley[htmlspecialchars($k)] = '<img src="'.$blog_baseurl.'/libs/bbcode/smiles/'.$v.'" width="15" height="15" alt="'.htmlspecialchars($k).'" />';
       }
     }
 
@@ -301,27 +296,31 @@
 	$punct="<\'}\]\|;\.\!"; # , is omitted for the WikiPedia
     $url="wiki|http|https|ftp|nntp|news|irc|telnet|mailto|file|attachment";
     $urlrule="((?:$url):([^\s$punct]|(\.?[^\s$punct]))+)";
-    $baserule=array("/<([^\s<>])/","/`([^`' ]+)'/","/(?<!`)`([^`]*)`/",
-                     "/'''([^']*)'''/","/(?<!')'''(.*)'''(?!')/",
-                     "/''([^']*)''/","/(?<!')''(.*)''(?!')/",
-                     "/\^([^ \^]+)\^(?=\s|$)/","/\^\^([^\^]+)\^\^(?!^)/",
-                     "/(?<!,),,([^ ,]+),,(?!,)/",
-                     "/(?<!_)__([^_]+)__(?!_)/","/^(-{4,})/e",
-                     "/(?<!-)--[^\s]([^-]+)[^\s]--(?!-)/",
-		     "/\[\[BR\]\]/",
-		     "/\[\[HTML\(&lt;(.*)\)\]\]/",
-                     );
-    $baserepl=array("&lt;\\1","&#96;\\1'","<tt class='wiki'>\\1</tt>",
-                     "<b>\\1</b>","<b>\\1</b>",
-                     "<i>\\1</i>","<i>\\1</i>",
-                     "<sup>\\1</sup>","<sup>\\1</sup>",
-                     "<sub>\\1</sub>",
-                     "<u>\\1</u>",
-                     "<div class='separator'><hr class='wiki' /></div>\n",
-                     "<del>\\1</del>",
-		     "<br />",
-		     "<\\1",
-                     );
+    $baserule=array("/<([^\s<>])/","/`([^`' ]+)'/",
+					"/(?<!`)`([^`]*)`/",
+                    "/'''([^']*)'''/","/(?<!')'''(.*)'''(?!')/",
+                    "/''([^']*)''/","/(?<!')''(.*)''(?!')/",
+                    "/\^([^ \^]+)\^(?=\s|$)/","/\^\^([^\^]+)\^\^(?!^)/",
+                    "/(?<!,),,([^ ,]+),,(?!,)/",
+                    "/(?<!_)__([^_]+)__(?!_)/",
+					//"/^(-{4,})/e",
+                    "/(?<!-)--[^\s]([^-]+)[^\s]--(?!-)/",
+				    "/\[\[BR\]\]/",
+				    "/\[\[HTML\(&lt;(.*)\)\]\]/",
+                    );
+    $baserepl=array("&lt;\\1","&#96;\\1'",
+					"<tt class='wiki'>\\1</tt>",
+                    "<b>\\1</b>","<b>\\1</b>",
+                    "<i>\\1</i>","<i>\\1</i>",
+                    "<sup>\\1</sup>","<sup>\\1</sup>",
+                    "<sub>\\1</sub>",
+                    "<u>\\1</u>",
+                    //"<div class='separator'><hr class='wiki' /></div>",
+					//"<u>\\1</u>",
+                    "<del>\\1</del>",
+				    "<br />",
+				    "<\\1",
+                    );
 
     # NoSmoke's MultiLineCell hack
     $extrarule=array("/{{\|/","/\|}}/");
@@ -348,15 +347,17 @@
 
     foreach ($lines as $line) {
       # empty line
-      if (strlen($line) == 1) {
+	  $line = trim($line);
+      if (strlen($line) == 0) {
         if ($in_pre) { $pre_line.="\n";continue;}
         if ($in_li) { $text.="<br />\n";$li_empty=1; continue;}
         if ($in_table) {
           $text.="</table>"."<br />\n";$in_table=0; continue;
         } else {
           #if ($in_p) { $text.="</div><br />\n"; $in_p='';}
-          if ($in_p) { $text.=$this->_div(0,&$in_div)."<br />\n"; $in_p='';}
-          else if ($in_p=='') { $text.="<br />\n";}
+          //if ($in_p) { $text.=$this->_div(0,&$in_div)."<br />\n"; $in_p='';}
+          //else if ($in_p=='') { $text.="<br />\n";}
+		  $text.="<br /><br />\n";
           continue;
         }
       }
@@ -426,7 +427,15 @@
            } elseif (preg_match("/^((\d+|[aAiI])\.)(#\d+)?\s/",$line,$limatch)){
              $line=preg_replace("/^((\d+|[aAiI])\.(#\d+)?)/","<li>",$line);
              if ($indent_list[$in_li] == $indlen) $line="</li>\n".$line;
-             $numtype=$limatch[2][0];
+             //$numtype=$limatch[2][0];
+			 switch($limatch[2][0]) {
+				case "A": $numtype = "class=\"list-ualpha\""; break;
+			    case "a": $numtype = "class=\"list-lalpha\""; break;
+				case "1": $numtype = "class=\"list-decimal\""; break;
+				case "I": $numtype = "class=\"list-uroman\""; break;
+				case "i": $numtype = "class=\"list-lroman\""; break;
+				default: $numtype = "";
+			 }
              if ($limatch[3])
                $numtype.=substr($limatch[3],1);
              $indtype="ol";
@@ -457,18 +466,17 @@
          if ($indent_list[$in_li] <= $indlen || $limatch) $li_open=$in_li;
          else $li_open=0;
       }
-
       if (!$in_pre && $line[0]=='|' && !$in_table && preg_match("/^((\|\|)+)(&lt;[^>]+>)?.*\|\|$/",$line,$match)) {
-		 $open.="<table class='wiki' cellpadding='3' cellspacing='2' substr($match[3],4,-1)>\n";
+		 $open.=$this->_table(1,$match[3]);
          $line=preg_replace('/^((\|\|)+)(&lt;[^>]+>)?/','\\1',$line);
          $in_table=1;
       } elseif ($in_table && $line[0]!='|' && !preg_match("/^\|\|.*\|\|$/",$line)){
-         $close="</table>".$close;
+         $close=$this->_table(0).$close;
          $in_table=0;
       }
       if ($in_table) {
-         $line=preg_replace('/^((?:\|\|)+(&lt;[^>]+>)?)((\s?)(.*))\|\|$/e',"'<tr class=\"wiki\"><td class=\"wiki\" '.\_table_span('\\1','\\4').'>\\3</td></tr>'",$line);
-         $line=preg_replace('/((\|\|)+(&lt;[^>]+>)?)(\s?)/e',"'</td><td class=\"wiki\" '.\_table_span('\\1','\\4').'>\\4'",$line);
+         $line=preg_replace('/^((?:\|\|)+(&lt;[^>]+>)?)((\s?)(.*))\|\|$/e',"'<tr class=\"wiki\"><td class=\"wiki\" '.\$this->_table_span('\\1','\\4').'>\\3</td></tr>'",$line);
+         $line=preg_replace('/((\|\|)+(&lt;[^>]+>)?)(\s?)/e',"'</td><td class=\"wiki\" '.\$this->_table_span('\\1','\\4').'>\\4'",$line);
          $line=str_replace('\"','"',$line); # revert \\" to \"
       }
 
@@ -559,10 +567,10 @@
 
     if ($on) {
       if ($numtype) {
-        $start=substr($numtype,1);
+        //$start=substr($numtype,1);
         if ($start)
-          return "<$list_type type='$numtype[0]' start='$start'>";
-        return "<$list_type type='$numtype[0]'>";
+          return "<$list_type $numtype start='$start'>";
+        return "<$list_type $numtype>";
       }
       return "$close$open<$list_type>\n";
     } else {
@@ -570,6 +578,15 @@
     }
   }
 
+  function _table($on,$attr='') {
+    if ($attr) {
+      $attr=substr($attr,4,-1);
+    }
+    if ($on)
+      return "<table class='wiki' cellpadding='3' cellspacing='2' $attr>\n";
+    return "</table>\n";
+  }
+
   function _table_span($str,$align='') {
     $tok=strtok($str,'&');
     $len=strlen($tok)/2;
@@ -665,7 +682,7 @@
     case '{':
       $url=substr($url,3,-3);
       if ($url[0]=='#' and ($p=strpos($url,' '))) {
-	$col=strtok($url,' '); $url=strtok(' ');
+	$col=strtok($url,' '); $url=strtok('');
 	if (!preg_match('/^#[0-9a-f]{6}$/',$col)) $col=substr($col,1);
 	return "<font color='$col'>$url</font>";
       }
@@ -694,7 +711,7 @@
 	  return "<img src='$blog_baseurl"."/contents/upload/"."$url' alt='$url' />";
 	} else {
 	  $url = preg_replace("/attachment([a-zA-Z0-9:\/]*)\:/", "", $url);
-	  return "<a href='$blog_baseurl"."/contents/upload/"."$url' />";
+	  return "<a href='$blog_baseurl"."/contents/upload/"."$url'>$url</a>";
 	}
 
       if ($url[0] == '^') {
diff -urN soojung-0.4.8/classes/Soojung.class.php soojung/classes/Soojung.class.php
--- soojung-0.4.8/classes/Soojung.class.php	2005-03-23 09:23:46.000000000 +0900
+++ soojung/classes/Soojung.class.php	2005-05-20 02:18:45.000000000 +0900
@@ -150,7 +150,8 @@
    * static method
    */
   function writeConfigFile($blogname, $blogdesc, $blogurl, $perpage, $blogfancyurl, $blognotify,
-			     $adminname, $adminemail, $adminpassword, $skin = "simple", $license = "none") {
+			     $adminname, $adminemail, $adminpassword, $skin = "simple", $license = "none",
+			     $words="수신거부\n기적의 영문법") {
     $fd = fopen("config.php", "w");
     fwrite($fd, "<?php\n");
     fwrite($fd, '$blog_name="' . $blogname . "\";\n");
@@ -177,6 +178,7 @@
       fwrite($fd, '$admin_password="' . $adminpassword . "\";\n");
     }
     fwrite($fd, '$entries_license="' . $license . "\";\n");
+    fwrite($fd, '$spam_words="' . $words . "\";\n");
     fwrite($fd, "?>");
     fclose($fd);
   }
diff -urN soojung-0.4.8/classes/Trackback.class.php soojung/classes/Trackback.class.php
--- soojung-0.4.8/classes/Trackback.class.php	2005-03-30 21:29:29.000000000 +0900
+++ soojung/classes/Trackback.class.php	2005-05-21 04:20:27.000000000 +0900
@@ -43,7 +43,7 @@
     fgets($fd, 1024);
     fgets($fd, 1024);
     fgets($fd, 1024);
-    $excerpt = fread($fd, filesize($this->filename));
+    $excerpt = strip_tags(fread($fd, filesize($this->filename)));
     fclose($fd);
     return $excerpt;
   }
@@ -133,11 +133,11 @@
       $tb_title = rawurlencode('title');
     }
 
-    $tb_excerpt = $entry->getBody();
-
+    $tb_excerpt = strip_tags($entry->getBody());
     if (strlen ($tb_excerpt) > 255) {
       $tb_excerpt = substring($tb_excerpt,252);
     }
+
     $tb_excerpt = rawurlencode(iconv("UTF-8", $encoding, $tb_excerpt));
 
     if (isset($blog_name)) {
diff -urN soojung-0.4.8/entry.php soojung/entry.php
--- soojung-0.4.8/entry.php	2005-03-11 22:03:46.000000000 +0900
+++ soojung/entry.php	2005-06-16 19:50:48.000000000 +0900
@@ -1,7 +1,9 @@
 <?php
-
 include_once("settings.php");
 
+$counter = new Counter();
+$counter->update();
+
 if (isset($_POST["blogid"])) {
   $blogid = $_POST["blogid"];
   $name = $_POST["name"];
diff -urN soojung-0.4.8/index.php soojung/index.php
--- soojung-0.4.8/index.php	2005-02-12 22:52:45.000000000 +0900
+++ soojung/index.php	2005-06-16 19:50:48.000000000 +0900
@@ -1,6 +1,9 @@
 <?php
 include_once("settings.php");
 
+$counter = new Counter();
+$counter->update();
+
 if (isset($_GET["page"])) {
   $page = $_GET["page"];
 } else {
Binary files soojung-0.4.8/libs/fckeditor/editor/css/behaviors/anchor.gif and soojung/libs/fckeditor/editor/css/behaviors/anchor.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/css/behaviors/anchors.htc soojung/libs/fckeditor/editor/css/behaviors/anchors.htc
--- soojung-0.4.8/libs/fckeditor/editor/css/behaviors/anchors.htc	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/css/behaviors/anchors.htc	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1,22 @@
+<public:component lightweight="true">
+
+<public:attach event="oncontentready" onevent="ShowIcon()" />
+
+<script language="javascript">
+
+var bIsAnchor = this.name.length > 0 && this.getAttribute('href').length == 0 ;
+
+function ShowIcon()
+{
+	if ( bIsAnchor ) 
+	{
+		this.runtimeStyle.paddingLeft		= '16px' ;
+		this.runtimeStyle.backgroundImage	= 'url(' + window.parent.FCKConfig.FullBasePath + 'css/behaviors/anchor.gif)' ;
+		this.runtimeStyle.backgroundRepeat	= 'no-repeat' ;
+		this.runtimeStyle.cursor = 'hand' ;
+	}
+}
+
+</script>
+
+</public:component>
Binary files soojung-0.4.8/libs/fckeditor/editor/css/behaviors/hiddenfield.gif and soojung/libs/fckeditor/editor/css/behaviors/hiddenfield.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/css/behaviors/hiddenfield.htc soojung/libs/fckeditor/editor/css/behaviors/hiddenfield.htc
--- soojung-0.4.8/libs/fckeditor/editor/css/behaviors/hiddenfield.htc	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/css/behaviors/hiddenfield.htc	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1,30 @@
+<public:component lightweight="true">
+
+<public:attach event="oncontentready" onevent="ShowField()" />
+<public:attach event="ondoubleclick" onevent="EditField()" />
+
+<script language="javascript">
+
+var bIsHiddenField = this.type == 'hidden' ;
+
+function ShowField()
+{
+	if ( bIsHiddenField ) 
+	{
+		this.runtimeStyle.width				= '20px' ;
+		this.runtimeStyle.height			= '20px' ;
+		this.runtimeStyle.border			= '1px dotted #FF0000' ;
+		this.runtimeStyle.backgroundImage	= 'url(css/behaviors/hiddenfield.gif)' ;
+		this.runtimeStyle.fontSize			= '99px' ;
+	}
+}
+
+function EditField()
+{
+	if ( bIsHiddenField ) 
+		alert( this.outerHTML ) ;
+}
+
+</script>
+
+</public:component>
diff -urN soojung-0.4.8/libs/fckeditor/editor/css/behaviors/moz-bindings.xml soojung/libs/fckeditor/editor/css/behaviors/moz-bindings.xml
--- soojung-0.4.8/libs/fckeditor/editor/css/behaviors/moz-bindings.xml	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/css/behaviors/moz-bindings.xml	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1,59 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<bindings xmlns="http://www.mozilla.org/xbl">
+	<binding id="showtableborders">
+		<implementation>
+			<constructor>
+				this.CheckShowBorders() ;
+			</constructor>
+			<method name="CheckShowBorders">
+				<body>
+					var oClassRegex = /\s*FCK__ShowTableBorders\s*/ ;
+
+					if ( this.border == 0 )
+					{
+						if ( !oClassRegex.test( this.className ) )
+							this.className += ' FCK__ShowTableBorders' ;
+					}
+					else
+					{
+						if ( oClassRegex.test( this.className ) )
+							this.className = this.className.replace( oClassRegex, '' ) ;
+					}
+			   </body>
+			</method>
+		</implementation>
+		<handlers>
+			<handler event="DOMAttrModified">
+				this.CheckShowBorders() ;
+			</handler>
+		</handlers>
+	</binding>
+	<binding id="anchors">
+		<implementation>
+			<constructor>
+				<![CDATA[
+				this.IsAnchor = ( this.name != null && this.name.length > 0 && ( this.getAttribute('href') == null || this.getAttribute('href').length == 0 ) ) ;
+				this.ShowIcon() ;
+				]]>
+			</constructor>
+			<method name="ShowIcon">
+				<body>
+					if ( this.IsAnchor ) 
+					{
+						this.style.height = '1px' ;
+						this.style.paddingLeft		= '16px' ;
+						this.style.backgroundImage	= 'url(behaviors/anchor.gif)' ;
+						this.style.backgroundRepeat	= 'no-repeat' ;
+						this.style.cursor = 'pointer' ;
+					}
+			   </body>
+			</method>
+		</implementation>
+		<handlers>
+			<handler event="click">
+				if ( this.IsAnchor ) 
+					alert( this.IsAnchor ) ;
+			</handler>
+		</handlers>
+	</binding>
+</bindings>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/css/behaviors/showtableborders.htc soojung/libs/fckeditor/editor/css/behaviors/showtableborders.htc
--- soojung-0.4.8/libs/fckeditor/editor/css/behaviors/showtableborders.htc	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/css/behaviors/showtableborders.htc	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1,36 @@
+<public:component lightweight="true">
+
+<public:attach event="oncontentready" onevent="ShowBorders()" />
+<public:attach event="onpropertychange" onevent="OnPropertyChange()" />
+
+<script language="javascript">
+var oClassRegex = /\s*FCK__ShowTableBorders\s*/ ;
+var FCKConfig = window.parent.FCKConfig ;
+
+function ShowBorders()
+{
+	if ( this.border == 0 && FCKConfig.ShowBorders )
+	{
+		if ( !oClassRegex.test( this.className ) )
+			this.className += ' FCK__ShowTableBorders' ;
+	}
+	else
+	{
+		if ( oClassRegex.test( this.className ) )
+		{
+			this.className = this.className.replace( oClassRegex, '' ) ;
+			if ( this.className.length == 0 )
+				this.removeAttribute( 'className', 0 ) ;
+		}
+	}
+}
+
+function OnPropertyChange()
+{
+	if ( FCKConfig.ShowBorders && ( event.propertyName == 'border' || event.propertyName == 'className' ) )
+		ShowBorders() ;
+}
+
+</script>
+
+</public:component>
diff -urN soojung-0.4.8/libs/fckeditor/editor/css/fck_editorarea.css soojung/libs/fckeditor/editor/css/fck_editorarea.css
--- soojung-0.4.8/libs/fckeditor/editor/css/fck_editorarea.css	2004-12-27 20:50:33.000000000 +0900
+++ soojung/libs/fckeditor/editor/css/fck_editorarea.css	2005-06-11 10:29:14.000000000 +0900
@@ -1,34 +1,53 @@
 /*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_editorarea.css
- * 	This is the default CSS file used by the editor area. It defines the
- * 	initial font of the editor and background color.
- * 
- * 	A user can configure the editor to use another CSS file. Just change
- * 	the value of the FCKConfig.EditorAreaCSS key in the configuration
- * 	file.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:51
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_editorarea.css
+ * 	This is the default CSS file used by the editor area. It defines the
+ * 	initial font of the editor and background color.
+ * 
+ * 	A user can configure the editor to use another CSS file. Just change
+ * 	the value of the FCKConfig.EditorAreaCSS key in the configuration
+ * 	file.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-body
-{
-	font-family: Arial, Verdana, Sans-Serif;
-	font-size: 12px;
-	padding: 5px 5px 5px 5px;
-	margin: 0px;
-	border-style: none;
-	background-color: #ffffff;
-}
+ */
+
+body
+{
+	font-family: Arial, Verdana, Sans-Serif;
+	font-size: 12px;
+	padding: 5px 5px 5px 5px;
+	margin: 0px;
+	border-style: none;
+	background-color: #ffffff;
+}
+
+.Bold
+{
+	font-weight: bold;
+}
+
+.Title
+{
+	font-weight: bold;
+	font-size: 18px;
+	color: #cc3300;
+}
+
+.Code
+{
+	border: #8b4513 1px solid;
+	padding-right: 5px;
+	padding-left: 5px;
+	color: #000066;
+	font-family: 'Courier New' , Monospace;
+	background-color: #ff9933;
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/css/fck_internal.css soojung/libs/fckeditor/editor/css/fck_internal.css
--- soojung-0.4.8/libs/fckeditor/editor/css/fck_internal.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/css/fck_internal.css	2005-06-11 10:27:27.000000000 +0900
@@ -0,0 +1,10 @@
+TABLE.FCK__ShowTableBorders, TABLE.FCK__ShowTableBorders TD
+{
+	border: #d3d3d3 1px solid ;
+}
+
+FORM
+{
+	border: 1px dotted #FF0000;
+	padding: 2px ;
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/common/fck_dialog_common.css soojung/libs/fckeditor/editor/dialog/common/fck_dialog_common.css
--- soojung-0.4.8/libs/fckeditor/editor/dialog/common/fck_dialog_common.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/common/fck_dialog_common.css	2005-06-11 10:27:25.000000000 +0900
@@ -0,0 +1,63 @@
+/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_dialog_common.css
+ * 	This is the CSS file used for interface details in some dialog
+ * 	windows.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+.ImagePreviewArea
+{
+	border: #000000 1px solid;
+	padding: 5px;
+	overflow: auto;
+	width: 100%;
+	height: 170px;
+	background-color: #ffffff;
+}
+
+.BtnReset
+{
+	float: left;
+	background-position: center center;
+	background-image: url(images/reset.gif);
+	width: 16px;
+	height: 16px;
+	background-repeat: no-repeat;
+	border: 1px none;
+	font-size: 1px ;
+}
+
+.BtnLocked, .BtnUnlocked
+{
+	float: left;
+	background-position: center center;
+	background-image: url(images/locked.gif);
+	width: 16px;
+	height: 16px;
+	background-repeat: no-repeat;
+	border: 1px none;
+	font-size: 1px ;
+}
+
+.BtnUnlocked
+{
+	background-image: url(images/unlocked.gif);
+}
+
+.BtnOver
+{
+	border: 1px outset;
+	cursor: pointer;
+	cursor: hand;
+}
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/common/fck_dialog_common.js soojung/libs/fckeditor/editor/dialog/common/fck_dialog_common.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/common/fck_dialog_common.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/common/fck_dialog_common.js	2005-06-11 10:27:25.000000000 +0900
@@ -0,0 +1,89 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_dialog_common.js
+ * 	Useful functions used by almost all dialog window pages.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+// Gets a element by its Id. Used for shorter coding.
+function GetE( elementId )
+{
+	return document.getElementById( elementId )  ;
+}
+
+function ShowE( element, isVisible )
+{
+	if ( typeof( element ) == 'string' )
+		element = GetE( element ) ;
+	element.style.display = isVisible ? '' : 'none' ;
+}
+
+function SetAttribute( element, attName, attValue )
+{
+	if ( attValue == null || attValue.length == 0 )
+		element.removeAttribute( attName, 0 ) ;			// 0 : Case Insensitive
+	else
+		element.setAttribute( attName, attValue, 0 ) ;	// 0 : Case Insensitive
+}
+
+function GetAttribute( element, attName, valueIfNull )
+{
+	var oAtt = element.attributes[attName] ;
+
+	if ( oAtt == null || !oAtt.specified )
+		return valueIfNull ? valueIfNull : '' ;
+
+	var oValue = element.getAttribute( attName, 2 ) ;
+
+	return ( oValue == null ? valueIfNull : oValue ) ;
+}
+
+// Functions used by text fiels to accept numbers only.
+function IsDigit( e )
+{
+	e = e || event ;
+	var iCode = ( e.keyCode || e.charCode ) ;
+
+	event.returnValue =
+		(
+			( iCode >= 48 && iCode <= 57 )		// Numbers
+			|| (iCode >= 37 && iCode <= 40)		// Arrows
+			|| iCode == 8						// Backspace
+			|| iCode == 46						// Delete
+		) ;
+
+	return event.returnValue ;
+}
+
+String.prototype.trim = function()
+{
+	return this.replace( /(^\s*)|(\s*$)/g, '' ) ;
+}
+
+String.prototype.startsWith = function( value )
+{
+	return ( this.substr( 0, value.length ) == value ) ;
+}
+
+String.prototype.remove = function( start, length )
+{
+	var s = '' ;
+
+	if ( start > 0 )
+		s = this.substring( 0, start ) ;
+
+	if ( start + length < this.length )
+		s += this.substring( start + length , this.length ) ;
+
+	return s ;
+}
\ No newline at end of file
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/common/images/locked.gif and soojung/libs/fckeditor/editor/dialog/common/images/locked.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/common/images/reset.gif and soojung/libs/fckeditor/editor/dialog/common/images/reset.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/common/images/unlocked.gif and soojung/libs/fckeditor/editor/dialog/common/images/unlocked.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/css/common.css soojung/libs/fckeditor/editor/dialog/css/common.css
--- soojung-0.4.8/libs/fckeditor/editor/dialog/css/common.css	2004-12-27 20:50:28.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/css/common.css	1970-01-01 09:00:00.000000000 +0900
@@ -1,45 +0,0 @@
-.ImagePreviewArea
-{
-	border: #000000 1px solid;
-	padding: 5px;
-	overflow: auto;
-	width: 100%;
-	height: 170px;
-	background-color: #ffffff;
-}
-
-.BtnReset
-{
-	float: left;
-	background-position: center center;
-	background-image: url(../images/reset.gif);
-	width: 16px;
-	height: 16px;
-	background-repeat: no-repeat;
-	border: 1px none;
-	font-size: 1px ;
-}
-
-.BtnLocked, .BtnUnlocked
-{
-	float: left;
-	background-position: center center;
-	background-image: url(../images/locked.gif);
-	width: 16px;
-	height: 16px;
-	background-repeat: no-repeat;
-	border: 1px none;
-	font-size: 1px ;
-}
-
-.BtnUnlocked
-{
-	background-image: url(../images/unlocked.gif);
-}
-
-.BtnOver
-{
-	border: 1px outset;
-	cursor: pointer;
-	cursor: hand;
-}
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/fck_about/logo_fckeditor.gif and soojung/libs/fckeditor/editor/dialog/fck_about/logo_fckeditor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/fck_about/logo_fredck.gif and soojung/libs/fckeditor/editor/dialog/fck_about/logo_fredck.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_about.html soojung/libs/fckeditor/editor/dialog/fck_about.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_about.html	2004-12-27 20:50:22.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_about.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,94 +1,124 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"> <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_about.html
- * 	About dialog window.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:51
- * 
- * File Authors:
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_about.html
+ * 	"About" dialog window.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<html>
-	<head>
-		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
-		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-		<meta name="robots" content="noindex, nofollow">
-		<script language="javascript">
-<!--
-var oEditor = window.parent.InnerDialogLoaded() ;
-
-// Set the language direction.
-window.document.dir = oEditor.FCKLang.Dir ;
-
-// Set the Skin CSS.
-document.write( '<link href="' + oEditor.FCKConfig.SkinPath + 'fck_dialog.css" type="text/css" rel="stylesheet">' ) ;
-
-function SendEMail()
-{
-	var eMail = 'mailto:' ;
-	eMail += 'fredck' ;
-	eMail += '@' ;
-	eMail += 'fckeditor' ;
-	eMail += '.' ;
-	eMail += 'net' ;
-	
-	window.location = eMail ;
-}
-
-window.onload = function()
-{
-	// Translate the dialog box texts.
-	oEditor.FCKLanguageManager.TranslatePage(document) ;
-}
-
-//-->
-		</script>
-	</head>
-	<body scroll="no">
-		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
-			<tr>
-				<td>
-					<img alt="" src="images/logo_fckeditor.gif" width="236" height="41" align="left">
-					<table width="80" border="0" cellspacing="0" cellpadding="5" bgcolor="#ffffff" align="right">
-						<tr>
-							<td align="center" style="BORDER-RIGHT: #000000 1px solid; BORDER-TOP: #000000 1px solid; BORDER-LEFT: #000000 1px solid; BORDER-BOTTOM: #000000 1px solid">
-								<span fckLang="DlgAboutVersion">version</span>
-								<br>
-								<b>2.0 Beta 2</b></td>
-						</tr>
-					</table>
-				</td>
-			</tr>
-			<tr height="100%">
-				<td align="center">
-					Copyright (C) 2003-2004 <a href="#" onclick="SendEMail();">Frederico Caldeira 
-						Knabben</a>
-					<br>
-					<br>
-					<span fckLang="DlgAboutLicense">Licensed under the terms of the GNU Lesser General 
-						Public License</span>
-					<br>
-					<a href="http://www.opensource.org/licenses/lgpl-license.php" target="_blank">http://www.opensource.org/licenses/lgpl-license.php</a>
-					<br>
-					<br>
-					<span fckLang="DlgAboutInfo">For further information go to</span> <a href="http://www.fckeditor.net/" target="_blank">
-						http://www.fckeditor.net/</a>.
-				</td>
-			</tr>
-			<tr>
-				<td align="center">
-					<img alt="" src="images/logo_fredck.gif" width="87" height="36">
-				</td>
-			</tr>
-		</table>
-	</body>
-</html>
+-->
+<html>
+	<head>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta name="robots" content="noindex, nofollow">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script language="javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+var FCKLang	= oEditor.FCKLang ;
+
+window.parent.AddTab( 'About', FCKLang.DlgAboutAboutTab ) ;
+window.parent.AddTab( 'BrowserInfo', FCKLang.DlgAboutBrowserInfoTab ) ;
+
+// Function called when a dialog tag is selected.
+function OnDialogTabChange( tabCode )
+{
+	ShowE('divAbout', ( tabCode == 'About' ) ) ;
+	ShowE('divInfo'	, ( tabCode == 'BrowserInfo' ) ) ;
+}
+
+function SendEMail()
+{
+	var eMail = 'mailto:' ;
+	eMail += 'fredck' ;
+	eMail += '@' ;
+	eMail += 'fckeditor' ;
+	eMail += '.' ;
+	eMail += 'net' ;
+
+	window.location = eMail ;
+}
+
+window.onload = function()
+{
+	// Translate the dialog box texts.
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	window.parent.SetAutoSize( true ) ;
+}
+
+		</script>
+	</head>
+	<body scroll="no" style="OVERFLOW: hidden">
+		<div id="divAbout">
+			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
+				<tr>
+					<td>
+						<img alt="" src="fck_about/logo_fckeditor.gif" width="236" height="41" align="left">
+						<table width="80" border="0" cellspacing="0" cellpadding="5" bgcolor="#ffffff" align="right">
+							<tr>
+								<td align="center" style="BORDER-RIGHT: #000000 1px solid; BORDER-TOP: #000000 1px solid; BORDER-LEFT: #000000 1px solid; BORDER-BOTTOM: #000000 1px solid">
+									<span fckLang="DlgAboutVersion">version</span>
+									<br>
+									<b>2.0 FC</b></td>
+							</tr>
+						</table>
+					</td>
+				</tr>
+				<tr height="100%">
+					<td align="center">
+						Copyright &copy; 2003-2005 <a href="#" onclick="SendEMail();">Frederico Caldeira 
+							Knabben</a>
+						<br>
+						<br>
+						<span fckLang="DlgAboutLicense">Licensed under the terms of the GNU Lesser General 
+							Public License</span>
+						<br>
+						<a href="http://www.opensource.org/licenses/lgpl-license.php" target="_blank">http://www.opensource.org/licenses/lgpl-license.php</a>
+						<br>
+						<br>
+						<span fckLang="DlgAboutInfo">For further information go to</span> <a href="http://www.fckeditor.net/" target="_blank">
+							http://www.fckeditor.net/</a>.
+					</td>
+				</tr>
+				<tr>
+					<td align="center">
+						<img alt="" src="fck_about/logo_fredck.gif" width="87" height="36">
+					</td>
+				</tr>
+			</table>
+		</div>
+		<div id="divInfo" style="DISPLAY: none" dir="ltr">
+			<table align="center" width="80%" border="0">
+				<tr>
+					<td>
+						<script language="javascript">
+<!--
+document.write( '<b>User Agent</b><br>' + window.navigator.userAgent + '<br><br>' ) ;
+document.write( '<b>Browser</b><br>' + window.navigator.appName + ' ' + window.navigator.appVersion + '<br><br>' ) ;
+document.write( '<b>Platform</b><br>' + window.navigator.platform + '<br><br>' ) ;
+
+var sUserLang = '?' ;
+
+if ( window.navigator.language )
+	sUserLang = window.navigator.language.toLowerCase() ;
+else if ( window.navigator.userLanguage )
+	sUserLang = window.navigator.userLanguage.toLowerCase() ;
+
+document.write( '<b>User Language</b><br>' + sUserLang ) ;
+//-->
+						</script>
+					</td>
+				</tr>
+			</table>
+		</div>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_anchor.html soojung/libs/fckeditor/editor/dialog/fck_anchor.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_anchor.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_anchor.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,76 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_anchor.html
+ * 	Anchor dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Anchor Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+var oActiveEl = oEditor.FCKSelection.GetSelectedElement() ;
+
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	if ( oActiveEl && oActiveEl.tagName == 'A' && oActiveEl.name.length > 0 && oActiveEl.getAttribute('href').length == 0 )
+		GetE('txtName').value = oActiveEl.name ;
+	else
+		oActiveEl = null ;
+
+	window.parent.SetOkButton( true ) ;
+}
+
+function Ok()
+{
+	if ( GetE('txtName').value.length == 0 )
+	{
+		alert( oEditor.FCKLang.DlgAnchorErrorName ) ;
+		return false ;
+	}
+
+	oEditor.FCK.InsertHtml( '<a name="' + GetE('txtName').value + '"><\/a>' ) ;
+	return true ;
+}
+
+		</script>
+	</head>
+	<body style="OVERFLOW: hidden" scroll="no">
+		<table height="100%" width="100%">
+			<tr>
+				<td align="center">
+					<table border="0" cellpadding="0" cellspacing="0" width="80%">
+						<tr>
+							<td>
+								<span fckLang="DlgAnchorName">Anchor Name</span><BR>
+								<input id="txtName" style="WIDTH: 100%" type="text">
+							</td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_button.html soojung/libs/fckeditor/editor/dialog/fck_button.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_button.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_button.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,101 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_button.html
+ * 	Button dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Button Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+var oActiveEl = oEditor.FCKSelection.GetSelectedElement() ;
+
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	if ( oActiveEl && oActiveEl.tagName.toUpperCase() == "INPUT" && ( oActiveEl.type == "button" || oActiveEl.type == "submit" || oActiveEl.type == "reset" ) )
+	{
+		GetE('txtName').value	= oActiveEl.name ;
+		GetE('txtValue').value	= oActiveEl.value ;
+		GetE('txtType').value	= oActiveEl.type ;
+
+		GetE('txtType').disabled = true ;
+	}
+	else
+		oActiveEl = null ;
+
+	window.parent.SetOkButton( true ) ;
+}
+
+function Ok()
+{
+	if ( !oActiveEl )
+	{
+		oActiveEl = oEditor.FCK.EditorDocument.createElement( 'INPUT' ) ;
+		oActiveEl.type = GetE('txtType').value ;
+		oActiveEl = oEditor.FCK.InsertElementAndGetIt( oActiveEl ) ;
+	}
+
+	oActiveEl.name = GetE('txtName').value ;
+	SetAttribute( oActiveEl, 'value', GetE('txtValue').value ) ;
+
+	return true ;
+}
+
+		</script>
+	</head>
+	<body style="OVERFLOW: hidden" scroll="no">
+		<table height="100%" width="100%">
+			<tr>
+				<td align="center">
+					<table border="0" cellpadding="0" cellspacing="0" width="80%">
+						<tr>
+							<td colSpan="">
+								<span fckLang="DlgCheckboxName">Name</span><br>
+								<input type="text" size="20" id="txtName" style="WIDTH: 100%">
+							</td>
+						</tr>
+						<tr>
+							<td>
+								<span fckLang="DlgButtonText">Text (Value)</span><br>
+								<input type="text" id="txtValue" style="WIDTH: 100%">
+							</td>
+						</tr>
+						<tr>
+							<td>
+								<span fckLang="DlgButtonType">Type</span><br>
+								<select id="txtType">
+									<option value="button" selected>Button</option>
+									<option value="submit">Submit</option>
+									<option value="reset">Reset</option>
+								</select>
+							</td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_checkbox.html soojung/libs/fckeditor/editor/dialog/fck_checkbox.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_checkbox.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_checkbox.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,98 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_checkbox.html
+ * 	Checkbox dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Checkbox Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+var oActiveEl = oEditor.FCKSelection.GetSelectedElement() ;
+
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	if ( oActiveEl && oActiveEl.tagName == 'INPUT' && oActiveEl.type == 'checkbox' )
+	{
+		GetE('txtName').value		= oActiveEl.name ;
+		GetE('txtValue').value		= GetAttribute( oActiveEl, 'value' ) ;
+		GetE('txtSelected').checked	= oActiveEl.checked ;
+	}
+	else
+		oActiveEl = null ;
+
+	window.parent.SetOkButton( true ) ;
+}
+
+function Ok()
+{
+	if ( !oActiveEl )
+	{
+		oActiveEl = oEditor.FCK.EditorDocument.createElement( 'INPUT' ) ;
+		oActiveEl.type = 'checkbox' ;
+		oActiveEl = oEditor.FCK.InsertElementAndGetIt( oActiveEl ) ;
+	}
+
+	oActiveEl.name = GetE('txtName').value ;
+	SetAttribute( oActiveEl, 'value', GetE('txtValue').value ) ;
+
+	if ( GetE('txtSelected').checked )
+	{
+		SetAttribute( oActiveEl, 'checked', 'checked' ) ;
+		oActiveEl.checked = GetE('txtSelected').checked ;
+	}
+
+	return true ;
+}
+
+		</script>
+	</head>
+	<body style="OVERFLOW: hidden" scroll="no">
+		<table height="100%" width="100%">
+			<tr>
+				<td align="center">
+					<table border="0" cellpadding="0" cellspacing="0" width="80%">
+						<tr>
+							<td>
+								<span fckLang="DlgCheckboxName">Name</span><br>
+								<input type="text" size="20" id="txtName" style="WIDTH: 100%">
+							</td>
+						</tr>
+						<tr>
+							<td>
+								<span fckLang="DlgCheckboxValue">Value</span><br>
+								<input type="text" size="20" id="txtValue" style="WIDTH: 100%">
+							</td>
+						</tr>
+						<tr>
+							<td><input type="checkbox" id="txtSelected"><label for="txtSelected" fckLang="DlgCheckboxSelected">Checked</label></td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_colorselector.html soojung/libs/fckeditor/editor/dialog/fck_colorselector.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_colorselector.html	2004-12-27 20:50:22.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_colorselector.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,171 +1,165 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_colorselector.html
- * 	Color Selection dialog window.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-09-01 00:02:08
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_colorselector.html
+ * 	Color Selection dialog window.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
-<html>
-	<head>
-		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-		<meta name="robots" content="noindex, nofollow" />
-		<style TYPE="text/css">
-			#ColorTable		{ cursor: pointer ; cursor: hand ; }
-			#hicolor		{ height: 74px ; width: 74px ; border-width: 1px ; border-style: solid ; }
-			#hicolortext	{ width: 75px ; text-align: right ; margin-bottom: 7px ; }
-			#selhicolor		{ height: 20px ; width: 74px ; border-width: 1px ; border-style: solid ; }
-			#selcolor		{ width: 75px ; height: 20px ; margin-top: 0px ; margin-bottom: 7px ; }
-			#btnClear		{ width: 75px ; height: 22px ; margin-bottom: 6px ; }
-			.ColorCell		{ height: 15px ; width: 15px ; }
-		</style>
-		<script type="text/javascript">
-		
-var dialogArguments = window.parent.InnerDialogLoaded() ;
-
-// Sets the Skin CSS
-document.write( '<link href="' + dialogArguments.FCKConfig.SkinPath + 'fck_dialog.css" type="text/css" rel="stylesheet">' ) ;
-
-function OnLoad()
-{
-	// First of all, translate the dialog box texts
-	dialogArguments.FCKLanguageManager.TranslatePage(document) ;
-	
-	CreateColorTable() ;
-	
-	window.parent.SetOkButton( true ) ;	
-	window.parent.SetScrollBar( false ) ;	
-}
-
-function CreateColorTable()
-{
-	// Get the target table.
-	var oTable = document.getElementById('ColorTable') ;
-
-	// Create the base colors array.
-	var aColors = ['00','33','66','99','cc','ff'] ;
-
-	// This function combines two ranges of three values from the color array into a row.
-	function AppendColorRow( rangeA, rangeB )
-	{
-		for ( var i = rangeA ; i < rangeA + 3 ; i++ ) 
-		{ 
-			var oRow = oTable.insertRow(-1) ; 
-
-			for ( var j = rangeB ; j < rangeB + 3 ; j++ ) 
-			{ 
-				for ( var n = 0 ; n < 6 ; n++ ) 
-				{ 
-					AppendColorCell( oRow, '#' + aColors[j] + aColors[n] + aColors[i] ) ; 
-				} 
-			} 
-		}
-	}
-
-	// This function create a single color cell in the color table.
-	function AppendColorCell( targetRow, color )
-	{
-		var oCell = targetRow.insertCell(-1) ;
-		oCell.className = 'ColorCell' ;
-		oCell.bgColor = color ;
-		
-		oCell.onmouseover = function()
-		{
-			document.getElementById('hicolor').style.backgroundColor = this.bgColor ;
-			document.getElementById('hicolortext').innerHTML = this.bgColor ;
-		}
-		
-		oCell.onclick = function()
-		{
-			document.getElementById('selhicolor').style.backgroundColor = this.bgColor ;
-			document.getElementById('selcolor').value = this.bgColor ;
-		}
-	}
-
-	AppendColorRow( 0, 0 ) ;
-	AppendColorRow( 3, 0 ) ;
-	AppendColorRow( 0, 3 ) ;
-	AppendColorRow( 3, 3 ) ;
-
-	// Create the last row.
-	var oRow = oTable.insertRow(-1) ;
-	
-	// Create the gray scale colors cells.
-	for ( var n = 0 ; n < 6 ; n++ )
-	{
-		AppendColorCell( oRow, '#' + aColors[n] + aColors[n] + aColors[n] ) ; 
-	}
-	
-	// Fill the row with black cells.
-	for ( var i = 0 ; i < 12 ; i++ )
-	{
-		AppendColorCell( oRow, '#000000' ) ; 
-	}
-}
-
-function Clear()
-{
-	document.getElementById('selhicolor').style.backgroundColor = '' ;
-	document.getElementById('selcolor').value = '' ;
-}
-
-function ClearActual()
-{
-	document.getElementById('hicolor').style.backgroundColor = '' ;
-	document.getElementById('hicolortext').innerHTML = '&nbsp;' ;
-}
-
-function UpdateColor()
-{
-	try		  { document.getElementById('selhicolor').style.backgroundColor = document.getElementById('selcolor').value ; }
-	catch (e) { Clear() ; }
-}
-
-function Ok()
-{
-	if ( typeof(window.parent.dialogArguments.CustomValue) == 'function' )
-		window.parent.dialogArguments.CustomValue( document.getElementById('selcolor').value ) ;
-
-	return true ;
-}
-		</script>
-	</head>
-	<body onload="OnLoad()" scroll="no">
-		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
-			<tr>
-				<td align="center" valign="middle">
-					<table border="0" cellspacing="5" cellpadding="0" width="100%">
-						<tr>
-							<td valign="top" align="center" nowrap width="100%">
-								<table id="ColorTable" border="0" cellspacing="0" cellpadding="0" width="270" onmouseout="ClearActual();">
-								</table>
-							</td>
-							<td valign="top" align="left" nowrap>
-								<span fckLang="DlgColorHighlight">Highlight</span>
-								<div id="hicolor"></div>
-								<div id="hicolortext">&nbsp;</div>
-								<span fckLang="DlgColorSelected">Selected</span>
-								<div id="selhicolor"></div>
-								<input id="selcolor" type="text" maxlength="20" onchange="UpdateColor();">
-								<br>
-								<input id="btnClear" type="button" fckLang="DlgColorBtnClear" value="Clear" onclick="Clear();" />
-							</td>
-						</tr>
-					</table>
-				</td>
-			</tr>
-		</table>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<html>
+	<head>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+		<meta name="robots" content="noindex, nofollow" />
+		<style TYPE="text/css">
+			#ColorTable		{ cursor: pointer ; cursor: hand ; }
+			#hicolor		{ height: 74px ; width: 74px ; border-width: 1px ; border-style: solid ; }
+			#hicolortext	{ width: 75px ; text-align: right ; margin-bottom: 7px ; }
+			#selhicolor		{ height: 20px ; width: 74px ; border-width: 1px ; border-style: solid ; }
+			#selcolor		{ width: 75px ; height: 20px ; margin-top: 0px ; margin-bottom: 7px ; }
+			#btnClear		{ width: 75px ; height: 22px ; margin-bottom: 6px ; }
+			.ColorCell		{ height: 15px ; width: 15px ; }
+		</style>
+		<script type="text/javascript">
+		
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+function OnLoad()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+	
+	CreateColorTable() ;
+	
+	window.parent.SetOkButton( true ) ;	
+	window.parent.SetAutoSize( true ) ;
+}
+
+function CreateColorTable()
+{
+	// Get the target table.
+	var oTable = document.getElementById('ColorTable') ;
+
+	// Create the base colors array.
+	var aColors = ['00','33','66','99','cc','ff'] ;
+
+	// This function combines two ranges of three values from the color array into a row.
+	function AppendColorRow( rangeA, rangeB )
+	{
+		for ( var i = rangeA ; i < rangeA + 3 ; i++ ) 
+		{ 
+			var oRow = oTable.insertRow(-1) ; 
+
+			for ( var j = rangeB ; j < rangeB + 3 ; j++ ) 
+			{ 
+				for ( var n = 0 ; n < 6 ; n++ ) 
+				{ 
+					AppendColorCell( oRow, '#' + aColors[j] + aColors[n] + aColors[i] ) ; 
+				} 
+			} 
+		}
+	}
+
+	// This function create a single color cell in the color table.
+	function AppendColorCell( targetRow, color )
+	{
+		var oCell = targetRow.insertCell(-1) ;
+		oCell.className = 'ColorCell' ;
+		oCell.bgColor = color ;
+		
+		oCell.onmouseover = function()
+		{
+			document.getElementById('hicolor').style.backgroundColor = this.bgColor ;
+			document.getElementById('hicolortext').innerHTML = this.bgColor ;
+		}
+		
+		oCell.onclick = function()
+		{
+			document.getElementById('selhicolor').style.backgroundColor = this.bgColor ;
+			document.getElementById('selcolor').value = this.bgColor ;
+		}
+	}
+
+	AppendColorRow( 0, 0 ) ;
+	AppendColorRow( 3, 0 ) ;
+	AppendColorRow( 0, 3 ) ;
+	AppendColorRow( 3, 3 ) ;
+
+	// Create the last row.
+	var oRow = oTable.insertRow(-1) ;
+	
+	// Create the gray scale colors cells.
+	for ( var n = 0 ; n < 6 ; n++ )
+	{
+		AppendColorCell( oRow, '#' + aColors[n] + aColors[n] + aColors[n] ) ; 
+	}
+	
+	// Fill the row with black cells.
+	for ( var i = 0 ; i < 12 ; i++ )
+	{
+		AppendColorCell( oRow, '#000000' ) ; 
+	}
+}
+
+function Clear()
+{
+	document.getElementById('selhicolor').style.backgroundColor = '' ;
+	document.getElementById('selcolor').value = '' ;
+}
+
+function ClearActual()
+{
+	document.getElementById('hicolor').style.backgroundColor = '' ;
+	document.getElementById('hicolortext').innerHTML = '&nbsp;' ;
+}
+
+function UpdateColor()
+{
+	try		  { document.getElementById('selhicolor').style.backgroundColor = document.getElementById('selcolor').value ; }
+	catch (e) { Clear() ; }
+}
+
+function Ok()
+{
+	if ( typeof(window.parent.dialogArguments.CustomValue) == 'function' )
+		window.parent.dialogArguments.CustomValue( document.getElementById('selcolor').value ) ;
+
+	return true ;
+}
+		</script>
+	</head>
+	<body onload="OnLoad()" scroll="no" style="OVERFLOW: hidden">
+		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
+			<tr>
+				<td align="center" valign="middle">
+					<table border="0" cellspacing="5" cellpadding="0" width="100%">
+						<tr>
+							<td valign="top" align="center" nowrap width="100%">
+								<table id="ColorTable" border="0" cellspacing="0" cellpadding="0" width="270" onmouseout="ClearActual();">
+								</table>
+							</td>
+							<td valign="top" align="left" nowrap>
+								<span fckLang="DlgColorHighlight">Highlight</span>
+								<div id="hicolor"></div>
+								<div id="hicolortext">&nbsp;</div>
+								<span fckLang="DlgColorSelected">Selected</span>
+								<div id="selhicolor"></div>
+								<input id="selcolor" type="text" maxlength="20" onchange="UpdateColor();">
+								<br>
+								<input id="btnClear" type="button" fckLang="DlgColorBtnClear" value="Clear" onclick="Clear();" />
+							</td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_docprops/fck_document_preview.html soojung/libs/fckeditor/editor/dialog/fck_docprops/fck_document_preview.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_docprops/fck_document_preview.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_docprops/fck_document_preview.html	2005-06-11 10:27:24.000000000 +0900
@@ -0,0 +1,107 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_document_preview.html
+ * 	Preview shown in the "Document Properties" dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Document Properties - Preview</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta name="robots" content="noindex, nofollow">
+		<script language="javascript">
+
+var eBase = parent.FCK.EditorDocument.getElementsByTagName( 'BASE' ) ;
+if ( eBase.length > 0 && eBase[0].href.length > 0 )
+{
+	document.write( '<base href="' + eBase[0].href + '">' ) ;
+}
+
+window.onload = function()
+{
+	if ( typeof( parent.OnPreviewLoad ) == 'function' )
+		parent.OnPreviewLoad( window, document.body ) ;
+}
+
+function SetBaseHRef( baseHref )
+{
+	var eBase = document.createElement( 'BASE' ) ;
+	eBase.href = baseHref ;
+
+	var eHead = document.getElementsByTagName( 'HEAD' )[0] ;
+	eHead.appendChild( eBase ) ;
+}
+
+function SetLinkColor( color )
+{
+	if ( color && color.length > 0 )
+		document.getElementById('eLink').style.color = color ;
+	else
+		document.getElementById('eLink').style.color = window.document.linkColor ;
+}
+
+function SetVisitedColor( color )
+{
+	if ( color && color.length > 0 )
+		document.getElementById('eVisited').style.color = color ;
+	else
+		document.getElementById('eVisited').style.color = window.document.vlinkColor ;
+}
+
+function SetActiveColor( color )
+{
+	if ( color && color.length > 0 )
+		document.getElementById('eActive').style.color = color ;
+	else
+		document.getElementById('eActive').style.color = window.document.alinkColor ;
+}
+		</script>
+	</head>
+	<body>
+		<table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
+			<tr>
+				<td align="center" valign="middle">
+					Normal Text
+				</td>
+				<td id="eLink" align="center" valign="middle">
+					<u>Link Text</u>
+				</td>
+			</tr>
+			<tr>
+				<td id="eVisited" valign="middle" align="center">
+					<u>Visited Link</u>
+				</td>
+				<td id="eActive" valign="middle" align="center">
+					<u>Active Link</u>
+				</td>
+			</tr>
+		</table>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+		<br>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_docprops.html soojung/libs/fckeditor/editor/dialog/fck_docprops.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_docprops.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_docprops.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,574 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_docprops.html
+ * 	Link dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Document Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script language="javascript">
+
+var oEditor		= window.parent.InnerDialogLoaded() ;
+var FCK			= oEditor.FCK ;
+var FCKLang		= oEditor.FCKLang ;
+var FCKConfig	= oEditor.FCKConfig ;
+
+//#### Dialog Tabs
+
+// Set the dialog tabs.
+window.parent.AddTab( 'General'		, FCKLang.DlgDocGeneralTab ) ;
+window.parent.AddTab( 'Background'	, FCKLang.DlgDocBackTab ) ;
+window.parent.AddTab( 'Colors'		, FCKLang.DlgDocColorsTab ) ;
+window.parent.AddTab( 'Meta'		, FCKLang.DlgDocMetaTab ) ;
+
+// Function called when a dialog tag is selected.
+function OnDialogTabChange( tabCode )
+{
+	ShowE( 'divGeneral'		, ( tabCode == 'General' ) ) ;
+	ShowE( 'divBackground'	, ( tabCode == 'Background' ) ) ;
+	ShowE( 'divColors'		, ( tabCode == 'Colors' ) ) ;
+	ShowE( 'divMeta'		, ( tabCode == 'Meta' ) ) ;
+
+	ShowE( 'ePreview'		, ( tabCode == 'Background' || tabCode == 'Colors' ) ) ;
+}
+
+//#### Get Base elements from the document: BEGIN
+
+// The HTML element of the document.
+var oHTML = FCK.EditorDocument.getElementsByTagName('html')[0] ;
+
+// The HEAD element of the document.
+var oHead = oHTML.getElementsByTagName('head')[0] ;
+
+var oBody = FCK.EditorDocument.body ;
+
+// This object contains all META tags defined in the document.
+var oMetaTags = new Object() ;
+
+// Get all META tags defined in the document.
+var aMetas = oHead.getElementsByTagName('meta') ;
+
+// Loop throw all METAs and put it in the HashTable.
+for ( var i = 0 ; i < aMetas.length ; i++ )
+{
+	// Try to get the "name" attribute.
+	var sName = GetAttribute( aMetas[i], 'name', GetAttribute( aMetas[i], '___fcktoreplace:name', '' ) ) ;
+
+	// If no "name", try with the "http-equiv" attribute.
+	if ( sName.length == 0 )
+	{
+		if ( document.all )
+		{
+			// Get the http-equiv value from the outerHTML.
+			var oHttpEquivMatch = aMetas[i].outerHTML.match( oEditor.FCKRegexLib.MetaHttpEquiv ) ;
+			if ( oHttpEquivMatch )
+				sName = oHttpEquivMatch[1] ;
+		}
+		else
+			sName = GetAttribute( aMetas[i], 'http-equiv', '' ) ;
+	}
+
+	if ( sName.length > 0 )
+		oMetaTags[ sName.toLowerCase() ] = aMetas[i] ;
+}
+
+//#### END
+
+// Set a META tag in the document.
+function SetMetadata( name, content, isHttp )
+{
+	if ( content.length == 0 )
+	{
+		RemoveMetadata( name ) ;
+		return ;
+	}
+
+	var oMeta = oMetaTags[ name.toLowerCase() ] ;
+
+	if ( !oMeta )
+	{
+		oMeta = oHead.appendChild( FCK.EditorDocument.createElement('META') ) ;
+
+		if ( isHttp )
+			SetAttribute( oMeta, 'http-equiv', name ) ;
+		else
+		{
+			// On IE, it is not possible to set the "name" attribute of the META tag.
+			// So a temporary attribute is used and it is replaced when getting the
+			// editor's HTML/XHTML value. This is sad, I know :(
+			if ( document.all )
+				SetAttribute( oMeta, '___fcktoreplace:name', name ) ;
+			else
+				SetAttribute( oMeta, 'name', name ) ;
+		}
+
+		oMetaTags[ name.toLowerCase() ] = oMeta ;
+	}
+
+	oMeta.content = content ;
+}
+
+function RemoveMetadata( name )
+{
+	var oMeta = oMetaTags[ name.toLowerCase() ] ;
+
+	if ( oMeta && oMeta != null )
+	{
+		oMeta.parentNode.removeChild( oMeta ) ;
+		oMetaTags[ name.toLowerCase() ] = null ;
+	}
+}
+
+function GetMetadata( name )
+{
+	var oMeta = oMetaTags[ name.toLowerCase() ] ;
+
+	if ( oMeta && oMeta != null )
+		return oMeta.content ;
+	else
+		return '' ;
+}
+
+window.onload = function ()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage( document ) ;
+
+	FillFields() ;
+
+	UpdatePreview() ;
+
+	// Show the "Ok" button.
+	window.parent.SetOkButton( true ) ;
+
+	window.parent.SetAutoSize( true ) ;
+}
+
+function FillFields()
+{
+	// ### General Info
+	GetE('txtPageTitle').value = FCK.EditorDocument.title ;
+
+	GetE('selDirection').value	= GetAttribute( oHTML, 'dir', '' ) ;
+	GetE('txtLang').value		= GetAttribute( oHTML, 'xml:lang', GetAttribute( oHTML, 'lang', '' ) ) ;	// "xml:lang" takes precedence to "lang".
+
+	// Character Set Encoding.
+//	if ( document.all )
+//		var sCharSet = FCK.EditorDocument.charset ;
+//	else
+		var sCharSet = GetMetadata( 'Content-Type' ) ;
+
+	if ( sCharSet != null && sCharSet.length > 0 )
+	{
+//		if ( !document.all )
+			sCharSet = sCharSet.match( /[^=]*$/ ) ;
+
+		GetE('selCharSet').value = sCharSet ;
+
+		if ( GetE('selCharSet').selectedIndex == -1 )
+		{
+			GetE('selCharSet').value = '...' ;
+			GetE('txtCustomCharSet').value = sCharSet ;
+
+			CheckOther( GetE('selCharSet'), 'txtCustomCharSet' ) ;
+		}
+	}
+
+	// Document Type.
+	if ( FCK.DocTypeDeclaration && FCK.DocTypeDeclaration.length > 0 )
+	{
+		GetE('selDocType').value = FCK.DocTypeDeclaration ;
+
+		if ( GetE('selDocType').selectedIndex == -1 )
+		{
+			GetE('selDocType').value = '...' ;
+			GetE('txtDocType').value = FCK.DocTypeDeclaration ;
+
+			CheckOther( GetE('selDocType'), 'txtDocType' ) ;
+		}
+	}
+
+	// Document Type.
+	GetE('chkIncXHTMLDecl').checked = ( FCK.XmlDeclaration && FCK.XmlDeclaration.length > 0 ) ;
+
+	// ### Background
+	GetE('txtBackColor').value = GetAttribute( oBody, 'bgColor'		, '' ) ;
+	GetE('txtBackImage').value = GetAttribute( oBody, 'background'	, '' ) ;
+	GetE('chkBackNoScroll').checked = ( GetAttribute( oBody, 'bgProperties', '' ).toLowerCase() == 'fixed' ) ;
+
+	// ### Colors
+	GetE('txtColorText').value		= GetAttribute( oBody, 'text'	, '' ) ;
+	GetE('txtColorLink').value		= GetAttribute( oBody, 'link'	, '' ) ;
+	GetE('txtColorVisited').value	= GetAttribute( oBody, 'vLink'	, '' ) ;
+	GetE('txtColorActive').value	= GetAttribute( oBody, 'aLink'	, '' ) ;
+
+	// ### Margins
+	GetE('txtMarginTop').value		= GetAttribute( oBody, 'topMargin'		, '' ) ;
+	GetE('txtMarginLeft').value		= GetAttribute( oBody, 'leftMargin'		, '' ) ;
+	GetE('txtMarginRight').value	= GetAttribute( oBody, 'rightMargin'	, '' ) ;
+	GetE('txtMarginBottom').value	= GetAttribute( oBody, 'bottomMargin'	, '' ) ;
+
+	// ### Meta Data
+	GetE('txtMetaKeywords').value		= GetMetadata( 'keywords' ) ;
+	GetE('txtMetaDescription').value	= GetMetadata( 'description' ) ;
+	GetE('txtMetaAuthor').value			= GetMetadata( 'author' ) ;
+	GetE('txtMetaCopyright').value		= GetMetadata( 'copyright' ) ;
+}
+
+// Called when the "Ok" button is clicked.
+function Ok()
+{
+	// ### General Info
+	FCK.EditorDocument.title = GetE('txtPageTitle').value ;
+
+	var oHTML = FCK.EditorDocument.getElementsByTagName('html')[0] ;
+
+	SetAttribute( oHTML, 'dir'		, GetE('selDirection').value ) ;
+	SetAttribute( oHTML, 'lang'		, GetE('txtLang').value ) ;
+	SetAttribute( oHTML, 'xml:lang'	, GetE('txtLang').value ) ;
+
+	// Character Set Enconding.
+	var sCharSet = GetE('selCharSet').value ;
+	if ( sCharSet == '...' )
+		sCharSet = GetE('txtCustomCharSet').value ;
+
+	if ( sCharSet.length > 0 )
+			sCharSet = 'text/html; charset=' + sCharSet ;
+
+//	if ( document.all )
+//		FCK.EditorDocument.charset = sCharSet ;
+//	else
+		SetMetadata( 'Content-Type', sCharSet, true ) ;
+
+	// Document Type
+	var sDocType = GetE('selDocType').value ;
+	if ( sDocType == '...' )
+		sDocType = GetE('txtDocType').value ;
+
+	FCK.DocTypeDeclaration = sDocType ;
+
+	// XHTML Declarations.
+	if ( GetE('chkIncXHTMLDecl').checked )
+	{
+		if ( sCharSet.length == 0 )
+			sCharSet = 'utf-8' ;
+
+		FCK.XmlDeclaration = '<?xml version="1.0" encoding="' + sCharSet + '"?>' ;
+
+		SetAttribute( oHTML, 'xmlns', 'http://www.w3.org/1999/xhtml' ) ;
+	}
+	else
+	{
+		FCK.XmlDeclaration = null ;
+		oHTML.removeAttribute( 'xmlns', 0 ) ;
+	}
+
+	// ### Background
+	SetAttribute( oBody, 'bgcolor'		, GetE('txtBackColor').value ) ;
+	SetAttribute( oBody, 'background'	, GetE('txtBackImage').value ) ;
+	SetAttribute( oBody, 'bgproperties'	, GetE('chkBackNoScroll').checked ? 'fixed' : '' ) ;
+
+	// ### Colors
+	SetAttribute( oBody, 'text'	, GetE('txtColorText').value ) ;
+	SetAttribute( oBody, 'link'	, GetE('txtColorLink').value ) ;
+	SetAttribute( oBody, 'vlink', GetE('txtColorVisited').value ) ;
+	SetAttribute( oBody, 'alink', GetE('txtColorActive').value ) ;
+
+	// ### Margins
+	SetAttribute( oBody, 'topmargin'	, GetE('txtMarginTop').value ) ;
+	SetAttribute( oBody, 'leftmargin'	, GetE('txtMarginLeft').value ) ;
+	SetAttribute( oBody, 'rightmargin'	, GetE('txtMarginRight').value ) ;
+	SetAttribute( oBody, 'bottommargin'	, GetE('txtMarginBottom').value ) ;
+
+	// ### Meta data
+	SetMetadata( 'keywords'		, GetE('txtMetaKeywords').value ) ;
+	SetMetadata( 'description'	, GetE('txtMetaDescription').value ) ;
+	SetMetadata( 'author'		, GetE('txtMetaAuthor').value ) ;
+	SetMetadata( 'copyright'	, GetE('txtMetaCopyright').value ) ;
+
+	return true ;
+}
+
+var bPreviewIsLoaded = false ;
+var oPreviewWindow ;
+var oPreviewBody ;
+
+// Called by the Preview page when loaded.
+function OnPreviewLoad( previewWindow, previewBody )
+{
+	oPreviewWindow	= previewWindow ;
+	oPreviewBody	= previewBody ;
+
+	bPreviewIsLoaded = true ;
+	UpdatePreview() ;
+}
+
+function UpdatePreview()
+{
+	if ( !bPreviewIsLoaded )
+		return ;
+
+	// ### Background
+	SetAttribute( oPreviewBody, 'bgcolor'		, GetE('txtBackColor').value ) ;
+	SetAttribute( oPreviewBody, 'background'	, GetE('txtBackImage').value ) ;
+	SetAttribute( oPreviewBody, 'bgproperties'	, GetE('chkBackNoScroll').checked ? 'fixed' : '' ) ;
+
+	// ### Colors
+	SetAttribute( oPreviewBody, 'text', GetE('txtColorText').value ) ;
+
+	oPreviewWindow.SetLinkColor( GetE('txtColorLink').value ) ;
+	oPreviewWindow.SetVisitedColor( GetE('txtColorVisited').value ) ;
+	oPreviewWindow.SetActiveColor( GetE('txtColorActive').value ) ;
+}
+
+function CheckOther( combo, txtField )
+{
+	var bNotOther = ( combo.value != '...' ) ;
+
+	GetE(txtField).style.backgroundColor = ( bNotOther ? '#cccccc' : '' ) ;
+	GetE(txtField).disabled = bNotOther ;
+}
+
+function SetColor( inputId, color )
+{
+	GetE( inputId ).value = color + '' ;
+	UpdatePreview() ;
+}
+
+function SelectBackColor( color )		{ SetColor('txtBackColor', color ) ; }
+function SelectColorText( color )		{ SetColor('txtColorText', color ) ; }
+function SelectColorLink( color )		{ SetColor('txtColorLink', color ) ; }
+function SelectColorVisited( color )	{ SetColor('txtColorVisited', color ) ; }
+function SelectColorActive( color )		{ SetColor('txtColorActive', color ) ; }
+
+function SelectColor( wich )
+{
+	switch ( wich )
+	{
+		case 'Back'			: oEditor.FCKDialog.OpenDialog( 'FCKDialog_Color', FCKLang.DlgColorTitle, 'dialog/fck_colorselector.html', 400, 330, SelectBackColor, window ) ; return ;
+		case 'ColorText'	: oEditor.FCKDialog.OpenDialog( 'FCKDialog_Color', FCKLang.DlgColorTitle, 'dialog/fck_colorselector.html', 400, 330, SelectColorText, window ) ; return ;
+		case 'ColorLink'	: oEditor.FCKDialog.OpenDialog( 'FCKDialog_Color', FCKLang.DlgColorTitle, 'dialog/fck_colorselector.html', 400, 330, SelectColorLink, window ) ; return ;
+		case 'ColorVisited'	: oEditor.FCKDialog.OpenDialog( 'FCKDialog_Color', FCKLang.DlgColorTitle, 'dialog/fck_colorselector.html', 400, 330, SelectColorVisited, window ) ; return ;
+		case 'ColorActive'	: oEditor.FCKDialog.OpenDialog( 'FCKDialog_Color', FCKLang.DlgColorTitle, 'dialog/fck_colorselector.html', 400, 330, SelectColorActive, window ) ; return ;
+	}
+}
+
+function BrowseServerBack()
+{
+	var iLeft = (screen.width  - FCKConfig.ImageBrowserWindowWidth) / 2 ;
+	var iTop  = (screen.height - FCKConfig.ImageBrowserWindowHeight) / 2 ;
+
+	var sOptions = "toolbar=no,status=no,resizable=yes,dependent=yes" ;
+	sOptions += ",width=" + FCKConfig.LinkBrowserWindowWidth ;
+	sOptions += ",height=" + FCKConfig.LinkBrowserWindowHeight ;
+	sOptions += ",left=" + iLeft ;
+	sOptions += ",top=" + iTop ;
+
+	var oWindow = window.open( FCKConfig.ImageBrowserURL, "FCKBrowseWindow", sOptions ) ;
+}
+
+function SetUrl( url )
+{
+	GetE('txtBackImage').value = url ;
+	UpdatePreview() ;
+}
+
+		</script>
+	</head>
+	<body scroll="no" style="OVERFLOW: hidden">
+		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+			<tr>
+				<td vAlign="top" height="100%">
+					<div id="divGeneral">
+						<span fckLang="DlgDocPageTitle">Page Title</span><br>
+						<input id="txtPageTitle" style="WIDTH: 100%" type="text">
+						<br>
+						<table cellSpacing="0" cellPadding="0" border="0">
+							<tr>
+								<td>
+									<span fckLang="DlgDocLangDir">Language Direction</span><br>
+									<select id="selDirection">
+										<option value="" selected></option>
+										<option value="ltr" fckLang="DlgDocLangDirLTR">Left to Right (LTR)</option>
+										<option value="rtl" fckLang="DlgDocLangDirRTL">Right to Left (RTL)</option>
+									</select>
+								</td>
+								<td>&nbsp;&nbsp;&nbsp;</td>
+								<td>
+									<span fckLang="DlgDocLangCode">Language Code</span><br>
+									<input id="txtLang" type="text">
+								</td>
+							</tr>
+						</table>
+						<br>
+						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
+							<tr>
+								<td noWrap><span fckLang="DlgDocCharSet">Character Set Encoding</span><br>
+									<select id="selCharSet" onchange="CheckOther( this, 'txtCustomCharSet' );">
+										<option value="" selected></option>
+										<option value="us-ascii">ASCII</option>
+										<option value="iso-8859-2">Central European</option>
+										<option value="big5">Chinese Traditional (Big5)</option>
+										<option value="iso-8859-5">Cyrillic</option>
+										<option value="iso-8859-7">Greek</option>
+										<option value="iso-2022-jp">Japanese</option>
+										<option value="iso-2022-kr">Korean</option>
+										<option value="iso-8859-9">Turkish</option>
+										<option value="utf-8">Unicode (UTF-8)</option>
+										<option value="iso-8859-1">Western European</option>
+										<option value="..." fckLang="DlgOpOther">&lt;Other&gt;</option>
+									</select>
+								</td>
+								<td>&nbsp;&nbsp;&nbsp;</td>
+								<td width="100%">
+									<span fckLang="DlgDocCharSetOther">Other Character Set Encoding</span><br>
+									<input id="txtCustomCharSet" style="WIDTH: 100%; BACKGROUND-COLOR: #cccccc" disabled type="text">
+								</td>
+							</tr>
+							<tr>
+								<td colspan="3">&nbsp;</td>
+							</tr>
+							<tr>
+								<td nowrap>
+									<span fckLang="DlgDocDocType">Document Type Heading</span><br>
+									<select id="selDocType" name="selDocType" onchange="CheckOther( this, 'txtDocType' );">
+										<option value="" selected></option>
+										<option value='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">'>HTML
+											4.01 Transitional</option>
+										<option value='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">'>HTML
+											4.01 Strict</option>
+										<option value='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">'>HTML
+											4.01 Frameset</option>
+										<option value='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">'>XHTML
+											1.0 Transitional</option>
+										<option value='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">'>XHTML
+											1.0 Strict</option>
+										<option value='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">'>XHTML
+											1.0 Frameset</option>
+										<option value='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">'>XHTML
+											1.1</option>
+										<option value='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">'>HTML 3.2</option>
+										<option value='<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">'>HTML 2.0</option>
+										<option value="..." fckLang="DlgOpOther">&lt;Other&gt;</option>
+									</select>
+								</td>
+								<td></td>
+								<td width="100%">
+									<span fckLang="DlgDocDocTypeOther">Other Document Type Heading</span><br>
+									<input id="txtDocType" style="WIDTH: 100%; BACKGROUND-COLOR: #cccccc" disabled type="text">
+								</td>
+							</tr>
+						</table>
+						<br>
+						<input id="chkIncXHTMLDecl" type="checkbox"> <label for="chkIncXHTMLDecl" fckLang="DlgDocIncXHTML">Include
+							XHTML Declarations</label>
+					</div>
+					<div id="divBackground" style="DISPLAY: none">
+						<span fckLang="DlgDocBgColor">Background Color</span><br>
+						<input id="txtBackColor" type="text" onchange="UpdatePreview();" onkeyup="UpdatePreview();">&nbsp;<input id="btnSelBackColor" onclick="SelectColor( 'Back' )" type="button" value="Select..."
+							fckLang="DlgCellBtnSelect"><br>
+						<br>
+						<span fckLang="DlgDocBgImage">Background Image URL</span><br>
+						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
+							<tr>
+								<td width="100%"><input id="txtBackImage" style="WIDTH: 100%" type="text" onchange="UpdatePreview();" onkeyup="UpdatePreview();"></td>
+								<td nowrap>&nbsp;<input id="btnBrowse" onclick="BrowseServerBack();" type="button" fckLang="DlgBtnBrowseServer" value="Browse Server" fckLang="DlgBtnBrowseServer"></td>
+							</tr>
+						</table>
+						<input id="chkBackNoScroll" type="checkbox" onclick="UpdatePreview();"> <label for="chkBackNoScroll" fckLang="DlgDocBgNoScroll">Nonscrolling
+							Background</label>
+					</div>
+					<div id="divColors" style="DISPLAY: none">
+						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
+							<tr>
+								<td>
+									<span fckLang="DlgDocCText">Text</span><br>
+									<input id="txtColorText" type="text" onchange="UpdatePreview();" onkeyup="UpdatePreview();"><input onclick="SelectColor( 'ColorText' )" type="button" value="Select..." fckLang="DlgCellBtnSelect">
+									<br>
+									<span fckLang="DlgDocCLink">Link</span><br>
+									<input id="txtColorLink" type="text" onchange="UpdatePreview();" onkeyup="UpdatePreview();"><input onclick="SelectColor( 'ColorLink' )" type="button" value="Select..." fckLang="DlgCellBtnSelect">
+									<br>
+									<span fckLang="DlgDocCVisited">Visited Link</span><br>
+									<input id="txtColorVisited" type="text" onchange="UpdatePreview();" onkeyup="UpdatePreview();"><input onclick="SelectColor( 'ColorVisited' )" type="button" value="Select..." fckLang="DlgCellBtnSelect">
+									<br>
+									<span fckLang="DlgDocCActive">Active Link</span><br>
+									<input id="txtColorActive" type="text" onchange="UpdatePreview();" onkeyup="UpdatePreview();"><input onclick="SelectColor( 'ColorActive' )" type="button" value="Select..." fckLang="DlgCellBtnSelect">
+								</td>
+								<td valign="middle" align="center">
+									<table cellspacing="2" cellpadding="0" border="0">
+										<tr>
+											<td><span fckLang="DlgDocMargins">Page Margins</span></td>
+										</tr>
+										<tr>
+											<td style="BORDER: #000000 1px solid; PADDING: 5px">
+												<table cellpadding="0" cellspacing="0" border="0" dir="ltr">
+													<tr>
+														<td align="center" colspan="3">
+															<span fckLang="DlgDocMaTop">Top</span><br>
+															<input id="txtMarginTop" type="text" size="3">
+														</td>
+													</tr>
+													<tr>
+														<td align="left">
+															<span fckLang="DlgDocMaLeft">Left</span><br>
+															<input id="txtMarginLeft" type="text" size="3">
+														</td>
+														<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
+														<td align="right">
+															<span fckLang="DlgDocMaRight">Right</span><BR>
+															<input id="txtMarginRight" type="text" size="3">
+														</td>
+													</tr>
+													<tr>
+														<td align="center" colspan="3">
+															<span fckLang="DlgDocMaBottom">Bottom</span><br>
+															<input id="txtMarginBottom" type="text" size="3">
+														</td>
+													</tr>
+												</table>
+											</td>
+										</tr>
+									</table>
+								</td>
+							</tr>
+						</table>
+					</div>
+					<div id="divMeta" style="DISPLAY: none">
+						<span fckLang="DlgDocMeIndex">Document Indexing Keywords (comma separated)</span><br>
+						<textarea id="txtMetaKeywords" style="WIDTH: 100%" rows="2" cols="20"></textarea>
+						<br>
+						<span fckLang="DlgDocMeDescr">Document Description</span><br>
+						<textarea id="txtMetaDescription" style="WIDTH: 100%" rows="4" cols="20"></textarea>
+						<br>
+						<span fckLang="DlgDocMeAuthor">Author</span><br>
+						<input id="txtMetaAuthor" style="WIDTH: 100%" type="text"><br>
+						<br>
+						<span fckLang="DlgDocMeCopy">Copyright</span><br>
+						<input id="txtMetaCopyright" type="text" style="WIDTH: 100%">
+					</div>
+				</td>
+			</tr>
+			<tr id="ePreview" style="DISPLAY: none">
+				<td>
+					<span fckLang="DlgDocPreview">Preview</span><br>
+					<iframe id="frmPreview" src="fck_docprops/fck_document_preview.html" width="100%" height="100"></iframe>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_find.html soojung/libs/fckeditor/editor/dialog/fck_find.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_find.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_find.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,160 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_find.html
+ * 	"Find" dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+function OnLoad()
+{
+	// Whole word is available on IE only.
+	if ( oEditor.FCKBrowserInfo.IsIE )
+		document.getElementById('divWord').style.display = '' ;
+
+	// First of all, translate the dialog box texts.
+	oEditor.FCKLanguageManager.TranslatePage( document ) ;
+
+	window.parent.SetAutoSize( true ) ;
+}
+
+function btnStat(frm)
+{
+	document.getElementById('btnFind').disabled =
+		( document.getElementById('txtFind').value.length == 0 ) ;
+}
+
+function ReplaceTextNodes( parentNode, regex, replaceValue, replaceAll )
+{
+	for ( var i = 0 ; i < parentNode.childNodes.length ; i++ )
+	{
+		var oNode = parentNode.childNodes[i] ;
+		if ( oNode.nodeType == 3 )
+		{
+			var sReplaced = oNode.nodeValue.replace( regex, replaceValue ) ;
+			if ( oNode.nodeValue != sReplaced )
+			{
+				oNode.nodeValue = sReplaced ;
+				if ( ! replaceAll )
+					return true ;
+			}
+		}
+		else
+		{
+			if ( ReplaceTextNodes( oNode, regex, replaceValue ) )
+				return true ;
+		}
+	}
+	return false ;
+}
+
+function GetRegexExpr()
+{
+	if ( document.getElementById('chkWord').checked )
+		var sExpr = '\\b' + document.getElementById('txtFind').value + '\\b' ;
+	else
+		var sExpr = document.getElementById('txtFind').value ;
+
+	return sExpr ;
+}
+
+function GetCase()
+{
+	return ( document.getElementById('chkCase').checked ? '' : 'i' ) ;
+}
+
+var oRange = oEditor.FCK.EditorDocument.body.createTextRange() ;
+
+function Ok()
+{
+	if ( document.getElementById('txtFind').value.length == 0 )
+		return ;
+
+	if ( oEditor.FCKBrowserInfo.IsIE )
+		FindIE() ;
+	else
+		FindGecko() ;
+}
+
+function FindIE()
+{
+	var iFlags = 0 ;
+
+	if ( chkCase.checked )
+		iFlags = iFlags | 4 ;
+
+	if ( chkWord.checked )
+		iFlags = iFlags | 2 ;
+
+	var bFound = oRange.findText( document.getElementById('txtFind').value, 1, iFlags ) ;
+
+	if ( bFound )
+	{
+		oRange.scrollIntoView() ;
+		oRange.select() ;
+		oRange.collapse(false) ;
+		oLastRangeFound = oRange ;
+	}
+	else
+	{
+		oRange = oEditor.FCK.EditorDocument.body.createTextRange() ;
+		alert( oEditor.FCKLang.DlgFindNotFoundMsg ) ;
+	}
+}
+
+function FindGecko()
+{
+	var bCase = document.getElementById('chkCase').checked ;
+	var bWord = document.getElementById('chkWord').checked ;
+
+	// window.find( searchString, caseSensitive, backwards, wrapAround, wholeWord, searchInFrames, showDialog ) ;
+	oEditor.FCK.EditorWindow.find( document.getElementById('txtFind').value, bCase, false, false, bWord, false, false ) ;
+
+}
+		</script>
+	</head>
+	<body onload="OnLoad()" scroll="no" style="OVERFLOW: hidden">
+		<table cellSpacing="3" cellPadding="2" width="100%" border="0">
+			<tr>
+				<td nowrap>
+					<label for="txtFind" fckLang="DlgReplaceFindLbl">Find what:</label>&nbsp;
+				</td>
+				<td width="100%">
+					<input id="txtFind" onkeyup="btnStat(this.form)" style="WIDTH: 100%" tabIndex="1" type="text">
+				</td>
+				<td>
+					<input id="btnFind" style="WIDTH: 100%; PADDING-RIGHT: 5px; PADDING-LEFT: 5px" disabled
+						onclick="Ok();" type="button" value="Find" fckLang="DlgFindFindBtn">
+				</td>
+			</tr>
+			<tr>
+				<td valign="bottom" colSpan="3">
+					&nbsp;<input id="chkCase" tabIndex="3" type="checkbox"><label for="chkCase" fckLang="DlgReplaceCaseChk">Match
+						case</label>
+					<br>
+					<div id="divWord" style="DISPLAY: none">
+						&nbsp;<input id="chkWord" tabIndex="4" type="checkbox"><label for="chkWord" fckLang="DlgReplaceWordChk">Match
+							whole word</label>
+					</div>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_form.html soojung/libs/fckeditor/editor/dialog/fck_form.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_form.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_form.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,99 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_form.html
+ * 	Checkbox dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Checkbox Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+var oActiveEl = oEditor.FCKSelection.MoveToAncestorNode( 'FORM' ) ;
+
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	if ( oActiveEl ) 
+	{
+		GetE('txtName').value	= oActiveEl.name ;
+		GetE('txtAction').value	= oActiveEl.action ;
+		GetE('txtMethod').value	= oActiveEl.method ;
+	}
+	else
+		oActiveEl = null ;
+
+	window.parent.SetOkButton( true ) ;
+}
+
+function Ok()
+{
+	if ( !oActiveEl )
+	{
+		oActiveEl = oEditor.FCK.EditorDocument.createElement( 'FORM' ) ;
+		oActiveEl = oEditor.FCK.InsertElementAndGetIt( oActiveEl ) ;
+		oActiveEl.innerHTML = '&nbsp;' ;
+	}
+	
+	oActiveEl.name = GetE('txtName').value ;
+	SetAttribute( oActiveEl, 'action'	, GetE('txtAction').value ) ;
+	oActiveEl.method = GetE('txtMethod').value ;
+
+	return true ;
+}
+
+		</script>
+	</head>
+	<body style="OVERFLOW: hidden" scroll="no">
+		<table height="100%" width="100%">
+			<tr>
+				<td>
+					<table cellspacing="0" cellpadding="0" width="80%" border="0" valign="top" align="center">
+						<tr>
+							<td>
+								<span fckLang="DlgFormName">Name</span><br>
+								<input style="WIDTH: 100%" type="text" id="txtName">
+							</td>
+						</tr>
+						<tr>
+							<td>
+								<span fckLang="DlgFormAction">Action</span><br>
+								<input style="WIDTH: 100%" type="text" id="txtAction">
+							</td>
+						</tr>
+						<tr>
+							<td>
+								<span fckLang="DlgFormMethod">Method</span><br>
+								<select id="txtMethod">
+									<option value="get" selected>GET</option>
+									<option value="post">POST</option>
+								</select>
+							</td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_hiddenfield.html soojung/libs/fckeditor/editor/dialog/fck_hiddenfield.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_hiddenfield.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_hiddenfield.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,89 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_hiddenfield.html
+ * 	Hidden Field dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Hidden Field Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+var oActiveEl = oEditor.FCKSelection.GetSelectedElement() ;
+
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	if ( oActiveEl && oActiveEl.tagName == 'INPUT' && oActiveEl.type == 'hidden' ) 
+	{
+		GetE('txtName').value		= oActiveEl.name ;
+		GetE('txtValue').value		= oActiveEl.value ;
+	}
+	else
+		oActiveEl = null ;
+
+	window.parent.SetOkButton( true ) ;
+}	
+
+
+function Ok()
+{
+	if ( !oActiveEl )
+	{
+		oActiveEl = oEditor.FCK.EditorDocument.createElement( 'INPUT' ) ;
+		oActiveEl.type = 'hidden' ;
+		oActiveEl = oEditor.FCK.InsertElementAndGetIt( oActiveEl ) ;
+	}
+	
+	oActiveEl.name = GetE('txtName').value ;
+	SetAttribute( oActiveEl, 'value', GetE('txtValue').value ) ;
+
+	return true ;
+}
+
+		</script>
+	</head>
+	<body style="OVERFLOW: hidden" scroll="no">
+		<table height="100%" width="100%">
+			<tr>
+				<td align="center">
+					<table border="0" class="inhoud" cellpadding="0" cellspacing="0" width="80%">
+						<tr>
+							<td>
+								<span fckLang="DlgHiddenName">Name</span><br>
+								<input type="text" size="20" id="txtName" style="WIDTH: 100%">
+							</td>
+						</tr>
+						<tr>
+							<td>
+								<span fckLang="DlgHiddenValue">Value</span><br>
+								<input type="text" size="30" id="txtValue" style="WIDTH: 100%">
+							</td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_image/fck_image.js soojung/libs/fckeditor/editor/dialog/fck_image/fck_image.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_image/fck_image.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_image/fck_image.js	2005-06-11 10:27:26.000000000 +0900
@@ -0,0 +1,369 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_image.js
+ * 	Scripts related to the Link dialog window (see fck_link.html).
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+var oEditor		= window.parent.InnerDialogLoaded() ;
+var FCK			= oEditor.FCK ;
+var FCKConfig	= oEditor.FCKConfig ;
+
+var bImageButton = ( document.location.search.length > 0 && document.location.search.substr(1) == 'ImageButton' ) ;
+
+//#### Dialog Tabs
+
+// Set the dialog tabs.
+window.parent.AddTab( 'Info', oEditor.FCKLang.DlgImgInfoTab ) ;
+
+if ( !bImageButton && !FCKConfig.ImageDlgHideLink )
+	window.parent.AddTab( 'Link', oEditor.FCKLang.DlgImgLinkTab ) ;
+
+// TODO : Enable File Upload (1/3).
+//window.parent.AddTab( 'Upload', 'Upload', true ) ;
+
+if ( !FCKConfig.ImageDlgHideAdvanced )
+	window.parent.AddTab( 'Advanced', oEditor.FCKLang.DlgAdvancedTag ) ;
+
+// Function called when a dialog tag is selected.
+function OnDialogTabChange( tabCode )
+{
+	ShowE('divInfo'		, ( tabCode == 'Info' ) ) ;
+	ShowE('divLink'		, ( tabCode == 'Link' ) ) ;
+// TODO : Enable File Upload (2/3).
+//	ShowE('divUpload'	, ( tabCode == 'Upload' ) ) ;
+	ShowE('divAdvanced'	, ( tabCode == 'Advanced' ) ) ;
+}
+
+// Get the selected image (if available).
+var oImage = FCK.Selection.GetSelectedElement() ;
+
+if ( oImage && oImage.tagName != 'IMG' && !( oImage.tagName == 'INPUT' && oImage.type == 'image' ) )
+	oImage = null ;
+
+// Get the active link.
+var oLink = FCK.Selection.MoveToAncestorNode( 'A' ) ;
+
+var oImageOriginal ;
+
+function UpdateOriginal( resetSize )
+{
+	oImageOriginal = document.createElement( 'IMG' ) ;	// new Image() ;
+
+	if ( resetSize )
+	{
+		oImageOriginal.onload = function()
+		{
+			this.onload = null ;
+			ResetSizes() ;
+		}
+	}
+
+	oImageOriginal.src = GetE('imgPreview').src ;
+}
+
+window.onload = function()
+{
+	// Translate the dialog box texts.
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	GetE('btnLockSizes').title = oEditor.FCKLang.DlgImgLockRatio ;
+	GetE('btnResetSize').title = oEditor.FCKLang.DlgBtnResetSize ;
+
+	// Load the selected element information (if any).
+	LoadSelection() ;
+
+	// Show/Hide the "Browse Server" button.
+	GetE('tdBrowse').style.display				= FCKConfig.ImageBrowser	? '' : 'none' ;
+	GetE('divLnkBrowseServer').style.display	= FCKConfig.LinkBrowser		? '' : 'none' ;
+
+	UpdateOriginal() ;
+
+	window.parent.SetAutoSize( true ) ;
+
+	// Activate the "OK" button.
+	window.parent.SetOkButton( true ) ;
+}
+
+function LoadSelection()
+{
+	if ( ! oImage ) return ;
+
+	var sUrl = GetAttribute( oImage, 'src', '' ) ;
+
+	// TODO: Wait stable version and remove the following commented lines.
+//	if ( sUrl.startsWith( FCK.BaseUrl ) )
+//		sUrl = sUrl.remove( 0, FCK.BaseUrl.length ) ;
+
+	GetE('txtUrl').value    = sUrl ;
+	GetE('txtAlt').value    = GetAttribute( oImage, 'alt', '' ) ;
+	GetE('txtVSpace').value	= GetAttribute( oImage, 'vspace', '' ) ;
+	GetE('txtHSpace').value	= GetAttribute( oImage, 'hspace', '' ) ;
+	GetE('txtBorder').value	= GetAttribute( oImage, 'border', '' ) ;
+	GetE('cmbAlign').value	= GetAttribute( oImage, 'align', '' ) ;
+
+	if ( oImage.style.pixelWidth > 0 )
+		GetE('txtWidth').value  = oImage.style.pixelWidth ;
+	else
+		GetE('txtWidth').value  = GetAttribute( oImage, "width", '' ) ;
+
+	if ( oImage.style.pixelHeight > 0 )
+		GetE('txtHeight').value  = oImage.style.pixelHeight ;
+	else
+		GetE('txtHeight').value = GetAttribute( oImage, "height", '' ) ;
+
+	// Get Advances Attributes
+	GetE('txtAttId').value			= oImage.id ;
+	GetE('cmbAttLangDir').value		= oImage.dir ;
+	GetE('txtAttLangCode').value	= oImage.lang ;
+	GetE('txtAttTitle').value		= oImage.title ;
+	GetE('txtAttClasses').value		= oImage.getAttribute('class',2) || '' ;
+	GetE('txtLongDesc').value		= oImage.longDesc ;
+
+	if ( oEditor.FCKBrowserInfo.IsIE )
+		GetE('txtAttStyle').value	= oImage.style.cssText ;
+	else
+		GetE('txtAttStyle').value	= oImage.getAttribute('style',2) ;
+
+	if ( oLink )
+	{
+		GetE('txtLnkUrl').value		= oLink.getAttribute('href',2) ;
+		GetE('cmbLnkTarget').value	= oLink.target ;
+	}
+
+	UpdatePreview() ;
+}
+
+//#### The OK button was hit.
+function Ok()
+{
+	if ( GetE('txtUrl').value.length == 0 )
+	{
+		window.parent.SetSelectedTab( 'Info' ) ;
+		GetE('txtUrl').focus() ;
+
+		alert( oEditor.FCKLang.DlgImgAlertUrl ) ;
+
+		return false ;
+	}
+
+	var bHasImage = ( oImage != null ) ;
+
+	if ( bHasImage && bImageButton && oImage.tagName == 'IMG' )
+	{
+		if ( confirm( 'Do you want to transform the selected image on a image button?' ) )
+			oImage = null ;
+	}
+	else if ( bHasImage && !bImageButton && oImage.tagName == 'INPUT' )
+	{
+		if ( confirm( 'Do you want to transform the selected image button on a simple image?' ) )
+			oImage = null ;
+	}
+	
+	if ( !bHasImage )
+	{
+		if ( bImageButton )
+		{
+			oImage = FCK.EditorDocument.createElement( 'INPUT' ) ;
+			oImage.type = 'image' ;
+			oImage = FCK.InsertElementAndGetIt( oImage ) ;
+		}
+		else
+			oImage = FCK.CreateElement( 'IMG' ) ;
+	}
+	else
+		oEditor.FCKUndo.SaveUndoStep() ;
+	
+	UpdateImage( oImage ) ;
+
+	var sLnkUrl = GetE('txtLnkUrl').value.trim() ;
+
+	if ( sLnkUrl.length == 0 )
+	{
+		if ( oLink )
+			FCK.ExecuteNamedCommand( 'Unlink' ) ;
+	}
+	else
+	{
+		if ( oLink )	// Modifying an existent link.
+			oLink.href = sLnkUrl ;
+		else			// Creating a new link.
+		{
+			if ( !bHasImage )
+				oEditor.FCKSelection.SelectNode( oImage ) ;
+
+			oLink = oEditor.FCK.CreateLink( sLnkUrl ) ;
+
+			if ( !bHasImage )
+			{
+				oEditor.FCKSelection.SelectNode( oLink ) ;
+				oEditor.FCKSelection.Collapse( false ) ;
+			}
+		}
+
+		SetAttribute( oLink, 'target', GetE('cmbLnkTarget').value ) ;
+	}
+
+	return true ;
+}
+
+function UpdateImage( e, skipId )
+{
+	e.src = GetE('txtUrl').value ;
+	SetAttribute( e, "alt"   , GetE('txtAlt').value ) ;
+	SetAttribute( e, "width" , GetE('txtWidth').value ) ;
+	SetAttribute( e, "height", GetE('txtHeight').value ) ;
+	SetAttribute( e, "vspace", GetE('txtVSpace').value ) ;
+	SetAttribute( e, "hspace", GetE('txtHSpace').value ) ;
+	SetAttribute( e, "border", GetE('txtBorder').value ) ;
+	SetAttribute( e, "align" , GetE('cmbAlign').value ) ;
+
+	// Advances Attributes
+
+	if ( ! skipId )
+		SetAttribute( e, 'id', GetE('txtAttId').value ) ;
+
+	SetAttribute( e, 'dir'		, GetE('cmbAttLangDir').value ) ;
+	SetAttribute( e, 'lang'		, GetE('txtAttLangCode').value ) ;
+	SetAttribute( e, 'title'	, GetE('txtAttTitle').value ) ;
+	SetAttribute( e, 'class'	, GetE('txtAttClasses').value ) ;
+	SetAttribute( e, 'longDesc'	, GetE('txtLongDesc').value ) ;
+
+	if ( oEditor.FCKBrowserInfo.IsIE )
+		e.style.cssText = GetE('txtAttStyle').value ;
+	else
+		SetAttribute( e, 'style', GetE('txtAttStyle').value ) ;
+}
+
+function UpdatePreview()
+{
+	if ( GetE('txtUrl').value.length == 0 )
+		GetE('lnkPreview').style.display = 'none' ;
+	else
+	{
+		UpdateImage( GetE('imgPreview'), true ) ;
+
+		if ( GetE('txtLnkUrl').value.trim().length > 0 )
+			GetE('lnkPreview').href = 'javascript:void(null);' ;
+		else
+			SetAttribute( GetE('lnkPreview'), 'href', '' ) ;
+
+		GetE('lnkPreview').style.display = '' ;
+	}
+}
+
+var bLockRatio = true ;
+
+function SwitchLock( lockButton )
+{
+	bLockRatio = !bLockRatio ;
+	lockButton.className = bLockRatio ? 'BtnLocked' : 'BtnUnlocked' ;
+	lockButton.title = bLockRatio ? 'Lock sizes' : 'Unlock sizes' ;
+
+	if ( bLockRatio )
+	{
+		if ( GetE('txtWidth').value.length > 0 )
+			OnSizeChanged( 'Width', GetE('txtWidth').value ) ;
+		else
+			OnSizeChanged( 'Height', GetE('txtHeight').value ) ;
+	}
+}
+
+// Fired when the width or height input texts change
+function OnSizeChanged( dimension, value )
+{
+	// Verifies if the aspect ration has to be mantained
+	if ( oImageOriginal && bLockRatio )
+	{
+		if ( value.length == 0 || isNaN( value ) )
+		{
+			GetE('txtHeight').value = GetE('txtWidth').value = '' ;
+			return ;
+		}
+
+		if ( dimension == 'Width' )
+			GetE('txtHeight').value = Math.round( oImageOriginal.height * ( value  / oImageOriginal.width ) ) ;
+		else
+			GetE('txtWidth').value  = Math.round( oImageOriginal.width  * ( value / oImageOriginal.height ) ) ;
+	}
+
+	UpdatePreview() ;
+}
+
+// Fired when the Reset Size button is clicked
+function ResetSizes()
+{
+	if ( ! oImageOriginal ) return ;
+
+	GetE('txtWidth').value  = oImageOriginal.width ;
+	GetE('txtHeight').value = oImageOriginal.height ;
+
+	UpdatePreview() ;
+}
+
+function BrowseServer()
+{
+	OpenServerBrowser(
+		'Image',
+		FCKConfig.ImageBrowserURL,
+		FCKConfig.ImageBrowserWindowWidth,
+		FCKConfig.ImageBrowserWindowHeight ) ;
+}
+
+function LnkBrowseServer()
+{
+	OpenServerBrowser(
+		'Link',
+		FCKConfig.LinkBrowserURL,
+		FCKConfig.LinkBrowserWindowWidth,
+		FCKConfig.LinkBrowserWindowHeight ) ;
+}
+
+function OpenServerBrowser( type, url, width, height )
+{
+	sActualBrowser = type ;
+
+	var iLeft = (screen.width  - width) / 2 ;
+	var iTop  = (screen.height - height) / 2 ;
+
+	var sOptions = "toolbar=no,status=no,resizable=yes,dependent=yes" ;
+	sOptions += ",width=" + width ;
+	sOptions += ",height=" + height ;
+	sOptions += ",left=" + iLeft ;
+	sOptions += ",top=" + iTop ;
+
+	var oWindow = window.open( url, "FCKBrowseWindow", sOptions ) ;
+}
+
+var sActualBrowser ;
+
+function SetUrl( url, width, height, alt )
+{
+	if ( sActualBrowser == 'Link' )
+	{
+		GetE('txtLnkUrl').value = url ;
+		UpdatePreview() ;
+	}
+	else
+	{
+		GetE('txtUrl').value = url ;
+		GetE('txtWidth').value = width ? width : '' ;
+		GetE('txtHeight').value = height ? height : '' ;
+
+		if ( alt )
+			GetE('txtAlt').value = alt;
+
+		UpdatePreview() ;
+		UpdateOriginal( true ) ;
+	}
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_image.html soojung/libs/fckeditor/editor/dialog/fck_image.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_image.html	2004-12-27 20:50:22.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_image.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,204 +1,231 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_image.html
- * 	Image Properties dialog window.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-06-19 00:24:56
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_image.html
+ * 	Image Properties dialog window.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-	<head>
-		<title>Image Properties</title>
-		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-		<meta name="robots" content="noindex, nofollow">
-		<script src="js/fck_dialog_common.js" type="text/javascript"></script>
-		<script src="js/fck_image.js" type="text/javascript"></script>
-		<link href="css/common.css" rel="stylesheet" type="text/css" />
-	</head>
-	<body scroll="no">
-		<div id="divInfo">
-			<table cellspacing="1" cellpadding="1" border="0" width="100%" height="100%">
-				<tr>
-					<td>
-						<table cellspacing="0" cellpadding="0" width="100%" border="0">
-							<tr>
-								<td valign="top" width="100%">
-									<span fckLang="DlgImgURL">URL</span><br>
-									<input id="txtURL" style="WIDTH: 100%" type="text" onblur="UpdatePreview();">
-								</td>
-								<td id="tdBrowse" style="DISPLAY: none" nowrap>
-									&nbsp;
-									<input id="btnBrowse" onclick="BrowseServer();" type="button"
-										value="Browse Server" fckLang="DlgImgBtnBrowse">
-								</td>
-							</tr>
-						</table>
-					</td>
-				</tr>
-				<tr>
-					<td>
-						<span fckLang="DlgImgAlt">Short Description</span><br>
-						<input id="txtAlt" style="WIDTH: 100%" type="text"><br>
-					</td>
-				</tr>
-				<tr height="100%">
-					<td valign="top">
-						<table cellspacing="0" cellpadding="0" width="100%" border="0" height="100%">
-							<tr>
-								<td valign="top">
-									<br>
-									<table cellspacing="0" cellpadding="0" border="0">
-										<tr>
-											<td><span fckLang="DlgImgWidth">Width</span>&nbsp;</td>
-											<td>
-												<input type="text" size="3" id="txtWidth" onkeyup="OnSizeChanged('Width',this.value);"></td>
-											<td rowspan="2">
-												<div class="BtnLocked" onmouseover="this.className = (bLockRatio ? 'BtnLocked' : 'BtnUnlocked' ) + ' BtnOver';" onmouseout="this.className = (bLockRatio ? 'BtnLocked' : 'BtnUnlocked' );"
-													title="Lock Sizes" onclick="SwitchLock(this);"></div>
-												<div class="BtnReset" onmouseover="this.className='BtnReset BtnOver';" onmouseout="this.className='BtnReset';"
-													title="Reset Size" onclick="ResetSizes();"></div>
-											</td>
-										</tr>
-										<tr>
-											<td><span fckLang="DlgImgHeight">Height</span>&nbsp;</td>
-											<td>
-												<input type="text" size="3" id="txtHeight" onkeyup="OnSizeChanged('Height',this.value);"></td>
-										</tr>
-									</table>
-									<br>
-									<table cellspacing="0" cellpadding="0" border="0">
-										<tr>
-											<td><span fckLang="DlgImgBorder">Border</span>&nbsp;</td>
-											<td>
-												<input type="text" size="2" value="" id="txtBorder" onkeyup="UpdatePreview();"></td>
-										</tr>
-										<tr>
-											<td><span fckLang="DlgImgHSpace">HSpace</span>&nbsp;</td>
-											<td>
-												<input type="text" size="2" id="txtHSpace" onkeyup="UpdatePreview();"></td>
-										</tr>
-										<tr>
-											<td><span fckLang="DlgImgVSpace">VSpace</span>&nbsp;</td>
-											<td>
-												<input type="text" size="2" id="txtVSpace" onkeyup="UpdatePreview();"></td>
-										</tr>
-										<tr>
-											<td><span fckLang="DlgImgAlign">Align</span>&nbsp;</td>
-											<td><select id="cmbAlign" onchange="UpdatePreview();">
-													<option value="" selected></option>
-													<option fckLang="DlgImgAlignLeft" value="left">Left</option>
-													<option fckLang="DlgImgAlignAbsBottom" value="absBottom">Abs Bottom</option>
-													<option fckLang="DlgImgAlignAbsMiddle" value="absMiddle">Abs Middle</option>
-													<option fckLang="DlgImgAlignBaseline" value="baseline">Baseline</option>
-													<option fckLang="DlgImgAlignBottom" value="bottom">Bottom</option>
-													<option fckLang="DlgImgAlignMiddle" value="middle">Middle</option>
-													<option fckLang="DlgImgAlignRight" value="right">Right</option>
-													<option fckLang="DlgImgAlignTextTop" value="textTop">Text Top</option>
-													<option fckLang="DlgImgAlignTop" value="top">Top</option>
-												</select>
-											</td>
-										</tr>
-									</table>
-								</td>
-								<td>&nbsp;&nbsp;&nbsp;</td>
-								<td width="100%" valign="top">
-									<table cellpadding="0" cellspacing="0">
-										<tr>
-											<td><span fckLang="DlgImgPreview">Preview</span></td>
-										</tr>
-										<tr>
-											<td valign="top">
-												<div class="ImagePreviewArea">
-													<img id="imgPreview" style="DISPLAY: none">Magnus es, domine, et laudabilis 
-													valde: magna virtus tua, et sapientiae tuae non est numerus. et laudare te vult 
-													homo, aliqua portio creaturae tuae, et homo circumferens mortalitem suam, 
-													circumferens testimonium peccati sui et testimonium, quia superbis resistis: et 
-													tamen laudare te vult homo, aliqua portio creaturae tuae.tu excitas, ut laudare 
-													te delectet, quia fecisti nos ad te et inquietum est cor nostrum, donec 
-													requiescat in te. da mihi, domine, scire et intellegere, utrum sit prius 
-													invocare te an laudare te, et scire te prius sit an invocare te. sed quis te 
-													invocat nesciens te? aliud enim pro alio potest invocare nesciens. an potius 
-													invocaris, ut sciaris? quomodo autem invocabunt, in quem non crediderunt? aut 
-													quomodo credent sine praedicante? et laudabunt dominum qui requirunt eum. 
-													quaerentes enim inveniunt eum et invenientes laudabunt eum. quaeram te, domine, 
-													invocans te, et invocem te credens in te: praedicatus enim es nobis. invocat 
-													te, domine, fides mea, quam dedisti mihi, quam inspirasti mihi per humanitatem 
-													filii tui, per ministerium praedicatoris tui.
-												</div>
-											</td>
-										</tr>
-									</table>
-								</td>
-							</tr>
-						</table>
-					</td>
-				</tr>
-			</table>
-		</div>
-		<div id="divAdvanced" style="DISPLAY: none">
-			<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
-				<tr>
-					<td valign="top" width="50%">
-						Id<br>
-						<input id="txtAttId" style="WIDTH: 100%" type="text">
-					</td>
-					<td width="1">&nbsp;&nbsp;</td>
-					<td valign="top">
-						<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
-							<tr>
-								<td width="60%">
-									Language Direction<br>
-									<select id="cmbAttLangDir" style="WIDTH: 100%">
-										<option value="" selected>&lt;not set&gt;</option>
-										<option value="ltr">Left to Right (LTR)</option>
-										<option value="rtl">Right to Left (RTL)</option>
-									</select>
-								</td>
-								<td width="1%">&nbsp;&nbsp;</td>
-								<td nowrap>Language Code<BR>
-									<INPUT id="txtAttLangCode" style="WIDTH: 100%" type="text">&nbsp;
-								</td>
-							</tr>
-						</table>
-					</td>
-				</tr>
-				<tr>
-					<td colspan="3">&nbsp;</td>
-				</tr>
-				<tr>
-					<td colspan="3">
-						Long Description URL<br>
-						<input id="txtLongDesc" style="WIDTH: 100%" type="text">
-					</td>
-				</tr>
-				<tr>
-					<td colspan="3">&nbsp;</td>
-				</tr>
-				<tr>
-					<td valign="top">
-						Stylesheet Classes<br>
-						<input id="txtAttClasses" style="WIDTH: 100%" type="text">
-					</td>
-					<td></td>
-					<td valign="top">&nbsp;Advisory Title<BR>
-						<INPUT id="txtAttTitle" style="WIDTH: 100%" type="text">
-					</td>
-				</tr>
-			</table>
-			Style<br>
-			<input id="txtAttStyle" style="WIDTH: 100%" type="text">
-		</div>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<title>Image Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta name="robots" content="noindex, nofollow">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script src="fck_image/fck_image.js" type="text/javascript"></script>
+		<link href="common/fck_dialog_common.css" rel="stylesheet" type="text/css" />
+	</head>
+	<body scroll="no" style="OVERFLOW: hidden">
+		<div id="divInfo">
+			<table cellspacing="1" cellpadding="1" border="0" width="100%" height="100%">
+				<tr>
+					<td>
+						<table cellspacing="0" cellpadding="0" width="100%" border="0">
+							<tr>
+								<td width="100%">
+									<span fckLang="DlgImgURL">URL</span>
+								</td>
+								<td id="tdBrowse" style="DISPLAY: none" nowrap rowspan="2">
+									&nbsp; <input id="btnBrowse" onclick="BrowseServer();" type="button" value="Browse Server" fckLang="DlgBtnBrowseServer">
+								</td>
+							</tr>
+							<tr>
+								<td valign="top">
+									<input id="txtUrl" style="WIDTH: 100%" type="text" onblur="UpdatePreview();">
+								</td>
+							</tr>
+						</table>
+					</td>
+				</tr>
+				<tr>
+					<td>
+						<span fckLang="DlgImgAlt">Short Description</span><br />
+						<input id="txtAlt" style="WIDTH: 100%" type="text"><br />
+					</td>
+				</tr>
+				<tr height="100%">
+					<td valign="top">
+						<table cellspacing="0" cellpadding="0" width="100%" border="0" height="100%">
+							<tr>
+								<td valign="top">
+									<br />
+									<table cellspacing="0" cellpadding="0" border="0">
+										<tr>
+											<td nowrap><span fckLang="DlgImgWidth">Width</span>&nbsp;</td>
+											<td>
+												<input type="text" size="3" id="txtWidth" onkeyup="OnSizeChanged('Width',this.value);"></td>
+											<td nowrap rowspan="2">
+												<div id="btnLockSizes" class="BtnLocked" onmouseover="this.className = (bLockRatio ? 'BtnLocked' : 'BtnUnlocked' ) + ' BtnOver';"
+													onmouseout="this.className = (bLockRatio ? 'BtnLocked' : 'BtnUnlocked' );" title="Lock Sizes"
+													onclick="SwitchLock(this);"></div>
+												<div id="btnResetSize" class="BtnReset" onmouseover="this.className='BtnReset BtnOver';"
+													onmouseout="this.className='BtnReset';" title="Reset Size" onclick="ResetSizes();"></div>
+											</td>
+										</tr>
+										<tr>
+											<td nowrap><span fckLang="DlgImgHeight">Height</span>&nbsp;</td>
+											<td>
+												<input type="text" size="3" id="txtHeight" onkeyup="OnSizeChanged('Height',this.value);"></td>
+										</tr>
+									</table>
+									<br />
+									<table cellspacing="0" cellpadding="0" border="0">
+										<tr>
+											<td nowrap><span fckLang="DlgImgBorder">Border</span>&nbsp;</td>
+											<td>
+												<input type="text" size="2" value="" id="txtBorder" onkeyup="UpdatePreview();"></td>
+										</tr>
+										<tr>
+											<td nowrap><span fckLang="DlgImgHSpace">HSpace</span>&nbsp;</td>
+											<td>
+												<input type="text" size="2" id="txtHSpace" onkeyup="UpdatePreview();"></td>
+										</tr>
+										<tr>
+											<td nowrap><span fckLang="DlgImgVSpace">VSpace</span>&nbsp;</td>
+											<td>
+												<input type="text" size="2" id="txtVSpace" onkeyup="UpdatePreview();"></td>
+										</tr>
+										<tr>
+											<td nowrap><span fckLang="DlgImgAlign">Align</span>&nbsp;</td>
+											<td><select id="cmbAlign" onchange="UpdatePreview();">
+													<option value="" selected></option>
+													<option fckLang="DlgImgAlignLeft" value="left">Left</option>
+													<option fckLang="DlgImgAlignAbsBottom" value="absBottom">Abs Bottom</option>
+													<option fckLang="DlgImgAlignAbsMiddle" value="absMiddle">Abs Middle</option>
+													<option fckLang="DlgImgAlignBaseline" value="baseline">Baseline</option>
+													<option fckLang="DlgImgAlignBottom" value="bottom">Bottom</option>
+													<option fckLang="DlgImgAlignMiddle" value="middle">Middle</option>
+													<option fckLang="DlgImgAlignRight" value="right">Right</option>
+													<option fckLang="DlgImgAlignTextTop" value="textTop">Text Top</option>
+													<option fckLang="DlgImgAlignTop" value="top">Top</option>
+												</select>
+											</td>
+										</tr>
+									</table>
+								</td>
+								<td>&nbsp;&nbsp;&nbsp;</td>
+								<td width="100%" valign="top">
+									<table cellpadding="0" cellspacing="0" width="100%" style="TABLE-LAYOUT: fixed">
+										<tr>
+											<td><span fckLang="DlgImgPreview">Preview</span></td>
+										</tr>
+										<tr>
+											<td valign="top">
+												<div class="ImagePreviewArea">
+													<a id="lnkPreview" onclick="return false;" style="CURSOR: default"><img id="imgPreview" style="DISPLAY: none"></a>Magnus 
+													es, domine, et laudabilis valde: magna virtus tua, et sapientiae tuae non est 
+													numerus. et laudare te vult homo, aliqua portio creaturae tuae, et homo 
+													circumferens mortalitem suam, circumferens testimonium peccati sui et 
+													testimonium, quia superbis resistis: et tamen laudare te vult homo, aliqua 
+													portio creaturae tuae.tu excitas, ut laudare te delectet, quia fecisti nos ad 
+													te et inquietum est cor nostrum, donec requiescat in te. da mihi, domine, scire 
+													et intellegere, utrum sit prius invocare te an laudare te, et scire te prius 
+													sit an invocare te. sed quis te invocat nesciens te? aliud enim pro alio potest 
+													invocare nesciens. an potius invocaris, ut sciaris? quomodo autem invocabunt, 
+													in quem non crediderunt? aut quomodo credent sine praedicante? et laudabunt 
+													dominum qui requirunt eum. quaerentes enim inveniunt eum et invenientes 
+													laudabunt eum. quaeram te, domine, invocans te, et invocem te credens in te: 
+													praedicatus enim es nobis. invocat te, domine, fides mea, quam dedisti mihi, 
+													quam inspirasti mihi per humanitatem filii tui, per ministerium praedicatoris 
+													tui.
+												</div>
+											</td>
+										</tr>
+									</table>
+								</td>
+							</tr>
+						</table>
+					</td>
+				</tr>
+			</table>
+		</div>
+		<div id="divLink" style="DISPLAY: none">
+			<table cellspacing="1" cellpadding="1" border="0" width="100%">
+				<tr>
+					<td>
+						<div>
+							<span fckLang="DlgLnkURL">URL</span><br />
+							<input id="txtLnkUrl" style="WIDTH: 100%" type="text" onblur="UpdatePreview();" />
+						</div>
+						<div id="divLnkBrowseServer" align="right">
+							<input type="button" value="Browse Server" fckLang="DlgBtnBrowseServer" onclick="LnkBrowseServer();" />
+						</div>
+						<div>
+							<span fckLang="DlgLnkTarget">Target</span><br />
+							<select id="cmbLnkTarget">
+								<option value="" fckLang="DlgGenNotSet" selected="selected">&lt;not set&gt;</option>
+								<option value="_blank" fckLang="DlgLnkTargetBlank">New Window (_blank)</option>
+								<option value="_top" fckLang="DlgLnkTargetTop">Topmost Window (_top)</option>
+								<option value="_self" fckLang="DlgLnkTargetSelf">Same Window (_self)</option>
+								<option value="_parent" fckLang="DlgLnkTargetParent">Parent Window (_parent)</option>
+							</select>
+						</div>
+					</td>
+				</tr>
+			</table>
+		</div>
+		<div id="divAdvanced" style="DISPLAY: none">
+			<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
+				<tr>
+					<td valign="top" width="50%">
+						<span fckLang="DlgGenId">Id</span><br />
+						<input id="txtAttId" style="WIDTH: 100%" type="text">
+					</td>
+					<td width="1">&nbsp;&nbsp;</td>
+					<td valign="top">
+						<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
+							<tr>
+								<td width="60%">
+									<span fckLang="DlgGenLangDir">Language Direction</span><br />
+									<select id="cmbAttLangDir" style="WIDTH: 100%">
+										<option value="" fckLang="DlgGenNotSet" selected>&lt;not set&gt;</option>
+										<option value="ltr" fckLang="DlgGenLangDirLtr">Left to Right (LTR)</option>
+										<option value="rtl" fckLang="DlgGenLangDirRtl">Right to Left (RTL)</option>
+									</select>
+								</td>
+								<td width="1%">&nbsp;&nbsp;</td>
+								<td nowrap>
+									<span fckLang="DlgGenLangCode">Language Code</span><br />
+									<input id="txtAttLangCode" style="WIDTH: 100%" type="text">&nbsp;
+								</td>
+							</tr>
+						</table>
+					</td>
+				</tr>
+				<tr>
+					<td colspan="3">&nbsp;</td>
+				</tr>
+				<tr>
+					<td colspan="3">
+						<span fckLang="DlgGenLongDescr">Long Description URL</span><br />
+						<input id="txtLongDesc" style="WIDTH: 100%" type="text">
+					</td>
+				</tr>
+				<tr>
+					<td colspan="3">&nbsp;</td>
+				</tr>
+				<tr>
+					<td valign="top">
+						<span fckLang="DlgGenClass">Stylesheet Classes</span><br />
+						<input id="txtAttClasses" style="WIDTH: 100%" type="text">
+					</td>
+					<td></td>
+					<td valign="top">&nbsp;<span fckLang="DlgGenTitle">Advisory Title</span><br />
+						<input id="txtAttTitle" style="WIDTH: 100%" type="text">
+					</td>
+				</tr>
+			</table>
+			<span fckLang="DlgGenStyle">Style</span><br />
+			<input id="txtAttStyle" style="WIDTH: 100%" type="text">
+		</div>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_link/fck_link.js soojung/libs/fckeditor/editor/dialog/fck_link/fck_link.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_link/fck_link.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_link/fck_link.js	2005-06-11 10:27:24.000000000 +0900
@@ -0,0 +1,521 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_link.js
+ * 	Scripts related to the Link dialog window (see fck_link.html).
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+var oEditor		= window.parent.InnerDialogLoaded() ;
+var FCK			= oEditor.FCK ;
+var FCKLang		= oEditor.FCKLang ;
+var FCKConfig	= oEditor.FCKConfig ;
+
+//#### Dialog Tabs
+
+// Set the dialog tabs.
+window.parent.AddTab( 'Info', FCKLang.DlgLnkInfoTab ) ;
+
+if ( !FCKConfig.LinkDlgHideTarget )
+	window.parent.AddTab( 'Target', FCKLang.DlgLnkTargetTab, true ) ;
+
+// TODO : Enable File Upload (1/3).
+//window.parent.AddTab( 'Upload', 'Upload', true ) ;
+
+if ( !FCKConfig.LinkDlgHideAdvanced )
+	window.parent.AddTab( 'Advanced', FCKLang.DlgAdvancedTag ) ;
+
+// Function called when a dialog tag is selected.
+function OnDialogTabChange( tabCode )
+{
+	ShowE('divInfo'		, ( tabCode == 'Info' ) ) ;
+	ShowE('divTarget'	, ( tabCode == 'Target' ) ) ;
+//	ShowE('divUpload'	, ( tabCode == 'Upload' ) ) ;	// TODO : Enable File Upload (2/3).
+	ShowE('divAttribs'	, ( tabCode == 'Advanced' ) ) ;
+}
+
+//#### Regular Expressions library.
+var oRegex = new Object() ;
+
+oRegex.UriProtocol = new RegExp('') ;
+oRegex.UriProtocol.compile( '^(((http|https|ftp|news):\/\/)|mailto:)', 'gi' ) ;
+
+oRegex.UrlOnChangeProtocol = new RegExp('') ;
+oRegex.UrlOnChangeProtocol.compile( '^(http|https|ftp|news)://(?=.)', 'gi' ) ;
+
+oRegex.UrlOnChangeTestOther = new RegExp('') ;
+oRegex.UrlOnChangeTestOther.compile( '^(javascript:|#|/)', 'gi' ) ;
+
+oRegex.ReserveTarget = new RegExp('') ;
+oRegex.ReserveTarget.compile( '^_(blank|self|top|parent)$', 'i' ) ;
+
+oRegex.PopupUri = new RegExp('') ;
+oRegex.PopupUri.compile( "^javascript:void\\(\\s*window.open\\(\\s*'([^']+)'\\s*,\\s*(?:'([^']*)'|null)\\s*,\\s*'([^']*)'\\s*\\)\\s*\\)\\s*$" ) ;
+
+oRegex.PopupFeatures = new RegExp('') ;
+oRegex.PopupFeatures.compile( '(?:^|,)([^=]+)=(\\d+|yes|no)', 'gi' ) ;
+
+//#### Parser Functions
+
+var oParser = new Object() ;
+
+oParser.ParseEMailUrl = function( emailUrl )
+{
+	// Initializes the EMailInfo object.
+	var oEMailInfo = new Object() ;
+	oEMailInfo.Address	= '' ;
+	oEMailInfo.Subject	= '' ;
+	oEMailInfo.Body		= '' ;
+
+	var oParts = emailUrl.match( /^([^\?]+)\??(.+)?/ ) ;
+	if ( oParts )
+	{
+		// Set the e-mail address.
+		oEMailInfo.Address = oParts[1] ;
+
+		// Look for the optional e-mail parameters.
+		if ( oParts[2] )
+		{
+			var oMatch = oParts[2].match( /(^|&)subject=([^&]+)/i ) ;
+			if ( oMatch ) oEMailInfo.Subject = unescape( oMatch[2] ) ;
+
+			oMatch = oParts[2].match( /(^|&)body=([^&]+)/i ) ;
+			if ( oMatch ) oEMailInfo.Body = unescape( oMatch[2] ) ;
+		}
+	}
+
+	return oEMailInfo ;
+}
+
+oParser.CreateEMailUri = function( address, subject, body )
+{
+	var sBaseUri = 'mailto:' + address ;
+
+	var sParams = '' ;
+
+	if ( subject.length > 0 )
+		sParams = '?subject=' + escape( subject ) ;
+
+	if ( body.length > 0 )
+	{
+		sParams += ( sParams.length == 0 ? '?' : '&' ) ;
+		sParams += 'body=' + escape( body ) ;
+	}
+
+	return sBaseUri + sParams ;
+}
+
+//#### Initialization Code
+
+// oLink: The actual selected link in the editor.
+var oLink = FCK.Selection.MoveToAncestorNode( 'A' ) ;
+if ( oLink )
+	FCK.Selection.SelectNode( oLink ) ;
+
+window.onload = function()
+{
+	// Translate the dialog box texts.
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	// Fill the Anchor Names and Ids combos.
+	LoadAnchorNamesAndIds() ;
+
+	// Load the selected link information (if any).
+	LoadSelection() ;
+
+	// Update the dialog box.
+	SetLinkType( GetE('cmbLinkType').value ) ;
+
+	// Show/Hide the "Browse Server" button.
+	GetE('divBrowseServer').style.display = FCKConfig.LinkBrowser ? '' : 'none' ;
+
+	// Show the initial dialog content.
+	GetE('divInfo').style.display = '' ;
+
+	// Activate the "OK" button.
+	window.parent.SetOkButton( true ) ;
+}
+
+var bHasAnchors ;
+
+function LoadAnchorNamesAndIds()
+{
+	var aAnchors	= oEditor.FCK.EditorDocument.anchors ;
+	var aIds		= oEditor.FCKTools.GetAllChildrenIds( oEditor.FCK.EditorDocument.body ) ;
+
+	bHasAnchors = ( aAnchors.length > 0 || aIds.length > 0 ) ;
+
+	for ( var i = 0 ; i < aAnchors.length ; i++ )
+	{
+		var sName = aAnchors[i].name ;
+		if ( sName && sName.length > 0 )
+			oEditor.FCKTools.AddSelectOption( document, GetE('cmbAnchorName'), sName, sName ) ;
+	}
+
+	for ( var i = 0 ; i < aIds.length ; i++ )
+	{
+		oEditor.FCKTools.AddSelectOption( document, GetE('cmbAnchorId'), aIds[i], aIds[i] ) ;
+	}
+
+	ShowE( 'divSelAnchor'	, bHasAnchors ) ;
+	ShowE( 'divNoAnchor'	, !bHasAnchors ) ;
+}
+
+function LoadSelection()
+{
+	if ( !oLink ) return ;
+
+	var sType = 'url' ;
+
+	// Get the actual Link href.
+	var sHRef = oLink.getAttribute('href',2) + '' ;
+
+	// TODO: Wait stable version and remove the following commented lines.
+//	if ( sHRef.startsWith( FCK.BaseUrl ) )
+//		sHRef = sHRef.remove( 0, FCK.BaseUrl.length ) ;
+
+	// Look for a popup javascript link.
+	var oPopupMatch = oRegex.PopupUri.exec( sHRef ) ;
+	if( oPopupMatch )
+	{
+		GetE('cmbTarget').value = 'popup' ;
+		sHRef = oPopupMatch[1] ;
+		FillPopupFields( oPopupMatch[2], oPopupMatch[3] ) ;
+		SetTarget( 'popup' ) ;
+	}
+
+	// Search for the protocol.
+	var sProtocol = oRegex.UriProtocol.exec( sHRef ) ;
+
+	if ( sProtocol )
+	{
+		sProtocol = sProtocol[0].toLowerCase() ;
+		GetE('cmbLinkProtocol').value = sProtocol ;
+
+		// Remove the protocol and get the remainig URL.
+		var sUrl = sHRef.replace( oRegex.UriProtocol, '' ) ;
+
+		if ( sProtocol == 'mailto:' )	// It is an e-mail link.
+		{
+			sType = 'email' ;
+
+			var oEMailInfo = oParser.ParseEMailUrl( sUrl ) ;
+			GetE('txtEMailAddress').value	= oEMailInfo.Address ;
+			GetE('txtEMailSubject').value	= oEMailInfo.Subject ;
+			GetE('txtEMailBody').value		= oEMailInfo.Body ;
+		}
+		else				// It is a normal link.
+		{
+			sType = 'url' ;
+			GetE('txtUrl').value = sUrl ;
+		}
+	}
+	else if ( sHRef.substr(0,1) == '#' && sHRef.length > 2 )	// It is an anchor link.
+	{
+		sType = 'anchor' ;
+		GetE('cmbAnchorName').value = GetE('cmbAnchorId').value = sHRef.substr(1) ;
+	}
+	else					// It is another type of link.
+	{
+		sType = 'url' ;
+
+		GetE('cmbLinkProtocol').value = '' ;
+		GetE('txtUrl').value = sHRef ;
+	}
+
+	if ( !oPopupMatch )
+	{
+		// Get the target.
+		var sTarget = oLink.target ;
+
+		if ( sTarget && sTarget.length > 0 )
+		{
+			if ( oRegex.ReserveTarget.test( sTarget ) )
+			{
+				sTarget = sTarget.toLowerCase() ;
+				GetE('cmbTarget').value = sTarget ;
+			}
+			else
+				GetE('cmbTarget').value = 'frame' ;
+			GetE('txtTargetFrame').value = sTarget ;
+		}
+	}
+
+	// Get Advances Attributes
+	GetE('txtAttId').value			= oLink.id ;
+	GetE('txtAttName').value		= oLink.name ;
+	GetE('cmbAttLangDir').value		= oLink.dir ;
+	GetE('txtAttLangCode').value	= oLink.lang ;
+	GetE('txtAttAccessKey').value	= oLink.accessKey ;
+	GetE('txtAttTabIndex').value	= oLink.tabIndex <= 0 ? '' : oLink.tabIndex ;
+	GetE('txtAttTitle').value		= oLink.title ;
+	GetE('txtAttContentType').value	= oLink.type ;
+	GetE('txtAttCharSet').value		= oLink.charset ;
+
+	if ( oEditor.FCKBrowserInfo.IsIE )
+	{
+		GetE('txtAttClasses').value	= oLink.getAttribute('className',2) || '' ;
+		GetE('txtAttStyle').value	= oLink.style.cssText ;
+	}
+	else
+	{
+		GetE('txtAttClasses').value	= oLink.getAttribute('class',2) || '' ;
+		GetE('txtAttStyle').value	= oLink.getAttribute('style',2) ;
+	}
+
+	// Update the Link type combo.
+	GetE('cmbLinkType').value = sType ;
+}
+
+//#### Link type selection.
+function SetLinkType( linkType )
+{
+	ShowE('divLinkTypeUrl'		, (linkType == 'url') ) ;
+	ShowE('divLinkTypeAnchor'	, (linkType == 'anchor') ) ;
+	ShowE('divLinkTypeEMail'	, (linkType == 'email') ) ;
+
+	if ( !FCKConfig.LinkDlgHideTarget )
+		window.parent.SetTabVisibility( 'Target'	, (linkType == 'url') ) ;
+
+// TODO : Enable File Upload (3/3).
+//	window.parent.SetTabVisibility( 'Upload'	, (linkType == 'url') ) ;
+
+	if ( !FCKConfig.LinkDlgHideAdvanced )
+		window.parent.SetTabVisibility( 'Advanced'	, (linkType != 'anchor' || bHasAnchors) ) ;
+
+	if ( linkType == 'email' )
+		window.parent.SetAutoSize( true ) ;
+}
+
+//#### Target type selection.
+function SetTarget( targetType )
+{
+	GetE('tdTargetFrame').style.display	= ( targetType == 'popup' ? 'none' : '' ) ;
+	GetE('tdPopupName').style.display	=
+		GetE('tablePopupFeatures').style.display = ( targetType == 'popup' ? '' : 'none' ) ;
+
+	switch ( targetType )
+	{
+		case "_blank" :
+		case "_self" :
+		case "_parent" :
+		case "_top" :
+			GetE('txtTargetFrame').value = targetType ;
+			break ;
+		case "" :
+			GetE('txtTargetFrame').value = '' ;
+			break ;
+	}
+
+	if ( targetType == 'popup' )
+		window.parent.SetAutoSize( true ) ;
+}
+
+//#### Called while the user types the URL.
+function OnUrlChange()
+{
+	var sUrl = GetE('txtUrl').value ;
+	var sProtocol = oRegex.UrlOnChangeProtocol.exec( sUrl ) ;
+
+	if ( sProtocol )
+	{
+		sUrl = sUrl.substr( sProtocol[0].length ) ;
+		GetE('txtUrl').value = sUrl ;
+		GetE('cmbLinkProtocol').value = sProtocol[0].toLowerCase() ;
+	}
+	else if ( oRegex.UrlOnChangeTestOther.test( sUrl ) )
+	{
+		GetE('cmbLinkProtocol').value = '' ;
+	}
+}
+
+//#### Called while the user types the target name.
+function OnTargetNameChange()
+{
+	var sFrame = GetE('txtTargetFrame').value ;
+
+	if ( sFrame.length == 0 )
+		GetE('cmbTarget').value = '' ;
+	else if ( oRegex.ReserveTarget.test( sFrame ) )
+		GetE('cmbTarget').value = sFrame.toLowerCase() ;
+	else
+		GetE('cmbTarget').value = 'frame' ;
+}
+
+//#### Builds the javascript URI to open a popup to the specified URI.
+function BuildPopupUri( uri )
+{
+	var oReg = new RegExp( "'", "g" ) ;
+	var sWindowName = "'" + GetE('txtPopupName').value.replace(oReg, "\\'") + "'" ;
+
+	var sFeatures = '' ;
+	var aChkFeatures = document.getElementsByName('chkFeature') ;
+	for ( var i = 0 ; i < aChkFeatures.length ; i++ )
+	{
+		if ( i > 0 ) sFeatures += ',' ;
+		sFeatures += aChkFeatures[i].value + '=' + ( aChkFeatures[i].checked ? 'yes' : 'no' ) ;
+	}
+
+	if ( GetE('txtPopupWidth').value.length > 0 )	sFeatures += ',width=' + GetE('txtPopupWidth').value ;
+	if ( GetE('txtPopupHeight').value.length > 0 )	sFeatures += ',height=' + GetE('txtPopupHeight').value ;
+	if ( GetE('txtPopupLeft').value.length > 0 )	sFeatures += ',left=' + GetE('txtPopupLeft').value ;
+	if ( GetE('txtPopupTop').value.length > 0 )		sFeatures += ',top=' + GetE('txtPopupTop').value ;
+
+	return ( "javascript:void(window.open('" + uri + "'," + sWindowName + ",'" + sFeatures + "'))" ) ;
+}
+
+//#### Fills all Popup related fields.
+function FillPopupFields( windowName, features )
+{
+	if ( windowName )
+		GetE('txtPopupName').value = windowName ;
+
+	var oFeatures = new Object() ;
+	var oFeaturesMatch ;
+	while( ( oFeaturesMatch = oRegex.PopupFeatures.exec( features ) ) != null )
+	{
+		var sValue = oFeaturesMatch[2] ;
+		if ( sValue == ( 'yes' || '1' ) )
+			oFeatures[ oFeaturesMatch[1] ] = true ;
+		else if ( ! isNaN( sValue ) && sValue != 0 )
+			oFeatures[ oFeaturesMatch[1] ] = sValue ;
+	}
+
+	// Update all features check boxes.
+	var aChkFeatures = document.getElementsByName('chkFeature') ;
+	for ( var i = 0 ; i < aChkFeatures.length ; i++ )
+	{
+		if ( oFeatures[ aChkFeatures[i].value ] )
+			aChkFeatures[i].checked = true ;
+	}
+
+	// Update position and size text boxes.
+	if ( oFeatures['width'] )	GetE('txtPopupWidth').value		= oFeatures['width'] ;
+	if ( oFeatures['height'] )	GetE('txtPopupHeight').value	= oFeatures['height'] ;
+	if ( oFeatures['left'] )	GetE('txtPopupLeft').value		= oFeatures['left'] ;
+	if ( oFeatures['top'] )		GetE('txtPopupTop').value		= oFeatures['top'] ;
+}
+
+//#### The OK button was hit.
+function Ok()
+{
+	var sUri ;
+
+	switch ( GetE('cmbLinkType').value )
+	{
+		case 'url' :
+			sUri = GetE('txtUrl').value ;
+
+			if ( sUri.length == 0 )
+			{
+				alert( FCKLang.DlnLnkMsgNoUrl ) ;
+				return false ;
+			}
+
+			sUri = GetE('cmbLinkProtocol').value + sUri ;
+
+			if( GetE('cmbTarget').value == 'popup' )
+				sUri = BuildPopupUri( sUri ) ;
+
+			break ;
+
+		case 'email' :
+			sUri = GetE('txtEMailAddress').value ;
+
+			if ( sUri.length == 0 )
+			{
+				alert( FCKLang.DlnLnkMsgNoEMail ) ;
+				return false ;
+			}
+
+			sUri = oParser.CreateEMailUri(
+				sUri,
+				GetE('txtEMailSubject').value,
+				GetE('txtEMailBody').value ) ;
+			break ;
+
+		case 'anchor' :
+			var sAnchor = GetE('cmbAnchorName').value ;
+			if ( sAnchor.length == 0 ) sAnchor = GetE('cmbAnchorId').value ;
+
+			if ( sAnchor.length == 0 )
+			{
+				alert( FCKLang.DlnLnkMsgNoAnchor ) ;
+				return false ;
+			}
+
+			sUri = '#' + sAnchor ;
+			break ;
+	}
+
+	if ( oLink )	// Modifying an existent link.
+	{
+		oEditor.FCKUndo.SaveUndoStep() ;
+		oLink.href = sUri ;
+	}
+	else			// Creating a new link.
+	{
+		oLink = oEditor.FCK.CreateLink( sUri ) ;
+		if ( ! oLink )
+			return true ;
+	}
+
+	// Target
+	if( GetE('cmbTarget').value != 'popup' )
+		SetAttribute( oLink, 'target', GetE('txtTargetFrame').value ) ;
+	else
+		SetAttribute( oLink, 'target', null ) ;
+
+	// Advances Attributes
+	SetAttribute( oLink, 'id'		, GetE('txtAttId').value ) ;
+	SetAttribute( oLink, 'name'		, GetE('txtAttName').value ) ;		// No IE. Set but doesnt't update the outerHTML.
+	SetAttribute( oLink, 'dir'		, GetE('cmbAttLangDir').value ) ;
+	SetAttribute( oLink, 'lang'		, GetE('txtAttLangCode').value ) ;
+	SetAttribute( oLink, 'accesskey', GetE('txtAttAccessKey').value ) ;
+	SetAttribute( oLink, 'tabindex'	, ( GetE('txtAttTabIndex').value > 0 ? GetE('txtAttTabIndex').value : null ) ) ;
+	SetAttribute( oLink, 'title'	, GetE('txtAttTitle').value ) ;
+	SetAttribute( oLink, 'class'	, GetE('txtAttClasses').value ) ;
+	SetAttribute( oLink, 'type'		, GetE('txtAttContentType').value ) ;
+	SetAttribute( oLink, 'charset'	, GetE('txtAttCharSet').value ) ;
+
+	if ( oEditor.FCKBrowserInfo.IsIE )
+		oLink.style.cssText = GetE('txtAttStyle').value ;
+	else
+		SetAttribute( oLink, 'style', GetE('txtAttStyle').value ) ;
+
+	return true ;
+}
+
+function BrowseServer()
+{
+	// Set the browser window feature.
+	var iWidth	= FCKConfig.LinkBrowserWindowWidth ;
+	var iHeight	= FCKConfig.LinkBrowserWindowHeight ;
+
+	var iLeft = (screen.width  - iWidth) / 2 ;
+	var iTop  = (screen.height - iHeight) / 2 ;
+
+	var sOptions = "toolbar=no,status=no,resizable=yes,dependent=yes" ;
+	sOptions += ",width=" + iWidth ;
+	sOptions += ",height=" + iHeight ;
+	sOptions += ",left=" + iLeft ;
+	sOptions += ",top=" + iTop ;
+
+	// Open the browser window.
+	var oWindow = window.open( FCKConfig.LinkBrowserURL, "FCKBrowseWindow", sOptions ) ;
+}
+
+function SetUrl( url )
+{
+	document.getElementById('txtUrl').value = url ;
+	OnUrlChange() ;
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_link.html soojung/libs/fckeditor/editor/dialog/fck_link.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_link.html	2004-12-27 20:50:22.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_link.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,281 +1,287 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_link.html
- * 	Link dialog window.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-06-02 00:26:17
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_link.html
+ * 	Link dialog window.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-	<head>
-		<title>Link Properties</title>
-		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-		<meta name="robots" content="noindex, nofollow" />
-		<script src="js/fck_dialog_common.js" type="text/javascript"></script>
-		<script src="js/fck_link.js" type="text/javascript"></script>
-	</head>
-	<body scroll="no">
-		<div id="divInfo" style="DISPLAY: none">Link Type<br />
-			<select id="cmbLinkType" onchange="SetLinkType(this.value);">
-				<option value="url" selected="selected">URL</option>
-				<option value="anchor">Anchor in this page</option>
-				<option value="email">E-Mail</option>
-			</select>
-			<br />
-			<br />
-			<div id="divLinkTypeUrl">
-				<table cellspacing="0" cellpadding="0" width="100%" border="0">
-					<tr>
-						<td nowrap="nowrap">Protocol<br />
-							<select id="cmbLinkProtocol">
-								<option value="http://" selected="selected">http://</option>
-								<option value="https://">https://</option>
-								<option value="ftp://">ftp://</option>
-								<option value="news://">news://</option>
-								<option value="">&lt;other&gt;</option>
-							</select>
-						</td>
-						<td nowrap="nowrap">&nbsp;</td>
-						<td nowrap="nowrap" width="100%">URL<br />
-							<input id="txtUrl" style="WIDTH: 100%" type="text" onkeyup="OnUrlChange();" onchange="OnUrlChange();" />
-						</td>
-					</tr>
-				</table>
-				<br />
-				<div id="divBrowseServer">
-				<input type="button" value="Browse Server" onclick="BrowseServer();" />
-				</div>
-			</div>
-			<div id="divLinkTypeAnchor" style="DISPLAY: none" align="center">
-				<div id="divSelAnchor" style="DISPLAY: none">
-					<table cellspacing="0" cellpadding="0" border="0" width="70%">
-						<tr>
-							<td colspan="3">Select an Anchor</td>
-						</tr>
-						<tr>
-							<td width="50%">
-								By Anchor Name<br />
-								<select id="cmbAnchorName" onchange="GetE('cmbAnchorId').value='';" style="WIDTH: 100%">
-									<option value="" selected="selected"></option>
-								</select>
-							</td>
-							<td>&nbsp;&nbsp;&nbsp;</td>
-							<td width="50%">
-								By Element Id<br />
-								<select id="cmbAnchorId" onchange="GetE('cmbAnchorName').value='';" style="WIDTH: 100%">
-									<option value="" selected="selected"></option>
-								</select>
-							</td>
-						</tr>
-					</table>
-				</div>
-				<div id="divNoAnchor" style="DISPLAY: none">
-					&lt;No anchors available in the document&gt;
-				</div>
-			</div>
-			<div id="divLinkTypeEMail" style="DISPLAY: none">E-Mail Address<br />
-				<input id="txtEMailAddress" style="WIDTH: 100%" type="text" /><br />
-				Message Subject<br />
-				<input id="txtEMailSubject" style="WIDTH: 100%" type="text" /><br />
-				Message Body<br />
-				<textarea id="txtEMailBody" style="WIDTH: 100%" rows="3" cols="20"></textarea>
-			</div>
-		</div>
-		<div id="divUpload" style="DISPLAY: none">
-			<form method="post" target="UploadWindow" enctype="multipart/form-data" action="">
-				Upload<br />
-				<input style="WIDTH: 100%" type="file" size="40" /><br />
-				<br />
-				<input id="btnUpload" onclick="uploadFile();" type="button" value="Send it to the Server"
-					fckLang="DlgLnkBtnUpload" />
-			</form>
-		</div>
-		<div id="divTarget" style="DISPLAY: none">
-			<table cellspacing="0" cellpadding="0" width="100%" border="0">
-				<tr>
-					<td nowrap="nowrap">Target<br />
-						<select id="cmbTarget" onchange="SetTarget(this.value);">
-							<option value="" selected="selected">&lt;not set&gt;</option>
-							<option value="frame">&lt;frame&gt;</option>
-							<option value="popup">&lt;popup window&gt;</option>
-							<option value="_blank">New Window (_blank)</option>
-							<option value="_top">Topmost Window (_top)</option>
-							<option value="_self">Same Window (_self)</option>
-							<option value="_parent">Parent Window (_parent)</option>
-						</select>
-					</td>
-					<td>&nbsp;</td>
-					<td id="tdTargetFrame" nowrap="nowrap" width="100%">Target Frame Name<br />
-						<input id="txtTargetFrame" style="WIDTH: 100%" type="text" onkeyup="OnTargetNameChange();"
-							onchange="OnTargetNameChange();" />
-					</td>
-					<td id="tdPopupName" style="DISPLAY: none" nowrap="nowrap" width="100%">Popup 
-						Window Name<br />
-						<input id="txtPopupName" style="WIDTH: 100%" type="text" />
-					</td>
-				</tr>
-			</table>
-			<br />
-			<table id="tablePopupFeatures" style="DISPLAY: none" cellspacing="0" cellpadding="0" align="center"
-				border="0">
-				<tr>
-					<td>Popup Window Features<br />
-						<table cellspacing="0" cellpadding="0" border="0">
-							<tr>
-								<td valign="top" nowrap="nowrap" width="50%">
-									<input id="chkPopupResizable" name="chkFeature" value="resizable" type="checkbox" /><label for="chkPopupResizable">Resizable</label><br />
-									<input id="chkPopupLocationBar" name="chkFeature" value="location" type="checkbox" /><label for="chkPopupLocationBar">Location 
-										Bar</label><br />
-									<input id="chkPopupManuBar" name="chkFeature" value="menubar" type="checkbox" /><label for="chkPopupManuBar">Menu 
-										Bar</label><br />
-									<input id="chkPopupScrollBars" name="chkFeature" value="scrollbars" type="checkbox" /><label for="chkPopupScrollBars">Scroll 
-										Bars</label>
-								</td>
-								<td></td>
-								<td valign="top" nowrap="nowrap" width="50%">
-									<input id="chkPopupStatusBar" name="chkFeature" value="status" type="checkbox" /><label for="chkPopupStatusBar">Status 
-										Bar</label><br />
-									<input id="chkPopupToolbar" name="chkFeature" value="toolbar" type="checkbox" /><label for="chkPopupToolbar">Toolbar</label><br />
-									<input id="chkPopupFullScreen" name="chkFeature" value="fullscreen" type="checkbox" /><label for="chkPopupFullScreen">Full 
-										Screen (IE)</label><br />
-									<input id="chkPopupDependent" name="chkFeature" value="dependent" type="checkbox" /><label for="chkPopupDependent">Dependent 
-										(Netscape)</label>
-								</td>
-							</tr>
-							<tr>
-								<td valign="top" nowrap="nowrap" width="50%">&nbsp;</td>
-								<td></td>
-								<td valign="top" nowrap="nowrap" width="50%"></td>
-							</tr>
-							<tr>
-								<td valign="top">
-									<table cellspacing="0" cellpadding="0" border="0">
-										<tr>
-											<td nowrap="nowrap">Width</td>
-											<td>&nbsp;<input id="txtPopupWidth" type="text" maxlength="4" size="4" /></td>
-										</tr>
-										<tr>
-											<td nowrap="nowrap">Height</td>
-											<td>&nbsp;<input id="txtPopupHeight" type="text" maxlength="4" size="4" /></td>
-										</tr>
-									</table>
-								</td>
-								<td>&nbsp;&nbsp;</td>
-								<td valign="top">
-									<table cellspacing="0" cellpadding="0" border="0">
-										<tr>
-											<td nowrap="nowrap">Left Position</td>
-											<td>&nbsp;<input id="txtPopupLeft" type="text" maxlength="4" size="4" /></td>
-										</tr>
-										<tr>
-											<td nowrap="nowrap">Top Position</td>
-											<td>&nbsp;<input id="txtPopupTop" type="text" maxlength="4" size="4" /></td>
-										</tr>
-									</table>
-								</td>
-							</tr>
-						</table>
-					</td>
-				</tr>
-			</table>
-		</div>
-		<div id="divAttribs" style="DISPLAY: none">
-			<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
-				<tr>
-					<td valign="top" width="50%">
-						Id<br />
-						<input id="txtAttId" style="WIDTH: 100%" type="text" />
-					</td>
-					<td width="1"></td>
-					<td valign="top">
-						<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
-							<tr>
-								<td width="60%">
-									Language Direction<br />
-									<select id="cmbAttLangDir" style="WIDTH: 100%">
-										<option value="" selected="selected">&lt;not set&gt;</option>
-										<option value="ltr">Left to Right (LTR)</option>
-										<option value="rtl">Right to Left (RTL)</option>
-									</select>
-								</td>
-								<td width="1%">&nbsp;&nbsp;&nbsp;</td>
-								<td nowrap="nowrap">Access Key<br />
-									<input id="txtAttAccessKey" style="WIDTH: 100%" type="text" maxlength="1" size="1" />
-								</td>
-							</tr>
-						</table>
-					</td>
-				</tr>
-				<tr>
-					<td valign="top" width="50%">
-						Name<br />
-						<input id="txtAttName" style="WIDTH: 100%" type="text" />
-					</td>
-					<td width="1"></td>
-					<td valign="top">
-						<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
-							<tr>
-								<td width="60%">
-									Language Code<br />
-									<input id="txtAttLangCode" style="WIDTH: 100%" type="text" />
-								</td>
-								<td width="1%">&nbsp;&nbsp;&nbsp;</td>
-								<td nowrap="nowrap">
-									Tab Index<br />
-									<input id="txtAttTabIndex" style="WIDTH: 100%" type="text" maxlength="5" size="5" />
-								</td>
-							</tr>
-						</table>
-					</td>
-				</tr>
-				<tr>
-					<td valign="top" width="50%">&nbsp;</td>
-					<td width="1"></td>
-					<td valign="top"></td>
-				</tr>
-				<tr>
-					<td valign="top" width="50%">
-						Advisory Title<br />
-						<input id="txtAttTitle" style="WIDTH: 100%" type="text" />
-					</td>
-					<td width="1">&nbsp;&nbsp;&nbsp;</td>
-					<td valign="top">
-						Advisory Content Type<br />
-						<input id="txtAttContentType" style="WIDTH: 100%" type="text" />
-					</td>
-				</tr>
-				<tr>
-					<td valign="top">
-						Stylesheet Classes<br />
-						<input id="txtAttClasses" style="WIDTH: 100%" type="text" />
-					</td>
-					<td></td>
-					<td valign="top">
-						Linked Resource Charset<br />
-						<input id="txtAttCharSet" style="WIDTH: 100%" type="text" />
-					</td>
-				</tr>
-			</table>
-			<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
-				<tr>
-					<td>
-						Style<br />
-						<input id="txtAttStyle" style="WIDTH: 100%" type="text" />
-					</td>
-				</tr>
-			</table>
-		</div>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<title>Link Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+		<meta name="robots" content="noindex, nofollow" />
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script src="fck_link/fck_link.js" type="text/javascript"></script>
+	</head>
+	<body scroll="no" style="OVERFLOW: hidden">
+		<div id="divInfo" style="DISPLAY: none">
+			<span fckLang="DlgLnkType">Link Type</span><br />
+			<select id="cmbLinkType" onchange="SetLinkType(this.value);">
+				<option value="url" fckLang="DlgLnkTypeURL" selected="selected">URL</option>
+				<option value="anchor" fckLang="DlgLnkTypeAnchor">Anchor in this page</option>
+				<option value="email" fckLang="DlgLnkTypeEMail">E-Mail</option>
+			</select>
+			<br />
+			<br />
+			<div id="divLinkTypeUrl">
+				<table cellspacing="0" cellpadding="0" width="100%" border="0" dir="ltr">
+					<tr>
+						<td nowrap="nowrap">
+							<span fckLang="DlgLnkProto">Protocol</span><br />
+							<select id="cmbLinkProtocol">
+								<option value="http://" selected="selected">http://</option>
+								<option value="https://">https://</option>
+								<option value="ftp://">ftp://</option>
+								<option value="news://">news://</option>
+								<option value="" fckLang="DlgLnkProtoOther">&lt;other&gt;</option>
+							</select>
+						</td>
+						<td nowrap="nowrap">&nbsp;</td>
+						<td nowrap="nowrap" width="100%">
+							<span fckLang="DlgLnkURL">URL</span><br />
+							<input id="txtUrl" style="WIDTH: 100%" type="text" onkeyup="OnUrlChange();" onchange="OnUrlChange();" />
+						</td>
+					</tr>
+				</table>
+				<br />
+				<div id="divBrowseServer">
+				<input type="button" value="Browse Server" fckLang="DlgBtnBrowseServer" onclick="BrowseServer();" />
+				</div>
+			</div>
+			<div id="divLinkTypeAnchor" style="DISPLAY: none" align="center">
+				<div id="divSelAnchor" style="DISPLAY: none">
+					<table cellspacing="0" cellpadding="0" border="0" width="70%">
+						<tr>
+							<td colspan="3">
+								<span fckLang="DlgLnkAnchorSel">Select an Anchor</span>
+							</td>
+						</tr>
+						<tr>
+							<td width="50%">
+								<span fckLang="DlgLnkAnchorByName">By Anchor Name</span><br />
+								<select id="cmbAnchorName" onchange="GetE('cmbAnchorId').value='';" style="WIDTH: 100%">
+									<option value="" selected="selected"></option>
+								</select>
+							</td>
+							<td>&nbsp;&nbsp;&nbsp;</td>
+							<td width="50%">
+								<span fckLang="DlgLnkAnchorById">By Element Id</span><br />
+								<select id="cmbAnchorId" onchange="GetE('cmbAnchorName').value='';" style="WIDTH: 100%">
+									<option value="" selected="selected"></option>
+								</select>
+							</td>
+						</tr>
+					</table>
+				</div>
+				<div id="divNoAnchor" style="DISPLAY: none">
+					<span fckLang="DlgLnkNoAnchors">&lt;No anchors available in the document&gt;</span>
+				</div>
+			</div>
+			<div id="divLinkTypeEMail" style="DISPLAY: none">
+				<span fckLang="DlgLnkEMail">E-Mail Address</span><br />
+				<input id="txtEMailAddress" style="WIDTH: 100%" type="text" /><br />
+				<span fckLang="DlgLnkEMailSubject">Message Subject</span><br />
+				<input id="txtEMailSubject" style="WIDTH: 100%" type="text" /><br />
+				<span fckLang="DlgLnkEMailBody">Message Body</span><br />
+				<textarea id="txtEMailBody" style="WIDTH: 100%" rows="3" cols="20"></textarea>
+			</div>
+		</div>
+		<div id="divUpload" style="DISPLAY: none">
+			<form method="post" target="UploadWindow" enctype="multipart/form-data" action="">
+				<span fckLang="DlgLnkUpload">Upload</span><br />
+				<input style="WIDTH: 100%" type="file" size="40" /><br />
+				<br />
+				<input id="btnUpload" onclick="uploadFile();" type="button" value="Send it to the Server"
+					fckLang="DlgLnkBtnUpload" />
+			</form>
+		</div>
+		<div id="divTarget" style="DISPLAY: none">
+			<table cellspacing="0" cellpadding="0" width="100%" border="0">
+				<tr>
+					<td nowrap="nowrap">
+						<span fckLang="DlgLnkTarget">Target</span><br />
+						<select id="cmbTarget" onchange="SetTarget(this.value);">
+							<option value="" fckLang="DlgGenNotSet" selected="selected">&lt;not set&gt;</option>
+							<option value="frame" fckLang="DlgLnkTargetFrame">&lt;frame&gt;</option>
+							<option value="popup" fckLang="DlgLnkTargetPopup">&lt;popup window&gt;</option>
+							<option value="_blank" fckLang="DlgLnkTargetBlank">New Window (_blank)</option>
+							<option value="_top" fckLang="DlgLnkTargetTop">Topmost Window (_top)</option>
+							<option value="_self" fckLang="DlgLnkTargetSelf">Same Window (_self)</option>
+							<option value="_parent" fckLang="DlgLnkTargetParent">Parent Window (_parent)</option>
+						</select>
+					</td>
+					<td>&nbsp;</td>
+					<td id="tdTargetFrame" nowrap="nowrap" width="100%">
+						<span fckLang="DlgLnkTargetFrameName">Target Frame Name</span><br />
+						<input id="txtTargetFrame" style="WIDTH: 100%" type="text" onkeyup="OnTargetNameChange();"
+							onchange="OnTargetNameChange();" />
+					</td>
+					<td id="tdPopupName" style="DISPLAY: none" nowrap="nowrap" width="100%">
+						<span fckLang="DlgLnkPopWinName">Popup Window Name</span><br />
+						<input id="txtPopupName" style="WIDTH: 100%" type="text" />
+					</td>
+				</tr>
+			</table>
+			<br />
+			<table id="tablePopupFeatures" style="DISPLAY: none" cellspacing="0" cellpadding="0" align="center"
+				border="0">
+				<tr>
+					<td>
+						<span fckLang="DlgLnkPopWinFeat">Popup Window Features</span><br />
+						<table cellspacing="0" cellpadding="0" border="0">
+							<tr>
+								<td valign="top" nowrap="nowrap" width="50%">
+									<input id="chkPopupResizable" name="chkFeature" value="resizable" type="checkbox" /><label for="chkPopupResizable" fckLang="DlgLnkPopResize">Resizable</label><br />
+									<input id="chkPopupLocationBar" name="chkFeature" value="location" type="checkbox" /><label for="chkPopupLocationBar" fckLang="DlgLnkPopLocation">Location 
+										Bar</label><br />
+									<input id="chkPopupManuBar" name="chkFeature" value="menubar" type="checkbox" /><label for="chkPopupManuBar" fckLang="DlgLnkPopMenu">Menu 
+										Bar</label><br />
+									<input id="chkPopupScrollBars" name="chkFeature" value="scrollbars" type="checkbox" /><label for="chkPopupScrollBars" fckLang="DlgLnkPopScroll">Scroll 
+										Bars</label>
+								</td>
+								<td></td>
+								<td valign="top" nowrap="nowrap" width="50%">
+									<input id="chkPopupStatusBar" name="chkFeature" value="status" type="checkbox" /><label for="chkPopupStatusBar" fckLang="DlgLnkPopStatus">Status 
+										Bar</label><br />
+									<input id="chkPopupToolbar" name="chkFeature" value="toolbar" type="checkbox" /><label for="chkPopupToolbar" fckLang="DlgLnkPopToolbar">Toolbar</label><br />
+									<input id="chkPopupFullScreen" name="chkFeature" value="fullscreen" type="checkbox" /><label for="chkPopupFullScreen" fckLang="DlgLnkPopFullScrn">Full 
+										Screen (IE)</label><br />
+									<input id="chkPopupDependent" name="chkFeature" value="dependent" type="checkbox" /><label for="chkPopupDependent" fckLang="DlgLnkPopDependent">Dependent 
+										(Netscape)</label>
+								</td>
+							</tr>
+							<tr>
+								<td valign="top" nowrap="nowrap" width="50%">&nbsp;</td>
+								<td></td>
+								<td valign="top" nowrap="nowrap" width="50%"></td>
+							</tr>
+							<tr>
+								<td valign="top">
+									<table cellspacing="0" cellpadding="0" border="0">
+										<tr>
+											<td nowrap="nowrap"><span fckLang="DlgLnkPopWidth">Width</span></td>
+											<td>&nbsp;<input id="txtPopupWidth" type="text" maxlength="4" size="4" /></td>
+										</tr>
+										<tr>
+											<td nowrap="nowrap"><span fckLang="DlgLnkPopHeight">Height</span></td>
+											<td>&nbsp;<input id="txtPopupHeight" type="text" maxlength="4" size="4" /></td>
+										</tr>
+									</table>
+								</td>
+								<td>&nbsp;&nbsp;</td>
+								<td valign="top">
+									<table cellspacing="0" cellpadding="0" border="0">
+										<tr>
+											<td nowrap="nowrap"><span fckLang="DlgLnkPopLeft">Left Position</span></td>
+											<td>&nbsp;<input id="txtPopupLeft" type="text" maxlength="4" size="4" /></td>
+										</tr>
+										<tr>
+											<td nowrap="nowrap"><span fckLang="DlgLnkPopTop">Top Position</span></td>
+											<td>&nbsp;<input id="txtPopupTop" type="text" maxlength="4" size="4" /></td>
+										</tr>
+									</table>
+								</td>
+							</tr>
+						</table>
+					</td>
+				</tr>
+			</table>
+		</div>
+		<div id="divAttribs" style="DISPLAY: none">
+			<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
+				<tr>
+					<td valign="top" width="50%">
+						<span fckLang="DlgGenId">Id</span><br />
+						<input id="txtAttId" style="WIDTH: 100%" type="text" />
+					</td>
+					<td width="1"></td>
+					<td valign="top">
+						<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
+							<tr>
+								<td width="60%">
+									<span fckLang="DlgGenLangDir">Language Direction</span><br />
+									<select id="cmbAttLangDir" style="WIDTH: 100%">
+										<option value="" fckLang="DlgGenNotSet" selected>&lt;not set&gt;</option>
+										<option value="ltr" fckLang="DlgGenLangDirLtr">Left to Right (LTR)</option>
+										<option value="rtl" fckLang="DlgGenLangDirRtl">Right to Left (RTL)</option>
+									</select>
+								</td>
+								<td width="1%">&nbsp;&nbsp;&nbsp;</td>
+								<td nowrap="nowrap"><span fckLang="DlgGenAccessKey">Access Key</span><br />
+									<input id="txtAttAccessKey" style="WIDTH: 100%" type="text" maxlength="1" size="1" />
+								</td>
+							</tr>
+						</table>
+					</td>
+				</tr>
+				<tr>
+					<td valign="top" width="50%">
+						<span fckLang="DlgGenName">Name</span><br />
+						<input id="txtAttName" style="WIDTH: 100%" type="text" />
+					</td>
+					<td width="1"></td>
+					<td valign="top">
+						<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
+							<tr>
+								<td width="60%">
+									<span fckLang="DlgGenLangCode">Language Code</span><br />
+									<input id="txtAttLangCode" style="WIDTH: 100%" type="text" />
+								</td>
+								<td width="1%">&nbsp;&nbsp;&nbsp;</td>
+								<td nowrap="nowrap">
+									<span fckLang="DlgGenTabIndex">Tab Index</span><br />
+									<input id="txtAttTabIndex" style="WIDTH: 100%" type="text" maxlength="5" size="5" />
+								</td>
+							</tr>
+						</table>
+					</td>
+				</tr>
+				<tr>
+					<td valign="top" width="50%">&nbsp;</td>
+					<td width="1"></td>
+					<td valign="top"></td>
+				</tr>
+				<tr>
+					<td valign="top" width="50%">
+						<span fckLang="DlgGenTitle">Advisory Title</span><br />
+						<input id="txtAttTitle" style="WIDTH: 100%" type="text" />
+					</td>
+					<td width="1">&nbsp;&nbsp;&nbsp;</td>
+					<td valign="top">
+						<span fckLang="DlgGenContType">Advisory Content Type</span><br />
+						<input id="txtAttContentType" style="WIDTH: 100%" type="text" />
+					</td>
+				</tr>
+				<tr>
+					<td valign="top">
+						<span fckLang="DlgGenClass">Stylesheet Classes</span><br />
+						<input id="txtAttClasses" style="WIDTH: 100%" type="text" />
+					</td>
+					<td></td>
+					<td valign="top">
+						<span fckLang="DlgGenLinkCharset">Linked Resource Charset</span><br />
+						<input id="txtAttCharSet" style="WIDTH: 100%" type="text" />
+					</td>
+				</tr>
+			</table>
+			<table cellspacing="0" cellpadding="0" width="100%" align="center" border="0">
+				<tr>
+					<td>
+						<span fckLang="DlgGenStyle">Style</span><br />
+						<input id="txtAttStyle" style="WIDTH: 100%" type="text" />
+					</td>
+				</tr>
+			</table>
+		</div>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_listprop.html soojung/libs/fckeditor/editor/dialog/fck_listprop.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_listprop.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_listprop.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,99 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_listprop.html
+ * 	Bulleted List dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Bulleted List Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+var oActiveEl = oEditor.FCKSelection.MoveToAncestorNode( 'UL' ) ;
+var oActiveSel ;
+
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	if ( oActiveEl )
+		oActiveSel = GetE('selBulleted') ;
+	else
+	{
+		oActiveEl = oEditor.FCKSelection.MoveToAncestorNode( 'OL' ) ;
+		if ( oActiveEl )
+			oActiveSel = GetE('selNumbered') ;
+	}
+
+	oActiveSel.style.display = '' ;
+
+	if ( oActiveEl )
+	{
+		if ( oActiveEl.getAttribute('type') )
+			oActiveSel.value = oActiveEl.getAttribute('type').toLowerCase() ;
+	}
+
+	window.parent.SetOkButton( true ) ;
+}
+
+function Ok()
+{
+	if ( oActiveEl )
+		SetAttribute( oActiveEl, 'type'	, oActiveSel.value ) ;
+
+	return true ;
+}
+
+		</script>
+	</head>
+	<body style="OVERFLOW: hidden" scroll="no">
+		<table width="100%" height="100%">
+			<tr>
+				<td>
+					<table cellspacing="0" cellpadding="0" border="0" align="center">
+						<tr>
+							<td>
+								<span fckLang="DlgLstType">List Type</span><br>
+								<select id="selBulleted" style="DISPLAY: none">
+									<option value="" selected></option>
+									<option value="circle" fckLang="DlgLstTypeCircle">Circle</option>
+									<option value="disk" fckLang="DlgLstTypeDisk">Disk</option>
+									<option value="square" fckLang="DlgLstTypeSquare">Square</option>
+								</select>
+								<select id="selNumbered" style="DISPLAY: none">
+									<option value="" selected></option>
+									<option value="1" fckLang="DlgLstTypeNumbers">Numbers (1, 2, 3)</option>
+									<option value="a" fckLang="DlgLstTypeLCase">Lowercase Letters (a, b, c)</option>
+									<option value="A" fckLang="DlgLstTypeUCase">Uppercase Letters (A, B, C)</option>
+									<option value="i" fckLang="DlgLstTypeSRoman">Small Roman Numerals (i, ii, iii)</option>
+									<option value="I" fckLang="DlgLstTypeLRoman">Large Roman Numerals (I, II, III)</option>
+								</select>
+								&nbsp;
+							</td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_paste.html soojung/libs/fckeditor/editor/dialog/fck_paste.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_paste.html	2004-12-27 20:50:22.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_paste.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,86 +1,81 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"> <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_paste.html
- * 	This dialog is shown when, for some reason (usually security settings), 
- * 	the user is not able to paste data from the clipboard to the editor using 
- * 	the toolbar buttons or the context menu.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-08-31 00:02:26
- * 
- * File Authors:
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_paste.html
+ * 	This dialog is shown when, for some reason (usually security settings), 
+ * 	the user is not able to paste data from the clipboard to the editor using 
+ * 	the toolbar buttons or the context menu.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<html>
-	<head>
-		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-		<meta name="robots" content="noindex, nofollow">
-		<script language="javascript">
-var dialogArguments = window.parent.InnerDialogLoaded() ;
-
-// Sets the Skin CSS
-document.write( '<link href="' + dialogArguments.FCKConfig.SkinPath + 'fck_dialog.css" type="text/css" rel="stylesheet">' ) ;
-
-function OnLoad()
-{
-	if ( window.parent.dialogArguments.CustomValue == 'Word' )
-	{
-		document.getElementById('frmData').style.display = '' ;
-		document.getElementById('frmData').contentDocument.designMode = 'on' ;
-	}
-	else
-		document.getElementById('txtData').style.display = '' ;
-
-	// First of all, translate the dialog box texts
-	dialogArguments.FCKLanguageManager.TranslatePage(document) ;
-	
-	window.parent.SetOkButton( true ) ;	
-	window.parent.SetScrollBar( false ) ;	
-}
-
-function Ok()
-{
-	if ( window.parent.dialogArguments.CustomValue == 'Word' )
-	{
-		var sHtml = document.getElementById('frmData').contentDocument.body.innerHTML ;
-		dialogArguments.FCK.CleanAndPaste( sHtml ) ;
-	}
-	else
-	{
-		var sText = dialogArguments.FCKTools.HTMLEncode( document.getElementById('txtData').value )  ;
-		sText = sText.replace( /\n/g, '<BR>' ) ;
-		dialogArguments.FCK.InsertHtml( sText ) ;
-	}
-	
-	return true ;
-}
-		</script>
-	</head>
-	<body onload="OnLoad()" scroll="no">
-		<table height="98%" cellspacing="0" cellpadding="0" width="100%" border="0">
-			<tr>
-				<td>
-					The editor was not able to automaticaly execute pasting because of the <STRONG>secutiry 
-						settings</STRONG> of your browser.
-					<BR>
-					Please paste inside the following box using the keyboard (<STRONG>Ctrl+V</STRONG>) 
-					and hit <STRONG>OK</STRONG>.
-				</td>
-			</tr>
-			<tr>
-				<td valign="top" height="100%" style="BORDER-RIGHT: #000000 1px solid; BORDER-TOP: #000000 1px solid; BORDER-LEFT: #000000 1px solid; BORDER-BOTTOM: #000000 1px solid">
-					<textarea id="txtData" style="BORDER-RIGHT: #000000 1px; BORDER-TOP: #000000 1px; DISPLAY: none; BORDER-LEFT: #000000 1px; WIDTH: 99%; BORDER-BOTTOM: #000000 1px; HEIGHT: 98%"></textarea>
-					<iframe id="frmData" height="98%" width="99%" frameborder="no" style="BORDER-RIGHT: #000000 1px; BORDER-TOP: #000000 1px; DISPLAY: none; BORDER-LEFT: #000000 1px; BORDER-BOTTOM: #000000 1px; BACKGROUND-COLOR: #ffffff"></iframe>
-				</td>
-			</tr>
-		</table>
-	</body>
-</html>
+-->
+<html>
+	<head>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta name="robots" content="noindex, nofollow">
+		<script language="javascript">
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+window.onload = function ()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+	
+	window.parent.SetOkButton( true ) ;	
+
+	if ( window.parent.dialogArguments.CustomValue == 'Word' )
+	{
+		var oFrame = document.getElementById('frmData')
+		oFrame.style.display = '' ;
+		oFrame.contentDocument.designMode = 'on' ;
+	}
+	else
+		document.getElementById('txtData').style.display = '' ;
+}
+
+function Ok()
+{
+	if ( window.parent.dialogArguments.CustomValue == 'Word' )
+	{
+		var sHtml = document.getElementById('frmData').contentDocument.body.innerHTML ;
+		oEditor.FCK.CleanAndPaste( sHtml ) ;
+	}
+	else
+	{
+		var sText = oEditor.FCKTools.HTMLEncode( document.getElementById('txtData').value )  ;
+		sText = sText.replace( /\n/g, '<BR>' ) ;
+		oEditor.FCK.InsertHtml( sText ) ;
+	}
+	
+	return true ;
+}
+		</script>
+	</head>
+	<body scroll="no" style="OVERFLOW: hidden">
+		<table height="98%" cellspacing="0" cellpadding="0" width="100%" border="0">
+			<tr>
+				<td>
+					<span fckLang="DlgPasteMsg">The editor was not able to automaticaly execute pasting 
+						because of the <STRONG>security settings</STRONG> of your browser.
+						<BR>
+						Please paste inside the following box using the keyboard (<STRONG>Ctrl+V</STRONG>) 
+						and hit <STRONG>OK</STRONG>.</span>
+				</td>
+			</tr>
+			<tr>
+				<td valign="top" height="100%" style="BORDER-RIGHT: #000000 1px solid; BORDER-TOP: #000000 1px solid; BORDER-LEFT: #000000 1px solid; BORDER-BOTTOM: #000000 1px solid">
+					<textarea id="txtData" style="BORDER-RIGHT: #000000 1px; BORDER-TOP: #000000 1px; DISPLAY: none; BORDER-LEFT: #000000 1px; WIDTH: 99%; BORDER-BOTTOM: #000000 1px; HEIGHT: 98%"></textarea>
+					<iframe id="frmData" src="../fckblank.html" height="98%" width="99%" frameborder="no" style="BORDER-RIGHT: #000000 1px; BORDER-TOP: #000000 1px; DISPLAY: none; BORDER-LEFT: #000000 1px; BORDER-BOTTOM: #000000 1px; BACKGROUND-COLOR: #ffffff"></iframe>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_radiobutton.html soojung/libs/fckeditor/editor/dialog/fck_radiobutton.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_radiobutton.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_radiobutton.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,98 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_radiobutton.html
+ * 	Radio Button dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Radio Button Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+var oActiveEl = oEditor.FCKSelection.GetSelectedElement() ;
+
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	if ( oActiveEl && oActiveEl.tagName.toUpperCase() == 'INPUT' && oActiveEl.type == 'radio' )
+	{
+		GetE('txtName').value		= oActiveEl.name ;
+		GetE('txtValue').value		= GetAttribute( oActiveEl, 'value' ) ;
+		GetE('txtSelected').checked	= oActiveEl.checked ;
+	}
+	else
+		oActiveEl = null ;
+
+	window.parent.SetOkButton( true ) ;
+}
+
+function Ok()
+{
+	if ( !oActiveEl )
+	{
+		oActiveEl = oEditor.FCK.EditorDocument.createElement( 'INPUT' ) ;
+		oActiveEl.type = 'radio' ;
+		oActiveEl = oEditor.FCK.InsertElementAndGetIt( oActiveEl ) ;
+	}
+
+	oActiveEl.name = GetE('txtName').value ;
+	SetAttribute( oActiveEl, 'value', GetE('txtValue').value ) ;
+
+	if ( GetE('txtSelected').checked )
+	{
+		SetAttribute( oActiveEl, 'checked', 'checked' ) ;
+		oActiveEl.checked = GetE('txtSelected').checked ;
+	}
+
+	return true ;
+}
+
+		</script>
+	</head>
+	<body style="OVERFLOW: hidden" scroll="no">
+		<table height="100%" width="100%">
+			<tr>
+				<td align="center">
+					<table border="0" cellpadding="0" cellspacing="0" width="80%">
+						<tr>
+							<td>
+								<span fckLang="DlgCheckboxName">Name</span><br>
+								<input type="text" size="20" id="txtName" style="WIDTH: 100%">
+							</td>
+						</tr>
+						<tr>
+							<td>
+								<span fckLang="DlgCheckboxValue">Value</span><br>
+								<input type="text" size="20" id="txtValue" style="WIDTH: 100%">
+							</td>
+						</tr>
+						<tr>
+							<td><input type="checkbox" id="txtSelected"><label for="txtSelected" fckLang="DlgCheckboxSelected">Checked</label></td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_replace.html soojung/libs/fckeditor/editor/dialog/fck_replace.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_replace.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_replace.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,129 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_replace.html
+ * 	"Replace" dialog box window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ * 		Abdul-Aziz A. Al-Oraij (aziz.oraij.com)
+-->
+<html>
+	<head>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+function OnLoad()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage( document ) ;
+
+	window.parent.SetAutoSize( true ) ;
+
+	oEditor.FCKUndo.SaveUndoStep() ;
+}
+
+function btnStat(frm)
+{
+	document.getElementById('btnReplace').disabled = 
+		document.getElementById('btnReplaceAll').disabled = 
+			( document.getElementById('txtFind').value.length == 0 ) ;
+}
+
+function ReplaceTextNodes( parentNode, regex, replaceValue, replaceAll, hasFound )
+{
+	for ( var i = 0 ; i < parentNode.childNodes.length ; i++ )
+	{
+		var oNode = parentNode.childNodes[i] ;
+		if ( oNode.nodeType == 3 )
+		{
+			var sReplaced = oNode.nodeValue.replace( regex, replaceValue ) ;
+			if ( oNode.nodeValue != sReplaced )
+			{
+				oNode.nodeValue = sReplaced ;
+				if ( ! replaceAll )
+					return true ;
+				hasFound = true ;
+			}
+		}
+
+		hasFound = ReplaceTextNodes( oNode, regex, replaceValue, replaceAll, hasFound ) ;
+		if ( ! replaceAll && hasFound )
+			return true ;
+	}
+	
+	return hasFound ;
+}
+
+function GetRegexExpr()
+{
+	if ( document.getElementById('chkWord').checked )
+		var sExpr = '\\b' + document.getElementById('txtFind').value + '\\b' ;
+	else
+		var sExpr = document.getElementById('txtFind').value ;
+		
+	return sExpr ;
+}
+
+function GetCase() 
+{
+	return ( document.getElementById('chkCase').checked ? '' : 'i' ) ;
+}
+
+function Replace()
+{
+	var oRegex = new RegExp( GetRegexExpr(), GetCase() ) ;
+	ReplaceTextNodes( oEditor.FCK.EditorDocument.body, oRegex, document.getElementById('txtReplace').value, false, false ) ;
+}
+
+function ReplaceAll()
+{
+	var oRegex = new RegExp( GetRegexExpr(), GetCase() + 'g' ) ;
+	ReplaceTextNodes( oEditor.FCK.EditorDocument.body, oRegex, document.getElementById('txtReplace').value, true, false ) ;
+	window.parent.Cancel() ;
+}
+		</script>
+	</head>
+	<body onload="OnLoad()" scroll="no" style="OVERFLOW: hidden">
+		<table cellSpacing="3" cellPadding="2" width="100%" border="0">
+			<tr>
+				<td noWrap><label for="txtFind" fckLang="DlgReplaceFindLbl">Find what:</label>
+				</td>
+				<td width="100%"><input id="txtFind" onkeyup="btnStat(this.form)" style="WIDTH: 100%" tabIndex="1" type="text">
+				</td>
+				<td><input id="btnReplace" style="WIDTH: 100%" disabled onclick="Replace();" type="button"
+						value="Replace" fckLang="DlgReplaceReplaceBtn">
+				</td>
+			</tr>
+			<tr>
+				<td vAlign="top" noWrap><label for="txtReplace" fckLang="DlgReplaceReplaceLbl">Replace 
+						with:</label>
+				</td>
+				<td vAlign="top"><input id="txtReplace" style="WIDTH: 100%" tabIndex="2" type="text">
+				</td>
+				<td><input id="btnReplaceAll" disabled onclick="ReplaceAll()" type="button" value="Replace All"
+						fckLang="DlgReplaceReplAllBtn">
+				</td>
+			</tr>
+			<tr>
+				<td vAlign="bottom" colSpan="3">&nbsp;<input id="chkCase" tabIndex="3" type="checkbox"><label for="chkCase" fckLang="DlgReplaceCaseChk">Match 
+						case</label>
+					<br>
+					&nbsp;<input id="chkWord" tabIndex="4" type="checkbox"><label for="chkWord" fckLang="DlgReplaceWordChk">Match 
+						whole word</label>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_select/fck_select.js soojung/libs/fckeditor/editor/dialog/fck_select/fck_select.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_select/fck_select.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_select/fck_select.js	2005-06-11 10:27:13.000000000 +0900
@@ -0,0 +1,163 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_select.js
+ * 	Scripts for the fck_select.html page.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+function Select( combo )
+{
+	var iIndex = combo.selectedIndex ;
+
+	oListText.selectedIndex		= iIndex ;
+	oListValue.selectedIndex	= iIndex ;
+
+	var oTxtText	= document.getElementById( "txtText" ) ;
+	var oTxtValue	= document.getElementById( "txtValue" ) ;
+
+	oTxtText.value	= oListText.value ;
+	oTxtValue.value	= oListValue.value ;
+}
+
+function Add()
+{
+	var oTxtText	= document.getElementById( "txtText" ) ;
+	var oTxtValue	= document.getElementById( "txtValue" ) ;
+
+	AddComboOption( oListText, oTxtText.value, oTxtText.value ) ;
+	AddComboOption( oListValue, oTxtValue.value, oTxtValue.value ) ;
+
+	oListText.selectedIndex = oListText.options.length - 1 ;
+	oListValue.selectedIndex = oListValue.options.length - 1 ;
+
+	oTxtText.value	= '' ;
+	oTxtValue.value	= '' ;
+
+	oTxtText.focus() ;
+}
+
+function Modify()
+{
+	var iIndex = oListText.selectedIndex ;
+
+	if ( iIndex < 0 ) return ;
+
+	var oTxtText	= document.getElementById( "txtText" ) ;
+	var oTxtValue	= document.getElementById( "txtValue" ) ;
+
+	oListText.options[ iIndex ].innerHTML	= oTxtText.value ;
+	oListText.options[ iIndex ].value		= oTxtText.value ;
+
+	oListValue.options[ iIndex ].innerHTML	= oTxtValue.value ;
+	oListValue.options[ iIndex ].value		= oTxtValue.value ;
+
+	oTxtText.value	= '' ;
+	oTxtValue.value	= '' ;
+
+	oTxtText.focus() ;
+}
+
+function Move( steps )
+{
+	ChangeOptionPosition( oListText, steps ) ;
+	ChangeOptionPosition( oListValue, steps ) ;
+}
+
+function Delete()
+{
+	RemoveSelectedOptions( oListText ) ;
+	RemoveSelectedOptions( oListValue ) ;
+}
+
+function SetSelectedValue()
+{
+	var iIndex = oListValue.selectedIndex ;
+	if ( iIndex < 0 ) return ;
+
+	var oTxtValue = document.getElementById( "txtSelValue" ) ;
+
+	oTxtValue.value = oListValue.options[ iIndex ].value ;
+}
+
+// Moves the selected option by a number of steps (also negative)
+function ChangeOptionPosition( combo, steps )
+{
+	var iActualIndex = combo.selectedIndex ;
+
+	if ( iActualIndex < 0 )
+		return ;
+
+	var iFinalIndex = iActualIndex + steps ;
+
+	if ( iFinalIndex < 0 )
+		iFinalIndex = 0 ;
+
+	if ( iFinalIndex > ( combo.options.lenght - 1 ) )
+		iFinalIndex = combo.options.lenght - 1 ;
+
+	if ( iActualIndex == iFinalIndex )
+		return ;
+
+	var oOption = combo.options[ iActualIndex ] ;
+	var sText	= oOption.innerHTML ;
+	var sValue	= oOption.value ;
+
+	combo.remove( iActualIndex ) ;
+
+	oOption = AddComboOption( combo, sText, sValue, null, iFinalIndex ) ;
+
+	oOption.selected = true ;
+}
+
+// Remove all selected options from a SELECT object
+function RemoveSelectedOptions(combo)
+{
+	// Save the selected index
+	var iSelectedIndex = combo.selectedIndex ;
+
+	var oOptions = combo.options ;
+
+	// Remove all selected options
+	for ( var i = oOptions.length - 1 ; i >= 0 ; i-- )
+	{
+		if (oOptions[i].selected) combo.remove(i) ;
+	}
+
+	// Reset the selection based on the original selected index
+	if ( combo.options.length > 0 )
+	{
+		if ( iSelectedIndex >= combo.options.length ) iSelectedIndex = combo.options.length - 1 ;
+		combo.selectedIndex = iSelectedIndex ;
+	}
+}
+
+// Add a new option to a SELECT object (combo or list)
+function AddComboOption( combo, optionText, optionValue, documentObject, index )
+{
+	var oOption ;
+
+	if ( documentObject )
+		oOption = documentObject.createElement("OPTION") ;
+	else
+		oOption = document.createElement("OPTION") ;
+
+	if ( index != null )
+		combo.options.add( oOption, index ) ;
+	else
+		combo.options.add( oOption ) ;
+
+	oOption.innerHTML = optionText.length > 0 ? optionText : '&nbsp;' ;
+	oOption.value     = optionValue ;
+
+	return oOption ;
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_select.html soojung/libs/fckeditor/editor/dialog/fck_select.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_select.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_select.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,170 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_select.html
+ * 	Select dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Select Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script type="text/javascript" src="fck_select/fck_select.js"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+var oActiveEl = oEditor.FCKSelection.GetSelectedElement() ;
+
+var oListText ;
+var oListValue ;
+
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	oListText	= document.getElementById( 'cmbText' ) ;
+	oListValue	= document.getElementById( 'cmbValue' ) ;
+
+	if ( oActiveEl && oActiveEl.tagName == 'SELECT' )
+	{
+		GetE('txtName').value		= oActiveEl.name ;
+		GetE('txtSelValue').value	= oActiveEl.value ;
+		GetE('txtLines').value		= GetAttribute( oActiveEl, 'size' ) ;
+		GetE('chkMultiple').checked	= oActiveEl.multiple ;
+
+		// Load the actual options
+		for ( var i = 0 ; i < oActiveEl.options.length ; i++ )
+		{
+			var sText	= oActiveEl.options[i].innerHTML ;
+			var sValue	= oActiveEl.options[i].value ;
+
+			AddComboOption( oListText, sText, sText ) ;
+			AddComboOption( oListValue, sValue, sValue ) ;
+		}
+	}
+	else
+		oActiveEl = null ;
+
+	window.parent.SetOkButton( true ) ;
+}
+
+function Ok()
+{
+	var sSize = GetE('txtLines').value ;
+	if ( sSize == null || isNaN( sSize ) || sSize <= 1 )
+		sSize = '' ;
+
+	if ( !oActiveEl )
+	{
+		oActiveEl = oEditor.FCK.EditorDocument.createElement( 'SELECT' ) ;
+		oActiveEl = oEditor.FCK.InsertElementAndGetIt( oActiveEl ) ;
+	}
+
+	SetAttribute( oActiveEl, 'name'	, GetE('txtName').value ) ;
+	SetAttribute( oActiveEl, 'size'	, sSize ) ;
+	oActiveEl.multiple = ( sSize.length > 0 && GetE('chkMultiple').checked ) ;
+
+	// Remove all options.
+	while ( oActiveEl.options.length > 0 )
+		oActiveEl.remove(0) ;
+
+	// Add all available options.
+	for ( var i = 0 ; i < oListText.options.length ; i++ )
+	{
+		var sText	= oListText.options[i].value ;
+		var sValue	= oListValue.options[i].value ;
+		if ( sValue.length == 0 ) sValue = sText ;
+
+		var oOption = AddComboOption( oActiveEl, sText, sValue, oDOM ) ;
+
+		if ( sValue == GetE('txtSelValue').value )
+		{
+			SetAttribute( oOption, 'selected', 'selected' ) ;
+			oOption.selected = true ;
+		}
+	}
+
+	return true ;
+}
+
+		</script>
+	</head>
+	<body style='OVERFLOW: hidden' scroll='no'>
+		<table width="100%" height="100%">
+			<tr>
+				<td>
+					<table width="100%">
+						<tr>
+							<td nowrap><span fckLang="DlgSelectName">Name</span>&nbsp;</td>
+							<td width="100%" colSpan="2"><input id="txtName" style="WIDTH: 100%" type="text"></td>
+						</tr>
+						<tr>
+							<td nowrap><span fckLang="DlgSelectValue">Value</span>&nbsp;</td>
+							<td width="100%" colSpan="2"><input id="txtSelValue" style="WIDTH: 100%; BACKGROUND-COLOR: buttonface" type="text" readonly></td>
+						</tr>
+						<tr>
+							<td nowrap><span fckLang="DlgSelectSize">Size</span>&nbsp;</td>
+							<td nowrap><input id="txtLines" type="text" size="2" value="">&nbsp;<span fckLang="DlgSelectLines">lines</span></td>
+							<td nowrap align="right"><input id="chkMultiple" name="chkMultiple" type="checkbox"><label for="chkMultiple" fckLang="DlgSelectChkMulti">Allow
+									multiple selections</label></td>
+						</tr>
+					</table>
+					<br>
+					<hr style="POSITION: absolute">
+					<span style="LEFT: 10px; POSITION: relative; TOP: -7px" class="BackColor">&nbsp;<span fckLang="DlgSelectOpAvail">Available
+							Options</span>&nbsp;</span>
+					<table width="100%">
+						<tr>
+							<td width="50%"><span fckLang="DlgSelectOpText">Text</span><br>
+								<input id="txtText" style="WIDTH: 100%" type="text" name="txtText">
+							</td>
+							<td width="50%"><span fckLang="DlgSelectOpValue">Value</span><br>
+								<input id="txtValue" style="WIDTH: 100%" type="text" name="txtValue">
+							</td>
+							<td vAlign="bottom"><input onclick="Add();" type="button" fckLang="DlgSelectBtnAdd" value="Add"></td>
+							<td vAlign="bottom"><input onclick="Modify();" type="button" fckLang="DlgSelectBtnModify" value="Modify"></td>
+						</tr>
+						<tr>
+							<td rowSpan="2"><select id="cmbText" style="WIDTH: 100%" onchange="GetE('cmbValue').selectedIndex = this.selectedIndex;Select(this);"
+									size="5" name="cmbText"></select>
+							</td>
+							<td rowSpan="2"><select id="cmbValue" style="WIDTH: 100%" onchange="GetE('cmbText').selectedIndex = this.selectedIndex;Select(this);"
+									size="5" name="cmbValue"></select>
+							</td>
+							<td vAlign="top" colSpan="2">
+							</td>
+						</tr>
+						<tr>
+							<td vAlign="bottom" colSpan="2"><input style="WIDTH: 100%" onclick="Move(-1);" type="button" fckLang="DlgSelectBtnUp" value="Up">
+								<br>
+								<input style="WIDTH: 100%" onclick="Move(1);" type="button" fckLang="DlgSelectBtnDown"
+									value="Down">
+							</td>
+						</tr>
+						<TR>
+							<TD vAlign="bottom" colSpan="4"><INPUT onclick="SetSelectedValue();" type="button" fckLang="DlgSelectBtnSetValue" value="Set as selected value">&nbsp;&nbsp;
+								<input onclick="Delete();" type="button" fckLang="DlgSelectBtnDelete" value="Delete"></TD>
+						</TR>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_smiley.html soojung/libs/fckeditor/editor/dialog/fck_smiley.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_smiley.html	2004-12-27 20:50:22.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_smiley.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,91 +1,88 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_smiley.html
- * 	Smileys (emoticons) dialog window.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-08-20 01:19:47
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_smiley.html
+ * 	Smileys (emoticons) dialog window.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
-<html>
-	<head>
-		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-		<meta name="robots" content="noindex, nofollow" />
-		<style type="text/css">
-			.HandIE { cursor: hand ; }
-			.HandMozilla { cursor: pointer ; }
-		</style>
-		<script type="text/javascript">
-		
-var dialogArguments = window.parent.InnerDialogLoaded() ;
-
-// Sets the Skin CSS
-document.write( '<link href="' + dialogArguments.FCKConfig.SkinPath + 'fck_dialog.css" type="text/css" rel="stylesheet">' ) ;
-
-function setDefaults()
-{
-	// First of all, translate the dialog box texts
-	dialogArguments.FCKLanguageManager.TranslatePage(document) ;
-}
-
-function insertChar(td)
-{
-	dialogArguments.FCK.InsertHtml( td.innerHTML || "" ) ;
-	window.parent.Cancel() ;
-}
-
-function over(td)
-{
-	td.className = 'LightBackground HandIE HandMozilla' ;
-}
-
-function out(td)
-{
-	td.className = 'DarkBackground HandIE HandMozilla' ;
-}
-		</script>
-	</head>
-	<body onload="setDefaults()" scroll="no">
-		<table cellpadding="2" cellspacing="2" align="center" border="0" width="100%" height="100%">
-			<script type="text/javascript">
-<!--
-var FCKConfig = dialogArguments.FCKConfig ;
-
-var sBasePath = FCKConfig.SmileyPath ;
-var aImages   = FCKConfig.SmileyImages ;
-var cols      = FCKConfig.SmileyColumns ;
-
-var i = 0 ;
-while (i < aImages.length)
-{
-	document.write("<TR>") ;
-	for(var j = 0 ; j < cols ; j++) 
-	{
-		if (aImages[i])
-		{
-			document.write("<TD width='1%' align='center' class='DarkBackground HandIE HandMozilla' onclick='insertChar(this)' onmouseover='over(this)' onmouseout='out(this)'>") ;
-			document.write("<img src='" + sBasePath + aImages[i] + "' border='0'>") ;
-		}
-		else
-			document.write("<TD width='1%' class='DarkBackground'>&nbsp;") ;
-		document.write("</TD>") ;
-		i++ ;
-	}
-	document.write("</TR>") ;
-}
-//-->
-			</script>
-		</table>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<html>
+	<head>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+		<meta name="robots" content="noindex, nofollow" />
+		<style type="text/css">
+			.HandIE { cursor: hand ; }
+			.HandMozilla { cursor: pointer ; }
+		</style>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+window.onload = function ()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+}
+
+function InsertSmiley( url )
+{
+	var oImg = oEditor.FCK.CreateElement( 'IMG' ) ;
+	oImg.src = url ;
+
+	window.parent.Cancel() ;
+}
+
+function over(td)
+{
+	td.className = 'LightBackground HandIE HandMozilla' ;
+}
+
+function out(td)
+{
+	td.className = 'DarkBackground HandIE HandMozilla' ;
+}
+		</script>
+	</head>
+	<body scroll="no">
+		<table cellpadding="2" cellspacing="2" align="center" border="0" width="100%" height="100%">
+			<script type="text/javascript">
+<!--
+var FCKConfig = oEditor.FCKConfig ;
+
+var sBasePath = FCKConfig.SmileyPath ;
+var aImages   = FCKConfig.SmileyImages ;
+var cols      = FCKConfig.SmileyColumns ;
+
+var i = 0 ;
+while (i < aImages.length)
+{
+	document.write("<TR>") ;
+	for(var j = 0 ; j < cols ; j++)
+	{
+		if (aImages[i])
+		{
+			var sUrl = sBasePath + aImages[i] ;
+			document.write("<TD width='1%' align='center' class='DarkBackground HandIE HandMozilla' onclick='InsertSmiley(\"" + sUrl.replace(/"/g, '\\"' ) + "\")' onmouseover='over(this)' onmouseout='out(this)'>") ;
+			document.write("<img src='" + sUrl + "' border='0'>") ;
+		}
+		else
+			document.write("<TD width='1%' class='DarkBackground'>&nbsp;") ;
+		document.write("</TD>") ;
+		i++ ;
+	}
+	document.write("</TR>") ;
+}
+//-->
+			</script>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_specialchar.html soojung/libs/fckeditor/editor/dialog/fck_specialchar.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_specialchar.html	2004-12-27 20:50:22.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_specialchar.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,109 +1,102 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_specialchar.html
- * 	Special Chars Selector dialog window.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:51
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_specialchar.html
+ * 	Special Chars Selector dialog window.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
-<html>
-	<head>
-		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
-		<style type="text/css">
-				.HandIE { cursor: hand ; }
-				.HandMozilla { cursor: pointer ; }
-				.Sample { font-size: 24px; }
-		</style>
-		<script type="text/javascript">
-
-var dialogArguments = window.parent.InnerDialogLoaded() ;
-
-// Sets the Skin CSS
-document.write( '<link href="' + dialogArguments.FCKConfig.SkinPath + 'fck_dialog.css" type="text/css" rel="stylesheet">' ) ;
-
-var oSample ;
-
-function insertChar(charValue)
-{
-	dialogArguments.FCK.InsertHtml( charValue || "" ) ;
-	window.parent.Cancel() ;
-}
-
-function over(td)
-{
-	oSample.innerHTML = td.innerHTML ;
-	td.className = 'LightBackground HandIE HandMozilla' ;
-}
-
-function out(td)
-{
-	oSample.innerHTML = "&nbsp;" ;
-	td.className = 'DarkBackground HandIE HandMozilla' ;
-}
-
-function setDefaults()
-{
-	// Gets the sample placeholder.
-	oSample = document.getElementById("SampleTD") ;
-
-	// First of all, translates the dialog box texts.
-	dialogArguments.FCKLanguageManager.TranslatePage(document) ;
-}
-
-		</script>
-	</HEAD>
-	<BODY onload="setDefaults()" scroll="no">
-		<table cellpadding="0" cellspacing="0" width="100%" height="100%">
-			<tr>
-				<td width="100%">
-					<table cellpadding="1" cellspacing="1" align="center" border="0" width="100%" height="100%">
-						<script type="text/javascript">
-var aChars = ["!","&quot;","#","$","%","&","\\'","(",")","*","+","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&lt;","=","&gt;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","~","&euro;","&lsquo;","&rsquo;","&rsquo;","&ldquo;","&rdquo;","&ndash;","&mdash;","&iexcl;","&cent;","&pound;","&curren;","&yen;","&brvbar;","&sect;","&uml;","&copy;","&ordf;","&laquo;","&not;","&reg;","&macr;","&deg;","&plusmn;","&sup2;","&sup3;","&acute;","&micro;","&para;","&middot;","&cedil;","&sup1;","&ordm;","&raquo;","&frac14;","&frac12;","&frac34;","&iquest;","&Agrave;","&Aacute;","&Acirc;","&Atilde;","&Auml;","&Aring;","&AElig;","&Ccedil;","&Egrave;","&Eacute;","&Ecirc;","&Euml;","&Igrave;","&Iacute;","&Icirc;","&Iuml;","&ETH;","&Ntilde;","&Ograve;","&Oacute;","&Ocirc;","&Otilde;","&Ouml;","&times;","&Oslash;","&Ugrave;","&Uacute;","&Ucirc;","&Uuml;","&Yacute;","&THORN;","&szlig;","&agrave;","&aacute;","&acirc;","&atilde;","&auml;","&aring;","&aelig;","&ccedil;","&egrave;","&eacute;","&ecirc;","&euml;","&igrave;","&iacute;","&icirc;","&iuml;","&eth;","&ntilde;","&ograve;","&oacute;","&ocirc;","&otilde;","&ouml;","&divide;","&oslash;","&ugrave;","&uacute;","&ucirc;","&uuml;","&uuml;","&yacute;","&thorn;","&yuml;"] ;
-
-var cols = 20 ;
-
-var i = 0 ;
-while (i < aChars.length)
-{
-	document.write("<TR>") ;
-	for(var j = 0 ; j < cols ; j++) 
-	{
-		if (aChars[i])
-		{
-			document.write('<TD width="1%" class="DarkBackground HandIE HandMozilla" align="center" onclick="insertChar(\'' + aChars[i].replace(/&/g, "&amp;") + '\')" onmouseover="over(this)" onmouseout="out(this)">') ;
-			document.write(aChars[i]) ;
-		}
-		else
-			document.write("<TD class='DarkBackground'>&nbsp;") ;
-		document.write("</TD>") ;
-		i++ ;
-	}
-	document.write("</TR>") ;
-}
-						</script>
-					</table>
-				</td>
-				<td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
-				<td valign="top">
-					<table width="40" cellpadding="0" cellspacing="0" border="0">
-						<tr>
-							<td id="SampleTD" width="40" height="40" align="center" class="DarkBackground Sample">&nbsp;</td>
-						</tr>
-					</table>
-				</td>
-			</tr>
-		</table>
-	</BODY>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<html>
+	<head>
+		<style type="text/css">
+				.HandIE { cursor: hand ; }
+				.HandMozilla { cursor: pointer ; }
+				.Sample { font-size: 24px; }
+		</style>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+var oSample ;
+
+function insertChar(charValue)
+{
+	oEditor.FCK.InsertHtml( charValue || "" ) ;
+	window.parent.Cancel() ;
+}
+
+function over(td)
+{
+	oSample.innerHTML = td.innerHTML ;
+	td.className = 'LightBackground HandIE HandMozilla' ;
+}
+
+function out(td)
+{
+	oSample.innerHTML = "&nbsp;" ;
+	td.className = 'DarkBackground HandIE HandMozilla' ;
+}
+
+function setDefaults()
+{
+	// Gets the sample placeholder.
+	oSample = document.getElementById("SampleTD") ;
+
+	// First of all, translates the dialog box texts.
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+}
+
+		</script>
+	</HEAD>
+	<BODY onload="setDefaults()" scroll="no">
+		<table cellpadding="0" cellspacing="0" width="100%" height="100%">
+			<tr>
+				<td width="100%">
+					<table cellpadding="1" cellspacing="1" align="center" border="0" width="100%" height="100%">
+						<script type="text/javascript">
+var aChars = ["!","&quot;","#","$","%","&","\\'","(",")","*","+","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&lt;","=","&gt;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","~","&euro;","&lsquo;","&rsquo;","&rsquo;","&ldquo;","&rdquo;","&ndash;","&mdash;","&iexcl;","&cent;","&pound;","&curren;","&yen;","&brvbar;","&sect;","&uml;","&copy;","&ordf;","&laquo;","&not;","&reg;","&macr;","&deg;","&plusmn;","&sup2;","&sup3;","&acute;","&micro;","&para;","&middot;","&cedil;","&sup1;","&ordm;","&raquo;","&frac14;","&frac12;","&frac34;","&iquest;","&Agrave;","&Aacute;","&Acirc;","&Atilde;","&Auml;","&Aring;","&AElig;","&Ccedil;","&Egrave;","&Eacute;","&Ecirc;","&Euml;","&Igrave;","&Iacute;","&Icirc;","&Iuml;","&ETH;","&Ntilde;","&Ograve;","&Oacute;","&Ocirc;","&Otilde;","&Ouml;","&times;","&Oslash;","&Ugrave;","&Uacute;","&Ucirc;","&Uuml;","&Yacute;","&THORN;","&szlig;","&agrave;","&aacute;","&acirc;","&atilde;","&auml;","&aring;","&aelig;","&ccedil;","&egrave;","&eacute;","&ecirc;","&euml;","&igrave;","&iacute;","&icirc;","&iuml;","&eth;","&ntilde;","&ograve;","&oacute;","&ocirc;","&otilde;","&ouml;","&divide;","&oslash;","&ugrave;","&uacute;","&ucirc;","&uuml;","&uuml;","&yacute;","&thorn;","&yuml;"] ;
+
+var cols = 20 ;
+
+var i = 0 ;
+while (i < aChars.length)
+{
+	document.write("<TR>") ;
+	for(var j = 0 ; j < cols ; j++) 
+	{
+		if (aChars[i])
+		{
+			document.write('<TD width="1%" class="DarkBackground HandIE HandMozilla" align="center" onclick="insertChar(\'' + aChars[i].replace(/&/g, "&amp;") + '\')" onmouseover="over(this)" onmouseout="out(this)">') ;
+			document.write(aChars[i]) ;
+		}
+		else
+			document.write("<TD class='DarkBackground'>&nbsp;") ;
+		document.write("</TD>") ;
+		i++ ;
+	}
+	document.write("</TR>") ;
+}
+						</script>
+					</table>
+				</td>
+				<td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
+				<td valign="top">
+					<table width="40" cellpadding="0" cellspacing="0" border="0">
+						<tr>
+							<td id="SampleTD" width="40" height="40" align="center" class="DarkBackground Sample">&nbsp;</td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</BODY>
 </HTML>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/controlWindow.js soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/controlWindow.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/controlWindow.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/controlWindow.js	2005-06-11 10:27:29.000000000 +0900
@@ -0,0 +1,87 @@
+﻿////////////////////////////////////////////////////
+// controlWindow object
+////////////////////////////////////////////////////
+function controlWindow( controlForm ) {
+	// private properties
+	this._form = controlForm;
+
+	// public properties
+	this.windowType = "controlWindow";
+//	this.noSuggestionSelection = "- No suggestions -";	// by FredCK
+	this.noSuggestionSelection = FCKLang.DlgSpellNoSuggestions ;
+	// set up the properties for elements of the given control form
+	this.suggestionList  = this._form.sugg;
+	this.evaluatedText   = this._form.misword;
+	this.replacementText = this._form.txtsugg;
+	this.undoButton      = this._form.btnUndo;
+
+	// public methods
+	this.addSuggestion = addSuggestion;
+	this.clearSuggestions = clearSuggestions;
+	this.selectDefaultSuggestion = selectDefaultSuggestion;
+	this.resetForm = resetForm;
+	this.setSuggestedText = setSuggestedText;
+	this.enableUndo = enableUndo;
+	this.disableUndo = disableUndo;
+}
+
+function resetForm() {
+	if( this._form ) {
+		this._form.reset();
+	}
+}
+
+function setSuggestedText() {
+	var slct = this.suggestionList;
+	var txt = this.replacementText;
+	var str = "";
+	if( (slct.options[0].text) && slct.options[0].text != this.noSuggestionSelection ) {
+		str = slct.options[slct.selectedIndex].text;
+	}
+	txt.value = str;
+}
+
+function selectDefaultSuggestion() {
+	var slct = this.suggestionList;
+	var txt = this.replacementText;
+	if( slct.options.length == 0 ) {
+		this.addSuggestion( this.noSuggestionSelection );
+	} else {
+		slct.options[0].selected = true;
+	}
+	this.setSuggestedText();
+}
+
+function addSuggestion( sugg_text ) {
+	var slct = this.suggestionList;
+	if( sugg_text ) {
+		var i = slct.options.length;
+		var newOption = new Option( sugg_text, 'sugg_text'+i );
+		slct.options[i] = newOption;
+	 }
+}
+
+function clearSuggestions() {
+	var slct = this.suggestionList;
+	for( var j = slct.length - 1; j > -1; j-- ) {
+		if( slct.options[j] ) {
+			slct.options[j] = null;
+		}
+	}
+}
+
+function enableUndo() {
+	if( this.undoButton ) {
+		if( this.undoButton.disabled == true ) {
+			this.undoButton.disabled = false;
+		}
+	}
+}
+
+function disableUndo() {
+	if( this.undoButton ) {
+		if( this.undoButton.disabled == false ) {
+			this.undoButton.disabled = true;
+		}
+	}
+}
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/controls.html soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/controls.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/controls.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/controls.html	2005-06-11 10:27:29.000000000 +0900
@@ -0,0 +1,153 @@
+<html>
+	<head>
+		<link rel="stylesheet" type="text/css" href="spellerStyle.css" />
+		<script src="controlWindow.js"></script>
+		<script>
+var spellerObject;
+var controlWindowObj;
+
+if( parent.opener ) {
+	spellerObject = parent.opener.speller;
+}
+
+function ignore_word() {
+	if( spellerObject ) {
+		spellerObject.ignoreWord();
+	}
+}
+
+function ignore_all() {
+	if( spellerObject ) {
+		spellerObject.ignoreAll();
+	}
+}
+
+function replace_word() {
+	if( spellerObject ) {
+		spellerObject.replaceWord();
+	}
+}
+
+function replace_all() {
+	if( spellerObject ) {
+		spellerObject.replaceAll();
+	}
+}
+
+function end_spell() {
+	if( spellerObject ) {
+		spellerObject.terminateSpell();
+	}
+}
+
+function undo() {
+	if( spellerObject ) {
+		spellerObject.undo();
+	}
+}
+
+function suggText() {
+	if( controlWindowObj ) {
+		controlWindowObj.setSuggestedText();
+	}
+}
+
+var FCKLang = window.parent.parent.FCKLang ;	// by FredCK
+
+function init_spell() {
+	// By FredCK (fckLang attributes have been added to the HTML source of this page)
+	window.parent.parent.OnSpellerControlsLoad( this ) ;
+
+	var controlForm = document.spellcheck;
+
+	// create a new controlWindow object
+ 	controlWindowObj = new controlWindow( controlForm );
+
+	// call the init_spell() function in the parent frameset
+	if( parent.frames.length ) {
+		parent.init_spell( controlWindowObj );
+	} else {
+		alert( 'This page was loaded outside of a frameset. It might not display properly' );
+	}
+}
+
+</script>
+	</head>
+	<body class="controlWindowBody" onLoad="init_spell();" style="OVERFLOW: hidden" scroll="no">	<!-- by FredCK -->
+		<form name="spellcheck">
+			<table border="0" cellpadding="0" cellspacing="0" border="0" align="center">
+				<tr>
+					<td colspan="3" class="normalLabel"><span fckLang="DlgSpellNotInDic">Not in dictionary:</span></td>
+				</tr>
+				<tr>
+					<td colspan="3"><input class="readonlyInput" type="text" name="misword" readonly /></td>
+				</tr>
+				<tr>
+					<td colspan="3" height="5"></td>
+				</tr>
+				<tr>
+					<td class="normalLabel"><span fckLang="DlgSpellChangeTo">Change to:</span></td>
+				</tr>
+				<tr valign="top">
+					<td>
+						<table border="0" cellpadding="0" cellspacing="0" border="0">
+							<tr>
+								<td class="normalLabel">
+									<input class="textDefault" type="text" name="txtsugg" />
+								</td>
+							</tr>
+							<tr>
+								<td>
+									<select class="suggSlct" name="sugg" size="7" onChange="suggText();" onDblClick="replace_word();">
+										<option></option>
+									</select>
+								</td>
+							</tr>
+						</table>
+					</td>
+					<td>&nbsp;&nbsp;</td>
+					<td>
+						<table border="0" cellpadding="0" cellspacing="0" border="0">
+							<tr>
+								<td>
+									<input class="buttonDefault" type="button" fckLang="DlgSpellBtnIgnore" value="Ignore" onClick="ignore_word();">
+								</td>
+								<td>&nbsp;&nbsp;</td>
+								<td>
+									<input class="buttonDefault" type="button" fckLang="DlgSpellBtnIgnoreAll" value="Ignore All" onClick="ignore_all();">
+								</td>
+							</tr>
+							<tr>
+								<td colspan="3" height="5"></td>
+							</tr>
+							<tr>
+								<td>
+									<input class="buttonDefault" type="button" fckLang="DlgSpellBtnReplace" value="Replace" onClick="replace_word();">
+								</td>
+								<td>&nbsp;&nbsp;</td>
+								<td>
+									<input class="buttonDefault" type="button" fckLang="DlgSpellBtnReplaceAll" value="Replace All" onClick="replace_all();">
+								</td>
+							</tr>
+							<tr>
+								<td colspan="3" height="5"></td>
+							</tr>
+							<tr>
+								<td>
+									<input class="buttonDefault" type="button" name="btnUndo" fckLang="DlgSpellBtnUndo" value="Undo" onClick="undo();"
+										disabled>
+								</td>
+								<td>&nbsp;&nbsp;</td>
+								<td> 
+									<!-- by FredCK
+									<input class="buttonDefault" type="button" value="Close" onClick="end_spell();">
+									-->
+								</td>
+							</tr>
+						</table>
+					</td>
+				</tr>
+			</table>
+		</form>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.cfm soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.cfm
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.cfm	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.cfm	2005-06-11 10:27:27.000000000 +0900
@@ -0,0 +1,132 @@
+<!--- Coldfusion MX uses java on the server to process tags. So it is save to use most java attributes. For example below
+I use list.lastindexOf(), lastindexOf() is a java string attribute. If you plan on using this tag with earlier versions
+of Coldfusion, you will have to replace the lastindexOf with a pure coldfusion function. By replacing the lastindexOf, spellchecker.cfm
+script should be compatible with all cf version 4.5 and up.
+
+Also if you are hosting your site at an ISP, you will have to check with them to see if the use of <CFEXECUTE> is allowed. 
+In most cases ISP will not allow the use of that tag for security reasons. Clients would be able to access each others files in certain cases.
+ --->
+
+
+<!--- Set up variables --->
+<cfset tempFolder = "c:\test">
+<cfset tempfile = "spell_#randrange(1,1000)#">
+<cfset apsell_dir = "c:\aspell\bin">
+<!--- <cfset spellercss = "/speller/spellerStyle.css">		by FredCK --->
+<cfset spellercss = "../spellerStyle.css">
+<!--- <cfset word_win_src = "/speller/wordWindow.js">		by FredCK --->
+<cfset word_win_src = "../wordWindow.js">
+
+
+<!--- Takes care of those pesky smart quotes from MS apps, replaces them with regular quotes --->
+<cfset submitted_text = replacelist(form.checktext,"%u201C,%u201D","%22,%22")> 
+<cfset submitted_text = urlDecode(submitted_text)>
+
+
+
+
+<!--- need to escape special javascript characters such as ' --->
+<cfset unaltered_text = submitted_text>
+<cfset submitted_text = replace(submitted_text,"'","\'","All")>
+<cfset submitted_text = replace(submitted_text,"""","\""","All")>
+
+<!--- use carat on each line to escape possible aspell commands --->
+<cfset text = "">
+<cfloop list="#submitted_text#" index="idx" delimiters="#chr(10)##chr(13)#">
+	<cfset text =text&"^"&idx&"#chr(10)##chr(13)#">
+</cfloop>
+
+
+
+<!--- create temp file from the submitted text, this will be passed to aspell to be check for misspelled words --->
+<cffile action="write" file="#tempFolder#\#tempfile#.txt" output="#text#" charset="utf-8">
+
+
+<!--- cfsavecontent is used to set the variable that will be returned with the results from aspell.
+If your using the new version of mx 6.1 you can  use the following cfexecute tag instead:
+<cfexecute name="C:\WINDOWS\SYSTEM32\cmd.exe" arguments="/c type c:\test\#tempfile#.txt | c:\aspell\bin\aspell -a" timeout="100" variable="results"></cfexecute> --->
+
+<cfsavecontent variable="food">
+<cfexecute name="C:\WINDOWS\SYSTEM32\cmd.exe" arguments="/c type #tempFolder#\#tempfile#.txt | #apsell_dir#\aspell -a" timeout="100"></cfexecute>
+</cfsavecontent>
+
+<!--- remove temp file --->
+<cffile action="delete" file="#tempFolder#\#tempfile#.txt">
+
+
+
+
+<cfoutput>
+<html>
+<head>
+<link rel="stylesheet" type="text/css" href="speller/spellerStyle.css">
+<script src="/speller/wordWindow.js"></script>
+<script language="javascript">
+var suggs = new Array();
+var words = new Array();
+var error;
+var wordtext = unescape('#urlencodedFormat(unaltered_text)#');
+
+<cfset cnt = 1>
+<cfset word_cnt = 0>
+<cfloop list="#food#" index="list" delimiters="#chr(10)##chr(13)#">
+	<!--- removes the first line of the aspell output "@(#) International Ispell Version 3.1.20 (but really Aspell 0.50.3)" --->
+	<cfif NOT cnt EQ 1>
+		<cfif find("&",list) OR find("##",list)>
+			<!--- word that misspelled --->
+			<cfset bad_word = listGetAt(list,"2"," ")>
+			<!--- sugestions --->
+			<cfset wrdList = mid(list,(list.lastindexOf(':') + 2),(len(list) - (list.lastindexOf(':') + 2)))>
+			<cfset wrdsList = "">
+			<cfloop list=#wrdList# index="idx">
+				<cfset wrdsList =wrdsList&"'"&trim(replace(idx,"'","\'","All"))&"',">
+			</cfloop>
+			<!--- javascript --->
+			words[#word_cnt#] = '#trim(replace(bad_word,"'","\'","All"))#';
+			suggs[#word_cnt#] = [#trim(wrdsList)#];
+			<cfset word_cnt = word_cnt + 1>
+		<cfelseif find("*",list)>
+		</cfif>			
+	</cfif>
+	<cfset cnt = cnt + 1>
+</cfloop>
+
+
+
+
+
+
+var wordWindowObj = new wordWindow();
+wordWindowObj.originalSpellings = words;
+wordWindowObj.suggestions = suggs;
+wordWindowObj.text = wordtext;
+
+
+function init_spell() {
+	// check if any error occured during server-side processing
+	if( error ) {
+		alert( error );
+	} else {
+		// call the init_spell() function in the parent frameset
+		if (parent.frames.length) {
+			parent.init_spell( wordWindowObj );
+		} else {
+			alert('This page was loaded outside of a frameset. It might not display properly');
+		}
+	}
+}
+
+
+
+</script>
+
+</head>
+<body onLoad="init_spell();">
+
+<script>
+wordWindowObj.writeBody();
+</script>
+
+</body>
+</html>
+</cfoutput>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.php soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.php
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.php	2005-06-11 10:27:27.000000000 +0900
@@ -0,0 +1,193 @@
+<?php
+header('Content-type: text/html; charset=utf-8');
+
+//$spellercss = '/speller/spellerStyle.css';	// by FredCK
+$spellercss = '../spellerStyle.css';			// by FredCK
+//$word_win_src = '/speller/wordWindow.js';		// by FredCK
+$word_win_src = '../wordWindow.js';				// by FredCK
+$textinputs = $_POST['textinputs']; # array
+//$aspell_prog = 'aspell';									// by FredCK (for Linux)
+$aspell_prog = '"C:\Program Files\Aspell\bin\aspell.exe"';	// by FredCK (for Windows)
+$lang = 'en_US';
+//$aspell_opts = "-a --lang=$lang --encoding=utf-8";	// by FredCK
+$aspell_opts = "-a --lang=$lang --encoding=utf-8 -H";	// by FredCK
+$tempfiledir = "./";
+$input_separator = "A";
+
+# set the JavaScript variable to the submitted text.
+# textinputs is an array, each element corresponding to the (url-encoded)
+# value of the text control submitted for spell-checking
+function print_textinputs_var() {
+	global $textinputs;
+	foreach( $textinputs as $key=>$val ) {
+		# $val = str_replace( "'", "%27", $val );
+		echo "textinputs[$key] = decodeURIComponent(\"" . $val . "\");\n";
+	}
+}
+
+# make declarations for the text input index
+function print_textindex_decl( $text_input_idx ) {
+	echo "words[$text_input_idx] = [];\n";
+	echo "suggs[$text_input_idx] = [];\n";
+}
+
+# set an element of the JavaScript 'words' array to a misspelled word
+function print_words_elem( $word, $index, $text_input_idx ) {
+	echo "words[$text_input_idx][$index] = '" . escape_quote( $word ) . "';\n";
+}
+
+
+# set an element of the JavaScript 'suggs' array to a list of suggestions
+function print_suggs_elem( $suggs, $index, $text_input_idx ) {
+	echo "suggs[$text_input_idx][$index] = [";
+	foreach( $suggs as $key=>$val ) {
+		if( $val ) {
+			echo "'" . escape_quote( $val ) . "'";
+			if ( $key+1 < count( $suggs )) {
+				echo ", ";
+			}
+		}
+	}
+	echo "];\n";
+}
+
+# escape single quote
+function escape_quote( $str ) {
+	return preg_replace ( "/'/", "\\'", $str );
+}
+
+
+# handle a server-side error.
+function error_handler( $err ) {
+	echo "error = '" . escape_quote( $err ) . "';\n";
+}
+
+## get the list of misspelled words. Put the results in the javascript words array
+## for each misspelled word, get suggestions and put in the javascript suggs array
+function print_checker_results() {
+
+	global $aspell_prog;
+	global $aspell_opts;
+	global $tempfiledir;
+	global $textinputs;
+	global $input_separator;
+	$aspell_err = "";
+	# create temp file
+	$tempfile = tempnam( $tempfiledir, 'aspell_data_' );
+
+	# open temp file, add the submitted text.
+	if( $fh = fopen( $tempfile, 'w' )) {
+		for( $i = 0; $i < count( $textinputs ); $i++ ) {
+			$text = urldecode( $textinputs[$i] );
+			$lines = explode( "\n", $text );
+			fwrite ( $fh, "%\n" ); # exit terse mode
+			fwrite ( $fh, "^$input_separator\n" );
+			fwrite ( $fh, "!\n" ); # enter terse mode
+			foreach( $lines as $key=>$value ) {
+				# use carat on each line to escape possible aspell commands
+				fwrite( $fh, "^$value\n" );
+			}
+		}
+		fclose( $fh );
+
+		# exec aspell command - redirect STDERR to STDOUT
+		$cmd = "$aspell_prog $aspell_opts < $tempfile 2>&1";
+		if( $aspellret = shell_exec( $cmd )) {
+			$linesout = explode( "\n", $aspellret );
+			$index = 0;
+			$text_input_index = -1;
+			# parse each line of aspell return
+			foreach( $linesout as $key=>$val ) {
+				$chardesc = substr( $val, 0, 1 );
+				# if '&', then not in dictionary but has suggestions
+				# if '#', then not in dictionary and no suggestions
+				# if '*', then it is a delimiter between text inputs
+				# if '@' then version info
+				if( $chardesc == '&' || $chardesc == '#' ) {
+					$line = explode( " ", $val, 5 );
+					print_words_elem( $line[1], $index, $text_input_index );
+					if( isset( $line[4] )) {
+						$suggs = explode( ", ", $line[4] );
+					} else {
+						$suggs = array();
+					}
+					print_suggs_elem( $suggs, $index, $text_input_index );
+					$index++;
+				} elseif( $chardesc == '*' ) {
+					$text_input_index++;
+					print_textindex_decl( $text_input_index );
+					$index = 0;
+				} elseif( $chardesc != '@' && $chardesc != "" ) {
+					# assume this is error output
+					$aspell_err .= $val;
+				}
+			}
+			if( $aspell_err ) {
+				$aspell_err = "Error executing `$cmd`\\n$aspell_err";
+				error_handler( $aspell_err );
+			}
+		} else {
+			error_handler( "System error: Aspell program execution failed (`$cmd`)" );
+		}
+	} else {
+		error_handler( "System error: Could not open file '$tempfile' for writing" );
+	}
+
+	# close temp file, delete file
+	unlink( $tempfile );
+}
+
+
+?>
+<html>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<link rel="stylesheet" type="text/css" href="<?php echo $spellercss ?>" />
+<script language="javascript" src="<?php echo $word_win_src ?>"></script>
+<script language="javascript">
+var suggs = new Array();
+var words = new Array();
+var textinputs = new Array();
+var error;
+<?php
+
+print_textinputs_var();
+
+print_checker_results();
+
+?>
+
+var wordWindowObj = new wordWindow();
+wordWindowObj.originalSpellings = words;
+wordWindowObj.suggestions = suggs;
+wordWindowObj.textInputs = textinputs;
+
+function init_spell() {
+	// check if any error occured during server-side processing
+	if( error ) {
+		alert( error );
+	} else {
+		// call the init_spell() function in the parent frameset
+		if (parent.frames.length) {
+			parent.init_spell( wordWindowObj );
+		} else {
+			alert('This page was loaded outside of a frameset. It might not display properly');
+		}
+	}
+}
+
+
+
+</script>
+
+</head>
+<!-- <body onLoad="init_spell();">		by FredCK -->
+<body onLoad="init_spell();" bgcolor="#ffffff">
+
+<script type="text/javascript">
+wordWindowObj.writeBody();
+</script>
+
+</body>
+</html>
+
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.pl soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.pl
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.pl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.pl	2005-06-11 10:27:27.000000000 +0900
@@ -0,0 +1,180 @@
+#!/usr/bin/perl
+
+use CGI qw/ :standard /;
+use File::Temp qw/ tempfile tempdir /;
+
+# my $spellercss = '/speller/spellerStyle.css';					# by FredCK
+my $spellercss = '../spellerStyle.css';							# by FredCK
+# my $wordWindowSrc = '/speller/wordWindow.js';					# by FredCK
+my $wordWindowSrc = '../wordWindow.js';							# by FredCK
+my @textinputs = param( 'textinputs[]' ); # array
+# my $aspell_cmd = 'aspell';									# by FredCK (for Linux)
+my $aspell_cmd = '"C:\Program Files\Aspell\bin\aspell.exe"';	# by FredCK (for Windows)
+my $lang = 'en_US';
+# my $aspell_opts = "-a --lang=$lang --encoding=utf-8";			# by FredCK
+my $aspell_opts = "-a --lang=$lang --encoding=utf-8 -H";		# by FredCK
+my $input_separator = "A";
+
+# set the 'wordtext' JavaScript variable to the submitted text. 
+sub printTextVar {
+	for( my $i = 0; $i <= $#textinputs; $i++ ) {
+	        print "textinputs[$i] = decodeURIComponent('" . escapeQuote( $textinputs[$i] ) . "')\n";
+	}
+}
+
+sub printTextIdxDecl {
+	my $idx = shift;
+	print "words[$idx] = [];\n";
+	print "suggs[$idx] = [];\n";
+}
+
+sub printWordsElem {
+	my( $textIdx, $wordIdx, $word ) = @_;
+	print "words[$textIdx][$wordIdx] = '" . escapeQuote( $word ) . "';\n";
+}
+
+sub printSuggsElem {
+	my( $textIdx, $wordIdx, @suggs ) = @_;
+	print "suggs[$textIdx][$wordIdx] = [";
+	for my $i ( 0..$#suggs ) {
+		print "'" . escapeQuote( $suggs[$i] ) . "'";
+		if( $i < $#suggs ) {
+			print ", ";
+		}
+	}
+	print "];\n";
+}
+
+sub printCheckerResults {
+	my $textInputIdx = -1;
+	my $wordIdx = 0;
+	my $unhandledText;
+	# create temp file
+	my $dir = tempdir( CLEANUP => 1 );
+	my( $fh, $tmpfilename ) = tempfile( DIR => $dir );
+
+	# temp file was created properly?
+	
+	# open temp file, add the submitted text.
+	for( my $i = 0; $i <= $#textinputs; $i++ ) {
+		$text = url_decode( $textinputs[$i] );
+		@lines = split( /\n/, $text );
+		print $fh "\%\n"; # exit terse mode
+		print $fh "^$input_separator\n";
+		print $fh "!\n";  # enter terse mode
+		for my $line ( @lines ) {
+			# use carat on each line to escape possible aspell commands
+			print $fh "^$line\n";
+		}
+		
+	}
+	# exec aspell command
+	my $cmd = "$aspell_cmd $aspell_opts < $tmpfilename 2>&1";
+	open ASPELL, "$cmd |" or handleError( "Could not execute `$cmd`\\n$!" ) and return;
+	# parse each line of aspell return
+	for my $ret ( <ASPELL> ) {
+		chomp( $ret );
+		# if '&', then not in dictionary but has suggestions
+		# if '#', then not in dictionary and no suggestions
+		# if '*', then it is a delimiter between text inputs
+		if( $ret =~ /^\*/ ) {
+			$textInputIdx++;
+			printTextIdxDecl( $textInputIdx );
+			$wordIdx = 0;
+	
+		} elsif( $ret =~ /^(&|#)/ ) {
+			my @tokens = split( " ", $ret, 5 );
+			printWordsElem( $textInputIdx, $wordIdx, $tokens[1] );
+			my @suggs = ();
+			if( $tokens[4] ) {
+				@suggs = split( ", ", $tokens[4] );
+			}
+			printSuggsElem( $textInputIdx, $wordIdx, @suggs );
+			$wordIdx++;
+		} else {
+			$unhandledText .= $ret;
+		}
+	}
+	close ASPELL or handleError( "Error executing `$cmd`\\n$unhandledText" ) and return;
+}
+
+sub escapeQuote {
+	my $str = shift;
+	$str =~ s/'/\\'/g;
+	return $str;
+}
+
+sub handleError {
+	my $err = shift;
+	print "error = '" . escapeQuote( $err ) . "';\n";
+}
+
+sub url_decode {
+	local $_ = @_ ? shift : $_;
+	defined or return;
+	# change + signs to spaces
+	tr/+/ /;
+	# change hex escapes to the proper characters
+	s/%([a-fA-F0-9]{2})/pack "H2", $1/eg;
+	return $_;
+}
+
+# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
+# Display HTML
+# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
+
+print <<EOF;
+Content-type: text/html; charset=utf-8
+
+<html>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<link rel="stylesheet" type="text/css" href="$spellercss"/>
+<script src="$wordWindowSrc"></script>
+<script type="text/javascript">
+var suggs = new Array();
+var words = new Array();
+var textinputs = new Array();
+var error;
+EOF
+
+printTextVar();
+
+printCheckerResults();
+
+print <<EOF;
+var wordWindowObj = new wordWindow();
+wordWindowObj.originalSpellings = words;
+wordWindowObj.suggestions = suggs;
+wordWindowObj.textInputs = textinputs;
+
+
+function init_spell() {
+	// check if any error occured during server-side processing
+	if( error ) {
+		alert( error );
+	} else {
+		// call the init_spell() function in the parent frameset
+		if (parent.frames.length) {
+			parent.init_spell( wordWindowObj );
+		} else {
+			error = "This page was loaded outside of a frameset. "; 
+			error += "It might not display properly";
+			alert( error );
+		}
+	}
+}
+
+</script>
+
+</head>
+<body onLoad="init_spell();">
+
+<script type="text/javascript">
+wordWindowObj.writeBody();
+</script>
+
+</body>
+</html>
+EOF
+
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellChecker.js soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellChecker.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellChecker.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellChecker.js	2005-06-11 10:27:29.000000000 +0900
@@ -0,0 +1,458 @@
+﻿////////////////////////////////////////////////////
+// spellChecker.js
+//
+// spellChecker object
+//
+// This file is sourced on web pages that have a textarea object to evaluate
+// for spelling. It includes the implementation for the spellCheckObject.
+//
+////////////////////////////////////////////////////
+
+
+// constructor
+function spellChecker( textObject ) {
+
+	// public properties - configurable
+//	this.popUpUrl = '/speller/spellchecker.html';							// by FredCK
+	this.popUpUrl = 'fck_spellerpages/spellerpages/spellchecker.html';		// by FredCK
+	this.popUpName = 'spellchecker';
+//	this.popUpProps = "menu=no,width=440,height=350,top=70,left=120,resizable=yes,status=yes";	// by FredCK
+	this.popUpProps = null ;																	// by FredCK
+//	this.spellCheckScript = '/speller/server-scripts/spellchecker.php';		// by FredCK
+	this.spellCheckScript = 'server-scripts/spellchecker.php';				// by FredCK
+	//this.spellCheckScript = '/cgi-bin/spellchecker.pl';
+
+	// values used to keep track of what happened to a word
+	this.replWordFlag = "R";	// single replace
+	this.ignrWordFlag = "I";	// single ignore
+	this.replAllFlag = "RA";	// replace all occurances
+	this.ignrAllFlag = "IA";	// ignore all occurances
+	this.fromReplAll = "~RA";	// an occurance of a "replace all" word
+	this.fromIgnrAll = "~IA";	// an occurance of a "ignore all" word
+	// properties set at run time
+	this.wordFlags = new Array();
+	this.currentTextIndex = 0;
+	this.currentWordIndex = 0;
+	this.spellCheckerWin = null;
+	this.controlWin = null;
+	this.wordWin = null;
+	this.textArea = textObject;	// deprecated
+	this.textInputs = arguments; 
+
+	// private methods
+	this._spellcheck = _spellcheck;
+	this._getSuggestions = _getSuggestions;
+	this._setAsIgnored = _setAsIgnored;
+	this._getTotalReplaced = _getTotalReplaced;
+	this._setWordText = _setWordText;
+	this._getFormInputs = _getFormInputs;
+
+	// public methods
+	this.openChecker = openChecker;
+	this.startCheck = startCheck;
+	this.checkTextBoxes = checkTextBoxes;
+	this.checkTextAreas = checkTextAreas;
+	this.spellCheckAll = spellCheckAll;
+	this.ignoreWord = ignoreWord;
+	this.ignoreAll = ignoreAll;
+	this.replaceWord = replaceWord;
+	this.replaceAll = replaceAll;
+	this.terminateSpell = terminateSpell;
+	this.undo = undo;
+
+	// set the current window's "speller" property to the instance of this class.
+	// this object can now be referenced by child windows/frames.
+	window.speller = this;
+}
+
+// call this method to check all text boxes (and only text boxes) in the HTML document
+function checkTextBoxes() {
+	this.textInputs = this._getFormInputs( "^text$" );
+	this.openChecker();
+}
+
+// call this method to check all textareas (and only textareas ) in the HTML document
+function checkTextAreas() {
+	this.textInputs = this._getFormInputs( "^textarea$" );
+	this.openChecker();
+}
+
+// call this method to check all text boxes and textareas in the HTML document
+function spellCheckAll() {
+	this.textInputs = this._getFormInputs( "^text(area)?$" );
+	this.openChecker();
+}
+
+// call this method to check text boxe(s) and/or textarea(s) that were passed in to the
+// object's constructor or to the textInputs property
+function openChecker() {
+	this.spellCheckerWin = window.open( this.popUpUrl, this.popUpName, this.popUpProps );
+	if( !this.spellCheckerWin.opener ) {
+		this.spellCheckerWin.opener = window;
+	}
+}
+
+function startCheck( wordWindowObj, controlWindowObj ) {
+
+	// set properties from args
+	this.wordWin = wordWindowObj;
+	this.controlWin = controlWindowObj;
+	
+	// reset properties
+	this.wordWin.resetForm();
+	this.controlWin.resetForm();
+	this.currentTextIndex = 0;
+	this.currentWordIndex = 0;
+	// initialize the flags to an array - one element for each text input
+	this.wordFlags = new Array( this.wordWin.textInputs.length );
+	// each element will be an array that keeps track of each word in the text
+	for( var i=0; i<this.wordFlags.length; i++ ) {
+		this.wordFlags[i] = [];
+	}
+
+	// start
+	this._spellcheck();
+	
+	return true;
+}
+
+function ignoreWord() {
+	var wi = this.currentWordIndex;
+	var ti = this.currentTextIndex;
+	if( !this.wordWin ) {
+		alert( 'Error: Word frame not available.' );
+		return false;
+	}
+	if( !this.wordWin.getTextVal( ti, wi )) {
+		alert( 'Error: "Not in dictionary" text is missing.' );
+		return false;
+	}
+	// set as ignored
+	if( this._setAsIgnored( ti, wi, this.ignrWordFlag )) {
+		this.currentWordIndex++;
+		this._spellcheck();
+	}
+}
+
+function ignoreAll() {
+	var wi = this.currentWordIndex;
+	var ti = this.currentTextIndex;
+	if( !this.wordWin ) {
+		alert( 'Error: Word frame not available.' );
+		return false;
+	}
+	// get the word that is currently being evaluated.
+	var s_word_to_repl = this.wordWin.getTextVal( ti, wi );
+	if( !s_word_to_repl ) {
+		alert( 'Error: "Not in dictionary" text is missing' );
+		return false;
+	}
+
+	// set this word as an "ignore all" word. 
+	this._setAsIgnored( ti, wi, this.ignrAllFlag );
+
+	// loop through all the words after this word
+	for( var i = ti; i < this.wordWin.textInputs.length; i++ ) {
+		for( var j = 0; j < this.wordWin.totalWords( i ); j++ ) {
+			if(( i == ti && j > wi ) || i > ti ) {
+				// future word: set as "from ignore all" if
+				// 1) do not already have a flag and 
+				// 2) have the same value as current word
+				if(( this.wordWin.getTextVal( i, j ) == s_word_to_repl )
+				&& ( !this.wordFlags[i][j] )) {
+					this._setAsIgnored( i, j, this.fromIgnrAll );
+				}
+			}
+		}
+	}
+
+	// finally, move on
+	this.currentWordIndex++;
+	this._spellcheck();
+}
+
+function replaceWord() {
+	var wi = this.currentWordIndex;
+	var ti = this.currentTextIndex;
+	if( !this.wordWin ) {
+		alert( 'Error: Word frame not available.' );
+		return false;
+	}
+	if( !this.wordWin.getTextVal( ti, wi )) {
+		alert( 'Error: "Not in dictionary" text is missing' );
+		return false;
+	}
+	if( !this.controlWin.replacementText ) {
+		return;
+	}
+	var txt = this.controlWin.replacementText;
+	if( txt.value ) {
+		var newspell = new String( txt.value );
+		if( this._setWordText( ti, wi, newspell, this.replWordFlag )) {
+			this.currentWordIndex++;
+			this._spellcheck();
+		}
+	}
+}
+
+function replaceAll() {
+	var ti = this.currentTextIndex;
+	var wi = this.currentWordIndex;
+	if( !this.wordWin ) {
+		alert( 'Error: Word frame not available.' );
+		return false;
+	}
+	var s_word_to_repl = this.wordWin.getTextVal( ti, wi );
+	if( !s_word_to_repl ) {
+		alert( 'Error: "Not in dictionary" text is missing' );
+		return false;
+	}
+	var txt = this.controlWin.replacementText;
+	if( !txt.value ) return;
+	var newspell = new String( txt.value );
+
+	// set this word as a "replace all" word. 
+	this._setWordText( ti, wi, newspell, this.replAllFlag );
+
+	// loop through all the words after this word
+	for( var i = ti; i < this.wordWin.textInputs.length; i++ ) {
+		for( var j = 0; j < this.wordWin.totalWords( i ); j++ ) {
+			if(( i == ti && j > wi ) || i > ti ) {
+				// future word: set word text to s_word_to_repl if
+				// 1) do not already have a flag and 
+				// 2) have the same value as s_word_to_repl
+				if(( this.wordWin.getTextVal( i, j ) == s_word_to_repl )
+				&& ( !this.wordFlags[i][j] )) {
+					this._setWordText( i, j, newspell, this.fromReplAll );
+				}
+			}
+		}
+	}
+	
+	// finally, move on
+	this.currentWordIndex++;
+	this._spellcheck();
+}
+
+function terminateSpell() {
+	// called when we have reached the end of the spell checking.
+	var msg = "";		// by FredCK
+	var numrepl = this._getTotalReplaced();
+	if( numrepl == 0 ) {
+		// see if there were no misspellings to begin with
+		if( !this.wordWin ) {
+			msg = "";
+		} else {
+			if( this.wordWin.totalMisspellings() ) {
+//				msg += "No words changed.";			// by FredCK
+				msg += FCKLang.DlgSpellNoChanges ;	// by FredCK
+			} else {
+//				msg += "No misspellings found.";	// by FredCK
+				msg += FCKLang.DlgSpellNoMispell ;	// by FredCK
+			}
+		}
+	} else if( numrepl == 1 ) {
+//		msg += "One word changed.";			// by FredCK
+		msg += FCKLang.DlgSpellOneChange ;	// by FredCK
+	} else {
+//		msg += numrepl + " words changed.";	// by FredCK
+		msg += FCKLang.DlgSpellManyChanges.replace( /%1/g, numrepl ) ;
+	}
+	if( msg ) {
+//		msg += "\n";	// by FredCK
+		alert( msg );
+	}
+
+	if( numrepl > 0 ) {
+		// update the text field(s) on the opener window
+		for( var i = 0; i < this.textInputs.length; i++ ) {
+			// this.textArea.value = this.wordWin.text;
+			if( this.wordWin ) {
+				if( this.wordWin.textInputs[i] ) {
+					this.textInputs[i].value = this.wordWin.textInputs[i];
+				}
+			}
+		}
+	}
+
+	// return back to the calling window
+//	this.spellCheckerWin.close();					// by FredCK
+	if ( typeof( this.OnFinished ) == 'function' )	// by FredCK
+		this.OnFinished(numrepl) ;					// by FredCK
+
+	return true;
+}
+
+function undo() {
+	// skip if this is the first word!
+	var ti = this.currentTextIndex;
+	var wi = this.currentWordIndex
+	
+	if( this.wordWin.totalPreviousWords( ti, wi ) > 0 ) {
+		this.wordWin.removeFocus( ti, wi );
+
+		// go back to the last word index that was acted upon 
+		do {
+			// if the current word index is zero then reset the seed
+			if( this.currentWordIndex == 0 && this.currentTextIndex > 0 ) {
+				this.currentTextIndex--;
+				this.currentWordIndex = this.wordWin.totalWords( this.currentTextIndex )-1;
+				if( this.currentWordIndex < 0 ) this.currentWordIndex = 0;
+			} else {
+				if( this.currentWordIndex > 0 ) {
+					this.currentWordIndex--;
+				}
+			}
+		} while ( 
+			this.wordWin.totalWords( this.currentTextIndex ) == 0
+			|| this.wordFlags[this.currentTextIndex][this.currentWordIndex] == this.fromIgnrAll
+			|| this.wordFlags[this.currentTextIndex][this.currentWordIndex] == this.fromReplAll
+		); 
+
+		var text_idx = this.currentTextIndex;
+		var idx = this.currentWordIndex;
+		var preReplSpell = this.wordWin.originalSpellings[text_idx][idx];
+		
+		// if we got back to the first word then set the Undo button back to disabled
+		if( this.wordWin.totalPreviousWords( text_idx, idx ) == 0 ) {
+			this.controlWin.disableUndo();
+		}
+	
+		// examine what happened to this current word.
+		switch( this.wordFlags[text_idx][idx] ) {
+			// replace all: go through this and all the future occurances of the word 
+			// and revert them all to the original spelling and clear their flags
+			case this.replAllFlag :
+				for( var i = text_idx; i < this.wordWin.textInputs.length; i++ ) {
+					for( var j = 0; j < this.wordWin.totalWords( i ); j++ ) {
+						if(( i == text_idx && j >= idx ) || i > text_idx ) {
+							var origSpell = this.wordWin.originalSpellings[i][j];
+							if( origSpell == preReplSpell ) {
+								this._setWordText ( i, j, origSpell, undefined );
+							}
+						}
+					}
+				}
+				break;
+				
+			// ignore all: go through all the future occurances of the word 
+			// and clear their flags
+			case this.ignrAllFlag :
+				for( var i = text_idx; i < this.wordWin.textInputs.length; i++ ) {
+					for( var j = 0; j < this.wordWin.totalWords( i ); j++ ) {
+						if(( i == text_idx && j >= idx ) || i > text_idx ) {
+							var origSpell = this.wordWin.originalSpellings[i][j];
+							if( origSpell == preReplSpell ) {
+								this.wordFlags[i][j] = undefined; 
+							}
+						}
+					}
+				}
+				break;
+				
+			// replace: revert the word to its original spelling
+			case this.replWordFlag :
+				this._setWordText ( text_idx, idx, preReplSpell, undefined );
+				break;
+		}
+
+		// For all four cases, clear the wordFlag of this word. re-start the process
+		this.wordFlags[text_idx][idx] = undefined; 
+		this._spellcheck();
+	}
+}
+
+function _spellcheck() {
+	var ww = this.wordWin;
+	
+	// check if this is the last word in the current text element
+	if( this.currentWordIndex == ww.totalWords( this.currentTextIndex) ) {
+		this.currentTextIndex++;
+		this.currentWordIndex = 0;
+		// keep going if we're not yet past the last text element
+		if( this.currentTextIndex < this.wordWin.textInputs.length ) {	
+			this._spellcheck();
+			return;
+		} else {
+			this.terminateSpell();
+			return;
+		}
+	}
+	
+	// if this is after the first one make sure the Undo button is enabled
+	if( this.currentWordIndex > 0 ) {
+		this.controlWin.enableUndo();
+	}
+
+	// skip the current word if it has already been worked on
+	if( this.wordFlags[this.currentTextIndex][this.currentWordIndex] ) {
+		// increment the global current word index and move on.
+		this.currentWordIndex++;
+		this._spellcheck();
+	} else {
+		var evalText = ww.getTextVal( this.currentTextIndex, this.currentWordIndex );
+		if( evalText ) {
+			this.controlWin.evaluatedText.value = evalText;
+			ww.setFocus( this.currentTextIndex, this.currentWordIndex );
+			this._getSuggestions( this.currentTextIndex, this.currentWordIndex );
+		}
+	}
+}
+
+function _getSuggestions( text_num, word_num ) {
+	this.controlWin.clearSuggestions();
+	// add suggestion in list for each suggested word.
+	// get the array of suggested words out of the
+	// three-dimensional array containing all suggestions.
+	var a_suggests = this.wordWin.suggestions[text_num][word_num];	
+	if( a_suggests ) {
+		// got an array of suggestions.
+		for( var ii = 0; ii < a_suggests.length; ii++ ) {	
+			this.controlWin.addSuggestion( a_suggests[ii] );
+		}
+	}
+	this.controlWin.selectDefaultSuggestion();
+}
+
+function _setAsIgnored( text_num, word_num, flag ) {
+	// set the UI
+	this.wordWin.removeFocus( text_num, word_num );
+	// do the bookkeeping
+	this.wordFlags[text_num][word_num] = flag;
+	return true;
+}
+
+function _getTotalReplaced() {
+	var i_replaced = 0;
+	for( var i = 0; i < this.wordFlags.length; i++ ) {
+		for( var j = 0; j < this.wordFlags[i].length; j++ ) {
+			if(( this.wordFlags[i][j] == this.replWordFlag )
+			|| ( this.wordFlags[i][j] == this.replAllFlag )
+			|| ( this.wordFlags[i][j] == this.fromReplAll )) {
+				i_replaced++;
+			}
+		}
+	}
+	return i_replaced;
+}
+
+function _setWordText( text_num, word_num, newText, flag ) {
+	// set the UI and form inputs
+	this.wordWin.setText( text_num, word_num, newText );
+	// keep track of what happened to this word:
+	this.wordFlags[text_num][word_num] = flag;
+	return true;
+}
+
+function _getFormInputs( inputPattern ) {
+	var inputs = new Array();
+	for( var i = 0; i < document.forms.length; i++ ) {
+		for( var j = 0; j < document.forms[i].elements.length; j++ ) {
+			if( document.forms[i].elements[j].type.match( inputPattern )) {
+				inputs[inputs.length] = document.forms[i].elements[j]; 
+			}	
+		}
+	}
+	return inputs;
+}
+
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellchecker.html soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellchecker.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellchecker.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellchecker.html	2005-06-11 10:27:29.000000000 +0900
@@ -0,0 +1,71 @@
+
+<script>
+
+var wordWindow = null;
+var controlWindow = null;
+
+function init_spell( spellerWindow ) {
+
+	if( spellerWindow ) {
+		if( spellerWindow.windowType == "wordWindow" ) {
+			wordWindow = spellerWindow;
+		} else if ( spellerWindow.windowType == "controlWindow" ) {
+			controlWindow = spellerWindow;
+		}
+	}
+
+	if( controlWindow && wordWindow ) {
+		// populate the speller object and start it off!
+		var speller = opener.speller;
+		wordWindow.speller = speller;
+		speller.startCheck( wordWindow, controlWindow );
+	}
+}
+
+// encodeForPost
+function encodeForPost( str ) {
+	var s = new String( str );
+	s = encodeURIComponent( s );
+	// additionally encode single quotes to evade any PHP 
+	// magic_quotes_gpc setting (it inserts escape characters and 
+	// therefore skews the btye positions of misspelled words)
+	return s.replace( /\'/g, '%27' );
+}
+
+// post the text area data to the script that populates the speller
+function postWords() {
+	var bodyDoc = window.frames[0].document;
+	bodyDoc.open();
+	bodyDoc.write('<html>');
+	bodyDoc.write('<meta http-equiv="Content-Type" content="text/html; charset=utf-8">');
+	bodyDoc.write('<link rel="stylesheet" type="text/css" href="spellerStyle.css"/>');
+	if (opener) {
+		var speller = opener.speller;
+		bodyDoc.write('<body class="normalText" onLoad="document.forms[0].submit();">');
+		bodyDoc.write('<p>' + window.parent.FCKLang.DlgSpellProgress + '</p>');		// by FredCK
+		bodyDoc.write('<form action="'+speller.spellCheckScript+'" method="post">');
+		for( var i = 0; i < speller.textInputs.length; i++ ) {
+			bodyDoc.write('<input type="hidden" name="textinputs[]" value="'+encodeForPost(speller.textInputs[i].value)+'">');
+		}
+		bodyDoc.write('</form>');
+		bodyDoc.write('</body>');
+	} else {
+		bodyDoc.write('<body class="normalText">');
+		bodyDoc.write('<p><b>This page cannot be displayed</b></p><p>The window was not opened from another window.</p>');
+		bodyDoc.write('</body>');
+	}
+	bodyDoc.write('</html>');
+	bodyDoc.close();
+}
+</script>
+
+<html>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<head>
+<title>Speller Pages</title>
+</head>
+<frameset rows="*,201" onLoad="postWords();">
+<frame src="blank.html">
+<frame src="controls.html">
+</frameset>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellerStyle.css soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellerStyle.css
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellerStyle.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/spellerStyle.css	2005-06-11 10:27:29.000000000 +0900
@@ -0,0 +1,49 @@
+.blend {
+	font-family: courier new;
+	font-size: 10pt;
+	border: 0;
+	margin-bottom:-1;
+}
+.normalLabel {
+	font-size:8pt;
+}
+.normalText {
+	font-family:arial, helvetica, sans-serif;
+	font-size:10pt;
+	color:000000;
+	background-color:FFFFFF;
+}
+.plainText {
+	font-family: courier new, courier, monospace;
+	font-size: 10pt;
+	color:000000;
+	background-color:FFFFFF;
+}
+.controlWindowBody {
+	font-family:arial, helvetica, sans-serif;
+	font-size:8pt;
+	padding: 7px ;		/* by FredCK */
+	margin: 0px ;		/* by FredCK */
+	/* color:000000;				by FredCK */
+	/* background-color:DADADA;		by FredCK */
+}
+.readonlyInput {
+	background-color:DADADA;
+	color:000000;
+	font-size:8pt;
+	width:392px;
+}
+.textDefault {
+	font-size:8pt;
+	width: 200px;
+}
+.buttonDefault {
+	width:90px;
+	height:22px;
+	font-size:8pt;
+}
+.suggSlct {
+	width:200px;
+	margin-top:2;
+	font-size:8pt;
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/wordWindow.js soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/wordWindow.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/wordWindow.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_spellerpages/spellerpages/wordWindow.js	2005-06-11 10:27:29.000000000 +0900
@@ -0,0 +1,271 @@
+﻿////////////////////////////////////////////////////
+// wordWindow object
+////////////////////////////////////////////////////
+function wordWindow() {
+	// private properties
+	this._forms = [];
+
+	// private methods
+	this._getWordObject = _getWordObject;
+	//this._getSpellerObject = _getSpellerObject;
+	this._wordInputStr = _wordInputStr;
+	this._adjustIndexes = _adjustIndexes;
+	this._isWordChar = _isWordChar;
+	this._lastPos = _lastPos;
+	
+	// public properties
+	this.wordChar = /[a-zA-Z]/;
+	this.windowType = "wordWindow";
+	this.originalSpellings = new Array();
+	this.suggestions = new Array();
+	this.checkWordBgColor = "pink";
+	this.normWordBgColor = "white";
+	this.text = "";
+	this.textInputs = new Array();
+	this.indexes = new Array();
+	//this.speller = this._getSpellerObject();
+
+	// public methods
+	this.resetForm = resetForm;
+	this.totalMisspellings = totalMisspellings;
+	this.totalWords = totalWords;
+	this.totalPreviousWords = totalPreviousWords;
+	//this.getTextObjectArray = getTextObjectArray;
+	this.getTextVal = getTextVal;
+	this.setFocus = setFocus;
+	this.removeFocus = removeFocus;
+	this.setText = setText;
+	//this.getTotalWords = getTotalWords;
+	this.writeBody = writeBody;
+	this.printForHtml = printForHtml;
+}
+
+function resetForm() {
+	if( this._forms ) {
+		for( var i = 0; i < this._forms.length; i++ ) {
+			this._forms[i].reset();
+		}
+	}
+	return true;
+}
+
+function totalMisspellings() {
+	var total_words = 0;
+	for( var i = 0; i < this.textInputs.length; i++ ) {
+		total_words += this.totalWords( i );
+	}
+	return total_words;
+}
+
+function totalWords( textIndex ) {
+	return this.originalSpellings[textIndex].length;
+}
+
+function totalPreviousWords( textIndex, wordIndex ) {
+	var total_words = 0;
+	for( var i = 0; i <= textIndex; i++ ) {
+		for( var j = 0; j < this.totalWords( i ); j++ ) {
+			if( i == textIndex && j == wordIndex ) {
+				break;
+			} else {
+				total_words++;
+			}	
+		}
+	}
+	return total_words;
+}
+
+//function getTextObjectArray() {
+//	return this._form.elements;
+//}
+
+function getTextVal( textIndex, wordIndex ) {
+	var word = this._getWordObject( textIndex, wordIndex );
+	if( word ) {
+		return word.value;
+	}
+}
+
+function setFocus( textIndex, wordIndex ) {
+	var word = this._getWordObject( textIndex, wordIndex );
+	if( word ) {
+		if( word.type == "text" ) {
+			word.focus();
+			word.style.backgroundColor = this.checkWordBgColor;
+		}
+	}
+}
+
+function removeFocus( textIndex, wordIndex ) {
+	var word = this._getWordObject( textIndex, wordIndex );
+	if( word ) {
+		if( word.type == "text" ) {
+			word.blur();
+			word.style.backgroundColor = this.normWordBgColor;
+		}
+	}
+}
+
+function setText( textIndex, wordIndex, newText ) {
+	var word = this._getWordObject( textIndex, wordIndex );
+	var beginStr;
+	var endStr;
+	if( word ) {
+		var pos = this.indexes[textIndex][wordIndex];
+		var oldText = word.value;
+		// update the text given the index of the string
+		beginStr = this.textInputs[textIndex].substring( 0, pos );
+		endStr = this.textInputs[textIndex].substring( 
+			pos + oldText.length, 
+			this.textInputs[textIndex].length 
+		);
+		this.textInputs[textIndex] = beginStr + newText + endStr;
+		
+		// adjust the indexes on the stack given the differences in 
+		// length between the new word and old word. 
+		var lengthDiff = newText.length - oldText.length;
+		this._adjustIndexes( textIndex, wordIndex, lengthDiff );
+		
+		word.size = newText.length;
+		word.value = newText;
+		this.removeFocus( textIndex, wordIndex );
+	}
+}
+
+
+function writeBody() {
+	var d = window.document;
+	var is_html = false;
+
+	d.open();
+
+	// iterate through each text input.
+	for( var txtid = 0; txtid < this.textInputs.length; txtid++ ) {	
+		var end_idx = 0;
+		var begin_idx = 0;	
+		d.writeln( '<form name="textInput'+txtid+'">' );
+		var wordtxt = this.textInputs[txtid];
+		this.indexes[txtid] = [];
+
+		if( wordtxt ) {			
+			var orig = this.originalSpellings[txtid];
+			if( !orig ) break;
+
+			//!!! plain text, or HTML mode?
+			d.writeln( '<div class="plainText">' );
+			// iterate through each occurrence of a misspelled word. 
+			for( var i = 0; i < orig.length; i++ ) {
+				// find the position of the current misspelled word,
+				// starting at the last misspelled word. 
+				// and keep looking if it's a substring of another word
+				do {
+					begin_idx = wordtxt.indexOf( orig[i], end_idx );
+					end_idx = begin_idx + orig[i].length;
+					// word not found? messed up!
+					if( begin_idx == -1 ) break; 
+					// look at the characters immediately before and after 
+					// the word. If they are word characters we'll keep looking.
+					var before_char = wordtxt.charAt( begin_idx - 1 );
+					var after_char = wordtxt.charAt( end_idx );
+				} while ( 
+					this._isWordChar( before_char ) 
+					|| this._isWordChar( after_char )
+				);
+
+				// keep track of its position in the original text. 
+				this.indexes[txtid][i] = begin_idx;
+
+				// write out the characters before the current misspelled word
+				for( var j = this._lastPos( txtid, i ); j < begin_idx; j++ ) {
+					// !!! html mode? make it html compatible
+					d.write( this.printForHtml( wordtxt.charAt( j )));
+				}
+
+				// write out the misspelled word. 
+				d.write( this._wordInputStr( orig[i] ));
+
+				// if it's the last word, write out the rest of the text
+				if( i == orig.length-1 ){
+					d.write( printForHtml( wordtxt.substr( end_idx )));
+				}			
+			}
+
+			d.writeln( '</div>' );
+			
+		}
+		d.writeln( '</form>' );
+	}
+	//for ( var j = 0; j < d.forms.length; j++ ) {
+	//	alert( d.forms[j].name );
+	//	for( var k = 0; k < d.forms[j].elements.length; k++ ) {
+	//		alert( d.forms[j].elements[k].name + ": " + d.forms[j].elements[k].value );
+	//	}
+	//}	
+	
+	// set the _forms property
+	this._forms = d.forms;
+	d.close();
+}
+
+// return the character index in the full text after the last word we evaluated
+function _lastPos( txtid, idx ) {
+	if( idx > 0 )
+		return this.indexes[txtid][idx-1] + this.originalSpellings[txtid][idx-1].length;
+	else
+		return 0;
+}
+
+function printForHtml( n ) {
+	return n ;		// by FredCK
+	
+	var htmlstr = n;
+	if( htmlstr.length == 1 ) {
+		// do simple case statement if it's just one character
+		switch ( n ) {
+			case "\n":
+				htmlstr = '<br/>';
+				break;
+			case "<":
+				htmlstr = '&lt;';
+				break;
+			case ">":
+				htmlstr = '&gt;';
+				break;
+		}
+		return htmlstr;
+	} else {
+		htmlstr = htmlstr.replace( /</g, '&lt' );
+		htmlstr = htmlstr.replace( />/g, '&gt' );
+		htmlstr = htmlstr.replace( /\n/g, '<br/>' );
+		return htmlstr;
+	}
+}
+
+function _isWordChar( letter ) {
+	if( letter.search( this.wordChar ) == -1 ) {
+		return false;
+	} else {
+		return true;
+	}
+}
+
+function _getWordObject( textIndex, wordIndex ) {
+	if( this._forms[textIndex] ) {
+		if( this._forms[textIndex].elements[wordIndex] ) {
+			return this._forms[textIndex].elements[wordIndex];
+		}
+	}
+	return null;
+}
+
+function _wordInputStr( word ) {
+	var str = '<input readonly ';
+	str += 'class="blend" type="text" value="' + word + '" size="' + word.length + '">';
+	return str;
+}
+
+function _adjustIndexes( textIndex, wordIndex, lengthDiff ) {
+	for( var i = wordIndex + 1; i < this.originalSpellings[textIndex].length; i++ ) {
+		this.indexes[textIndex][i] = this.indexes[textIndex][i] + lengthDiff;
+	}
+}
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages.html soojung/libs/fckeditor/editor/dialog/fck_spellerpages.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_spellerpages.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_spellerpages.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,57 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_spellerpages.html
+ * 	Spell Check dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Spell Check</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="fck_spellerpages/spellerpages/spellChecker.js"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+var FCKLang = oEditor.FCKLang ;
+
+window.onload = function()
+{
+	document.getElementById('txtHtml').value = oEditor.FCK.GetHTML() ;
+
+	var oSpeller = new spellChecker( document.getElementById('txtHtml') ) ;
+	oSpeller.OnFinished = oSpeller_OnFinished ;
+	oSpeller.openChecker() ;
+}
+
+function OnSpellerControlsLoad( controlsWindow )
+{
+	// Translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage( controlsWindow.document ) ;
+}
+
+function oSpeller_OnFinished( numberOCorrections )
+{
+	if ( numberOCorrections > 0 )
+		oEditor.FCK.SetHTML( document.getElementById('txtHtml').value ) ;
+	window.parent.Cancel() ;
+}
+
+		</script>
+	</head>
+	<body style="OVERFLOW: hidden" scroll="no" style="padding:0px;">
+		<input type="hidden" id="txtHtml" value="">
+		<iframe id="frmSpell" src="../fckblank.html" name="spellchecker" width="100%" height="100%" frameborder="no"></iframe>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_table.html soojung/libs/fckeditor/editor/dialog/fck_table.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_table.html	2004-12-27 20:50:22.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_table.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,250 +1,250 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_table.html
- * 	Table dialog window.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-09-03 09:52:12
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_table.html
+ * 	Table dialog window.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
-<html>
-	<head>
-		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
-		<script type="text/javascript">
-<!--
-var dialogArguments = window.parent.InnerDialogLoaded() ;
-
-// Sets the Skin CSS
-document.write( '<link href="' + dialogArguments.FCKConfig.SkinPath + 'fck_dialog.css" type="text/css" rel="stylesheet">' ) ;
-
-// Gets the document DOM
-var oDOM = dialogArguments.FCK.EditorDocument ;
-
-// Gets the table if there is one selected.
-var table ;
-var e = dialogArguments.FCKSelection.GetSelectedElement() ;
-
-if ( ! e && document.location.search.substr(1) == 'Parent' )
-	e = dialogArguments.FCKSelection.MoveToAncestorNode( 'TABLE' ) ;
-
-if ( e && e.tagName == "TABLE" )
-	table = e ;
-
-// Fired when the window loading process is finished. It sets the fields with the
-// actual values if a table is selected in the editor.
-function OnLoad()
-{
-	// First of all, translate the dialog box texts
-	dialogArguments.FCKLanguageManager.TranslatePage(document) ;
-
-	if (table)
-	{
-		document.getElementById('txtRows').value    = table.rows.length ;
-		document.getElementById('txtColumns').value = table.rows[0].cells.length ;
-
-		// Gets the value from the Width or the Style attribute
-		var iWidth  = (table.style.width  ? table.style.width  : table.width ) ;
-		var iHeight = (table.style.height ? table.style.height : table.height ) ;
-
-		if (iWidth.indexOf('%') >= 0)			// Percentual = %
-		{
-			iWidth = parseInt( iWidth.substr(0,iWidth.length - 1) ) ;
-			document.getElementById('selWidthType').value = "percent" ;
-		}
-		else if (iWidth.indexOf('px') >= 0)		// Style Pixel = px
-		{																										  //
-			iWidth = iWidth.substr(0,iWidth.length - 2);
-			document.getElementById('selWidthType').value = "pixels" ;
-		}
-		
-		if (iHeight && iHeight.indexOf('px') >= 0)		// Style Pixel = px
-			iHeight = iHeight.substr(0,iHeight.length - 2);
-		
-		document.getElementById('txtWidth').value		= iWidth ;
-		document.getElementById('txtHeight').value		= iHeight ;
-		document.getElementById('txtBorder').value		= table.border ;
-		document.getElementById('selAlignment').value	= table.align ;
-		document.getElementById('txtCellPadding').value	= table.cellPadding	;
-		document.getElementById('txtCellSpacing').value	= table.cellSpacing	;
-//		document.getElementById('cmbFontStyle').value	= table.className ;
-
-		if (table.caption) document.getElementById('txtCaption').value = table.caption.innerText ;		
-		
-		document.getElementById('txtRows').disabled    = true ;
-		document.getElementById('txtColumns').disabled = true ;
-	}
-	
-	window.parent.SetOkButton( true ) ;	
-}
-
-// Fired when the user press the OK button
-function Ok()
-{
-	var bExists = ( table != null ) ;
-	
-	if ( ! bExists )
-	{
-		table = document.createElement( "TABLE" ) ;
-	}
-
-	// Removes the Width and Height styles
-	if ( bExists && table.style.width )		table.style.removeAttribute("width") ;
-	if ( bExists && table.style.height )	table.style.removeAttribute("height") ;
-	
-	table.width			= document.getElementById('txtWidth').value + ( document.getElementById('selWidthType').value == "percent" ? "%" : "") ;
-	table.height		= document.getElementById('txtHeight').value ;
-	table.border		= document.getElementById('txtBorder').value ;
-	table.align			= document.getElementById('selAlignment').value ;
-	table.cellPadding	= document.getElementById('txtCellPadding').value ;
-	table.cellSpacing	= document.getElementById('txtCellSpacing').value ;
-//	table.className		= cmbFontStyle.value ;
-	
-	if ( document.getElementById('txtCaption').value != '')
-	{
-		if (! table.caption) table.createCaption() ;
-		table.caption.innerText = document.getElementById('txtCaption').value ;
-	}
-//	else if ( bExists && table.caption )
-//		table.deleteCaption() ;		// TODO: It causes an IE internal error.
-		
-	if (! bExists)
-	{
-		var iRows = document.getElementById('txtRows').value ;
-		var iCols = document.getElementById('txtColumns').value ;
-		
-		for ( var r = 0 ; r < iRows ; r++ )
-		{
-			var oRow = table.insertRow(-1) ;
-			for ( var c = 0 ; c < iCols ; c++ )
-			{
-				var oCell = oRow.insertCell(-1) ;
-				oCell.innerHTML = "&nbsp;" ;
-			}
-		}
-		
-		dialogArguments.FCK.InsertElement( table ) ;
-	}
-	
-	return true ;
-}
-
-function IsDigit( e )
-{
-	e = e || event ;
-	var iCode = ( e.keyCode || e.charCode ) ;
-	return 
-		(
-			( iCode >= 48 && iCode <= 57 )		// Numbers
-			|| (iCode >= 37 && iCode <= 40)		// Arrows
-			|| iCode == 8		// Backspace
-			|| iCode == 46		// Delete
-		) ;
-}
-//-->
-		</script>
-	</head>
-	<body bottommargin="5" leftmargin="5" topmargin="5" rightmargin="5" onload="OnLoad()">
-		<table id="otable" cellSpacing="0" cellPadding="0" width="100%" border="0" height="100%">
-			<tr>
-				<td>
-					<table cellSpacing="1" cellPadding="1" width="100%" border="0">
-						<tr>
-							<td valign="top">
-								<table cellSpacing="0" cellPadding="0" border="0">
-									<tr>
-										<td><span fckLang="DlgTableRows">Rows</span>:</td>
-										<td>&nbsp;<input id="txtRows" type="text" maxLength="3" size="2" value="3" name="txtRows" onkeypress="return IsDigit(event);"></td>
-									</tr>
-									<tr>
-										<td><span fckLang="DlgTableColumns">Columns</span>:</td>
-										<td>&nbsp;<input id="txtColumns" type="text" maxLength="2" size="2" value="2" name="txtColumns" onkeypress="return IsDigit(event);"></td>
-									</tr>
-									<tr>
-										<td>&nbsp;</td>
-										<td>&nbsp;</td>
-									</tr>
-									<tr>
-										<td><span fckLang="DlgTableBorder">Border size</span>:</td>
-										<td>&nbsp;<INPUT id="txtBorder" type="text" maxLength="2" size="2" value="1" name="txtBorder" onkeypress="return IsDigit(event);"></td>
-									</tr>
-									<tr>
-										<td><span fckLang="DlgTableAlign">Alignment</span>:</td>
-										<td>&nbsp;<select id="selAlignment" name="selAlignment">
-												<option fckLang="DlgTableAlignNotSet" value="" selected>&lt;Not set&gt;</option>
-												<option fckLang="DlgTableAlignLeft" value="left">Left</option>
-												<option fckLang="DlgTableAlignCenter" value="center">Center</option>
-												<option fckLang="DlgTableAlignRight" value="right">Right</option>
-											</select></td>
-									</tr>
-								</table>
-							</td>
-							<td>&nbsp;&nbsp;&nbsp;</td>
-							<td align="right" valign="top">
-								<table cellSpacing="0" cellPadding="0" border="0">
-									<tr>
-										<td><span fckLang="DlgTableWidth">Width</span>:</td>
-										<td>&nbsp;<input id="txtWidth" type="text" maxLength="4" size="3" value="200" name="txtWidth" onkeypress="return IsDigit(event);"></td>
-										<td>&nbsp;<select id="selWidthType" name="selWidthType">
-												<option fckLang="DlgTableWidthPx" value="pixels" selected>pixels</option>
-												<option fckLang="DlgTableWidthPc" value="percent">percent</option>
-											</select></td>
-									</tr>
-									<tr>
-										<td><span fckLang="DlgTableHeight">Height</span>:</td>
-										<td>&nbsp;<INPUT id="txtHeight" type="text" maxLength="4" size="3" name="txtHeight" onkeypress="return IsDigit(event);"></td>
-										<td>&nbsp;<span fckLang="DlgTableWidthPx">pixels</span></td>
-									</tr>
-									<tr>
-										<td>&nbsp;</td>
-										<td>&nbsp;</td>
-										<td>&nbsp;</td>
-									</tr>
-									<tr>
-										<td nowrap><span fckLang="DlgTableCellSpace">Cell spacing</span>:</td>
-										<td>&nbsp;<input id="txtCellSpacing" type="text" maxLength="2" size="2" value="1" name="txtCellSpacing"
-												onkeypress="return IsDigit(event);"></td>
-										<td>&nbsp;</td>
-									</tr>
-									<tr>
-										<td nowrap><span fckLang="DlgTableCellPad">Cell padding</span>:</td>
-										<td>&nbsp;<input id="txtCellPadding" type="text" maxLength="2" size="2" value="1" name="txtCellPadding"
-												onkeypress="return IsDigit(event);"></td>
-										<td>&nbsp;</td>
-									</tr>
-								</table>
-							</td>
-						</tr>
-					</table>
-					<table cellSpacing="0" cellPadding="0" width="100%" border="0" ID="Table1">
-						<tr>
-						<td nowrap><span fcklang="DlgClassName">Class Name</span>:</td>
-							<td>&nbsp;</td>
-										<td>
-										<script type="text/javascript">
-//											var tbstyles = new TBCombo( "FontStyle"		, "null"			, "", dialogArguments.config.StyleNames, dialogArguments.config.StyleValues, 'CheckStyle("cmbFontStyle")');
-//											document.write(tbstyles.GetHTML());
-										</script></td>
-						</tr>
-						<tr>
-							<td><span fckLang="DlgTableCaption">Caption</span>:</td>
-							<td>&nbsp;</td>
-							<td width="100%">&nbsp;
-								<input id="txtCaption" type="text" style="WIDTH: 100%"></td>
-						</tr>
-					</table>
-				</td>
-			</tr>
-		</table>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<html>
+	<head>
+		<title>Table Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+		<meta name="robots" content="noindex, nofollow" />
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+// Gets the table if there is one selected.
+var table ;
+var e = oEditor.FCKSelection.GetSelectedElement() ;
+
+if ( ! e && document.location.search.substr(1) == 'Parent' )
+	e = oEditor.FCKSelection.MoveToAncestorNode( 'TABLE' ) ;
+
+if ( e && e.tagName == "TABLE" )
+	table = e ;
+
+// Fired when the window loading process is finished. It sets the fields with the
+// actual values if a table is selected in the editor.
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	if (table)
+	{
+		document.getElementById('txtRows').value    = table.rows.length ;
+		document.getElementById('txtColumns').value = table.rows[0].cells.length ;
+
+		// Gets the value from the Width or the Style attribute
+		var iWidth  = (table.style.width  ? table.style.width  : table.width ) ;
+		var iHeight = (table.style.height ? table.style.height : table.height ) ;
+
+		if (iWidth.indexOf('%') >= 0)			// Percentual = %
+		{
+			iWidth = parseInt( iWidth.substr(0,iWidth.length - 1) ) ;
+			document.getElementById('selWidthType').value = "percent" ;
+		}
+		else if (iWidth.indexOf('px') >= 0)		// Style Pixel = px
+		{																										  //
+			iWidth = iWidth.substr(0,iWidth.length - 2);
+			document.getElementById('selWidthType').value = "pixels" ;
+		}
+		
+		if (iHeight && iHeight.indexOf('px') >= 0)		// Style Pixel = px
+			iHeight = iHeight.substr(0,iHeight.length - 2);
+		
+		document.getElementById('txtWidth').value		= iWidth ;
+		document.getElementById('txtHeight').value		= iHeight ;
+		document.getElementById('txtBorder').value		= table.border ;
+		document.getElementById('selAlignment').value	= table.align ;
+		document.getElementById('txtCellPadding').value	= table.cellPadding	;
+		document.getElementById('txtCellSpacing').value	= table.cellSpacing	;
+//		document.getElementById('cmbFontStyle').value	= table.className ;
+
+		if (table.caption) document.getElementById('txtCaption').value = table.caption.innerText ;		
+		
+		document.getElementById('txtRows').disabled    = true ;
+		document.getElementById('txtColumns').disabled = true ;
+	}
+	
+	window.parent.SetOkButton( true ) ;	
+	window.parent.SetAutoSize( true ) ;	
+}
+
+// Fired when the user press the OK button
+function Ok()
+{
+	var bExists = ( table != null ) ;
+	
+	if ( ! bExists )
+	{
+		table = document.createElement( "TABLE" ) ;
+	}
+
+	// Removes the Width and Height styles
+	if ( bExists && table.style.width )		table.style.width = null ; //.removeAttribute("width") ;
+	if ( bExists && table.style.height )	table.style.height = null ; //.removeAttribute("height") ;
+	
+	table.width			= document.getElementById('txtWidth').value + ( document.getElementById('selWidthType').value == "percent" ? "%" : "") ;
+	table.height		= document.getElementById('txtHeight').value ;
+	table.border		= document.getElementById('txtBorder').value ;
+	table.align			= document.getElementById('selAlignment').value ;
+	table.cellPadding	= document.getElementById('txtCellPadding').value ;
+	table.cellSpacing	= document.getElementById('txtCellSpacing').value ;
+//	table.className		= cmbFontStyle.value ;
+	
+	if ( document.getElementById('txtCaption').value != '')
+	{
+		if (! table.caption) table.createCaption() ;
+		table.caption.innerText = document.getElementById('txtCaption').value ;
+	}
+//	else if ( bExists && table.caption )
+//		table.deleteCaption() ;		// TODO: It causes an IE internal error.
+		
+	if (! bExists)
+	{
+		var iRows = document.getElementById('txtRows').value ;
+		var iCols = document.getElementById('txtColumns').value ;
+		
+		for ( var r = 0 ; r < iRows ; r++ )
+		{
+			var oRow = table.insertRow(-1) ;
+			for ( var c = 0 ; c < iCols ; c++ )
+			{
+				var oCell = oRow.insertCell(-1) ;
+				oCell.innerHTML = "&nbsp;" ;
+			}
+		}
+		
+		oEditor.FCK.InsertElement( table ) ;
+	}
+	
+	return true ;
+}
+
+function IsDigit( e )
+{
+	e = e || event ;
+	var iCode = ( e.keyCode || e.charCode ) ;
+	return 
+		(
+			( iCode >= 48 && iCode <= 57 )		// Numbers
+			|| (iCode >= 37 && iCode <= 40)		// Arrows
+			|| iCode == 8		// Backspace
+			|| iCode == 46		// Delete
+		) ;
+}
+
+		</script>
+	</head>
+	<body bottommargin="5" leftmargin="5" topmargin="5" rightmargin="5" scroll="no" style="OVERFLOW: hidden">
+		<table id="otable" cellSpacing="0" cellPadding="0" width="100%" border="0" height="100%">
+			<tr>
+				<td>
+					<table cellSpacing="1" cellPadding="1" width="100%" border="0">
+						<tr>
+							<td valign="top">
+								<table cellSpacing="0" cellPadding="0" border="0">
+									<tr>
+										<td><span fckLang="DlgTableRows">Rows</span>:</td>
+										<td>&nbsp;<input id="txtRows" type="text" maxLength="3" size="2" value="3" name="txtRows" onkeypress="return IsDigit(event);"></td>
+									</tr>
+									<tr>
+										<td><span fckLang="DlgTableColumns">Columns</span>:</td>
+										<td>&nbsp;<input id="txtColumns" type="text" maxLength="2" size="2" value="2" name="txtColumns" onkeypress="return IsDigit(event);"></td>
+									</tr>
+									<tr>
+										<td>&nbsp;</td>
+										<td>&nbsp;</td>
+									</tr>
+									<tr>
+										<td><span fckLang="DlgTableBorder">Border size</span>:</td>
+										<td>&nbsp;<INPUT id="txtBorder" type="text" maxLength="2" size="2" value="1" name="txtBorder" onkeypress="return IsDigit(event);"></td>
+									</tr>
+									<tr>
+										<td><span fckLang="DlgTableAlign">Alignment</span>:</td>
+										<td>&nbsp;<select id="selAlignment" name="selAlignment">
+												<option fckLang="DlgTableAlignNotSet" value="" selected>&lt;Not set&gt;</option>
+												<option fckLang="DlgTableAlignLeft" value="left">Left</option>
+												<option fckLang="DlgTableAlignCenter" value="center">Center</option>
+												<option fckLang="DlgTableAlignRight" value="right">Right</option>
+											</select></td>
+									</tr>
+								</table>
+							</td>
+							<td>&nbsp;&nbsp;&nbsp;</td>
+							<td align="right" valign="top">
+								<table cellSpacing="0" cellPadding="0" border="0">
+									<tr>
+										<td><span fckLang="DlgTableWidth">Width</span>:</td>
+										<td>&nbsp;<input id="txtWidth" type="text" maxLength="4" size="3" value="200" name="txtWidth" onkeypress="return IsDigit(event);"></td>
+										<td>&nbsp;<select id="selWidthType" name="selWidthType">
+												<option fckLang="DlgTableWidthPx" value="pixels" selected>pixels</option>
+												<option fckLang="DlgTableWidthPc" value="percent">percent</option>
+											</select></td>
+									</tr>
+									<tr>
+										<td><span fckLang="DlgTableHeight">Height</span>:</td>
+										<td>&nbsp;<INPUT id="txtHeight" type="text" maxLength="4" size="3" name="txtHeight" onkeypress="return IsDigit(event);"></td>
+										<td>&nbsp;<span fckLang="DlgTableWidthPx">pixels</span></td>
+									</tr>
+									<tr>
+										<td>&nbsp;</td>
+										<td>&nbsp;</td>
+										<td>&nbsp;</td>
+									</tr>
+									<tr>
+										<td nowrap><span fckLang="DlgTableCellSpace">Cell spacing</span>:</td>
+										<td>&nbsp;<input id="txtCellSpacing" type="text" maxLength="2" size="2" value="1" name="txtCellSpacing"
+												onkeypress="return IsDigit(event);"></td>
+										<td>&nbsp;</td>
+									</tr>
+									<tr>
+										<td nowrap><span fckLang="DlgTableCellPad">Cell padding</span>:</td>
+										<td>&nbsp;<input id="txtCellPadding" type="text" maxLength="2" size="2" value="1" name="txtCellPadding"
+												onkeypress="return IsDigit(event);"></td>
+										<td>&nbsp;</td>
+									</tr>
+								</table>
+							</td>
+						</tr>
+					</table>
+					<table cellSpacing="0" cellPadding="0" width="100%" border="0">
+					<!--
+						<tr>
+						<td nowrap>
+						<span fcklang="DlgClassName">Class Name</span>:</td>
+							<td>&nbsp;</td>
+										<td>
+										<script type="text/javascript">
+//											var tbstyles = new TBCombo( "FontStyle"		, "null"			, "", oEditor.config.StyleNames, oEditor.config.StyleValues, 'CheckStyle("cmbFontStyle")');
+//											document.write(tbstyles.GetHTML());
+										</script></td>
+						</tr>
+					-->
+						<tr>
+							<td nowrap><span fckLang="DlgTableCaption">Caption</span>:</td>
+							<td>&nbsp;</td>
+							<td width="100%">&nbsp;
+								<input id="txtCaption" type="text" style="WIDTH: 100%"></td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_tablecell.html soojung/libs/fckeditor/editor/dialog/fck_tablecell.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_tablecell.html	2004-12-27 20:50:22.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_tablecell.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,270 +1,215 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_tablecell.html
- * 	Cell properties dialog window.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-09-05 01:39:41
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_tablecell.html
+ * 	Cell properties dialog window.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<html>
-	<head>
-		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
-		<script type="text/javascript" src="../js/dhtmled.js"></script>
-		<script type="text/javascript" src="../js/fck_events.js"></script>
-		<script type="text/javascript" src="../js/fck_toolbar.js"></script>
-		<script type="text/javascript">
-<!--
-var dialogArguments = window.parent.InnerDialogLoaded() ;
-
-// Sets the Skin CSS
-document.write( '<link href="' + dialogArguments.FCKConfig.SkinPath + 'fck_dialog.css" type="text/css" rel="stylesheet">' ) ;
-
-// Gets the document DOM
-var oDOM = dialogArguments.FCK.EditorDocument ;
-
-function OnLoad()
-{
-	// First of all, translate the dialog box texts
-	dialogArguments.FCKLanguageManager.TranslatePage(document) ;
-
-	window.parent.SetOkButton( true ) ;	
-}
-
-function IsDigit( e )
-{
-	e = e || event ;
-	var iCode = ( e.keyCode || e.charCode ) ;
-	return 
-		(
-			( iCode >= 48 && iCode <= 57 )		// Numbers
-			|| (iCode >= 37 && iCode <= 40)		// Arrows
-			|| iCode == 8		// Backspace
-			|| iCode == 46		// Delete
-		) ;
-}
-
-
-
-//////// TODO
-
-// Array of selected Cells
-var aTD = new Array() ;
-	
-function setDefaults()
-{
-	// Gets the document DOM
-	var oDOM = dialogArguments.objContent.DOM ;
-	var oRange = oDOM.selection.createRange() ;
-
-	var oParent = oRange.parentElement() ;
-
-	while (oParent && oParent.tagName != "td" && oParent.tagName != "TABLE")
-		oParent = oParent.parentNode ;
-
-	if ( oParent.tagName == "td" )
-		aTD[0] = oParent ;
-	else if ( oParent.tagName == "TABLE" )
-	{
-		// Loops throw all cells cheking if the selection, or part of it, is inside the cell
-		// and then add it to the selectec cells collection
-		for (i = 0 ; i < oParent.cells.length ; i++)
-		{
-			var oCellRange = oDOM.selection.createRange() ;
-			oCellRange.moveToElementText(oParent.cells[i]) ;
-			if ( oRange.inRange( oCellRange ) 
-				|| ( oRange.compareEndPoints('StartToStart',oCellRange) >= 0 &&  oRange.compareEndPoints('StartToEnd',oCellRange) <= 0 )
-				|| ( oRange.compareEndPoints('EndToStart',oCellRange) >= 0 &&  oRange.compareEndPoints('EndToEnd',oCellRange) <= 0 ) )
-			{
-				aTD[aTD.length] = oParent.cells[i] ;
-			}
-		}
-	}
-	
-	if (aTD[0])
-	{
-		var iWidth = aTD[0].width ;
-		
-		if (iWidth.indexOf('%') >= 0)
-		{
-			iWidth = iWidth.substr(0,iWidth.length - 1) ;
-			selWidthType.value = "percent" ;
-		}
-	
-		txtWidth.value			= iWidth ;
-		txtHeight.value			= aTD[0].height ;
-		selWordWrap.value		= ! aTD[0].noWrap ;
-		selHAlign.value			= aTD[0].align ;
-		selVAlign.value			= aTD[0].vAlign ;
-		txtRowSpan.value		= aTD[0].rowSpan ;
-		txtCollSpan.value		= aTD[0].colSpan ;
-		txtBackColor.value		= aTD[0].bgColor ; 
-		txtBorderColor.value	= aTD[0].borderColor ;
-		cmbFontStyle.value		= aTD[0].className ;
-	}
-}
-
-function ok()
-{
-	for( i = 0 ; i < aTD.length ; i++ )
-	{
-		if (txtWidth.value			!= "") aTD[i].width			= txtWidth.value + (selWidthType.value == "percent" ? "%" : "") ;		else aTD[i].removeAttribute("width") ;
-		if (txtHeight.value			!= "") aTD[i].height		= txtHeight.value		;		else aTD[i].removeAttribute("height") ;
-		if (selWordWrap.value		!= "") aTD[i].noWrap		= selWordWrap.value == "false" ; else aTD[i].removeAttribute("noWrap") ;
-		if (selHAlign.value			!= "") aTD[i].align			= selHAlign.value		; else aTD[i].removeAttribute("align") ;
-		if (selVAlign.value			!= "") aTD[i].vAlign		= selVAlign.value		; else aTD[i].removeAttribute("vAlign") ;
-		if (txtRowSpan.value		!= "") aTD[i].rowSpan		= txtRowSpan.value		; else aTD[i].removeAttribute("rowSpan") ;
-		if (txtCollSpan.value		!= "") aTD[i].colSpan		= txtCollSpan.value		; else aTD[i].removeAttribute("colSpan") ;
-		if (txtBackColor.value		!= "") aTD[i].bgColor		= txtBackColor.value	; else aTD[i].removeAttribute("bgColor") ;
-		if (txtBorderColor.value	!= "") aTD[i].borderColor	= txtBorderColor.value	; else aTD[i].removeAttribute("borderColor") ;
-		if (cmbFontStyle.value		!= "") aTD[i].className		= cmbFontStyle.value	; else aTD[i].removeAttribute("className") ;
-	}
-	
-	cancel() ;
-}
-
-function SelectBackColor()
-{
-	var sColor = SelectColor() ;
-	if (sColor) txtBackColor.value = sColor ;
-}
-
-function SelectBorderColor()
-{
-	var sColor = SelectColor() ;
-	if (sColor) txtBorderColor.value = sColor ;
-}
-
-function SelectColor()
-{
-	return showModalDialog("fck_selcolor.html", dialogArguments, "dialogWidth:370px;dialogHeight:240px;help:no;scroll:no;status:no") ;
-}
-
-//-->
-		</script>
-	</head>
-	<body bottommargin="5" leftmargin="5" topmargin="5" rightmargin="5" onload="OnLoad()">
-		<table cellSpacing="0" cellPadding="0" width="100%" border="0" height="100%">
-			<tr>
-				<td>
-					<table cellSpacing="1" cellPadding="1" width="100%" border="0">
-						<tr>
-							<td>
-								<table cellSpacing="0" cellPadding="0" border="0">
-									<tr>
-										<td nowrap><span fckLang="DlgCellWidth">Width</span>:</td>
-										<td>&nbsp;<input onkeypress="event.returnValue=IsDigit();" id="txtWidth" type="text" maxLength="4"
-												size="3" name="txtWidth">&nbsp;<select id="selWidthType" name="selWidthType">
-												<option fckLang="DlgCellWidthPx" value="pixels" selected>pixels</option>
-												<option fckLang="DlgCellWidthPc" value="percent">percent</option>
-											</select></td>
-									</tr>
-									<tr>
-										<td nowrap><span fckLang="DlgCellHeight">Height</span>:</td>
-										<td>&nbsp;<INPUT id="txtHeight" type="text" maxLength="4" size="3" name="txtHeight" onkeypress="event.returnValue=IsDigit();">&nbsp;<span fckLang="DlgCellWidthPx">pixels</span></td>
-									</tr>
-									<tr>
-										<td>&nbsp;</td>
-										<td>&nbsp;</td>
-									</tr>
-									<tr>
-										<td nowrap><span fckLang="DlgCellWordWrap">Word Wrap</span>:</td>
-										<td>&nbsp;<select id="selWordWrap" name="selAlignment">
-												<option fckLang="DlgCellWordWrapNotSet" value="" selected>&lt;Not set&gt;</option>
-												<option fckLang="DlgCellWordWrapYes" value="true">Yes</option>
-												<option fckLang="DlgCellWordWrapNo" value="false">No</option>
-											</select></td>
-									</tr>
-									<tr>
-										<td>&nbsp;</td>
-										<td>&nbsp;</td>
-									</tr>
-									<tr>
-										<td nowrap><span fckLang="DlgCellHorAlign">Horizontal Alignment</span>:</td>
-										<td>&nbsp;<select id="selHAlign" name="selAlignment">
-												<option fckLang="DlgCellHorAlignNotSet" value="" selected>&lt;Not set&gt;</option>
-												<option fckLang="DlgCellHorAlignLeft" value="left">Left</option>
-												<option fckLang="DlgCellHorAlignCenter" value="center">Center</option>
-												<option fckLang="DlgCellHorAlignRight" value="right">Right</option>
-											</select></td>
-									</tr>
-									<tr>
-										<td nowrap><span fckLang="DlgCellVerAlign">Vertival Alignement</span>:</td>
-										<td>&nbsp;<select id="selVAlign" name="selAlignment">
-												<option fckLang="DlgCellVerAlignNotSet" value="" selected>&lt;Not set&gt;</option>
-												<option fckLang="DlgCellVerAlignTop" value="top">Top</option>
-												<option fckLang="DlgCellVerAlignMiddle" value="middle">Middle</option>
-												<option fckLang="DlgCellVerAlignBottom" value="bottom">Bottom</option>
-												<option fckLang="DlgCellVerAlignBaseline" value="baseline">Baseline</option>
-											</select></td>
-									</tr>
-								</table>
-							</td>
-							<td>&nbsp;&nbsp;&nbsp;</td>
-							<td align="right">
-								<table cellSpacing="0" cellPadding="0" border="0">
-									<tr>
-										<td nowrap><span fckLang="DlgCellRowSpan">Rows Span</span>:</td>
-										<td>&nbsp; <input onkeypress="event.returnValue=IsDigit();" id="txtRowSpan" type="text" maxLength="3"
-												size="2" name="txtRows"></td>
-										<td></td>
-									</tr>
-									<tr>
-										<td nowrap><span fckLang="DlgCellCollSpan">Columns Span</span>:</td>
-										<td>&nbsp; <input onkeypress="event.returnValue=IsDigit();" id="txtCollSpan" type="text" maxLength="2"
-												size="2" name="txtColumns"></td>
-										<td></td>
-									</tr>
-									<tr>
-										<td>&nbsp;</td>
-										<td>&nbsp;</td>
-										<td>&nbsp;</td>
-									</tr>
-									<tr>
-										<td nowrap><span fckLang="DlgCellBackColor">Background Color</span>:</td>
-										<td>&nbsp;<input id="txtBackColor" type="text" size="8" name="txtCellSpacing"></td>
-										<td>&nbsp; <input type="button" fckLang="DlgCellBtnSelect" value="Select..." onclick="SelectBackColor()"></td>
-									</tr>
-									<tr>
-										<td nowrap><span fckLang="DlgCellBorderColor">Border Color</span>:</td>
-										<td>&nbsp;<input id="txtBorderColor" type="text" size="8" name="txtCellPadding"></td>
-										<td>&nbsp; <input type="button" fckLang="DlgCellBtnSelect" value="Select..." onclick="SelectBorderColor()"></td>
-									</tr>
-									<tr>
-										<td>&nbsp;</td>
-										<td>&nbsp;</td>
-										<td>&nbsp;</td>
-									</tr>
-									<tr>
-										<td><span fckLang="DlgStyle">Style</span>:</td>
-										<td>
-										<script type="text/javascript">
-											var tbstyles = new TBCombo( "FontStyle"		, "null"			, "", dialogArguments.config.StyleNames, dialogArguments.config.StyleValues, 'CheckStyle("cmbFontStyle")');
-											document.write(tbstyles.GetHTML());
-										</script></td>
-										<td>&nbsp;</td>
-									</tr>
-								</table>
-							</td>
-						</tr>
-					</table>
-				</td>
-			</tr>
-			<tr>
-				<td align="center"><BR>
-					<input type="button" fckLang="DlgBtnOK" value="OK" onclick="ok();" style="WIDTH: 100px">&nbsp; <input type="button" fckLang="DlgBtnCancel" value="Cancel" onclick="cancel();">
-				</td>
-			</tr>
-		</table>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<html>
+	<head>
+		<title>Table Cell Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+		<meta name="robots" content="noindex, nofollow" />
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+// Array of selected Cells
+var aCells = oEditor.FCKTableHandler.GetSelectedCells() ;
+
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage( document ) ;
+
+	SetStartupValue() ;
+
+	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;
+}
+
+function SetStartupValue()
+{
+	if ( aCells.length > 0 )
+	{
+		var oCell = aCells[0] ;
+		var iWidth = GetAttribute( oCell, 'width' ) ;
+
+		if ( iWidth.indexOf && iWidth.indexOf( '%' ) >= 0 )
+		{
+			iWidth = iWidth.substr( 0, iWidth.length - 1 ) ;
+			GetE('selWidthType').value = 'percent' ;
+		}
+
+		if ( oCell.attributes['noWrap'] != null && oCell.attributes['noWrap'].specified )
+			GetE('selWordWrap').value = !oCell.noWrap ;
+
+		GetE('txtWidth').value			= iWidth ;
+		GetE('txtHeight').value			= GetAttribute( oCell, 'height' ) ;
+		GetE('selHAlign').value			= GetAttribute( oCell, 'align' ) ;
+		GetE('selVAlign').value			= GetAttribute( oCell, 'vAlign' ) ;
+		GetE('txtRowSpan').value		= GetAttribute( oCell, 'rowSpan' ) ;
+		GetE('txtCollSpan').value		= GetAttribute( oCell, 'colSpan' ) ;
+		GetE('txtBackColor').value		= GetAttribute( oCell, 'bgColor' ) ;
+		GetE('txtBorderColor').value	= GetAttribute( oCell, 'borderColor' ) ;
+//		GetE('cmbFontStyle').value		= oCell.className ;
+	}
+}
+
+// Fired when the user press the OK button
+function Ok()
+{
+	for( i = 0 ; i < aCells.length ; i++ )
+	{
+		if ( GetE('txtWidth').value.length > 0 )
+			aCells[i].width	= GetE('txtWidth').value + ( GetE('selWidthType').value == 'percent' ? '%' : '') ;
+		else
+			aCells[i].removeAttribute( 'width', 0 ) ;
+
+		if ( GetE('selWordWrap').value == 'false' )
+			aCells[i].noWrap = true ;
+		else
+			aCells[i].removeAttribute( 'noWrap' ) ;
+
+		SetAttribute( aCells[i], 'height'		, GetE('txtHeight').value ) ;
+		SetAttribute( aCells[i], 'align'		, GetE('selHAlign').value ) ;
+		SetAttribute( aCells[i], 'vAlign'		, GetE('selVAlign').value ) ;
+		SetAttribute( aCells[i], 'rowSpan'		, GetE('txtRowSpan').value ) ;
+		SetAttribute( aCells[i], 'colSpan'		, GetE('txtCollSpan').value ) ;
+		SetAttribute( aCells[i], 'bgColor'		, GetE('txtBackColor').value ) ;
+		SetAttribute( aCells[i], 'borderColor'	, GetE('txtBorderColor').value ) ;
+//		SetAttribute( aCells[i], 'className'	, GetE('cmbFontStyle').value ) ;
+	}
+
+	return true ;
+}
+
+function SelectBackColor( color )
+{
+	if ( color && color.length > 0 )
+		GetE('txtBackColor').value = color ;
+}
+
+function SelectBorderColor( color )
+{
+	if ( color && color.length > 0 )
+		GetE('txtBorderColor').value = color ;
+}
+
+function SelectColor( wich )
+{
+	oEditor.FCKDialog.OpenDialog( 'FCKDialog_Color', oEditor.FCKLang.DlgColorTitle, 'dialog/fck_colorselector.html', 400, 330, wich == 'Back' ? SelectBackColor : SelectBorderColor, window ) ;
+}
+
+		</script>
+	</head>
+	<body scroll="no" style="OVERFLOW: hidden">
+		<table cellSpacing="0" cellPadding="0" width="100%" border="0" height="100%">
+			<tr>
+				<td>
+					<table cellSpacing="1" cellPadding="1" width="100%" border="0">
+						<tr>
+							<td>
+								<table cellSpacing="0" cellPadding="0" border="0">
+									<tr>
+										<td nowrap><span fckLang="DlgCellWidth">Width</span>:</td>
+										<td>&nbsp;<input onkeypress="return IsDigit();" id="txtWidth" type="text" maxLength="4"
+												size="3" name="txtWidth">&nbsp;<select id="selWidthType" name="selWidthType">
+												<option fckLang="DlgCellWidthPx" value="pixels" selected>pixels</option>
+												<option fckLang="DlgCellWidthPc" value="percent">percent</option>
+											</select></td>
+									</tr>
+									<tr>
+										<td nowrap><span fckLang="DlgCellHeight">Height</span>:</td>
+										<td>&nbsp;<INPUT id="txtHeight" type="text" maxLength="4" size="3" name="txtHeight" onkeypress="return IsDigit();">&nbsp;<span fckLang="DlgCellWidthPx">pixels</span></td>
+									</tr>
+									<tr>
+										<td>&nbsp;</td>
+										<td>&nbsp;</td>
+									</tr>
+									<tr>
+										<td nowrap><span fckLang="DlgCellWordWrap">Word Wrap</span>:</td>
+										<td>&nbsp;<select id="selWordWrap" name="selAlignment">
+												<option fckLang="DlgCellWordWrapNotSet" value="" selected>&lt;Not set&gt;</option>
+												<option fckLang="DlgCellWordWrapYes" value="true">Yes</option>
+												<option fckLang="DlgCellWordWrapNo" value="false">No</option>
+											</select></td>
+									</tr>
+									<tr>
+										<td>&nbsp;</td>
+										<td>&nbsp;</td>
+									</tr>
+									<tr>
+										<td nowrap><span fckLang="DlgCellHorAlign">Horizontal Alignment</span>:</td>
+										<td>&nbsp;<select id="selHAlign" name="selAlignment">
+												<option fckLang="DlgCellHorAlignNotSet" value="" selected>&lt;Not set&gt;</option>
+												<option fckLang="DlgCellHorAlignLeft" value="left">Left</option>
+												<option fckLang="DlgCellHorAlignCenter" value="center">Center</option>
+												<option fckLang="DlgCellHorAlignRight" value="right">Right</option>
+											</select></td>
+									</tr>
+									<tr>
+										<td nowrap><span fckLang="DlgCellVerAlign">Vertival Alignement</span>:</td>
+										<td>&nbsp;<select id="selVAlign" name="selAlignment">
+												<option fckLang="DlgCellVerAlignNotSet" value="" selected>&lt;Not set&gt;</option>
+												<option fckLang="DlgCellVerAlignTop" value="top">Top</option>
+												<option fckLang="DlgCellVerAlignMiddle" value="middle">Middle</option>
+												<option fckLang="DlgCellVerAlignBottom" value="bottom">Bottom</option>
+												<option fckLang="DlgCellVerAlignBaseline" value="baseline">Baseline</option>
+											</select></td>
+									</tr>
+								</table>
+							</td>
+							<td>&nbsp;&nbsp;&nbsp;</td>
+							<td align="right">
+								<table cellSpacing="0" cellPadding="0" border="0">
+									<tr>
+										<td nowrap><span fckLang="DlgCellRowSpan">Rows Span</span>:</td>
+										<td>&nbsp; <input onkeypress="return IsDigit();" id="txtRowSpan" type="text" maxLength="3"
+												size="2" name="txtRows"></td>
+										<td></td>
+									</tr>
+									<tr>
+										<td nowrap><span fckLang="DlgCellCollSpan">Columns Span</span>:</td>
+										<td>&nbsp; <input onkeypress="return IsDigit();" id="txtCollSpan" type="text" maxLength="2"
+												size="2" name="txtColumns"></td>
+										<td></td>
+									</tr>
+									<tr>
+										<td>&nbsp;</td>
+										<td>&nbsp;</td>
+										<td>&nbsp;</td>
+									</tr>
+									<tr>
+										<td nowrap><span fckLang="DlgCellBackColor">Background Color</span>:</td>
+										<td>&nbsp;<input id="txtBackColor" type="text" size="8" name="txtCellSpacing"></td>
+										<td>&nbsp; <input type="button" fckLang="DlgCellBtnSelect" value="Select..." onclick="SelectColor( 'Back' )"></td>
+									</tr>
+									<tr>
+										<td nowrap><span fckLang="DlgCellBorderColor">Border Color</span>:</td>
+										<td>&nbsp;<input id="txtBorderColor" type="text" size="8" name="txtCellPadding"></td>
+										<td>&nbsp; <input type="button" fckLang="DlgCellBtnSelect" value="Select..." onclick="SelectColor( 'Border' )"></td>
+									</tr>
+								</table>
+							</td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_template/fck_template_moz-bindings.xml soojung/libs/fckeditor/editor/dialog/fck_template/fck_template_moz-bindings.xml
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_template/fck_template_moz-bindings.xml	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_template/fck_template_moz-bindings.xml	2005-06-11 10:27:24.000000000 +0900
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="utf-8" ?> 
+<bindings xmlns="http://www.mozilla.org/xbl">
+	<binding id="templateitem">
+		<handlers>
+			<handler event="mouseover">
+				this.className += ' PopupSelectionBox' ;
+			</handler>
+			<handler event="mouseout">
+				this.className = this.className.replace( /\s*PopupSelectionBox\s*/, '' ) ;
+			</handler>
+			<handler event="click">
+				SelectTemplate( this.TplIndex ) ;
+			</handler>
+		</handlers>
+	</binding>
+</bindings>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_template/fck_templateitem.htc soojung/libs/fckeditor/editor/dialog/fck_template/fck_templateitem.htc
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_template/fck_templateitem.htc	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_template/fck_templateitem.htc	2005-06-11 10:27:24.000000000 +0900
@@ -0,0 +1,26 @@
+<public:component lightweight="true">
+
+<public:attach event="onmouseover" onevent="OnMouseOver()" />
+<public:attach event="onmouseout" onevent="OnMouseOut()" />
+<public:attach event="onclick" onevent="OnClick()" />
+
+<script language="javascript">
+
+function OnMouseOver()
+{
+	this.className += ' PopupSelectionBox' ;
+}
+
+function OnMouseOut()
+{
+	this.className = this.className.replace( /\s*PopupSelectionBox\s*/, '' ) ;
+}
+
+function OnClick()
+{
+	SelectTemplate( this.TplIndex ) ;
+}
+
+</script>
+
+</public:component>
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/fck_template/images/template1.gif and soojung/libs/fckeditor/editor/dialog/fck_template/images/template1.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/fck_template/images/template2.gif and soojung/libs/fckeditor/editor/dialog/fck_template/images/template2.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/fck_template/images/template3.gif and soojung/libs/fckeditor/editor/dialog/fck_template/images/template3.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_template.html soojung/libs/fckeditor/editor/dialog/fck_template.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_template.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_template.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,191 @@
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_template.html
+ * 	Template selection dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta name="robots" content="noindex, nofollow">
+		<style>
+			.TplList
+			{
+				border: #dcdcdc 2px solid;
+				background-color: #ffffff;
+				overflow: auto;
+				width: 90%;
+			}
+
+			.TplItem
+			{
+				margin: 5px;
+				padding: 7px;
+				border: #eeeeee 1px solid;
+				behavior: url(fck_template/fck_templateitem.htc);
+				-moz-binding:url(fck_template/fck_template_moz-bindings.xml#templateitem);
+			}
+
+			.TplItem TABLE
+			{
+				display: inline;
+			}
+
+			.TplTitle
+			{
+				font-weight: bold;
+			}
+		</style>
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script language="javascript">
+
+var oEditor		= window.parent.InnerDialogLoaded() ;
+var FCK			= oEditor.FCK ;
+var FCKLang		= oEditor.FCKLang ;
+var FCKConfig	= oEditor.FCKConfig ;
+
+window.onload = function()
+{
+	// Set the right box height (browser dependent).
+	GetE('eList').style.height = document.all ? '100%' : '295px' ;
+
+	// Translate the dialog box texts.
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	window.parent.SetAutoSize( true ) ;
+
+	LoadTemplatesXml() ;
+}
+
+function LoadTemplatesXml()
+{
+	if ( !FCK._Templates )
+	{
+		GetE('eLoading').style.display = '' ;
+
+		// Create the Templates array.
+		FCK._Templates = new Array() ;
+
+		// Load the XML file.
+		var oXml = new oEditor.FCKXml() ;
+		oXml.LoadUrl( FCKConfig.TemplatesXmlPath ) ;
+
+		// Get the Images Base Path.
+		var oAtt = oXml.SelectSingleNode( 'Templates/@imagesBasePath' ) ;
+		var sImagesBasePath = oAtt ? oAtt.value : '' ;
+
+		// Get the "Template" nodes defined in the XML file.
+		var aTplNodes = oXml.SelectNodes( 'Templates/Template' ) ;
+
+		for ( var i = 0 ; i < aTplNodes.length ; i++ )
+		{
+			var oNode = aTplNodes[i]
+
+			var oTemplate = new Object() ;
+
+			var oPart ;
+
+			// Get the Template Title.
+			if ( oPart = oNode.attributes.getNamedItem('title') )
+				oTemplate.Title = oPart.value ;
+			else
+				oTemplate.Title = 'Template ' + ( i + 1 ) ;
+
+			// Get the Template Description.
+			if ( oPart = oXml.SelectSingleNode( 'Description', oNode ) )
+				oTemplate.Description = oPart.text ? oPart.text : oPart.textContent ;
+
+			// Get the Template Image.
+			if ( oPart = oNode.attributes.getNamedItem('image') )
+				oTemplate.Image = sImagesBasePath + oPart.value ;
+
+			// Get the Template HTML.
+			if ( oPart = oXml.SelectSingleNode( 'Html', oNode ) )
+				oTemplate.Html = oPart.text ? oPart.text : oPart.textContent ;
+			else
+			{
+				alert( 'No HTML defined for template index ' + i + '. Please review the "' + FCKConfig.TemplatesXmlPath + '" file.' ) ;
+				continue ;
+			}
+
+			FCK._Templates[ FCK._Templates.length ] = oTemplate ;
+		}
+
+		GetE('eLoading').style.display = 'none' ;
+	}
+
+	if ( FCK._Templates.length == 0 )
+		GetE('eEmpty').style.display = '' ;
+	else
+	{
+		for ( var i = 0 ; i < FCK._Templates.length ; i++ )
+		{
+			var oTemplate = FCK._Templates[i] ;
+
+			var oItemDiv = GetE('eList').appendChild( document.createElement( 'DIV' ) ) ;
+			oItemDiv.TplIndex = i ;
+			oItemDiv.className = 'TplItem' ;
+
+			// Build the inner HTML of our new item DIV.
+			var sInner = '<table><tr>' ;
+
+			if ( oTemplate.Image )
+				sInner += '<td valign="top"><img src="' + oTemplate.Image + '"></td>' ;
+
+			sInner += '<td valign="top"><div class="TplTitle">' + oTemplate.Title + '</div>' ;
+
+			if ( oTemplate.Description )
+				sInner += '<div>' + oTemplate.Description + '</div>' ;
+
+			sInner += '</td></tr></table>' ;
+
+			oItemDiv.innerHTML = sInner ;
+		}
+	}
+}
+
+function SelectTemplate( index )
+{
+	oEditor.FCKUndo.SaveUndoStep() ;
+	FCK.SetHTML( FCK._Templates[index].Html ) ;
+	window.parent.Cancel() ;
+}
+
+		</script>
+	</head>
+	<body scroll="no" style="OVERFLOW: hidden">
+		<table width="100%" height="100%">
+			<tr>
+				<td align="center">
+					<span fckLang="DlgTemplatesSelMsg">Please select the template to open in the editor<br>
+					(the actual contents will be lost):</span>
+				</td>
+			</tr>
+			<tr>
+				<td height="100%" align="center">
+					<div id="eList" align="left" class="TplList">
+						<div id="eLoading" align="center" style="DISPLAY: none">
+							<br>
+							<span fckLang="DlgTemplatesLoading">Loading templates list. Please wait...</span>
+						</div>
+						<div id="eEmpty" align="center" style="DISPLAY: none">
+							<br>
+							<span fckLang="DlgTemplatesNoTpl">(No templates defined)</span>
+						</div>
+					</div>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_textarea.html soojung/libs/fckeditor/editor/dialog/fck_textarea.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_textarea.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_textarea.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,88 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_textarea.html
+ * 	Text Area dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Text Area Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+var oActiveEl = oEditor.FCKSelection.GetSelectedElement() ;
+
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	if ( oActiveEl && oActiveEl.tagName == 'TEXTAREA' )
+	{
+		GetE('txtName').value		= oActiveEl.name ;
+		GetE('txtCols').value		= GetAttribute( oActiveEl, 'cols' ) ;
+		GetE('txtRows').value		= GetAttribute( oActiveEl, 'rows' ) ;
+	}
+	else
+		oActiveEl = null ;
+
+	window.parent.SetOkButton( true ) ;
+}
+
+function Ok()
+{
+	if ( !oActiveEl )
+	{
+		oActiveEl = oEditor.FCK.EditorDocument.createElement( 'TEXTAREA' ) ;
+		oActiveEl = oEditor.FCK.InsertElementAndGetIt( oActiveEl ) ;
+	}
+
+	oActiveEl.name = GetE('txtName').value ;
+	SetAttribute( oActiveEl, 'cols', GetE('txtCols').value ) ;
+	SetAttribute( oActiveEl, 'rows', GetE('txtRows').value ) ;
+
+	return true ;
+}
+
+		</script>
+	</head>
+	<body style='OVERFLOW: hidden' scroll='no'>
+		<table height="100%" width="100%">
+			<tr>
+				<td align="center">
+					<table border="0" cellpadding="0" cellspacing="0" width="80%">
+						<tr>
+							<td>
+								<span fckLang="DlgTextareaName">Name</span><br>
+								<input type="text" id="txtName" style="WIDTH: 100%">
+								<span fckLang="DlgTextareaCols">Collumns</span><br>
+								<input id="txtCols" type="text" size="5">
+								<br>
+								<span fckLang="DlgTextareaRows">Rows</span><br>
+								<input id="txtRows" type="text" size="5">
+							</td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_textfield.html soojung/libs/fckeditor/editor/dialog/fck_textfield.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_textfield.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_textfield.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,129 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_textfield.html
+ * 	Text field dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Text Field Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script src="common/fck_dialog_common.js" type="text/javascript"></script>
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+// Gets the document DOM
+var oDOM = oEditor.FCK.EditorDocument ;
+
+var oActiveEl = oEditor.FCKSelection.GetSelectedElement() ;
+
+window.onload = function()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	if ( oActiveEl && oActiveEl.tagName == 'INPUT' && ( oActiveEl.type == 'text' || oActiveEl.type == 'password' ) )
+	{
+		GetE('txtName').value	= oActiveEl.name ;
+		GetE('txtValue').value	= oActiveEl.value ;
+		GetE('txtSize').value	= GetAttribute( oActiveEl, 'size' ) ;
+		GetE('txtMax').value	= GetAttribute( oActiveEl, 'maxLength' ) ;
+		GetE('txtType').value	= oActiveEl.type ;
+
+		GetE('txtType').disabled = true ;
+	}
+	else
+		oActiveEl = null ;
+
+	window.parent.SetOkButton( true ) ;
+}
+
+function Ok()
+{
+	if ( isNaN( GetE('txtMax').value ) || GetE('txtMax').value < 0 )
+	{
+		alert( "Maximum characters must be a positive number." ) ;
+		GetE('txtMax').focus() ;
+		return false ;
+	}
+	else if( isNaN( GetE('txtSize').value ) || GetE('txtSize').value < 0 )
+	{
+		alert( "Width must be a positive number." ) ;
+		GetE('txtSize').focus() ;
+		return false ;
+	}
+
+	if ( !oActiveEl )
+	{
+		oActiveEl = oEditor.FCK.EditorDocument.createElement( 'INPUT' ) ;
+		oActiveEl.type = GetE('txtType').value ;
+		oActiveEl = oEditor.FCK.InsertElementAndGetIt( oActiveEl ) ;
+	}
+
+	oActiveEl.name = GetE('txtName').value ;
+	SetAttribute( oActiveEl, 'value'	, GetE('txtValue').value ) ;
+	SetAttribute( oActiveEl, 'size'		, GetE('txtSize').value ) ;
+	SetAttribute( oActiveEl, 'maxlength', GetE('txtMax').value ) ;
+
+	return true ;
+}
+
+		</script>
+	</head>
+	<body style="OVERFLOW: hidden" scroll="no">
+		<table height="100%" width="100%">
+			<tr>
+				<td align="center">
+					<table cellSpacing="0" cellPadding="0" border="0">
+						<tr>
+							<td>
+								<span fckLang="DlgTextName">Name</span><br>
+								<input id="txtName" type="text" size="20">
+							</td>
+							<td></td>
+							<td>
+								<span fckLang="DlgTextValue">Value</span><br>
+								<input id="txtValue" type="text" size="25">
+							</td>
+						</tr>
+						<tr>
+							<td>
+								<span fckLang="DlgTextCharWidth">Character Width</span><br>
+								<input id="txtSize" type="text" size="5">
+							</td>
+							<td></td>
+							<td>
+								<span fckLang="DlgTextMaxChars">Maximum Characters</span><br>
+								<input id="txtMax" type="text" size="5">
+							</td>
+						</tr>
+						<tr>
+							<td>
+								<span fckLang="DlgTextType">Type</span><br>
+								<select id="txtType">
+									<option value="text" selected fckLang="DlgTextTypeText">Text</option>
+									<option value="password" fckLang="DlgTextTypePass">Password</option>
+								</select>
+							</td>
+							<td>&nbsp;</td>
+							<td></td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/00.gif and soojung/libs/fckeditor/editor/dialog/fck_universalkey/00.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/data.js soojung/libs/fckeditor/editor/dialog/fck_universalkey/data.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/data.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_universalkey/data.js	2005-06-11 10:27:22.000000000 +0900
@@ -0,0 +1,68 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: data.js
+ * 	Scripts for the fck_universalkey.html page.
+ * 	Definition des 104 caracteres en hexa unicode.
+ * 
+ * File Authors:
+ * 		Michel Staelens (michel.staelens@wanadoo.fr)
+ * 		Abdul-Aziz Al-Oraij (top7up@hotmail.com)
+ */
+
+var Maj = new Array() ;
+var Min = new Array() ;
+
+Maj["Arabic"]				="0651|0021|0040|0023|0024|0025|005E|0026|002A|0029|0028|005F|002B|064E|064B|064F|064C|0625|0625|2018|00F7|00D7|061B|003C|003E|0650|064D|005D|005B|0623|0623|0640|060C|002F|003A|0022|007E|0652|007D|007B|0622|0622|2019|002C|002E|061F|007C|0020|0020|0020|0020|0020" ;
+Min["Arabic"]				="0630|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002D|003D|0636|0635|062B|0642|0641|063A|0639|0647|062E|062D|062C|062F|0634|0633|064A|0628|0644|0627|062A|0646|0645|0643|0637|0626|0621|0624|0631|0644|0627|0649|0629|0648|0632|0638|005C|0020|0020|0020|0020" ;
+Maj["Belarusian (C)"]		="0401|0021|0022|2116|003B|0025|003A|003F|002A|0028|0029|005F|002B|0419|0426|0423|041A|0415|041D|0413|0428|040E|0417|0425|0027|0424|042B|0412|0410|041F|0420|041E|041B|0414|0416|042D|042F|0427|0421|041C|0406|0422|042C|0411|042E|002C|0020|0020|0020|0020|0020|0020" ;
+Min["Belarusian (C)"]		="0451|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002D|003D|0439|0446|0443|043A|0435|043D|0433|0448|045E|0437|0445|0027|0444|044B|0432|0430|043F|0440|043E|043B|0434|0436|044D|044F|0447|0441|043C|0456|0442|044C|0431|044E|002E|0020|0020|0020|0020|0020|0020" ;
+Maj["Bulgarian (C)"]		="007E|0021|003F|002B|0022|0025|003D|003A|002F|005F|2116|0406|0056|044B|0423|0415|0418|0428|0429|041A|0421|0414|0417|0426|00A7|042C|042F|0410|041E|0416|0413|0422|041D|0412|041C|0427|042E|0419|042A|042D|0424|0425|041F|0420|041B|0411|0029|0020|0020|0020|0020|0020" ;
+Min["Bulgarian (C)"]		="0060|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002D|002E|002C|0443|0435|0438|0448|0449|043A|0441|0434|0437|0446|003B|044C|044F|0430|043E|0436|0433|0442|043D|0432|043C|0447|044E|0439|044A|044D|0444|0445|043F|0440|043B|0431|0028|0020|0020|0020|0020|0020" ;
+Maj["Croatian (L)"]			="00B8|0021|0022|0023|0024|0025|0026|002F|0028|0029|003D|003F|00A8|0051|0057|0045|0052|0054|005A|0055|0049|004F|0050|0160|0110|0041|0053|0044|0046|0047|0048|004A|004B|004C|010C|0106|0059|0058|0043|0056|0042|004E|004D|017D|003B|003A|003C|003E|005F|002D|002A|002B" ;
+Min["Croatian (L)"]			="00B8|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|0027|00A8|0071|0077|0065|0072|0074|007A|0075|0069|006F|0070|0161|0111|0061|0073|0064|0066|0067|0068|006A|006B|006C|010D|0107|0079|0078|0063|0076|0062|006E|006D|017E|002C|002E|003C|003E|005F|002D|002A|002B" ;
+Maj["Czech (L)"]			="00B0|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|0025|02C7|0051|0057|0045|0052|0054|005A|0055|0049|004F|0050|002F|0028|0041|0053|0044|0046|0047|0048|004A|004B|004C|0022|0027|0059|0058|0043|0056|0042|004E|004D|003F|003A|005F|005B|007B|0021|0020|0148|010F" ;
+Min["Czech (L)"]			="003B|002B|011B|0161|010D|0159|017E|00FD|00E1|00ED|00E9|003D|00B4|0071|0077|0065|0072|0074|007A|0075|0069|006F|0070|00FA|0029|0061|0073|0064|0066|0067|0068|006A|006B|006C|016F|00A7|0079|0078|0063|0076|0062|006E|006D|002C|002E|002D|005D|007D|00A8|0040|00F3|0165" ;
+Maj["Danish (L)"]			="00A7|0021|0022|0023|00A4|0025|0026|002F|0028|0029|003D|003F|0060|0051|0057|0045|0052|0054|0059|0055|0049|004F|0050|00C5|005E|0041|0053|0044|0046|0047|0048|004A|004B|004C|00C6|00D8|003E|005A|0058|0043|0056|0042|004E|004D|003B|003A|002A|005F|007B|007D|005C|007E" ;
+Min["Danish (L)"]			="00BD|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002B|00B4|0071|0077|0065|0072|0074|0079|0075|0069|006F|0070|00E5|00A8|0061|0073|0064|0066|0067|0068|006A|006B|006C|00E6|00F8|003C|007A|0078|0063|0076|0062|006E|006D|002C|002E|0027|002D|005B|005D|007C|0040" ;
+Maj["Farsi"]				="0020|0021|0040|0023|0024|0025|005E|0026|002A|0029|0028|005F|002B|0020|0020|0020|0020|0020|0020|0020|00F7|00D7|0020|007D|007B|0020|0020|005D|005B|0623|0622|0640|060C|061B|003A|0022|007E|0020|0020|0020|0020|0020|2019|003E|003C|061F|007C|0020|0020|0020|0020|0020"
+Min["Farsi"]				="067E|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002D|003D|0636|0635|062B|0642|0641|063A|0639|0647|062E|062D|062C|0686|0634|0633|064A|0628|0644|0627|062A|0646|0645|0643|06AF|0638|0637|0632|0631|0630|062F|0621|0648|002E|002F|005C|0020|0020|0020|0020|0020"
+Maj["Finnish (L)"]			="00A7|0021|0022|0023|00A4|0025|0026|002F|0028|0029|003D|003F|0060|0051|0057|0045|0052|0054|0059|0055|0049|004F|0050|00C5|005E|0041|0053|0044|0046|0047|0048|004A|004B|004C|00D6|00C4|003E|005A|0058|0043|0056|0042|004E|004D|003B|003A|002A|005F|007B|007D|005C|007E" ;
+Min["Finnish (L)"]			="00BD|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002B|00B4|0071|0077|0065|0072|0074|0079|0075|0069|006F|0070|00E5|00A8|0061|0073|0064|0066|0067|0068|006A|006B|006C|00F6|00E4|003C|007A|0078|0063|0076|0062|006E|006D|002C|002E|0027|002D|005B|005D|007C|0040" ;
+Maj["French (L)"]			="0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|00B0|002B|0023|0041|005A|0045|0052|0054|0059|0055|0049|004F|0050|00A8|0025|0051|0053|0044|0046|0047|0048|004A|004B|004C|004D|00B5|0057|0058|0043|0056|0042|004E|003F|002E|002F|00A7|003C|005B|007B|00A3|007E|0020" ;
+Min["French (L)"]			="0026|00E9|0022|0027|0028|002D|00E8|005F|00E7|00E0|0029|003D|0040|0061|007A|0065|0072|0074|0079|0075|0069|006F|0070|005E|00F9|0071|0073|0064|0066|0067|0068|006A|006B|006C|006D|002A|0077|0078|0063|0076|0062|006E|002C|003B|003A|0021|003E|005D|007D|0024|007E|0020" ;
+Maj["Greek"]				="007E|0021|0040|0023|0024|0025|0390|0026|03B0|0028|0029|005F|002B|003A|03A3|0395|03A1|03A4|03A5|0398|0399|039F|03A0|0386|038F|0391|03A3|0394|03A6|0393|0397|039E|039A|039B|038C|0022|0396|03A7|03A8|03A9|0392|039D|039C|003C|003E|003F|0388|0389|038A|03AA|03AB|038E" ;
+Min["Greek"]				="0060|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002D|003D|003B|03C2|03B5|03C1|03C4|03C5|03B8|03B9|03BF|03C0|03AC|03CE|03B1|03C3|03B4|03C6|03B3|03B7|03BE|03BA|03BB|03CC|0027|03B6|03C7|03C8|03C9|03B2|03BD|03BC|002C|002E|002F|03AD|03AE|03AF|03CA|03CB|03CD" ;
+Maj["Hebrew"]				="007E|0021|0040|0023|0024|0025|005E|0026|002A|0028|0029|005F|002B|0051|0057|0045|0052|0054|0059|0055|0049|004F|0050|007B|007D|0041|0053|0044|0046|0047|0048|004A|004B|004C|003A|0022|005A|0058|0043|0056|0042|004E|004D|003C|003E|003F|0020|0020|0020|0020|0020|0020" ;
+Min["Hebrew"]				="0060|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002D|003D|002F|0027|05E7|05E8|05D0|05D8|05D5|05DF|05DD|05E4|005B|005D|05E9|05D3|05D2|05DB|05E2|05D9|05D7|05DC|05DA|05E3|002C|05D6|05E1|05D1|05D4|05E0|05DE|05E6|05EA|05E5|002E|0020|0020|0020|0020|0020|0020" ;
+Maj["Hungarian (L)"]		="00A7|0027|0022|002B|0021|0025|002F|003D|0028|0029|00ED|00DC|00D3|0051|0057|0045|0052|0054|005A|0055|0049|004F|0050|0150|00DA|0041|0053|0044|0046|0047|0048|004A|004B|004C|00C9|00C1|0170|00CD|0059|0058|0043|0056|0042|004E|004D|003F|002E|003A|002D|005F|007B|007D" ;
+Min["Hungarian (L)"]		="0030|0031|0032|0033|0034|0035|0036|0037|0038|0039|00F6|00FC|00F3|0071|0077|0065|0072|0074|007A|0075|0069|006F|0070|0151|00FA|0061|0073|0064|0066|0067|0068|006A|006B|006C|00E9|00E1|0171|00ED|0079|0078|0063|0076|0062|006E|006D|002C|002E|003A|002D|005F|007B|007D" ;
+Maj["Diacritical (L)"]		="0060|00B4|005E|00A8|007E|00B0|00B7|00B8|00AF|02D9|02DB|02C7|02D8|0051|0057|0045|0052|0054|005A|0055|0049|004F|0050|00C6|02DD|0041|0053|0044|0046|0047|0048|004A|004B|004C|0141|0152|0059|0058|0043|0056|0042|004E|004D|01A0|01AF|00D8|0126|0110|0132|00DE|00D0|00DF" ;
+Min["Diacritical (L)"]		="0060|00B4|005E|00A8|007E|00B0|00B7|00B8|00AF|02D9|02DB|02C7|02D8|0071|0077|0065|0072|0074|007A|0075|0069|006F|0070|00E6|02DD|0061|0073|0064|0066|0067|0068|006A|006B|006C|0142|0153|0079|0078|0063|0076|0062|006E|006D|01A1|01B0|00F8|0127|0111|0133|00FE|00F0|00DF" ;
+Maj["Macedonian (C)"]		="007E|0021|201E|201C|2019|0025|2018|0026|002A|0028|0029|005F|002B|0409|040A|0415|0420|0422|0405|0423|0418|041E|041F|0428|0403|0410|0421|0414|0424|0413|0425|0408|041A|041B|0427|040C|0401|0417|040F|0426|0412|0411|041D|041C|0416|003B|003A|003F|002A|005F|007B|007D" ;
+Min["Macedonian (C)"]		="0060|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002D|003D|0459|045A|0435|0440|0442|0455|0443|0438|043E|043F|0448|0453|0430|0441|0434|0444|0433|0445|0458|043A|043B|0447|045C|0451|0437|045F|0446|0432|0431|043D|043C|0436|002C|002E|002F|0027|002D|005B|005D" ;
+Maj["Norwegian (L)"]		="00A7|0021|0022|0023|00A4|0025|0026|002F|0028|0029|003D|003F|0060|0051|0057|0045|0052|0054|0059|0055|0049|004F|0050|00C5|005E|0041|0053|0044|0046|0047|0048|004A|004B|00D8|00C6|00C4|003E|005A|0058|0043|0056|0042|004E|004D|003B|003A|002A|005F|007B|007D|005C|007E" ;
+Min["Norwegian (L)"]		="00BD|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002B|00B4|0071|0077|0065|0072|0074|0079|0075|0069|006F|0070|00E5|00A8|0061|0073|0064|0066|0067|0068|006A|006B|00F8|00E6|00E4|003C|007A|0078|0063|0076|0062|006E|006D|002C|002E|0027|002D|005B|005D|007C|0040" ;
+Maj["Polish (L)"]			="002A|0021|0022|0023|00A4|0025|0026|002F|0028|0029|003D|003F|017A|0051|0057|0045|0052|0054|005A|0055|0049|004F|0050|0144|0107|0041|0053|0044|0046|0047|0048|004A|004B|004C|0141|0119|0059|0058|0043|0056|0042|004E|004D|003B|003A|005F|003C|005B|007B|02D9|00B4|02DB" ;
+Min["Polish (L)"]			="0027|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002B|00F3|0071|0077|0065|0072|0074|007A|0075|0069|006F|0070|017C|015B|0061|0073|0064|0066|0067|0068|006A|006B|006C|0142|0105|0079|0078|0063|0076|0062|006E|006D|002C|002E|002D|003E|005D|007D|02D9|00B4|02DB" ;
+Maj["Russian (C)"]			="0401|0021|0040|0023|2116|0025|005E|0026|002A|0028|0029|005F|002B|0419|0426|0423|041A|0415|041D|0413|0428|0429|0417|0425|042A|0424|042B|0412|0410|041F|0420|041E|041B|0414|0416|042D|042F|0427|0421|041C|0418|0422|042C|0411|042E|003E|002E|003A|0022|005B|005D|003F" ;
+Min["Russian (C)"]			="0451|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002D|003D|0439|0446|0443|043A|0435|043D|0433|0448|0449|0437|0445|044A|0444|044B|0432|0430|043F|0440|043E|043B|0434|0436|044D|044F|0447|0441|043C|0438|0442|044C|0431|044E|003C|002C|003B|0027|007B|007D|002F" ;
+Maj["Serbian (C)"]			="007E|0021|0022|0023|0024|0025|0026|002F|0028|0029|003D|003F|002A|0409|040A|0415|0420|0422|0417|0423|0418|041E|041F|0428|0402|0410|0421|0414|0424|0413|0425|0408|041A|041B|0427|040B|003E|0405|040F|0426|0412|0411|041D|041C|0416|003A|005F|002E|003A|0022|005B|005D" ;
+Min["Serbian (C)"]			="0060|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|0027|002B|0459|045A|0435|0440|0442|0437|0443|0438|043E|043F|0448|0452|0430|0441|0434|0444|0433|0445|0458|043A|043B|0447|045B|003C|0455|045F|0446|0432|0431|043D|043C|0436|002E|002D|002C|003B|0027|007B|007D" ;
+Maj["Serbian (L)"]			="007E|0021|0022|0023|0024|0025|0026|002F|0028|0029|003D|003F|002A|0051|0057|0045|0052|0054|005A|0055|0049|004F|0050|0160|0110|0041|0053|0044|0046|0047|0048|004A|004B|004C|010C|0106|003E|0059|0058|0043|0056|0042|004E|004D|017D|003A|005F|002E|003A|0022|005B|005D" ;
+Min["Serbian (L)"]			="201A|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|0027|002B|0071|0077|0065|0072|0074|007A|0075|0069|006F|0070|0161|0111|0061|0073|0064|0066|0067|0068|006A|006B|006C|010D|0107|003C|0079|0078|0063|0076|0062|006E|006D|017E|002E|002D|002C|003B|0027|007B|007D" ;
+Maj["Slovak (L)"]			="00B0|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|0025|02C7|0051|0057|0045|0052|0054|005A|0055|0049|004F|0050|002F|0028|0041|0053|0044|0046|0047|0048|004A|004B|004C|0022|0021|0059|0058|0043|0056|0042|004E|004D|003F|003A|005F|003C|005B|010F|0029|002A|0020" ;
+Min["Slovak (L)"]			="003B|002B|013E|0161|010D|0165|017E|00FD|00E1|00ED|00E9|003D|00B4|0071|0077|0065|0072|0074|007A|0075|0069|006F|0070|00FA|00E4|0061|0073|0064|0066|0067|0068|006A|006B|006C|00F4|00A7|0079|0078|0063|0076|0062|006E|006D|002C|002E|002D|003E|005D|00F3|0148|0026|0020" ;
+Maj["Spanish (L)"]			="00AA|0021|0022|00B7|0024|0025|0026|002F|0028|0029|003D|003F|00BF|0051|0057|0045|0052|0054|0059|0055|0049|004F|0050|005E|00A8|0041|0053|0044|0046|0047|0048|004A|004B|004C|00D1|00C7|005A|0058|0043|0056|0042|004E|004D|003B|003A|005F|003E|007C|0040|0023|007E|002A" ;
+Min["Spanish (L)"]			="00BA|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|0027|00A1|0071|0077|0065|0072|0074|0079|0075|0069|006F|0070|0060|00B4|0061|0073|0064|0066|0067|0068|006A|006B|006C|00F1|00E7|007A|0078|0063|0076|0062|006E|006D|002C|002E|002D|003C|005C|0040|0023|007E|002B" ;
+Maj["Ukrainian (C)"]		="0401|0021|0040|0023|2116|0025|005E|0026|002A|0028|0029|005F|002B|0419|0426|0423|041A|0415|041D|0413|0428|0429|0417|0425|0407|0424|0406|0412|0410|041F|0420|041E|041B|0414|0416|0404|0490|042F|0427|0421|041C|0418|0422|042C|0411|042E|002E|003A|0022|003C|003E|003F" ;
+Min["Ukrainian (C)"]		="0451|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002D|003D|0439|0446|0443|043A|0435|043D|0433|0448|0449|0437|0445|0457|0444|0456|0432|0430|043F|0440|043E|043B|0434|0436|0454|0491|044F|0447|0441|043C|0438|0442|044C|0431|044E|002C|003B|0027|007B|007D|002F" ;
+Maj["Vietnamese (L)"]		="007E|0021|0040|0023|0024|0025|005E|0026|002A|0028|0029|005F|002B|0051|0057|0045|0052|0054|0059|0055|0049|004F|0050|01AF|01A0|0041|0053|0044|0046|0047|0048|004A|004B|004C|0102|00C2|005A|0058|0043|0056|0042|004E|004D|00CA|00D4|0110|003C|003E|003F|007D|003A|0022" ;
+Min["Vietnamese (L)"]		="20AB|0031|0032|0033|0034|0035|0036|0037|0038|0039|0030|002D|003D|0071|0077|0065|0072|0074|0079|0075|0069|006F|0070|01B0|01A1|0061|0073|0064|0066|0067|0068|006A|006B|006C|0103|00E2|007A|0078|0063|0076|0062|006E|006D|00EA|00F4|0111|002C|002E|002F|007B|003B|0027" ;
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/diacritic.js soojung/libs/fckeditor/editor/dialog/fck_universalkey/diacritic.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/diacritic.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_universalkey/diacritic.js	2005-06-11 10:27:22.000000000 +0900
@@ -0,0 +1,63 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: diacritic.js
+ * 	Scripts for the fck_universalkey.html page.
+ * 
+ * File Authors:
+ * 		Michel Staelens (michel.staelens@wanadoo.fr)
+ * 		Abdul-Aziz Al-Oraij (top7up@hotmail.com)
+ */
+
+var dia = new Array()
+
+dia["0060"]=new Array();dia["00B4"]=new Array();dia["005E"]=new Array();dia["00A8"]=new Array();dia["007E"]=new Array();dia["00B0"]=new Array();dia["00B7"]=new Array();dia["00B8"]=new Array();dia["00AF"]=new Array();dia["02D9"]=new Array();dia["02DB"]=new Array();dia["02C7"]=new Array();dia["02D8"]=new Array();dia["02DD"]=new Array();dia["031B"]=new Array();
+dia["0060"]["0061"]="00E0";dia["00B4"]["0061"]="00E1";dia["005E"]["0061"]="00E2";dia["00A8"]["0061"]="00E4";dia["007E"]["0061"]="00E3";dia["00B0"]["0061"]="00E5";dia["00AF"]["0061"]="0101";dia["02DB"]["0061"]="0105";dia["02D8"]["0061"]="0103";
+dia["00B4"]["0063"]="0107";dia["005E"]["0063"]="0109";dia["00B8"]["0063"]="00E7";dia["02D9"]["0063"]="010B";dia["02C7"]["0063"]="010D";
+dia["02C7"]["0064"]="010F";
+dia["0060"]["0065"]="00E8";dia["00B4"]["0065"]="00E9";dia["005E"]["0065"]="00EA";dia["00A8"]["0065"]="00EB";dia["00AF"]["0065"]="0113";dia["02D9"]["0065"]="0117";dia["02DB"]["0065"]="0119";dia["02C7"]["0065"]="011B";dia["02D8"]["0065"]="0115";
+dia["005E"]["0067"]="011D";dia["00B8"]["0067"]="0123";dia["02D9"]["0067"]="0121";dia["02D8"]["0067"]="011F";
+dia["005E"]["0068"]="0125";
+dia["0060"]["0069"]="00EC";dia["00B4"]["0069"]="00ED";dia["005E"]["0069"]="00EE";dia["00A8"]["0069"]="00EF";dia["007E"]["0069"]="0129";dia["00AF"]["0069"]="012B";dia["02DB"]["0069"]="012F";dia["02D8"]["0069"]="012D";
+dia["005E"]["006A"]="0135";
+dia["00B8"]["006B"]="0137";
+dia["00B4"]["006C"]="013A";dia["00B7"]["006C"]="0140";dia["00B8"]["006C"]="013C";dia["02C7"]["006C"]="013E";
+dia["00B4"]["006E"]="0144";dia["007E"]["006E"]="00F1";dia["00B8"]["006E"]="0146";dia["02D8"]["006E"]="0148";
+dia["0060"]["006F"]="00F2";dia["00B4"]["006F"]="00F3";dia["005E"]["006F"]="00F4";dia["00A8"]["006F"]="00F6";dia["007E"]["006F"]="00F5";dia["00AF"]["006F"]="014D";dia["02D8"]["006F"]="014F";dia["02DD"]["006F"]="0151";dia["031B"]["006F"]="01A1";
+dia["00B4"]["0072"]="0155";dia["00B8"]["0072"]="0157";dia["02C7"]["0072"]="0159";
+dia["00B4"]["0073"]="015B";dia["005E"]["0073"]="015D";dia["00B8"]["0073"]="015F";dia["02C7"]["0073"]="0161";
+dia["00B8"]["0074"]="0163";dia["02C7"]["0074"]="0165";
+dia["0060"]["0075"]="00F9";dia["00B4"]["0075"]="00FA";dia["005E"]["0075"]="00FB";dia["00A8"]["0075"]="00FC";dia["007E"]["0075"]="0169";dia["00B0"]["0075"]="016F";dia["00AF"]["0075"]="016B";dia["02DB"]["0075"]="0173";dia["02D8"]["0075"]="016D";dia["02DD"]["0075"]="0171";dia["031B"]["0075"]="01B0";
+dia["005E"]["0077"]="0175";
+dia["00B4"]["0079"]="00FD";dia["005E"]["0079"]="0177";dia["00A8"]["0079"]="00FF";
+dia["00B4"]["007A"]="017A";dia["02D9"]["007A"]="017C";dia["02C7"]["007A"]="017E";
+dia["00B4"]["00E6"]="01FD";
+dia["00B4"]["00F8"]="01FF";
+dia["0060"]["0041"]="00C0";dia["00B4"]["0041"]="00C1";dia["005E"]["0041"]="00C2";dia["00A8"]["0041"]="00C4";dia["007E"]["0041"]="00C3";dia["00B0"]["0041"]="00C5";dia["00AF"]["0041"]="0100";dia["02DB"]["0041"]="0104";dia["02D8"]["0041"]="0102";
+dia["00B4"]["0043"]="0106";dia["005E"]["0043"]="0108";dia["00B8"]["0043"]="00C7";dia["02D9"]["0043"]="010A";dia["02C7"]["0043"]="010C";
+dia["02C7"]["0044"]="010E";
+dia["0060"]["0045"]="00C8";dia["00B4"]["0045"]="00C9";dia["005E"]["0045"]="00CA";dia["00A8"]["0045"]="00CB";dia["00AF"]["0045"]="0112";dia["02D9"]["0045"]="0116";dia["02DB"]["0045"]="0118";dia["02C7"]["0045"]="011A";dia["02D8"]["0045"]="0114";
+dia["005E"]["0047"]="011C";dia["00B8"]["0047"]="0122";dia["02D9"]["0047"]="0120";dia["02D8"]["0047"]="011E";
+dia["005E"]["0048"]="0124";
+dia["0060"]["0049"]="00CC";dia["00B4"]["0049"]="00CD";dia["005E"]["0049"]="00CE";dia["00A8"]["0049"]="00CF";dia["007E"]["0049"]="0128";dia["00AF"]["0049"]="012A";dia["02D9"]["0049"]="0130";dia["02DB"]["0049"]="012E";dia["02D8"]["0049"]="012C";
+dia["005E"]["004A"]="0134";
+dia["00B8"]["004B"]="0136";
+dia["00B4"]["004C"]="0139";dia["00B7"]["004C"]="013F";dia["00B8"]["004C"]="013B";dia["02C7"]["004C"]="013D";
+dia["00B4"]["004E"]="0143";dia["007E"]["004E"]="00D1";dia["00B8"]["004E"]="0145";dia["02D8"]["004E"]="0147";
+dia["0060"]["004F"]="00D2";dia["00B4"]["004F"]="00D3";dia["005E"]["004F"]="00D4";dia["00A8"]["004F"]="00D6";dia["007E"]["004F"]="00D5";dia["00AF"]["004F"]="014C";dia["02D8"]["004F"]="014E";dia["02DD"]["004F"]="0150";dia["031B"]["004F"]="01A0";
+dia["00B4"]["0052"]="0154";dia["00B8"]["0052"]="0156";dia["02C7"]["0052"]="0158";
+dia["00B4"]["0053"]="015A";dia["005E"]["0053"]="015C";dia["00B8"]["0053"]="015E";dia["02C7"]["0053"]="0160";
+dia["00B8"]["0054"]="0162";dia["02C7"]["0054"]="0164";
+dia["0060"]["0055"]="00D9";dia["00B4"]["0055"]="00DA";dia["005E"]["0055"]="00DB";dia["00A8"]["0055"]="00DC";dia["007E"]["0055"]="0168";dia["00B0"]["0055"]="016E";dia["00AF"]["0055"]="016A";dia["02DB"]["0055"]="0172";dia["02D8"]["0055"]="016C";dia["02DD"]["0055"]="0170";dia["031B"]["0055"]="01AF";
+dia["005E"]["0057"]="0174";
+dia["00B4"]["0059"]="00DD";dia["005E"]["0059"]="0176";dia["00A8"]["0059"]="0178";
+dia["00B4"]["005A"]="0179";dia["02D9"]["005A"]="017B";dia["02C7"]["005A"]="017D";
+dia["00B4"]["00C6"]="01FC";
+dia["00B4"]["00D8"]="01FE";
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/dialogue.js soojung/libs/fckeditor/editor/dialog/fck_universalkey/dialogue.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/dialogue.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_universalkey/dialogue.js	2005-06-11 10:27:22.000000000 +0900
@@ -0,0 +1,29 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: dialogue.js
+ * 	Scripts for the fck_universalkey.html page.
+ * 
+ * File Authors:
+ * 		Michel Staelens (michel.staelens@wanadoo.fr)
+ * 		Bernadette Cierzniak
+ * 		Abdul-Aziz Al-Oraij (top7up@hotmail.com)
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+function afficher(txt)
+{
+	document.getElementById( 'uni_area' ).value = txt ;
+}
+
+function rechercher()
+{
+	return document.getElementById( 'uni_area' ).value ;
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/fck_universalkey.css soojung/libs/fckeditor/editor/dialog/fck_universalkey/fck_universalkey.css
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/fck_universalkey.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_universalkey/fck_universalkey.css	2005-06-11 10:27:22.000000000 +0900
@@ -0,0 +1,60 @@
+/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_universalkey.css
+ * 	CSS styles for the Universal Keyboard.
+ * 
+ * File Authors:
+ * 		Michel Staelens (michel.staelens@wanadoo.fr)
+ * 		Bernadette Cierzniak
+ * 		Abdul-Aziz Al-Oraij (top7up@hotmail.com)
+ */
+
+BODY, TEXTAREA, INPUT, TD, SELECT
+{
+	font-family: Tahoma,verdana,arial,sans-serif;
+}
+DIV
+{
+	position: absolute;
+}
+.simple
+{
+	font-size: 11pt;
+}
+.double
+{
+	font-size: 9pt;
+}
+.simpledia
+{
+	color: red;
+	font-size: 11pt;
+}
+.doubledia
+{
+	color: red;
+	font-size: 9pt;
+}
+.action
+{
+	color: white;
+	font-size: 7pt;
+}
+.clavier
+{
+	color: blue;
+	font-size: 7pt;
+}
+.sign
+{
+	color: gray;
+	font-size: 7pt;
+}
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/keyboard_layout.gif and soojung/libs/fckeditor/editor/dialog/fck_universalkey/keyboard_layout.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/multihexa.js soojung/libs/fckeditor/editor/dialog/fck_universalkey/multihexa.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey/multihexa.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_universalkey/multihexa.js	2005-06-11 10:27:22.000000000 +0900
@@ -0,0 +1,266 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: multihexa.js
+ * 	Scripts for the fck_universalkey.html page.
+ * 	Definition des 104 caracteres en hexa unicode.
+ * 
+ * File Authors:
+ * 		Michel Staelens (michel.staelens@wanadoo.fr)
+ * 		Bernadette Cierzniak
+ * 		Abdul-Aziz Al-Oraij (top7up@hotmail.com)
+ */
+
+var caps=0, lock=0, hexchars="0123456789ABCDEF", accent="0000", keydeb=0
+var key=new Array();j=0;for (i in Maj){key[j]=i;j++}
+var ns6=((!document.all)&&(document.getElementById))
+var ie=document.all
+
+var langue=getCk();
+if (langue==""){
+	langue=key[keydeb]
+}
+CarMaj=Maj[langue].split("|");CarMin=Min[langue].split("|")
+
+/*unikey*/
+var posUniKeyLeft=0, posUniKeyTop=0
+if (ns6){posUniKeyLeft=0;posUniKeyTop=60}
+else if (ie){posUniKeyLeft=0;posUniKeyTop=60}
+tracer("fond",posUniKeyLeft,posUniKeyTop,'<img src="fck_universalkey/keyboard_layout.gif" width=404 height=152 border="0"><br />',"sign")
+/*touches*/
+var posX=new Array(0,28,56,84,112,140,168,196,224,252,280,308,336,42,70,98,126,154,182,210,238,266,294,322,350,50,78,106,134,162,190,218,246,274,302,330,64,92,120,148,176,204,232,260,288,316,28,56,84,294,322,350)
+var posY=new Array(14,14,14,14,14,14,14,14,14,14,14,14,14,42,42,42,42,42,42,42,42,42,42,42,42,70,70,70,70,70,70,70,70,70,70,70,98,98,98,98,98,98,98,98,98,98,126,126,126,126,126,126)
+var nbTouches=52
+for (i=0;i<nbTouches;i++){
+	CarMaj[i]=((CarMaj[i]!="0000")?(fromhexby4tocar(CarMaj[i])):"")
+	CarMin[i]=((CarMin[i]!="0000")?(fromhexby4tocar(CarMin[i])):"")
+	if (CarMaj[i]==CarMin[i].toUpperCase()){
+		cecar=((lock==0)&&(caps==0)?CarMin[i]:CarMaj[i])
+		tracer("car"+i,posUniKeyLeft+6+posX[i],posUniKeyTop+3+posY[i],cecar,((dia[hexa(cecar)]!=null)?"simpledia":"simple"))
+		tracer("majus"+i,posUniKeyLeft+15+posX[i],posUniKeyTop+1+posY[i],"&nbsp;","double")
+		tracer("minus"+i,posUniKeyLeft+3+posX[i],posUniKeyTop+9+posY[i],"&nbsp;","double")
+	}
+	else{
+		tracer("car"+i,posUniKeyLeft+6+posX[i],posUniKeyTop+3+posY[i],"&nbsp;","simple")
+		cecar=CarMin[i]
+		tracer("minus"+i,posUniKeyLeft+3+posX[i],posUniKeyTop+9+posY[i],cecar,((dia[hexa(cecar)]!=null)?"doubledia":"double"))
+		cecar=CarMaj[i]
+		tracer("majus"+i,posUniKeyLeft+15+posX[i],posUniKeyTop+1+posY[i],cecar,((dia[hexa(cecar)]!=null)?"doubledia":"double"))
+	}
+}
+/*touches de fonctions*/
+var actC1=new Array(0,371,364,0,378,0,358,0,344,0,112,378)
+var actC2=new Array(0,0,14,42,42,70,70,98,98,126,126,126)
+var actC3=new Array(32,403,403,39,403,47,403,61,403,25,291,403)
+var actC4=new Array(11,11,39,67,67,95,95,123,123,151,151,151)
+var act  =new Array(" « KB"," KB » ","Delete","Clear","Back","Caps<br> Lock","Enter","Shift","Shift","<|<","Space",">|>")
+var effet=new Array("keyscroll(-3)","keyscroll(3)","faire(\"del\")","RAZ()","faire(\"bck\")","bloq()","faire(\"\\n\")","haut()","haut()","faire(\"ar\")","faire(\" \")","faire(\"av\")")
+var nbActions=12
+for (i=0;i<nbActions;i++){
+	tracer("act"+i,posUniKeyLeft+1+actC1[i],posUniKeyTop-1+actC2[i],act[i],"action")
+}
+/*navigation*/
+var keyC1=new Array(35,119,203,287)
+var keyC2=new Array(0,0,0,0)
+var keyC3=new Array(116,200,284,368)
+var keyC4=new Array(11,11,11,11)
+for (i=0;i<4;i++){
+	tracer("key"+i,posUniKeyLeft+5+keyC1[i],posUniKeyTop-1+keyC2[i],key[i],"unikey")
+}
+/*zones reactives*/
+tracer("masque",posUniKeyLeft,posUniKeyTop,'<img src="fck_universalkey/00.gif" width=404 height=152 border="0" usemap="#unikey">')
+document.write('<map name="unikey">')
+for (i=0;i<nbTouches;i++){
+	document.write('<area coords="'+posX[i]+','+posY[i]+','+(posX[i]+25)+','+(posY[i]+25)+'" href=# onClick=\'javascript:ecrire('+i+')\'>')
+}
+for (i=0;i<nbActions;i++){
+	document.write('<area coords="'+actC1[i]+','+actC2[i]+','+actC3[i]+','+actC4[i]+'" href=# onClick=\'javascript:'+effet[i]+'\'>')
+}
+for (i=0;i<4;i++){
+	document.write('<area coords="'+keyC1[i]+','+keyC2[i]+','+keyC3[i]+','+keyC4[i]+'" onclick=\'javascript:charger('+i+')\'>')
+}
+document.write('</map>')
+
+/*fonctions*/
+function ecrire(i){
+	txt=rechercher()+"|";subtxt=txt.split("|")
+	ceci=(lock==1)?CarMaj[i]:((caps==1)?CarMaj[i]:CarMin[i])
+	if (test(ceci)){subtxt[0]+=cardia(ceci);distinguer(false)}
+	else if(dia[accent]!=null&&dia[hexa(ceci)]!=null){distinguer(false);accent=hexa(ceci);distinguer(true)}
+	else if(dia[accent]!=null){subtxt[0]+=fromhexby4tocar(accent)+ceci;distinguer(false)}
+	else if(dia[hexa(ceci)]!=null){accent=hexa(ceci);distinguer(true)}
+	else {subtxt[0]+=ceci}
+	txt=subtxt[0]+"|"+subtxt[1]
+	afficher(txt)
+	if (caps==1){caps=0;MinusMajus()}
+}
+function faire(ceci){
+	txt=rechercher()+"|";subtxt=txt.split("|")
+	l0=subtxt[0].length
+	l1=subtxt[1].length
+	c1=subtxt[0].substring(0,(l0-2))
+	c2=subtxt[0].substring(0,(l0-1))
+	c3=subtxt[1].substring(0,1)
+	c4=subtxt[1].substring(0,2)
+	c5=subtxt[0].substring((l0-2),l0)
+	c6=subtxt[0].substring((l0-1),l0)
+	c7=subtxt[1].substring(1,l1)
+	c8=subtxt[1].substring(2,l1)
+	if(dia[accent]!=null){if(ceci==" "){ceci=fromhexby4tocar(accent)}distinguer(false)}
+	switch (ceci){
+	case("av") :if(escape(c4)!="%0D%0A"){txt=subtxt[0]+c3+"|"+c7}else{txt=subtxt[0]+c4+"|"+c8}break
+	case("ar") :if(escape(c5)!="%0D%0A"){txt=c2+"|"+c6+subtxt[1]}else{txt=c1+"|"+c5+subtxt[1]}break
+	case("bck"):if(escape(c5)!="%0D%0A"){txt=c2+"|"+subtxt[1]}else{txt=c1+"|"+subtxt[1]}break
+	case("del"):if(escape(c4)!="%0D%0A"){txt=subtxt[0]+"|"+c7}else{txt=subtxt[0]+"|"+c8}break
+	default:txt=subtxt[0]+ceci+"|"+subtxt[1];break
+	}
+	afficher(txt)
+}
+function RAZ(){txt="";if(dia[accent]!=null){distinguer(false)}afficher(txt)}
+function haut(){caps=1;MinusMajus()}
+function bloq(){lock=(lock==1)?0:1;MinusMajus()}
+
+/*fonctions de traitement du unikey*/
+function tracer(nom,gauche,haut,ceci,classe){ceci="<span class="+classe+">"+ceci+"</span>";document.write('<div id="'+nom+'" >'+ceci+'</div>');if (ns6){document.getElementById(nom).style.left=gauche+"px";document.getElementById(nom).style.top=haut+"px";}else if (ie){document.all(nom).style.left=gauche;document.all(nom).style.top=haut}}
+function retracer(nom,ceci,classe){ceci="<span class="+classe+">"+ceci+"</span>";if (ns6){document.getElementById(nom).innerHTML=ceci}else if (ie){doc=document.all(nom);doc.innerHTML=ceci}}
+function keyscroll(n){
+	keydeb+=n
+	if (keydeb<0){
+		keydeb=0
+	}
+	if (keydeb>key.length-4){
+		keydeb=key.length-4
+	}
+	for (i=keydeb;i<keydeb+4;i++){
+		retracer("key"+(i-keydeb),key[i],"unikey")
+	}
+	if (keydeb==0){
+		retracer("act0","&nbsp;","action")
+	}else {
+		retracer("act0",act[0],"action")
+	}
+	if (keydeb==key.length-4){
+		retracer("act1","&nbsp;","action")
+	}else {
+		retracer("act1",act[1],"action")
+	}
+}
+function charger(i){
+	langue=key[i+keydeb];setCk(langue);accent="0000"
+	CarMaj=Maj[langue].split("|");CarMin=Min[langue].split("|")
+	for (i=0;i<nbTouches;i++){
+		CarMaj[i]=((CarMaj[i]!="0000")?(fromhexby4tocar(CarMaj[i])):"")
+		CarMin[i]=((CarMin[i]!="0000")?(fromhexby4tocar(CarMin[i])):"")
+		if (CarMaj[i]==CarMin[i].toUpperCase()){
+			cecar=((lock==0)&&(caps==0)?CarMin[i]:CarMaj[i])
+			retracer("car"+i,cecar,((dia[hexa(cecar)]!=null)?"simpledia":"simple"))
+			retracer("minus"+i,"&nbsp;")
+			retracer("majus"+i,"&nbsp;")
+		}
+		else{
+			retracer("car"+i,"&nbsp;")
+			cecar=CarMin[i]
+			retracer("minus"+i,cecar,((dia[hexa(cecar)]!=null)?"doubledia":"double"))
+			cecar=CarMaj[i]
+			retracer("majus"+i,cecar,((dia[hexa(cecar)]!=null)?"doubledia":"double"))
+		}
+	}
+}
+function distinguer(oui){
+	for (i=0;i<nbTouches;i++){
+		if (CarMaj[i]==CarMin[i].toUpperCase()){
+			cecar=((lock==0)&&(caps==0)?CarMin[i]:CarMaj[i])
+			if(test(cecar)){retracer("car"+i,oui?(cardia(cecar)):cecar,oui?"simpledia":"simple")}
+		}
+		else{
+			cecar=CarMin[i]
+			if(test(cecar)){retracer("minus"+i,oui?(cardia(cecar)):cecar,oui?"doubledia":"double")}
+			cecar=CarMaj[i]
+			if(test(cecar)){retracer("majus"+i,oui?(cardia(cecar)):cecar,oui?"doubledia":"double")}
+		}
+	}
+	if (!oui){accent="0000"}
+}
+function MinusMajus(){
+	for (i=0;i<nbTouches;i++){
+		if (CarMaj[i]==CarMin[i].toUpperCase()){
+			cecar=((lock==0)&&(caps==0)?CarMin[i]:CarMaj[i])
+			retracer("car"+i,(test(cecar)?cardia(cecar):cecar),((dia[hexa(cecar)]!=null||test(cecar))?"simpledia":"simple"))
+		}
+	}
+}
+function test(cecar){return(dia[accent]!=null&&dia[accent][hexa(cecar)]!=null)}
+function cardia(cecar){return(fromhexby4tocar(dia[accent][hexa(cecar)]))}
+function fromhex(inval){out=0;for (a=inval.length-1;a>=0;a--){out+=Math.pow(16,inval.length-a-1)*hexchars.indexOf(inval.charAt(a))}return out}
+function fromhexby4tocar(ceci){out4=new String();for (l=0;l<ceci.length;l+=4){out4+=String.fromCharCode(fromhex(ceci.substring(l,l+4)))}return out4}
+function tohex(inval){return hexchars.charAt(inval/16)+hexchars.charAt(inval%16)}
+function tohex2(inval){return tohex(inval/256)+tohex(inval%256)}
+function hexa(ceci){out="";for (k=0;k<ceci.length;k++){out+=(tohex2(ceci.charCodeAt(k)))}return out}
+function getCk(){
+	fromN=document.cookie.indexOf("langue=")+0;
+	if((fromN)!=-1){
+		fromN+=7;
+		toN=document.cookie.indexOf(";",fromN)+0;
+		if(toN==-1){
+			toN=document.cookie.length
+		}
+		return unescape(document.cookie.substring(fromN,toN))
+	}
+	return ""
+}
+function setCk(inval){
+	if(inval!=null){
+		exp=new Date();
+		time=365*60*60*24*1000;
+		exp.setTime(exp.getTime()+time);
+		document.cookie=escape("langue")+"="+escape(inval)+"; "+"expires="+exp.toGMTString()
+	}
+}
+// Arabic Keystroke Translator
+function arkey(a) {
+		if ((document.layers)|(navigator.userAgent.indexOf("MSIE 4")>-1)|(langue!="Arabic")) return true;
+		keyCode=event.keyCode;
+		entry=true;
+		cont=event.srcElement ;
+		if (keyCode>64 && keyCode<91) {
+			entry=false;
+			source='ش لاؤ ي ث ب ل ا ه ت ن م ة ى خ ح ض ق س ف ع ر ص ء غ ئ ';
+			shsource='ِ لآ} ] ُ [ لأأ ÷ ـ ، /   آ × ؛ َ ٌ ٍ لإ  { ً ْ إ ~'; 
+
+			if (event.shiftKey) cont.value += shsource.substr((keyCode-64)*2-2,2);
+			else
+				cont.value += source.substr((keyCode-64)*2-2,2);
+			if (cont.value.substr(cont.value.length-1,1)==' ') cont.value=cont.value.substr(0,cont.value.length-1);
+		}
+		if (event.shiftKey) {
+			if (keyCode==186) {cont.value += ':';entry=false;}
+			if (keyCode==188) {cont.value += ',';entry=false;}
+			if (keyCode==190) {cont.value += '.';entry=false;}
+			if (keyCode==191) {cont.value += '؟';entry=false;}
+			if (keyCode==192) {cont.value += 'ّ';entry=false;}
+			if (keyCode==219) {cont.value += '<';entry=false;}
+			if (keyCode==221) {cont.value += '>';entry=false;}
+		} else {
+			if (keyCode==186) {cont.value += 'ك';entry=false;}
+			if (keyCode==188) {cont.value += 'و';entry=false;}
+			if (keyCode==190) {cont.value += 'ز';entry=false;}
+			if (keyCode==191) {cont.value += 'ظ';entry=false;}
+			if (keyCode==192) {cont.value += 'ذ';entry=false;}
+			if (keyCode==219) {cont.value += 'ج';entry=false;}
+			if (keyCode==221) {cont.value += 'د';entry=false;}
+			if (keyCode==222) {cont.value += 'ط';entry=false;}
+		}
+
+
+		return entry;
+	}
+var obj = document.getElementById( 'uni_area' );
+if ( obj )
+	obj.onkeydown = arkey
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey.html soojung/libs/fckeditor/editor/dialog/fck_universalkey.html
--- soojung-0.4.8/libs/fckeditor/editor/dialog/fck_universalkey.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/fck_universalkey.html	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,61 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_universalkey.html
+ * 	Unicode Keyboard dialog window.
+ * 
+ * File Authors:
+ * 		Abdul-Aziz Al-Oraij (top7up@hotmail.com)
+ * 		Michel Staelens
+ * 		Bernadette Cierzniak
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Universal Keyboard</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<link rel="stylesheet" type="text/css" href="fck_universalkey/fck_universalkey.css" />
+		<script type="text/javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+
+window.onload = function()
+{
+	document.body.style.padding = '0px' ;
+
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage(document) ;
+
+	window.parent.SetOkButton( true ) ;
+	window.parent.SetAutoSize( true ) ;	
+}
+
+function Ok()
+{
+	var oArea = document.getElementById( 'uni_area' ) ;
+
+	if ( oArea.value.length > 0 )
+		oEditor.FCK.InsertHtml( oArea.value ) ;
+
+	return true ;
+}
+
+		</script>
+	</head>
+	<body style="OVERFLOW: hidden" scroll="no">
+		<textarea id="uni_area" cols="40" rows="4" style="width:100%;height:60px;"></textarea>
+		<script type="text/javascript" src="fck_universalkey/data.js"></script>
+		<script type="text/javascript" src="fck_universalkey/diacritic.js"></script>
+		<script type="text/javascript" src="fck_universalkey/dialogue.js"></script>
+		<script type="text/javascript" src="fck_universalkey/multihexa.js"></script>
+	</body>
+</html>
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/images/locked.gif and soojung/libs/fckeditor/editor/dialog/images/locked.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/images/logo_fckeditor.gif and soojung/libs/fckeditor/editor/dialog/images/logo_fckeditor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/images/logo_fredck.gif and soojung/libs/fckeditor/editor/dialog/images/logo_fredck.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/images/reset.gif and soojung/libs/fckeditor/editor/dialog/images/reset.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/dialog/images/unlocked.gif and soojung/libs/fckeditor/editor/dialog/images/unlocked.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/js/fck_dialog_common.js soojung/libs/fckeditor/editor/dialog/js/fck_dialog_common.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/js/fck_dialog_common.js	2004-12-27 20:50:23.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/js/fck_dialog_common.js	1970-01-01 09:00:00.000000000 +0900
@@ -1,53 +0,0 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_dialog_common.js
- * 	Useful functions used by almost all dialog window pages.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-06-18 01:15:41
- * 
- * File Authors:
- * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-// Gets a element by its Id. Used for shorter coding.
-function GetE( elementId )
-{
-	return document.getElementById( elementId )  ;
-}
-
-function ShowE( element, isVisible )
-{
-	if ( typeof( element ) == 'string' )
-		element = GetE( element ) ;
-	element.style.display = isVisible ? '' : 'none' ;
-}
-
-function SetAttribute( element, attName, attValue )
-{
-	if ( attValue == null || attValue.length == 0 )
-		element.removeAttribute( attName, 0 ) ;			// 0 : Case Insensitive
-	else
-		element.setAttribute( attName, attValue, 0 ) ;	// 0 : Case Insensitive
-
-}
-
-function GetAttribute( element, attName, valueIfNull )
-{
-	var oAtt = element.attributes[attName] ;
-	
-	if ( oAtt == null || !oAtt.specified )
-		return valueIfNull ;
-		
-	var oValue = element.getAttribute( attName, 2 ) ;
-	
-	return ( oValue == null ? valueIfNull : oValue ) ;
-}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/js/fck_image.js soojung/libs/fckeditor/editor/dialog/js/fck_image.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/js/fck_image.js	2004-12-27 20:50:23.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/js/fck_image.js	1970-01-01 09:00:00.000000000 +0900
@@ -1,245 +0,0 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_image.js
- * 	Scripts related to the Link dialog window (see fck_link.html).
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-09-10 01:59:57
- * 
- * File Authors:
- * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-var oEditor = window.parent.InnerDialogLoaded() ;
-var FCK		= oEditor.FCK ;
-
-// Set the language direction.
-window.document.dir = oEditor.FCKLang.Dir ;
-
-// Set the Skin CSS.
-document.write( '<link href="' + oEditor.FCKConfig.SkinPath + 'fck_dialog.css" type="text/css" rel="stylesheet">' ) ;
-
-//#### Dialog Tabs
-
-// Set the dialog tabs.
-window.parent.AddTab( 'Info', 'Image Info' ) ;
-// TODO : Enable File Upload (1/3).
-//window.parent.AddTab( 'Upload', 'Upload', true ) ;
-window.parent.AddTab( 'Advanced', 'Advanced' ) ;
-
-// Function called when a dialog tag is selected.
-function OnDialogTabChange( tabCode )
-{
-	ShowE('divInfo'		, ( tabCode == 'Info' ) ) ;
-// TODO : Enable File Upload (2/3).
-//	ShowE('divUpload'	, ( tabCode == 'Upload' ) ) ;
-	ShowE('divAdvanced'	, ( tabCode == 'Advanced' ) ) ;
-}
-
-// Get the selected image (if available).
-var oImage = FCK.Selection.GetSelectedElement( 'IMG' ) ;
-
-var oImageOriginal ;
-
-function UpdateOriginal()
-{
-	oImageOriginal = new Image() ;
-	oImageOriginal.src = GetE('imgPreview').src ;
-}
-
-window.onload = function()
-{
-	// Translate the dialog box texts.
-	oEditor.FCKLanguageManager.TranslatePage(document) ;
-
-	// Load the selected element information (if any).
-	LoadSelection() ;
-	
-	// Show/Hide the "Browse Server" button.
-	GetE('tdBrowse').style.display = oEditor.FCKConfig.ImageBrowser ? '' : 'none' ;
-	
-	UpdateOriginal() ;
-	
-	// Activate the "OK" button.
-	window.parent.SetOkButton( true ) ;
-}
-
-function LoadSelection()
-{
-	if ( ! oImage ) return ;
-	
-	GetE('txtURL').value    = GetAttribute( oImage, 'src', '' ) ;
-	GetE('txtAlt').value    = GetAttribute( oImage, 'alt', '' ) ;
-	GetE('txtVSpace').value	= GetAttribute( oImage, 'vspace', '' ) ;
-	GetE('txtHSpace').value	= GetAttribute( oImage, 'hspace', '' ) ;
-	GetE('txtBorder').value	= GetAttribute( oImage, 'border', '' ) ;
-	GetE('cmbAlign').value	= GetAttribute( oImage, 'align', '' ) ;
-
-	if ( oImage.style.pixelWidth > 0 )
-		GetE('txtWidth').value  = oImage.style.pixelWidth ;
-	else
-		GetE('txtWidth').value  = GetAttribute( oImage, "width", '' ) ;
-		
-	if ( oImage.style.pixelHeight > 0 )
-		GetE('txtHeight').value  = oImage.style.pixelHeight ;
-	else
-		GetE('txtHeight').value = GetAttribute( oImage, "height", '' ) ;
-	
-	// Get Advances Attributes
-	GetE('txtAttId').value			= oImage.id ;
-	GetE('cmbAttLangDir').value		= oImage.dir ;
-	GetE('txtAttLangCode').value	= oImage.lang ;
-	GetE('txtAttTitle').value		= oImage.title ;
-	GetE('txtAttClasses').value		= oImage.getAttribute('class',2) || '' ;
-	GetE('txtLongDesc').value		= oImage.longDesc ;
-	
-	if ( oEditor.FCKBrowserInfo.IsIE ) 
-		GetE('txtAttStyle').value	= oImage.style.cssText ;
-	else
-		GetE('txtAttStyle').value	= oImage.getAttribute('style',2) ;
-		
-	UpdatePreview() ;
-}
-
-//#### The OK button was hit.
-function Ok()
-{
-	if ( GetE('txtURL').value.length == 0 )
-	{
-		window.parent.SetSelectedTab( 'Info' ) ;
-		GetE('txtURL').focus() ;
-		
-		alert( 'Please type the image URL' ) ;
-		
-		return false ;
-	}
-
-	var e = ( oImage || FCK.EditorDocument.createElement( 'IMG' ) ) ;
-	
-	UpdateImage( e ) ;
-
-	if ( ! oImage )
-		FCK.InsertElement( e ) ;
-
-	return true ;
-}
-
-function UpdateImage( e, skipId )
-{
-	e.src = GetE('txtURL').value ;
-	SetAttribute( e, "alt"   , GetE('txtAlt').value ) ;		
-	SetAttribute( e, "width" , GetE('txtWidth').value ) ;		
-	SetAttribute( e, "height", GetE('txtHeight').value ) ;		
-	SetAttribute( e, "vspace", GetE('txtVSpace').value ) ;		
-	SetAttribute( e, "hspace", GetE('txtHSpace').value ) ;		
-	SetAttribute( e, "border", GetE('txtBorder').value ) ;		
-	SetAttribute( e, "align" , GetE('cmbAlign').value ) ;
-	
-	// Advances Attributes
-	
-	if ( ! skipId )
-		SetAttribute( e, 'id', GetE('txtAttId').value ) ;
-	
-	SetAttribute( e, 'dir'		, GetE('cmbAttLangDir').value ) ;
-	SetAttribute( e, 'lang'		, GetE('txtAttLangCode').value ) ;
-	SetAttribute( e, 'title'	, GetE('txtAttTitle').value ) ;
-	SetAttribute( e, 'class'	, GetE('txtAttClasses').value ) ;
-	SetAttribute( e, 'longDesc'	, GetE('txtLongDesc').value ) ;
-
-	if ( oEditor.FCKBrowserInfo.IsIE ) 
-		e.style.cssText = GetE('txtAttStyle').value ;
-	else
-		SetAttribute( e, 'style', GetE('txtAttStyle').value ) ;
-}
-
-function UpdatePreview()
-{
-	if ( GetE('txtURL').value.length == 0 )
-		GetE('imgPreview').style.display = 'none' ;
-	else
-		UpdateImage( GetE('imgPreview'), true ) ;
-}
-
-var bLockRatio = true ;
-
-function SwitchLock( lockButton )
-{
-	bLockRatio = !bLockRatio ;
-	lockButton.className = bLockRatio ? 'BtnLocked' : 'BtnUnlocked' ;
-	lockButton.title = bLockRatio ? 'Lock sizes' : 'Unlock sizes' ;
-	
-	if ( bLockRatio )
-	{
-		if ( GetE('txtWidth').value.length > 0 )
-			OnSizeChanged( 'Width', GetE('txtWidth').value ) ;
-		else
-			OnSizeChanged( 'Height', GetE('txtHeight').value ) ;
-	}
-}
-
-// Fired when the width or height input texts change
-function OnSizeChanged( dimension, value ) 
-{
-	// Verifies if the aspect ration has to be mantained
-	if ( oImageOriginal && bLockRatio )
-	{
-		if ( value.length == 0 || isNaN( value ) )
-		{
-			GetE('txtHeight').value = GetE('txtWidth').value = '' ;
-			return ;
-		}
-	
-		if ( dimension == 'Width' )
-			GetE('txtHeight').value = Math.round( oImageOriginal.height * ( value  / oImageOriginal.width ) ) ;
-		else
-			GetE('txtWidth').value  = Math.round( oImageOriginal.width  * ( value / oImageOriginal.height ) ) ;
-	}
-	
-	UpdatePreview() ;
-}
-
-// Fired when the Reset Size button is clicked
-function ResetSizes()
-{
-	if ( ! oImageOriginal ) return ;
-
-	GetE('txtWidth').value  = oImageOriginal.width ;
-	GetE('txtHeight').value = oImageOriginal.height ;
-	
-	UpdatePreview() ;
-}
-
-function BrowseServer()
-{
-	// Set the browser window feature.
-	var iWidth	= oEditor.FCKConfig.ImageBrowserWindowWidth ;
-	var iHeight	= oEditor.FCKConfig.ImageBrowserWindowHeight ;
-	
-	var iLeft = (screen.width  - iWidth) / 2 ;
-	var iTop  = (screen.height - iHeight) / 2 ;
-
-	var sOptions = "toolbar=no,status=no,resizable=yes,dependent=yes" ;
-	sOptions += ",width=" + iWidth ; 
-	sOptions += ",height=" + iHeight ;
-	sOptions += ",left=" + iLeft ;
-	sOptions += ",top=" + iTop ;
-
-	// Open the browser window.
-	var oWindow = window.open( oEditor.FCKConfig.ImageBrowserURL, "FCKBrowseWindow", sOptions ) ;
-}
-
-function SetUrl( url )
-{
-	document.getElementById('txtUrl').value = url ;
-	GetE('txtHeight').value = GetE('txtWidth').value = '' ;
-	UpdatePreview() ;
-	UpdateOriginal() ;
-}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/dialog/js/fck_link.js soojung/libs/fckeditor/editor/dialog/js/fck_link.js
--- soojung-0.4.8/libs/fckeditor/editor/dialog/js/fck_link.js	2004-12-27 20:50:23.000000000 +0900
+++ soojung/libs/fckeditor/editor/dialog/js/fck_link.js	1970-01-01 09:00:00.000000000 +0900
@@ -1,474 +0,0 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_link.js
- * 	Scripts related to the Link dialog window (see fck_link.html).
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-06-02 00:26:07
- * 
- * File Authors:
- * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-var oEditor = window.parent.InnerDialogLoaded() ;
-var FCK		= oEditor.FCK ;
-
-// Set the language direction.
-window.document.dir = oEditor.FCKLang.Dir ;
-
-// Set the Skin CSS.
-document.write( '<link href="' + oEditor.FCKConfig.SkinPath + 'fck_dialog.css" type="text/css" rel="stylesheet">' ) ;
-
-//#### Dialog Tabs
-
-// Set the dialog tabs.
-window.parent.AddTab( 'Info', 'Link Info' ) ;
-window.parent.AddTab( 'Target', 'Target', true ) ;
-// TODO : Enable File Upload (1/3).
-//window.parent.AddTab( 'Upload', 'Upload', true ) ;
-window.parent.AddTab( 'Advanced', 'Advanced' ) ;
-
-// Function called when a dialog tag is selected.
-function OnDialogTabChange( tabCode )
-{
-	ShowE('divInfo'		, ( tabCode == 'Info' ) ) ;
-	ShowE('divTarget'	, ( tabCode == 'Target' ) ) ;
-// TODO : Enable File Upload (2/3).
-//	ShowE('divUpload'	, ( tabCode == 'Upload' ) ) ;
-	ShowE('divAttribs'	, ( tabCode == 'Advanced' ) ) ;
-}
-
-//#### Regular Expressions library.
-var oRegex = new Object() ;
-
-oRegex.UriProtocol = new RegExp('') ; 
-oRegex.UriProtocol.compile( '^(((http|https|ftp|news):\/\/)|mailto:)', 'gi' ) ;
-
-oRegex.UrlOnChangeProtocol = new RegExp('') ; 
-oRegex.UrlOnChangeProtocol.compile( '^(http|https|ftp|news)://(?=.)', 'gi' ) ;
-
-oRegex.UrlOnChangeTestOther = new RegExp('') ; 
-oRegex.UrlOnChangeTestOther.compile( '^(javascript:|#|/)', 'gi' ) ;
-
-oRegex.ReserveTarget = new RegExp('') ;
-oRegex.ReserveTarget.compile( '^_(blank|self|top|parent)$', 'i' ) ;
-
-oRegex.PopupUri = new RegExp('') ; 
-oRegex.PopupUri.compile( "^javascript:void\\(\\s*window.open\\(\\s*'([^']+)'\\s*,\\s*(?:'([^']*)'|null)\\s*,\\s*'([^']*)'\\s*\\)\\s*\\)\\s*$" ) ;
-
-oRegex.PopupFeatures = new RegExp('') ;
-oRegex.PopupFeatures.compile( '(?:^|,)([^=]+)=(\\d+|yes|no)', 'gi' ) ;
-
-//#### Parser Functions
-
-var oParser = new Object() ;
-
-oParser.ParseEMailUrl = function( emailUrl )
-{
-	// Initializes the EMailInfo object.
-	var oEMailInfo = new Object() ;
-	oEMailInfo.Address	= '' ;
-	oEMailInfo.Subject	= '' ;
-	oEMailInfo.Body		= '' ;
-
-	var oParts = emailUrl.match( /^([^\?]+)\??(.+)?/ ) ;
-	if ( oParts )
-	{
-		// Set the e-mail address.
-		oEMailInfo.Address = oParts[1] ;
-
-		// Look for the optional e-mail parameters.
-		if ( oParts[2] )
-		{
-			var oMatch = oParts[2].match( /(^|&)subject=([^&]+)/i ) ;
-			if ( oMatch ) oEMailInfo.Subject = unescape( oMatch[2] ) ;
-
-			oMatch = oParts[2].match( /(^|&)body=([^&]+)/i ) ;
-			if ( oMatch ) oEMailInfo.Body = unescape( oMatch[2] ) ;
-		}
-	}
-
-	return oEMailInfo ;
-}
-
-oParser.CreateEMailUri = function( address, subject, body )
-{
-	var sBaseUri = 'mailto:' + address ;
-
-	var sParams = '' ;
-
-	if ( subject.length > 0 )
-		sParams = '?subject=' + escape( subject ) ;
-
-	if ( body.length > 0 )
-	{
-		sParams += ( sParams.length == 0 ? '?' : '&' ) ;
-		sParams += 'body=' + escape( body ) ;
-	}
-
-	return sBaseUri + sParams ;
-}
-
-//#### Initialization Code
-
-// oLink: The actual selected link in the editor.
-var oLink = FCK.Selection.MoveToAncestorNode( 'A' ) ;
-if ( oLink )
-	FCK.Selection.MoveToNode( oLink ) ;
-
-window.onload = function()
-{
-	// Translate the dialog box texts.
-	oEditor.FCKLanguageManager.TranslatePage(document) ;
-
-	// Fill the Anchor Names and Ids combos.
-	LoadAnchorNamesAndIds() ;
-
-	// Load the selected link information (if any).
-	LoadSelection() ;
-	
-	// Update the dialog box.
-	SetLinkType( GetE('cmbLinkType').value ) ;
-	
-	// Show/Hide the "Browse Server" button.
-	GetE('divBrowseServer').style.display = oEditor.FCKConfig.LinkBrowser ? '' : 'none' ;
-	
-	// Show the initial dialog content.
-	GetE('divInfo').style.display = '' ;
-
-	// Activate the "OK" button.
-	window.parent.SetOkButton( true ) ;
-}
-
-var bHasAnchors ;
-
-function LoadAnchorNamesAndIds()
-{
-	var aAnchors	= oEditor.FCK.EditorDocument.anchors ;
-	var aIds		= oEditor.FCKTools.GetAllChildrenIds( oEditor.FCK.EditorDocument.body ) ;
-
-	bHasAnchors = ( aAnchors.lenght > 0 || aIds.length > 0 ) ;
-	
-	for ( var i = 0 ; i < aAnchors.length ; i++ )
-	{
-		var sName = aAnchors[i].name ;
-		if ( sName && sName.length > 0 )
-			oEditor.FCKTools.AddSelectOption( document, GetE('cmbAnchorName'), sName, sName ) ;
-	}
-
-	for ( var i = 0 ; i < aIds.length ; i++ )
-	{
-		oEditor.FCKTools.AddSelectOption( document, GetE('cmbAnchorId'), aIds[i], aIds[i] ) ;
-	}
-	
-	ShowE( 'divSelAnchor'	, bHasAnchors ) ;
-	ShowE( 'divNoAnchor'	, !bHasAnchors ) ;
-}
-
-function LoadSelection()
-{
-	if ( !oLink ) return ;
-
-	var sType = 'url' ;
-
-	// Get the actual Link href.
-	var sHRef = oLink.getAttribute('href',2) + '' ;
-
-	// Look for a popup javascript link.
-	var oPopupMatch = oRegex.PopupUri.exec( sHRef ) ;
-	if( oPopupMatch )
-	{
-		GetE('cmbTarget').value = 'popup' ;
-		sHRef = oPopupMatch[1] ;
-		FillPopupFields( oPopupMatch[2], oPopupMatch[3] ) ;
-		SetTarget( 'popup' ) ;
-	}
-
-	// Search for the protocol.
-	var sProtocol = oRegex.UriProtocol.exec( sHRef ) ;
-
-	if ( sProtocol )
-	{
-		sProtocol = sProtocol[0].toLowerCase() ;
-		GetE('cmbLinkProtocol').value = sProtocol ;
-	
-		// Remove the protocol and get the remainig URL.
-		var sUrl = sHRef.replace( oRegex.UriProtocol, '' ) ;
-
-		if ( sProtocol == 'mailto:' )	// It is an e-mail link.
-		{
-			sType = 'email' ;
-
-			var oEMailInfo = oParser.ParseEMailUrl( sUrl ) ;
-			GetE('txtEMailAddress').value	= oEMailInfo.Address ;
-			GetE('txtEMailSubject').value	= oEMailInfo.Subject ;
-			GetE('txtEMailBody').value		= oEMailInfo.Body ;
-		}
-		else				// It is a normal link.
-		{
-			sType = 'url' ;
-			GetE('txtUrl').value = sUrl ;
-		}
-	}
-	else if ( sHRef.substr(0,1) == '#' && sHRef.length > 2 )	// It is an anchor link.
-	{
-		sType = 'anchor' ;
-		GetE('cmbAnchorName').value = GetE('cmbAnchorId').value = sHRef.substr(1) ;
-	}
-	else					// It is another type of link.
-	{
-		sType = 'url' ;
-		GetE('cmbLinkProtocol').value = '' ;
-		GetE('txtUrl').value = sHRef ;
-	}
-
-	if ( !oPopupMatch )
-	{
-		// Get the target.
-		var sTarget = oLink.target ;
-		
-		if ( sTarget && sTarget.length > 0 )
-		{
-			if ( oRegex.ReserveTarget.test( sTarget ) )
-			{
-				sTarget = sTarget.toLowerCase() ;
-				GetE('cmbTarget').value = sTarget ;
-			}
-			else
-				GetE('cmbTarget').value = 'frame' ;
-			GetE('txtTargetFrame').value = sTarget ;
-		}
-	}
-	
-	// Get Advances Attributes
-	GetE('txtAttId').value			= oLink.id ;
-	GetE('txtAttName').value		= oLink.name ;
-	GetE('cmbAttLangDir').value		= oLink.dir ;
-	GetE('txtAttLangCode').value	= oLink.lang ;
-	GetE('txtAttAccessKey').value	= oLink.accessKey ;
-	GetE('txtAttTabIndex').value	= oLink.tabIndex <= 0 ? '' : oLink.tabIndex ;
-	GetE('txtAttTitle').value		= oLink.title ;
-	GetE('txtAttClasses').value		= oLink.getAttribute('class',2) || '' ;
-	GetE('txtAttContentType').value	= oLink.type ;
-	GetE('txtAttCharSet').value		= oLink.charset ;
-	
-	if ( oEditor.FCKBrowserInfo.IsIE ) 
-		GetE('txtAttStyle').value	= oLink.style.cssText ;
-	else
-		GetE('txtAttStyle').value	= oLink.getAttribute('style',2) ;
-	
-	// Update the Link type combo.
-	GetE('cmbLinkType').value = sType ;
-}
-
-//#### Link type selection.
-function SetLinkType( linkType )
-{
-	ShowE('divLinkTypeUrl'		, (linkType == 'url') ) ;
-	ShowE('divLinkTypeAnchor'	, (linkType == 'anchor') ) ;
-	ShowE('divLinkTypeEMail'	, (linkType == 'email') ) ;
-
-	window.parent.SetTabVisibility( 'Target'	, (linkType == 'url') ) ;
-// TODO : Enable File Upload (3/3).
-//	window.parent.SetTabVisibility( 'Upload'	, (linkType == 'url') ) ;
-	window.parent.SetTabVisibility( 'Advanced'	, (linkType != 'anchor' || bHasAnchors) ) ;
-}
-
-//#### Target type selection.
-function SetTarget( targetType )
-{
-	GetE('tdTargetFrame').style.display	= ( targetType == 'popup' ? 'none' : '' ) ;
-	GetE('tdPopupName').style.display	=
-		GetE('tablePopupFeatures').style.display = ( targetType == 'popup' ? '' : 'none' ) ;
-
-	switch ( targetType )
-	{
-		case "_blank" :
-		case "_self" :
-		case "_parent" :
-		case "_top" :
-			GetE('txtTargetFrame').value = targetType ;
-			break ;
-		case "" :
-			GetE('txtTargetFrame').value = '' ;
-			break ;
-	}
-}
-
-//#### Called while the user types the URL.
-function OnUrlChange()
-{
-	var sUrl = GetE('txtUrl').value ;
-	var sProtocol = oRegex.UrlOnChangeProtocol.exec( sUrl ) ;
-	
-	if ( sProtocol )
-	{
-		sUrl = sUrl.substr( sProtocol[0].length ) ;
-		GetE('txtUrl').value = sUrl ;
-		GetE('cmbLinkProtocol').value = sProtocol[0].toLowerCase() ;
-	}
-	else if ( oRegex.UrlOnChangeTestOther.test( sUrl ) )
-	{
-		GetE('cmbLinkProtocol').value = '' ;
-	}
-}
-
-//#### Called while the user types the target name.
-function OnTargetNameChange()
-{
-	var sFrame = GetE('txtTargetFrame').value ;
-
-	if ( sFrame.length == 0 )
-		GetE('cmbTarget').value = '' ;
-	else if ( oRegex.ReserveTarget.test( sFrame ) )
-		GetE('cmbTarget').value = sFrame.toLowerCase() ;
-	else
-		GetE('cmbTarget').value = 'frame' ;
-}
-
-//#### Builds the javascript URI to open a popup to the specified URI.
-function BuildPopupUri( uri )
-{
-	var oReg = new RegExp( "'", "g" ) ;
-	var sWindowName = "'" + GetE('txtPopupName').value.replace(oReg, "\\'") + "'" ;
-	
-	var sFeatures = '' ;
-	var aChkFeatures = document.getElementsByName('chkFeature') ;
-	for ( var i = 0 ; i < aChkFeatures.length ; i++ )
-	{
-		if ( i > 0 ) sFeatures += ',' ;
-		sFeatures += aChkFeatures[i].value + '=' + ( aChkFeatures[i].checked ? 'yes' : 'no' ) ;
-	}
-	
-	if ( GetE('txtPopupWidth').value.length > 0 )	sFeatures += ',width=' + GetE('txtPopupWidth').value ;
-	if ( GetE('txtPopupHeight').value.length > 0 )	sFeatures += ',height=' + GetE('txtPopupHeight').value ;
-	if ( GetE('txtPopupLeft').value.length > 0 )	sFeatures += ',left=' + GetE('txtPopupLeft').value ;
-	if ( GetE('txtPopupTop').value.length > 0 )		sFeatures += ',top=' + GetE('txtPopupTop').value ;
-	
-	return ( "javascript:void(window.open('" + uri + "'," + sWindowName + ",'" + sFeatures + "'))" ) ;
-}
-
-//#### Fills all Popup related fields.
-function FillPopupFields( windowName, features )
-{
-	if ( windowName )
-		GetE('txtPopupName').value = windowName ;
-
-	var oFeatures = new Object() ;
-	var oFeaturesMatch ;
-	while( ( oFeaturesMatch = oRegex.PopupFeatures.exec( features ) ) != null )
-	{
-		var sValue = oFeaturesMatch[2] ;
-		if ( sValue == ( 'yes' || '1' ) )
-			oFeatures[ oFeaturesMatch[1] ] = true ;
-		else if ( ! isNaN( sValue ) && sValue != 0 )
-			oFeatures[ oFeaturesMatch[1] ] = sValue ;
-	}
-	
-	// Update all features check boxes.
-	var aChkFeatures = document.getElementsByName('chkFeature') ;
-	for ( var i = 0 ; i < aChkFeatures.length ; i++ )
-	{
-		if ( oFeatures[ aChkFeatures[i].value ] )
-			aChkFeatures[i].checked = true ;
-	}
-	
-	// Update position and size text boxes.
-	if ( oFeatures['width'] )	GetE('txtPopupWidth').value		= oFeatures['width'] ;
-	if ( oFeatures['height'] )	GetE('txtPopupHeight').value	= oFeatures['height'] ;
-	if ( oFeatures['left'] )	GetE('txtPopupLeft').value		= oFeatures['left'] ;
-	if ( oFeatures['top'] )		GetE('txtPopupTop').value		= oFeatures['top'] ;
-}
-
-//#### The OK button was hit.
-function Ok()
-{
-	var sUri ;
-
-	switch ( GetE('cmbLinkType').value )
-	{
-		case 'url' :
-			sUri = GetE('cmbLinkProtocol').value + GetE('txtUrl').value ;
-			
-			if( GetE('cmbTarget').value == 'popup' )
-				sUri = BuildPopupUri( sUri ) ;
-				
-			break ;
-
-		case 'email' :
-			sUri = oParser.CreateEMailUri(
-				GetE('txtEMailAddress').value,
-				GetE('txtEMailSubject').value,
-				GetE('txtEMailBody').value ) ;
-			break ;
-
-		case 'anchor' :
-			var sAnchor = GetE('cmbAnchorName').value ;
-			if ( sAnchor.length == 0 ) sAnchor = GetE('cmbAnchorId').value ;
-			sUri = '#' + sAnchor ;
-			break ;
-	}
-
-	if ( oLink )	// Modifying an existent link.
-		oLink.href = sUri ;
-	else			// Creating a new link.
-		oLink = oEditor.FCK.CreateLink( sUri ) ;
-
-	// Target
-	if( GetE('cmbTarget').value != 'popup' )
-		SetAttribute( oLink, 'target', GetE('txtTargetFrame').value ) ;
-	else
-		SetAttribute( oLink, 'target', null ) ;
-
-	// Advances Attributes
-	SetAttribute( oLink, 'id'		, GetE('txtAttId').value ) ;
-	SetAttribute( oLink, 'name'		, GetE('txtAttName').value ) ;		// No IE. Set but doensn't update the outerHTML.
-	SetAttribute( oLink, 'dir'		, GetE('cmbAttLangDir').value ) ;
-	SetAttribute( oLink, 'lang'		, GetE('txtAttLangCode').value ) ;
-	SetAttribute( oLink, 'accesskey', GetE('txtAttAccessKey').value ) ;
-	SetAttribute( oLink, 'tabindex'	, ( GetE('txtAttTabIndex').value > 0 ? GetE('txtAttTabIndex').value : null ) ) ;
-	SetAttribute( oLink, 'title'	, GetE('txtAttTitle').value ) ;
-	SetAttribute( oLink, 'class'	, GetE('txtAttClasses').value ) ;
-	SetAttribute( oLink, 'type'		, GetE('txtAttContentType').value ) ;
-	SetAttribute( oLink, 'charset'	, GetE('txtAttCharSet').value ) ;
-	
-	if ( oEditor.FCKBrowserInfo.IsIE ) 
-		oLink.style.cssText = GetE('txtAttStyle').value ;
-	else
-		SetAttribute( oLink, 'style', GetE('txtAttStyle').value ) ;
-
-	return true ;
-}
-
-function BrowseServer()
-{
-	// Set the browser window feature.
-	var iWidth	= oEditor.FCKConfig.LinkBrowserWindowWidth ;
-	var iHeight	= oEditor.FCKConfig.LinkBrowserWindowHeight ;
-	
-	var iLeft = (screen.width  - iWidth) / 2 ;
-	var iTop  = (screen.height - iHeight) / 2 ;
-
-	var sOptions = "toolbar=no,status=no,resizable=yes,dependent=yes" ;
-	sOptions += ",width=" + iWidth ; 
-	sOptions += ",height=" + iHeight ;
-	sOptions += ",left=" + iLeft ;
-	sOptions += ",top=" + iTop ;
-
-	// Open the browser window.
-	var oWindow = window.open( oEditor.FCKConfig.LinkBrowserURL, "FCKBrowseWindow", sOptions ) ;
-}
-
-function SetUrl( url )
-{
-	document.getElementById('txtUrl').value = url ;
-	OnUrlChange() ;
-}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/fckblank.html soojung/libs/fckeditor/editor/fckblank.html
--- soojung-0.4.8/libs/fckeditor/editor/fckblank.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/fckblank.html	2005-06-11 10:27:23.000000000 +0900
@@ -0,0 +1,4 @@
+<html>
+<head><title></title></head>
+<body></body>
+</html>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/fckdebug.html soojung/libs/fckeditor/editor/fckdebug.html
--- soojung-0.4.8/libs/fckeditor/editor/fckdebug.html	2004-12-27 20:50:16.000000000 +0900
+++ soojung/libs/fckeditor/editor/fckdebug.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,6 +1,6 @@
 <!--
  * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
  * 
  * Licensed under the terms of the GNU Lesser General Public License:
  * 		http://www.opensource.org/licenses/lgpl-license.php
@@ -12,16 +12,12 @@
  * 	This is the Debug window.
  * 	It automatically popups if the Debug = true in the configuration file.
  * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:52
- * 
  * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
 -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
 <html>
 	<head>
-		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
 		<meta name="ROBOTS" content="NOINDEX, NOFOLLOW">
 		<title>FCKeditor Debug Window</title>
 		<script type="text/javascript">
@@ -102,7 +98,7 @@
 			</TR>
 			<TR>
 				<TD height="100%" style="BORDER-RIGHT: #696969 1px solid; BORDER-TOP: #696969 1px solid; BORDER-LEFT: #696969 1px solid; BORDER-BOTTOM: #696969 1px solid">
-					<iframe id="eOutput" name="eOutput" width="100%" height="100%" scrolling="auto" src="about:blank" frameborder="no"></iframe>
+					<iframe id="eOutput" name="eOutput" width="100%" height="100%" scrolling="auto" src="fckblank.html" frameborder="no"></iframe>
 				</TD>
 			</TR>
 		</TABLE>
diff -urN soojung-0.4.8/libs/fckeditor/editor/fckdialog.html soojung/libs/fckeditor/editor/fckdialog.html
--- soojung-0.4.8/libs/fckeditor/editor/fckdialog.html	2004-12-27 20:50:16.000000000 +0900
+++ soojung/libs/fckeditor/editor/fckdialog.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,6 +1,6 @@
 <!--
  * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
  * 
  * Licensed under the terms of the GNU Lesser General Public License:
  * 		http://www.opensource.org/licenses/lgpl-license.php
@@ -11,9 +11,6 @@
  * File Name: fckdialog.html
  * 	This page is used by all dialog box as the container.
  * 
- * Version:  2.0 Beta 2
- * Modified: 2004-08-30 23:57:24
- * 
  * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
 -->
@@ -23,7 +20,11 @@
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 		<meta name="robots" content="noindex, nofollow" />
 		<script type="text/javascript">
-<!--
+
+// On some Gecko browsers (probably over slow connections) the
+// "dialogArguments" are not set so we must get it from the opener window.
+if ( !dialogArguments )
+	dialogArguments = window.opener.FCKLastDialogInfo ;
 
 // Sets the Skin CSS
 document.write( '<link href="' + dialogArguments.Editor.FCKConfig.SkinPath + 'fck_dialog.css" type="text/css" rel="stylesheet">' ) ;
@@ -36,6 +37,9 @@
 
 function LoadInnerDialog()
 {
+	if ( window.onresize )
+		window.onresize() ;
+
 	// First of all, translate the dialog box contents.
 	dialogArguments.Editor.FCKLanguageManager.TranslatePage( document ) ;
 
@@ -44,9 +48,17 @@
 
 function InnerDialogLoaded()
 {
-	SetOnKeyDown( window.frames["frmMain"].document ) ;
-	DisableContextMenu( window.frames["frmMain"].document ) ;
-	
+	var oInnerDoc = document.getElementById('frmMain').contentWindow.document ;
+
+	// Set the language direction.
+	oInnerDoc.dir = dialogArguments.Editor.FCKLang.Dir ;
+
+	// Sets the Skin CSS.
+	oInnerDoc.write( '<link href="' + dialogArguments.Editor.FCKConfig.SkinPath + 'fck_dialog.css" type="text/css" rel="stylesheet">' ) ;
+
+	SetOnKeyDown( oInnerDoc ) ;
+	DisableContextMenu( oInnerDoc ) ;
+
 	return dialogArguments.Editor ;
 }
 
@@ -55,14 +67,42 @@
 	document.getElementById('btnOk').style.visibility = ( showIt ? '' : 'hidden' ) ;
 }
 
-function SetScrollBar( showIt )
+var bAutoSize = false ;
+
+function SetAutoSize( autoSize )
 {
-	document.getElementById('frmMain').scrolling = showIt ? 'yes' : 'no' ;
+	bAutoSize = autoSize ;
+	RefreshSize() ;
+}
+
+function RefreshSize()
+{
+	if ( bAutoSize )
+	{
+		var oInnerDoc = document.getElementById('frmMain').contentWindow.document ;
+
+		if ( document.all )
+			var iFrameHeight	= oInnerDoc.body.offsetHeight ;
+		else
+			var iFrameHeight	= document.getElementById('frmMain').contentWindow.innerHeight ;
+
+		var iInnerHeight	= oInnerDoc.body.scrollHeight ;
+
+		var iDiff = iInnerHeight - iFrameHeight ;
+
+		if ( iDiff > 0 )
+		{
+			if ( document.all )
+				window.dialogHeight = ( parseInt( window.dialogHeight ) + iDiff ) + 'px' ;
+			else
+				window.resizeBy( 0, iDiff ) ;
+		}
+	}
 }
 
 function Ok()
 {
-	if ( window.frames["frmMain"].Ok() )
+	if ( window.frames["frmMain"].Ok && window.frames["frmMain"].Ok() )
 		Cancel() ;
 }
 
@@ -74,6 +114,11 @@
 // Object that holds all available tabs.
 var oTabs = new Object() ;
 
+function TabDiv_OnClick()
+{
+	SetSelectedTab( this.TabCode ) ;
+}
+
 function AddTab( tabCode, tabText, startHidden )
 {
 	if ( typeof( oTabs[ tabCode ] ) != 'undefined' )
@@ -88,30 +133,27 @@
 	oDiv.className = 'PopupTab' ;
 	oDiv.innerHTML = tabText ;
 	oDiv.TabCode = tabCode ;
-	oDiv.onclick = function()
-	{
-		SetSelectedTab( this.TabCode ) ;
-	}
-	
+	oDiv.onclick = TabDiv_OnClick ;
+
 	if ( startHidden )
 		oDiv.style.display = 'none' ;
-	
+
 	var eTabsRow = document.getElementById( 'TabsRow' ) ;
-	
+
 	oCell.appendChild( oDiv ) ;
-	
+
 	if ( eTabsRow.style.display == 'none' )
 	{
 		var eTitleArea = document.getElementById( 'TitleArea' ) ;
 		eTitleArea.className = 'PopupTitle' ;
-		
+
 		oDiv.className = 'PopupTabSelected' ;
 		eTabsRow.style.display = '' ;
-		
+
 		if ( ! dialogArguments.Editor.FCKBrowserInfo.IsIE )
 			window.onresize() ;
 	}
-	
+
 	oTabs[ tabCode ] = oDiv ;
 	oTabs[ tabCode ].Index = oTabs.length - 1 ;
 }
@@ -125,7 +167,7 @@
 		else
 			oTabs[sCode].className = 'PopupTab' ;
 	}
-	
+
 	if ( typeof( window.frames["frmMain"].OnDialogTabChange ) == 'function' )
 		window.frames["frmMain"].OnDialogTabChange( tabCode ) ;
 }
@@ -134,7 +176,7 @@
 {
 	var oTab = oTabs[ tabCode ] ;
 	oTab.style.display = isVisible ? '' : 'none' ;
-	
+
 	if ( ! isVisible && oTab.className == 'PopupTabSelected' )
 	{
 		for ( var sCode in oTabs )
@@ -172,7 +214,7 @@
 function DisableContextMenu( targetDocument )
 {
 	if ( dialogArguments.Editor.FCKBrowserInfo.IsIE ) return ;
-	
+
 	// Disable Right-Click
 	var oOnContextMenu = function( e )
 	{
@@ -189,16 +231,36 @@
 	window.onresize = function()
 	{
 		var oFrame = document.getElementById("frmMain") ;
+
+		if ( ! oFrame )
+		return ;
+
 		oFrame.height = 0 ;
 
-		var oCell = document.getElementById("FrameCell") ;	
+		var oCell = document.getElementById("FrameCell") ;
 		var iHeight = oCell.offsetHeight ;
-		
+
 		oFrame.height = iHeight - 2 ;
 	}
 }
 
-//-->
+window.onfocus = function()
+{
+	document.getElementById('frmMain').contentWindow.focus() ;
+}
+
+if ( dialogArguments.Editor.FCKBrowserInfo.IsIE )
+{
+	function Window_OnBeforeUnload()
+	{
+		for ( var t in oTabs )
+			oTabs[t] = null ;
+
+		dialogArguments.Editor = null ;
+	}
+	window.attachEvent( "onbeforeunload", Window_OnBeforeUnload ) ;
+}
+
 		</script>
 	</head>
 	<body onload="LoadInnerDialog();" class="PopupBody">
@@ -206,9 +268,7 @@
 			<tr>
 				<td id="TitleArea" class="PopupTitle PopupTitleBorder">
 					<script type="text/javascript">
-<!--
 document.write( sTitle ) ;
-//-->
 					</script>
 				</td>
 			</tr>
@@ -223,8 +283,8 @@
 				</td>
 			</tr>
 			<tr>
-				<td id="FrameCell" height="100%">
-					<iframe id="frmMain" name="frmMain" frameborder="0" height="100%" width="100%" scrolling="auto">
+				<td id="FrameCell" height="100%" valign="top">
+					<iframe id="frmMain" src="fckblank.html" name="frmMain" frameborder="0" height="100%" width="100%" scrolling="auto">
 					</iframe>
 				</td>
 			</tr>
diff -urN soojung-0.4.8/libs/fckeditor/editor/fckeditor.html soojung/libs/fckeditor/editor/fckeditor.html
--- soojung-0.4.8/libs/fckeditor/editor/fckeditor.html	2004-12-27 20:50:16.000000000 +0900
+++ soojung/libs/fckeditor/editor/fckeditor.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,6 +1,6 @@
 <!--
  * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
  * 
  * Licensed under the terms of the GNU Lesser General Public License:
  * 		http://www.opensource.org/licenses/lgpl-license.php
@@ -11,9 +11,6 @@
  * File Name: fckeditor.html
  * 	Main page that holds the editor.
  * 
- * Version:  2.0 Beta 2
- * Modified: 2004-08-30 23:37:01
- * 
  * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
 -->
@@ -23,19 +20,20 @@
 		<title>FCKeditor</title>
 		<meta name="robots" content="noindex, nofollow" />
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+		<script type="text/javascript" src="lang/fcklanguagemanager.js"></script>
 		<meta http-equiv="Cache-Control" content="public">
 		<script type="text/javascript" src="js/fck_startup.js"></script>
 	</head>
-	<body onfocus="FCK.Focus();" onclick="FCK.Focus();">
-		<table height="100%" width="100%" cellpadding="0" cellspacing="0" border="0">
+	<body>
+		<table height="100%" width="100%" cellpadding="0" cellspacing="0" border="0" style="TABLE-LAYOUT: fixed">
 			<tr>
-				<td unselectable="on">
+				<td unselectable="on" style="OVERFLOW: hidden">
 					<table width="100%" cellpadding="0" cellspacing="0" border="0">
 						<tr id="Collapsed" style="DISPLAY: none">
-							<td class="TB_Expand" title="Expand Toolbar" unselectable="on" colspan="3" onclick="FCKToolbarSet.Expand();return false;"><img class="TB_ExpandImg" src="images/spacer.gif" width="8" height="4" unselectable="on"></td>
+							<td id="ExpandHandle" class="TB_Expand" unselectable="on" colspan="3" onclick="FCKToolbarSet.Expand();return false;"><img class="TB_ExpandImg" src="images/spacer.gif" width="8" height="4" unselectable="on"></td>
 						</tr>
 						<tr id="Expanded" style="DISPLAY: none">
-							<td id="CollapseHandle" style="DISPLAY: none" class="TB_Collapse" title="Collapse Toolbar"
+							<td id="CollapseHandle" style="DISPLAY: none" class="TB_Collapse" 
 								unselectable="on" valign="bottom" onclick="FCKToolbarSet.Collapse();return false;"><img class="TB_CollapseImg" src="images/spacer.gif" width="8" height="4" unselectable="on"></td>
 							<td id="eToolbar" class="TB_ToolbarSet" unselectable="on"></td>
 							<td width="1" style="BACKGROUND-COLOR: #696969"></td>
@@ -44,14 +42,13 @@
 				</td>
 			</tr>
 			<tr id="eWysiwyg">
-				<td id="eWysiwygCell" height="100%">
-					<iframe id="eEditorArea" name="eEditorArea" height="100%" width="100%" src="fckeditorarea.html"
-						frameborder="no"></iframe>
+				<td id="eWysiwygCell" height="100%" valign="top">
+					<iframe id="eEditorArea" name="eEditorArea" height="100%" width="100%" frameborder="no" src="fckblank.html"></iframe>
 				</td>
 			</tr>
 			<tr id="eSource" style="DISPLAY: none">
 				<td class="Source" height="100%" valign="top">
-					<textarea id="eSourceField" style="WIDTH: 100%; HEIGHT: 100%"></textarea>
+					<textarea id="eSourceField" dir="ltr" style="WIDTH: 100%; HEIGHT: 100%"></textarea>
 				</td>
 			</tr>
 		</table>
diff -urN soojung-0.4.8/libs/fckeditor/editor/fckeditor.original.html soojung/libs/fckeditor/editor/fckeditor.original.html
--- soojung-0.4.8/libs/fckeditor/editor/fckeditor.original.html	2004-12-27 20:50:16.000000000 +0900
+++ soojung/libs/fckeditor/editor/fckeditor.original.html	2005-06-11 10:29:14.000000000 +0900
@@ -1,6 +1,6 @@
 <!--
  * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
  * 
  * Licensed under the terms of the GNU Lesser General Public License:
  * 		http://www.opensource.org/licenses/lgpl-license.php
@@ -11,9 +11,6 @@
  * File Name: fckeditor.original.html
  * 	Main page that holds the editor.
  * 
- * Version:  2.0 Beta 2
- * Modified: 2004-08-30 23:37:01
- * 
  * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
 -->
@@ -24,33 +21,36 @@
 		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5"> <!-- @Packager.RemoveLine -->
 		<meta name="robots" content="noindex, nofollow" />
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+		<script type="text/javascript" src="lang/fcklanguagemanager.js"></script>
 		<!-- @Packager.RemoveLine
 		<meta http-equiv="Cache-Control" content="public">
 		@Packager.RemoveLine -->
 		<!-- @Packager.Remove.Start -->
+		<script type="text/javascript" src="_source/internals/fcknamespace.js"></script>
+		<script type="text/javascript" src="_source/internals/fckcoreextensions.js"></script>
+		<script type="text/javascript" src="_source/globals/fck_constants.js"></script>
 		<script type="text/javascript" src="_source/internals/fckbrowserinfo.js"></script>
 		<script type="text/javascript" src="_source/internals/fckscriptloader.js"></script>
-		<script type="text/javascript" src="_source/internals/fckconfig.js"></script>
-		<script type="text/javascript" src="_source/internals/fck_onload.js"></script>
 		<script type="text/javascript" src="_source/internals/fckurlparams.js"></script>
-		<script type="text/javascript" src="_source/globals/fck_constants.js"></script>
 		<script type="text/javascript" src="_source/internals/fck.js"></script>
+		<script type="text/javascript" src="_source/internals/fckconfig.js"></script>
 		<script type="text/javascript" src="_source/globals/fckeditorapi.js"></script>
+		<script type="text/javascript" src="_source/internals/fck_onload.js"></script>
 		<!-- @Packager.Remove.End -->
 		<!-- @Packager.RemoveLine
 		<script type="text/javascript" src="js/fck_startup.js"></script>
 		@Packager.RemoveLine -->
 	</head>
-	<body onfocus="FCK.Focus();" onclick="FCK.Focus();">
-		<table height="100%" width="100%" cellpadding="0" cellspacing="0" border="0">
+	<body>
+		<table height="100%" width="100%" cellpadding="0" cellspacing="0" border="0" style="TABLE-LAYOUT: fixed">
 			<tr>
-				<td unselectable="on">
+				<td unselectable="on" style="OVERFLOW: hidden">
 					<table width="100%" cellpadding="0" cellspacing="0" border="0">
 						<tr id="Collapsed" style="DISPLAY: none">
-							<td class="TB_Expand" title="Expand Toolbar" unselectable="on" colspan="3" onclick="FCKToolbarSet.Expand();return false;"><img class="TB_ExpandImg" src="images/spacer.gif" width="8" height="4" unselectable="on"></td>
+							<td id="ExpandHandle" class="TB_Expand" unselectable="on" colspan="3" onclick="FCKToolbarSet.Expand();return false;"><img class="TB_ExpandImg" src="images/spacer.gif" width="8" height="4" unselectable="on"></td>
 						</tr>
 						<tr id="Expanded" style="DISPLAY: none">
-							<td id="CollapseHandle" style="DISPLAY: none" class="TB_Collapse" title="Collapse Toolbar"
+							<td id="CollapseHandle" style="DISPLAY: none" class="TB_Collapse" 
 								unselectable="on" valign="bottom" onclick="FCKToolbarSet.Collapse();return false;"><img class="TB_CollapseImg" src="images/spacer.gif" width="8" height="4" unselectable="on"></td>
 							<td id="eToolbar" class="TB_ToolbarSet" unselectable="on"></td>
 							<td width="1" style="BACKGROUND-COLOR: #696969"></td>
@@ -59,14 +59,13 @@
 				</td>
 			</tr>
 			<tr id="eWysiwyg">
-				<td id="eWysiwygCell" height="100%">
-					<iframe id="eEditorArea" name="eEditorArea" height="100%" width="100%" src="fckeditorarea.html"
-						frameborder="no"></iframe>
+				<td id="eWysiwygCell" height="100%" valign="top">
+					<iframe id="eEditorArea" name="eEditorArea" height="100%" width="100%" frameborder="no" src="fckblank.html"></iframe>
 				</td>
 			</tr>
 			<tr id="eSource" style="DISPLAY: none">
 				<td class="Source" height="100%" valign="top">
-					<textarea id="eSourceField" style="WIDTH: 100%; HEIGHT: 100%"></textarea>
+					<textarea id="eSourceField" dir="ltr" style="WIDTH: 100%; HEIGHT: 100%"></textarea>
 				</td>
 			</tr>
 		</table>
diff -urN soojung-0.4.8/libs/fckeditor/editor/fckeditorarea.html soojung/libs/fckeditor/editor/fckeditorarea.html
--- soojung-0.4.8/libs/fckeditor/editor/fckeditorarea.html	2004-12-27 20:50:16.000000000 +0900
+++ soojung/libs/fckeditor/editor/fckeditorarea.html	1970-01-01 09:00:00.000000000 +0900
@@ -1,9 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html>
-	<head>
-		<title>FCKeditor - Editor Area</title>
-		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-		<link href="css/fck_editorarea.css" type="text/css" rel="stylesheet" />
-	</head>
-	<body></body>
-</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/Browser.css soojung/libs/fckeditor/editor/filemanager/browser/default/Browser.css
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/Browser.css	2004-12-27 20:50:18.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/Browser.css	1970-01-01 09:00:00.000000000 +0900
@@ -1,85 +0,0 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: Browser.css
- * 	CSS styles used by all pages that compose the File Browser.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:52
- * 
- * File Authors:
- * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-body
-{
-	background-color: #f1f1e3;
-}
-
-form
-{
-	margin: 0px 0px 0px 0px ;
-	padding: 0px 0px 0px 0px ;
-}
-
-.Frame
-{
-	background-color: #f1f1e3;
-	border-color: #f1f1e3;
-	border-right: thin inset;
-	border-top: thin inset;
-	border-left: thin inset;
-	border-bottom: thin inset;
-}
-
-body.FileArea
-{
-
-	background-color: #ffffff;
-}
-
-body, td, input, select
-{
-	font-size: 11px;
-	font-family: 'Microsoft Sans Serif' , Arial, Helvetica, Verdana;
-}
-
-.ActualFolder
-{
-	font-weight: bold;
-	font-size: 14px;
-}
-
-.PopupButtons
-{
-	border-top: #d5d59d 1px solid;
-	background-color: #e3e3c7;
-	padding: 7px 10px 7px 10px;
-}
-
-.Button, button
-{
-	border-right: #737357 1px solid;
-	border-top: #737357 1px solid;
-	border-left: #737357 1px solid;
-	color: #3b3b1f;
-	border-bottom: #737357 1px solid;
-	background-color: #c7c78f;
-}
-
-.FolderListCurrentFolder img
-{
-	background-image: url(images/FolderOpened.gif);
-}
-
-.FolderListFolder img
-{
-	background-image: url(images/Folder.gif);
-}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/browser.css soojung/libs/fckeditor/editor/filemanager/browser/default/browser.css
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/browser.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/browser.css	2005-06-11 10:27:28.000000000 +0900
@@ -0,0 +1,82 @@
+/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: browser.css
+ * 	CSS styles used by all pages that compose the File Browser.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+body
+{
+	background-color: #f1f1e3;
+}
+
+form
+{
+	margin: 0px 0px 0px 0px ;
+	padding: 0px 0px 0px 0px ;
+}
+
+.Frame
+{
+	background-color: #f1f1e3;
+	border-color: #f1f1e3;
+	border-right: thin inset;
+	border-top: thin inset;
+	border-left: thin inset;
+	border-bottom: thin inset;
+}
+
+body.FileArea
+{
+
+	background-color: #ffffff;
+}
+
+body, td, input, select
+{
+	font-size: 11px;
+	font-family: 'Microsoft Sans Serif' , Arial, Helvetica, Verdana;
+}
+
+.ActualFolder
+{
+	font-weight: bold;
+	font-size: 14px;
+}
+
+.PopupButtons
+{
+	border-top: #d5d59d 1px solid;
+	background-color: #e3e3c7;
+	padding: 7px 10px 7px 10px;
+}
+
+.Button, button
+{
+	border-right: #737357 1px solid;
+	border-top: #737357 1px solid;
+	border-left: #737357 1px solid;
+	color: #3b3b1f;
+	border-bottom: #737357 1px solid;
+	background-color: #c7c78f;
+}
+
+.FolderListCurrentFolder img
+{
+	background-image: url(images/FolderOpened.gif);
+}
+
+.FolderListFolder img
+{
+	background-image: url(images/Folder.gif);
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/browser.html soojung/libs/fckeditor/editor/filemanager/browser/default/browser.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/browser.html	2004-12-27 20:50:18.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/browser.html	2005-06-11 10:28:44.000000000 +0900
@@ -1,42 +1,110 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: browser.html
- * 	This page compose the File Browser dialog frameset.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:52
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: browser.html
+ * 	This page compose the File Browser dialog frameset.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-	<head>
-		<title>FCKeditor - Resources Browser</title>
-		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
-		<link href="Browser.css" type="text/css" rel="stylesheet">
-	</head>
-	<frameset cols="150,*" class="Frame" framespacing="3" bordercolor="#f1f1e3" frameborder="yes">
-		<frameset rows="50,*" framespacing="0">
-			<frame src="frmresourcetype.html" scrolling="no" frameborder="no">
-			<frame name="frmFolders" src="frmfolders.html" scrolling="auto" frameborder="yes">
-		</frameset>
-		<frameset rows="50,*,50" framespacing="0">
-			<frame name="frmActualFolder" src="frmactualfolder.html" scrolling="no" frameborder="no">
-			<frame name="frmResourcesList" src="frmresourceslist.html" scrolling="auto" frameborder="yes">
-			<frameset cols="150,*,0" framespacing="0" frameborder="no">
-				<frame name="frmCreateFolder" src="frmcreatefolder.html" scrolling="no" frameborder="no">
-				<frame name="frmUpload" src="frmupload.html" scrolling="no" frameborder="no">
-				<frame name="frmUploadWorker" src="" scrolling="no" frameborder="no">
-			</frameset>
-		</frameset>
-	</frameset>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<title>FCKeditor - Resources Browser</title>
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript" src="js/fckxml.js"></script>
+		<script language="javascript">
+
+function GetUrlParam( paramName )
+{
+	var oRegex = new RegExp( '[\?&]' + paramName + '=([^&]+)', 'i' ) ;
+	var oMatch = oRegex.exec( window.top.location.search ) ;
+	
+	if ( oMatch && oMatch.length > 1 )
+		return oMatch[1] ;
+	else
+		return '' ;
+}
+
+var oConnector = new Object() ;
+oConnector.CurrentFolder	= '/' ;
+
+var sConnUrl = GetUrlParam( 'Connector' ) ;
+
+// Gecko has some problems when using relative URLs (not starting with slash).
+if ( sConnUrl.substr(0,1) != '/' && sConnUrl.indexOf( '://' ) < 0 )
+	sConnUrl = window.location.href.replace( /browser.html.*$/, '' ) + sConnUrl ;
+
+oConnector.ConnectorUrl		= sConnUrl + '?' ;
+
+var sServerPath = GetUrlParam( 'ServerPath' ) ;
+if ( sServerPath.length > 0 )
+	oConnector.ConnectorUrl += 'ServerPath=' + escape( sServerPath ) + '&' ;
+
+oConnector.ResourceType		= GetUrlParam( 'Type' ) ;
+oConnector.ShowAllTypes		= ( oConnector.ResourceType.length == 0 ) ;
+
+if ( oConnector.ShowAllTypes )
+	oConnector.ResourceType = 'File' ;
+
+oConnector.SendCommand = function( command, params, callBackFunction )
+{
+	var sUrl = this.ConnectorUrl + 'Command=' + command ;
+	sUrl += '&Type=' + this.ResourceType ;
+	sUrl += '&CurrentFolder=' + escape( this.CurrentFolder ) ;
+	
+	if ( params ) sUrl += '&' + params ;
+
+	var oXML = new FCKXml() ;
+	
+	if ( callBackFunction )
+		oXML.LoadUrl( sUrl, callBackFunction ) ;	// Asynchronous load.
+	else
+		return oXML.LoadUrl( sUrl ) ;
+}
+
+var oIcons = new Object() ;
+
+oIcons.AvailableIconsArray = [ 
+	'ai','avi','bmp','cs','dll','doc','exe','fla','gif','htm','html','jpg','js',
+	'mdb','mp3','pdf','ppt','rdp','swf','swt','txt','vsd','xls','xml','zip' ] ;
+	
+oIcons.AvailableIcons = new Object() ;
+
+for ( var i = 0 ; i < oIcons.AvailableIconsArray.length ; i++ )
+	oIcons.AvailableIcons[ oIcons.AvailableIconsArray[i] ] = true ;
+
+oIcons.GetIcon = function( fileName )
+{
+	var sExtension = fileName.substr( fileName.lastIndexOf('.') + 1 ).toLowerCase() ;
+
+	if ( this.AvailableIcons[ sExtension ] == true )
+		return sExtension ;
+	else
+		return 'default.icon' ;
+}
+		</script>
+	</head>
+	<frameset cols="150,*" class="Frame" framespacing="3" bordercolor="#f1f1e3" frameborder="yes">
+		<frameset rows="50,*" framespacing="0">
+			<frame src="frmresourcetype.html" scrolling="no" frameborder="no">
+			<frame name="frmFolders" src="frmfolders.html" scrolling="auto" frameborder="yes">
+		</frameset>
+		<frameset rows="50,*,50" framespacing="0">
+			<frame name="frmActualFolder" src="frmactualfolder.html" scrolling="no" frameborder="no">
+			<frame name="frmResourcesList" src="frmresourceslist.html" scrolling="auto" frameborder="yes">
+			<frameset cols="150,*,0" framespacing="0" frameborder="no">
+				<frame name="frmCreateFolder" src="frmcreatefolder.html" scrolling="no" frameborder="no">
+				<frame name="frmUpload" src="frmupload.html" scrolling="no" frameborder="no">
+				<frame name="frmUploadWorker" src="" scrolling="no" frameborder="no">
+			</frameset>
+		</frameset>
+	</frameset>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/basexml.asp soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/basexml.asp
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/basexml.asp	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/basexml.asp	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,32 @@
+﻿<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: basexml.asp
+ * 	This file include the functions that create the base XML output.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<%
+Sub CreateXmlHeader( command, resourceType, currentFolder )
+	' Create the XML document header.
+	Response.Write "<?xml version=""1.0"" encoding=""utf-8"" ?>"
+
+	' Create the main "Connector" node.
+	Response.Write "<Connector command=""" & command & """ resourceType=""" & resourceType & """>"
+	
+	' Add the current folder node.
+	Response.Write "<CurrentFolder path=""" & ConvertToXmlAttribute( currentFolder ) & """ url=""" & ConvertToXmlAttribute( GetUrlFromPath( resourceType, currentFolder) ) & """ />"
+End Sub
+
+Sub CreateXmlFooter()
+	Response.Write "</Connector>"
+End Sub
+%>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/class_upload.asp soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/class_upload.asp
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/class_upload.asp	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/class_upload.asp	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,228 @@
+﻿<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: class_upload.asp
+ * 	These are the classes used to handle ASP upload without using third
+ * 	part components (OCX/DLL).
+ * 
+ * File Authors:
+ * 		NetRube (netrube@126.com)
+-->
+<%
+'**********************************************
+' File:		NetRube_Upload.asp
+' Version:	NetRube Upload Class Version 2.1 Build 20050228
+' Author:	NetRube
+' Email:	NetRube@126.com
+' Date:		02/28/2005
+' Comments:	The code for the Upload.
+'			This can free usage, but please
+'			not to delete this copyright information.
+'			If you have a modification version,
+'			Please send out a duplicate to me.
+'**********************************************
+' 文件名:	NetRube_Upload.asp
+' 版本:		NetRube Upload Class Version 2.1 Build 20050228
+' 作者:		NetRube(网络乡巴佬)
+' 电子邮件:	NetRube@126.com
+' 日期:		2005年02月28日
+' 声明:		文件上传类
+'			本上传类可以自由使用，但请保留此版权声明信息
+'			如果您对本上传类进行修改增强，
+'			请发送一份给俺。
+'**********************************************
+
+Class NetRube_Upload
+
+	Public	File, Form
+	Private oSourceData
+	Private nMaxSize, nErr, sAllowed, sDenied
+	
+	Private Sub Class_Initialize
+		nErr		= 0
+		nMaxSize	= 1048576
+		
+		Set File			= Server.CreateObject("Scripting.Dictionary")
+		File.CompareMode	= 1
+		Set Form			= Server.CreateObject("Scripting.Dictionary")
+		Form.CompareMode	= 1
+		
+		Set oSourceData		= Server.CreateObject("ADODB.Stream")
+		oSourceData.Type	= 1
+		oSourceData.Mode	= 3
+		oSourceData.Open
+	End Sub
+	
+	Private Sub Class_Terminate
+		Form.RemoveAll
+		Set Form = Nothing
+		File.RemoveAll
+		Set File = Nothing
+		
+		oSourceData.Close
+		Set oSourceData = Nothing
+	End Sub
+	
+	Public Property Get Version
+		Version = "NetRube Upload Class Version 1.0 Build 20041218"
+	End Property
+
+	Public Property Get ErrNum
+		ErrNum	= nErr
+	End Property
+	
+	Public Property Let MaxSize(nSize)
+		nMaxSize	= nSize
+	End Property
+	
+	Public Property Let Allowed(sExt)
+		sAllowed	= sExt
+	End Property
+	
+	Public Property Let Denied(sExt)
+		sDenied	= sExt
+	End Property
+
+	Public Sub GetData
+		Dim aCType
+		aCType = Split(Request.ServerVariables("HTTP_CONTENT_TYPE"), ";")
+		If aCType(0) <> "multipart/form-data" Then
+			nErr = 1
+			Exit Sub
+		End If
+		
+		Dim nTotalSize
+		nTotalSize	= Request.TotalBytes
+		If nTotalSize < 1 Then
+			nErr = 2
+			Exit Sub
+		End If
+		If nMaxSize > 0 And nTotalSize > nMaxSize Then
+			nErr = 3
+			Exit Sub
+		End If
+		
+		oSourceData.Write Request.BinaryRead(nTotalSize)
+		oSourceData.Position = 0
+		
+		Dim oTotalData, oFormStream, sFormHeader, sFormName, bCrLf, nBoundLen, nFormStart, nFormEnd, nPosStart, nPosEnd, sBoundary
+		
+		oTotalData	= oSourceData.Read
+		bCrLf		= ChrB(13) & ChrB(10)
+		sBoundary	= MidB(oTotalData, 1, InStrB(1, oTotalData, bCrLf) - 1)
+		nBoundLen	= LenB(sBoundary) + 2
+		nFormStart	= nBoundLen
+		
+		Set oFormStream = Server.CreateObject("ADODB.Stream")
+		
+		Do While (nFormStart + 2) < nTotalSize
+			nFormEnd	= InStrB(nFormStart, oTotalData, bCrLf & bCrLf) + 3
+			
+			With oFormStream
+				.Type	= 1
+				.Mode	= 3
+				.Open
+				oSourceData.Position = nFormStart
+				oSourceData.CopyTo oFormStream, nFormEnd - nFormStart
+				.Position	= 0
+				.Type		= 2
+				.CharSet	= "UTF-8"
+				sFormHeader	= .ReadText
+				.Close
+			End With
+			
+			nFormStart	= InStrB(nFormEnd, oTotalData, sBoundary) - 1
+			nPosStart	= InStr(22, sFormHeader, " name=", 1) + 7
+			nPosEnd		= InStr(nPosStart, sFormHeader, """")
+			sFormName	= Mid(sFormHeader, nPosStart, nPosEnd - nPosStart)
+			
+			If InStr(45, sFormHeader, " filename=", 1) > 0 Then
+				Set File(sFormName)			= New NetRube_FileInfo
+				File(sFormName).FormName	= sFormName
+				File(sFormName).Start		= nFormEnd
+				File(sFormName).Size		= nFormStart - nFormEnd - 2
+				nPosStart					= InStr(nPosEnd, sFormHeader, " filename=", 1) + 11
+				nPosEnd						= InStr(nPosStart, sFormHeader, """")
+				File(sFormName).ClientPath	= Mid(sFormHeader, nPosStart, nPosEnd - nPosStart)
+				File(sFormName).Name		= Mid(File(sFormName).ClientPath, InStrRev(File(sFormName).ClientPath, "\") + 1)
+				File(sFormName).Ext			= LCase(Mid(File(sFormName).Name, InStrRev(File(sFormName).Name, ".") + 1))
+				nPosStart					= InStr(nPosEnd, sFormHeader, "Content-Type: ", 1) + 14
+				nPosEnd						= InStr(nPosStart, sFormHeader, vbCr)
+				File(sFormName).MIME		= Mid(sFormHeader, nPosStart, nPosEnd - nPosStart)
+			Else
+				With oFormStream
+					.Type	= 1
+					.Mode	= 3
+					.Open
+					oSourceData.Position = nPosEnd
+					oSourceData.CopyTo oFormStream, nFormStart - nFormEnd - 2
+					.Position	= 0
+					.Type		= 2
+					.CharSet	= "UTF-8"
+					Form(sFormName)	= .ReadText
+					.Close
+				End With
+			End If
+			
+			nFormStart	= nFormStart + nBoundLen
+		Loop
+		
+		oTotalData = ""
+		Set oFormStream = Nothing
+	End Sub
+
+	Public Sub SaveAs(sItem, sFileName)
+		If File(sItem).Size < 1 Then
+			nErr = 2
+			Exit Sub
+		End If
+		
+		If Not IsAllowed(File(sItem).Ext) Then
+			nErr = 4
+			Exit Sub
+		End If
+		
+		Dim oFileStream
+		Set oFileStream = Server.CreateObject("ADODB.Stream")
+		With oFileStream
+			.Type		= 1
+			.Mode		= 3
+			.Open
+			oSourceData.Position = File(sItem).Start
+			oSourceData.CopyTo oFileStream, File(sItem).Size
+			.Position	= 0
+			.SaveToFile sFileName, 2
+			.Close
+		End With
+		Set oFileStream = Nothing
+	End Sub
+	
+	Private Function IsAllowed(sExt)
+		Dim oRE
+		Set oRE	= New RegExp
+		oRE.IgnoreCase	= True
+		oRE.Global		= True
+		
+		If sDenied = "" Then
+			oRE.Pattern	= sAllowed
+			IsAllowed	= (sAllowed = "") Or oRE.Test(sExt)
+		Else
+			oRE.Pattern	= sDenied
+			IsAllowed	= Not oRE.Test(sExt)
+		End If
+		
+		Set oRE	= Nothing
+	End Function
+End Class
+
+Class NetRube_FileInfo
+	Dim FormName, ClientPath, Path, Name, Ext, Content, Size, MIME, Start
+End Class
+%>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/commands.asp soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/commands.asp
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/commands.asp	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/commands.asp	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,177 @@
+﻿<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: commands.asp
+ * 	This file include the functions that handle the Command requests
+ * 	in the ASP Connector.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<%
+Sub GetFolders( resourceType, currentFolder )
+	' Map the virtual path to the local server path.
+	Dim sServerDir
+	sServerDir = ServerMapFolder( resourceType, currentFolder )
+
+	' Open the "Folders" node.
+	Response.Write "<Folders>"
+
+	Dim oFSO, oCurrentFolder, oFolders, oFolder
+	Set oFSO = Server.CreateObject( "Scripting.FileSystemObject" )
+	Set oCurrentFolder = oFSO.GetFolder( sServerDir )
+	Set oFolders = oCurrentFolder.SubFolders
+
+	For Each oFolder in oFolders
+		Response.Write "<Folder name=""" & ConvertToXmlAttribute( oFolder.name ) & """ />"
+	Next
+	
+	Set oFSO = Nothing
+	
+	' Close the "Folders" node.
+	Response.Write "</Folders>"
+End Sub
+
+Sub GetFoldersAndFiles( resourceType, currentFolder )
+	' Map the virtual path to the local server path.
+	Dim sServerDir
+	sServerDir = ServerMapFolder( resourceType, currentFolder )
+
+	Dim oFSO, oCurrentFolder, oFolders, oFolder, oFiles, oFile
+	Set oFSO = Server.CreateObject( "Scripting.FileSystemObject" )
+	Set oCurrentFolder = oFSO.GetFolder( sServerDir )
+	Set oFolders	= oCurrentFolder.SubFolders
+	Set oFiles		= oCurrentFolder.Files
+	
+	' Open the "Folders" node.
+	Response.Write "<Folders>"
+	
+	For Each oFolder in oFolders
+		Response.Write "<Folder name=""" & ConvertToXmlAttribute( oFolder.name ) & """ />"
+	Next
+	
+	' Close the "Folders" node.
+	Response.Write "</Folders>"
+		
+	' Open the "Files" node.
+	Response.Write "<Files>"
+	
+	For Each oFile in oFiles
+		Dim iFileSize
+		iFileSize = Round( oFile.size / 1024 )
+		If ( iFileSize < 1 AND oFile.size <> 0 ) Then iFileSize = 1
+		
+		Response.Write "<File name=""" & ConvertToXmlAttribute( oFile.name ) & """ size=""" & iFileSize & """ />"
+	Next
+	
+	' Close the "Files" node.
+	Response.Write "</Files>"
+End Sub
+
+Sub CreateFolder( resourceType, currentFolder )
+	Dim sErrorNumber
+
+	Dim sNewFolderName
+	sNewFolderName = Request.QueryString( "NewFolderName" )
+
+	If ( sNewFolderName = "" ) Then
+		sErrorNumber = "102"
+	Else
+		' Map the virtual path to the local server path of the current folder.
+		Dim sServerDir
+		sServerDir = ServerMapFolder( resourceType, currentFolder & "/" & sNewFolderName )
+		
+		On Error Resume Next
+
+		CreateServerFolder sServerDir
+		
+		Dim iErrNumber, sErrDescription
+		iErrNumber		= err.number
+		sErrDescription	= err.Description
+		
+		On Error Goto 0
+		
+		Select Case iErrNumber
+			Case 0
+				sErrorNumber = "0"
+			Case 52
+				sErrorNumber = "102"	' Invalid Folder Name.
+			Case 70
+				sErrorNumber = "103"	' Security Error.
+			Case 76
+				sErrorNumber = "102"	' Path too long.
+			Case Else
+				sErrorNumber = "110"
+		End Select
+	End If
+
+	' Create the "Error" node.
+	Response.Write "<Error number=""" & sErrorNumber & """ originalNumber=""" & iErrNumber & """ originalDescription=""" & ConvertToXmlAttribute( sErrDescription ) & """ />"
+End Sub
+
+Sub FileUpload( resourceType, currentFolder )
+	Dim oUploader
+	Set oUploader = New NetRube_Upload
+	oUploader.MaxSize	= 0
+	oUploader.Allowed	= ConfigAllowedExtensions.Item( resourceType )
+	oUploader.Denied	= ConfigDeniedExtensions.Item( resourceType )
+	oUploader.GetData
+
+	Dim sErrorNumber
+	sErrorNumber = "0"
+	
+	Dim sFileName, sOriginalFileName, sExtension
+	sFileName = ""
+
+	If oUploader.ErrNum > 1 Then
+		sErrorNumber = "202"
+	Else
+		' Map the virtual path to the local server path.
+		Dim sServerDir
+		sServerDir = ServerMapFolder( resourceType, currentFolder )
+
+		Dim oFSO
+		Set oFSO = Server.CreateObject( "Scripting.FileSystemObject" )
+	
+		' Get the uploaded file name.
+		sFileName	= oUploader.File( "NewFile" ).Name
+		sExtension	= oUploader.File( "NewFile" ).Ext
+		sOriginalFileName = sFileName
+
+		Dim iCounter
+		iCounter = 0
+
+		Do While ( True )
+			Dim sFilePath
+			sFilePath = sServerDir & sFileName
+
+			If ( oFSO.FileExists( sFilePath ) ) Then
+				iCounter = iCounter + 1
+				sFileName = RemoveExtension( sOriginalFileName ) & "(" & iCounter & ")." & sExtension
+				sErrorNumber = "201"
+			Else
+				oUploader.SaveAs "NewFile", sFilePath
+				If oUploader.ErrNum > 0 Then sErrorNumber = "202"
+				Exit Do
+			End If
+		Loop
+	End If
+
+	Set oUploader	= Nothing
+
+	Response.Clear
+
+	Response.Write "<script type=""text/javascript"">"
+	Response.Write "window.parent.frames['frmUpload'].OnUploadCompleted(" & sErrorNumber & ",'" & Replace( sFileName, "'", "\'" ) & "') ;"
+	Response.Write "</script>"
+
+	Response.End
+End Sub
+%>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/config.asp soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/config.asp
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/config.asp	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/config.asp	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,41 @@
+﻿<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: config.asp
+ * 	Configuration file for the File Manager Connector for ASP.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<%
+
+Dim ConfigUserFilesPath
+
+' Path to user files relative to the document root.
+' SECURITY TIP: Uncomment the following line to set a fixed path.
+' ConfigUserFilesPath = "/UserFiles/"
+
+Dim ConfigAllowedExtensions, ConfigDeniedExtensions
+Set ConfigAllowedExtensions	= CreateObject( "Scripting.Dictionary" )
+Set ConfigDeniedExtensions	= CreateObject( "Scripting.Dictionary" )
+
+ConfigAllowedExtensions.Add	"File", ""
+ConfigDeniedExtensions.Add	"File", "php|asp|aspx|ascx|jsp|cfm|cfc|pl|bat|exe|com|dll|vbs|js|reg"
+
+ConfigAllowedExtensions.Add	"Image", "jpg|gif|jpeg|png|bmp"
+ConfigDeniedExtensions.Add	"Image", ""
+
+ConfigAllowedExtensions.Add	"Flash", "swf|fla"
+ConfigDeniedExtensions.Add	"Flash", ""
+
+ConfigAllowedExtensions.Add	"Media", "swf|fla|jpg|gif|jpeg|png|avi|mpg|mpeg|mp(1-4)|wma|wmv|wav|mid|midi|rmi|rm|ram|rmvb|mov|qt"
+ConfigDeniedExtensions.Add	"Media", ""
+
+%>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/connector.asp soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/connector.asp
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/connector.asp	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/connector.asp	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,102 @@
+﻿<%@ CodePage=65001 Language="VBScript"%>
+<%
+Option Explicit
+%>
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: connector.asp
+ * 	This is the File Manager Connector for ASP.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<!--#include file="config.asp"-->
+<!--#include file="util.asp"-->
+<!--#include file="io.asp"-->
+<!--#include file="basexml.asp"-->
+<!--#include file="commands.asp"-->
+<!--#include file="class_upload.asp"-->
+<%
+' Get the "UserFiles" path.
+Dim sUserFilesPath
+
+If ( Not IsEmpty( ConfigUserFilesPath ) ) Then
+	sUserFilesPath = ConfigUserFilesPath
+ElseIf ( Request.QueryString("ServerPath") <> "" ) Then 
+	sUserFilesPath = Request.QueryString("ServerPath")
+Else
+	sUserFilesPath = "/UserFiles/"
+End If
+
+If ( Right( sUserFilesPath, 1 ) <> "/" ) Then
+	sUserFilesPath = sUserFilesPath & "/"
+End If
+
+' Map the "UserFiles" path to a local directory.
+Dim sUserFilesDirectory
+sUserFilesDirectory = Server.MapPath( sUserFilesPath )
+
+If ( Right( sUserFilesDirectory, 1 ) <> "\" ) Then
+	sUserFilesDirectory = sUserFilesDirectory & "\"
+End If
+
+DoResponse
+
+Sub DoResponse()
+	Dim sCommand, sResourceType, sCurrentFolder
+	
+	' Get the main request informaiton.
+	sCommand = Request.QueryString("Command")
+	If ( sCommand = "" ) Then Exit Sub
+
+	sResourceType = Request.QueryString("Type")
+	If ( sResourceType = "" ) Then Exit Sub
+
+	sCurrentFolder = Request.QueryString("CurrentFolder")
+	If ( sCurrentFolder = "" ) Then Exit Sub
+
+	' Check the current folder syntax (must begin and start with a slash).
+	If ( Right( sCurrentFolder, 1 ) <> "/" ) Then sCurrentFolder = sCurrentFolder & "/"
+	If ( Left( sCurrentFolder, 1 ) <> "/" ) Then sCurrentFolder = "/" & sCurrentFolder
+
+	' File Upload doesn't have to Return XML, so it must be intercepted before anything.
+	If ( sCommand = "FileUpload" ) Then
+		FileUpload sResourceType, sCurrentFolder
+		Exit Sub
+	End If
+
+	' Cleans the response buffer.
+	Response.Clear()
+
+	' Prevent the browser from caching the result.
+	Response.CacheControl = "no-cache"
+
+	' Set the response format.
+	Response.CharSet		= "UTF-8"
+	Response.ContentType	= "text/xml"
+
+	CreateXmlHeader sCommand, sResourceType, sCurrentFolder
+
+	' Execute the required command.
+	Select Case sCommand
+		Case "GetFolders"
+			GetFolders sResourceType, sCurrentFolder
+		Case "GetFoldersAndFiles"
+			GetFoldersAndFiles sResourceType, sCurrentFolder
+		Case "CreateFolder"
+			CreateFolder sResourceType, sCurrentFolder
+	End Select
+
+	CreateXmlFooter
+
+	Response.End
+End Sub
+%>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/io.asp soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/io.asp
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/io.asp	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/io.asp	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,83 @@
+﻿<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: io.asp
+ * 	This file include IO specific functions used by the ASP Connector.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<%
+Function GetUrlFromPath( resourceType, folderPath )
+	If resourceType = "" Then
+		GetUrlFromPath = RemoveFromEnd( sUserFilesPath, "/" ) & folderPath
+	Else
+		GetUrlFromPath = sUserFilesPath & resourceType & folderPath
+	End If
+End Function
+
+Function RemoveExtension( fileName )
+	RemoveExtension = Left( fileName, InStrRev( fileName, "." ) - 1 )
+End Function
+
+Function ServerMapFolder( resourceType, folderPath )
+	' Get the resource type directory.
+	Dim sResourceTypePath
+	sResourceTypePath = sUserFilesDirectory & resourceType & "\"
+	
+	' Ensure that the directory exists.
+	CreateServerFolder sResourceTypePath
+
+	' Return the resource type directory combined with the required path.
+	ServerMapFolder = sResourceTypePath & RemoveFromStart( folderPath, "/" )
+End Function
+
+Sub CreateServerFolder( folderPath )
+	Dim oFSO
+	Set oFSO = Server.CreateObject( "Scripting.FileSystemObject" )
+	
+	Dim sParent
+	sParent = oFSO.GetParentFolderName( folderPath )
+	
+	' Check if the parent exists, or create it.
+	If ( NOT oFSO.FolderExists( sParent ) ) Then CreateServerFolder( sParent )
+	
+	If ( oFSO.FolderExists( folderPath ) = False ) Then 
+		oFSO.CreateFolder( folderPath )
+	End If
+	
+	Set oFSO = Nothing
+End Sub
+
+Function IsAllowedExt( extension, resourceType )
+	Dim oRE
+	Set oRE	= New RegExp
+	oRE.IgnoreCase	= True
+	oRE.Global		= True
+	
+	Dim sAllowed, sDenied
+	sAllowed	= ConfigAllowedExtensions.Item( resourceType )
+	sDenied		= ConfigDeniedExtensions.Item( resourceType )
+	
+	IsAllowedExt = True
+	
+	If sDenied <> "" Then
+		oRE.Pattern	= sDenied
+		IsAllowedExt	= Not oRE.Test( extension )
+	End If 
+	
+	If IsAllowedExt And sAllowed <> "" Then
+		oRE.Pattern		= sAllowed
+		IsAllowedExt	= oRE.Test( extension )
+	End If
+	
+	Set oRE	= Nothing
+End Function
+%>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/util.asp soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/util.asp
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/util.asp	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/asp/util.asp	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,49 @@
+﻿<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: util.asp
+ * 	This file include generic functions used by the ASP Connector.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<%
+Function RemoveFromStart( sourceString, charToRemove )
+	Dim oRegex
+	Set oRegex = New RegExp
+	oRegex.Pattern = "^" & charToRemove & "+"
+
+	RemoveFromStart = oRegex.Replace( sourceString, "" )
+End Function
+
+Function RemoveFromEnd( sourceString, charToRemove )
+	Dim oRegex
+	Set oRegex = New RegExp
+	oRegex.Pattern = charToRemove & "+$"
+
+	RemoveFromEnd = oRegex.Replace( sourceString, "" )
+End Function
+
+Function ConvertToXmlAttribute( value )
+	ConvertToXmlAttribute = Replace( value, "&", "&amp;" )
+End Function
+
+Function InArray( value, sourceArray )
+	Dim i
+	For i = 0 to UBound( sourceArray )
+		If sourceArray(i) = value Then
+			InArray = True
+			Exit Function
+		End If
+	Next
+	InArray = False
+End Function
+
+%>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/aspx/connector.aspx soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/aspx/connector.aspx
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/aspx/connector.aspx	2004-12-27 20:50:28.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/aspx/connector.aspx	2005-06-11 10:28:44.000000000 +0900
@@ -1,7 +1,7 @@
 <%@ Page language="c#" Inherits="FredCK.FCKeditorV2.FileBrowserConnector" AutoEventWireup="false" %>
-<!--
+<%--
  * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
  * 
  * Licensed under the terms of the GNU Lesser General Public License:
  * 		http://www.opensource.org/licenses/lgpl-license.php
@@ -15,9 +15,6 @@
  * 	The code of this page if included in the FredCK.FCKeditorV2.dll file. So to
  * 	use it you must include the DLL in your "bin" directory.
  * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:52
- * 
  * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
\ No newline at end of file
+--%>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/cfm/connector.cfm soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/cfm/connector.cfm
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/cfm/connector.cfm	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/cfm/connector.cfm	2005-06-11 10:27:30.000000000 +0900
@@ -0,0 +1,296 @@
+<cfsetting enablecfoutputonly="true" showdebugoutput="false">
+<!---
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: connector.cfm
+ * 	This is the File Browser Connector for ColdFusion.
+ * 	
+ * 	Notice: 
+ * 	FCKEditor needs an UTF-8 encoded XML packet. 
+ * 	Only CFMX can encode in UTF-8. If this browser doesn't work in CF 4.0/4.5/5,
+ * 	please send me a notice. We then can use an more object oriented approach (CFC)
+ * 	to clean up this code :)
+ * 	
+ * 	Please declare the base path (e.g. /UserFiles/) as an Application or Server variable
+ * 	Directory structure (with optional subdirectories built by the user). 
+ * 	The "Type" subdirectory is automatically submitted by FCKEditor:
+ * 	/UserFiles/Image/
+ * 	/UserFiles/Flash/
+ * 	/UserFiles/File/
+ * 	/UserFiles/Media/
+ * 
+ * File Authors:
+ * 		Hendrik Kramer (hk@lwd.de)
+--->
+<cfparam name="URL.Command" type="string">
+<cfparam name="URL.Type" type="string">
+<cfparam name="URL.CurrentFolder" type="string">
+
+<!--- ::
+	* Get base url path to the userfiles directory (may be set in Application.cfm or anywhere else)
+	:: --->
+<cfif isDefined('APPLICATION.userFilesPath')>
+	<cflock scope="Application" type="readonly" timeout="3">
+		<cfset sUserFilesURL = APPLICATION.userFilesPath>
+	</cflock>
+<cfelseif isDefined('SERVER.userFilesPath')>
+	<cflock scope="SERVER" type="readonly" timeout="3">
+		<cfset sUserFilesURL = SERVER.userFilesPath>
+	</cflock>
+<cfelse>
+	<!--- :: then use default :: --->
+	<cfset sUserFilesURL = "/UserFiles/">
+</cfif>
+
+<cfif not len( sUserFilesURL )>
+	<cfthrow type="fckeditor.connector" message="You must supply a full path to the userFiles base URL in APPLICATION or SERVER Scope.">
+</cfif>
+
+<cfscript>
+	/**
+	  * We must extract the physical server directory for the webroot of this project to append the base url path
+   	  * e.g. 
+      * PATH=c:\inetpub\wwwroot\project1\fckeditor\editor\filemanager\browser\default\connectors\cfm\connector.cfm 
+      * URL =/fckeditor/editor/filemanager/browser/default/connectors/cfm/connector.cfm 
+      * ROOT=c:\inetpub\wwwroot\project1\
+      *
+      * This may fail if you use an symbolic link inside your webroot
+      */
+	sRootDir = replace( getBaseTemplatePath(), "\", "/", "ALL");
+	iLen = listLen( cgi.script_name, '/' );
+	for( i=iLen; i GTE 1; i=i-1 )
+	{
+		iPos = listFindNoCase( sRootDir, listGetAt( cgi.script_name, i, '/' ), '/' );
+		if( iPos GT 0 )
+			sRootDir = listDeleteAt( sRootDir, iPos, '/' );
+	}
+
+	// replace backslashes in URL with normal slashes
+	sUserFilesURL = replace( sUserFilesURL, "\", "/", "ALL");
+
+	// Check the base folder syntax (must end with a slash).
+	if( compare( right( sUserFilesURL, 1), "/" ) )
+		sUserFilesURL = sUserFilesURL & "/";
+
+	// Create the physical path to the media root directory
+	sUserFilesPath = sRootDir & sUserFilesURL;
+	sUserFilesPath = replace( sUserFilesPath, '//', '/', 'ALL' );
+
+	// Check the current folder syntax (must begin and start with a slash).
+	if( compare( left( URL.CurrentFolder, 1), "/" ) )
+		URL.CurrentFolder = "/" & URL.CurrentFolder;
+	if( compare( right( URL.CurrentFolder, 1), "/" ) )
+		URL.CurrentFolder = URL.CurrentFolder & "/";
+	
+	/**
+	  * Prepare the XML Header and Footer
+	  */
+	sXMLHeader = '<?xml version="1.0" encoding="utf-8" ?><Connector command="#URL.Command#" resourceType="#URL.Type#">';
+	sXMLHeader = sXMLHeader & '<CurrentFolder path="#URL.CurrentFolder#" url="#sUserFilesURL##URL.Type##URL.CurrentFolder#" />';
+	sXMLFooter = '</Connector>';
+	sXMLContent = '';
+</cfscript>
+
+<!--- :: Make sure that current base path exists as a directory :: --->
+<cfif not directoryExists( sUserFilesPath & URL.Type & URL.CurrentFolder )>
+	<cfdirectory 
+		action="create" 
+		directory="#sUserFilesPath##URL.Type##URL.CurrentFolder#"
+	>
+</cfif>
+
+<!--- :: Switch command arguments :: --->
+<cfswitch expression="#URL.Command#">
+<cfcase value="FileUpload">
+
+	<cfset sFileName = "">
+	<cfset sFileExt = "">
+
+	<cftry>
+		<!--- :: first upload the file with an unique filename :: --->
+		<cffile action="UPLOAD"
+			fileField="NewFile"
+			destination="#sUserFilesPath##URL.Type##URL.CurrentFolder#"
+			nameConflict="MAKEUNIQUE"
+		>
+
+		<cfscript>
+		sErrorNumber = 0;
+		sFileName = CFFILE.ClientFileName;
+		sFileExt = CFFILE.ServerFileExt;
+
+		/**
+		  * Validate filename for html download. Only a-z, 0-9, _, - and . are allowed.
+		  */
+		if( reFind("[^A-Za-z0-9_\-\.]", sFileName) )
+		{
+			sFilename = reReplace(sFilename, "[^A-Za-z0-9\-\.]", "_", "ALL");
+			sFilename = reReplace(sFilename, "_{2,}", "_", "ALL");
+			sFilename = reReplace(sFilename, "([^_]+)_+$", "\1", "ALL");
+			sFilename = reReplace(sFilename, "$_([^_]+)$", "\1", "ALL");
+		}
+
+		// When the original filename already exists, add numbers (0), (1), (2), ... at the end of the filename.
+		if( compare( CFFILE.ServerFileName, sFileName ) )
+		{
+			iCounter = 0;
+			sTmpFileName = sFileName;
+			while( fileExists('#sUserFilesPath##URL.Type##URL.CurrentFolder##sFilename#.#sFileExt#') )
+			{
+			  	iCounter=iCounter+1;
+				sFileName = sTmpFileName & '(#iCounter#)';
+			}
+		}
+		</cfscript>
+		
+		<!--- :: Rename the uploaded file, if neccessary --->
+		<cfif compare( CFFILE.ServerFileName, sFileName )>
+			<cfset sErrorNumber = "201">
+			<cffile
+				action="RENAME"
+				source="#sUserFilesPath##URL.Type##URL.CurrentFolder##CFFILE.ServerFileName#.#CFFILE.ServerFileExt#"
+				destination="#sUserFilesPath##URL.Type##URL.CurrentFolder##sFileName#.#sFileExt#"
+				mode="644"
+				attributes="normal"
+			>
+		</cfif>
+
+		<cfcatch type="Any">
+			<cfset sErrorNumber = "202">
+		</cfcatch>
+	</cftry>
+	
+	<cfif sErrorNumber eq 201>
+		<!--- :: file was changed (201), submit the new filename :: --->
+		<cfoutput>
+		<script type="text/javascript">
+		window.parent.frames['frmUpload'].OnUploadCompleted(#sErrorNumber#,'#replace( sFileName & "." & sFileExt, "'", "\'", "ALL")#');
+		</script>
+		</cfoutput>
+	<cfelse>
+		<!--- :: file was uploaded succesfully(0) or an error occured(202). Submit only the error code. :: --->
+		<cfoutput>
+		<script type="text/javascript">
+		window.parent.frames['frmUpload'].OnUploadCompleted(#sErrorNumber#);
+		</script>
+		</cfoutput>
+	</cfif>
+
+	<cfabort>
+
+</cfcase>
+<cfcase value="GetFolders">
+
+	<!--- :: Sort directories first, name ascending :: --->
+	<cfdirectory 
+		action="LIST" 
+		directory="#sUserFilesPath##URL.Type##URL.CurrentFolder#" 
+		name="qDir"
+		sort="type,name"
+	>
+	
+	<cfscript>
+		iLen = qDir.recordCount;	
+		i=1;
+		sFolders = '';
+		
+		while( i LTE iLen )
+		{
+			if( not compareNoCase( qDir.type[i], "FILE" ))
+				break;
+			if( not listFind(".,..", qDir.name[i]) )
+				sFolders = sFolders & '<Folder name="#qDir.name[i]#" />';
+			i=i+1;
+		}
+
+		sXMLContent = sXMLContent & '<Folders>' & sFolders & '</Folders>';
+	</cfscript>
+
+</cfcase>
+<cfcase value="GetFoldersAndFiles">
+
+	<!--- :: Sort directories first, name ascending :: --->
+	<cfdirectory 
+		action="LIST" 
+		directory="#sUserFilesPath##URL.Type##URL.CurrentFolder#" 
+		name="qDir"
+		sort="type,name"
+	>
+	<cfscript>
+		iLen = qDir.recordCount;
+		i=1;
+		sFolders = '';
+		sFiles = '';
+		
+		while( i LTE iLen )
+		{
+			if( not compareNoCase( qDir.type[i], "DIR" ) and not listFind(".,..", qDir.name[i]) )
+			{
+				sFolders = sFolders & '<Folder name="#qDir.name[i]#" />';
+			}
+			else if( not compareNoCase( qDir.type[i], "FILE" ) )
+			{
+				iFileSize = int( qDir.size[i] / 1024 );
+				sFiles = sFiles & '<File name="#qDir.name[i]#" size="#IIf( iFileSize GT 0, DE( iFileSize ), 1)#" />';
+			}
+			i=i+1;
+		}
+
+		sXMLContent = sXMLContent & '<Folders>' & sFolders & '</Folders>';
+		sXMLContent = sXMLContent & '<Files>' & sFiles & '</Files>';
+	</cfscript>
+
+</cfcase>
+<cfcase value="CreateFolder">
+
+	<cfparam name="URL.NewFolderName" default="">
+
+	<cfif not len( URL.NewFolderName ) or len( URL.NewFolderName ) GT 255>
+		<cfset iErrorNumber = 102>	
+	<cfelseif directoryExists( sUserFilesPath & URL.Type & URL.CurrentFolder & URL.NewFolderName )>
+		<cfset iErrorNumber = 101>
+	<cfelseif reFind( "^\.\.", URL.NewFolderName )>
+		<cfset iErrorNumber = 103>
+	<cfelse>
+		<cfset iErrorNumber = 0>
+
+		<cftry>
+			<cfdirectory
+				action="CREATE"
+				directory="#sUserFilesPath##URL.Type##URL.CurrentFolder##URL.NewFolderName#"
+			>
+			<cfcatch>
+				<!--- ::
+					* Not resolvable ERROR-Numbers in ColdFusion:
+					* 102 : Invalid folder name. 
+					* 103 : You have no permissions to create the folder. 
+					:: --->
+				<cfset iErrorNumber = 110>
+			</cfcatch>
+		</cftry>
+	</cfif>
+	
+	<cfset sXMLContent = sXMLContent & '<Error number="#iErrorNumber#" />'>
+
+</cfcase>
+<cfdefaultcase>
+	<cfthrow type="fckeditor.connector" message="Illegal command: #URL.Command#">
+</cfdefaultcase>
+</cfswitch>
+
+<!--- ::
+  	* output XML (no content caching) 
+	:: --->
+<cfheader name="Pragma" value="no-cache">
+<cfheader name="Cache-Control" value="no-cache, no-store, must-revalidate">
+<cfcontent reset="true" type="text/xml; charset=UTF-8">
+<cfoutput>#sXMLHeader##sXMLContent##sXMLFooter#</cfoutput>
+
+<cfsetting enablecfoutputonly="false">
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/basexml.pl soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/basexml.pl
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/basexml.pl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/basexml.pl	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,38 @@
+#####
+#  FCKeditor - The text editor for internet
+#  Copyright (C) 2003-2005 Frederico Caldeira Knabben
+#  
+#  Licensed under the terms of the GNU Lesser General Public License:
+#  		http://www.opensource.org/licenses/lgpl-license.php
+#  
+#  For further information visit:
+#  		http://www.fckeditor.net/
+#  
+#  File Name: basexml.pl
+#  	This is the File Manager Connector for Perl.
+#  
+#  File Authors:
+#  		Takashi Yamaguchi (jack@omakase.net)
+#####
+
+sub CreateXmlHeader
+{
+
+	local($command,$resourceType,$currentFolder) = @_;
+
+	# Create the XML document header.
+	print '<?xml version="1.0" encoding="utf-8" ?>';
+
+	# Create the main "Connector" node.
+	print '<Connector command="' . $command . '" resourceType="' . $resourceType . '">';
+
+	# Add the current folder node.
+	print '<CurrentFolder path="' . ConvertToXmlAttribute($currentFolder) . '" url="' . ConvertToXmlAttribute(GetUrlFromPath($resourceType,$currentFolder)) . '" />';
+}
+
+sub CreateXmlFooter
+{
+	print '</Connector>';
+}
+
+1;
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/commands.pl soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/commands.pl
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/commands.pl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/commands.pl	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,152 @@
+#####
+#  FCKeditor - The text editor for internet
+#  Copyright (C) 2003-2005 Frederico Caldeira Knabben
+#  
+#  Licensed under the terms of the GNU Lesser General Public License:
+#  		http://www.opensource.org/licenses/lgpl-license.php
+#  
+#  For further information visit:
+#  		http://www.fckeditor.net/
+#  
+#  File Name: commands.pl
+#  	This is the File Manager Connector for Perl.
+#  
+#  File Authors:
+#  		Takashi Yamaguchi (jack@omakase.net)
+#####
+
+sub GetFolders
+{
+
+	local($resourceType, $currentFolder) = @_;
+
+	# Map the virtual path to the local server path.
+	$sServerDir = &ServerMapFolder($resourceType, $currentFolder);
+	print "<Folders>";			# Open the "Folders" node.
+
+	opendir(DIR,"$sServerDir");
+	@files = grep(!/^\.\.?$/,readdir(DIR));
+	closedir(DIR);
+
+	foreach $sFile (@files) {
+		if($sFile != '.' && $sFile != '..' && (-d "$sServerDir$sFile")) {
+			$cnv_filename = &ConvertToXmlAttribute($sFile);
+			print '<Folder name="' . $cnv_filename . '" />';
+		}
+	}
+	print "</Folders>";			# Close the "Folders" node.
+}
+
+sub GetFoldersAndFiles
+{
+
+	local($resourceType, $currentFolder) = @_;
+	# Map the virtual path to the local server path.
+	$sServerDir = &ServerMapFolder($resourceType,$currentFolder);
+
+	# Initialize the output buffers for "Folders" and "Files".
+	$sFolders	= '<Folders>';
+	$sFiles		= '<Files>';
+
+	opendir(DIR,"$sServerDir");
+	@files = grep(!/^\.\.?$/,readdir(DIR));
+	closedir(DIR);
+
+	foreach $sFile (@files) {
+		if($sFile ne '.' && $sFile ne '..') {
+			if(-d "$sServerDir$sFile") {
+				$cnv_filename = &ConvertToXmlAttribute($sFile);
+				$sFolders .= '<Folder name="' . $cnv_filename . '" />' ;
+			} else {
+				($iFileSize,$refdate,$filedate,$fileperm) = (stat("$sServerDir$sFile"))[7,8,9,2];
+				if($iFileSize > 0) {
+					$iFileSize = int($iFileSize / 1024);
+					if($iFileSize < 1) {
+						$iFileSize = 1;
+					}
+				}
+				$cnv_filename = &ConvertToXmlAttribute($sFile);
+				$sFiles	.= '<File name="' . $cnv_filename . '" size="' . $iFileSize . '" />' ;
+			}
+		}
+	}
+	print $sFolders ;
+	print '</Folders>';			# Close the "Folders" node.
+	print $sFiles ;
+	print '</Files>';			# Close the "Files" node.
+}
+
+sub CreateFolder
+{
+
+	local($resourceType, $currentFolder) = @_;
+	$sErrorNumber	= '0' ;
+	$sErrorMsg		= '' ;
+
+	if($FORM{'NewFolderName'} ne "") {
+		$sNewFolderName = $FORM{'NewFolderName'};
+		# Map the virtual path to the local server path of the current folder.
+		$sServerDir = &ServerMapFolder($resourceType, $currentFolder);
+		if(-w $sServerDir) {
+			$sServerDir .= $sNewFolderName;
+			$sErrorMsg = &CreateServerFolder($sServerDir);
+			if($sErrorMsg == 0) {
+				$sErrorNumber = '0';
+			} elsif($sErrorMsg eq 'Invalid argument' || $sErrorMsg eq 'No such file or directory') {
+				$sErrorNumber = '102';		#// Path too long.
+			} else {
+				$sErrorNumber = '110';
+			}
+		} else {
+			$sErrorNumber = '103';
+		}
+	} else {
+		$sErrorNumber = '102' ;
+	}
+	# Create the "Error" node.
+	$cnv_errmsg = &ConvertToXmlAttribute($sErrorMsg);
+	print '<Error number="' . $sErrorNumber . '" originalDescription="' . $cnv_errmsg . '" />';
+}
+
+sub FileUpload
+{
+eval("use File::Copy;");
+
+	local($resourceType, $currentFolder) = @_;
+
+	$sErrorNumber = '0' ;
+	$sFileName = '' ;
+	if($new_fname) {
+		# Map the virtual path to the local server path.
+		$sServerDir = &ServerMapFolder($resourceType,$currentFolder);
+
+		# Get the uploaded file name.
+		$sFileName = $new_fname;
+		$sOriginalFileName = $sFileName;
+
+		$iCounter = 0;
+		while(1) {
+			$sFilePath = $sServerDir . $sFileName;
+			if(-e $sFilePath) {
+				$iCounter++ ;
+				($path,$BaseName,$ext) = &RemoveExtension($sOriginalFileName);
+				$sFileName = $BaseName . '(' . $iCounter . ').' . $ext;
+				$sErrorNumber = '201';
+			} else {
+				copy("$img_dir/$new_fname","$sFilePath");
+				chmod(0777,$sFilePath);
+				unlink("$img_dir/$new_fname");
+				last;
+			}
+		}
+	} else {
+		$sErrorNumber = '202' ;
+	}
+	$sFileName	=~ s/"/\\"/g;
+	print "Content-type: text/html\n\n";
+	print '<script type="text/javascript">';
+	print 'window.parent.frames["frmUpload"].OnUploadCompleted(' . $sErrorNumber . ',"' . $sFileName . '") ;';
+	print '</script>';
+	exit ;
+}
+1;
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/connector.cgi soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/connector.cgi
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/connector.cgi	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/connector.cgi	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,92 @@
+#!/usr/bin/env perl 
+
+#/*
+# * FCKeditor - The text editor for internet
+# * Copyright (C) 2003-2004 Frederico Caldeira Knabben
+# * 
+# * Licensed under the terms of the GNU Lesser General Public License:
+# * 		http://www.opensource.org/licenses/lgpl-license.php
+# * 
+# * For further information visit:
+# * 		http://www.fckeditor.net/
+# * 
+# * File Name: connector.cgi
+# * 	This is the File Manager Connector for Perl.
+# * 
+# * Version:  2.0 RC2
+# * Modified: 2005-01-7 13:20:00
+# * 
+# * File Authors:
+# * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+# * 		Takashi Yamaguchi (jack@omakase.net)
+# */
+
+require 'util.pl';
+require 'io.pl';
+require 'basexml.pl';
+require 'commands.pl';
+require 'upload_fck.pl';
+
+	&read_input();
+
+	if($FORM{'ServerPath'} ne "") {
+		$GLOBALS{'UserFilesPath'} = $FORM{'ServerPath'};
+		if(!($GLOBALS{'UserFilesPath'} =~ /\/$/)) {
+			$GLOBALS{'UserFilesPath'} .= '/' ;
+		}
+	} else {
+		$GLOBALS{'UserFilesPath'} = '/UserFiles/';
+	}
+
+	# Map the "UserFiles" path to a local directory.
+	$rootpath = &GetRootPath();
+	$GLOBALS{'UserFilesDirectory'} = $rootpath . $GLOBALS{'UserFilesPath'};
+
+	&DoResponse();
+
+sub DoResponse
+{
+
+	if($FORM{'Command'} eq "" || $FORM{'Type'} eq "" || $FORM{'CurrentFolder'} eq "") {
+		return ;
+	}
+	# Get the main request informaiton.
+	$sCommand		= $FORM{'Command'};
+	$sResourceType	= $FORM{'Type'};
+	$sCurrentFolder	= $FORM{'CurrentFolder'};
+
+	# Check the current folder syntax (must begin and start with a slash).
+	if(!($sCurrentFolder =~ /\/$/)) {
+		$sCurrentFolder .= '/';
+	}
+	if(!($sCurrentFolder =~ /^\//)) {
+		$sCurrentFolder = '/' . $sCurrentFolder;
+	}
+
+	# File Upload doesn't have to Return XML, so it must be intercepted before anything.
+	if($sCommand eq 'FileUpload') {
+		FileUpload($sResourceType,$sCurrentFolder);
+		return ;
+	}
+
+	print << "_HTML_HEAD_";
+Content-Type:text/xml; charset=utf-8
+Pragma: no-cache
+Cache-Control: no-cache
+Expires: Thu, 01 Dec 1994 16:00:00 GMT
+
+_HTML_HEAD_
+
+	&CreateXmlHeader($sCommand,$sResourceType,$sCurrentFolder);
+	# Execute the required command.
+	if($sCommand eq 'GetFolders') {
+		&GetFolders($sResourceType,$sCurrentFolder);
+	} elsif($sCommand eq 'GetFoldersAndFiles') {
+		&GetFoldersAndFiles($sResourceType,$sCurrentFolder);
+	} elsif($sCommand eq 'CreateFolder') {
+		&CreateFolder($sResourceType,$sCurrentFolder);
+	}
+	&CreateXmlFooter();
+	exit ;
+}
+
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/io.pl soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/io.pl
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/io.pl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/io.pl	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,125 @@
+#####
+#  FCKeditor - The text editor for internet
+#  Copyright (C) 2003-2005 Frederico Caldeira Knabben
+#  
+#  Licensed under the terms of the GNU Lesser General Public License:
+#  		http://www.opensource.org/licenses/lgpl-license.php
+#  
+#  For further information visit:
+#  		http://www.fckeditor.net/
+#  
+#  File Name: io.pl
+#  	This is the File Manager Connector for Perl.
+#  
+#  File Authors:
+#  		Takashi Yamaguchi (jack@omakase.net)
+#####
+
+sub GetUrlFromPath
+{
+	local($resourceType, $folderPath) = @_;
+
+	if($resourceType eq '') {
+		$rmpath = &RemoveFromEnd($GLOBALS{'UserFilesPath'},'/');
+		return("$rmpath$folderPath");
+	} else {
+		return("$GLOBALS{'UserFilesPath'}$resourceType$folderPath");
+	}
+}
+
+sub RemoveExtension
+{
+	local($fileName) = @_;
+	local($path, $base, $ext);
+	if($fileName !~ /\./) {
+		$fileName .= '.';
+	}
+	if($fileName =~ /([^\\\/]*)\.(.*)$/) {
+		$base = $1;
+		$ext  = $2;
+		if($fileName =~ /(.*)$base\.$ext$/) {
+			$path = $1;
+		}
+	}
+	return($path,$base,$ext);
+
+}
+
+sub ServerMapFolder
+{
+	local($resourceType,$folderPath) = @_;
+
+	# Get the resource type directory.
+	$sResourceTypePath = $GLOBALS{'UserFilesDirectory'} . $resourceType . '/';
+
+	# Ensure that the directory exists.
+	&CreateServerFolder($sResourceTypePath);
+
+	# Return the resource type directory combined with the required path.
+	$rmpath = &RemoveFromStart($folderPath,'/');
+	return("$sResourceTypePath$rmpath");
+}
+
+sub GetParentFolder
+{
+	local($folderPath) = @_;
+
+	$folderPath =~ s/[\/][^\/]+[\/]?$//g;
+	return $folderPath;
+}
+
+sub CreateServerFolder
+{
+	local($folderPath) = @_;
+
+	$sParent = &GetParentFolder($folderPath);
+	# Check if the parent exists, or create it.
+	if(!(-e $sParent)) {
+		$sErrorMsg = &CreateServerFolder($sParent);
+		if($sErrorMsg == 1) {
+			return(1);
+		}
+	}
+	if(!(-e $folderPath)) {
+		umask(000);
+		mkdir("$folderPath",0777);
+		chmod(0777,"$folderPath");
+		return(0);
+	} else {
+		return(1);
+	}
+}
+
+sub GetRootPath
+{
+#use Cwd;
+
+#	my $dir = getcwd;
+#	print $dir;
+#	$dir  =~ s/$ENV{'DOCUMENT_ROOT'}//g;
+#	print $dir;
+#	return($dir);
+
+#	$wk = $0;
+#	$wk =~ s/\/connector\.cgi//g;
+#	if($wk) {
+#		$current_dir = $wk;
+#	} else {
+#		$current_dir = `pwd`;
+#	}
+#	return($current_dir);
+use Cwd;
+
+	if($ENV{'DOCUMENT_ROOT'}) {
+		$dir = $ENV{'DOCUMENT_ROOT'};
+	} else {
+		my $dir = getcwd;
+		$workdir =~ s/\/connector\.cgi//g;
+		$dir  =~ s/$workdir//g;
+	}
+	return($dir);
+
+
+
+}
+1;
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/upload_fck.pl soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/upload_fck.pl
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/upload_fck.pl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/upload_fck.pl	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,661 @@
+#####
+#  FCKeditor - The text editor for internet
+#  Copyright (C) 2003-2005 Frederico Caldeira Knabben
+#  
+#  Licensed under the terms of the GNU Lesser General Public License:
+#  		http://www.opensource.org/licenses/lgpl-license.php
+#  
+#  For further information visit:
+#  		http://www.fckeditor.net/
+#  
+#  File Name: upload_fck.pl
+#  	This is the File Manager Connector for Perl.
+#  
+#  File Authors:
+#  		Takashi Yamaguchi (jack@omakase.net)
+#####
+
+# image data save dir
+$img_dir	= './temp/';
+
+
+# File size max(unit KB)
+$MAX_CONTENT_SIZE =  30000;
+
+# Filelock (1=use,0=not use)
+$PM{'flock'}		= '1';
+
+
+# upload Content-Type list
+my %UPLOAD_CONTENT_TYPE_LIST = (
+	'image/(x-)?png'						=>	'png',	# PNG image
+	'image/p?jpe?g'							=>	'jpg',	# JPEG image
+	'image/gif'								=>	'gif',	# GIF image
+	'image/x-xbitmap'						=>	'xbm',	# XBM image
+
+	'image/(x-(MS-)?)?bmp'					=>	'bmp',	# Windows BMP image
+	'image/pict'							=>	'pict',	# Macintosh PICT image
+	'image/tiff'							=>	'tif',	# TIFF image
+	'application/pdf'						=>	'pdf',	# PDF image
+	'application/x-shockwave-flash'			=>	'swf',	# Shockwave Flash
+
+	'video/(x-)?msvideo'					=>	'avi',	# Microsoft Video
+	'video/quicktime'						=>	'mov',	# QuickTime Video
+	'video/mpeg'							=>	'mpeg',	# MPEG Video
+	'video/x-mpeg2'							=>	'mpv2', # MPEG2 Video
+
+	'audio/(x-)?midi?'						=>	'mid',	# MIDI Audio
+	'audio/(x-)?wav'						=>	'wav',	# WAV Audio
+	'audio/basic'							=>	'au',	# ULAW Audio
+	'audio/mpeg'							=>	'mpga',	# MPEG Audio
+
+	'application/(x-)?zip(-compressed)?'	=>	'zip',	# ZIP Compress
+
+	'text/html'								=>	'html', # HTML
+	'text/plain'							=>	'txt',	# TEXT
+	'(?:application|text)/(?:rtf|richtext)'	=>	'rtf',	# RichText
+
+	'application/msword'					=>	'doc',	# Microsoft Word
+	'application/vnd.ms-excel'				=>	'xls',	# Microsoft Excel
+
+	''
+);
+
+# Upload is permitted.
+# A regular expression is possible.
+my %UPLOAD_EXT_LIST = (
+	'png'					=>	'PNG image',
+	'p?jpe?g|jpe|jfif|pjp'	=>	'JPEG image',
+	'gif'					=>	'GIF image',
+	'xbm'					=>	'XBM image',
+
+	'bmp|dib|rle'			=>	'Windows BMP image',
+	'pi?ct'					=>	'Macintosh PICT image',
+	'tiff?'					=>	'TIFF image',
+	'pdf'					=>	'PDF image',
+	'swf'					=>	'Shockwave Flash',
+
+	'avi'					=>	'Microsoft Video',
+	'moo?v|qt'				=>	'QuickTime Video',
+	'm(p(e?gv?|e|v)|1v)'	=>	'MPEG Video',
+	'mp(v2|2v)'				=>	'MPEG2 Video',
+
+	'midi?|kar|smf|rmi|mff'	=>	'MIDI Audio',
+	'wav'					=>	'WAVE Audio',
+	'au|snd'				=>	'ULAW Audio',
+	'mp(e?ga|2|a|3)|abs'	=>	'MPEG Audio',
+
+	'zip'					=>	'ZIP Compress',
+	'lzh'					=>	'LZH Compress',
+	'cab'					=>	'CAB Compress',
+
+	'd?html?'				=>	'HTML',
+	'rtf|rtx'				=>	'RichText',
+	'txt|text'				=>	'Text',
+
+	''
+);
+
+
+# sjis or euc
+my $CHARCODE = 'sjis';
+
+$TRANS_2BYTE_CODE = 0;
+
+##############################################################################
+# Summary
+#
+# Form Read input
+#
+# Parameters
+# Returns
+# Memo
+##############################################################################
+sub read_input
+{
+eval("use File::Copy;");
+eval("use File::Path;");
+
+	my ($FORM) = @_;
+
+
+	mkdir($img_dir,0777);
+	chmod(0777,$img_dir);
+
+	undef $img_data_exists;
+	undef @NEWFNAMES;
+	undef @NEWFNAME_DATA;
+
+	if($ENV{'CONTENT_LENGTH'} > 10000000 || $ENV{'CONTENT_LENGTH'} > $MAX_CONTENT_SIZE * 1024) {
+		&upload_error(
+			'Size Error',
+			sprintf(
+				"Transmitting size is too large.MAX <strong>%d KB</strong> Now Size <strong>%d KB</strong>(<strong>%d bytes</strong> Over)",
+				$MAX_CONTENT_SIZE,
+				int($ENV{'CONTENT_LENGTH'} / 1024),
+				$ENV{'CONTENT_LENGTH'} - $MAX_CONTENT_SIZE * 1024
+			)
+		);
+	}
+
+	my $Buffer;
+	if($ENV{'CONTENT_TYPE'} =~ /multipart\/form-data/) {
+		# METHOD POST only
+		return	unless($ENV{'CONTENT_LENGTH'});
+
+		binmode(STDIN);
+		# STDIN A pause character is detected.'(MacIE3.0 boundary of $ENV{'CONTENT_TYPE'} cannot be trusted.)
+		my $Boundary = <STDIN>;
+		$Boundary =~ s/\x0D\x0A//;
+		$Boundary = quotemeta($Boundary);
+		while(<STDIN>) {
+			if(/^\s*Content-Disposition:/i) {
+				my($name,$ContentType,$FileName);
+				# form data get
+				if(/\bname="([^"]+)"/i || /\bname=([^\s:;]+)/i) {
+					$name = $1;
+					$name	=~ tr/+/ /;
+					$name	=~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
+					&Encode(\$name);
+				}
+				if(/\bfilename="([^"]*)"/i || /\bfilename=([^\s:;]*)/i) {
+					$FileName = $1 || 'unknown';
+				}
+				# head read
+				while(<STDIN>) {
+					last	if(! /\w/);
+					if(/^\s*Content-Type:\s*"([^"]+)"/i || /^\s*Content-Type:\s*([^\s:;]+)/i) {
+						$ContentType = $1;
+					}
+				}
+				# body read
+				$value = "";
+				while(<STDIN>) {
+					last	if(/^$Boundary/o);
+					$value .= $_;
+				};
+				$lastline = $_;
+				$value =~s /\x0D\x0A$//;
+				if($value ne '') {
+					if($FileName || $ContentType) {
+						$img_data_exists = 1;
+						(
+							$FileName,		#
+							$Ext,			#
+							$Length,		#
+							$ImageWidth,	#
+							$ImageHeight,	#
+							$ContentName	#
+						) = &CheckContentType(\$value,$FileName,$ContentType);
+						
+						$FORM{$name}	= $FileName;
+						$new_fname		= $FileName;
+						push(@NEWFNAME_DATA,"$FileName\t$Ext\t$Length\t$ImageWidth\t$ImageHeight\t$ContentName");
+
+						# Multi-upload correspondence
+						push(@NEWFNAMES,$new_fname);
+						open(OUT,">$img_dir/$new_fname");
+						binmode(OUT);
+						eval "flock(OUT,2);" if($PM{'flock'} == 1);
+						print OUT $value;
+						eval "flock(OUT,8);" if($PM{'flock'} == 1);
+						close(OUT);
+
+					} elsif($name) {
+						$value	=~ tr/+/ /;
+						$value	=~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
+						&Encode(\$value,'trans');
+						$FORM{$name} .= "\0"			if(defined($FORM{$name}));
+						$FORM{$name} .= $value;
+					}
+				}
+			};
+			last if($lastline =~ /^$Boundary\-\-/o);
+		}
+	} elsif($ENV{'CONTENT_LENGTH'}) {
+		read(STDIN,$Buffer,$ENV{'CONTENT_LENGTH'});
+	}
+	foreach(split(/&/,$Buffer),split(/&/,$ENV{'QUERY_STRING'})) {
+		my($name, $value) = split(/=/);
+		$name	=~ tr/+/ /;
+		$name	=~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
+		$value	=~ tr/+/ /;
+		$value	=~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
+
+		&Encode(\$name);
+		&Encode(\$value,'trans');
+		$FORM{$name} .= "\0"			if(defined($FORM{$name}));
+		$FORM{$name} .= $value;
+
+	}
+
+}
+
+##############################################################################
+# Summary
+#
+#	CheckContentType
+#
+# Parameters
+# Returns
+# Memo
+##############################################################################
+sub CheckContentType
+{
+
+	my($DATA,$FileName,$ContentType) = @_;
+	my($Ext,$ImageWidth,$ImageHeight,$ContentName,$Infomation);
+	my $DataLength = length($$DATA);
+
+	# An unknown file type
+
+	$_ = $ContentType;
+	my $UnknownType = (
+		!$_
+		|| /^application\/(x-)?macbinary$/i
+		|| /^application\/applefile$/i
+		|| /^application\/octet-stream$/i
+		|| /^text\/plane$/i
+		|| /^x-unknown-content-type/i
+	);
+
+	# MacBinary(Mac Unnecessary data are deleted.)
+	if($UnknownType || $ENV{'HTTP_USER_AGENT'} =~ /Macintosh|Mac_/) {
+		if($DataLength > 128 && !unpack("C",substr($$DATA,0,1)) && !unpack("C",substr($$DATA,74,1)) && !unpack("C",substr($$DATA,82,1)) ) {
+			my $MacBinary_ForkLength = unpack("N", substr($$DATA, 83, 4));		# ForkLength Get
+			my $MacBinary_FileName = quotemeta(substr($$DATA, 2, unpack("C",substr($$DATA, 1, 1))));
+			if($MacBinary_FileName && $MacBinary_ForkLength && $DataLength >= $MacBinary_ForkLength + 128
+					&& ($FileName =~ /$MacBinary_FileName/i || substr($$DATA,102,4) eq 'mBIN')) {	# DATA TOP 128byte MacBinary!!
+				$$DATA				= substr($$DATA,128,$MacBinary_ForkLength);
+				my $ResourceLength	= $DataLength - $MacBinary_ForkLength - 128;
+				$DataLength			= $MacBinary_ForkLength;
+			}
+		}
+	}
+
+	# A file name is changed into EUC.
+#	&jcode::convert(\$FileName,'euc',$FormCodeDefault);
+#	&jcode::h2z_euc(\$FileName);
+	$FileName =~ s/^.*\\//;					# Windows, Mac
+	$FileName =~ s/^.*\///;					# UNIX
+	$FileName =~ s/&/&amp;/g;
+	$FileName =~ s/"/&quot;/g;
+	$FileName =~ s/</&lt;/g;
+	$FileName =~ s/>/&gt;/g;
+#
+#	if($CHARCODE ne 'euc') {
+#		&jcode::convert(\$FileName,$CHARCODE,'euc');
+#	}
+
+	# An extension is extracted and it changes into a small letter.
+	my $FileExt;
+	if($FileName =~ /\.(\w+)$/) {
+		$FileExt = $1;
+		$FileExt =~ tr/A-Z/a-z/;
+	}
+
+	# Executable file detection (ban on upload)
+	if($$DATA =~ /^MZ/) {
+		$Ext = 'exe';
+	}
+	# text
+	if(!$Ext && ($UnknownType || $ContentType =~ /^text\//i || $ContentType =~ /^application\/(?:rtf|richtext)$/i || $ContentType =~ /^image\/x-xbitmap$/i)
+				&& ! $$DATA =~ /[\000-\006\177\377]/) {
+#		$$DATA =~ s/\x0D\x0A/\n/g;
+#		$$DATA =~ tr/\x0D\x0A/\n\n/;
+#
+#		if(
+#			$$DATA =~ /<\s*SCRIPT(?:.|\n)*?>/i
+#				|| $$DATA =~ /<\s*(?:.|\n)*?\bONLOAD\s*=(?:.|\n)*?>/i
+#				|| $$DATA =~ /<\s*(?:.|\n)*?\bONCLICK\s*=(?:.|\n)*?>/i
+#				) {
+#			$Infomation = '(JavaScript contains)';
+#		}
+#		if($$DATA =~ /<\s*TABLE(?:.|\n)*?>/i
+#				|| $$DATA =~ /<\s*BLINK(?:.|\n)*?>/i
+#				|| $$DATA =~ /<\s*MARQUEE(?:.|\n)*?>/i
+#				|| $$DATA =~ /<\s*OBJECT(?:.|\n)*?>/i
+#				|| $$DATA =~ /<\s*EMBED(?:.|\n)*?>/i
+#				|| $$DATA =~ /<\s*FRAME(?:.|\n)*?>/i
+#				|| $$DATA =~ /<\s*APPLET(?:.|\n)*?>/i
+#				|| $$DATA =~ /<\s*FORM(?:.|\n)*?>/i
+#				|| $$DATA =~ /<\s*(?:.|\n)*?\bSRC\s*=(?:.|\n)*?>/i
+#				|| $$DATA =~ /<\s*(?:.|\n)*?\bDYNSRC\s*=(?:.|\n)*?>/i
+#				) {
+#			$Infomation = '(the HTML tag which is not safe is included)';
+#		}
+
+		if($FileExt =~ /^txt$/i || $FileExt =~ /^cgi$/i || $FileExt =~ /^pl$/i) {								# Text File
+			$Ext = 'txt';
+		} elsif($ContentType =~ /^text\/html$/i || $FileExt =~ /html?/i || $$DATA =~ /<\s*HTML(?:.|\n)*?>/i) {	# HTML File
+			$Ext = 'html';
+		} elsif($ContentType =~ /^image\/x-xbitmap$/i || $FileExt =~ /^xbm$/i) {								# XBM(x-BitMap) Image
+			my $XbmName = $1;
+			my ($XbmWidth, $XbmHeight);
+			if($$DATA =~ /\#define\s*$XbmName\_width\s*(\d+)/i) {
+				$XbmWidth = $1;
+			}
+			if($$DATA =~ /\#define\s*$XbmName\_height\s*(\d+)/i) {
+				$XbmHeight = $1;
+			}
+			if($XbmWidth && $XbmHeight) {
+				$Ext = 'xbm';
+				$ImageWidth		= $XbmWidth;
+				$ImageHeight	= $XbmHeight;
+			}
+		} else {		# 
+			$Ext = 'txt';
+		}
+	}
+
+	# image
+	if(!$Ext && ($UnknownType || $ContentType =~ /^image\//i)) {
+		# PNG
+		if($$DATA =~ /^\x89PNG\x0D\x0A\x1A\x0A/) {
+			if(substr($$DATA, 12, 4) eq 'IHDR') {
+				$Ext = 'png';
+				($ImageWidth, $ImageHeight) = unpack("N2", substr($$DATA, 16, 8));
+			}
+		} elsif($$DATA =~ /^GIF8(?:9|7)a/) {															# GIF89a(modified), GIF89a, GIF87a
+			$Ext = 'gif';
+			($ImageWidth, $ImageHeight) = unpack("v2", substr($$DATA, 6, 4));
+		} elsif($$DATA =~ /^II\x2a\x00\x08\x00\x00\x00/ || $$DATA =~ /^MM\x00\x2a\x00\x00\x00\x08/) {	# TIFF
+			$Ext = 'tif';
+		} elsif($$DATA =~ /^BM/) {																		# BMP
+			$Ext = 'bmp';
+		} elsif($$DATA =~ /^\xFF\xD8\xFF/ || $$DATA =~ /JFIF/) {										# JPEG
+			my $HeaderPoint = index($$DATA, "\xFF\xD8\xFF", 0);
+			my $Point = $HeaderPoint + 2;
+			while($Point < $DataLength) {
+				my($Maker, $MakerType, $MakerLength) = unpack("C2n",substr($$DATA,$Point,4));
+				if($Maker != 0xFF || $MakerType == 0xd9 || $MakerType == 0xda) {
+					last;
+				} elsif($MakerType >= 0xC0 && $MakerType <= 0xC3) {
+					$Ext = 'jpg';
+					($ImageHeight, $ImageWidth) = unpack("n2", substr($$DATA, $Point + 5, 4));
+					if($HeaderPoint > 0) {
+						$$DATA = substr($$DATA, $HeaderPoint);
+						$DataLength = length($$DATA);
+					}
+					last;
+				} else {
+					$Point += $MakerLength + 2;
+				}
+			}
+		}
+	}
+
+	# audio
+	if(!$Ext && ($UnknownType || $ContentType =~ /^audio\//i)) {
+		# MIDI Audio
+		if($$DATA =~ /^MThd/) {
+			$Ext = 'mid';
+		} elsif($$DATA =~ /^\x2esnd/) {		# ULAW Audio
+			$Ext = 'au';
+		} elsif($$DATA =~ /^RIFF/ || $$DATA =~ /^ID3/ && $$DATA =~ /RIFF/) {
+			my $HeaderPoint = index($$DATA, "RIFF", 0);
+			$_ = substr($$DATA, $HeaderPoint + 8, 8);
+			if(/^WAVEfmt $/) {
+				# WAVE
+				if(unpack("V",substr($$DATA, $HeaderPoint + 16, 4)) == 16) {
+					$Ext = 'wav';
+				} else {					# RIFF WAVE MP3
+					$Ext = 'mp3';
+				}
+			} elsif(/^RMIDdata$/) {			# RIFF MIDI
+				$Ext = 'rmi';
+			} elsif(/^RMP3data$/) {			# RIFF MP3
+				$Ext = 'rmp';
+			}
+			if($ContentType =~ /^audio\//i) {
+				$Infomation .= '(RIFF '. substr($$DATA, $HeaderPoint + 8, 4). ')';
+			}
+		}
+	}
+
+	# a binary file
+	unless ($Ext) {
+		# PDF image
+		if($$DATA =~ /^\%PDF/) {
+			# Picture size is not measured.
+			$Ext = 'pdf';
+		} elsif($$DATA =~ /^FWS/) {		# Shockwave Flash
+			$Ext = 'swf';
+		} elsif($$DATA =~ /^RIFF/ || $$DATA =~ /^ID3/ && $$DATA =~ /RIFF/) {
+			my $HeaderPoint = index($$DATA, "RIFF", 0);
+			$_ = substr($$DATA,$HeaderPoint + 8, 8);
+			# AVI
+			if(/^AVI LIST$/) {
+				$Ext = 'avi';
+			}
+			if($ContentType =~ /^video\//i) {
+				$Infomation .= '(RIFF '. substr($$DATA, $HeaderPoint + 8, 4). ')';
+			}
+		} elsif($$DATA =~ /^PK/) {			# ZIP Compress File
+			$Ext = 'zip';
+		} elsif($$DATA =~ /^MSCF/) {		# CAB Compress File
+			$Ext = 'cab';
+		} elsif($$DATA =~ /^Rar\!/) {		# RAR Compress File
+			$Ext = 'rar';
+		} elsif(substr($$DATA, 2, 5) =~ /^\-lh(\d+|d)\-$/) {		# LHA Compress File
+			$Infomation .= "(lh$1)";
+			$Ext = 'lzh';
+		} elsif(substr($$DATA, 325, 25) eq "Apple Video Media Handler" || substr($$DATA, 325, 30) eq "Apple \x83\x72\x83\x66\x83\x49\x81\x45\x83\x81\x83\x66\x83\x42\x83\x41\x83\x6E\x83\x93\x83\x68\x83\x89") {
+			# QuickTime
+			$Ext = 'mov';
+		}
+	}
+
+	# Header analysis failure
+	unless ($Ext) {
+		# It will be followed if it applies for the MIME type from the browser.
+		foreach (keys %UPLOAD_CONTENT_TYPE_LIST) {
+			next unless ($_);
+			if($ContentType =~ /^$_$/i) {
+				$Ext = $UPLOAD_CONTENT_TYPE_LIST{$_};
+				$ContentName = &CheckContentExt($Ext);
+				if(
+					grep {$_ eq $Ext;} (
+						'png',
+						'gif',
+						'jpg',
+						'xbm',
+						'tif',
+						'bmp',
+						'pdf',
+						'swf',
+						'mov',
+						'zip',
+						'cab',
+						'lzh',
+						'rar',
+						'mid',
+						'rmi',
+						'au',
+						'wav',
+						'avi',
+						'exe'
+					)
+				) {
+					$Infomation .= ' / Header analysis failure';
+				}
+				if($Ext ne $FileExt && &CheckContentExt($FileExt) eq $ContentName) {
+					$Ext = $FileExt;
+				}
+				last;
+			}
+		}
+		# a MIME type is unknown--It judges from an extension.
+		unless ($Ext) {
+			$ContentName = &CheckContentExt($FileExt);
+			if($ContentName) {
+				$Ext = $FileExt;
+				$Infomation .= ' /	MIME type is unknown('. $ContentType. ')';
+				last;
+			}
+		}
+	}
+
+#	$ContentName = &CheckContentExt($Ext)	unless($ContentName);
+#	if($Ext && $ContentName) {
+#		$ContentName .=  $Infomation;
+#	} else {
+#		&upload_error(
+#			'Extension Error',
+#			"$FileName A not corresponding extension ($Ext)<BR>The extension which can be responded ". join(',', sort values(%UPLOAD_EXT_LIST))
+#		);
+#	}
+
+#	# SSI Tag Deletion
+#	if($Ext =~ /.?html?/ && $$DATA =~ /<\!/) {
+#		foreach (
+#			'config',
+#			'echo',
+#			'exec',
+#			'flastmod',
+#			'fsize',
+#			'include'
+#		) {
+#			$$DATA =~ s/\#\s*$_/\&\#35\;$_/ig
+#		}
+#	}
+
+	return (
+		$FileName,
+		$Ext,
+		int($DataLength / 1024 + 1),
+		$ImageWidth,
+		$ImageHeight,
+		$ContentName
+	);
+}
+
+##############################################################################
+# Summary
+#
+# Extension discernment
+#
+# Parameters
+# Returns
+# Memo
+##############################################################################
+
+sub CheckContentExt
+{
+
+	my($Ext) = @_;
+	my $ContentName;
+	foreach (keys %UPLOAD_EXT_LIST) {
+		next	unless ($_);
+		if($_ && $Ext =~ /^$_$/) {
+			$ContentName = $UPLOAD_EXT_LIST{$_};
+			last;
+		}
+	}
+	return $ContentName;
+
+}
+
+##############################################################################
+# Summary
+#
+# Form decode
+#
+# Parameters
+# Returns
+# Memo
+##############################################################################
+sub Encode
+{
+
+	my($value,$Trans) = @_;
+
+#	my $FormCode = &jcode::getcode($value) || $FormCodeDefault;
+#	$FormCodeDefault ||= $FormCode;
+#
+#	if($Trans && $TRANS_2BYTE_CODE) {
+#		if($FormCode ne 'euc') {
+#			&jcode::convert($value, 'euc', $FormCode);
+#		}
+#		&jcode::tr(
+#			$value,
+#			"\xA3\xB0-\xA3\xB9\xA3\xC1-\xA3\xDA\xA3\xE1-\xA3\xFA",
+#			'0-9A-Za-z'
+#		);
+#		if($CHARCODE ne 'euc') {
+#			&jcode::convert($value,$CHARCODE,'euc');
+#		}
+#	} else {
+#		if($CHARCODE ne $FormCode) {
+#			&jcode::convert($value,$CHARCODE,$FormCode);
+#		}
+#	}
+#	if($CHARCODE eq 'euc') {
+#		&jcode::h2z_euc($value);
+#	} elsif($CHARCODE eq 'sjis') {
+#		&jcode::h2z_sjis($value);
+#	}
+
+}
+
+##############################################################################
+# Summary
+#
+# Error Msg
+#
+# Parameters
+# Returns
+# Memo
+##############################################################################
+
+sub upload_error
+{
+
+	local($error_message)	= $_[0];
+	local($error_message2)	= $_[1];
+
+	print "Content-type: text/html\n\n";
+	print<<EOF;
+<HTML>
+<HEAD>
+<TITLE>Error Message</TITLE></HEAD>
+<BODY>
+<table border="1" cellspacing="10" cellpadding="10">
+	<TR bgcolor="#0000B0">
+	<TD bgcolor="#0000B0" NOWRAP><font size="-1" color="white"><B>Error Message</B></font></TD>
+	</TR>
+</table>
+<UL>
+<H4> $error_message </H4>
+$error_message2 <BR>
+</UL>
+</BODY>
+</HTML>
+EOF
+	&rm_tmp_uploaded_files; 		# Image Temporary deletion
+	exit;
+}
+
+##############################################################################
+# Summary
+#
+# Image Temporary deletion
+#
+# Parameters
+# Returns
+# Memo
+##############################################################################
+
+sub rm_tmp_uploaded_files
+{
+	if($img_data_exists == 1){
+		sleep 1;
+		foreach $fname_list(@NEWFNAMES) {
+			if(-e "$img_dir/$fname_list") {
+				unlink("$img_dir/$fname_list");
+			}
+		}
+	}
+
+}
+1;
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/util.pl soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/util.pl
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/util.pl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/perl/util.pl	2005-06-11 10:27:21.000000000 +0900
@@ -0,0 +1,42 @@
+#####
+#  FCKeditor - The text editor for internet
+#  Copyright (C) 2003-2005 Frederico Caldeira Knabben
+#  
+#  Licensed under the terms of the GNU Lesser General Public License:
+#  		http://www.opensource.org/licenses/lgpl-license.php
+#  
+#  For further information visit:
+#  		http://www.fckeditor.net/
+#  
+#  File Name: util.pl
+#  	This is the File Manager Connector for Perl.
+#  
+#  File Authors:
+#  		Takashi Yamaguchi (jack@omakase.net)
+#####
+
+sub RemoveFromStart
+{
+	local($sourceString, $charToRemove) = @_;
+	$sPattern = '^' . $charToRemove . '+' ;
+	$sourceString =~ s/^$charToRemove+//g;
+	return $sourceString;
+}
+
+sub RemoveFromEnd
+{
+	local($sourceString, $charToRemove) = @_;
+	$sPattern = $charToRemove . '+$' ;
+	$sourceString =~ s/$charToRemove+$//g;
+	return $sourceString;
+}
+
+sub ConvertToXmlAttribute
+{
+	local($value) = @_;
+	return $value;
+#	return utf8_encode(htmlspecialchars($value));
+
+}
+
+1;
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/basexml.php soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/basexml.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/basexml.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/basexml.php	2005-06-11 10:27:13.000000000 +0900
@@ -0,0 +1,34 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: basexml.php
+ * 	This is the File Manager Connector for ASP.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+function CreateXmlHeader( $command, $resourceType, $currentFolder )
+{
+	// Create the XML document header.
+	echo '<?xml version="1.0" encoding="utf-8" ?>' ;
+
+	// Create the main "Connector" node.
+	echo '<Connector command="' . $command . '" resourceType="' . $resourceType . '">' ;
+	
+	// Add the current folder node.
+	echo '<CurrentFolder path="' . ConvertToXmlAttribute( $currentFolder ) . '" url="' . ConvertToXmlAttribute( GetUrlFromPath( $resourceType, $currentFolder ) ) . '" />' ;
+}
+
+function CreateXmlFooter()
+{
+	echo '</Connector>' ;
+}
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/commands.php soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/commands.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/commands.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/commands.php	2005-06-11 10:27:13.000000000 +0900
@@ -0,0 +1,186 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: commands.php
+ * 	This is the File Manager Connector for ASP.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+function GetFolders( $resourceType, $currentFolder )
+{
+	// Map the virtual path to the local server path.
+	$sServerDir = ServerMapFolder( $resourceType, $currentFolder ) ;
+
+	// Open the "Folders" node.
+	echo "<Folders>" ;
+
+	$oCurrentFolder = opendir( $sServerDir ) ;
+
+	while ( $sFile = readdir( $oCurrentFolder ) )
+	{
+		if ( $sFile != '.' && $sFile != '..' && is_dir( $sServerDir . $sFile ) )
+			echo '<Folder name="' . ConvertToXmlAttribute( $sFile ) . '" />' ;
+	}
+
+	closedir( $oCurrentFolder ) ;
+
+	// Close the "Folders" node.
+	echo "</Folders>" ;
+}
+
+function GetFoldersAndFiles( $resourceType, $currentFolder )
+{
+	// Map the virtual path to the local server path.
+	$sServerDir = ServerMapFolder( $resourceType, $currentFolder ) ;
+
+	// Initialize the output buffers for "Folders" and "Files".
+	$sFolders	= '<Folders>' ;
+	$sFiles		= '<Files>' ;
+
+	$oCurrentFolder = opendir( $sServerDir ) ;
+
+	while ( $sFile = readdir( $oCurrentFolder ) )
+	{
+		if ( $sFile != '.' && $sFile != '..' )
+		{
+			if ( is_dir( $sServerDir . $sFile ) )
+				$sFolders .= '<Folder name="' . ConvertToXmlAttribute( $sFile ) . '" />' ;
+			else
+			{
+				$iFileSize = filesize( $sServerDir . $sFile ) ;
+				if ( $iFileSize > 0 )
+				{
+					$iFileSize = round( $iFileSize / 1024 ) ;
+					if ( $iFileSize < 1 ) $iFileSize = 1 ;
+				}
+
+				$sFiles	.= '<File name="' . ConvertToXmlAttribute( $sFile ) . '" size="' . $iFileSize . '" />' ;
+			}
+		}
+	}
+
+	echo $sFolders ;
+	// Close the "Folders" node.
+	echo '</Folders>' ;
+
+	echo $sFiles ;
+	// Close the "Files" node.
+	echo '</Files>' ;
+}
+
+function CreateFolder( $resourceType, $currentFolder )
+{
+	$sErrorNumber	= '0' ;
+	$sErrorMsg		= '' ;
+
+	if ( isset( $_GET['NewFolderName'] ) )
+	{
+		$sNewFolderName = $_GET['NewFolderName'] ;
+
+		// Map the virtual path to the local server path of the current folder.
+		$sServerDir = ServerMapFolder( $resourceType, $currentFolder ) ;
+
+		if ( is_writable( $sServerDir ) )
+		{
+			$sServerDir .= $sNewFolderName ;
+
+			$sErrorMsg = CreateServerFolder( $sServerDir ) ;
+
+			switch ( $sErrorMsg )
+			{
+				case '' :
+					$sErrorNumber = '0' ;
+					break ;
+				case 'Invalid argument' :
+				case 'No such file or directory' :
+					$sErrorNumber = '102' ;		// Path too long.
+					break ;
+				default :
+					$sErrorNumber = '110' ;
+					break ;
+			}
+		}
+		else
+			$sErrorNumber = '103' ;
+	}
+	else
+		$sErrorNumber = '102' ;
+
+	// Create the "Error" node.
+	echo '<Error number="' . $sErrorNumber . '" originalDescription="' . ConvertToXmlAttribute( $sErrorMsg ) . '" />' ;
+}
+
+function FileUpload( $resourceType, $currentFolder )
+{
+	$sErrorNumber = '0' ;
+	$sFileName = '' ;
+
+	if ( isset( $_FILES['NewFile'] ) && !is_null( $_FILES['NewFile']['tmp_name'] ) )
+	{
+		$oFile = $_FILES['NewFile'] ;
+
+		// Map the virtual path to the local server path.
+		$sServerDir = ServerMapFolder( $resourceType, $currentFolder ) ;
+
+		// Get the uploaded file name.
+		$sFileName = $oFile['name'] ;
+		$sOriginalFileName = $sFileName ;
+		$sExtension = substr( $sFileName, ( strrpos($sFileName, '.') + 1 ) ) ;
+		$sExtension = strtolower( $sExtension ) ;
+
+		global $Config ;
+
+		$arAllowed	= $Config['AllowedExtensions'][$resourceType] ;
+		$arDenied	= $Config['DeniedExtensions'][$resourceType] ;
+
+		if ( ( count($arAllowed) == 0 || in_array( $sExtension, $arAllowed ) ) && ( count($arDenied) == 0 || !in_array( $sExtension, $arDenied ) ) )
+		{
+			$iCounter = 0 ;
+
+			while ( true )
+			{
+				$sFilePath = $sServerDir . $sFileName ;
+
+				if ( is_file( $sFilePath ) )
+				{
+					$iCounter++ ;
+					$sFileName = RemoveExtension( $sOriginalFileName ) . '(' . $iCounter . ').' . $sExtension ;
+					$sErrorNumber = '201' ;
+				}
+				else
+				{
+					move_uploaded_file( $oFile['tmp_name'], $sFilePath ) ;
+
+					if ( is_file( $sFilePath ) )
+					{
+						$oldumask = umask(0) ;
+						chmod( $sFilePath, 0777 ) ;
+						umask( $oldumask ) ;
+					}
+
+					break ;
+				}
+			}
+		}
+		else
+			$sErrorNumber = '202' ;
+	}
+	else
+		$sErrorNumber = '202' ;
+
+	echo '<script type="text/javascript">' ;
+	echo 'window.parent.frames["frmUpload"].OnUploadCompleted(' . $sErrorNumber . ',"' . str_replace( '"', '\\"', $sFileName ) . '") ;' ;
+	echo '</script>' ;
+
+	exit ;
+}
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/config.php soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/config.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/config.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/config.php	2005-06-11 10:27:13.000000000 +0900
@@ -0,0 +1,36 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: config.php
+ * 	Configuration file for the File Manager Connector for PHP.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+global $Config ;
+
+// Path to user files relative to the document root.
+// SECURITY TIP: Uncomment the following line to set a fixed path.
+//$Config['UserFilesPath'] = '/UserFiles/' ;
+
+$Config['AllowedExtensions']['File']	= array() ;
+$Config['DeniedExtensions']['File']		= array('php','asp','aspx','ascx','jsp','cfm','cfc','pl','bat','exe','dll','reg') ;
+
+$Config['AllowedExtensions']['Image']	= array('jpg','gif','jpeg','png') ;
+$Config['DeniedExtensions']['Image']	= array() ;
+
+$Config['AllowedExtensions']['Flash']	= array('swf','fla') ;
+$Config['DeniedExtensions']['Flash']	= array() ;
+
+$Config['AllowedExtensions']['Media']	= array('swf','fla','jpg','gif','jpeg','png','avi','mpg','mpeg') ;
+$Config['DeniedExtensions']['Media']	= array() ;
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/connector.php soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/connector.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/connector.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/connector.php	2005-06-11 10:27:13.000000000 +0900
@@ -0,0 +1,102 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: connector.php
+ * 	This is the File Manager Connector for PHP.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+include('config.php') ;
+include('util.php') ;
+include('io.php') ;
+include('basexml.php') ;
+include('commands.php') ;
+
+// Get the "UserFiles" path.
+$GLOBALS["UserFilesPath"] = '' ;
+
+if ( isset( $Config['UserFilesPath'] ) )
+	$GLOBALS["UserFilesPath"] = $Config['UserFilesPath'] ;
+else if ( isset( $_GET['ServerPath'] ) )
+	$GLOBALS["UserFilesPath"] = $_GET['ServerPath'] ;
+else
+	$GLOBALS["UserFilesPath"] = '/UserFiles/' ;
+
+if ( ! ereg( '/$', $GLOBALS["UserFilesPath"] ) )
+	$GLOBALS["UserFilesPath"] .= '/' ;
+
+// Map the "UserFiles" path to a local directory.
+//$GLOBALS["UserFilesDirectory"] = GetRootPath() . str_replace( '/', '\\', $GLOBALS["UserFilesPath"] ) ;
+$GLOBALS["UserFilesDirectory"] = GetRootPath() . $GLOBALS["UserFilesPath"] ;
+
+DoResponse() ;
+
+function DoResponse()
+{
+	if ( !isset( $_GET['Command'] ) || !isset( $_GET['Type'] ) || !isset( $_GET['CurrentFolder'] ) )
+		return ;
+
+	// Get the main request informaiton.
+	$sCommand		= $_GET['Command'] ;
+	$sResourceType	= $_GET['Type'] ;
+	$sCurrentFolder	= $_GET['CurrentFolder'] ;
+
+	// Check if it is an allowed type.
+	if ( !in_array( $sResourceType, array('File','Image','Flash','Media') ) )
+		return ;
+
+	// Check the current folder syntax (must begin and start with a slash).
+	if ( ! ereg( '/$', $sCurrentFolder ) ) $sCurrentFolder .= '/' ;
+	if ( strpos( $sCurrentFolder, '/' ) !== 0 ) $sCurrentFolder = '/' . $sCurrentFolder ;
+
+	// File Upload doesn't have to Return XML, so it must be intercepted before anything.
+	if ( $sCommand == 'FileUpload' )
+	{
+		FileUpload( $sResourceType, $sCurrentFolder ) ;
+		return ;
+	}
+
+	// Prevent the browser from caching the result.
+	// Date in the past
+	header('Expires: Mon, 26 Jul 1997 05:00:00 GMT') ;
+	// always modified
+	header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT') ;
+	// HTTP/1.1
+	header('Cache-Control: no-store, no-cache, must-revalidate') ;
+	header('Cache-Control: post-check=0, pre-check=0', false) ;
+	// HTTP/1.0
+	header('Pragma: no-cache') ;
+
+	// Set the response format.
+	header( 'Content-Type:text/xml; charset=utf-8' ) ;
+
+	CreateXmlHeader( $sCommand, $sResourceType, $sCurrentFolder ) ;
+
+	// Execute the required command.
+	switch ( $sCommand )
+	{
+		case 'GetFolders' :
+			GetFolders( $sResourceType, $sCurrentFolder ) ;
+			break ;
+		case 'GetFoldersAndFiles' :
+			GetFoldersAndFiles( $sResourceType, $sCurrentFolder ) ;
+			break ;
+		case 'CreateFolder' :
+			CreateFolder( $sResourceType, $sCurrentFolder ) ;
+			break ;
+	}
+
+	CreateXmlFooter() ;
+
+	exit ;
+}
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/io.php soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/io.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/io.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/io.php	2005-06-11 10:27:13.000000000 +0900
@@ -0,0 +1,98 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: io.php
+ * 	This is the File Manager Connector for ASP.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+function GetUrlFromPath( $resourceType, $folderPath )
+{
+	if ( $resourceType == '' )
+		return RemoveFromEnd( $GLOBALS["UserFilesPath"], '/' ) . $folderPath ;
+	else
+		return $GLOBALS["UserFilesPath"] . $resourceType . $folderPath ;
+}
+
+function RemoveExtension( $fileName )
+{
+	return substr( $fileName, 0, strrpos( $fileName, '.' ) ) ;
+}
+
+function ServerMapFolder( $resourceType, $folderPath )
+{
+	// Get the resource type directory.
+//	$sResourceTypePath = $GLOBALS["UserFilesDirectory"] . $resourceType . '\\' ;
+	$sResourceTypePath = $GLOBALS["UserFilesDirectory"] . $resourceType . '/' ;
+
+	// Ensure that the directory exists.
+	CreateServerFolder( $sResourceTypePath ) ;
+
+	// Return the resource type directory combined with the required path.
+//	return $sResourceTypePath . str_replace( '/', '\\', RemoveFromStart( $folderPath, '/' ) ) ;
+	return $sResourceTypePath . RemoveFromStart( $folderPath, '/' ) ;
+}
+
+function GetParentFolder( $folderPath )
+{
+	$sPattern = "-[/\\\\][^/\\\\]+[/\\\\]?$-" ;
+	return preg_replace( $sPattern, '', $folderPath ) ;
+}
+
+function CreateServerFolder( $folderPath )
+{
+	$sParent = GetParentFolder( $folderPath ) ;
+
+	// Check if the parent exists, or create it.
+	if ( !file_exists( $sParent ) )
+	{
+		$sErrorMsg = CreateServerFolder( $sParent ) ;
+		if ( $sErrorMsg != '' )
+			return $sErrorMsg ;
+	}
+
+	if ( !file_exists( $folderPath ) )
+	{
+		// Turn off all error reporting.
+		error_reporting( 0 ) ;
+		// Enable error tracking to catch the error.
+		ini_set( 'track_errors', '1' ) ;
+
+		// To create the folder with 0777 permissions, we need to set umask to zero.
+		$oldumask = umask(0) ;
+		mkdir( $folderPath, 0777 ) ;
+		umask( $oldumask ) ;
+
+		$sErrorMsg = $php_errormsg ;
+
+		// Restore the configurations.
+		ini_restore( 'track_errors' ) ;
+		ini_restore( 'error_reporting' ) ;
+
+		return $sErrorMsg ;
+	}
+	else
+		return '' ;
+}
+
+function GetRootPath()
+{
+	$sRealPath = realpath( './' ) ;
+
+//	$sSelfPath = str_replace( '/', '\\', $_SERVER['PHP_SELF'] ) ;
+	$sSelfPath = $_SERVER['PHP_SELF'] ;
+//	$sSelfPath = substr( $sSelfPath, 0, strrpos( $sSelfPath, '\\' ) ) ;
+	$sSelfPath = substr( $sSelfPath, 0, strrpos( $sSelfPath, '/' ) ) ;
+
+	return substr( $sRealPath, 0, strlen( $sRealPath ) - strlen( $sSelfPath ) ) ;
+}
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/util.php soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/util.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/php/util.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/php/util.php	2005-06-11 10:27:13.000000000 +0900
@@ -0,0 +1,34 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: util.php
+ * 	This is the File Manager Connector for ASP.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+function RemoveFromStart( $sourceString, $charToRemove )
+{
+	$sPattern = '|^' . $charToRemove . '+|' ;
+	return preg_replace( $sPattern, '', $sourceString ) ;
+}
+
+function RemoveFromEnd( $sourceString, $charToRemove )
+{
+	$sPattern = '|' . $charToRemove . '+$|' ;
+	return preg_replace( $sPattern, '', $sourceString ) ;
+}
+
+function ConvertToXmlAttribute( $value )
+{
+	return utf8_encode( htmlspecialchars( $value ) ) ;
+}
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/test.html soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/test.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/connectors/test.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/connectors/test.html	2005-06-11 10:27:30.000000000 +0900
@@ -0,0 +1,147 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<title>FCKeditor - Connectors Tests</title>
+		<script language="javascript">
+
+function BuildBaseUrl( command )
+{
+	var sUrl =  
+		document.getElementById('cmbConnector').value +
+		'?Command=' + command +
+		'&Type=' + document.getElementById('cmbType').value +
+		'&CurrentFolder=' + document.getElementById('txtFolder').value ;
+	
+	var sServerPath = document.getElementById('txtServerPath').value ;
+	if ( sServerPath.length > 0 && sServerPath.toLowerCase() != '/userfiles/' )
+		sUrl += '&ServerPath=' + sServerPath ;
+	
+	return sUrl ;
+}
+
+function SetFrameUrl( url )
+{
+	if ( document.all )
+		eRunningFrame.document.location = url ;
+	else
+		document.getElementById('eRunningFrame').src = url ;
+		
+	document.getElementById('eUrl').innerHTML = url ;
+}
+
+function GetFolders()
+{	
+	SetFrameUrl( BuildBaseUrl( 'GetFolders' ) ) ;
+	return false ;
+}
+
+function GetFoldersAndFiles()
+{
+	SetFrameUrl( BuildBaseUrl( 'GetFoldersAndFiles' ) ) ;
+	return false ;
+}
+
+function CreateFolder()
+{
+	var sFolder = prompt( 'Type the folder name:', 'Test Folder' ) ;
+	
+	if ( ! sFolder )
+		return ;
+	
+	var sUrl = BuildBaseUrl( 'CreateFolder' ) ;
+	sUrl += '&NewFolderName=' + escape( sFolder ) ;
+
+	SetFrameUrl( sUrl ) ;
+	return false ;
+}
+
+function OnUploadCompleted( errorNumber, fileName )
+{
+	switch ( errorNumber )
+	{
+		case 0 :
+			alert( 'File uploaded with no errors' ) ;
+			break ;
+		case 201 :
+			GetFoldersAndFiles()
+			alert( 'A file with the same name is already available. The uploaded file has been renamed to "' + fileName + '"' ) ;
+			break ;
+		case 202 :
+			alert( 'Invalid file' ) ;
+			break ;
+		default :
+			alert( 'Error on file upload. Error number: ' + errorNumber ) ;
+			break ;
+	}
+}
+
+this.frames.frmUpload = this ;
+
+function SetAction()
+{
+	var sUrl = BuildBaseUrl( 'FileUpload' ) ;
+	document.getElementById('eUrl').innerHTML = sUrl ;
+	document.getElementById('frmUpload').action = sUrl ;
+}
+
+		</script>
+	</head>
+	<body>
+		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+			<tr>
+				<td>
+					<table cellSpacing="0" cellPadding="0" border="0">
+						<tr>
+							<td>Connector:<br>
+								<select id="cmbConnector" name="cmbConnector">
+									<option value="asp/connector.asp" selected>ASP</option>
+									<option value="aspx/connector.aspx">ASP.Net</option>
+									<option value="cfm/connector.cfm">ColdFusion</option>
+									<option value="perl/connector.cgi">Perl</option>
+									<option value="php/connector.php">PHP</option>
+								</select></td>
+							<td>&nbsp;&nbsp;&nbsp;</td>
+							<td>Current Folder<BR>
+								<INPUT id="txtFolder" type="text" value="/" name="txtFolder"></td>
+							<td>&nbsp;&nbsp;&nbsp;</td>
+							<td>Resource Type<BR>
+								<select id="cmbType" name="cmbType">
+									<option value="File" selected>File</option>
+									<option value="Image">Image</option>
+									<option value="Flash">Flash</option>
+									<option value="Media">Media</option>
+								</select></td>
+							<TD>&nbsp;&nbsp;&nbsp;</TD>
+							<TD>Server Path<BR>
+								<INPUT id="txtServerPath" type="text" value="/UserFiles/" /></TD>
+						</tr>
+					</table>
+					<br>
+					<table cellSpacing="0" cellPadding="0" border="0">
+						<tr>
+							<td valign="top"><a href="#" onclick="GetFolders();">Get Folders</a></td>
+							<td>&nbsp;&nbsp;&nbsp;</td>
+							<td valign="top"><a href="#" onclick="GetFoldersAndFiles();">Get Folders and Files</a></td>
+							<td>&nbsp;&nbsp;&nbsp;</td>
+							<td valign="top"><a href="#" onclick="CreateFolder();">Create Folder</a></td>
+							<td>&nbsp;&nbsp;&nbsp;</td>
+							<td valign="top">
+								<form id="frmUpload" action="" target="eRunningFrame" method="post" enctype="multipart/form-data">
+									File Upload<br>
+									<input id="txtFileUpload" type="file" name="NewFile"> <input type="submit" value="Upload" onclick="SetAction();">
+								</form>
+							</td>
+						</tr>
+					</table>
+					<br>
+					URL: <span id="eUrl"></span>
+				</td>
+			</tr>
+			<tr>
+				<td height="100%" vAlign="top">
+					<iframe id="eRunningFrame" src="../../../../fckblank.html" name="eRunningFrame" width="100%" height="100%"></iframe>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmactualfolder.html soojung/libs/fckeditor/editor/filemanager/browser/default/frmactualfolder.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmactualfolder.html	2004-12-27 20:50:18.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/frmactualfolder.html	2005-06-11 10:28:44.000000000 +0900
@@ -1,65 +1,61 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: frmactualfolder.html
- * 	This page shows the actual folder path.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:52
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmactualfolder.html
+ * 	This page shows the actual folder path.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-	<head>
-		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
-		<link href="Browser.css" type="text/css" rel="stylesheet">
-		<script type="text/javascript">
-
-function OnResize()
-{
-	divName.style.width = "1px" ;
-	divName.style.width = tdName.offsetWidth + "px" ;
-}
-
-function SetCurrentFolder( resourceType, folderPath )
-{
-	document.getElementById('tdName').innerHTML = folderPath ;
-}
-
-window.onload = function()
-{
-	window.top.IsLoadedActualFolder = true ;
-}
-
-		</script>
-	</head>
-	<body bottomMargin="0" topMargin="0">
-		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
-			<tr>
-				<td>
-					<button style="WIDTH: 100%" type="button">
-						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
-							<tr>
-								<td><img height="32" alt="" src="images/FolderOpened32.gif" width="32"></td>
-								<td>&nbsp;</td>
-								<td id="tdName" width="100%" nowrap class="ActualFolder">/</td>
-								<td>&nbsp;</td>
-								<td><img height="8" src="images/ButtonArrow.gif" width="12"></td>
-								<td>&nbsp;</td>
-							</tr>
-						</table>
-					</button>
-				</td>
-			</tr>
-		</table>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript">
+
+function OnResize()
+{
+	divName.style.width = "1px" ;
+	divName.style.width = tdName.offsetWidth + "px" ;
+}
+
+function SetCurrentFolder( resourceType, folderPath )
+{
+	document.getElementById('tdName').innerHTML = folderPath ;
+}
+
+window.onload = function()
+{
+	window.top.IsLoadedActualFolder = true ;
+}
+
+		</script>
+	</head>
+	<body bottomMargin="0" topMargin="0">
+		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+			<tr>
+				<td>
+					<button style="WIDTH: 100%" type="button">
+						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
+							<tr>
+								<td><img height="32" alt="" src="images/FolderOpened32.gif" width="32"></td>
+								<td>&nbsp;</td>
+								<td id="tdName" width="100%" nowrap class="ActualFolder">/</td>
+								<td>&nbsp;</td>
+								<td><img height="8" src="images/ButtonArrow.gif" width="12"></td>
+								<td>&nbsp;</td>
+							</tr>
+						</table>
+					</button>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmcreatefolder.html soojung/libs/fckeditor/editor/filemanager/browser/default/frmcreatefolder.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmcreatefolder.html	2004-12-27 20:50:18.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/frmcreatefolder.html	2005-06-11 10:28:44.000000000 +0900
@@ -1,107 +1,102 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: frmcreatefolder.html
- * 	Page used to create new folders in the current folder.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:52
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmcreatefolder.html
+ * 	Page used to create new folders in the current folder.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-	<head>
-		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
-		<link href="Browser.css" type="text/css" rel="stylesheet">
-		<script type="text/javascript" src="js/fckxml.js"></script>
-		<script type="text/javascript" src="js/common.js"></script>
-		<script language="javascript">
-
-function SetCurrentFolder( resourceType, folderPath )
-{
-	oConnector.ResourceType = resourceType ;
-	oConnector.CurrentFolder = folderPath
-}
-
-function CreateFolder()
-{
-	var sFolderName ;
-	
-	while ( true ) 
-	{
-		sFolderName = prompt( 'Type the name of the new folder:', '' ) ;
-	
-		if ( sFolderName == null )
-			return ;
-		else if ( sFolderName.length == 0 )
-			alert( 'Please type the folder name' ) ;
-		else
-			break ;
-	}
-	
-	oConnector.SendCommand( 'CreateFolder', 'NewFolderName=' + escape( sFolderName) , CreateFolderCallBack ) ;
-}
-
-function CreateFolderCallBack( fckXml )
-{
-	// Get the current folder path.
-	var oNode = fckXml.SelectSingleNode( 'Connector/Error' ) ;
-	var iErrorNumber = parseInt( oNode.attributes.getNamedItem('number').value ) ;
-	
-	switch ( iErrorNumber )
-	{
-		case 0 :
-			window.parent.frames['frmResourcesList'].Refresh() ;
-			break ;
-		case 101 :
-			alert( 'Folder already exists' ) ;
-			break ;
-		case 102 :
-			alert( 'Invalid folder name' ) ;
-			break ;
-		case 103 :
-			alert( 'You have no permissions to create the folder' ) ;
-			break ;
-		case 110 :
-			alert( 'Unknown error creating folder' ) ;
-			break ;
-		default :
-			alert( 'Error creating folder. Error number: ' + iErrorNumber ) ;
-			break ;
-	}
-}
-
-window.onload = function()
-{
-	window.top.IsLoadedCreateFolder = true ;
-}
-		</script>
-	</head>
-	<body bottomMargin="0" topMargin="0">
-		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
-			<tr>
-				<td>
-					<button type="button" style="WIDTH: 100%" onclick="CreateFolder();">
-						<table cellSpacing="0" cellPadding="0" border="0">
-							<tr>
-								<td><img height="16" alt="" src="images/Folder.gif" width="16"></td>
-								<td>&nbsp;</td>
-								<td nowrap>Create New Folder</td>
-							</tr>
-						</table>
-					</button>
-				</td>
-			</tr>
-		</table>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript" src="js/common.js"></script>
+		<script language="javascript">
+
+function SetCurrentFolder( resourceType, folderPath )
+{
+	oConnector.ResourceType = resourceType ;
+	oConnector.CurrentFolder = folderPath
+}
+
+function CreateFolder()
+{
+	var sFolderName ;
+	
+	while ( true ) 
+	{
+		sFolderName = prompt( 'Type the name of the new folder:', '' ) ;
+	
+		if ( sFolderName == null )
+			return ;
+		else if ( sFolderName.length == 0 )
+			alert( 'Please type the folder name' ) ;
+		else
+			break ;
+	}
+	
+	oConnector.SendCommand( 'CreateFolder', 'NewFolderName=' + escape( sFolderName) , CreateFolderCallBack ) ;
+}
+
+function CreateFolderCallBack( fckXml )
+{
+	// Get the current folder path.
+	var oNode = fckXml.SelectSingleNode( 'Connector/Error' ) ;
+	var iErrorNumber = parseInt( oNode.attributes.getNamedItem('number').value ) ;
+	
+	switch ( iErrorNumber )
+	{
+		case 0 :
+			window.parent.frames['frmResourcesList'].Refresh() ;
+			break ;
+		case 101 :
+			alert( 'Folder already exists' ) ;
+			break ;
+		case 102 :
+			alert( 'Invalid folder name' ) ;
+			break ;
+		case 103 :
+			alert( 'You have no permissions to create the folder' ) ;
+			break ;
+		case 110 :
+			alert( 'Unknown error creating folder' ) ;
+			break ;
+		default :
+			alert( 'Error creating folder. Error number: ' + iErrorNumber ) ;
+			break ;
+	}
+}
+
+window.onload = function()
+{
+	window.top.IsLoadedCreateFolder = true ;
+}
+		</script>
+	</head>
+	<body bottomMargin="0" topMargin="0">
+		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+			<tr>
+				<td>
+					<button type="button" style="WIDTH: 100%" onclick="CreateFolder();">
+						<table cellSpacing="0" cellPadding="0" border="0">
+							<tr>
+								<td><img height="16" alt="" src="images/Folder.gif" width="16"></td>
+								<td>&nbsp;</td>
+								<td nowrap>Create New Folder</td>
+							</tr>
+						</table>
+					</button>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmfolders.html soojung/libs/fckeditor/editor/filemanager/browser/default/frmfolders.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmfolders.html	2004-12-27 20:50:18.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/frmfolders.html	2005-06-11 10:28:44.000000000 +0900
@@ -1,196 +1,187 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: frmfolders.html
- * 	This page shows the list of folders available in the parent folder 
- * 	of the current folder.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-06-19 01:03:21
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmfolders.html
+ * 	This page shows the list of folders available in the parent folder 
+ * 	of the current folder.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-	<head>
-		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
-		<link href="Browser.css" type="text/css" rel="stylesheet">
-		<script type="text/javascript" src="js/fckxml.js"></script>
-		<script type="text/javascript" src="js/common.js"></script>
-		<script language="javascript">
-
-var sActiveFolder ;
-
-var bIsLoaded = false ;
-var iIntervalId ;
-
-var oListManager = new Object() ;
-
-oListManager.Init = function()
-{
-	this.Table = document.getElementById('tableFiles') ;
-	this.UpRow = document.getElementById('trUp') ;
-
-	this.TableRows = new Object() ;	
-}
-
-oListManager.Clear = function()
-{
-	// Remove all other rows available.
-	while ( this.Table.rows.length > 1 )
-		this.Table.deleteRow(1) ;
-
-	// Reset the TableRows collection.
-	this.TableRows = new Object() ;
-}
-
-oListManager.AddItem = function( folderName, folderPath )
-{
-	// Create the new row.
-	var oRow = this.Table.insertRow(-1) ;
-	oRow.className = 'FolderListFolder' ;
-
-	// Build the link to view the folder.
-	var sLink = '<a href="#" onclick="OpenFolder(\'' + folderPath + '\');return false;">' ;
-
-	// Add the folder icon cell.
-	var oCell = oRow.insertCell(-1) ;
-	oCell.width = 16 ;
-	oCell.innerHTML = sLink + '<img alt="" src="images/spacer.gif" width="16" height="16" border="0"></a>' ;
-
-	// Add the folder name cell.
-	oCell = oRow.insertCell(-1) ;
-	oCell.noWrap = true ;
-	oCell.innerHTML = '&nbsp;' + sLink + folderName + '</a>' ;
-	
-	this.TableRows[ folderPath ] = oRow ;
-}
-
-oListManager.ShowUpFolder = function( upFolderPath )
-{
-	this.UpRow.style.display = ( upFolderPath != null ? '' : 'none' ) ;
-	
-	if ( upFolderPath != null )
-	{
-		document.getElementById('linkUpIcon').onclick = document.getElementById('linkUp').onclick = function()
-		{
-			LoadFolders( upFolderPath ) ;
-			return false ;
-		}
-	}
-}
-
-function CheckLoaded()
-{
-	if ( window.top.IsLoadedActualFolder 
-		&& window.top.IsLoadedCreateFolder 
-		&& window.top.IsLoadedUpload
-		&& window.top.IsLoadedResourcesList )
-	{
-		window.clearInterval( iIntervalId ) ;
-		bIsLoaded = true ;
-		OpenFolder( sActiveFolder ) ;
-	}
-}
-
-function OpenFolder( folderPath )
-{
-	sActiveFolder = folderPath ;
-
-	if ( ! bIsLoaded )
-	{
-		if ( ! iIntervalId )
-			iIntervalId = window.setInterval( CheckLoaded, 100 ) ;
-		return ;
-	}
-
-	// Change the style for the select row (to show the opened folder).
-	for ( var sFolderPath in oListManager.TableRows )
-	{
-		oListManager.TableRows[ sFolderPath ].className = 
-			( sFolderPath == folderPath ? 'FolderListCurrentFolder' : 'FolderListFolder' ) ;
-	}
-
-	// Set the current folder in all frames.
-	window.parent.frames['frmActualFolder'].SetCurrentFolder( oConnector.ResourceType, folderPath ) ;
-	window.parent.frames['frmCreateFolder'].SetCurrentFolder( oConnector.ResourceType, folderPath ) ;
-	window.parent.frames['frmUpload'].SetCurrentFolder( oConnector.ResourceType, folderPath ) ;
-	
-	// Load the resources list for this folder.
-	window.parent.frames['frmResourcesList'].LoadResources( oConnector.ResourceType, folderPath ) ;
-}
-
-function LoadFolders( folderPath )
-{
-	// Clear the folders list.
-	oListManager.Clear() ;
-
-	// Get the parent folder path.
-	var sParentFolderPath ;
-	if ( folderPath != '/' )
-		sParentFolderPath = folderPath.substring( 0, folderPath.lastIndexOf( '/', folderPath.length - 2 ) + 1 ) ;
-
-	// Show/Hide the Up Folder.
-	oListManager.ShowUpFolder( sParentFolderPath ) ;
-	
-	if ( folderPath != '/' )
-	{
-		sActiveFolder = folderPath ;
-		oConnector.CurrentFolder = sParentFolderPath
-		oConnector.SendCommand( 'GetFolders', null, GetFoldersCallBack ) ;
-	}
-	else
-		OpenFolder( '/' ) ;
-}
-
-function GetFoldersCallBack( fckXml )
-{
-	// Get the current folder path.
-	var oNode = fckXml.SelectSingleNode( 'Connector/CurrentFolder' ) ;
-	var sCurrentFolderPath = oNode.attributes.getNamedItem('path').value ;
-	
-	var oNodes = fckXml.SelectNodes( 'Connector/Folders/Folder' ) ;
-	
-	for ( var i = 0 ; i < oNodes.length ; i++ )
-	{
-		var sFolderName = oNodes[i].attributes.getNamedItem('name').value ;
-		oListManager.AddItem( sFolderName, sCurrentFolderPath + sFolderName + "/" ) ;
-	}
-	
-	OpenFolder( sActiveFolder ) ;
-}
-
-function SetResourceType( type )
-{
-	oConnector.ResourceType = type ;
-	LoadFolders( '/' ) ;
-}
-
-window.onload = function()
-{
-	oListManager.Init() ;
-	
-	if ( oConnector.ResourceType.length = 0 )
-		SetResourceType( 'File' ) ;
-	else
-		LoadFolders( '/' ) ;
-}
-		</script>
-	</head>
-	<body class="FileArea" bottomMargin="10" leftMargin="10" topMargin="10" rightMargin="10">
-		<table id="tableFiles" cellSpacing="0" cellPadding="0" width="100%" border="0">
-			<tr id="trUp" style="DISPLAY: none">
-				<td width="16"><a id="linkUpIcon" href="#"><img alt="" src="images/FolderUp.gif" width="16" height="16" border="0"></a></td>
-				<td nowrap width="100%">&nbsp;<a id="linkUp" href="#">..</a></td>
-			</tr>
-		</table>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript" src="js/common.js"></script>
+		<script language="javascript">
+
+var sActiveFolder ;
+
+var bIsLoaded = false ;
+var iIntervalId ;
+
+var oListManager = new Object() ;
+
+oListManager.Init = function()
+{
+	this.Table = document.getElementById('tableFiles') ;
+	this.UpRow = document.getElementById('trUp') ;
+
+	this.TableRows = new Object() ;	
+}
+
+oListManager.Clear = function()
+{
+	// Remove all other rows available.
+	while ( this.Table.rows.length > 1 )
+		this.Table.deleteRow(1) ;
+
+	// Reset the TableRows collection.
+	this.TableRows = new Object() ;
+}
+
+oListManager.AddItem = function( folderName, folderPath )
+{
+	// Create the new row.
+	var oRow = this.Table.insertRow(-1) ;
+	oRow.className = 'FolderListFolder' ;
+
+	// Build the link to view the folder.
+	var sLink = '<a href="#" onclick="OpenFolder(\'' + folderPath + '\');return false;">' ;
+
+	// Add the folder icon cell.
+	var oCell = oRow.insertCell(-1) ;
+	oCell.width = 16 ;
+	oCell.innerHTML = sLink + '<img alt="" src="images/spacer.gif" width="16" height="16" border="0"></a>' ;
+
+	// Add the folder name cell.
+	oCell = oRow.insertCell(-1) ;
+	oCell.noWrap = true ;
+	oCell.innerHTML = '&nbsp;' + sLink + folderName + '</a>' ;
+	
+	this.TableRows[ folderPath ] = oRow ;
+}
+
+oListManager.ShowUpFolder = function( upFolderPath )
+{
+	this.UpRow.style.display = ( upFolderPath != null ? '' : 'none' ) ;
+	
+	if ( upFolderPath != null )
+	{
+		document.getElementById('linkUpIcon').onclick = document.getElementById('linkUp').onclick = function()
+		{
+			LoadFolders( upFolderPath ) ;
+			return false ;
+		}
+	}
+}
+
+function CheckLoaded()
+{
+	if ( window.top.IsLoadedActualFolder 
+		&& window.top.IsLoadedCreateFolder 
+		&& window.top.IsLoadedUpload
+		&& window.top.IsLoadedResourcesList )
+	{
+		window.clearInterval( iIntervalId ) ;
+		bIsLoaded = true ;
+		OpenFolder( sActiveFolder ) ;
+	}
+}
+
+function OpenFolder( folderPath )
+{
+	sActiveFolder = folderPath ;
+
+	if ( ! bIsLoaded )
+	{
+		if ( ! iIntervalId )
+			iIntervalId = window.setInterval( CheckLoaded, 100 ) ;
+		return ;
+	}
+
+	// Change the style for the select row (to show the opened folder).
+	for ( var sFolderPath in oListManager.TableRows )
+	{
+		oListManager.TableRows[ sFolderPath ].className = 
+			( sFolderPath == folderPath ? 'FolderListCurrentFolder' : 'FolderListFolder' ) ;
+	}
+
+	// Set the current folder in all frames.
+	window.parent.frames['frmActualFolder'].SetCurrentFolder( oConnector.ResourceType, folderPath ) ;
+	window.parent.frames['frmCreateFolder'].SetCurrentFolder( oConnector.ResourceType, folderPath ) ;
+	window.parent.frames['frmUpload'].SetCurrentFolder( oConnector.ResourceType, folderPath ) ;
+	
+	// Load the resources list for this folder.
+	window.parent.frames['frmResourcesList'].LoadResources( oConnector.ResourceType, folderPath ) ;
+}
+
+function LoadFolders( folderPath )
+{
+	// Clear the folders list.
+	oListManager.Clear() ;
+
+	// Get the parent folder path.
+	var sParentFolderPath ;
+	if ( folderPath != '/' )
+		sParentFolderPath = folderPath.substring( 0, folderPath.lastIndexOf( '/', folderPath.length - 2 ) + 1 ) ;
+
+	// Show/Hide the Up Folder.
+	oListManager.ShowUpFolder( sParentFolderPath ) ;
+	
+	if ( folderPath != '/' )
+	{
+		sActiveFolder = folderPath ;
+		oConnector.CurrentFolder = sParentFolderPath
+		oConnector.SendCommand( 'GetFolders', null, GetFoldersCallBack ) ;
+	}
+	else
+		OpenFolder( '/' ) ;
+}
+
+function GetFoldersCallBack( fckXml )
+{
+	// Get the current folder path.
+	var oNode = fckXml.SelectSingleNode( 'Connector/CurrentFolder' ) ;
+	var sCurrentFolderPath = oNode.attributes.getNamedItem('path').value ;
+	
+	var oNodes = fckXml.SelectNodes( 'Connector/Folders/Folder' ) ;
+	
+	for ( var i = 0 ; i < oNodes.length ; i++ )
+	{
+		var sFolderName = oNodes[i].attributes.getNamedItem('name').value ;
+		oListManager.AddItem( sFolderName, sCurrentFolderPath + sFolderName + "/" ) ;
+	}
+	
+	OpenFolder( sActiveFolder ) ;
+}
+
+function SetResourceType( type )
+{
+	oConnector.ResourceType = type ;
+	LoadFolders( '/' ) ;
+}
+
+window.onload = function()
+{
+	oListManager.Init() ;
+	LoadFolders( '/' ) ;
+}
+		</script>
+	</head>
+	<body class="FileArea" bottomMargin="10" leftMargin="10" topMargin="10" rightMargin="10">
+		<table id="tableFiles" cellSpacing="0" cellPadding="0" width="100%" border="0">
+			<tr id="trUp" style="DISPLAY: none">
+				<td width="16"><a id="linkUpIcon" href="#"><img alt="" src="images/FolderUp.gif" width="16" height="16" border="0"></a></td>
+				<td nowrap width="100%">&nbsp;<a id="linkUp" href="#">..</a></td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmresourceslist.html soojung/libs/fckeditor/editor/filemanager/browser/default/frmresourceslist.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmresourceslist.html	2004-12-27 20:50:18.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/frmresourceslist.html	2005-06-11 10:28:44.000000000 +0900
@@ -1,152 +1,147 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: frmresourceslist.html
- * 	This page shows all resources available in a folder in the File Browser.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-06-19 01:01:50
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmresourceslist.html
+ * 	This page shows all resources available in a folder in the File Browser.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-	<head>
-		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
-		<link href="Browser.css" type="text/css" rel="stylesheet">
-		<script type="text/javascript" src="js/fckxml.js"></script>
-		<script type="text/javascript" src="js/common.js"></script>
-		<script language="javascript">
-
-var oListManager = new Object() ;
-
-oListManager.Init = function()
-{
-	this.Table = document.getElementById('tableFiles') ;
-}
-
-oListManager.Clear = function()
-{
-	// Remove all other rows available.
-	while ( this.Table.rows.length > 0 )
-		this.Table.deleteRow(0) ;
-}
-
-oListManager.AddFolder = function( folderName, folderPath )
-{
-	// Create the new row.
-	var oRow = this.Table.insertRow(-1) ;
-
-	// Build the link to view the folder.
-	var sLink = '<a href="#" onclick="OpenFolder(\'' + folderPath + '\');return false;">' ;
-
-	// Add the folder icon cell.
-	var oCell = oRow.insertCell(-1) ;
-	oCell.width = 16 ;
-	oCell.innerHTML = sLink + '<img alt="" src="images/Folder.gif" width="16" height="16" border="0"></a>' ;
-
-	// Add the folder name cell.
-	oCell = oRow.insertCell(-1) ;
-	oCell.noWrap = true ;
-	oCell.colSpan = 2 ;
-	oCell.innerHTML = '&nbsp;' + sLink + folderName + '</a>' ;
-}
-
-oListManager.AddFile = function( fileName, fileUrl, fileSize )
-{
-	// Create the new row.
-	var oRow = this.Table.insertRow(-1) ;
-
-	// Build the link to view the folder.
-	var sLink = '<a href="#" onclick="OpenFile(\'' + fileUrl + '\');return false;">' ;
-
-	// Get the file icon.
-	var sIcon = oIcons.GetIcon( fileName ) ;
-
-	// Add the file icon cell.
-	var oCell = oRow.insertCell(-1) ;
-	oCell.width = 16 ;
-	oCell.innerHTML = sLink + '<img alt="" src="images/icons/' + sIcon + '.gif" width="16" height="16" border="0"></a>' ;
-
-	// Add the file name cell.
-	oCell = oRow.insertCell(-1) ;
-	oCell.innerHTML = '&nbsp;' + sLink + fileName + '</a>' ;
-	
-	// Add the file size cell.
-	oCell = oRow.insertCell(-1) ;
-	oCell.noWrap = true ;
-	oCell.align = 'right' ;
-	oCell.innerHTML = '&nbsp;' + fileSize + ' KB' ;
-}
-
-function OpenFolder( folderPath )
-{
-	// Load the resources list for this folder.
-	window.parent.frames['frmFolders'].LoadFolders( folderPath ) ;
-}
-
-function OpenFile( fileUrl )
-{
-	window.top.opener.SetUrl( fileUrl ) ;
-	window.top.close() ;
-	window.top.opener.focus() ;
-}
-
-function LoadResources( resourceType, folderPath )
-{
-	oListManager.Clear() ;
-	oConnector.ResourceType = resourceType ;
-	oConnector.CurrentFolder = folderPath
-	oConnector.SendCommand( 'GetFoldersAndFiles', null, GetFoldersAndFilesCallBack ) ;
-}
-
-function Refresh()
-{
-	LoadResources( oConnector.ResourceType, oConnector.CurrentFolder ) ;
-}
-
-function GetFoldersAndFilesCallBack( fckXml )
-{
-	// Get the current folder path.
-	var oNode = fckXml.SelectSingleNode( 'Connector/CurrentFolder' ) ;
-	var sCurrentFolderPath	= oNode.attributes.getNamedItem('path').value ;
-	var sCurrentFolderUrl	= oNode.attributes.getNamedItem('url').value ;
-
-	// Add the Folders.	
-	var oNodes = fckXml.SelectNodes( 'Connector/Folders/Folder' ) ;
-	for ( var i = 0 ; i < oNodes.length ; i++ )
-	{
-		var sFolderName = oNodes[i].attributes.getNamedItem('name').value ;
-		oListManager.AddFolder( sFolderName, sCurrentFolderPath + sFolderName + "/" ) ;
-	}
-	
-	// Add the Files.	
-	var oNodes = fckXml.SelectNodes( 'Connector/Files/File' ) ;
-	for ( var i = 0 ; i < oNodes.length ; i++ )
-	{
-		var sFileName = oNodes[i].attributes.getNamedItem('name').value ;
-		var sFileSize = oNodes[i].attributes.getNamedItem('size').value ;
-		oListManager.AddFile( sFileName, sCurrentFolderUrl + sFileName, sFileSize ) ;
-	}
-}
-
-window.onload = function()
-{
-	oListManager.Init() ;
-	window.top.IsLoadedResourcesList = true ;
-}
-		</script>
-	</head>
-	<body class="FileArea" bottomMargin="10" leftMargin="10" topMargin="10" rightMargin="10">
-		<table id="tableFiles" cellSpacing="1" cellPadding="0" width="100%" border="0">
-		</table>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript" src="js/common.js"></script>
+		<script language="javascript">
+
+var oListManager = new Object() ;
+
+oListManager.Init = function()
+{
+	this.Table = document.getElementById('tableFiles') ;
+}
+
+oListManager.Clear = function()
+{
+	// Remove all other rows available.
+	while ( this.Table.rows.length > 0 )
+		this.Table.deleteRow(0) ;
+}
+
+oListManager.AddFolder = function( folderName, folderPath )
+{
+	// Create the new row.
+	var oRow = this.Table.insertRow(-1) ;
+
+	// Build the link to view the folder.
+	var sLink = '<a href="#" onclick="OpenFolder(\'' + folderPath + '\');return false;">' ;
+
+	// Add the folder icon cell.
+	var oCell = oRow.insertCell(-1) ;
+	oCell.width = 16 ;
+	oCell.innerHTML = sLink + '<img alt="" src="images/Folder.gif" width="16" height="16" border="0"></a>' ;
+
+	// Add the folder name cell.
+	oCell = oRow.insertCell(-1) ;
+	oCell.noWrap = true ;
+	oCell.colSpan = 2 ;
+	oCell.innerHTML = '&nbsp;' + sLink + folderName + '</a>' ;
+}
+
+oListManager.AddFile = function( fileName, fileUrl, fileSize )
+{
+	// Create the new row.
+	var oRow = this.Table.insertRow(-1) ;
+
+	// Build the link to view the folder.
+	var sLink = '<a href="#" onclick="OpenFile(\'' + fileUrl + '\');return false;">' ;
+
+	// Get the file icon.
+	var sIcon = oIcons.GetIcon( fileName ) ;
+
+	// Add the file icon cell.
+	var oCell = oRow.insertCell(-1) ;
+	oCell.width = 16 ;
+	oCell.innerHTML = sLink + '<img alt="" src="images/icons/' + sIcon + '.gif" width="16" height="16" border="0"></a>' ;
+
+	// Add the file name cell.
+	oCell = oRow.insertCell(-1) ;
+	oCell.innerHTML = '&nbsp;' + sLink + fileName + '</a>' ;
+	
+	// Add the file size cell.
+	oCell = oRow.insertCell(-1) ;
+	oCell.noWrap = true ;
+	oCell.align = 'right' ;
+	oCell.innerHTML = '&nbsp;' + fileSize + ' KB' ;
+}
+
+function OpenFolder( folderPath )
+{
+	// Load the resources list for this folder.
+	window.parent.frames['frmFolders'].LoadFolders( folderPath ) ;
+}
+
+function OpenFile( fileUrl )
+{
+	window.top.opener.SetUrl( fileUrl ) ;
+	window.top.close() ;
+	window.top.opener.focus() ;
+}
+
+function LoadResources( resourceType, folderPath )
+{
+	oListManager.Clear() ;
+	oConnector.ResourceType = resourceType ;
+	oConnector.CurrentFolder = folderPath
+	oConnector.SendCommand( 'GetFoldersAndFiles', null, GetFoldersAndFilesCallBack ) ;
+}
+
+function Refresh()
+{
+	LoadResources( oConnector.ResourceType, oConnector.CurrentFolder ) ;
+}
+
+function GetFoldersAndFilesCallBack( fckXml )
+{
+	// Get the current folder path.
+	var oNode = fckXml.SelectSingleNode( 'Connector/CurrentFolder' ) ;
+	var sCurrentFolderPath	= oNode.attributes.getNamedItem('path').value ;
+	var sCurrentFolderUrl	= oNode.attributes.getNamedItem('url').value ;
+
+	// Add the Folders.	
+	var oNodes = fckXml.SelectNodes( 'Connector/Folders/Folder' ) ;
+	for ( var i = 0 ; i < oNodes.length ; i++ )
+	{
+		var sFolderName = oNodes[i].attributes.getNamedItem('name').value ;
+		oListManager.AddFolder( sFolderName, sCurrentFolderPath + sFolderName + "/" ) ;
+	}
+	
+	// Add the Files.	
+	var oNodes = fckXml.SelectNodes( 'Connector/Files/File' ) ;
+	for ( var i = 0 ; i < oNodes.length ; i++ )
+	{
+		var sFileName = oNodes[i].attributes.getNamedItem('name').value ;
+		var sFileSize = oNodes[i].attributes.getNamedItem('size').value ;
+		oListManager.AddFile( sFileName, sCurrentFolderUrl + sFileName, sFileSize ) ;
+	}
+}
+
+window.onload = function()
+{
+	oListManager.Init() ;
+	window.top.IsLoadedResourcesList = true ;
+}
+		</script>
+	</head>
+	<body class="FileArea" bottomMargin="10" leftMargin="10" topMargin="10" rightMargin="10">
+		<table id="tableFiles" cellSpacing="1" cellPadding="0" width="100%" border="0">
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmresourcetype.html soojung/libs/fckeditor/editor/filemanager/browser/default/frmresourcetype.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmresourcetype.html	2004-12-27 20:50:18.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/frmresourcetype.html	2005-06-11 10:28:44.000000000 +0900
@@ -1,65 +1,59 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: frmresourcetype.html
- * 	This page shows the list of available resource types.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-06-19 00:57:24
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmresourcetype.html
+ * 	This page shows the list of available resource types.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-	<head>
-		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
-		<link href="Browser.css" type="text/css" rel="stylesheet">
-		<script type="text/javascript" src="js/common.js"></script>
-		<script language="javascript">
-
-function SetResourceType( type )
-{
-	window.parent.frames["frmFolders"].SetResourceType( type ) ;
-}
-
-var aTypes = [
-	['File','File'],
-	['Image','Image'],
-	['Flash','Flash'],
-	['Media','Media']
-] ;
-
-window.onload = function()
-{
-	var bHasType = ( oConnector.ResourceType.length > 0 ) ;
-	
-	for ( var i = 0 ; i < aTypes.length ; i++ )
-	{
-		if ( !bHasType || aTypes[i][0] == oConnector.ResourceType )
-			AddSelectOption( cmbType, aTypes[i][1], aTypes[i][0] ) ;
-	}
-}
-
-		</script>
-	</head>
-	<body bottomMargin="0" topMargin="0">
-		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
-			<tr>
-				<td nowrap>
-					Resource Type<BR>
-					<select id="cmbType" style="WIDTH: 100%" onchange="SetResourceType(this.value);">
-					</select>
-				</td>
-			</tr>
-		</table>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript" src="js/common.js"></script>
+		<script language="javascript">
+
+function SetResourceType( type )
+{
+	window.parent.frames["frmFolders"].SetResourceType( type ) ;
+}
+
+var aTypes = [
+	['File','File'],
+	['Image','Image'],
+	['Flash','Flash'],
+	['Media','Media']
+] ;
+
+window.onload = function()
+{
+	for ( var i = 0 ; i < aTypes.length ; i++ )
+	{
+		if ( oConnector.ShowAllTypes || aTypes[i][0] == oConnector.ResourceType )
+			AddSelectOption( document.getElementById('cmbType'), aTypes[i][1], aTypes[i][0] ) ;
+	}
+}
+
+		</script>
+	</head>
+	<body bottomMargin="0" topMargin="0">
+		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+			<tr>
+				<td nowrap>
+					Resource Type<BR>
+					<select id="cmbType" style="WIDTH: 100%" onchange="SetResourceType(this.value);">
+					</select>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmupload.html soojung/libs/fckeditor/editor/filemanager/browser/default/frmupload.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/frmupload.html	2004-12-27 20:50:18.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/frmupload.html	2005-06-11 10:28:44.000000000 +0900
@@ -1,104 +1,104 @@
 <!--
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: frmupload.html
- * 	Page used to upload new files in the current folder.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:53
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmupload.html
+ * 	Page used to upload new files in the current folder.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
--->
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-	<head>
-		<link href="Browser.css" type="text/css" rel="stylesheet" />
-		<script type="text/javascript" src="js/common.js"></script>
-		<script language="javascript">
-		
-function SetCurrentFolder( resourceType, folderPath )
-{
-	var sUrl = oConnector.ConnectorUrl +'?Command=FileUpload' ;
-	sUrl += '&Type=' + resourceType ;
-	sUrl += '&CurrentFolder=' + folderPath ;
-	
-	document.getElementById('frmUpload').action = sUrl ;
-}
-
-function OnSubmit()
-{
-	if ( document.getElementById('NewFile').value.length == 0 )
-	{
-		alert( 'Please select a file from your computer' ) ;
-		return false ;
-	}
-
-	// Set the interface elements.
-	document.getElementById('eUploadMessage').innerHTML = 'Upload a new file in this folder (Upload in progress, please wait...)' ;
-	document.getElementById('btnUpload').disabled = true ;
-	
-	return true ;
-}
-
-function OnUploadCompleted( errorNumber, fileName )
-{
-	// Reset the Upload Worker Frame.
-	window.parent.frames['frmUploadWorker'].location = '' ;
-	
-	// Reset the upload form.
-	document.getElementById('frmUpload').reset() ;
-	
-	// Reset the interface elements.
-	document.getElementById('eUploadMessage').innerHTML = 'Upload a new file in this folder' ;
-	document.getElementById('btnUpload').disabled = false ;
-	
-	switch ( errorNumber )
-	{
-		case 0 :
-			window.parent.frames['frmResourcesList'].Refresh() ;
-			break ;
-		case 201 :
-			window.parent.frames['frmResourcesList'].Refresh() ;
-			alert( 'A file with the same name is already available. The uploaded file has been renamed to "' + fileName + '"' ) ;
-			break ;
-		case 202 :
-			alert( 'Invalid file' ) ;
-			break ;
-		default :
-			alert( 'Error on file upload. Error number: ' + errorNumber ) ;
-			break ;
-	}
-}
-
-window.onload = function()
-{
-	window.top.IsLoadedUpload = true ;
-}
-		</script>
-	</head>
-	<body bottomMargin="0" topMargin="0">
-		<form id="frmUpload" action="" target="frmUploadWorker" method="post" enctype="multipart/form-data" onsubmit="return OnSubmit();">
-			<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
-				<tr>
-					<td nowrap>
-						<span id="eUploadMessage">Upload a new file in this folder</span><br>
-						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
-							<tr>
-								<td width="100%"><input id="NewFile" name="NewFile" style="WIDTH: 100%" type="file"></td>
-								<td nowrap>&nbsp;<input id="btnUpload" type="submit" value="Upload"></td>
-							</tr>
-						</table>
-					</td>
-				</tr>
-			</table>
-		</form>
-	</body>
-</html>
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<link href="browser.css" type="text/css" rel="stylesheet" />
+		<script type="text/javascript" src="js/common.js"></script>
+		<script language="javascript">
+
+function SetCurrentFolder( resourceType, folderPath )
+{
+	var sUrl = oConnector.ConnectorUrl +'Command=FileUpload' ;
+	sUrl += '&Type=' + resourceType ;
+	sUrl += '&CurrentFolder=' + folderPath ;
+	
+	document.getElementById('frmUpload').action = sUrl ;
+}
+
+function OnSubmit()
+{
+	if ( document.getElementById('NewFile').value.length == 0 )
+	{
+		alert( 'Please select a file from your computer' ) ;
+		return false ;
+	}
+
+	// Set the interface elements.
+	document.getElementById('eUploadMessage').innerHTML = 'Upload a new file in this folder (Upload in progress, please wait...)' ;
+	document.getElementById('btnUpload').disabled = true ;
+	
+	return true ;
+}
+
+function OnUploadCompleted( errorNumber, fileName )
+{
+	// Reset the Upload Worker Frame.
+	window.parent.frames['frmUploadWorker'].location = 'about:blank' ;
+	
+	// Reset the upload form (On IE we must do a little trick to avout problems).
+	if ( document.all )
+		document.getElementById('NewFile').outerHTML = '<input id="NewFile" name="NewFile" style="WIDTH: 100%" type="file">' ;
+	else
+		document.getElementById('frmUpload').reset() ;
+	
+	// Reset the interface elements.
+	document.getElementById('eUploadMessage').innerHTML = 'Upload a new file in this folder' ;
+	document.getElementById('btnUpload').disabled = false ;
+	
+	switch ( errorNumber )
+	{
+		case 0 :
+			window.parent.frames['frmResourcesList'].Refresh() ;
+			break ;
+		case 201 :
+			window.parent.frames['frmResourcesList'].Refresh() ;
+			alert( 'A file with the same name is already available. The uploaded file has been renamed to "' + fileName + '"' ) ;
+			break ;
+		case 202 :
+			alert( 'Invalid file' ) ;
+			break ;
+		default :
+			alert( 'Error on file upload. Error number: ' + errorNumber ) ;
+			break ;
+	}
+}
+
+window.onload = function()
+{
+	window.top.IsLoadedUpload = true ;
+}
+		</script>
+	</head>
+	<body bottomMargin="0" topMargin="0">
+		<form id="frmUpload" action="" target="frmUploadWorker" method="post" enctype="multipart/form-data" onsubmit="return OnSubmit();">
+			<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+				<tr>
+					<td nowrap>
+						<span id="eUploadMessage">Upload a new file in this folder</span><br>
+						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
+							<tr>
+								<td width="100%"><input id="NewFile" name="NewFile" style="WIDTH: 100%" type="file"></td>
+								<td nowrap>&nbsp;<input id="btnUpload" type="submit" value="Upload"></td>
+							</tr>
+						</table>
+					</td>
+				</tr>
+			</table>
+		</form>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/js/common.js soojung/libs/fckeditor/editor/filemanager/browser/default/js/common.js
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/js/common.js	2004-12-27 20:50:32.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/js/common.js	2005-06-11 10:32:46.000000000 +0900
@@ -1,85 +1,32 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: common.js
- * 	Common objects and functions shared by all pages that compose the
- * 	File Browser dialog window.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-06-19 00:51:22
- * 
- * File Authors:
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: common.js
+ * 	Common objects and functions shared by all pages that compose the
+ * 	File Browser dialog window.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-function AddSelectOption( selectElement, optionText, optionValue )
-{
-	var oOption = document.createElement("OPTION") ;
-
-	oOption.text	= optionText ;
-	oOption.value	= optionValue ;	
-
-	selectElement.options.add(oOption) ;
-
-	return oOption ;
-}
-
-function GetUrlParam( paramName )
-{
-	var oRegex = new RegExp( '[\?&]' + paramName + '=([^&]+)', 'i' ) ;
-	var oMatch = oRegex.exec( window.top.location.search ) ;
-	
-	if ( oMatch && oMatch.length > 1 )
-		return oMatch[1] ;
-	else
-		return '' ;
-}
-
-var oConnector = new Object() ;
-oConnector.CurrentFolder	= '/' ;
-oConnector.ConnectorUrl		= GetUrlParam( 'Connector' ) ;
-oConnector.ResourceType		= GetUrlParam( 'Type' ) ;
-
-oConnector.SendCommand = function( command, params, callBackFunction )
-{
-	var sUrl = this.ConnectorUrl + '?Command=' + command ;
-	sUrl += '&Type=' + this.ResourceType ;
-	sUrl += '&CurrentFolder=' + escape( this.CurrentFolder ) ;
-	
-	if ( params ) sUrl += '&' + params ;
-
-	var oXML = new FCKXml() ;
-	
-	if ( callBackFunction )
-		oXML.LoadUrl( sUrl, callBackFunction ) ;	// Asynchronous load.
-	else
-		return oXML.LoadUrl( sUrl ) ;
-}
-
-var oIcons = new Object() ;
-
-oIcons.AvailableIconsArray = [ 
-	'ai','avi','bmp','cs','dll','doc','exe','fla','gif','htm','html','jpg','js',
-	'mdb','mp3','pdf','ppt','rdp','swf','swt','txt','vsd','xls','xml','zip' ] ;
-	
-oIcons.AvailableIcons = new Object() ;
-
-for ( var i = 0 ; i < oIcons.AvailableIconsArray.length ; i++ )
-	oIcons.AvailableIcons[ oIcons.AvailableIconsArray[i] ] = true ;
-
-oIcons.GetIcon = function( fileName )
-{
-	var sExtension = fileName.substr( fileName.lastIndexOf('.') + 1 ).toLowerCase() ;
-
-	if ( this.AvailableIcons[ sExtension ] == true )
-		return sExtension ;
-	else
-		return 'default.icon' ;
-}
\ No newline at end of file
+ */
+
+function AddSelectOption( selectElement, optionText, optionValue )
+{
+	var oOption = document.createElement("OPTION") ;
+
+	oOption.text	= optionText ;
+	oOption.value	= optionValue ;	
+
+	selectElement.options.add(oOption) ;
+
+	return oOption ;
+}
+
+var oConnector	= window.parent.oConnector ;
+var oIcons		= window.parent.oIcons ;
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/js/fckxml.js soojung/libs/fckeditor/editor/filemanager/browser/default/js/fckxml.js
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/default/js/fckxml.js	2004-12-27 20:50:32.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/default/js/fckxml.js	2005-06-11 10:32:46.000000000 +0900
@@ -1,100 +1,107 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fckxml.js
- * 	Defines the FCKXml object that is used for XML data calls
- * 	and XML processing.
- * 	This script is shared by almost all pages that compose the 
- * 	File Browser frameset.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:53
- * 
- * File Authors:
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fckxml.js
+ * 	Defines the FCKXml object that is used for XML data calls
+ * 	and XML processing.
+ * 	This script is shared by almost all pages that compose the 
+ * 	File Browser frameset.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-var FCKXml = function()
-{}
-
-FCKXml.prototype.GetHttpRequest = function()
-{
-	if ( window.XMLHttpRequest )		// Gecko
-		return new XMLHttpRequest() ;
-	else if ( window.ActiveXObject )	// IE
-		return new ActiveXObject("MsXml2.XmlHttp") ;
-}
-
-FCKXml.prototype.LoadUrl = function( urlToCall, asyncFunctionPointer )
-{
-	var oFCKXml = this ;
-
-	var bAsync = ( typeof(asyncFunctionPointer) == 'function' ) ;
-
-	var oXmlHttp = this.GetHttpRequest() ;
-		
-	oXmlHttp.open( "GET", urlToCall, bAsync ) ;
-	
-	if ( bAsync )
-	{	
-		oXmlHttp.onreadystatechange = function() 
-		{
-			if ( oXmlHttp.readyState == 4 )
-			{
-				oFCKXml.DOMDocument = oXmlHttp.responseXML ;
-				asyncFunctionPointer( oFCKXml ) ;
-			}
-		}
-	}
-	
-	oXmlHttp.send( null ) ;
-	
-	if ( ! bAsync )
-		this.DOMDocument = oXmlHttp.responseXML ;
-}
-
-FCKXml.prototype.SelectNodes = function( xpath )
-{
-	if ( document.all )		// IE
-		return this.DOMDocument.selectNodes( xpath ) ;
-	else					// Gecko
-	{
-		var aNodeArray = new Array();
-
-		var xPathResult = this.DOMDocument.evaluate( xpath, this.DOMDocument, 
-				this.DOMDocument.createNSResolver(this.DOMDocument.documentElement), XPathResult.ORDERED_NODE_ITERATOR_TYPE, null) ;
-		if ( xPathResult ) 
-		{
-			var oNode = xPathResult.iterateNext() ;
- 			while( oNode )
- 			{
- 				aNodeArray[aNodeArray.length] = oNode ;
- 				oNode = xPathResult.iterateNext();
- 			}
-		} 
-		return aNodeArray ;
-	}
-}
-
-FCKXml.prototype.SelectSingleNode = function( xpath ) 
-{
-	if ( document.all )		// IE
-		return this.DOMDocument.selectSingleNode( xpath ) ;
-	else					// Gecko
-	{
-		var xPathResult = this.DOMDocument.evaluate( xpath, this.DOMDocument,
-				this.DOMDocument.createNSResolver(this.DOMDocument.documentElement), 9, null);
-
-		if ( xPathResult && xPathResult.singleNodeValue )
-			return xPathResult.singleNodeValue ;
-		else	
-			return null ;
-	}
-}
+ */
+
+var FCKXml = function()
+{}
+
+FCKXml.prototype.GetHttpRequest = function()
+{
+	if ( window.XMLHttpRequest )		// Gecko
+		return new XMLHttpRequest() ;
+	else if ( window.ActiveXObject )	// IE
+		return new ActiveXObject("MsXml2.XmlHttp") ;
+}
+
+FCKXml.prototype.LoadUrl = function( urlToCall, asyncFunctionPointer )
+{
+	var oFCKXml = this ;
+
+	var bAsync = ( typeof(asyncFunctionPointer) == 'function' ) ;
+
+	var oXmlHttp = this.GetHttpRequest() ;
+		
+	oXmlHttp.open( "GET", urlToCall, bAsync ) ;
+	
+	if ( bAsync )
+	{	
+		oXmlHttp.onreadystatechange = function() 
+		{
+			if ( oXmlHttp.readyState == 4 )
+			{
+				oFCKXml.DOMDocument = oXmlHttp.responseXML ;
+				if ( oXmlHttp.status == 200 )
+					asyncFunctionPointer( oFCKXml ) ;
+				else
+					alert( 'XML request error: ' + oXmlHttp.statusText + ' (' + oXmlHttp.status + ')' ) ;
+			}
+		}
+	}
+	
+	oXmlHttp.send( null ) ;
+	
+	if ( ! bAsync )
+	{
+		if ( oXmlHttp.status == 200 )
+			this.DOMDocument = oXmlHttp.responseXML ;
+		else
+		{
+			alert( 'XML request error: ' + oXmlHttp.statusText + ' (' + oXmlHttp.status + ')' ) ;
+		}
+	}
+}
+
+FCKXml.prototype.SelectNodes = function( xpath )
+{
+	if ( document.all )		// IE
+		return this.DOMDocument.selectNodes( xpath ) ;
+	else					// Gecko
+	{
+		var aNodeArray = new Array();
+
+		var xPathResult = this.DOMDocument.evaluate( xpath, this.DOMDocument, 
+				this.DOMDocument.createNSResolver(this.DOMDocument.documentElement), XPathResult.ORDERED_NODE_ITERATOR_TYPE, null) ;
+		if ( xPathResult ) 
+		{
+			var oNode = xPathResult.iterateNext() ;
+ 			while( oNode )
+ 			{
+ 				aNodeArray[aNodeArray.length] = oNode ;
+ 				oNode = xPathResult.iterateNext();
+ 			}
+		} 
+		return aNodeArray ;
+	}
+}
+
+FCKXml.prototype.SelectSingleNode = function( xpath ) 
+{
+	if ( document.all )		// IE
+		return this.DOMDocument.selectSingleNode( xpath ) ;
+	else					// Gecko
+	{
+		var xPathResult = this.DOMDocument.evaluate( xpath, this.DOMDocument,
+				this.DOMDocument.createNSResolver(this.DOMDocument.documentElement), 9, null);
+
+		if ( xPathResult && xPathResult.singleNodeValue )
+			return xPathResult.singleNodeValue ;
+		else	
+			return null ;
+	}
+}
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/browser.css soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/browser.css
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/browser.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/browser.css	2005-06-11 10:27:12.000000000 +0900
@@ -0,0 +1,212 @@
+/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: browser.css
+ * 	CSS styles used by all pages that compose the File Browser.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+body
+{
+	background-color: #e3e9f1;
+}
+
+form
+{
+	margin: 0px 0px 0px 0px ;
+	padding: 0px 0px 0px 0px ;
+}
+
+a, :link, :active, :visited {
+	color: #000000;
+	text-decoration: none;
+}
+
+:hover {
+	color: #0000fa;
+}	
+
+a img {
+	border-width: 0px;
+	border-style: none;
+}
+
+frame
+{
+background-color: #e3e9f1;
+border-color: #000000;
+border-collapse: collapse;
+}
+
+frameset
+{
+background-color: #e3e9f1;
+border-color: #000000;
+border-collapse: collapse;
+}
+
+.progress_hollow
+{
+	background-color: transparent;
+}
+
+.progress_filled
+{
+	background-color: #8fa7c7;
+}
+
+.progress_bar
+{
+	background-color: #F0F7FF;
+	border-width: 1px;
+	border-color: #000000;
+	border-style: solid;
+}
+
+.Frame_none
+{
+	border-width: 0px;
+	border-style: none;
+}
+
+.Frame_t
+{
+	border-right: 0px none;
+	border-top: 1px solid;
+	border-left: 0px none;
+	border-bottom: 0px none;
+}
+
+.Frame_tr
+{
+	border-right: 1px solid;
+	border-top: 1px solid;
+	border-left: 0px none;
+	border-bottom: 0px none;
+}
+
+.Frame_tl
+{
+	border-right: 0px none;
+	border-top: 1px solid;
+	border-left: 1px solid;
+	border-bottom: 0px none;
+}
+
+.Frame_r
+{
+	border-right: 1px solid;
+	border-top: 0px none;
+	border-left: 0px none;
+	border-bottom: 0px none;
+}
+
+.Frame_l
+{
+	border-right: 0px none;
+	border-top: 0px none;
+	border-left: 1px solid;
+	border-bottom: 0px none;
+}
+
+.Frame_rl
+{
+	border-right: 1px solid;
+	border-top: 0px none;
+	border-left: 1px solid;
+	border-bottom: 0px none;
+}
+
+.Frame_b
+{
+	border-right: 0px none;
+	border-top: 0px none;
+	border-left: 0px none;
+	border-bottom: 1px solid;
+}
+
+.Frame_br
+{
+	border-right: 1px solid;
+	border-top: 0px none;
+	border-left: 0px none;
+	border-bottom: 1px solid;
+}
+
+.Frame_bl
+{
+	border-right: 0px none;
+	border-top: 0px none;
+	border-left: 1px solid;
+	border-bottom: 1px solid;
+}
+
+.Frame_tb
+{
+	border-right: 0px none;
+	border-top: 1px solid;
+	border-left: 0px none;
+	border-bottom: 1px solid;
+}
+
+.Frame_all
+{
+	border-right: 1px solid;
+	border-top: 1px solid;
+	border-left: 1px solid;
+	border-bottom: 1px solid;
+}
+
+body.FileArea
+{
+
+	background-color: #ffffff;
+}
+
+body, td, input, select
+{
+	font-size: 11px;
+	font-family: 'Microsoft Sans Serif' , Arial, Helvetica, Verdana;
+}
+
+.ActualFolder
+{
+	font-weight: bold;
+	font-size: 14px;
+}
+
+.PopupButtons
+{
+	border-top: #8fa7c7 1px solid;
+	background-color: #ffffff;
+	padding: 7px 10px 7px 10px;
+}
+
+.Button, button
+{
+	border-right: #737357 1px solid;
+	border-top: #737357 1px solid;
+	border-left: #737357 1px solid;
+	color: #ffffff;
+	border-bottom: #737357 1px solid;
+	background-color: #8fa7c7;
+}
+
+.FolderListCurrentFolder img
+{
+	background-image: url(images/FolderOpened.gif);
+}
+
+.FolderListFolder img
+{
+	background-image: url(images/Folder.gif);
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/browser.html soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/browser.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/browser.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/browser.html	2005-06-11 10:27:12.000000000 +0900
@@ -0,0 +1,38 @@
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: browser.html
+ * 	This page compose the File Browser dialog frameset.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<title>FCKeditor - Resources Browser</title>
+		<link href="browser.css" type="text/css" rel="stylesheet">
+	</head>
+	<frameset cols="150,*" framespacing="0" bordercolor="#f1f1e3" frameborder="no" class="Frame_none">
+		<frameset rows="50,*" framespacing="0"  class="Frame_r">
+			<frame src="frmresourcetype.html" scrolling="no" frameborder="no">
+			<frame name="frmFolders" id="frmFolders" src="frmfolders.html" scrolling="auto" frameborder="no">
+		</frameset>
+		<frameset rows="50,*,50" framespacing="0" class="Frame_none">
+			<frame name="frmActualFolder" src="frmactualfolder.html" scrolling="no" frameborder="no">
+			<frame name="frmResourcesList" id="mainWindow" src="frmresourceslist.html" scrolling="auto" frameborder="no">
+			<frameset cols="150,*,0" framespacing="0" frameborder="no" class="Frame_t">
+				<frame name="frmCreateFolder" id="frmCreateFolder" src="frmcreatefolder.html" scrolling="no" frameborder="no">
+				<frame name="frmUpload" id="frmUpload" src="frmupload.html" scrolling="no" frameborder="no">
+				<frame name="frmUploadWorker" src="" scrolling="no" frameborder="no">
+			</frameset>
+		</frameset>
+	</frameset>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Auth/Default.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Auth/Default.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Auth/Default.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Auth/Default.php	2005-06-11 10:27:22.000000000 +0900
@@ -0,0 +1,83 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: Default.php
+ * 	Im not very clued up on authentication but even i can see that anyone 
+ * 	who can spoof an IP could perform a replay attack on this, but its 
+ * 	better than nothing. 
+ * 	There is a 1 hour time out on tokens to help this slightly.
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+class Auth {
+	
+	function authenticate($data,$fckphp_config) {
+
+		//Hold relevant$fckphp_config vars locally
+		$key=$fckphp_config['auth']['Handler']['SharedKey'];
+		$fckphp_config['authSuccess']=false;
+		
+		//Decrypt the data passed to us
+		$decData="";
+		for ($i=0;$i<strlen($data)-1;$i+=2) $decData.=chr(hexdec($data[$i].$data[$i+1]));
+		
+		$decArray=explode("|^SEP^|",$decData);
+		
+		if (sizeof($decArray)==4) {
+			//0 = Timestamp
+			//1 = Client IP
+			//2 = Username
+			//3 = MD5
+			if ($decArray[3]==md5($decArray[0]."|^SEP^|".$decArray[1]."|^SEP^|".$decArray[2].$key)) {
+				if (time()-$decArray[0]<3600) { //Token valid for max of 1 hour
+					if ($_SERVER['REMOTE_ADDR']==$decArray[1]) {
+						
+						//Set the file root to the users individual one
+						$top=str_replace("//","/",$fckphp_config['basedir'].'/'.$fckphp_config['UserFilesPath']."/users");
+						$fckphp_config['UserFilesPath']=$fckphp_config['UserFilesPath']."/users/".$decArray[2];
+						$up=str_replace("//","/",$fckphp_config['basedir'].'/'.$fckphp_config['UserFilesPath']);
+						
+						if (!file_exists($top)) {
+							mkdir($top,0777) or die("users folder in UserFilesPath does not exist and could not be created.");
+							chmod($top,0777);
+						}
+						
+						//Create folder if it doesnt exist
+						if (!file_exists($up)) {
+							mkdir($up,0777) or die("users/".$decArray[2]." folder in UserFilesPath does not exist and could not be created.");
+							chmod($up,0777); //Just for good measure
+						}
+						
+						//Create resource area subfolders if they dont exist
+						foreach ($fckphp_config['ResourceTypes'] as $value) {
+							if (!file_exists("$up/$value")) {
+								mkdir("$up/$value",0777) or die("users/".$decArray[2]."/$value folder in UserFilesPath does not exist and could not be created.");
+								chmod("$up/$value",0777); //Just for good measure
+							}
+						}
+						$fckphp_config['authSuccess']=true;
+					} else {
+						//Not same client as auth token is for
+					}
+				} else {
+					//Token more than an hour old
+				}
+			} else {
+				//Data integrity failed
+			}
+		} else {
+			//Not enough data (decryption failed?)
+		}
+		
+		return $fckphp_config;
+	}
+}
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/CreateFolder.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/CreateFolder.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/CreateFolder.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/CreateFolder.php	2005-06-11 10:27:18.000000000 +0900
@@ -0,0 +1,88 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: CreateFolder.php
+ * 	Implements the CreateFolder command to make a new folder
+ * 	in the current directory. Output is in XML.
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+class CreateFolder {
+	var $fckphp_config;
+	var $type;
+	var $cwd;
+	var $actual_cwd;
+	var $newfolder;
+	
+	function CreateFolder($fckphp_config,$type,$cwd) {
+		$this->fckphp_config=$fckphp_config;
+		$this->type=$type;
+		$this->raw_cwd=$cwd;
+		$this->actual_cwd=str_replace("//","/",($this->fckphp_config['UserFilesPath']."/$type/".$this->raw_cwd));
+		$this->real_cwd=str_replace("//","/",($this->fckphp_config['basedir']."/".$this->actual_cwd));
+		$this->newfolder=str_replace(array("..","/"),"",$_GET['NewFolderName']);
+	}
+	
+	function checkFolderName($folderName) {
+		
+		//Check the name is not too long
+		if (strlen($folderName)>$this->fckphp_config['MaxDirNameLength']) return false;
+		
+		//Check that it only contains valid characters
+		for($i=0;$i<strlen($folderName);$i++) if (!in_array(substr($folderName,$i,1),$this->fckphp_config['DirNameAllowedChars'])) return false;
+		
+		//If it got this far all is ok
+		return true;
+	}
+	
+	function run() {
+		header ("content-type: text/xml");
+		echo "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n";
+		?>
+<Connector command="CreateFolder" resourceType="<?php echo $this->type; ?>">
+	<CurrentFolder path="<?php echo $this->raw_cwd; ?>" url="<?php echo $this->actual_cwd; ?>" />
+	<?php
+		$newdir=str_replace("//","/",($this->real_cwd."/".$this->newfolder));
+		
+		//Check the new name
+		if ($this->checkFolderName($this->newfolder)) {
+			
+			//Check if it already exists
+			if (is_dir($newdir)) {
+				$err_no=101; //Folder already exists
+			} else {
+				
+				//Check if we can create the directory here
+				if (is_writeable($this->real_cwd)) {
+					
+					//Make the directory
+					if (mkdir($newdir,0777)) {
+						$err_no=0; //Success
+					} else {
+					
+						$err_no=110; //Unknown error
+					}	
+				} else {
+					$err_no=103; //No permissions to create
+				}
+			}
+		} else {
+			$err_no=102; //Invalid Folder Name
+		}
+		
+	?>
+	<Error number="<?php echo "".$err_no; ?>" />
+</Connector>
+		<?php
+	}
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/DeleteFile.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/DeleteFile.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/DeleteFile.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/DeleteFile.php	2005-06-11 10:27:18.000000000 +0900
@@ -0,0 +1,61 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: DeleteFile.php
+ * 	Implements the DeleteFile command to delete a file
+ * 	in the current directory. Output is in XML.
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+class DeleteFile {
+	var $fckphp_config;
+	var $type;
+	var $cwd;
+	var $actual_cwd;
+	var $newfolder;
+	
+	function DeleteFile($fckphp_config,$type,$cwd) {
+		$this->fckphp_config=$fckphp_config;
+		$this->type=$type;
+		$this->raw_cwd=$cwd;
+		$this->actual_cwd=str_replace("//","/",($this->fckphp_config['UserFilesPath']."/$type/".$this->raw_cwd));
+		$this->real_cwd=str_replace("//","/",($this->fckphp_config['basedir']."/".$this->actual_cwd));
+		$this->filename=str_replace(array("..","/"),"",$_GET['FileName']);
+	}
+	
+	function run() {
+		$result1=false;
+		$result2=true;
+		
+		$thumb=$this->real_cwd.'/.thumb_'.$this->filename;
+		$result1=unlink($this->real_cwd.'/'.$this->filename);
+		if (file_exists($thumb)) $result2=unlink($thumb);
+		
+		header ("content-type: text/xml");
+		echo "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n";
+		?>
+<Connector command="DeleteFile" resourceType="<?php echo $this->type; ?>">
+	<CurrentFolder path="<?php echo $this->raw_cwd; ?>" url="<?php echo $this->actual_cwd; ?>" />
+	<?php
+		if ($result1&&$result2) {
+			$err_no=0;
+		} else {
+			$err_no=302;
+		}
+		
+	?>
+	<Error number="<?php echo "".$err_no; ?>" />
+</Connector>
+		<?php
+	}
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/DeleteFolder.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/DeleteFolder.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/DeleteFolder.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/DeleteFolder.php	2005-06-11 10:27:18.000000000 +0900
@@ -0,0 +1,75 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: DeleteFolder.php
+ * 	Implements the DeleteFolder command to delete a folder
+ * 	in the current directory. Output is in XML.
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+class DeleteFolder {
+	var $fckphp_config;
+	var $type;
+	var $cwd;
+	var $actual_cwd;
+	var $newfolder;
+	
+	function DeleteFolder($fckphp_config,$type,$cwd) {
+		$this->fckphp_config=$fckphp_config;
+		$this->type=$type;
+		$this->raw_cwd=$cwd;
+		$this->actual_cwd=str_replace("//","/",($this->fckphp_config['UserFilesPath']."/$type/".$this->raw_cwd));
+		$this->real_cwd=str_replace("//","/",($this->fckphp_config['basedir']."/".$this->actual_cwd));
+		$this->foldername=str_replace(array("..","/"),"",$_GET['FolderName']);
+	}
+	
+	function run() {
+		
+		if ($this->delDir($this->real_cwd.'/'.$this->foldername)) {
+			$err_no=0;
+		} else {
+			$err_no=402;
+		}
+		
+		header ("content-type: text/xml");
+		echo "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n";
+		?>
+<Connector command="DeleteFolder" resourceType="<?php echo $this->type; ?>">
+	<CurrentFolder path="<?php echo $this->raw_cwd; ?>" url="<?php echo $this->actual_cwd; ?>" />
+	<Error number="<?php echo "".$err_no; ?>" />
+</Connector>
+		<?php
+	}
+	
+	
+	function delDir($dir) {
+		$dh=opendir($dir);
+		if ($dh) {
+			while ($entry=readdir($dh)) {
+				if (($entry!=".")&&($entry!="..")) {
+					if (is_dir($dir.'/'.$entry)) {
+						$this->delDir($dir.'/'.$entry);	
+					} else {
+						$thumb=$dir.'/.thumb_'.$entry;
+						if (file_exists($thumb)) if (!unlink($thumb)) return false;
+						if (!unlink($dir.'/'.$entry)) return false;
+					}
+				}
+			}	
+			closedir($dh);
+			return rmdir($dir);
+		} else {
+			return false;
+		}
+	}
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/FileUpload.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/FileUpload.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/FileUpload.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/FileUpload.php	2005-06-11 10:27:18.000000000 +0900
@@ -0,0 +1,245 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: FileUpload.php
+ * 	Implements the FileUpload command,
+ * 	Checks the file uploaded is allowed, 
+ * 	then moves it to the user data area. 
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+class FileUpload {
+	var $fckphp_config;
+	var $type;
+	var $cwd;
+	var $actual_cwd;
+	var $newfolder;
+	
+	function FileUpload($fckphp_config,$type,$cwd) {
+		$this->fckphp_config=$fckphp_config;
+		$this->type=$type;
+		$this->raw_cwd=$cwd;
+		$this->actual_cwd=str_replace("//","/",($this->fckphp_config['UserFilesPath']."/$type/".$this->raw_cwd));
+		$this->real_cwd=str_replace("//","/",($this->fckphp_config['basedir']."/".$this->actual_cwd));
+	}
+	
+	function cleanFilename($filename) {
+		$n_filename="";
+		
+		//Check that it only contains valid characters
+		for($i=0;$i<strlen($filename);$i++) if (in_array(substr($filename,$i,1),$this->fckphp_config['FileNameAllowedChars'])) $n_filename.=substr($filename,$i,1);
+		
+		//If it got this far all is ok
+		return $n_filename;
+	}
+	
+	function run() {
+		//If using CGI Upload script, get file info and insert into $_FILE array
+		if 	(
+				(sizeof($_FILES)==0) && 
+				isset($_GET['file']) && 
+				isset($_GET['file']['NewFile']) && 
+				is_array($_GET['file']['NewFile'])
+			) {
+			if (isset($_GET['file']['NewFile']['name'])&&$_GET['file']['NewFile']['size']&&$_GET['file']['NewFile']['tmp_name']) {
+				$_FILES['NewFile']['name']=basename(str_replace("\\","/",$_GET['file']['NewFile']['name']));
+				$_FILES['NewFile']['size']=$_GET['file']['NewFile']['size'];
+				$_FILES['NewFile']['tmp_name']=$_GET['file']['NewFile']['tmp_name'];
+			} else {
+				$disp="202,'Incomplete file information from upload CGI'";
+			}
+		}
+		
+// 		if (isset($_FILES['NewFile'])&&isset($_FILES['NewFile']['name'])&&($_FILES['NewFile']['name']!=""))
+// 			$_FILES['NewFile']['name']=$_FILES['NewFile']['name']; //$this->cleanFilename($_FILES['NewFile']['name']);
+		
+		$typeconfig=$this->fckphp_config['ResourceAreas'][$this->type];
+		
+		header ("content-type: text/html");
+		if (sizeof($_FILES)>0) {
+			if (array_key_exists("NewFile",$_FILES)) {
+				if ($_FILES['NewFile']['size']<($typeconfig['MaxSize']*1024)) {
+
+					$filename=basename(str_replace("\\","/",$_FILES['NewFile']['name']));
+					
+					$lastdot=strrpos($filename,".");
+					
+					if ($lastdot!==false) {
+						$ext=substr($filename,($lastdot+1));
+						$filename=substr($filename,0,$lastdot);
+						
+						if (in_array(strtolower($ext),$typeconfig['AllowedExtensions'])) {
+						
+							$test=0;
+							$dirSizes=array();
+							$globalSize=0;
+							$failSizeCheck=false;
+							if ($this->fckphp_config['DiskQuota']['Global']!=-1) {
+								foreach ($this->fckphp_config['ResourceTypes'] as $resType) {
+									
+									$dirSizes[$resType]=
+										$this->getDirSize(
+											$this->fckphp_config['basedir']."/".$this->fckphp_config['UserFilesPath']."/$resType");
+									
+									if ($dirSizes[$resType]===false) {
+										//Failed to stat a directory, fall out
+										$failSizeCheck=true;
+										$msg="\\nUnable to determine the size of a folder.";
+										break;
+									}
+									$globalSize+=$dirSizes[$resType];
+								}
+								
+								$globalSize+=$_FILES['NewFile']['size'];
+								
+								if (!$failSizeCheck) {
+									if ($globalSize>($this->fckphp_config['DiskQuota']['Global']*1048576)) {
+										$failSizeCheck=true;
+										$msg="\\nYou are over the global disk quota.";
+									}
+								}
+							}
+							
+							if (($typeconfig['DiskQuota']!=-1)&&(!$failSizeCheck)) {
+								if ($this->fckphp_config['DiskQuota']['Global']==-1) {
+									$dirSizes[$this->type]=
+										$this->getDirSize(
+											$this->fckphp_config['basedir']."/".$this->fckphp_config['UserFilesPath']."/".$this->type);
+								}
+								
+								if (($dirSizes[$this->type]+$_FILES['NewFile']['size'])>
+									($typeconfig['DiskQuota']*1048576)) {
+									$failSizeCheck=true;	
+									$msg="\\nYou are over the disk quota for this resource type.";
+								}
+							}
+							
+							if ((($this->fckphp_config['DiskQuota']['Global']!=-1)||($typeconfig['DiskQuota']!=-1))&&$failSizeCheck) {
+								//Disk Quota over
+								$disp="202,'Over disk quota, ".$msg."'";
+							} else {
+						
+								if (file_exists($this->real_cwd."/$filename.$ext")) {
+									$taskDone=false;
+									
+									//File already exists, try renaming
+									//If there are more than 200 files with
+									//	the same name giveup
+									for ($i=1;(($i<200)&&($taskDone==false));$i++) {
+										if (!file_exists($this->real_cwd."/$filename($i).$ext")) {
+											if (is_uploaded_file($_FILES['NewFile']['tmp_name'])) {
+												if 
+												(move_uploaded_file($_FILES['NewFile']['tmp_name'],($this->real_cwd."/$filename($i).$ext"))) {
+													chmod(($this->real_cwd."/$filename($i).$ext"),0777);
+													$disp="201,'..$filename($i).$ext'";
+												} else {
+													$disp="202,'Failed to upload file, internal error.'";
+												}
+											} else {
+												if 
+												(rename($_FILES['NewFile']['tmp_name'],($this->real_cwd."/$filename($i).$ext"))) {
+													chmod(($this->real_cwd."/$filename($i).$ext"),0777);
+													$disp="201,'$filename($i).$ext'";
+												} else {
+													$disp="202,'Failed to upload file, internal error.'";
+												}
+											}
+											$taskDone=true;	
+										}
+									}
+									if ($taskDone==false) {
+										$disp="202,'Failed to upload file, internal error..'";
+									}
+								} else {
+									//Upload file
+									if (is_uploaded_file($_FILES['NewFile']['tmp_name'])) {
+										if (move_uploaded_file($_FILES['NewFile']['tmp_name'],($this->real_cwd."/$filename.$ext"))) {
+											chmod(($this->real_cwd."/$filename.$ext"),0777);
+											$disp="0";
+										} else {
+											$disp="202,'Failed to upload file, internal error...'";
+										}
+									} else {
+										if (rename($_FILES['NewFile']['tmp_name'],($this->real_cwd."/$filename.$ext"))) {
+											chmod(($this->real_cwd."/$filename.$ext"),0777);
+											$disp="0";
+										} else {
+											$disp="202,'Failed to upload file, internal error...'";
+										}
+									}
+								}
+							}
+						} else {
+							//Disallowed file extension
+							$disp="202,'Disallowed file type.'";
+						}
+						
+					} else {
+						//No file extension to check
+						$disp="202,'Unable to determine file type of file'";
+					}	
+					
+				} else {
+					//Too big
+					$disp="202,'This file exceeds the maximum upload size.'";
+				}
+			} else {
+				//No file uploaded with field name NewFile
+				$disp="202,'Unable to find uploaded file.'";
+			}
+		} else {
+			//No files uploaded
+			
+			//Should really send something back saying
+			//invalid file, but this breaks the filemanager 
+			//with firefox, so for now we'll just exit
+			exit(0);
+			//$disp="202";
+		}
+
+		?>
+		<html>
+		<head>
+			<title>Upload Complete</title>
+		</head>
+		<body>
+		<script type="text/javascript">
+			window.parent.frames['frmUpload'].OnUploadCompleted(<?php echo $disp; ?>) ;
+		</script>
+		</body>
+		</html>
+		<?php
+		
+	}
+	
+	function getDirSize($dir) {
+		$dirSize=0;
+		if ($dh=@opendir($dir)) {
+			while ($file=@readdir($dh)) {
+				if (($file!=".")&&($file!="..")) {
+					if (is_dir($dir."/".$file)) {
+						$tmp_dirSize=$this->getDirSize($dir."/".$file);
+						if ($tmp_dirSize!==false) $dirSize+=$tmp_dirSize;
+					} else {
+						$dirSize+=filesize($dir."/".$file);
+					}
+				}
+			}
+			@closedir($dh);
+		} else {
+			return false;
+		}
+		
+		return $dirSize;
+	}
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetFolders.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetFolders.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetFolders.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetFolders.php	2005-06-11 10:27:18.000000000 +0900
@@ -0,0 +1,63 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: GetFolders.php
+ * 	Implements the GetFolders command, to list the folders 
+ * 	in the current directory. Output is in XML
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+class GetFolders {
+	var $fckphp_config;
+	var $type;
+	var $cwd;
+	var $actual_cwd;
+	
+	function GetFolders($fckphp_config,$type,$cwd) {
+		$this->fckphp_config=$fckphp_config;
+		$this->type=$type;
+		$this->raw_cwd=$cwd;
+		$this->actual_cwd=str_replace("//","/",($fckphp_config['UserFilesPath']."/$type/".$this->raw_cwd));
+		$this->real_cwd=str_replace("//","/",($this->fckphp_config['basedir']."/".$this->actual_cwd));
+	}
+	
+	function run() {
+		header ("content-type: text/xml");
+		echo "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n";
+		?>
+<Connector command="GetFolders" resourceType="<?php echo $this->type; ?>">
+	<CurrentFolder path="<?php echo $this->raw_cwd; ?>" url="<?php echo $this->actual_cwd; ?>" />
+	<Folders>
+		<?php
+			if ($dh=opendir($this->real_cwd)) {
+				while (($filename=readdir($dh))!==false) {
+					if (($filename!=".")&&($filename!="..")) {
+						if (is_dir($this->real_cwd."/$filename")) {
+							
+							//check if$fckphp_configured not to show this folder
+							$hide=false;
+							for($i=0;$i<sizeof($this->fckphp_config['ResourceAreas'][$this->type]['HideFolders']);$i++) 
+								$hide=(ereg($this->fckphp_config['ResourceAreas'][$this->type]['HideFolders'][$i],$filename)?true:$hide);
+							
+							if (!$hide) echo "<Folder name=\"$filename\" />\n";
+						}
+					}
+				}
+				closedir($dh);
+			}
+		?>
+	</Folders>
+</Connector>
+		<?php
+	}
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetFoldersAndFiles.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetFoldersAndFiles.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetFoldersAndFiles.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetFoldersAndFiles.php	2005-06-11 10:27:18.000000000 +0900
@@ -0,0 +1,149 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: GetFoldersAndFiles.php
+ * 	Implements the GetFoldersAndFiles command, to list
+ * 	files and folders in the current directory.
+ * 	Output is in XML
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+class GetFoldersAndFiles {
+	var $fckphp_config;
+	var $type;
+	var $cwd;
+	var $actual_cwd;
+	
+	function GetFoldersAndFiles($fckphp_config,$type,$cwd) {
+		$this->fckphp_config=$fckphp_config;
+		$this->type=$type;
+		$this->raw_cwd=$cwd;
+		$this->actual_cwd=str_replace("//","/",($fckphp_config['UserFilesPath']."/$type/".$this->raw_cwd));
+		$this->real_cwd=str_replace("//","/",($this->fckphp_config['basedir']."/".$this->actual_cwd));
+	}
+	
+	function run() {
+
+		header ("Content-Type: application/xml; charset=utf-8");
+		echo "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n";
+		?>
+<!DOCTYPE Connector [
+
+<?php include "dtd/iso-lat1.ent";?>
+	
+	<!ELEMENT Connector	(CurrentFolder,Folders,Files)>
+		<!ATTLIST Connector command CDATA "noname">
+		<!ATTLIST Connector resourceType CDATA "0">
+		
+	<!ELEMENT CurrentFolder	(#PCDATA)>
+		<!ATTLIST CurrentFolder path CDATA "noname">
+		<!ATTLIST CurrentFolder url CDATA "0">
+		
+	<!ELEMENT Folders	(#PCDATA)>
+	
+	<!ELEMENT Folder	(#PCDATA)>
+		<!ATTLIST Folder name CDATA "noname_dir">
+		
+	<!ELEMENT Files		(#PCDATA)>
+		
+	<!ELEMENT File		(#PCDATA)>
+		<!ATTLIST File name CDATA "noname_file">
+		<!ATTLIST File size CDATA "0">
+] >
+		
+<Connector command="GetFoldersAndFiles" resourceType="<?php echo $this->type; ?>">
+	<CurrentFolder path="<?php echo $this->raw_cwd; ?>" url="<?php echo $this->fckphp_config['urlprefix'] . $this->actual_cwd; ?>" />
+	<Folders>
+<?php
+			$files=array();
+			if ($dh=opendir($this->real_cwd)) {
+				while (($filename=readdir($dh))!==false) {
+					
+					if (($filename!=".")&&($filename!="..")) {
+						if (is_dir($this->real_cwd."/$filename")) {
+							//check if$fckphp_configured not to show this folder
+							$hide=false;
+							for($i=0;$i<sizeof($this->fckphp_config['ResourceAreas'][$this->type]['HideFolders']);$i++) 
+								$hide=(ereg($this->fckphp_config['ResourceAreas'][$this->type]['HideFolders'][$i],$filename)?true:$hide);
+							
+							if (!$hide) echo "\t\t<Folder name=\"$filename\" />\n";
+							
+						} else {
+							array_push($files,$filename);
+						}
+					}
+				}
+				closedir($dh); 
+			}
+			echo "\t</Folders>\n";
+			echo "\t<Files>\n";
+
+			for ($i=0;$i<sizeof($files);$i++) {
+				
+				$lastdot=strrpos($files[$i],".");
+				$ext=(($lastdot!==false)?(substr($files[$i],$lastdot+1)):"");
+				
+				if (in_array(strtolower($ext),$this->fckphp_config['ResourceAreas'][$this->type]['AllowedExtensions'])) {
+				
+					//check if$fckphp_configured not to show this file
+					$editable=$hide=false;
+					for($j=0;$j<sizeof($this->fckphp_config['ResourceAreas'][$this->type]['HideFiles']);$j++) 
+						$hide=(ereg($this->fckphp_config['ResourceAreas'][$this->type]['HideFiles'][$j],$files[$i])?true:$hide);
+					
+					if (!$hide) {
+						if ($this->fckphp_config['ResourceAreas'][$this->type]['AllowImageEditing']) 
+							$editable=$this->isImageEditable($this->real_cwd."/".$files[$i]);
+						
+						echo "\t\t<File name=\"".htmlentities($files[$i])."\" size=\"".ceil(filesize($this->real_cwd."/".$files[$i])/1024)."\" editable=\"" . ( $editable?"1":"0" ) . "\" />\n";	
+					}
+
+				}
+				
+			}
+		
+			echo "\t</Files>\n"; 
+			echo "</Connector>\n";
+	}
+	
+	
+	function isImageEditable($file) {
+		$fh=fopen($file,"r");
+		if ($fh) {
+			$start4=fread($fh,4);
+			fclose($fh);
+			
+			$start3=substr($start4,0,3);
+			
+			if ($start4=="\x89PNG") { //PNG
+				return (function_exists("imagecreatefrompng") && function_exists("imagepng"));
+				
+			} elseif ($start3=="GIF") { //GIF
+				return (function_exists("imagecreatefromgif") && function_exists("imagegif"));
+				
+			} elseif ($start3=="\xFF\xD8\xFF") { //JPEG
+				return (function_exists("imagecreatefromjpeg")&& function_exists("imagejpeg"));
+				
+			} elseif ($start4=="hsi1") { //JPEG
+				return (function_exists("imagecreatefromjpeg")&& function_exists("imagejpeg"));
+				
+			} else {
+				return false;
+			}
+			
+		} else {
+			return false;
+		}
+	}
+	
+	
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetUploadProgress.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetUploadProgress.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetUploadProgress.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/GetUploadProgress.php	2005-06-11 10:27:18.000000000 +0900
@@ -0,0 +1,86 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: GetUploadProgress.php
+ * 	Implements the GetFolders command, to list the folders 
+ * 	in the current directory. Output is in XML
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+class GetUploadProgress {
+	var $fckphp_config;
+	var $type;
+	var $cwd;
+	var $actual_cwd;
+	var $uploadID;
+	
+	function GetUploadProgress($fckphp_config,$type,$cwd) {
+		$this->fckphp_config=$fckphp_config;
+		$this->type=$type;
+		$this->raw_cwd=$cwd;
+		$this->actual_cwd=str_replace("//","/",($fckphp_config['UserFilesPath']."/$type/".$this->raw_cwd));
+		$this->real_cwd=str_replace("//","/",($this->fckphp_config['basedir']."/".$this->actual_cwd));
+		$this->uploadID=$_GET['uploadID'];
+		$this->refreshURL=$_GET['refreshURL'];
+		
+	}
+	
+	function run() {
+		if (isset($this->refreshURL)&&($this->refreshURL!="")) {
+			//Continue monitoring
+			$uploadProgress=file($this->refreshURL);
+			$url=$this->refreshURL;
+		} else {
+			//New download
+			$uploadProgressHandler=$this->fckphp_config['uploadProgressHandler'];
+			if ($uploadProgressHandler=='') {
+				//Progresshandler not specified, return generic response
+		?>
+<Connector command="GetUploadProgress" resourceType="<?php echo $this->type; ?>">
+	<CurrentFolder path="<?php echo $this->raw_cwd; ?>" url="<?php echo $this->actual_cwd; ?>" />
+	<Progress max="2" value="1" />
+	<RefreshURL url="" />
+</Connector>
+		<?php
+				exit(0);
+			}
+			
+			$url=$uploadProgressHandler."?iTotal=0&iRead=0&iStatus=1&sessionid=".$this->uploadID."&dtnow=".time()."&dtstart=".time();
+			
+			$_SESSION[$this->uploadID]=$url;
+			$uploadProgress=file($url);
+			
+		}
+		
+		$uploadProgress2=implode("\n",$uploadProgress);
+		
+		$parser = xml_parser_create();
+		xml_parse_into_struct($parser, $uploadProgress2, $vals, $index);
+		
+		$refreshURL=isset($vals[$index['REFRESHURL'][0]]['value'])?$vals[$index['REFRESHURL'][0]]['value']:"";
+		$totalBytes=isset($vals[$index['TOTALBYTES'][0]]['value'])?$vals[$index['TOTALBYTES'][0]]['value']:0;
+		$readBytes=isset($vals[$index['READBYTES'][0]]['value'])?$vals[$index['READBYTES'][0]]['value']:0;
+		$status=isset($vals[$index['STATUS'][0]]['value'])?$vals[$index['STATUS'][0]]['value']:1;
+		
+		header ("content-type: text/xml");
+		echo "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n";
+		?>
+<Connector command="GetUploadProgress" resourceType="<?php echo $this->type; ?>">
+	<CurrentFolder path="<?php echo $this->raw_cwd; ?>" url="<?php echo $this->actual_cwd; ?>" />
+	<Progress max="<?php echo $totalBytes; ?>" value="<?php echo $readBytes; ?>" />
+	<RefreshURL url="<?php echo htmlentities($refreshURL); ?>" />
+</Connector>
+		<?php
+		xml_parser_free($parser);
+	}
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/RenameFile.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/RenameFile.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/RenameFile.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/RenameFile.php	2005-06-11 10:27:18.000000000 +0900
@@ -0,0 +1,96 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: RenameFile.php
+ * 	Implements the DeleteFile command to delete a file
+ * 	in the current directory. Output is in XML
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+class RenameFile {
+	var $fckphp_config;
+	var $type;
+	var $cwd;
+	var $actual_cwd;
+	var $newfolder;
+	
+	function RenameFile($fckphp_config,$type,$cwd) {
+		$this->fckphp_config=$fckphp_config;
+		$this->type=$type;
+		$this->raw_cwd=$cwd;
+		$this->actual_cwd=str_replace("//","/",($fckphp_config['UserFilesPath']."/$type/".$this->raw_cwd));
+		$this->real_cwd=str_replace("//","/",($this->fckphp_config['basedir']."/".$this->actual_cwd));
+		$this->filename=str_replace(array("..","/"),"",$_GET['FileName']);
+		$this->newname=str_replace(array("..","/"),"",$this->checkName($_GET['NewName']));
+	}
+	
+	function checkName($name) {
+		$newName="";
+		for ($i=0;$i<strlen($name);$i++) {
+			if (in_array($name[$i],$this->fckphp_config['FileNameAllowedChars'])) $newName.=$name[$i];
+		}
+		return $newName;
+	}
+	
+	function run() {
+		$result1=false;
+		$result2=true;
+		
+		if ($this->newname!='') {
+		
+			if ($this->nameValid($this->newname)) {
+				//Remove thumbnail if it exists
+				$result2=true;
+				$thumb=$this->real_cwd.'/.thumb_'.$this->filename;
+				if (file_exists($thumb)) $result2=unlink($thumb);
+				
+				$result1=rename($this->real_cwd.'/'.$this->filename,$this->real_cwd.'/'.$this->newname);
+			} else {
+				$result1=false;
+			}
+		}
+		
+		header ("content-type: text/xml");
+		echo "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n";
+		?>
+<Connector command="RenameFile" resourceType="<?php echo $this->type; ?>">
+	<CurrentFolder path="<?php echo $this->raw_cwd; ?>" url="<?php echo $this->actual_cwd; ?>" />
+	<?php
+		if ($result1&&$result2) {
+			$err_no=0;
+		} else {
+			$err_no=502;
+		}
+	?>
+	<Error number="<?php echo "".$err_no; ?>" />
+</Connector>
+		<?php
+	}
+	
+	function nameValid($fname) {
+		$type_config=$this->fckphp_config['ResourceAreas'][$this->type];
+		
+		$lastdot=strrpos($fname,".");
+			
+		if ($lastdot!==false) {
+			$ext=substr($fname,($lastdot+1));
+			$fname=substr($fname,0,$lastdot);
+				
+			if (in_array(strtolower($ext),$type_config['AllowedExtensions'])) {
+				return true;
+			} else {
+				return false;
+			}
+		}
+	}
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/RenameFolder.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/RenameFolder.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/RenameFolder.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/RenameFolder.php	2005-06-11 10:27:18.000000000 +0900
@@ -0,0 +1,70 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: RenameFolder.php
+ * 	Implements the DeleteFile command to delete a file
+ * 	in the current directory. Output is in XML
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+class RenameFolder {
+	var $fckphp_config;
+	var $type;
+	var $cwd;
+	var $actual_cwd;
+	var $newfolder;
+	
+	function RenameFolder($fckphp_config,$type,$cwd) {
+		$this->fckphp_config=$fckphp_config;
+		$this->type=$type;
+		$this->raw_cwd=$cwd;
+		$this->actual_cwd=str_replace("//","/",($fckphp_config['UserFilesPath']."/$type/".$this->raw_cwd));
+		$this->real_cwd=str_replace("//","/",($this->fckphp_config['basedir']."/".$this->actual_cwd));
+		$this->foldername=str_replace(array("..","/"),"",$_GET['FolderName']);
+		$this->newname=str_replace(array("..","/"),"",$this->checkName($_GET['NewName']));
+	}
+	
+	function checkName($name) {
+		$newName="";
+		for ($i=0;$i<strlen($name);$i++) {
+			if (in_array($name[$i],$this->fckphp_config['DirNameAllowedChars'])) $newName.=$name[$i];
+		}
+		return $newName;
+	}
+	
+	function run() {
+		$result1=false;
+
+		
+		if ($this->newname!='') {
+			$result1=rename($this->real_cwd.'/'.$this->foldername,$this->real_cwd.'/'.$this->newname);
+		}
+		
+		header ("content-type: text/xml");
+		echo "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n";
+		?>
+<Connector command="RenameFolder" resourceType="<?php echo $this->type; ?>">
+	<CurrentFolder path="<?php echo $this->raw_cwd; ?>" url="<?php echo $this->actual_cwd; ?>" />
+	<?php
+		if ($result1) {
+			$err_no=0;
+		} else {
+			$err_no=602;
+		}
+		
+	?>
+	<Error number="<?php echo "".$err_no; ?>" />
+</Connector>
+		<?php
+	}
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/Thumbnail.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/Thumbnail.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/Thumbnail.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/Thumbnail.php	2005-06-11 10:27:18.000000000 +0900
@@ -0,0 +1,240 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: Thumbnail.php
+ * 	Implements the Thumbnail command, to return
+ * 	a thumbnail to the browser for the sent file,
+ * 	if the file is an image an attempt is made to
+ * 	generate a thumbnail, otherwise an appropriate
+ * 	icon is returned.
+ * 	Output is image data
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+include "helpers/iconlookup.php";
+
+class Thumbnail {
+	var $fckphp_config;
+	var $type;
+	var $cwd;
+	var $actual_cwd;
+	var $filename;
+	
+	function Thumbnail($fckphp_config,$type,$cwd) {
+		$this->fckphp_config=$fckphp_config;
+		$this->type=$type;
+		$this->raw_cwd=$cwd;
+		$this->actual_cwd=str_replace("//","/",($fckphp_config['UserFilesPath']."/$type/".$this->raw_cwd));
+		$this->real_cwd=str_replace("//","/",($this->fckphp_config['basedir']."/".$this->actual_cwd));
+		$this->filename=str_replace(array("..","/"),"",$_GET['FileName']);
+	}
+	
+	function run() {
+		//$mimeIcon=getMimeIcon($mime);
+		$fullfile=$this->real_cwd.'/'.$this->filename;
+		$thumbfile=$this->real_cwd.'/.thumb_'.$this->filename;
+		$icon=false;
+		
+		if (file_exists($thumbfile)) {
+			$icon=$thumbfile;
+		} else {
+			$mime=$this->getMIME($fullfile);
+			$ext=strtolower($this->getExtension($this->filename));	
+			
+			if ($this->isImage($mime,$ext))
+				{
+				
+				//Try and find a thumbnail, else try to generate one
+				//	else send generic picture icon.
+				
+				if ($this->isJPEG($mime,$ext)) {
+					$result=$this->resizeFromJPEG($fullfile);
+					
+				} elseif ($this->isGIF($mime,$ext)) {
+					$result=$this->resizeFromGIF($fullfile);
+					
+				} elseif ($this->isPNG($mime,$ext)) {
+					$result=$this->resizeFromPNG($fullfile);
+				}
+				
+				if ($result!==false) {
+					if (function_exists("imagejpeg")) {
+						imagejpeg($result,$thumbfile,70);
+						chmod($thumbfile,0777);
+						$icon=$thumbfile;
+					} elseif (function_exists("imagepng")) {
+						imagepng($result,$thumbfile);
+						chmod($thumbfile,0777);
+						$icon=$thumbfile;
+					} elseif (function_exists("imagegif")) {
+						imagegif($result,$thumbfile);
+						chmod($thumbfile,0777);
+						$icon=$thumbfile;
+					} else {
+						$icon=iconLookup($mime,$ext);
+					}
+					
+				} else {
+					$icon=iconLookup($mime,$ext);
+				}
+			} else {
+				$icon=iconLookup($mime,$ext);
+			}
+		}
+		
+		
+		$iconMime=$this->image2MIME($icon);
+		if ($iconMime==false) $iconMime="image/jpeg";
+		
+		header("Content-type: $iconMime",true);
+		readfile($icon);
+		
+	}
+	
+	function getMIME($file) {
+		$mime="text/plain";
+		
+		//If mime magic is installed
+		if (function_exists("mime_content_type")) {
+			$mime=mime_content_type($file);
+		} else {
+			$mime=$this->image2MIME($file);
+		}
+		
+		return strtolower($mime);
+	}
+	
+	function image2MIME($file) {
+		$fh=fopen($file,"r");
+		if ($fh) {
+			$start4=fread($fh,4);
+			$start3=substr($start4,0,3);
+			
+			if ($start4=="\x89PNG") {
+				return "image/png";
+			} elseif ($start3=="GIF") {
+				return "image/gif";
+			} elseif ($start3=="\xFF\xD8\xFF") {
+				return "image/jpeg";
+			} elseif ($start4=="hsi1") {
+				return "image/jpeg";
+			} else {
+				return false;
+			}
+			
+			unset($start3);unset($start4);
+			fclose($fh);
+		} else {
+			return false;
+		}
+	}
+	
+	
+	function isImage($mime,$ext) {
+		if (
+			($mime=="image/gif")||
+			($mime=="image/jpeg")||
+			($mime=="image/jpg")||
+			($mime=="image/pjpeg")||
+			($mime=="image/png")||
+			($ext=="jpg")||
+			($ext=="jpeg")||
+			($ext=="png")||
+			($ext=="gif") ) {
+		
+			return true;
+		} else {
+			return false;
+		}
+	}
+	
+	function isJPEG($mime,$ext) {
+		if (($mime=="image/jpeg")||($mime=="image/jpg")||($mime=="image/pjpeg")||($ext=="jpg")||($ext=="jpeg")) {
+			return true; 
+		} else {
+			return false;
+		}
+	}
+
+	function isGIF($mime,$ext) {
+		if (($mime=="image/gif")||($ext=="gif")) {
+			return true; 
+		} else {
+			return false;
+		}
+	}
+	
+	function isPNG($mime,$ext) {
+		if (($mime=="image/png")||($ext=="png")) {
+			return true; 
+		} else {
+			return false;
+		}
+	}	
+	
+	function getExtension($filename) {
+		//Get Extension
+		$ext=""; 
+		$lastpos=strrpos($this->filename,'.'); 
+		if ($lastpos!==false) $ext=substr($this->filename,($lastpos+1));
+		return strtolower($ext);
+	}
+	
+	function resizeFromJPEG($file) {
+		if (function_exists("imagecreatefromjpeg")) {
+			$img=@imagecreatefromjpeg($this->real_cwd.'/'.$this->filename);
+			return (($img)?$this->resizeImage($img):false);
+		} else { return false; }
+	}
+	
+	function resizeFromGIF($file) {
+		if (function_exists("imagecreatefromgif")) {
+			$img=@imagecreatefromgif($this->real_cwd.'/'.$this->filename);
+			return (($img)?$this->resizeImage($img):false);
+		} else { return false; }
+	}
+	
+	function resizeFromPNG($file) {
+		if (function_exists("imagecreatefrompng")) {
+			$img=@imagecreatefrompng($this->real_cwd.'/'.$this->filename);
+			return (($img)?$this->resizeImage($img):false);
+		} else { return false; }
+	}
+	
+	function resizeImage($img) {
+		//Get size for thumbnail
+		$width=imagesx($img); $height=imagesy($img);
+		if ($width>$height) { $n_height=$height*(96/$width); $n_width=96; } else { $n_width=$width*(96/$height); $n_height=96; }
+		
+		$x=0;$y=0;
+		if ($n_width<96) $x=round((96-$n_width)/2);
+		if ($n_height<96) $y=round((96-$n_height)/2);
+		
+		$thumb=imagecreatetruecolor(96,96);
+		
+		#Background colour fix by:
+		#Ben Lancaster (benlanc@ster.me.uk)
+		$bgcolor = imagecolorallocate($thumb,255,255,255);
+		imagefill($thumb, 0, 0, $bgcolor);
+		
+		if (function_exists("imagecopyresampled")) {
+			if (!($result=@imagecopyresampled($thumb,$img,$x,$y,0,0,$n_width,$n_height,$width,$height))) {
+				$result=imagecopyresized($thumb,$img,$x,$y,0,0,$n_width,$n_height,$width,$height);
+			}	
+		} else {
+			$result=imagecopyresized($thumb,$img,$x,$y,0,0,$n_width,$n_height,$width,$height);
+		}
+
+		return ($result)?$thumb:false;
+	}
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/.htaccess soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/.htaccess
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/.htaccess	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/.htaccess	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1 @@
+Options ExecCGI
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/header.cgi soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/header.cgi
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/header.cgi	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/header.cgi	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1,41 @@
+#!/usr/bin/perl
+
+# Mega Upload
+# PHP File Uploader with progress bar Version 1.42
+# Copyright (C) Raditha Dissanyake 2003
+# http://www.raditha.com
+
+# Licence:
+# The contents of this file are subject to the Mozilla Public
+# License Version 1.1 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.mozilla.org/MPL/
+# 
+# Software distributed under the License is distributed on an "AS
+# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# rights and limitations under the License.
+# 
+# The Initial Developer of the Original Code is Raditha Dissanayake.
+# Portions created by Raditha are Copyright (C) 2003
+# Raditha Dissanayake. All Rights Reserved.
+# 
+
+$tmp_dir="/www/m/c/mcpuk.net/tmp";
+
+$|=1;								#unbuffers streams
+
+$interval=1;				  # how often to refresh the progress bar
+
+$max_upload = 500000000000; # set this to whatever you feel suitable for you.
+					    
+
+
+# don't change the next few lines unless you have a very good reason to.
+
+$post_data_file = "$tmp_dir/$sessionid"."_postdata";
+$monitor_file = "$tmp_dir/$sessionid"."_flength";
+$signal_file = "$tmp_dir/$sessionid"."_signal";
+
+
+1;
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/iconlookup.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/iconlookup.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/iconlookup.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/iconlookup.php	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1,108 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: iconlookup.php
+ * 	(!)
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+function iconLookup($mime,$ext) {
+
+	$mimeIcons=array(
+			"image"=>"image.jpg",
+			"audio"=>"sound.jpg",
+			"video"=>"video.jpg",
+			"text"=>"document2.jpg",
+			"text/html"=>"html.jpg",
+			"application"=>"binary.jpg",
+			"application/pdf"=>"pdf.jpg",
+			"application/msword"=>"document2.jpg",
+			"application/postscript"=>"postscript.jpg",
+			"application/rtf"=>"document2.jpg",
+			"application/vnd.ms-excel"=>"document2.jpg",
+			"application/vnd.ms-powerpoint"=>"document2.jpg",
+			"application/x-tar"=>"tar.jpg",
+			"application/zip"=>"tar.jpg",
+			"message"=>"email.jpg",
+			"message/html"=>"html.jpg",
+			"model"=>"kmplot.jpg",
+			"multipart"=>"kmultiple.jpg"
+			);
+	
+	$extIcons=array(
+			"pdf"=>"pdf.jpg",
+			"ps"=>"postscript.jpg",
+			"eps"=>"postscript.jpg",
+			"ai"=>"postscript.jpg",
+			"ra"=>"real_doc.jpg",
+			"rm"=>"real_doc.jpg",
+			"ram"=>"real_doc.jpg",
+			"wav"=>"sound.jpg",
+			"mp3"=>"sound.jpg",
+			"ogg"=>"sound.jpg",
+			"eml"=>"email.jpg",
+			"tar"=>"tar.jpg",
+			"zip"=>"tar.jpg",
+			"bz2"=>"tar.jpg",
+			"tgz"=>"tar.jpg",
+			"gz"=>"tar.jpg",
+			"rar"=>"tar.jpg",
+			"avi"=>"video.jpg",
+			"mpg"=>"video.jpg",
+			"mpeg"=>"video.jpg",
+			"jpg"=>"image.jpg",
+			"gif"=>"image.jpg",
+			"png"=>"image.jpg",
+			"jpeg"=>"image.jpg",
+			"nfo"=>"info.jpg",
+			"xls"=>"spreadsheet.jpg",
+			"csv"=>"spreadsheet.jpg",
+			"html"=>"html.jpg",
+			"doc"=>"document2.jpg",
+			"rtf"=>"document2.jpg",
+			"txt"=>"document2.jpg",
+			"xla"=>"document2.jpg",
+			"xlc"=>"document2.jpg",
+			"xlt"=>"document2.jpg",
+			"xlw"=>"document2.jpg",
+			"txt"=>"document2.jpg"
+			);
+
+	if ($mime!="text/plain") {
+		//Check specific cases
+		$mimes=array_keys($mimeIcons);
+		if (in_array($mime,$mimes)) {
+			return $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['PHP_SELF'])."/images/".$mimeIcons[$mime];
+		} else {
+			//Check for the generic mime type
+			$mimePrefix="text";
+			$firstSlash=strpos($mime,"/"); 
+			if ($firstSlash!==false) $mimePrefix=substr($mime,0,$firstSlash);
+			
+			if (in_array($mimePrefix,$mimes)) {
+				return $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['PHP_SELF'])."/images/".$mimeIcons[$mimePrefix];
+			} else {
+				return $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['PHP_SELF'])."/images/empty.jpg";	
+			}
+		}
+	} else {
+		$extensions=array_keys($extIcons);
+		if (in_array($ext,$extensions)) {
+			return $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['PHP_SELF'])."/images/".$extIcons[$ext];
+		} else {
+			return $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['PHP_SELF'])."/images/empty.jpg";
+		}
+	}
+
+	return $_SERVER['DOCUMENT_ROOT'].dirname($_SERVER['PHP_SELF'])."/images/empty.jpg";
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/progress.cgi soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/progress.cgi
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/progress.cgi	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/progress.cgi	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1,413 @@
+#!/usr/bin/perl -w
+
+# PHP File Uploader with progress bar Version 1.43	
+# Copyright (C) Raditha Dissanyake 2003,2004
+# http://www.raditha.com
+
+# Licence:
+# The contents of this file are subject to the Mozilla Public
+# License Version 1.1 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.mozilla.org/MPL/
+# 
+# Software distributed under the License is distributed on an "AS
+# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# rights and limitations under the License.
+# 
+# The Initial Developer of the Original Code is Raditha Dissanayake.
+# Portions created by Raditha are Copyright (C) 2003,2004
+# Raditha Dissanayake. All Rights Reserved.
+# 
+# Portions contributed by Orest Kinasevych are Copyright (C)
+# 2003 Kinasevych Saj
+
+#
+# CHANGES
+# 1.00 
+#   No longer uses cookies. This has two major benefits; the first
+#   being that minority of users who do not like cookies are not 
+#   inconvinienced. Secondly there is one less dependecy and this 
+#   would lead to a smoother setup for most people.
+#   (if you want to use cookies look at the contrib folder)
+#
+# 1.02
+#   added a cache control header in version 1.02
+#
+# 1.10
+#   Added a more detailed progress bar in version 
+#
+# 1.42
+#   The organization of the temporary files have been improved so to
+#   make is easier to clean up after abandoned uploads. (as suggested
+#   by Igor Kryltsov)
+#
+#
+	
+
+
+use CGI;
+use Fcntl qw(:DEFAULT :flock);
+
+#use Carp;		
+# Carp is only needed if you want debugging. Uncomment the above line
+# if you comment out any of the carp statements in the body of the 
+# script.
+
+
+#
+# the most obvious issue that we will face is file locking.
+# if two threads read and write from the same file at the same
+# time only one of them will be allowed to finish the operation.
+# Since we are storing our temporary data in a file we are likely to
+# run into that exact same problem.
+# We can't overcome it but we can make sure the progress bar does
+# not display junk when that happens.
+#
+#
+# status codes = 0-uploading, 1-started, 2- complete
+
+
+$query = new CGI();
+$sessionid = $query->param('sessionid');
+$sessionid =~ s/[^a-zA-Z0-9]//g;  # santized as suggested by Terrence Johnson.
+
+$iTotal = $query->param('iTotal');
+$iRead = $query->param('iRead');
+$status =  $query->param('iStatus');
+
+
+##
+# The code that deals with calculating elapsed time, time remaining 
+# and upload speed were contributed by Orest Kinasevych 
+##
+
+##
+# Get values assigned for current time and upload start time
+##
+#$dtnow = $query->param('dtnow'); # assign value for current time
+$dtnow=time;
+$dtstart = $query->param('dtstart'); # assign value for upload start time
+##
+
+
+#carp "$dtnow  $dtstart";
+
+$thisUrl = $query->url;
+
+##
+# Elapsed time
+# Calculate elapsed time and format for display
+##
+$dtelapsed = $dtnow - $dtstart;
+$dtelapsed_sec = ($dtelapsed % 60); # gets number of seconds
+$dtelapsed_min = ((($dtelapsed - $dtelapsed_sec) % 3600) / 60); # gets number of minutes
+$dtelapsed_hours = (((($dtelapsed - $dtelapsed_sec) - ($dtelapsed_min * 60)) % 86400) / 3600);
+# gets number of hours; assuming that we won't be going into days!
+if ($dtelapsed_sec < 10) { $dtelapsed_sec = "0$dtelapsed_sec"; } # append leading zero
+if ($dtelapsed_min < 10) { $dtelapsed_min = "0$dtelapsed_min"; } # append leading zero
+if ($dtelapsed_hours < 10) { $dtelapsed_hours = "0$dtelapsed_hours"; } # append leading zero
+$dtelapsedf = "$dtelapsed_hours:$dtelapsed_min:$dtelapsed_sec"; # display as 00:00:00
+##
+
+##
+# Upload speed
+##
+$bSpeed = 0; # if not yet determined
+if ($dtelapsed > 0) # avoid divide by zero errors
+{
+	$bSpeed = $iRead / $dtelapsed; # Bytes uploaded / Seconds elapsed = Bytes/Second speed
+	$bitSpeed = $bSpeed * 8; # bps
+	$kbitSpeed = $bitSpeed / 1000; # Kbps
+}
+else
+{
+	$kbitSpeed = $bSpeed; # just pass the zero value
+}
+$bSpeedf = sprintf("%d",$kbitSpeed); # remove decimals
+
+
+##
+# Est remaining time
+# Calculate remaining time based on upload speed so far
+##
+
+$bRemaining = $iTotal - $iRead; # Total size - amount uploaded = amount remaining
+$dtRemaining = 0;
+if ($bSpeed > 0) {
+	# Bytes remaining / Bytes/Second = Seconds 
+	$dtRemaining = $bRemaining / $bSpeed;
+}
+$dtRemaining = sprintf("%d",$dtRemaining); # remove decimals
+$dtRemaining_sec = ($dtRemaining % 60); # gets number of seconds
+$dtRemaining_min = ((($dtRemaining - $dtRemaining_sec) % 3600) / 60); # gets number of minutes
+$dtRemaining_hours = (((($dtRemaining - $dtRemaining_sec) - ($dtRemaining_min * 60)) % 86400) / 3600); # gets number of hours; assuming that we won't be going into days!
+if ($dtRemaining_sec < 10)
+{
+ 	# append leading zero
+	$dtRemaining_sec = "0$dtRemaining_sec";
+}
+if ($dtRemaining_min < 10)
+{
+	# append leading zero
+	$dtRemaining_min = "0$dtRemaining_min";
+}
+if ($dtRemaining_hours < 10)
+{
+ 	# append leading zero
+	$dtRemaining_hours = "0$dtRemaining_hours";
+}
+$dtRemainingf = "$dtRemaining_hours:$dtRemaining_min:$dtRemaining_sec"; # display as 00:00:00
+
+##
+# The values for iStatus are
+#	0 - in progress
+#	1 - New upload
+#	2 - Complete
+##
+
+#carp "iTotal = $iTotal, iRead = $iRead, status = $status, sessionId = $sessionid";
+
+require("./header.cgi");
+
+
+sub readFlength()
+{
+	
+	if(open (STAT, $monitor_file))
+	{
+		sysopen(STAT,  $monitor_file, O_RDONLY)
+				or die "can't open numfile: $!";
+		$ofh = select(STAT); $| = 1; select ($ofh);
+		$iTotal = <STAT>;
+
+		#carp "trying to read the stuff in $iTotal";
+		if(defined($iTotal) && $iTotal ne "")
+		{
+			return 1;
+		
+		}
+		else
+		{
+			return 0;
+		}
+	} 
+	return 0;
+	
+}
+
+##
+# many thanx to Terrence Johnson who pointed out the fact that i should have added 
+# cache control header.
+##
+
+print "Pragma: no-cache\n";
+print "Content-type: text/xml\n\n ";
+
+if($status == 1)
+{
+	#new upload starting
+	show_starting();
+}
+elsif($status ==0)
+{
+	##
+	# in progress
+	# we will try to read in the total size of data to be transfered from the
+	# shared file. It will also tell us how much data has been transfered upto
+	# now.
+	##
+	$bRead = -s "$post_data_file";
+		
+	if(defined $bRead)
+	{
+		# We have  been able to read in it from the file.
+		$percent = $bRead * 100 / $iTotal;
+		$iRead=$bRead;
+		
+	}
+	else
+	{
+		&show_error();
+		exit();
+	}
+
+	#
+	# division results in truncation errors at times so don't compare percentage
+	# There have been occaisional reports of the progress bar showing 100% but not
+	# disappearing even after file upload has been completed.
+	#
+	# Nils Menrad came up with the solution which is to modify the end of upload
+	# test.
+	#
+	if((($iTotal == $bRead) && $bRead != 0) || $bRead>$iTotal) 
+	{
+		if($status == 1 && -e "$signal_file")
+		{
+			$bRead=0;
+			$status=0;
+			&get_last_values();
+		}
+		else
+		{
+			show_complete();
+			unlink $monitor_file;
+			unlink $post_data_file;
+			unlink $signal_file;
+			
+			exit;
+		}
+	}
+	else
+	{
+		$kachal = "$bRead , $iTotal";
+	}
+
+
+	&make_progress_bar();
+	exit;
+}
+else 
+{
+	show_complete();
+}
+
+#
+# Since the progress bar is in html, so it needs to refresh itself periodicaly to
+# obtain new values. The refresh url with the query string is generated by this 
+# function.
+
+sub make_url
+{
+
+	#print "Content-type: text/html\n\n ";
+	#print "hellow $iTotal $iStatus $sessionid $iRead <br>\n" ;
+
+	##
+	$url = "$thisUrl?iTotal=$iTotal&iRead=$iRead&iStatus=$status&sessionid=$sessionid&dtnow=$dtnow&dtstart=$dtstart";
+	##
+	$url =~ s/\n//;
+	
+	return $url;
+
+}
+
+sub make_progress_bar
+{
+	$url = make_url();
+	
+	print <<__PART1__;
+	<UploadProgress sessionID="$sessionid">
+		<RefreshURL><![CDATA[$url]]></RefreshURL>
+		<TotalBytes>$iTotal</TotalBytes>
+		<ReadBytes>$iRead</ReadBytes>
+		<Status>$status</Status>
+		<Speed>$bSpeedf</Speed>
+		<TimeRemaining>$dtRemainingf</TimeRemaining>
+		<TimeElapsed>$dtelapsedf</TimeElapsed>
+	</UploadProgress>
+__PART1__
+
+}
+
+
+sub show_complete
+{
+	
+	$status=2;
+	$url = make_url();
+
+	print <<__PART2__;
+	<UploadProgress sessionID="$sessionid">
+		<RefreshURL><![CDATA[$url]]></RefreshURL>
+		<TotalBytes>$iTotal</TotalBytes>
+		<ReadBytes>$iRead</ReadBytes>
+		<Status>$status</Status>
+		<Speed>$bSpeedf</Speed>
+		<TimeRemaining>0</TimeRemaining>
+		<TimeElapsed>$dtelapsedf</TimeElapsed>
+	</UploadProgress>
+__PART2__
+
+}
+
+sub show_starting
+{
+	#carp "starting";
+	if(readFlength() == 1)
+	{
+		$status=0;
+	}
+	$url = make_url();
+
+	print <<__PART2__;
+	<UploadProgress sessionID="$sessionid">
+		<RefreshURL><![CDATA[$url]]></RefreshURL>
+		<TotalBytes>$iTotal</TotalBytes>
+		<ReadBytes>$iRead</ReadBytes>
+		<Status>$status</Status>
+		<Speed>$bSpeedf</Speed>
+		<TimeRemaining>$dtRemainingf</TimeRemaining>
+		<TimeElapsed>$dtelapsedf</TimeElapsed>
+	</UploadProgress>
+__PART2__
+}
+
+sub show_error
+{
+	$url = make_url();
+	print <<__PART2__;
+	<UploadProgress sessionID="$sessionid">
+		<RefreshURL><![CDATA[$url]]></RefreshURL>
+		<TotalBytes>$iTotal</TotalBytes>
+		<ReadBytes>$iRead</ReadBytes>
+		<Status>-1</Status>
+		<Speed>$bSpeedf</Speed>
+		<TimeRemaining>$dtRemainingf</TimeRemaining>
+		<TimeElapsed>$dtelapsedf</TimeElapsed>
+	</UploadProgress>
+__PART2__
+
+}
+
+# this function may not return;
+sub get_last_values()
+{
+	if($status == 1)
+	{
+		show_starting();
+		exit;
+	}
+	else
+	{
+
+	 	if($status == 2)
+		{
+
+			
+			show_complete();
+			exit;
+		}
+		else
+		{
+
+			#
+			# we have done everything possible to try to retrieve the data
+			# now try to calculate the percentage once again
+			#
+			$iTotal = $iTotal;
+			$bRead = $iRead;
+
+			if(defined($iTotal) && $iTotal != 0)
+			{
+				$percent = $bRead * 100 / $iTotal;
+				$kachal="1";
+			}
+			else
+			{
+				&show_error();
+				exit;
+			}
+		}
+	}
+}
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/upload.cgi soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/upload.cgi
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/upload.cgi	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Commands/helpers/upload.cgi	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1,195 @@
+#!/usr/bin/perl
+
+# PHP File Uploader with progress bar Version 1.43
+# Copyright (C) Raditha Dissanyake 2003
+# http://www.raditha.com
+
+# Licence:
+# The contents of this file are subject to the Mozilla Public
+# License Version 1.1 (the "License"); you may not use this file
+# except in compliance with the License. You may obtain a copy of
+# the License at http://www.mozilla.org/MPL/
+# 
+# Software distributed under this License is distributed on an "AS
+# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# rights and limitations under the License.
+# 
+# The Initial Developer of the Original Code is Raditha Dissanayake.
+# Portions created by Raditha are Copyright (C) 2003
+# Raditha Dissanayake. All Rights Reserved.
+# 
+
+# CHANGES:
+# As of version 1.00 cookies were abolished!
+# as of version 1.02 stdin is no longer set to non blocking.
+# 1.40 - POST is no longer required and processing is more efficient.
+#	Please refer online docs  for details.
+# 1.42 - The temporary locations were changed, to make it easier to
+#	clean up afterwards.	
+
+use CGI;
+use Fcntl qw(:DEFAULT :flock);
+use File::Temp qw/ tempfile tempdir /;
+#use Carp;
+
+
+@qstring=split(/&/,$ENV{'QUERY_STRING'});
+@p1 = split(/=/,$qstring[0]);
+$sessionid = $p1[1];
+$sessionid =~ s/[^a-zA-Z0-9]//g;  # sanitized as suggested by Terrence Johnson.
+
+@p1 = split(/=/,$qstring[1]);
+$php_uploader = $p1[1];
+
+require("./header.cgi");
+
+#carp "$post_data_file and $monitor_file";
+
+$content_type = $ENV{'CONTENT_TYPE'};
+$len = $ENV{'CONTENT_LENGTH'};
+$bRead=0;
+$|=1;
+
+sub bye_bye {
+	$mes = shift;
+	print "Content-type: text/html\n\n";
+	print "<br>$mes<br>\n";
+
+	exit;
+}
+
+
+#
+# The thing to watch out for is file locking. Only
+# one thread may open a file for writing at any given time.
+# 
+
+if (-e "$post_data_file") {
+	unlink("$post_data_file");
+}
+
+if (-e "$monitor_file") {
+	unlink("$monitor_file");
+}
+
+
+sysopen(FH, $monitor_file, O_RDWR | O_CREAT, 0x777)
+	or die "can't open numfile: $!";
+
+# autoflush FH
+$ofh = select(FH); $| = 1; select ($ofh);
+flock(FH, LOCK_EX)
+	or die "can't write-lock numfile: $!";
+seek(FH, 0, 0)
+	or die "can't rewind numfile : $!";
+print FH $len;	
+close(FH);	
+	
+sleep(1);
+
+
+open(TMP,">","$post_data_file") or &bye_bye ("can't open temp file");
+
+#
+# read and store the raw post data on a temporary file so that we can
+# pass it though to a CGI instance later on.
+#
+
+
+
+my $i=0;
+
+$ofh = select(TMP); $| = 1; select ($ofh);
+			
+while (read (STDIN ,$LINE, 32768) && $bRead < $len )
+{
+	$bRead += length $LINE;
+	
+	select(undef, undef, undef,0.01);	# sleep for 0.35 of a second.
+	
+	# Many thanx to Patrick Knoell who came up with the optimized value for
+	# the duration of the sleep
+
+	$i++;
+	print TMP $LINE;
+}
+
+close (TMP);
+
+
+
+#
+# We don't want to decode the post data ourselves. That's like
+# reinventing the wheel. If we handle the post data with the perl
+# CGI module that means the PHP script does not get access to the
+# files, but there is a way around this.
+#
+# We can ask the CGI module to save the files, then we can pass
+# these filenames to the PHP script. In other words instead of
+# giving the raw post data (which contains the 'bodies' of the
+# files), we just send a list of file names.
+#
+#print "\n\n";
+open(STDIN,"$post_data_file") or die "can't open temp file";
+
+# chmod the file so everyone can read it
+# added by Ben Lancaster (benlanc@ster.me.uk)
+chmod (0666, $post_data_file);
+
+my $cg = new CGI();
+my $qstring="?";
+my %vars = $cg->Vars;
+my $j=0;
+
+while(($key,$value) = each %vars)
+{
+ 	
+	$file_upload = $cg->param($key);
+
+	if(defined $value && $value ne '')
+	{	
+
+		my $fh = $cg->upload($key);
+		#print "::".$key."::".$fh."::\n";
+		if(defined $fh)
+		{
+			#carp $fh;
+			($tmp_fh, $tmp_filename) = tempfile();
+
+			# chmod the file so everyone can read it
+			# added by Ben Lancaster (benlanc@ster.me.uk)	
+			chmod (0666, $tmp_filename);
+			
+			while(<$fh>) {
+				print $tmp_fh $_;
+			}
+
+			close($tmp_fh);
+
+			$fsize =(-s $fh);
+
+			
+			$fh =~ s/([^a-zA-Z0-9_\-.])/uc sprintf("%%%02x",ord($1))/eg;
+			
+			$tmp_filename =~ s/([^a-zA-Z0-9_\-.])/uc sprintf("%%%02x",ord($1))/eg;
+			$qstring .= "file[$key][name]=$fh&file[$key][size]=$fsize&";
+			$qstring .= "file[$key][tmp_name]=$tmp_filename&";
+			$j++;
+		}
+		else
+		{
+			$value =~ s/([^a-zA-Z0-9_\-.])/uc sprintf("%%%02x",ord($1))/eg;
+			$qstring .= "$key=$value&" ;
+		}
+	}
+}
+
+
+my $url = $php_uploader . $qstring . "&" . $ENV{'QUERY_STRING'};
+
+open (SIGNAL,">", $signal_file);
+print SIGNAL "\n";
+close (SIGNAL);
+
+print "Location: $url\n\n";
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/AuthenticationHandlers.txt soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/AuthenticationHandlers.txt
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/AuthenticationHandlers.txt	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/AuthenticationHandlers.txt	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1,68 @@
+Authentication via connector::
+
+In my PHP connector the one from the FBXP project, it is 
+possible to require authentication before a user can use
+the connector. 
+
+The works in the following manor:-
+
+A1/ File Browser Requests Command From Connector
+A2/ Connector.php recieves the request
+	B1/ File config.php imported
+	B2/ If authentication required load the authentication
+		handler file specified in the config, i.e.
+		$config['auth']['HandlerClass']='Default';
+		the Auth/Default.php will be imported
+	B3/ Create new instance of Auth class (defined in the
+		authentication handler imported.
+		C1/ Auth class, authenticate method called, passing
+			the data recieved in the ExtraParams variable
+			of the query string.
+		C2/ authenticate method returns a modified copy of the 
+			$config, to indicate successfull authentication
+			$config['authSuccess'] should be set to true, if
+			the authentication failed this should be set to false.
+		
+	B4a/ on success command is executed and output sent to client
+	B4b/ on failure blank xml response returned.
+
+A3/ End
+
+
+How to create my own authentication handler::
+
+Create a file in the Auth folder with the name of the handler (your choice)
+i.e. If i wanted to call it MySQL the file i would create would be
+MySQL.php in the Auth folder.
+
+Skeleton for the new authentication class::
+<?php
+class Auth {
+	function authenticate($data,$config) {
+	
+	}
+}
+?>
+
+as you can see the class must have a method called authenticate which
+takes two parameters, the value from the ExtraParams ($data) and a 
+reference to the connector configuration $config (so you can change
+things depending on the user if you wish) , you can now put what
+ever code you like in that method to determine if the user is allowed 
+or not. (you may add extra function to the class for internal use too,
+these will not be called by the connector, but call them from inside
+the authenticate method). The function returns a modified copy of the
+$config, with any changes you like + the addition of a top level 
+array element key: authSuccess   value: true if authentication
+successful, else false.
+
+If you want to limit what the user can do then you may want to change 
+the array at: $config['Commands']
+This holds an array of command that can be executed, if you remove say
+DeleteFolder from the array then the user will not be able to delete 
+a folder.
+
+
+By Example:: There is a default authentication handler that i wrote to
+distribute with the connector, so you may want to take a look at it
+to get a better idea of whats going on.
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/license.txt soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/license.txt
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/license.txt	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/license.txt	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1,506 @@
+This connector is supplied under the same license as FCKEditor, 
+The Lesser GPL License (LGPL)-
+
+
+ GNU LESSER GENERAL PUBLIC LICENSE
+		       Version 2.1, February 1999
+
+ Copyright (C) 1991, 1999 Free Software Foundation, Inc.
+     59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+[This is the first released version of the Lesser GPL.  It also counts
+ as the successor of the GNU Library Public License, version 2, hence
+ the version number 2.1.]
+
+			    Preamble
+
+  The licenses for most software are designed to take away your
+freedom to share and change it.  By contrast, the GNU General Public
+Licenses are intended to guarantee your freedom to share and change
+free software--to make sure the software is free for all its users.
+
+  This license, the Lesser General Public License, applies to some
+specially designated software packages--typically libraries--of the
+Free Software Foundation and other authors who decide to use it.  You
+can use it too, but we suggest you first think carefully about whether
+this license or the ordinary General Public License is the better
+strategy to use in any particular case, based on the explanations below.
+
+  When we speak of free software, we are referring to freedom of use,
+not price.  Our General Public Licenses are designed to make sure that
+you have the freedom to distribute copies of free software (and charge
+for this service if you wish); that you receive source code or can get
+it if you want it; that you can change the software and use pieces of
+it in new free programs; and that you are informed that you can do
+these things.
+
+  To protect your rights, we need to make restrictions that forbid
+distributors to deny you these rights or to ask you to surrender these
+rights.  These restrictions translate to certain responsibilities for
+you if you distribute copies of the library or if you modify it.
+
+  For example, if you distribute copies of the library, whether gratis
+or for a fee, you must give the recipients all the rights that we gave
+you.  You must make sure that they, too, receive or can get the source
+code.  If you link other code with the library, you must provide
+complete object files to the recipients, so that they can relink them
+with the library after making changes to the library and recompiling
+it.  And you must show them these terms so they know their rights.
+
+  We protect your rights with a two-step method: (1) we copyright the
+library, and (2) we offer you this license, which gives you legal
+permission to copy, distribute and/or modify the library.
+
+  To protect each distributor, we want to make it very clear that
+there is no warranty for the free library.  Also, if the library is
+modified by someone else and passed on, the recipients should know
+that what they have is not the original version, so that the original
+author's reputation will not be affected by problems that might be
+introduced by others.
+
+  Finally, software patents pose a constant threat to the existence of
+any free program.  We wish to make sure that a company cannot
+effectively restrict the users of a free program by obtaining a
+restrictive license from a patent holder.  Therefore, we insist that
+any patent license obtained for a version of the library must be
+consistent with the full freedom of use specified in this license.
+
+  Most GNU software, including some libraries, is covered by the
+ordinary GNU General Public License.  This license, the GNU Lesser
+General Public License, applies to certain designated libraries, and
+is quite different from the ordinary General Public License.  We use
+this license for certain libraries in order to permit linking those
+libraries into non-free programs.
+
+  When a program is linked with a library, whether statically or using
+a shared library, the combination of the two is legally speaking a
+combined work, a derivative of the original library.  The ordinary
+General Public License therefore permits such linking only if the
+entire combination fits its criteria of freedom.  The Lesser General
+Public License permits more lax criteria for linking other code with
+the library.
+
+  We call this license the "Lesser" General Public License because it
+does Less to protect the user's freedom than the ordinary General
+Public License.  It also provides other free software developers Less
+of an advantage over competing non-free programs.  These disadvantages
+are the reason we use the ordinary General Public License for many
+libraries.  However, the Lesser license provides advantages in certain
+special circumstances.
+
+  For example, on rare occasions, there may be a special need to
+encourage the widest possible use of a certain library, so that it becomes
+a de-facto standard.  To achieve this, non-free programs must be
+allowed to use the library.  A more frequent case is that a free
+library does the same job as widely used non-free libraries.  In this
+case, there is little to gain by limiting the free library to free
+software only, so we use the Lesser General Public License.
+
+  In other cases, permission to use a particular library in non-free
+programs enables a greater number of people to use a large body of
+free software.  For example, permission to use the GNU C Library in
+non-free programs enables many more people to use the whole GNU
+operating system, as well as its variant, the GNU/Linux operating
+system.
+
+  Although the Lesser General Public License is Less protective of the
+users' freedom, it does ensure that the user of a program that is
+linked with the Library has the freedom and the wherewithal to run
+that program using a modified version of the Library.
+
+  The precise terms and conditions for copying, distribution and
+modification follow.  Pay close attention to the difference between a
+"work based on the library" and a "work that uses the library".  The
+former contains code derived from the library, whereas the latter must
+be combined with the library in order to run.
+
+		  GNU LESSER GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License Agreement applies to any software library or other
+program which contains a notice placed by the copyright holder or
+other authorized party saying it may be distributed under the terms of
+this Lesser General Public License (also called "this License").
+Each licensee is addressed as "you".
+
+  A "library" means a collection of software functions and/or data
+prepared so as to be conveniently linked with application programs
+(which use some of those functions and data) to form executables.
+
+  The "Library", below, refers to any such software library or work
+which has been distributed under these terms.  A "work based on the
+Library" means either the Library or any derivative work under
+copyright law: that is to say, a work containing the Library or a
+portion of it, either verbatim or with modifications and/or translated
+straightforwardly into another language.  (Hereinafter, translation is
+included without limitation in the term "modification".)
+
+  "Source code" for a work means the preferred form of the work for
+making modifications to it.  For a library, complete source code means
+all the source code for all modules it contains, plus any associated
+interface definition files, plus the scripts used to control compilation
+and installation of the library.
+
+  Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running a program using the Library is not restricted, and output from
+such a program is covered only if its contents constitute a work based
+on the Library (independent of the use of the Library in a tool for
+writing it).  Whether that is true depends on what the Library does
+and what the program that uses the Library does.
+  
+  1. You may copy and distribute verbatim copies of the Library's
+complete source code as you receive it, in any medium, provided that
+you conspicuously and appropriately publish on each copy an
+appropriate copyright notice and disclaimer of warranty; keep intact
+all the notices that refer to this License and to the absence of any
+warranty; and distribute a copy of this License along with the
+Library.
+
+  You may charge a fee for the physical act of transferring a copy,
+and you may at your option offer warranty protection in exchange for a
+fee.
+
+  2. You may modify your copy or copies of the Library or any portion
+of it, thus forming a work based on the Library, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) The modified work must itself be a software library.
+
+    b) You must cause the files modified to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    c) You must cause the whole of the work to be licensed at no
+    charge to all third parties under the terms of this License.
+
+    d) If a facility in the modified Library refers to a function or a
+    table of data to be supplied by an application program that uses
+    the facility, other than as an argument passed when the facility
+    is invoked, then you must make a good faith effort to ensure that,
+    in the event an application does not supply such function or
+    table, the facility still operates, and performs whatever part of
+    its purpose remains meaningful.
+
+    (For example, a function in a library to compute square roots has
+    a purpose that is entirely well-defined independent of the
+    application.  Therefore, Subsection 2d requires that any
+    application-supplied function or table used by this function must
+    be optional: if the application does not supply it, the square
+    root function must still compute square roots.)
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Library,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Library, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote
+it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Library.
+
+In addition, mere aggregation of another work not based on the Library
+with the Library (or with a work based on the Library) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may opt to apply the terms of the ordinary GNU General Public
+License instead of this License to a given copy of the Library.  To do
+this, you must alter all the notices that refer to this License, so
+that they refer to the ordinary GNU General Public License, version 2,
+instead of to this License.  (If a newer version than version 2 of the
+ordinary GNU General Public License has appeared, then you can specify
+that version instead if you wish.)  Do not make any other change in
+these notices.
+
+  Once this change is made in a given copy, it is irreversible for
+that copy, so the ordinary GNU General Public License applies to all
+subsequent copies and derivative works made from that copy.
+
+  This option is useful when you wish to copy part of the code of
+the Library into a program that is not a library.
+
+  4. You may copy and distribute the Library (or a portion or
+derivative of it, under Section 2) in object code or executable form
+under the terms of Sections 1 and 2 above provided that you accompany
+it with the complete corresponding machine-readable source code, which
+must be distributed under the terms of Sections 1 and 2 above on a
+medium customarily used for software interchange.
+
+  If distribution of object code is made by offering access to copy
+from a designated place, then offering equivalent access to copy the
+source code from the same place satisfies the requirement to
+distribute the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+  5. A program that contains no derivative of any portion of the
+Library, but is designed to work with the Library by being compiled or
+linked with it, is called a "work that uses the Library".  Such a
+work, in isolation, is not a derivative work of the Library, and
+therefore falls outside the scope of this License.
+
+  However, linking a "work that uses the Library" with the Library
+creates an executable that is a derivative of the Library (because it
+contains portions of the Library), rather than a "work that uses the
+library".  The executable is therefore covered by this License.
+Section 6 states terms for distribution of such executables.
+
+  When a "work that uses the Library" uses material from a header file
+that is part of the Library, the object code for the work may be a
+derivative work of the Library even though the source code is not.
+Whether this is true is especially significant if the work can be
+linked without the Library, or if the work is itself a library.  The
+threshold for this to be true is not precisely defined by law.
+
+  If such an object file uses only numerical parameters, data
+structure layouts and accessors, and small macros and small inline
+functions (ten lines or less in length), then the use of the object
+file is unrestricted, regardless of whether it is legally a derivative
+work.  (Executables containing this object code plus portions of the
+Library will still fall under Section 6.)
+
+  Otherwise, if the work is a derivative of the Library, you may
+distribute the object code for the work under the terms of Section 6.
+Any executables containing that work also fall under Section 6,
+whether or not they are linked directly with the Library itself.
+
+  6. As an exception to the Sections above, you may also combine or
+link a "work that uses the Library" with the Library to produce a
+work containing portions of the Library, and distribute that work
+under terms of your choice, provided that the terms permit
+modification of the work for the customer's own use and reverse
+engineering for debugging such modifications.
+
+  You must give prominent notice with each copy of the work that the
+Library is used in it and that the Library and its use are covered by
+this License.  You must supply a copy of this License.  If the work
+during execution displays copyright notices, you must include the
+copyright notice for the Library among them, as well as a reference
+directing the user to the copy of this License.  Also, you must do one
+of these things:
+
+    a) Accompany the work with the complete corresponding
+    machine-readable source code for the Library including whatever
+    changes were used in the work (which must be distributed under
+    Sections 1 and 2 above); and, if the work is an executable linked
+    with the Library, with the complete machine-readable "work that
+    uses the Library", as object code and/or source code, so that the
+    user can modify the Library and then relink to produce a modified
+    executable containing the modified Library.  (It is understood
+    that the user who changes the contents of definitions files in the
+    Library will not necessarily be able to recompile the application
+    to use the modified definitions.)
+
+    b) Use a suitable shared library mechanism for linking with the
+    Library.  A suitable mechanism is one that (1) uses at run time a
+    copy of the library already present on the user's computer system,
+    rather than copying library functions into the executable, and (2)
+    will operate properly with a modified version of the library, if
+    the user installs one, as long as the modified version is
+    interface-compatible with the version that the work was made with.
+
+    c) Accompany the work with a written offer, valid for at
+    least three years, to give the same user the materials
+    specified in Subsection 6a, above, for a charge no more
+    than the cost of performing this distribution.
+
+    d) If distribution of the work is made by offering access to copy
+    from a designated place, offer equivalent access to copy the above
+    specified materials from the same place.
+
+    e) Verify that the user has already received a copy of these
+    materials or that you have already sent this user a copy.
+
+  For an executable, the required form of the "work that uses the
+Library" must include any data and utility programs needed for
+reproducing the executable from it.  However, as a special exception,
+the materials to be distributed need not include anything that is
+normally distributed (in either source or binary form) with the major
+components (compiler, kernel, and so on) of the operating system on
+which the executable runs, unless that component itself accompanies
+the executable.
+
+  It may happen that this requirement contradicts the license
+restrictions of other proprietary libraries that do not normally
+accompany the operating system.  Such a contradiction means you cannot
+use both them and the Library together in an executable that you
+distribute.
+
+  7. You may place library facilities that are a work based on the
+Library side-by-side in a single library together with other library
+facilities not covered by this License, and distribute such a combined
+library, provided that the separate distribution of the work based on
+the Library and of the other library facilities is otherwise
+permitted, and provided that you do these two things:
+
+    a) Accompany the combined library with a copy of the same work
+    based on the Library, uncombined with any other library
+    facilities.  This must be distributed under the terms of the
+    Sections above.
+
+    b) Give prominent notice with the combined library of the fact
+    that part of it is a work based on the Library, and explaining
+    where to find the accompanying uncombined form of the same work.
+
+  8. You may not copy, modify, sublicense, link with, or distribute
+the Library except as expressly provided under this License.  Any
+attempt otherwise to copy, modify, sublicense, link with, or
+distribute the Library is void, and will automatically terminate your
+rights under this License.  However, parties who have received copies,
+or rights, from you under this License will not have their licenses
+terminated so long as such parties remain in full compliance.
+
+  9. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Library or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Library (or any work based on the
+Library), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Library or works based on it.
+
+  10. Each time you redistribute the Library (or any work based on the
+Library), the recipient automatically receives a license from the
+original licensor to copy, distribute, link with or modify the Library
+subject to these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties with
+this License.
+
+  11. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Library at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Library by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Library.
+
+If any portion of this section is held invalid or unenforceable under any
+particular circumstance, the balance of the section is intended to apply,
+and the section as a whole is intended to apply in other circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+  12. If the distribution and/or use of the Library is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Library under this License may add
+an explicit geographical distribution limitation excluding those countries,
+so that distribution is permitted only in or among countries not thus
+excluded.  In such case, this License incorporates the limitation as if
+written in the body of this License.
+
+  13. The Free Software Foundation may publish revised and/or new
+versions of the Lesser General Public License from time to time.
+Such new versions will be similar in spirit to the present version,
+but may differ in detail to address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Library
+specifies a version number of this License which applies to it and
+"any later version", you have the option of following the terms and
+conditions either of that version or of any later version published by
+the Free Software Foundation.  If the Library does not specify a
+license version number, you may choose any version ever published by
+the Free Software Foundation.
+
+  14. If you wish to incorporate parts of the Library into other free
+programs whose distribution conditions are incompatible with these,
+write to the author to ask for permission.  For software which is
+copyrighted by the Free Software Foundation, write to the Free
+Software Foundation; we sometimes make exceptions for this.  Our
+decision will be guided by the two goals of preserving the free status
+of all derivatives of our free software and of promoting the sharing
+and reuse of software generally.
+
+			    NO WARRANTY
+
+  15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO
+WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW.
+EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR
+OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY
+KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE
+IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE
+LIBRARY IS WITH YOU.  SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME
+THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
+
+  16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN
+WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY
+AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU
+FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR
+CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE
+LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING
+RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A
+FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF
+SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
+DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
+
+           How to Apply These Terms to Your New Libraries
+
+  If you develop a new library, and you want it to be of the greatest
+possible use to the public, we recommend making it free software that
+everyone can redistribute and change.  You can do so by permitting
+redistribution under these terms (or, alternatively, under the terms of the
+ordinary General Public License).
+
+  To apply these terms, attach the following notices to the library.  It is
+safest to attach them to the start of each source file to most effectively
+convey the exclusion of warranty; and each file should have at least the
+"copyright" line and a pointer to where the full notice is found.
+
+    <one line to give the library's name and a brief idea of what it does.>
+    Copyright (C) <year>  <name of author>
+
+    This library is free software; you can redistribute it and/or
+    modify it under the terms of the GNU Lesser General Public
+    License as published by the Free Software Foundation; either
+    version 2.1 of the License, or (at your option) any later version.
+
+    This library is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+    Lesser General Public License for more details.
+
+    You should have received a copy of the GNU Lesser General Public
+    License along with this library; if not, write to the Free Software
+    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+Also add information on how to contact you by electronic and paper mail.
+
+You should also get your employer (if you work as a programmer) or your
+school, if any, to sign a "copyright disclaimer" for the library, if
+necessary.  Here is a sample; alter the names:
+
+  Yoyodyne, Inc., hereby disclaims all copyright interest in the
+  library `Frob' (a library for tweaking knobs) written by James Random Hacker.
+
+  <signature of Ty Coon>, 1 April 1990
+  Ty Coon, President of Vice
+
+That's all there is to it!
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/readme.txt soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/readme.txt
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/readme.txt	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/Docs/readme.txt	2005-06-11 10:27:20.000000000 +0900
@@ -0,0 +1,95 @@
+PHP Connector for the FCKEditor v2 File Manager
+Written By Grant French, Sept 2004
+grant@mcpuk.net - http://www.mcpuk.net 
+
+FCK Editor - Written By Frederico Caldeira Knabben
+http://www.fckeditor.net 
+
+Icons supplied for file types from everaldo - 
+http://www.everaldo.com
+
+Permissions fix for upload.cgu and fix for
+thumbnail background colour by -
+Ben Lancaster (benlanc@ster.me.uk)
+
+!!PLEASE READ THROUGH THIS README *BEFORE* CRYING FOR HELP!!
+
+
+NOTES:
+------
+
+This software is provided as is with no guarantees or
+warranties what so ever. It has been proven to work
+under the following setups (many other should work):-
+
+PHP 4.3.x / Apache 1.3.x (FreeBSD/WinXP Pro/OpenBSD)
+PHP 5.x / Apache 2.x (Linux)
+
+Reported to work under IIS with minor alterations.
+(Manually define $_SERVER['DOCUMENT_ROOT'] and dont use
+the upload cgi)
+
+!!! if you specify the relative path of the connector in 
+	the fckconfig.js file you may experience some unusual
+	behaviour mainly in firefox, like the resource list
+	failing to refresh. To avoid this specify the absolute
+	path of the connector.
+
+	
+CONNECTOR CONFIGURATION
+-----------------------
+
+/FCKeditor/editor/filemanager/browser/mcpuk/connectors/php/config.php
+The config.php file contains most of the configuration options for the
+connector, the file is fully commented, so please take a look through it.
+		
+Most commonly asked question:
+Can i put the userfiles outside the FCKeditor folder?
+
+The answer is yes, the folder containing all users files is 
+setup be default to be /UserFiles this can be changed 
+to anything you like, such as /userdata/editorfiles this is
+done by editing the $fckphp_config['UserFilesPath'] directive 
+in the config.php file for the connector
+
+
+
+FILE & FOLDER SETUP:
+--------------------
+
+1. Create the user files folder (set in the config.php)
+	NOTE: you no longer need to create the Image/File/Media/Flash folders
+	if you are using the 'Authentication' option in the connector.
+	If you are not using the 'Authentication' option then you must create
+	the Image File Media and Flash folders in the user files folder.
+	
+2. The user files folder must all be chmodded to 0777 (a+wrx)
+
+
+
+Upload Progress (Optional) - Rather Buggy
+-----------------------------------------
+You may move the filemanager/browser/default/connectors/php/Commands/helpers/upload.cgi ,
+filemanager/browser/default/connectors/php/Commands/helpers/progress.cgi and
+filemanager/browser/default/connectors/php/Commands/helpers/header.cgi
+to you cgi-bin folder or set the settings on the folder to allow these to be executed,
+check the first line in each of these files to check that the path to perl is correct
+for your setup. Open the header.cgi file, check and modify settings as required.
+If you have moved these files adjust the path to them in the fckconfig lines as 
+specified above and the path the progress.cgi in the config.php file (see below)
+
+
+
+FINAL NOTE:
+-----------
+
+1. Limited support will be provided by email as and when i have time.
+2. If you have any ideas share them either by mailing me or in the 
+	forum for the fckeditor (http://sf.net/projects/fckeditor/forums)
+3. Enjoy
+
+
+LICENSE:
+--------
+
+LGPL - Lesser General Public License (see LICENSE.txt file)
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/config.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/config.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/config.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/config.php	2005-06-11 10:27:13.000000000 +0900
@@ -0,0 +1,230 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: config.php
+ * 	Configuration file
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+session_start();
+
+/*------------------------------------------------------------------------------*/
+/* HTTP over SSL Detection (shouldnt require changing)				*/
+/*------------------------------------------------------------------------------*/
+$fckphp_config['prot']="http";
+$fckphp_config['prot'].=((isset($_SERVER['HTTPS'])&&$_SERVER['HTTPS']=='on')?"s":"");
+$fckphp_config['prot'].="://";
+/*==============================================================================*/
+
+
+/*------------------------------------------------------------------------------*/
+/* The physical path to the document root, Set manually if not using apache	*/
+/*------------------------------------------------------------------------------*/
+//$fckphp_config['basedir']=$_SERVER['DOCUMENT_ROOT'];
+$fckphp_config['basedir'] = 'D:\Work\FCKEditor\www\FCKeditor.V2\editor\filemanager\browser\mcpuk' ;
+/*==============================================================================*/
+
+
+/*------------------------------------------------------------------------------*/
+/* Prefix added to image path before sending back to editor			*/
+/*------------------------------------------------------------------------------*/
+$fckphp_config['urlprefix']=$fckphp_config['prot'].$_SERVER['SERVER_NAME'];
+/*==============================================================================*/
+
+
+/*------------------------------------------------------------------------------*/
+/* Path to user files relative to the document root (no trailing slash)		*/
+/*------------------------------------------------------------------------------*/
+$fckphp_config['UserFilesPath'] = "/UserFiles" ;
+/*==============================================================================*/
+
+
+/*------------------------------------------------------------------------------*/
+/* Progressbar handler (script that monitors upload progress) (''=none)
+/*------------------------------------------------------------------------------*/
+// $fckphp_config['uploadProgressHandler']=''; //No upload progress handler
+$fckphp_config['uploadProgressHandler']=$fckphp_config['prot'].$_SERVER['SERVER_NAME']."/cgi-bin/progress.cgi"; //Perl upload progress handler
+/*==============================================================================*/
+
+
+/*------------------------------------------------------------------------------*/
+/* Authentication (auth) :-								*/
+/*  - Req		:: Boolean, whether authentication is required		*/
+/*  - HandlerClass	:: Name of class to handle authentication in connector	*/
+/*------------------------------------------------------------------------------*/
+$fckphp_config['auth']['Req']=false;
+$fckphp_config['auth']['HandlerClass']='Default';
+/*==============================================================================*/
+
+
+/*------------------------------------------------------------------------------*/
+/* Settings for authentication handler :-					*/
+/*  - SharedKey :: Shared encryption key (as set in test.php in example)	*/
+/*------------------------------------------------------------------------------*/
+$fckphp_config['auth']['Handler']['SharedKey']="->Shared_K3y-F0R*5enD1NG^auth3nt1caT10n'Info/To\FILE,Brow5er--!";
+/*==============================================================================*/
+
+
+/*------------------------------------------------------------------------------*/
+/* Per resource area settings:-							*/
+/* - AllowedExtensions	:: Array, allowed file extensions (in lowercase)	*/
+/* - AllowedMIME	:: Array, allowed mime types (in lowercase)		*/
+/* - MaxSize		:: Number, Maximum size of file uploads in KBytes	*/
+/* - DiskQuota		:: Number, Maximum size allowed for the resource area	*/
+/* - HideFolders	:: Array, RegExp, matching folder names will be hidden	*/
+/* - HideFiles		:: Array, RegExp, matching file names will be hidden	*/
+/* - AllowImageEditing	:: Boolean, whether images in this area may be edited	*/
+/*------------------------------------------------------------------------------*/
+//First area options are commented
+
+//File Area
+$fckphp_config['ResourceAreas']['File'] =array(
+	
+	//Files(identified by extension) that may be uploaded to this area
+	'AllowedExtensions'	=>	array("zip","doc","xls","pdf","rtf","csv","jpg","gif","jpeg","png","avi","mpg","mpeg","swf","fla"),
+	
+	//Not implemented yet
+	'AllowedMIME'		=>	array(),
+	
+	//Set the maximum single upload to this area to 2MB (2048Kb)
+	'MaxSize'		=>	2048,
+	
+	//Set disk quota for this resource area to 20MB
+	'DiskQuota'		=>	20,
+	
+	//By Default hide all folders starting with a . (Unix standard)
+	'HideFolders'		=>	array("^\."), 
+	
+	//By Default hide all files starting with a . (Unix standard)
+	'HideFiles'		=>	array("^\."), 
+	
+	//Do not allow images to be edited in this resource area
+	'AllowImageEditing'	=>	false
+	);
+
+//Image area
+$fckphp_config['ResourceAreas']['Image'] =array(
+	'AllowedExtensions'	=>	array("jpg","gif","jpeg","png","tiff","tif",),
+	'AllowedMIME'		=>	array(),
+	'MaxSize'		=>	1024,
+	'DiskQuota'		=>	5,
+	'HideFolders'		=>	array("^\."),
+	'HideFiles'		=>	array("^\."),
+	'AllowImageEditing'	=>	false //Not yet complete, but you can take a look and see
+	);
+
+//Flash area
+$fckphp_config['ResourceAreas']['Flash'] =array(
+	'AllowedExtensions'	=>	array("swf","fla"),
+	'AllowedMIME'		=>	array(),
+	'MaxSize'		=>	1024,
+	'DiskQuota'		=>	5,
+	'HideFolders'		=>	array("^\."),
+	'HideFiles'		=>	array("^\."),
+	'AllowImageEditing'	=>	false
+	);
+	
+//Media area
+$fckphp_config['ResourceAreas']['Media'] =array(
+	'AllowedExtensions'	=>	array("swf","fla","jpg","gif","jpeg","png","avi","mpg","mpeg"),
+	'AllowedMIME'		=>	array(),
+	'MaxSize'		=>	5120,
+	'DiskQuota'		=>	20,
+	'HideFolders'		=>	array("^\."),
+	'HideFiles'		=>	array("^\."),
+	'AllowImageEditing'	=>	false
+	);
+	
+/*==============================================================================*/		
+
+
+/*------------------------------------------------------------------------------*/
+/* Global Disk Quota - Max size of all resource areas				*/
+/*------------------------------------------------------------------------------*/
+$fckphp_config['DiskQuota']['Global']=50; //In MBytes (default: 50mb)
+/*==============================================================================*/
+
+
+/*------------------------------------------------------------------------------*/
+/* Directory and File Naming :-							*/
+/*  -MaxDirNameLength	:: Maximum allowed length of a directory name		*/
+/*  -DirNameAllowedChars :: Array of characters allowed in a directory name	*/
+/*  -FileNameAllowedChars :: Array of characters allowed in a file name		*/
+/*------------------------------------------------------------------------------*/
+
+$fckphp_config['MaxDirNameLength']=25;
+
+$fckphp_config['DirNameAllowedChars']=array();
+
+	//Allow numbers
+	for($i=48;$i<58;$i++) array_push($fckphp_config['DirNameAllowedChars'],chr($i));
+	
+	//Allow lowercase letters
+	for($i=97;$i<123;$i++) array_push($fckphp_config['DirNameAllowedChars'],chr($i));
+	
+	//Allow uppercase letters
+	for($i=65;$i<91;$i++) array_push($fckphp_config['DirNameAllowedChars'],chr($i));
+	
+	//Allow space,dash,underscore,dot
+	array_push($fckphp_config['DirNameAllowedChars']," ","-","_",".");
+	
+$fckphp_config['FileNameAllowedChars']=$fckphp_config['DirNameAllowedChars'];
+array_push($fckphp_config['FileNameAllowedChars'],')','(','[',']','~');
+/*==============================================================================*/
+
+
+/*------------------------------------------------------------------------------*/
+/* Debugging :-									*/
+/*  - Debug	:: Boolean, if set to true a copy of the connector output is 	*/
+/*			sent to a file as well as to the client.		*/
+/*  - DebugOutput :: File to send debug output to (absolute path)		*/
+/*------------------------------------------------------------------------------*/
+
+$fckphp_config['Debug']=false;
+$fckphp_config['DebugOutput']="/var/www/fckeditor/htdocs/FCKeditor/data/fck_conn_dbg";
+
+#Log PHP errors
+$fckphp_config['Debug_Errors']=false;
+$fckphp_config['Debug_Trace']=false;
+
+#Log Connector output
+$fckphp_config['Debug_Output']=false;
+
+#With each logged event display contents of
+/* $_GET */ $fckphp_config['Debug_GET']=false;
+/* $_POST */ $fckphp_config['Debug_POST']=false;
+/* $_SERVER */ $fckphp_config['Debug_SERVER']=false;
+/* $_SESSIONS */ $fckphp_config['Debug_SESSIONS']=false;
+
+/*==============================================================================*/
+
+
+/*------------------------------------------------------------------------------*/
+/* Internals :-									*/
+/*	ResourceTypes :: Array of valid resource areas				*/
+/*	Commands :: Array of valid commands accepted by the connector		*/
+/*------------------------------------------------------------------------------*/
+$fckphp_config['ResourceTypes'] = array('File','Image','Flash','Media');
+$fckphp_config['Commands'] = array(
+				"CreateFolder",
+				"GetFolders",
+				"GetFoldersAndFiles",
+				"FileUpload",
+				"Thumbnail",
+				"DeleteFile",
+				"DeleteFolder",
+				"GetUploadProgress",
+				"RenameFile",
+				"RenameFolder"
+				);
+/*==============================================================================*/
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/connector.php soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/connector.php
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/connector.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/connector.php	2005-06-11 10:27:13.000000000 +0900
@@ -0,0 +1,191 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: connector.php
+ * 	Main connector file, implements the State Pattern to 
+ * 	redirect requests to the appropriate class based on 
+ * 	the command name passed.
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+//Errors in the config.php could still cause problems.
+global $fckphp_config;
+require_once "config.php";
+
+error_reporting(E_ALL);
+function errorHandler ($errno, $errstr, $errfile, $errline, $errcontext) {
+	$reported=false;
+	if (strpos($errstr,"var: Deprecated.")===false) {
+		global $fckphp_config;
+		if ($fckphp_config['Debug']===true && $fckphp_config['Debug_Errors']===true) {
+			$oldData=implode("",file($fckphp_config['DebugOutput']));
+			if ($fh=fopen($fckphp_config['DebugOutput'],"w")) {
+				fwrite($fh,"\n".date("d/m/Y H:i:s")."\n");
+				fwrite($fh,"PHP ERROR::: 
+						Error Number: $errno
+						Error Message: $errstr
+						Error File: $errfile
+						Error Line: $errline\n");
+				if ($fckphp_config['Debug_Trace']) fwrite($fh,"		Error Context: ".print_r($errcontext,true)."\n");
+				if ($fckphp_config['Debug_GET']) fwrite($fh,"\n\$_GET::\n".print_r($_GET,true)."\n");
+				if ($fckphp_config['Debug_POST']) fwrite($fh,"\n\$_POST::\n".print_r($_POST,true)."\n");
+				if ($fckphp_config['Debug_SERVER']) fwrite($fh,"\n\$_SERVER::\n".print_r($_SERVER,true)."\n");
+				if ($fckphp_config['Debug_SESSIONS']) fwrite($fh,"\n\$_SESSIONS::\n".print_r($_SESSION,true)."\n");
+				fwrite($fh,"\n-------------------------------------------------------\n\n\n");
+				fwrite($oldData); $oldData="";
+				fclose($fh);
+				$reported=true;
+			} 
+		}
+		
+		if (!$reported) {
+			//display error instead.
+			echo("PHP ERROR::: <br />
+					Error Number: $errno <br />
+					Error Message: $errstr <br />
+					Error File: $errfile <br />
+					Error Line: $errline <br />");
+				
+			if ($fckphp_config['Debug_Trace']) echo "Error Context: ".print_r($errcontext,true)."\n";	
+			if ($fckphp_config['Debug_GET']) echo "\$_GET::\n".print_r($_GET,true)."<br />\n";
+			if ($fckphp_config['Debug_POST']) echo "\$_POST::\n".print_r($_POST,true)."<br />\n";
+			if ($fckphp_config['Debug_SERVER']) echo "\$_SERVER::\n".print_r($_SERVER,true)."<br />\n";
+			if ($fckphp_config['Debug_SESSIONS']) echo "\$_SESSIONS::\n".print_r($_SESSION,true)."<br />\n";
+			echo "<br />\n<br />\n";
+		}
+	}
+}
+set_error_handler('errorHandler');
+
+if (!isset($_SERVER['DOCUMENT_ROOT'])) $_SERVER["DOCUMENT_ROOT"] = $fckphp_config['basedir'];
+
+if ($fckphp_config['Debug']===true && $fckphp_config['Debug_Output']) ob_start();
+outputHeaders();
+
+//These are the commands we may expect
+$valid_commands=$fckphp_config['Commands'];
+$valid_resource_types=$fckphp_config['ResourceTypes'];
+
+//Get the passed data
+$command=(
+		((isset($_GET['Command']))&&($_GET['Command']!=""))?
+			$_GET['Command']:
+			""
+		);
+		
+$type=(
+		((isset($_GET['Type']))&&($_GET['Type']!=""))?
+			$_GET['Type']:
+			"File"
+		);
+		
+$cwd=str_replace("..","",
+		(
+		((isset($_GET['CurrentFolder']))&&($_GET['CurrentFolder']!=""))?
+			$_GET['CurrentFolder']:
+			"/"
+		)
+		);
+		
+$cwd=str_replace("..","",$cwd);
+
+$extra=(
+		((isset($_GET['ExtraParams']))&&($_GET['ExtraParams']!=""))?
+			$_GET['ExtraParams']:
+			""
+		);
+
+if (in_array($command,$valid_commands)) {
+
+	if ($fckphp_config['auth']['Req']) {
+		require_once "./Auth/".$fckphp_config['auth']['HandlerClass'].".php";
+		
+		$auth=new Auth();
+		$fckphp_config=$auth->authenticate($extra,$fckphp_config);
+		if ($fckphp_config['authSuccess']!==true) {
+			header ("content-type: text/xml");
+			echo "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n";
+			?>
+<Connector command="authentication_failed" resourceType="authentication_failed">
+	<CurrentFolder path="authentication_failed" url="authentication_failed" />
+	<Error number="-1" />
+</Connector><?php
+			if ($fckphp_config['Debug']===true  && $fckphp_config['Debug_Output']) recordOutput();
+			exit(0);
+		}
+	}
+
+	//bit of validation
+	if (!in_array($type,$valid_resource_types)) {
+		echo "Invalid resource type.";
+		if ($fckphp_config['Debug']===true  && $fckphp_config['Debug_Output']) recordOutput();
+		exit(0);
+	}
+	
+	require_once "Commands/$command.php";
+
+	$action=new $command($fckphp_config,$type,$cwd);
+
+	$action->run();
+	if ($fckphp_config['Debug']===true && $fckphp_config['Debug_Output']) recordOutput();
+	
+} else {
+	//No reason for me to be here.
+	echo "Invalid command.";
+	echo str_replace("\n","<br />",print_r($_GET,true));
+	if ($fckphp_config['Debug']===true  && $fckphp_config['Debug_Output']) recordOutput();
+	exit(0);
+}
+
+
+function recordOutput() {
+	global $fckphp_config;
+
+	if ($fckphp_config['Debug']===true  && $fckphp_config['Debug_Output']) {
+		$contents=ob_get_contents();
+		if (strlen($contents)>0) {
+			$oldData=implode("",file($fckphp_config['DebugOutput']));
+			if ($fh=fopen($fckphp_config['DebugOutput'],"w")) {
+				fwrite($fh,"\n".date("d/m/Y H:i:s")."\n");
+				if ($fckphp_config['Debug_GET']) fwrite($fh,"\n\$_GET::\n".print_r($_GET,true)."\n");
+				if ($fckphp_config['Debug_POST']) fwrite($fh,"\n\$_POST::\n".print_r($_POST,true)."\n");
+				if ($fckphp_config['Debug_SERVER']) fwrite($fh,"\n\$_SERVER::\n".print_r($_SERVER,true)."\n");
+				if ($fckphp_config['Debug_SESSIONS']) fwrite($fh,"\n\$_SESSIONS::\n".print_r($_SESSION,true)."\n");
+				fwrite($fh,$contents);
+				fwrite($fh,"\n-------------------------------------------------------\n\n\n");
+				fwrite($fh,$oldData); $oldData="";
+				fclose($fh);
+			}
+		}
+		ob_flush();
+	}
+}
+
+function outputHeaders() {
+
+	//Anti browser caching headers
+	//Borrowed from fatboy's implementation  (fatFCK@code247.com)
+	
+	// ensure file is never cached
+	// Date in the past
+	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
+	
+	// always modified
+	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
+	
+	// HTTP/1.1
+	header("Cache-Control: no-store, no-cache, must-revalidate");
+	header("Cache-Control: post-check=0, pre-check=0", false);
+	
+	// HTTP/1.0
+	header("Pragma: no-cache");
+}
+?> 
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/dtd/iso-lat1.ent soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/dtd/iso-lat1.ent
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/dtd/iso-lat1.ent	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/dtd/iso-lat1.ent	2005-06-11 10:27:19.000000000 +0900
@@ -0,0 +1,62 @@
+<!ENTITY aacute	"&#x00E1;">
+<!ENTITY Aacute	"&#x00C1;">
+<!ENTITY acirc	"&#x00E2;">
+<!ENTITY Acirc	"&#x00C2;">
+<!ENTITY agrave	"&#x00E0;">
+<!ENTITY Agrave	"&#x00C0;">
+<!ENTITY aring	"&#x00E5;">
+<!ENTITY Aring	"&#x00C5;">
+<!ENTITY atilde	"&#x00E3;">
+<!ENTITY Atilde	"&#x00C3;">
+<!ENTITY auml	"&#x00E4;">
+<!ENTITY Auml	"&#x00C4;">
+<!ENTITY aelig	"&#x00E6;">
+<!ENTITY AElig	"&#x00C6;">
+<!ENTITY ccedil	"&#x00E7;">
+<!ENTITY Ccedil	"&#x00C7;">
+<!ENTITY eth	"&#x00F0;">
+<!ENTITY ETH	"&#x00D0;">
+<!ENTITY eacute	"&#x00E9;">
+<!ENTITY Eacute	"&#x00C9;">
+<!ENTITY ecirc	"&#x00EA;">
+<!ENTITY Ecirc	"&#x00CA;">
+<!ENTITY egrave	"&#x00E8;">
+<!ENTITY Egrave	"&#x00C8;">
+<!ENTITY euml	"&#x00EB;">
+<!ENTITY Euml	"&#x00CB;">
+<!ENTITY iacute	"&#x00ED;">
+<!ENTITY Iacute	"&#x00CD;">
+<!ENTITY icirc	"&#x00EE;">
+<!ENTITY Icirc	"&#x00CE;">
+<!ENTITY igrave	"&#x00EC;">
+<!ENTITY Igrave	"&#x00CC;">
+<!ENTITY iuml	"&#x00EF;">
+<!ENTITY Iuml	"&#x00CF;">
+<!ENTITY ntilde	"&#x00F1;">
+<!ENTITY Ntilde	"&#x00D1;">
+<!ENTITY oacute	"&#x00F3;">
+<!ENTITY Oacute	"&#x00D3;">
+<!ENTITY ocirc	"&#x00F4;">
+<!ENTITY Ocirc	"&#x00D4;">
+<!ENTITY ograve	"&#x00F2;">
+<!ENTITY Ograve	"&#x00D2;">
+<!ENTITY oslash	"&#x00F8;">
+<!ENTITY Oslash	"&#x00D8;">
+<!ENTITY otilde	"&#x00F5;">
+<!ENTITY Otilde	"&#x00D5;">
+<!ENTITY ouml	"&#x00F6;">
+<!ENTITY Ouml	"&#x00D6;">
+<!ENTITY szlig	"&#x00DF;">
+<!ENTITY thorn	"&#x00FE;">
+<!ENTITY THORN	"&#x00DE;">
+<!ENTITY uacute	"&#x00FA;">
+<!ENTITY Uacute	"&#x00DA;">
+<!ENTITY ucirc	"&#x00FB;">
+<!ENTITY Ucirc	"&#x00DB;">
+<!ENTITY ugrave	"&#x00F9;">
+<!ENTITY Ugrave	"&#x00D9;">
+<!ENTITY uuml	"&#x00FC;">
+<!ENTITY Uuml	"&#x00DC;">
+<!ENTITY yacute	"&#x00FD;">
+<!ENTITY Yacute	"&#x00DD;">
+<!ENTITY yuml	"&#x00FF;">
\ No newline at end of file
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/ascii.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/ascii.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/binary.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/binary.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/document2.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/document2.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/email.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/email.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/empty.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/empty.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/html.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/html.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/image.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/image.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/info.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/info.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/kmplot.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/kmplot.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/kmultiple.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/kmultiple.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/pdf.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/pdf.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/php.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/php.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/postscript.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/postscript.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/real_doc.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/real_doc.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/sound.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/sound.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/spreadsheet.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/spreadsheet.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/tar.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/tar.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/video.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/images/video.jpg differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/test.html.suspended soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/test.html.suspended
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/test.html.suspended	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/test.html.suspended	2005-06-11 10:27:13.000000000 +0900
@@ -0,0 +1,7 @@
+<html><head><title>File Upload Test</title></head>
+<body>
+<form enctype="multipart/form-data" method="post" action="/cgi-bin/upload.cgi?uploadID=58484&Connector=/FCKeditor/editor/filemanager/browser/default/connectors/php/connector.php&Command=FileUpload&Type=Image&CurrentFolder=/&ExtraParams=313131323934373331357c5e5345505e7c3139322e3136382e302e327c5e5345505e7c61646d696e7c5e5345505e7c3338316139376339633638303937393566343665313463613738383230626439">
+<input type="file" name="NewFile" />
+<input type="submit" value="Upload" />
+</form>
+</body></html> 
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/testme.php.suspended soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/testme.php.suspended
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/testme.php.suspended	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/connectors/php/testme.php.suspended	2005-06-11 10:27:13.000000000 +0900
@@ -0,0 +1,340 @@
+<html>
+<head>
+	<title>Test PHP Connector</title>
+</head>
+<body>
+<?php
+	error_reporting(E_ALL);
+	
+	include "config.php";
+	
+	$resources=$fckphp_config['ResourceTypes'];
+	
+	$dr=$fckphp_config['basedir'];
+	$actual_userfolder=str_replace("//","/",$dr."/".$fckphp_config['UserFilesPath']."/");
+	
+	
+	//Display base directory set in the$fckphp_config
+	echo "Base Dir is set to: $dr<br />\n";
+	
+	//Display the path to this script
+	echo "PHP_SELF: ".$_SERVER['PHP_SELF']."<br />\n";
+	
+	
+	//Seperator
+	echo "\n<br /><hr /><br />\n";
+	
+	
+	//Check if PHP has MIME-Magic Support
+	echo "Checking for mime magic support: ".((function_exists("mime_content_type"))?"Yes":"No - you won't get icons by mime type")."<br />";
+	
+	//Check if PHP has GD Support
+	echo "Checking for GD support: ".((function_exists("imagecreate"))?"Yes":"No - you won't get thumbnails for images")."<br />";
+	echo "&nbsp;&nbsp;&nbsp;&nbsp;JPEG Support: ".((function_exists("imagecreatefromjpeg"))?"Yes":"No - you won't get thumbnails for jpeg images")."<br />";
+	echo "&nbsp;&nbsp;&nbsp;&nbsp;PNG Support: ".((function_exists("imagecreatefrompng"))?"Yes":"No - you won't get thumbnails for png images")."<br />";
+	echo "&nbsp;&nbsp;&nbsp;&nbsp;GIF Support: ".((function_exists("imagecreatefromgif"))?"Yes":"No - you won't get thumbnails for gif images")."<br />";
+	echo "&nbsp;&nbsp;&nbsp;&nbsp;Image Write Support: ".((function_exists("imagegif") || function_exists("imagepng") || function_exists("imagejpeg"))?"Yes":"No - you won't get thumbnails for any images, as i cant write GIFs, PNGs or JPEGs")."<br />";
+	
+	
+	//Seperator
+	echo "\n<br /><hr /><br />\n";
+	
+	
+	//Check if the user files folder set in the$fckphp_config exists
+	echo "Checking if user files folder exists ($actual_userfolder): ";
+	if (is_dir($actual_userfolder)) {
+		echo "[ Passed ]<br />\n";
+	} else {
+		echo "[ Failed ] <br />Task: Create the user files folder in the webroot and point the$fckphp_config.php file to it.<br />\n";
+		echo "Skipping all other tests, fix this one first.";
+		exit(0);
+	}
+	
+	
+	//Seperator
+	echo "\n<br /><hr /><br />\n";
+	
+	
+	//Check if the File,Image,Flash,Media folders exist in the user files folder and are writeable
+	echo "Checking for resource type folders under user file folder: <br />\n";
+	foreach ($resources as $value) {
+	
+		//Does the folder exist
+		$passed=false;
+		echo "&nbsp;&nbsp;&nbsp;&nbsp;$value exists (".($actual_userfolder.$value).": ";	
+		if (is_dir(($actual_userfolder.$value))) {
+			echo "[ Passed ]<br />\n";
+			$passed=true;
+		} else {
+			echo "[ Failed ]<br /> Task: chmod this folder to make it writeable to the php processes user.<br />\n";
+		}
+		
+		
+		//Is the folder writeable by PHP
+		echo "&nbsp;&nbsp;&nbsp;&nbsp;$value writeable: ";	
+		if ($passed) {
+			if (is_writeable(($actual_userfolder.$value))) {
+				echo "[ Passed ]<br />\n";
+			} else {
+				echo "[ Failed ]<br /> Task: chmod this folder to make it writeable to the php processes user.<br />\n";
+			}
+		} else {
+			echo "[ Skipped ]<br />\n";
+		}
+		echo "<br />\n";
+	}
+
+	
+	//Check if PHP is$fckphp_configured to use open_basedir
+	echo "Checking if open_basedir restriction in place: (".((($bd=ini_get("open_basedir"))==null)?"Not Set":$bd." - This may cause you some troubles.").")<br />";
+	
+	//Try to open the user files folder
+	echo "Trying an opendir on the user files folder: ".((opendir($actual_userfolder))?"[ Passed ]":"[ Failed ]")."<br />";
+	
+	
+	//Seperator
+	echo "\n<br /><hr /><br />\n";
+	
+	
+	//Compose the url to the connector
+		$uri="http".(((isset($_SERVER['HTTPS']))&&(strtolower($_SERVER['HTTPS'])!='off'))?"s":"")."://".$_SERVER['SERVER_NAME'].dirname($_SERVER['SCRIPT_NAME'])."/";
+		
+		
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+	//Test the GetFolders Command
+		echo "Requesting connector.php?Command=GetFolders&Type=Image&CurrentFolder=/ :<br />\n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+			
+		$test = implode("",file($uri."connector.php?Command=GetFolders&Type=Image&CurrentFolder=/"));
+		$test=htmlentities($test);
+		echo str_replace("\n","<br />",$test);
+		echo "</div> Please do a sanity check on this, it should be something like: \n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+		
+		$expect="
+<?xml version=\"1.0\" encoding=\"utf-8\" ?>
+<Connector command=\"GetFolders\" resourceType=\"Image\">
+    <CurrentFolder path=\"/\" url=\"/data/resources/Image/\" />
+    <Folders>
+    </Folders>
+</Connector>";
+	
+		
+		$expect=htmlentities($expect);
+		$expect=str_replace(array("\n","\r"),"<br />",$expect);
+		echo "<b>EXAMPLE RESPONSE</b>".$expect;
+		?>
+		</div>
+		<br /><br />
+		<?php
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+		
+	//Seperator
+		echo "\n<br /><hr /><br />\n";
+		
+		
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+	//Test GetFoldersAndFiles Command
+		echo "Requesting connector.php?Command=GetFoldersAndFiles&Type=Image&CurrentFolder=/ :<br />\n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+			
+		$test = implode("",file($uri."connector.php?Command=GetFoldersAndFiles&Type=Image&CurrentFolder=/"));
+		$test=htmlentities($test);
+		echo str_replace("\n","<br />",$test);
+		echo "</div> Please do a sanity check on this, it should be something like: \n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+		
+		$expect="
+<?xml version=\"1.0\" encoding=\"utf-8\" ?>
+<Connector command=\"GetFoldersAndFiles\" resourceType=\"Image\">
+<CurrentFolder path=\"/\" url=\"/data/resources/Image/\" />
+<Folders>
+</Folders>
+<Files>
+</Files>
+</Connector>";
+	
+		
+		$expect=htmlentities($expect);
+		$expect=str_replace(array("\n","\r"),"<br />",$expect);
+		echo "<b>EXAMPLE RESPONSE</b>".$expect;
+		?>
+		</div>
+		<br /><br />
+		<?php
+//--------------------------------------------------------------------------------------------------------------------------------------------------		
+		
+		//Seperator
+		echo "\n<br /><hr /><br />\n";
+		
+		
+//--------------------------------------------------------------------------------------------------------------------------------------------------	
+	//Test the CreateFolder command
+		echo "Requesting connector.php?Command=CreateFolder&Type=Image&CurrentFolder=/&NewFolderName=TestFolder99 :<br />\n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+			
+		$test = implode("",file($uri."connector.php?Command=CreateFolder&Type=Image&CurrentFolder=/&NewFolderName=TestFolder99"));
+		$test=htmlentities($test);
+		echo str_replace("\n","<br />",$test);
+		echo "</div> Please do a sanity check on this, it should be something like: \n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+		
+		$expect="
+<?xml version=\"1.0\" encoding=\"utf-8\" ?>
+<Connector command=\CreateFolder\" resourceType=\"Image\">
+<CurrentFolder path=\"/\" url=\"/data/resources/Image/\" />
+	<Error number=\"0\" />
+</Connector>";
+	
+		
+		$expect=htmlentities($expect);
+		$expect=str_replace(array("\n","\r"),"<br />",$expect);
+		echo "<b>EXAMPLE RESPONSE</b>".$expect;
+		?>
+		</div>
+		<br /><br />
+		<?php	
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+
+		
+	//Seperator
+		echo "\n<br /><hr /><br />\n";
+	
+		
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+	//Test the RenameFolder Command
+		echo "Requesting connector.php?Command=RenameFolder&Type=Image&CurrentFolder=/&FolderName=TestFolder99&NewName=TestFolder90 :<br />\n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+			
+		$test = implode("",file($uri."connector.php?Command=RenameFolder&Type=Image&CurrentFolder=/&FolderName=TestFolder99&NewName=TestFolder90"));
+		$test=htmlentities($test);
+		echo str_replace("\n","<br />",$test);
+		echo "</div> Please do a sanity check on this, it should be something like: \n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+		
+		$expect="
+<?xml version=\"1.0\" encoding=\"utf-8\" ?>
+<Connector command=\"RenameFolder\" resourceType=\"Image\">
+    <CurrentFolder path=\"/\" url=\"/data/resources/Image/\" />
+    <Error number=\"0\" />
+</Connector>";
+	
+		
+		$expect=htmlentities($expect);
+		$expect=str_replace(array("\n","\r"),"<br />",$expect);
+		echo "<b>EXAMPLE RESPONSE</b>".$expect;
+		?>
+		</div>
+		<br /><br />
+		<?php
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+
+		
+	//Seperator
+		echo "\n<br /><hr /><br />\n";
+	
+		
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+	//Test the DeleteFolder Command
+		echo "Requesting connector.php?Command=DeleteFolder&Type=Image&CurrentFolder=/&FolderName=TestFolder90 :<br />\n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+			
+		$test = implode("",file($uri."connector.php?Command=DeleteFolder&Type=Image&CurrentFolder=/&FolderName=TestFolder90"));
+		$test=htmlentities($test);
+		echo str_replace("\n","<br />",$test);
+		echo "</div> Please do a sanity check on this, it should be something like: \n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+		
+		$expect="
+<?xml version=\"1.0\" encoding=\"utf-8\" ?>
+<Connector command=\"DeleteFolder\" resourceType=\"Image\">
+    <CurrentFolder path=\"/\" url=\"/data/resources/Image/\" />
+    <Error number=\"0\" />
+</Connector>";
+	
+		
+		$expect=htmlentities($expect);
+		$expect=str_replace(array("\n","\r"),"<br />",$expect);
+		echo "<b>EXAMPLE RESPONSE</b>".$expect;
+		?>
+		</div>
+		<br /><br />
+		<?php
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+		
+		
+	//Seperator
+		echo "\n<br /><hr /><br />\n";
+	
+		
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+	//Test the Progress.cgi Command
+		echo "Requesting ".$fckphp_config['uploadProgressHandler']."?iTotal=0&iRead=0&iStatus=1&sessionid=92823&dtnow=".time()."&dtstart=".time()." :<br />\n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+			
+		$test = implode("",file($fckphp_config['uploadProgressHandler']."?iTotal=0&iRead=0&iStatus=1&sessionid=92823&dtnow=".time()."&dtstart=".time()));
+		$test=htmlentities($test);
+		echo str_replace("\n","<br />",$test);
+		echo "</div> Please do a sanity check on this, it should be something like: \n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+		
+		$expect="
+<UploadProgress sessionID=\"92823\">
+<RefreshURL><![CDATA[".$fckphp_config['uploadProgressHandler']."?iTotal=0&iRead=0&iStatus=1&sessionid=92823&dtnow=1098477167&dtstart=1098477166]]></RefreshURL>
+<TotalBytes>0</TotalBytes>
+<ReadBytes>0</ReadBytes>
+<Status>1</Status>
+<Speed>0</Speed>
+<TimeRemaining>00:00:00</TimeRemaining>
+<TimeElapsed>00:00:01</TimeElapsed>
+</UploadProgress>";
+	
+		
+		$expect=htmlentities($expect);
+		$expect=str_replace(array("\n","\r"),"<br />",$expect);
+		echo "<b>EXAMPLE RESPONSE</b>".$expect;
+		?>
+		</div>
+		<br /><br />
+		<?php
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+
+		
+	//Seperator
+		echo "\n<br /><hr /><br />\n";
+	
+		
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+	//Test the GetUploadProgress Command
+		echo "Requesting connector.php?Command=GetUploadProgress&Type=File&CurrentFolder=/Docs/&uploadID=19382&refreshURL=".$fckphp_config['uploadProgressHandler']."?uploadID=19382&amp;read=30&amp;total=100 :<br />\n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+			
+		$test = implode("",file($uri."connector.php?Command=GetUploadProgress&Type=File&CurrentFolder=/Docs/&uploadID=19382&refreshURL=".$fckphp_config['uploadProgressHandler']."?uploadID=19382&amp;read=30&amp;total=100"));
+		$test=str_replace("&amp;","&",$test);
+		$test=htmlentities($test);
+		echo str_replace("\n","<br />",$test);
+		echo "</div> Please do a sanity check on this, it should be something like: \n
+			<div style=\"border-style:solid;border-width:1px;border-color:#000000\">\n";
+		
+		$expect="
+<?xml version=\"1.0\" encoding=\"utf-8\" ?>
+<Connector command=\"GetUploadProgress\" resourceType=\"File\">
+<CurrentFolder path=\"/Docs/\" url=\"/data/resources/File/Docs/\" />
+<Progress max=\"0\" value=\"0\" />
+<RefreshURL url=\"".$fckphp_config['uploadProgressHandler']."?iTotal=&iRead=&iStatus=&sessionid=&dtnow=1098478692&dtstart=\" />
+</Connector>";
+	
+		
+		$expect=htmlentities($expect);
+		$expect=str_replace(array("\n","\r"),"<br />",$expect);
+		echo "<b>EXAMPLE RESPONSE</b>".$expect;
+		?>
+		</div>
+		<br /><br />
+		<?php
+//--------------------------------------------------------------------------------------------------------------------------------------------------
+		
+
+?>
+</body>
+</html> 
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmactualfolder.html soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmactualfolder.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmactualfolder.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmactualfolder.html	2005-06-11 10:27:12.000000000 +0900
@@ -0,0 +1,61 @@
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmactualfolder.html
+ * 	This page shows the actual folder path.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript">
+
+function OnResize()
+{
+	divName.style.width = "1px" ;
+	divName.style.width = tdName.offsetWidth + "px" ;
+}
+
+function SetCurrentFolder( resourceType, folderPath )
+{
+	document.getElementById('tdName').innerHTML = folderPath ;
+}
+
+window.onload = function()
+{
+	window.top.IsLoadedActualFolder = true ;
+}
+
+		</script>
+	</head>
+	<body bottomMargin="0" topMargin="0">
+		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+			<tr>
+				<td>
+					<button style="WIDTH: 100%" type="button">
+						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
+							<tr>
+								<td><img height="32" alt="" src="images/FolderOpened32.gif" width="32"></td>
+								<td>&nbsp;</td>
+								<td id="tdName" width="100%" nowrap class="ActualFolder">/</td>
+								<td>&nbsp;</td>
+								<td><!--<img height="8" src="images/ButtonArrow.gif" width="12">--></td>
+								<td>&nbsp;</td>
+							</tr>
+						</table>
+					</button>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmcreatefolder.html soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmcreatefolder.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmcreatefolder.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmcreatefolder.html	2005-06-11 10:27:12.000000000 +0900
@@ -0,0 +1,103 @@
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmcreatefolder.html
+ * 	Page used to create new folders in the current folder.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript" src="js/fckxml.js"></script>
+		<script type="text/javascript" src="js/common.js"></script>
+		<script language="javascript">
+
+function SetCurrentFolder( resourceType, folderPath )
+{
+	oConnector.ResourceType = resourceType ;
+	oConnector.CurrentFolder = folderPath
+}
+
+function CreateFolder()
+{
+	var sFolderName ;
+	
+	while ( true ) 
+	{
+		sFolderName = prompt( 'Type the name of the new folder:', '' ) ;
+	
+		if ( sFolderName == null )
+			return ;
+		else if ( sFolderName.length == 0 )
+			alert( 'Please type the folder name' ) ;
+		else
+			break ;
+	}
+	
+	oConnector.SendCommand( 'CreateFolder', 'NewFolderName=' + escape( sFolderName) , CreateFolderCallBack ) ;
+}
+
+function CreateFolderCallBack( fckXml )
+{
+	// Get the current folder path.
+	var oNode = fckXml.SelectSingleNode( 'Connector/Error' ) ;
+	var iErrorNumber = parseInt( oNode.attributes.getNamedItem('number').value ) ;
+	
+	switch ( iErrorNumber )
+	{
+		case 0 :
+			window.parent.frames['frmResourcesList'].Refresh() ;
+			break ;
+		case 101 :
+			alert( 'Folder already exists' ) ;
+			break ;
+		case 102 :
+			alert( 'Invalid folder name' ) ;
+			break ;
+		case 103 :
+			alert( 'You have no permissions to create the folder' ) ;
+			break ;
+		case 110 :
+			alert( 'Unknown error creating folder' ) ;
+			break ;
+		default :
+			alert( 'Error creating folder. Error number: ' + iErrorNumber ) ;
+			break ;
+	}
+}
+
+window.onload = function()
+{
+	window.top.IsLoadedCreateFolder = true ;
+}
+		</script>
+	</head>
+	<body bottomMargin="0" topMargin="0">
+		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+			<tr>
+				<td>
+					<button type="button" style="WIDTH: 100%" onclick="CreateFolder();">
+						<table cellSpacing="0" cellPadding="0" border="0">
+							<tr>
+								<td><img height="16" alt="" src="images/Folder.gif" width="16"></td>
+								<td>&nbsp;</td>
+								<td nowrap>Create New Folder</td>
+							</tr>
+						</table>
+					</button>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmfolders.html soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmfolders.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmfolders.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmfolders.html	2005-06-11 10:27:12.000000000 +0900
@@ -0,0 +1,197 @@
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmfolders.html
+ * 	This page shows the list of folders available in the parent folder 
+ * 	of the current folder.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript" src="js/fckxml.js"></script>
+		<script type="text/javascript" src="js/common.js"></script>
+		<script language="javascript">
+
+var sActiveFolder ;
+
+var bIsLoaded = false ;
+var iIntervalId ;
+
+var oListManager = new Object() ;
+
+oListManager.Init = function()
+{
+	this.Table = document.getElementById('tableFiles') ;
+	this.UpRow = document.getElementById('trUp') ;
+
+	this.TableRows = new Object() ;	
+}
+
+oListManager.Clear = function()
+{
+	// Remove all other rows available.
+	while ( this.Table.rows.length > 1 )
+		this.Table.deleteRow(1) ;
+
+	// Reset the TableRows collection.
+	this.TableRows = new Object() ;
+}
+
+oListManager.AddItem = function( folderName, folderPath )
+{
+	// Create the new row.
+	var oRow = this.Table.insertRow(-1) ;
+	oRow.className = 'FolderListFolder' ;
+
+	// Build the link to view the folder.
+	var sLink = '<a href="#" onclick="OpenFolder(\'' + folderPath + '\');return false;">' ;
+
+	// Add the folder icon cell.
+	var oCell = oRow.insertCell(-1) ;
+	oCell.width = 16 ;
+	oCell.innerHTML = sLink + '<img alt="" src="images/spacer.gif" width="16" height="16" border="0"></a>' ;
+
+	// Add the folder name cell.
+	oCell = oRow.insertCell(-1) ;
+	oCell.noWrap = true ;
+	oCell.innerHTML = '&nbsp;' + sLink + folderName + '</a>' ;
+	
+	this.TableRows[ folderPath ] = oRow ;
+}
+
+oListManager.ShowUpFolder = function( upFolderPath )
+{
+	this.UpRow.style.display = ( upFolderPath != null ? '' : 'none' ) ;
+	
+	if ( upFolderPath != null )
+	{
+		document.getElementById('linkUpIcon').onclick = document.getElementById('linkUp').onclick = function()
+		{
+			LoadFolders( upFolderPath ) ;
+			return false ;
+		}
+	}
+}
+
+function CheckLoaded()
+{
+	if ( window.top.IsLoadedActualFolder 
+		&& window.top.IsLoadedCreateFolder 
+		&& window.top.IsLoadedUpload
+		&& window.top.IsLoadedResourcesList )
+	{
+		window.clearInterval( iIntervalId ) ;
+		bIsLoaded = true ;
+		OpenFolder( sActiveFolder ) ;
+	}
+}
+
+function OpenFolder( folderPath )
+{
+	sActiveFolder = folderPath ;
+
+	if ( ! bIsLoaded )
+	{
+		if ( ! iIntervalId )
+			iIntervalId = window.setInterval( CheckLoaded, 100 ) ;
+		return ;
+	}
+
+	// Change the style for the select row (to show the opened folder).
+	for ( var sFolderPath in oListManager.TableRows )
+	{
+		oListManager.TableRows[ sFolderPath ].className = 
+			( sFolderPath == folderPath ? 'FolderListCurrentFolder' : 'FolderListFolder' ) ;
+	}
+
+	// Set the current folder in all frames.
+	window.parent.frames['frmActualFolder'].SetCurrentFolder( oConnector.ResourceType, folderPath ) ;
+	window.parent.frames['frmCreateFolder'].SetCurrentFolder( oConnector.ResourceType, folderPath ) ;
+	window.parent.frames['frmUpload'].SetCurrentFolder( oConnector.ResourceType, folderPath ) ;
+	
+	// Load the resources list for this folder.
+	window.parent.frames['frmResourcesList'].LoadResources( oConnector.ResourceType, folderPath ) ;
+}
+
+function LoadFolders( folderPath )
+{
+	// Clear the folders list.
+	oListManager.Clear() ;
+
+	// Get the parent folder path.
+	var sParentFolderPath ;
+	if ( folderPath != '/' )
+		sParentFolderPath = folderPath.substring( 0, folderPath.lastIndexOf( '/', folderPath.length - 2 ) + 1 ) ;
+
+	// Show/Hide the Up Folder.
+	oListManager.ShowUpFolder( sParentFolderPath ) ;
+	
+	if ( folderPath != '/' )
+	{
+		sActiveFolder = folderPath ;
+		oConnector.CurrentFolder = sParentFolderPath
+		oConnector.SendCommand( 'GetFolders', null, GetFoldersCallBack ) ;
+	}
+	else 
+	{
+		oListManager.ShowUpFolder( '/' ) ;
+		sActiveFolder = folderPath ;
+		oConnector.SendCommand( 'GetFolders', null, GetFoldersCallBack ) ;	
+	}
+		
+}
+
+function GetFoldersCallBack( fckXml )
+{
+	// Get the current folder path.
+	var oNode = fckXml.SelectSingleNode( 'Connector/CurrentFolder' ) ;
+	var sCurrentFolderPath = oNode.attributes.getNamedItem('path').value ;
+	
+	var oNodes = fckXml.SelectNodes( 'Connector/Folders/Folder' ) ;
+	
+	for ( var i = 0 ; i < oNodes.length ; i++ )
+	{
+		var sFolderName = oNodes[i].attributes.getNamedItem('name').value ;
+		oListManager.AddItem( sFolderName, sCurrentFolderPath + sFolderName + "/" ) ;
+	}
+	
+	OpenFolder( sActiveFolder ) ;
+}
+
+function SetResourceType( type )
+{
+	oConnector.ResourceType = type ;
+	LoadFolders( '/' ) ;
+}
+
+window.onload = function()
+{
+	oListManager.Init() ;
+	
+	if ( oConnector.ResourceType.length = 0 )
+		SetResourceType( 'File' ) ;
+	else
+		LoadFolders( '/' ) ;
+}
+		</script>
+	</head>
+	<body class="FileArea" bottomMargin="10" leftMargin="10" topMargin="10" rightMargin="10">
+		<table id="tableFiles" cellSpacing="0" cellPadding="0" width="100%" border="0">
+			<tr id="trUp" style="DISPLAY: none">
+				<td width="16"><a id="linkUpIcon" href="#"><img alt="" src="images/FolderUp.gif" width="16" height="16" border="0"></a></td>
+				<td nowrap width="100%">&nbsp;<a id="linkUp" href="#">..</a></td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmimageeditor.html soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmimageeditor.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmimageeditor.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmimageeditor.html	2005-06-11 10:27:12.000000000 +0900
@@ -0,0 +1,280 @@
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmimageeditor.html
+ * 	This page facilitates the editing of images.
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript" src="js/fckxml.js"></script>
+		<script type="text/javascript" src="js/common.js"></script>
+		<script type="text/javascript" src="js/wz_jsgraphics.js"></script>
+		<script type="text/javascript" src="js/EditorContent.js"></script>
+		<script language="javascript" type="text/javascript">
+<!--
+
+oConnector.CurrentFolder = GetMyUrlParam( 'CurrentFolder' ) ;
+var fileName=GetMyUrlParam( 'FileName' ) ;
+var fileURL=unescape( GetMyUrlParam( 'FileURL' ) );
+
+var cursor_X, cursor_Y;
+var imageEditorLoaded=false;
+
+var bottomFrame1, bottomFrame2, bottomFrame3;
+/*
+var t_cx, t_cy, t_cw, t_ch;
+var m_sx, m_sy, m_w, m_h, m_a, m_d;
+var s_sw, s_sh;
+
+var r_ra;
+var constrained;
+var pattern = "images/2x2.gif";*/
+
+function RenameFile( fileName, fileUrl )
+{
+	var promptMsg='Please enter the new name for ' + fileName + ':';
+	var newName=prompt(promptMsg,fileName);
+	
+	if ((newName!=null)&&(newName!='')&&(newName!=fileName)) {
+		oConnector.SendCommand( 'RenameFile', "FileName=" + escape( fileName ) + "&NewName=" + escape( newName ), RenameFileCallBack ) ;
+	}
+}
+
+function RenameFolder( folderName )
+{
+	var promptMsg='Please enter the new name for ' + folderName + ':';
+	var newName=prompt(promptMsg,folderName);
+	
+	if ((newName!=null)&&(newName!='')&&(newName!=folderName)) {
+		oConnector.SendCommand( 'RenameFolder', "FolderName=" + escape( folderName ) + "&NewName=" + escape ( newName ), RenameFolderCallBack ) ;
+	}
+}
+
+function LoadResources( resourceType, folderPath )
+{
+	oListManager.Clear() ;
+	oConnector.ResourceType = resourceType ;
+	oConnector.CurrentFolder = folderPath
+	oConnector.SendCommand( 'GetFoldersAndFiles', null, GetFoldersAndFilesCallBack ) ;
+}
+
+function Refresh()
+{
+	LoadResources( oConnector.ResourceType, oConnector.CurrentFolder ) ;
+}
+
+function RenameFolderCallBack ( fckXml )
+{
+	var oNodes = fckXml.SelectNodes( 'Connector/Error' );
+	if (oNodes.length>0) {
+		var errNo = parseInt(oNodes[0].attributes.getNamedItem('number').value) ;
+		
+		switch (errNo) {
+			case 0 :
+				break;	
+			
+			case 602 :
+				alert('Failed to rename folder.');
+				break;
+			
+			default:
+				alert('Invalid XML response from connector..');
+		}
+	} else {
+		alert('Invalid XML response from connector.');
+	}
+	Refresh();
+}
+
+
+function drawFramework() 
+{
+	bottomFrame1 = top.frames['frmCreateFolder'].document;
+	bottomFrame2 = top.frames['frmUpload'].document;
+	bottomFrame3 = top.frames['frmFolders'].document;
+	
+	bottomFrame1.body.innerHTML='<table style="border-width: 0px; border-style: none;" align="center" cellpadding="2" id="toolbar1"><table>';
+	bottomFrame2.body.innerHTML='<table style="height: 100%; border-width: 0px; border-style: none;" cellpadding="4"><tr id="toolbar2"></tr><table>';
+	bottomFrame3.body.innerHTML='<table style="border-width: 0px; border-style: none;" align="center" cellpadding="8" id="toolbar3"><table>';
+	
+	var toolbar1 = bottomFrame1.getElementById('toolbar1');
+	var toolbar2 = bottomFrame2.getElementById('toolbar2');
+	var toolbar3 = bottomFrame3.getElementById('toolbar3');
+	
+
+/*#######################*/
+/* START OF MAIN TOOLBAR */
+/*#######################*/
+
+	/* --- Save Image --- */
+	var row = toolbar3.insertRow(-1);
+	var oCell = row.insertCell(-1);
+	oCell.innerHTML = 	'<a href="" title="Save Image">' +
+				'<img src="images/toolbar/save.gif" style="width: 22px; height: 22px;" /><br />' + 
+				'Save' +
+				'</a>';
+	oCell.noWrap = true;
+	oCell.align = 'center';
+		
+	
+	/* --- Close Image --- */
+	var row = toolbar3.insertRow(-1);
+	var oCell = row.insertCell(-1);
+	oCell.innerHTML = 	'<a href="#" title="Close Image" onclick="window.top.location.reload();">' +
+				'<img src="images/toolbar/close.gif" style="width: 22px; height: 22px;" /><br />' + 
+				'Close' +
+				'</a>';
+	oCell.noWrap = true;
+	oCell.align = 'center';
+	
+	
+	/* --- Seperator --- */
+	var row = toolbar3.insertRow(-1);
+	var oCell = row.insertCell(-1);
+	oCell.innerHTML = 	'<hr /><br />';
+				
+	oCell.noWrap = true;
+	oCell.align = 'center';
+	
+	
+	/* --- Resize Image --- */
+	var row = toolbar3.insertRow(-1);
+	var oCell = row.insertCell(-1);
+	oCell.innerHTML = 	'<a href="javascript: top.frames[\'frmResourcesList\'].setMode(\'resize\');" class="tb_item" id="tb_scale" title="Resize Image">' +
+				'<img src="images/toolbar/resize.gif" style="width: 22px; height: 22px;" /><br />' + 
+				'Resize' +
+				'</a>';
+	oCell.noWrap = true;
+	oCell.align = 'center';
+	
+	
+	/* --- Crop Image --- */
+	var row = toolbar3.insertRow(-1);
+	var oCell = row.insertCell(-1);
+	oCell.innerHTML = 	'<a href="javascript: top.frames[\'frmResourcesList\'].setMode(\'crop\');" class="tb_item" id="tb_crop" title="Crop Image">' +
+				'<img src="images/toolbar/crop.gif" style="width: 22px; height: 22px;" /><br />' + 
+				'Crop' +
+				'</a>';
+	oCell.noWrap = true;
+	oCell.align = 'center';
+	
+	
+	/* --- Rotate Image --- */
+	var row = toolbar3.insertRow(-1);
+	var oCell = row.insertCell(-1);
+	oCell.innerHTML = 	'<a href="javascript: top.frames[\'frmResourcesList\'].setMode(\'rotate\');" class="tb_item" id="tb_rotate" title="Rotate Image">' +
+				'<img src="images/toolbar/rotate.gif" style="width: 22px; height: 22px;" /><br />' + 
+				'Rotate' +
+				'</a>';
+	oCell.noWrap = true;
+	oCell.align = 'center';
+	
+	
+	/* --- Flip Image --- */
+	var row = toolbar3.insertRow(-1);
+	var oCell = row.insertCell(-1);
+	oCell.innerHTML = 	'<a href="javascript: top.frames[\'frmResourcesList\'].setMode(\'flip\');" class="tb_item" id="tb_flip" title="Flip Image">' +
+				'<img src="images/toolbar/flip.gif" style="width: 22px; height: 22px;" /><br />' + 
+				'Flip' +
+				'</a>';
+	oCell.noWrap = true;
+	oCell.align = 'center';
+	
+	
+
+/*###################*/
+/* START OF INFO BAR */
+/*###################*/
+	/* --- X Position --- */
+	var row = toolbar1.insertRow(-1);
+	var oCell = row.insertCell(-1);
+	oCell.innerHTML = '<div style="display: inline;">X: <div style="display: inline;" id="cursor_x">0</div>px</div>';
+	oCell.noWrap = true;
+	oCell.align = 'center';
+	cursor_X=bottomFrame1.getElementById('cursor_x');
+	
+	/* --- Y Posision --- */
+	var row = toolbar1.insertRow(-1);
+	var oCell = row.insertCell(-1);
+	oCell.innerHTML = '<div style="display: inline;">Y: <div style="display: inline;" id="cursor_y">0</div>px</div>';
+	oCell.noWrap = true;
+	oCell.align = 'center';
+	cursor_Y=bottomFrame1.getElementById('cursor_y');
+
+	
+/*#####################*/
+/* START OF MANUAL BAR */
+/*#####################*/
+
+	/* --- X Position --- */
+	//var row = toolbar2.insertRow(-1);
+	var oCell = toolbar2.insertCell(-1);
+	oCell.innerHTML = '<input type="text" id="cx" />' + 
+	'<input type="text" id="cy" />';
+	
+	oCell.noWrap = true;
+	oCell.align = 'center';
+	cursor_X=bottomFrame1.getElementById('cursor_x');
+
+
+}
+
+window.onload = function()
+{
+	drawFramework();
+	document.getElementById('theImage').src=fileURL;
+	
+	jg_doc = new jsGraphics("imgCanvas"); // draw directly into document
+	jg_doc.setColor("#000000"); // black
+	
+// 	top.frames['frmResourcesList'].setMode('scale');
+	imageEditorLoaded=true;
+// 	top.frames['frmResourcesList'].setMode('scale');
+}
+
+function updateXY(eventObject)
+{
+	if (imageEditorLoaded) {
+		cursor_X.innerHTML = eventObject.pageX;
+		cursor_Y.innerHTML = eventObject.pageY;
+	}
+}
+
+//-->
+
+		</script>
+		<style type="text/css">
+			body { margin: 0; padding: 0;  background-color: #eee; }
+			table { width: 100%; }
+			table td { text-align: center; }
+			.crop{cursor:crosshair;}
+			.selection { border: dotted 1px #000000; position:absolute; width: 0px; height: 1px; z-index:5; }
+			.selectionWhite{ border: dotted 1px #FFFFFF; position:absolute; width: 0px; height: 1px; z-index:5; }
+			.handleBox{ z-index:105; }
+			.error { font-size:large; font-weight:bold; color:#c00; font-family: Helvetica, sans-serif; } 
+		</style>
+	</head>
+	<body class="FileArea" bottomMargin="10" leftMargin="10" topMargin="10" rightMargin="10">
+		<div id="status"></div>
+		<div id="ant" class="selection" style="visibility:hidden"><img src="img/spacer.gif" width="0" height="0" border="0" alt="" id="cropContent"></div>
+		<br /><table style="margin-left: auto; margin-right: auto;">
+			<tr>
+				<td>
+					<span id="imgCanvas" class="crop"><img src="" alt="" id="theImage" name="theImage"></span>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmresourceslist.html soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmresourceslist.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmresourceslist.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmresourceslist.html	2005-06-11 10:27:12.000000000 +0900
@@ -0,0 +1,382 @@
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmresourceslist.html
+ * 	This page shows all resources available in a folder in the File Browser.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ * 		Grant French (grant@mcpuk.net)
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript" src="js/fckxml.js"></script>
+		<script type="text/javascript" src="js/common.js"></script>
+		<script language="javascript">
+
+var oListManager = new Object() ;
+
+oListManager.Init = function()
+{
+	this.Table = document.getElementById('tableFiles') ;
+}
+
+oListManager.Clear = function()
+{
+	// Remove all other rows available.
+	while ( this.Table.rows.length > 0 )
+		this.Table.deleteRow(0) ;
+}
+
+oListManager.AddFolder = function( folderName, folderPath )
+{
+	var docWidth=document.body.clientWidth;
+	if (docWidth==null) docWidth=document.body.scrollWidth;
+	var maxCols=docWidth/120;
+	maxCols--;
+	
+	var rows=this.Table.getElementsByTagName('tr');
+	
+	
+	if (rows.length!=0) {
+		var lastRow = rows[(rows.length-1)];
+		var cells = lastRow.getElementsByTagName('td');
+		var lastRow_Cols = cells.length;
+		
+		if (lastRow_Cols>=maxCols) {
+			lastRow = this.Table.insertRow(-1);
+			lastRow.className="Frame_tb";
+		}
+	} else {
+		var lastRow = this.Table.insertRow(-1);
+		lastRow.className="Frame_tb";
+	}
+	
+	// Build the link to view the folder.
+	var sLink = '<a href="#" onclick="OpenFolder(\'' + escape(folderPath) + '\');return false;">' ;
+	var dLink = '<a href="#" onclick="DeleteFolder(\'' + escape(folderName) + '\');return false;">' ;
+	var rLink = '<a href="#" onclick="RenameFolder(\'' + escape(folderName) + '\');return false;">' ;
+	
+	// Add the file icon cell.
+	var oCell = lastRow.insertCell(-1) ;
+	oCell.vAlign="top";
+	oCell.width = 96 ;
+	oCell.innerHTML = sLink + '<img alt="' + folderName + '" src="images/Folder96.jpg" width="96" height="96" border="0"><br />' + folderName + '</a><br />';
+	oCell.innerHTML += dLink + '<img border="0" src="images/delete.gif" width="16" height="16" alt="Delete Folder" title="Delete Folder"></a>&nbsp;';
+	oCell.innerHTML += rLink + '<img border="0" src="images/edit.gif" width="16" height="16" alt="Rename Folder" title="Rename Folder"></a>' ;
+	oCell.noWrap = true ;
+	oCell.align = 'center' ;
+	
+}
+
+oListManager.AddFile = function ( fileName, fileUrl, fileSize, imageEditable )
+{
+	var docWidth=document.body.clientWidth;
+	if (docWidth==null) docWidth=document.body.scrollWidth;
+	var maxCols=docWidth/120;
+	maxCols--;
+	
+	var rows=this.Table.getElementsByTagName('tr');
+	
+	
+	if (rows.length!=0) {
+		var lastRow = rows[(rows.length-1)];
+		var cells = lastRow.getElementsByTagName('td');
+		var lastRow_Cols = cells.length;
+		
+		if (lastRow_Cols>=maxCols) {
+			var lastRow = this.Table.insertRow(-1);
+			lastRow.className="Frame_tb";
+		}
+	} else {
+		var lastRow = this.Table.insertRow(-1);
+		lastRow.className="Frame_tb";
+	}
+	
+	// Build the link to view the file.
+	var sLink = '<a href="#" title="Size: ' + fileSize + 'kb" onclick="OpenFile(\'' + escape(fileUrl) + '\');return false;">' ;
+	var dLink = '<a href="#" title="Delete file" onclick="DeleteFile(\'' + escape(fileName) + '\');return false;">' ;
+	var eLink = '<a href="#" title="Rename file" onclick="RenameFile(\'' + escape(fileName) + '\');return false;">' ;
+	var eImageLink = '<a href="#" title="Edit Image" onclick="EditImage(\'' + escape(fileName) + '\',\'' + escape(fileUrl) + '\');return false;">' ;
+	
+	// Add the file icon cell.
+	var oCell = lastRow.insertCell(-1) ;
+	oCell.vAlign="top";
+	oCell.width = 96 ;
+	
+	oCell.innerHTML = sLink + 
+		'<img alt="' + fileName + '" src="' + 
+					oConnector.ConnectorUrl + 
+					'?Command=Thumbnail&Type=' + 
+					oConnector.ResourceType + 
+					'&CurrentFolder=' + 
+					oConnector.CurrentFolder + 
+					'&FileName=' + escape(fileName) + 
+					'&ExtraParams=' + oConnector.ExtraParams +
+					'" width="96" height="96" border="0"><br />' + 
+		fileName + '</a><br />';
+	oCell.innerHTML += dLink + '<img border="0" src="images/delete.gif" width="16" height="16" alt="Delete File" title="Delete File"></a>&nbsp;';
+	oCell.innerHTML += eLink + '<img border="0" src="images/edit.gif" width="16" height="16" alt="Edit/Rename File" title="Rename File"></a>' ;
+	if (imageEditable==1) { 
+		oCell.innerHTML += eImageLink + '<img border="0" src="images/editImage.gif" width="16" height="16" alt="Edit Image" title="Edit Image"></a>' ;
+	}
+		
+	oCell.noWrap = true ;
+	oCell.align = 'center' ;
+	
+}
+
+oListManager.PackRow = function ()
+{
+	var docWidth=document.body.clientWidth;
+	if (docWidth==null) docWidth=document.body.scrollWidth;
+	var maxCols=docWidth/120;
+	maxCols--;
+	
+	var rows=this.Table.getElementsByTagName('tr');
+	
+	
+	if (rows.length!=0) {
+		var lastRow = rows[(rows.length-1)];
+		var cells = lastRow.getElementsByTagName('td');
+		var lastRow_Cols = cells.length;
+		
+		if (lastRow_Cols<maxCols) {
+			for (i=lastRow_Cols;i<maxCols;i++) {
+				var oCell = lastRow.insertCell(-1);
+				oCell.width=96;
+				oCell.innerHTML = '&nbsp;';
+				oCell.noWrap=true;
+				oCell.align='center';
+			}
+		}
+	}
+	
+}
+
+function OpenFolder( folderPath )
+{
+	// Load the resources list for this folder.
+	window.parent.frames['frmFolders'].LoadFolders( folderPath ) ;
+}
+
+function OpenFile( fileUrl )
+{
+	fileUrl=unescape(fileUrl);
+	window.top.opener.SetUrl( fileUrl ) ;
+	window.top.close() ;
+	window.top.opener.focus() ;
+}
+
+function DeleteFile( fileName, fileUrl )
+{
+	if (confirm('Are you sure you wish to delete ' + unescape(fileName) + '?')) {
+		oConnector.SendCommand( 'DeleteFile', "FileName=" + fileName, DeleteFileCallBack ) ;
+	}
+}
+
+function DeleteFolder( folderName )
+{
+	if (confirm('Are you sure you wish to delete ' + unescape(folderName) + ' and all files in it?')) {
+		oConnector.SendCommand( 'DeleteFolder', "FolderName=" + folderName, DeleteFolderCallBack ) ;
+	}
+}
+
+function RenameFile( fileName, fileUrl )
+{
+	var promptMsg='Please enter the new name for ' + unescape(fileName) + ':';
+	var newName=prompt(promptMsg,unescape(fileName));
+	
+	if ((newName!=null)&&(newName!='')&&(newName!=fileName)) {
+		oConnector.SendCommand( 'RenameFile', "FileName=" + fileName + "&NewName=" + escape( newName ), RenameFileCallBack ) ;
+	}
+}
+
+function EditImage( fileName, fileUrl )
+{
+
+	window.location.href="frmimageeditor.html?Connector=" + oConnector.ConnectorUrl + 
+				"&Type=" + oConnector.ResourceType + 
+				"&CurrentFolder=" + oConnector.CurrentFolder + 
+				"&FileName=" + fileName + 
+				"&FileURL=" + fileUrl;
+				
+}
+
+function RenameFolder( folderName )
+{
+	var promptMsg='Please enter the new name for ' + unescape(folderName) + ':';
+	var newName=prompt(promptMsg,unescape(folderName));
+	
+	if ((newName!=null)&&(newName!='')&&(newName!=unescape(folderName))) {
+		oConnector.SendCommand( 'RenameFolder', "FolderName=" + folderName + "&NewName=" + escape ( newName ), RenameFolderCallBack ) ;
+	}
+}
+
+function LoadResources( resourceType, folderPath )
+{
+	oListManager.Clear() ;
+	oConnector.ResourceType = resourceType ;
+	oConnector.CurrentFolder = folderPath
+	oConnector.SendCommand( 'GetFoldersAndFiles', null, GetFoldersAndFilesCallBack ) ;
+}
+
+function Refresh()
+{
+	LoadResources( oConnector.ResourceType, oConnector.CurrentFolder ) ;
+}
+
+function GetFoldersAndFilesCallBack( fckXml )
+{
+	// Get the current folder path.
+	var oNode = fckXml.SelectSingleNode( 'Connector/CurrentFolder' ) ;
+	var sCurrentFolderPath	= oNode.attributes.getNamedItem('path').value ;
+	var sCurrentFolderUrl	= oNode.attributes.getNamedItem('url').value ;
+
+	// Add the Folders.	
+	var oNodes = fckXml.SelectNodes( 'Connector/Folders/Folder' ) ;
+	
+	if (oNodes!=null) {
+		for ( var i = 0 ; i < oNodes.length ; i++ )
+		{
+			var sFolderName = oNodes[i].attributes.getNamedItem('name').value ;
+			oListManager.AddFolder( sFolderName, sCurrentFolderPath + sFolderName + "/" ) ;
+		}
+	}
+	
+	// Add the Files.	
+	var oNodes = fckXml.SelectNodes( 'Connector/Files/File' ) ;
+	if (oNodes!=null) {
+		for ( var i = 0 ; i < oNodes.length ; i++ )
+		{
+			var sFileName = oNodes[i].attributes.getNamedItem('name').value ;
+			var sFileSize = oNodes[i].attributes.getNamedItem('size').value ;
+			var iEditable = oNodes[i].attributes.getNamedItem('editable') ;
+			if (iEditable!=null) {
+				iEditable = iEditable.value;	
+			} else {
+				iEditable = 0;
+			}
+			
+			oListManager.AddFile( sFileName, sCurrentFolderUrl + sFileName, sFileSize, iEditable ) ;
+		}
+	}
+	
+	oListManager.PackRow();
+}
+
+function DeleteFileCallBack ( fckXml )
+{
+	var oNodes = fckXml.SelectNodes( 'Connector/Error' );
+	if (oNodes!=null && oNodes.length>0) {
+		var errNo = parseInt(oNodes[0].attributes.getNamedItem('number').value) ;
+		
+		switch (errNo) {
+			case 0 :
+				break;	
+			
+			case 302 :
+				alert('Failed to delete file.');
+				break;
+			
+			default:
+				alert('DFi: Invalid XML response from connector..');
+		}
+	} else {
+		alert('DFi: Invalid XML response from connector.');
+	}
+	Refresh();
+}
+
+
+function DeleteFolderCallBack ( fckXml )
+{
+	var oNodes = fckXml.SelectNodes( 'Connector/Error' );
+	if (oNodes!=null && oNodes.length>0) {
+		var errNo = parseInt(oNodes[0].attributes.getNamedItem('number').value) ;
+		
+		switch (errNo) {
+			case 0 :
+				break;	
+			
+			case 402 :
+				alert('Failed to delete folder.');
+				break;
+			
+			default:
+				alert('DFo: Invalid XML response from connector..');
+		}
+	} else {
+		alert('DFo: Invalid XML response from connector.');
+	}
+	Refresh();
+}
+
+function RenameFileCallBack ( fckXml )
+{
+	var oNodes = fckXml.SelectNodes( 'Connector/Error' );
+	if (oNodes!=null && oNodes.length>0) {
+		var errNo = parseInt(oNodes[0].attributes.getNamedItem('number').value) ;
+		
+		switch (errNo) {
+			case 0 :
+				break;	
+			
+			case 502 :
+				alert('Failed to rename file.');
+				break;
+			
+			default:
+				alert('RFi: Invalid XML response from connector..');
+		}
+	} else {
+		alert('RFi: Invalid XML response from connector.');
+	}
+	Refresh();
+}
+
+
+function RenameFolderCallBack ( fckXml )
+{
+	var oNodes = fckXml.SelectNodes( 'Connector/Error' );
+	if (oNodes!=null && oNodes.length>0) {
+		var errNo = parseInt(oNodes[0].attributes.getNamedItem('number').value) ;
+		
+		switch (errNo) {
+			case 0 :
+				break;	
+			
+			case 602 :
+				alert('Failed to rename folder.');
+				break;
+			
+			default:
+				alert('RFo: Invalid XML response from connector..');
+		}
+	} else {
+		alert('RFo: Invalid XML response from connector.');
+	}
+	Refresh();
+}
+
+window.onload = function()
+{
+	oListManager.Init() ;
+	window.top.IsLoadedResourcesList = true ;
+}
+		</script>
+	</head>
+	<body class="FileArea" bottomMargin="10" leftMargin="10" topMargin="10" rightMargin="10">
+		<table id="tableFiles" cellSpacing="4" cellPadding="5" width="100%" border="0">
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmresourcetype.html soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmresourcetype.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmresourcetype.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmresourcetype.html	2005-06-11 10:27:12.000000000 +0900
@@ -0,0 +1,64 @@
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmresourcetype.html
+ * 	This page shows the list of available resource types.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
+		<link href="browser.css" type="text/css" rel="stylesheet">
+		<script type="text/javascript" src="js/common.js"></script>
+		<script language="javascript">
+
+function SetResourceType( type )
+{
+	window.parent.frames["frmFolders"].SetResourceType( type ) ;
+}
+
+var aTypes = [
+	['File','File'],
+	['Image','Image'],
+	['Flash','Flash'],
+	['Media','Media']
+] ;
+
+window.onload = function()
+{
+   var bHasType = ( oConnector.ResourceType.length > 0 ) ;
+   cmbTypeObj=document.getElementById("cmbType");
+   for ( var i = 0 ; i < aTypes.length ; i++ )
+   {
+       if ( !bHasType || aTypes[i][0] ==
+oConnector.ResourceType )
+           AddSelectOption( cmbTypeObj, aTypes[i][1],
+aTypes[i][0] ) ;
+   }
+} 
+
+		</script>
+	</head>
+	<body bottomMargin="0" topMargin="0">
+		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+			<tr>
+				<td nowrap>
+					Resource Type<BR>
+					<select id="cmbType" style="WIDTH: 100%" onchange="SetResourceType(this.value);">
+					</select>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmupload.html soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmupload.html
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/frmupload.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/frmupload.html	2005-06-11 10:27:12.000000000 +0900
@@ -0,0 +1,231 @@
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: frmupload.html
+ * 	Page used to upload new files in the current folder.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ * 		Grant French (grant@mcpuk.net)
+-->
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<html>
+	<head>
+		<link href="browser.css" type="text/css" rel="stylesheet" />
+		<script type="text/javascript" src="js/fckxml.js"></script>
+		<script type="text/javascript" src="js/common.js"></script>
+		<script language="javascript">
+
+var randomnumber=Math.floor(Math.random()*65535);
+var refreshURL='';
+var uploading=false;
+
+function SetCurrentFolder( resourceType, folderPath )
+{
+	var sUrl = oConnector.UploadHandler +'?uploadID='+randomnumber+'&Connector='+escape(oConnector.ConnectorUrl)+'&Command=FileUpload' ;
+	sUrl += '&Type=' + resourceType ;
+	sUrl += '&CurrentFolder=' + folderPath ;
+	sUrl += '&ExtraParams=' + oConnector.ExtraParams ;
+	document.getElementById('frmUpload').action = sUrl ;
+	
+	oConnector.ResourceType = resourceType ;
+	oConnector.CurrentFolder = folderPath ;
+}
+
+function OnSubmit()
+{
+	if ( document.getElementById('NewFile').value.length == 0 )
+	{
+		alert( 'Please select a file from your computer' ) ;
+		return false ;
+	}
+
+	// Set the interface elements.
+	document.getElementById('eUploadMessage').innerHTML = 'Upload a new file in this folder (Upload in progress, please wait... 0%)' ;
+	document.getElementById('filebox').style.display="none";
+	resetProgressBar();
+	document.getElementById('progressbox').style.display="inline";
+	document.getElementById('btnUpload').disabled = true ;
+	
+	uploading=true;
+	setTimeout("GetUploadProgress()",2000);
+	
+	return true ;
+}
+
+function OnUploadCompleted( errorNumber, fileName )
+{
+	uploading=false;
+	
+	// Reset the Upload Worker Frame.
+	window.parent.frames['frmUploadWorker'].location = '' ;
+	
+	// Reset the upload form.
+	//Sometimes causes IE to get itself in a mess (wont allow second upload)
+	//document.getElementById('NewFile').reset() ;
+	
+	// Reset the interface elements.
+	document.getElementById('eUploadMessage').innerHTML = 'Upload a new file in this folder' ;
+	document.getElementById('btnUpload').disabled = false ;
+	
+	var randomnumber=Math.floor(Math.random()*65535);
+	SetCurrentFolder(oConnector.ResourceType,oConnector.CurrentFolder);
+	
+	switch ( errorNumber )
+	{
+		case 0 :
+			window.parent.frames['frmResourcesList'].Refresh() ;
+			document.getElementById('filebox').style.display="inline";
+			document.getElementById('progressbox').style.display="none";
+			break ;
+		case 201 :
+			window.parent.frames['frmResourcesList'].Refresh() ;
+			document.getElementById('filebox').style.display="inline";
+			document.getElementById('progressbox').style.display="none";
+			alert( 'A file with the same name is already available. The uploaded file has been renamed to "' + fileName + '"' ) ;
+			break ;
+		case 202 :
+			document.getElementById('filebox').style.display="inline";
+			document.getElementById('progressbox').style.display="none";
+			alert( 'Error, "'+fileName+'"' ) ;
+			break ;
+		default :
+			document.getElementById('filebox').style.display="inline";
+			document.getElementById('progressbox').style.display="none";
+			alert( 'Error on file upload. Error number: ' + errorNumber ) ;
+			break ;
+	}
+}
+
+function resetProgressBar() {
+	oProgressBar=document.getElementById('progress');
+	var rows=oProgressBar.getElementsByTagName('tr');
+	var row=rows[0];
+	var cols=row.getElementsByTagName('td');
+//	var label=document.getElementById("progress_label");
+	
+//	label.innerHTML="0%"
+	for (i=0;i<(cols.length-1);i++) {
+		cols[i].className="progress_hollow";	
+	}
+}
+
+warned=false;
+function GetUploadProgressCallback( fckXml ) {
+	// Get the current folder path.
+	
+	if (!uploading) return false;
+	
+	var oNode = fckXml.SelectSingleNode( 'Connector/CurrentFolder' ) ;
+	if (oNode==null) { if(!warned) { alert("Invalid XML response from connector."); warned=true; } return false; }
+	if ((oNode.attributes.getNamedItem('path')==null)||(oNode.attributes.getNamedItem('url')==null)) {
+		if(!warned) { alert("Invalid XML response from connector."); warned=true; }
+		return;
+	}
+	
+	var sCurrentFolderPath	= oNode.attributes.getNamedItem('path').value ;
+	var sCurrentFolderUrl	= oNode.attributes.getNamedItem('url').value ;
+
+	// Add the Folders.	
+	var oNode = fckXml.SelectSingleNode( 'Connector/Progress' ) ;
+	if (oNode==null) { if(!warned) { alert("Invalid XML response from connector."); warned=true; } return false; }
+	if ((oNode.attributes.getNamedItem('max')==null)||(oNode.attributes.getNamedItem('value')==null)) {
+		if(!warned) { alert("Invalid XML response from connector."); warned=true; }
+		return;
+	}
+	
+	var iMax	= oNode.attributes.getNamedItem('max').value ;
+	var iValue	= oNode.attributes.getNamedItem('value').value ;
+	
+	var oNode = fckXml.SelectSingleNode( 'Connector/RefreshURL' ) ;
+	if (oNode==null) { if(!warned) { alert("Invalid XML response from connector."); warned=true; } return false; }
+	if ((oNode.attributes.getNamedItem('url')==null)) {
+		if(!warned) { alert("Invalid XML response from connector."); warned=true; }
+		return;
+	}
+	refreshURL	= oNode.attributes.getNamedItem('url').value ;
+	
+	var oProgressBar=document.getElementById('progress');
+	//var label=document.getElementById("progress_label");
+	var rows=oProgressBar.getElementsByTagName('tr');
+	var row=rows[0];
+	var cols=row.getElementsByTagName('td');
+	var percentage=Math.floor((iValue/iMax)*100);
+	document.getElementById('eUploadMessage').innerHTML = 'Upload a new file in this folder (Upload in progress, please wait.. ' + percentage + '% )' ;
+	
+	//label.innerHTML=percentage+"%"
+	for (i=0;i<(cols.length-1);i++) {
+		if (((i+1)*(100/cols.length))<=percentage) {
+			cols[i].className="progress_filled";	
+		} else {
+			cols[i].className="progress_hollow";
+		}
+	}
+	
+	if (uploading) getProgressTimer=setTimeout("GetUploadProgress()",1000);
+}
+
+function GetUploadProgress() {
+	if (uploading) oConnector.SendCommand( 'GetUploadProgress', 'uploadID='+randomnumber+'&refreshURL='+escape(refreshURL), GetUploadProgressCallback ) ;
+}
+
+window.onload = function()
+{
+	window.top.IsLoadedUpload = true ;
+}
+		</script>
+	</head>
+	<body bottomMargin="0" topMargin="0">
+		<form id="frmUpload" action="" target="frmUploadWorker" method="post" enctype="multipart/form-data" onsubmit="return OnSubmit();">
+			<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+				<tr>
+					<td nowrap>
+						<span id="eUploadMessage">Upload a new file in this folder</span><br>
+						<table cellSpacing="0" cellPadding="0" width="100%" border="0">
+							<tr>
+								<td width="100%">
+									<div id="filebox"><input id="NewFile" name="NewFile" style="width: 100%; background-color: transparent;" type="file"></div>
+									<div id="progressbox" style="display: none">
+										<table id="progress" style="width: 100%" class="progress_bar">
+											<tr>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+												<td class="progress_hollow">&nbsp;</td>
+											</tr>
+										</table>
+										<!--<div id="progress_label"></div>-->
+									</div>
+								</td>
+								<td nowrap>&nbsp;<input id="btnUpload" type="submit" value="Upload"></td>
+							</tr>
+						</table>
+					</td>
+				</tr>
+			</table>
+		</form>
+	</body>
+</html>
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/2x2.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/2x2.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/2x2_w.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/2x2_w.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/ButtonArrow.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/ButtonArrow.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/Folder.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/Folder.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/Folder32.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/Folder32.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/Folder96.jpg and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/Folder96.jpg differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/FolderOpened.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/FolderOpened.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/FolderOpened32.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/FolderOpened32.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/FolderUp.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/FolderUp.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/close.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/close.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/delete.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/delete.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/edit.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/edit.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/editImage.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/editImage.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/ai.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/ai.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/avi.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/avi.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/bmp.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/bmp.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/cs.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/cs.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/default.icon.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/default.icon.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/dll.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/dll.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/doc.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/doc.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/exe.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/exe.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/fla.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/fla.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/gif.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/gif.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/htm.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/htm.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/html.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/html.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/jpg.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/jpg.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/js.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/js.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/mdb.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/mdb.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/mp3.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/mp3.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/pdf.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/pdf.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/ppt.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/ppt.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/rdp.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/rdp.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/swf.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/swf.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/swt.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/swt.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/txt.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/txt.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/vsd.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/vsd.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/xls.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/xls.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/xml.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/xml.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/zip.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/32/zip.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/ai.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/ai.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/avi.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/avi.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/bmp.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/bmp.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/cs.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/cs.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/default.icon.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/default.icon.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/dll.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/dll.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/doc.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/doc.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/exe.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/exe.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/fla.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/fla.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/gif.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/gif.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/htm.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/htm.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/html.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/html.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/jpg.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/jpg.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/js.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/js.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/mdb.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/mdb.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/mp3.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/mp3.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/pdf.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/pdf.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/ppt.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/ppt.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/rdp.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/rdp.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/swf.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/swf.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/swt.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/swt.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/txt.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/txt.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/vsd.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/vsd.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/xls.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/xls.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/xml.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/xml.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/zip.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/icons/zip.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/spacer.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/spacer.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/close.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/close.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/crop.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/crop.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/flip.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/flip.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/resize.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/resize.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/rotate.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/rotate.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/save.gif and soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/images/toolbar/save.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/js/EditorContent.js soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/js/EditorContent.js
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/js/EditorContent.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/js/EditorContent.js	2005-06-11 10:27:25.000000000 +0900
@@ -0,0 +1,30 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: EditorContent.js
+ * 	(!)
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+var mode='resize';
+
+function setMode(newMode) {
+	if (newMode=="resize" || newMode=="crop" || newMode=="rotate" || newMode=="flip") {
+		mode=newMode;
+		alert("New Mode :: "+mode);
+	} else {
+		alert("Image Editor :: Invalid mode selected.");
+	}
+}
+
+function mouseMove(e) {
+
+}
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/js/common.js soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/js/common.js
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/js/common.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/js/common.js	2005-06-11 10:27:25.000000000 +0900
@@ -0,0 +1,99 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: common.js
+ * 	Common objects and functions shared by all pages that compose the
+ * 	File Browser dialog window.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+function AddSelectOption( selectElement, optionText, optionValue )
+{
+	var oOption = document.createElement("OPTION") ;
+
+	oOption.text	= optionText ;
+	oOption.value	= optionValue ;	
+
+	selectElement.options.add(oOption) ;
+
+	return oOption ;
+}
+
+function GetUrlParam( paramName )
+{
+	var oRegex = new RegExp( '[\?&]' + paramName + '=([^&]+)', 'i' ) ;
+	var oMatch = oRegex.exec( unescape(window.top.location.search) ) ;
+	
+	if ( oMatch && oMatch.length > 1 )
+		return oMatch[1] ;
+	else
+		return '' ;
+}
+
+function GetMyUrlParam( paramName )
+{
+	var oRegex = new RegExp( '[\?&]' + paramName + '=([^&]+)', 'i' ) ;
+	var oMatch = oRegex.exec( window.location.search ) ;
+	
+	if ( oMatch && oMatch.length > 1 )
+		return oMatch[1] ;
+	else
+		return '' ;
+}
+
+var oConnector = new Object() ;
+oConnector.CurrentFolder	= '/' ;
+oConnector.UploadHandler	= GetUrlParam( 'UploadHandler' );
+oConnector.ConnectorUrl		= GetUrlParam( 'Connector' ) ;
+oConnector.ResourceType		= GetUrlParam( 'Type' ) ;
+oConnector.ExtraParams		= GetUrlParam( 'ExtraParams' ) ;
+
+if ((oConnector.UploadHandler=='')||(oConnector.UploadHandler=='undefined')) oConnector.UploadHandler=oConnector.ConnectorUrl;
+
+
+oConnector.SendCommand = function( command, params, callBackFunction )
+{
+	var sUrl = this.ConnectorUrl + '?Command=' + command ;
+	sUrl += '&Type=' + this.ResourceType ;
+	sUrl += '&ExtraParams=' + this.ExtraParams ;
+	sUrl += '&CurrentFolder=' + escape( this.CurrentFolder ) ;
+	
+	if ( params ) sUrl += '&' + params ;
+
+	var oXML = new FCKXml() ;
+	
+	if ( callBackFunction )
+		oXML.LoadUrl( sUrl, callBackFunction ) ;	// Asynchronous load.
+	else
+		return oXML.LoadUrl( sUrl ) ;
+}
+
+var oIcons = new Object() ;
+
+oIcons.AvailableIconsArray = [ 
+	'ai','avi','bmp','cs','dll','doc','exe','fla','gif','htm','html','jpg','js',
+	'mdb','mp3','pdf','ppt','rdp','swf','swt','txt','vsd','xls','xml','zip' ] ;
+	
+oIcons.AvailableIcons = new Object() ;
+
+for ( var i = 0 ; i < oIcons.AvailableIconsArray.length ; i++ )
+	oIcons.AvailableIcons[ oIcons.AvailableIconsArray[i] ] = true ;
+
+oIcons.GetIcon = function( fileName )
+{
+	var sExtension = fileName.substr( fileName.lastIndexOf('.') + 1 ).toLowerCase() ;
+
+	if ( this.AvailableIcons[ sExtension ] == true )
+		return sExtension ;
+	else
+		return 'default.icon' ;
+}
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/js/fckxml.js soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/js/fckxml.js
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/js/fckxml.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/js/fckxml.js	2005-06-11 10:27:25.000000000 +0900
@@ -0,0 +1,116 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fckxml.js
+ * 	Defines the FCKXml object that is used for XML data calls
+ * 	and XML processing.
+ * 	This script is shared by almost all pages that compose the 
+ * 	File Browser frameset.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+var FCKXml = function()
+{}
+
+function escapeHTML(text) {
+text=text.replace('\n','');
+text=text.replace('&','&amp;');
+text=text.replace('<','&lt;');
+text=text.replace('>','&gt;');
+return text;
+}
+
+FCKXml.prototype.GetHttpRequest = function()
+{
+	if ( window.XMLHttpRequest )		// Gecko
+		return new XMLHttpRequest() ;
+	else if ( window.ActiveXObject )	// IE
+		return new ActiveXObject("MsXml2.XmlHttp") ;
+}
+
+FCKXml.prototype.LoadUrl = function( urlToCall, asyncFunctionPointer )
+{
+	var oFCKXml = this ;
+
+	var bAsync = ( typeof(asyncFunctionPointer) == 'function' ) ;
+
+	var oXmlHttp = this.GetHttpRequest() ;
+	oXmlHttp.open( "GET", urlToCall, bAsync ) ;
+	
+	if ( bAsync )
+	{	
+		oXmlHttp.onreadystatechange = function() 
+		{
+			if ( oXmlHttp.readyState == 4 )
+			{
+				/*
+				dbgWin=window.open('','dbgWin','width=700,height=400');
+				txt=dbgWin.document.getElementById('txtXML');
+				
+				if (txt==null) {
+					dbgWin.document.write("<textarea style=\"width: 100%; height: 100%\" id=\"txtXML\"></textarea>");
+					txt=dbgWin.document.getElementById('txtXML');
+				}
+				
+				txt.value=new String("-----------------------------------------\n" + oXmlHttp.responseText);
+				*/
+				
+				oFCKXml.DOMDocument = oXmlHttp.responseXML ;
+				asyncFunctionPointer( oFCKXml ) ;
+			}
+		}
+	}
+	
+	oXmlHttp.send( null ) ;
+	
+	if ( ! bAsync )
+		this.DOMDocument = oXmlHttp.responseXML ;
+}
+
+FCKXml.prototype.SelectNodes = function( xpath )
+{
+	if ( document.all )		// IE
+		return this.DOMDocument.selectNodes( xpath ) ;
+	else					// Gecko
+	{
+		var aNodeArray = new Array();
+
+		var xPathResult = this.DOMDocument.evaluate( xpath, this.DOMDocument, 
+				this.DOMDocument.createNSResolver(this.DOMDocument.documentElement), XPathResult.ORDERED_NODE_ITERATOR_TYPE, null) ;
+		if ( xPathResult ) 
+		{
+			var oNode = xPathResult.iterateNext() ;
+ 			while( oNode )
+ 			{
+ 				aNodeArray[aNodeArray.length] = oNode ;
+ 				oNode = xPathResult.iterateNext();
+ 			}
+		} 
+		return aNodeArray ;
+	}
+}
+
+FCKXml.prototype.SelectSingleNode = function( xpath ) 
+{
+	if ( document.all )		// IE
+		return this.DOMDocument.selectSingleNode( xpath ) ;
+	else					// Gecko
+	{
+		var xPathResult = this.DOMDocument.evaluate( xpath, this.DOMDocument,
+				this.DOMDocument.createNSResolver(this.DOMDocument.documentElement), 9, null);
+
+		if ( xPathResult && xPathResult.singleNodeValue )
+			return xPathResult.singleNodeValue ;
+		else	
+			return null ;
+	}
+}
diff -urN soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/js/wz_jsgraphics.js soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/js/wz_jsgraphics.js
--- soojung-0.4.8/libs/fckeditor/editor/filemanager/browser/mcpuk/js/wz_jsgraphics.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/filemanager/browser/mcpuk/js/wz_jsgraphics.js	2005-06-11 10:27:25.000000000 +0900
@@ -0,0 +1,929 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: wz_jsgraphics.js
+ * 	Javascript Graphics.
+ * 
+ * File Authors:
+ * 		Grant French (grant@mcpuk.net)
+ */
+/***********************************************************************
+** Title.........:  Javascript Graphics
+** Version.......:  1.0
+** Author........:  Xiang Wei ZHUO <wei@zhuo.org>
+** Filename......:  wz_jsgraphics.js
+** Last changed..:  31 Aug 2003  
+** Notes.........:  Modified for Image Editor, added extra commands
+**/ 
+
+/* This notice must be untouched at all times.
+
+wz_jsgraphics.js    v. 2.03
+The latest version is available at
+http://www.walterzorn.com
+or http://www.devira.com
+or http://www.walterzorn.de
+
+Copyright (c) 2002-2003 Walter Zorn. All rights reserved.
+Created 3. 11. 2002 by Walter Zorn <walter@kreuzotter.de>
+Last modified: 11. 6. 2003
+
+High Performance JavaScript Graphics Library.
+Provides methods
+- to draw lines, rectangles, ellipses, polygons
+  with specifiable line thickness,
+- to fill rectangles and ellipses
+- to draw text.
+NOTE: Operations, functions and branching have rather been optimized
+to efficiency and speed than to shortness of source code.
+
+This program is free software;
+you can redistribute it and/or modify it under the terms of the
+GNU General Public License as published by the Free Software Foundation;
+either version 2 of the License, or (at your option) any later version.
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY;
+without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+See the GNU General Public License
+at http://www.gnu.org/copyleft/gpl.html for more details.
+*/
+
+var jg_ihtm, jg_ie, jg_dom,
+jg_n4 = (document.layers && typeof document.classes != "undefined");
+
+function chkDHTM(x, i)
+{
+    x = document.body || null;
+    jg_ie = (x && typeof x.insertAdjacentHTML != "undefined");
+    jg_dom = (x && !jg_ie &&
+        typeof x.appendChild != "undefined" &&
+        typeof document.createRange != "undefined" &&
+        typeof (i = document.createRange()).setStartBefore != "undefined" &&
+        typeof i.createContextualFragment != "undefined");
+    jg_ihtm = (!jg_ie && !jg_dom && x && typeof x.innerHTML != "undefined");
+}
+
+
+
+
+
+function pntDoc()
+{
+    this.wnd.document.write(this.htm);
+    this.htm = '';
+}
+
+
+
+
+
+function pntCnvDom()
+{
+    var x = document.createRange();
+    x.setStartBefore(this.cnv);
+    x = x.createContextualFragment(this.htm);
+    this.cnv.appendChild(x);
+    this.htm = '';
+}
+
+
+
+
+
+function pntCnvIe()
+{
+    this.cnv.insertAdjacentHTML("BeforeEnd", this.htm);
+    this.htm = '';
+}
+
+
+
+
+
+function pntCnvIhtm()
+{
+    this.cnv.innerHTML += this.htm;
+    this.htm = '';
+}
+
+
+
+
+
+function pntCnv()
+{
+    this.htm = '';
+}
+
+
+
+
+
+function mkDiv(x, y, w, h)
+{
+    this.htm += '<div style="position:absolute;'+
+        'left:' + x + 'px;'+
+        'top:' + y + 'px;'+
+        'width:' + w + 'px;'+
+        'height:' + h + 'px;'+
+        'clip:rect(0,'+w+'px,'+h+'px,0);'+
+        'overflow:hidden;background-color:' + this.color + ';'+
+        '"><\/div>';
+
+    //alert(this.htm);
+}
+
+
+
+
+function mkDivPrint(x, y, w, h)
+{
+    this.htm += '<div style="position:absolute;'+
+        'border-left:' + w + 'px solid ' + this.color + ';'+
+        'left:' + x + 'px;'+
+        'top:' + y + 'px;'+
+        'width:' + w + 'px;'+
+        'height:' + h + 'px;'+
+        'clip:rect(0,'+w+'px,'+h+'px,0);'+
+        'overflow:hidden;background-color:' + this.color + ';'+
+        '"><\/div>';
+}
+
+
+
+
+
+function mkLyr(x, y, w, h)
+{
+    this.htm += '<layer '+
+        'left="' + x + '" '+
+        'top="' + y + '" '+
+        'width="' + w + '" '+
+        'height="' + h + '" '+
+        'bgcolor="' + this.color + '"><\/layer>\n';
+}
+
+
+
+
+
+function mkLbl(txt, x, y)
+{
+    this.htm += '<div style="position:absolute;white-space:nowrap;'+
+        'left:' + x + 'px;'+
+        'top:' + y + 'px;'+
+        'font-family:' +  this.ftFam + ';'+
+        'font-size:' + this.ftSz + ';'+
+        'color:' + this.color + ';' + this.ftSty + '">'+
+        txt +
+        '<\/div>';
+}
+
+
+
+
+
+function mkLin(x1, y1, x2, y2)
+{
+    if (x1 > x2)
+    {
+        var _x2 = x2;
+        var _y2 = y2;
+        x2 = x1;
+        y2 = y1;
+        x1 = _x2;
+        y1 = _y2;
+    }
+    var dx = x2-x1, dy = Math.abs(y2-y1),
+    x = x1, y = y1,
+    yIncr = (y1 > y2)? -1 : 1;
+
+    if (dx >= dy)
+    {
+        var pr = dy<<1,
+        pru = pr - (dx<<1),
+        p = pr-dx,
+        ox = x;
+        while ((dx--) > 0)
+        {
+            ++x;
+            if (p > 0)
+            {
+                this.mkDiv(ox, y, x-ox, 1);
+                y += yIncr;
+                p += pru;
+                ox = x;
+            }
+            else p += pr;
+        }
+        this.mkDiv(ox, y, x2-ox+1, 1);
+    }
+
+    else
+    {
+        var pr = dx<<1,
+        pru = pr - (dy<<1),
+        p = pr-dy,
+        oy = y;
+        if (y2 <= y1)
+        {
+            while ((dy--) > 0)
+            {
+                if (p > 0)
+                {
+                    this.mkDiv(x++, y, 1, oy-y+1);
+                    y += yIncr;
+                    p += pru;
+                    oy = y;
+                }
+                else
+                {
+                    y += yIncr;
+                    p += pr;
+                }
+            }
+            this.mkDiv(x2, y2, 1, oy-y2+1);
+        }
+        else
+        {
+            while ((dy--) > 0)
+            {
+                y += yIncr;
+                if (p > 0)
+                {
+                    this.mkDiv(x++, oy, 1, y-oy);
+                    p += pru;
+                    oy = y;
+                }
+                else p += pr;
+            }
+            this.mkDiv(x2, oy, 1, y2-oy+1);
+        }
+    }
+}
+
+
+
+
+
+function mkLin2D(x1, y1, x2, y2)
+{
+    if (x1 > x2)
+    {
+        var _x2 = x2;
+        var _y2 = y2;
+        x2 = x1;
+        y2 = y1;
+        x1 = _x2;
+        y1 = _y2;
+    }
+    var dx = x2-x1, dy = Math.abs(y2-y1),
+    x = x1, y = y1,
+    yIncr = (y1 > y2)? -1 : 1;
+
+
+    var s = this.stroke;
+    if (dx >= dy)
+    {
+        if (s-0x3 > 0)
+        {
+            var _s = (s*dx*Math.sqrt(1+dy*dy/(dx*dx))-dx-(s>>1)*dy) / dx;
+            _s = (!(s-0x4)? Math.ceil(_s) : Math.round(_s)) + 1;
+        }
+        else var _s = s;
+        var ad = Math.ceil(s/2);
+
+        var pr = dy<<1,
+        pru = pr - (dx<<1),
+        p = pr-dx,
+        ox = x;
+        while ((dx--) > 0)
+        {
+            ++x;
+            if (p > 0)
+            {
+                this.mkDiv(ox, y, x-ox+ad, _s);
+                y += yIncr;
+                p += pru;
+                ox = x;
+            }
+            else p += pr;
+        }
+        this.mkDiv(ox, y, x2-ox+ad+1, _s);
+    }
+
+    else
+    {
+        if (s-0x3 > 0)
+        {
+            var _s = (s*dy*Math.sqrt(1+dx*dx/(dy*dy))-(s>>1)*dx-dy) / dy;
+            _s = (!(s-0x4)? Math.ceil(_s) : Math.round(_s)) + 1;
+        }
+        else var _s = s;
+        var ad = Math.round(s/2);
+
+        var pr = dx<<1,
+        pru = pr - (dy<<1),
+        p = pr-dy,
+        oy = y;
+        if (y2 <= y1)
+        {
+            ++ad;
+            while ((dy--) > 0)
+            {
+                if (p > 0)
+                {
+                    this.mkDiv(x++, y, _s, oy-y+ad);
+                    y += yIncr;
+                    p += pru;
+                    oy = y;
+                }
+                else
+                {
+                    y += yIncr;
+                    p += pr;
+                }
+            }
+            this.mkDiv(x2, y2, _s, oy-y2+ad);
+        }
+        else
+        {
+            while ((dy--) > 0)
+            {
+                y += yIncr;
+                if (p > 0)
+                {
+                    this.mkDiv(x++, oy, _s, y-oy+ad);
+                    p += pru;
+                    oy = y;
+                }
+                else p += pr;
+            }
+            this.mkDiv(x2, oy, _s, y2-oy+ad+1);
+        }
+    }
+}
+
+
+
+
+
+function mkLinDott(x1, y1, x2, y2)
+{
+    if (x1 > x2)
+    {
+        var _x2 = x2;
+        var _y2 = y2;
+        x2 = x1;
+        y2 = y1;
+        x1 = _x2;
+        y1 = _y2;
+    }
+    var dx = x2-x1, dy = Math.abs(y2-y1),
+    x = x1, y = y1,
+    yIncr = (y1 > y2)? -1 : 1,
+    drw = true;
+    if (dx >= dy)
+    {
+        var pr = dy<<1,
+        pru = pr - (dx<<1),
+        p = pr-dx;
+        while ((dx--) > 0)
+        {
+            if (drw) this.mkDiv(x, y, 1, 1);
+            drw = !drw;
+            if (p > 0)
+            {
+                y += yIncr;
+                p += pru;
+            }
+            else p += pr;
+            ++x;
+        }
+        if (drw) this.mkDiv(x, y, 1, 1);
+    }
+
+    else
+    {
+        var pr = dx<<1,
+        pru = pr - (dy<<1),
+        p = pr-dy;
+        while ((dy--) > 0)
+        {
+            if (drw) this.mkDiv(x, y, 1, 1);
+            drw = !drw;
+            y += yIncr;
+            if (p > 0)
+            {
+                ++x;
+                p += pru;
+            }
+            else p += pr;
+        }
+        if (drw) this.mkDiv(x, y, 1, 1);
+    }
+}
+
+
+
+
+
+function mkOv(left, top, width, height)
+{
+    var a = width>>1, b = height>>1,
+    wod = width&1, hod = (height&1)+1,
+    cx = left+a, cy = top+b,
+    x = 0, y = b,
+    ox = 0, oy = b,
+    aa = (a*a)<<1, bb = (b*b)<<1,
+    st = (aa>>1)*(1-(b<<1)) + bb,
+    tt = (bb>>1) - aa*((b<<1)-1),
+    w, h;
+    while (y > 0)
+    {
+        if (st < 0)
+        {
+            st += bb*((x<<1)+0x3);
+            tt += (bb<<1)*(++x);
+        }
+        else if (tt < 0)
+        {
+            st += bb*((x<<1)+0x3) - (aa<<1)*(y-1);
+            tt += (bb<<1)*(++x) - aa*(((y--)<<1)-0x3);
+            w = x-ox;
+            h = oy-y;
+            if (w&0x2 && h&0x2)
+            {
+                this.mkOvQds(cx, cy, -x+0x2, ox+wod, -oy, oy-1+hod, 1, 1);
+                this.mkOvQds(cx, cy, -x+1, x-1+wod, -y-1, y+hod, 1, 1);
+            }
+            else this.mkOvQds(cx, cy, -x+1, ox+wod, -oy, oy-h+hod, w, h);
+            ox = x;
+            oy = y;
+        }
+        else
+        {
+            tt -= aa*((y<<1)-0x3);
+            st -= (aa<<1)*(--y);
+        }
+    }
+    this.mkDiv(cx-a, cy-oy, a-ox+1, (oy<<1)+hod);
+    this.mkDiv(cx+ox+wod, cy-oy, a-ox+1, (oy<<1)+hod);
+}
+
+
+
+
+
+function mkOv2D(left, top, width, height)
+{
+    var s = this.stroke;
+    width += s-1;
+    height += s-1;
+    var a = width>>1, b = height>>1,
+    wod = width&1, hod = (height&1)+1,
+    cx = left+a, cy = top+b,
+    x = 0, y = b,
+    aa = (a*a)<<1, bb = (b*b)<<1,
+    st = (aa>>1)*(1-(b<<1)) + bb,
+    tt = (bb>>1) - aa*((b<<1)-1);
+
+
+    if (s-0x4 < 0 && (!(s-0x2) || width-0x33 > 0 && height-0x33 > 0))
+    {
+        var ox = 0, oy = b,
+        w, h,
+        pxl, pxr, pxt, pxb, pxw;
+        while (y > 0)
+        {
+            if (st < 0)
+            {
+                st += bb*((x<<1)+0x3);
+                tt += (bb<<1)*(++x);
+            }
+            else if (tt < 0)
+            {
+                st += bb*((x<<1)+0x3) - (aa<<1)*(y-1);
+                tt += (bb<<1)*(++x) - aa*(((y--)<<1)-0x3);
+                w = x-ox;
+                h = oy-y;
+
+                if (w-1)
+                {
+                    pxw = w+1+(s&1);
+                    h = s;
+                }
+                else if (h-1)
+                {
+                    pxw = s;
+                    h += 1+(s&1);
+                }
+                else pxw = h = s;
+                this.mkOvQds(cx, cy, -x+1, ox-pxw+w+wod, -oy, -h+oy+hod, pxw, h);
+                ox = x;
+                oy = y;
+            }
+            else
+            {
+                tt -= aa*((y<<1)-0x3);
+                st -= (aa<<1)*(--y);
+            }
+        }
+        this.mkDiv(cx-a, cy-oy, s, (oy<<1)+hod);
+        this.mkDiv(cx+a+wod-s+1, cy-oy, s, (oy<<1)+hod);
+    }
+
+
+    else
+    {
+        var _a = (width-((s-1)<<1))>>1,
+        _b = (height-((s-1)<<1))>>1,
+        _x = 0, _y = _b,
+        _aa = (_a*_a)<<1, _bb = (_b*_b)<<1,
+        _st = (_aa>>1)*(1-(_b<<1)) + _bb,
+        _tt = (_bb>>1) - _aa*((_b<<1)-1),
+
+        pxl = new Array(),
+        pxt = new Array(),
+        _pxb = new Array();
+        pxl[0] = 0;
+        pxt[0] = b;
+        _pxb[0] = _b-1;
+        while (y > 0)
+        {
+            if (st < 0)
+            {
+                st += bb*((x<<1)+0x3);
+                tt += (bb<<1)*(++x);
+                pxl[pxl.length] = x;
+                pxt[pxt.length] = y;
+            }
+            else if (tt < 0)
+            {
+                st += bb*((x<<1)+0x3) - (aa<<1)*(y-1);
+                tt += (bb<<1)*(++x) - aa*(((y--)<<1)-0x3);
+                pxl[pxl.length] = x;
+                pxt[pxt.length] = y;
+            }
+            else
+            {
+                tt -= aa*((y<<1)-0x3);
+                st -= (aa<<1)*(--y);
+            }
+
+            if (_y > 0)
+            {
+                if (_st < 0)
+                {
+                    _st += _bb*((_x<<1)+0x3);
+                    _tt += (_bb<<1)*(++_x);
+                    _pxb[_pxb.length] = _y-1;
+                }
+                else if (_tt < 0)
+                {
+                    _st += _bb*((_x<<1)+0x3) - (_aa<<1)*(_y-1);
+                    _tt += (_bb<<1)*(++_x) - _aa*(((_y--)<<1)-0x3);
+                    _pxb[_pxb.length] = _y-1;
+                }
+                else
+                {
+                    _tt -= _aa*((_y<<1)-0x3);
+                    _st -= (_aa<<1)*(--_y);
+                    _pxb[_pxb.length-1]--;
+                }
+            }
+        }
+
+        var ox = 0, oy = b,
+        _oy = _pxb[0],
+        l = pxl.length,
+        w, h;
+        for (var i = 0; i < l; i++)
+        {
+            if (typeof _pxb[i] != "undefined")
+            {
+                if (_pxb[i] < _oy || pxt[i] < oy)
+                {
+                    x = pxl[i];
+                    this.mkOvQds(cx, cy, -x+1, ox+wod, -oy, _oy+hod, x-ox, oy-_oy);
+                    ox = x;
+                    oy = pxt[i];
+                    _oy = _pxb[i];
+                }
+            }
+            else
+            {
+                x = pxl[i];
+                this.mkDiv(cx-x+1, cy-oy, 1, (oy<<1)+hod);
+                this.mkDiv(cx+ox+wod, cy-oy, 1, (oy<<1)+hod);
+                ox = x;
+                oy = pxt[i];
+            }
+        }
+        this.mkDiv(cx-a, cy-oy, 1, (oy<<1)+hod);
+        this.mkDiv(cx+ox+wod, cy-oy, 1, (oy<<1)+hod);
+    }
+}
+
+
+
+
+
+function mkOvDott(left, top, width, height)
+{
+    var a = width>>1, b = height>>1,
+    wod = width&1, hod = height&1,
+    cx = left+a, cy = top+b,
+    x = 0, y = b,
+    aa2 = (a*a)<<1, aa4 = aa2<<1, bb = (b*b)<<1,
+    st = (aa2>>1)*(1-(b<<1)) + bb,
+    tt = (bb>>1) - aa2*((b<<1)-1),
+    drw = true;
+    while (y > 0)
+    {
+        if (st < 0)
+        {
+            st += bb*((x<<1)+0x3);
+            tt += (bb<<1)*(++x);
+        }
+        else if (tt < 0)
+        {
+            st += bb*((x<<1)+0x3) - aa4*(y-1);
+            tt += (bb<<1)*(++x) - aa2*(((y--)<<1)-0x3);
+        }
+        else
+        {
+            tt -= aa2*((y<<1)-0x3);
+            st -= aa4*(--y);
+        }
+        if (drw) this.mkOvQds(cx, cy, -x, x+wod, -y, y+hod, 1, 1);
+        drw = !drw;
+    }
+}
+
+
+
+
+
+function mkRect(x, y, w, h)
+{
+    var s = this.stroke;
+    this.mkDiv(x, y, w, s);
+    this.mkDiv(x+w, y, s, h);
+    this.mkDiv(x, y+h, w+s, s);
+    this.mkDiv(x, y+s, s, h-s);
+}
+
+
+
+
+
+function mkRectDott(x, y, w, h)
+{
+    this.drawLine(x, y, x+w, y);
+    this.drawLine(x+w, y, x+w, y+h);
+    this.drawLine(x, y+h, x+w, y+h);
+    this.drawLine(x, y, x, y+h);
+}
+
+
+
+
+
+function jsgFont()
+{
+    this.PLAIN = 'font-weight:normal;';
+    this.BOLD = 'font-weight:bold;';
+    this.ITALIC = 'font-style:italic;';
+    this.ITALIC_BOLD = this.ITALIC + this.BOLD;
+    this.BOLD_ITALIC = this.ITALIC_BOLD;
+}
+var Font = new jsgFont();
+
+
+
+
+
+function jsgStroke()
+{
+    this.DOTTED = -1;
+}
+var Stroke = new jsgStroke();
+
+
+
+
+
+function jsGraphics(id, wnd)
+{
+    this.setColor = new Function('arg', 'this.color = arg;');
+
+
+    this.getColor = new Function('return this.color');
+
+    this.setStroke = function(x)
+    {
+        this.stroke = x;
+        if (!(x+1))
+        {
+            this.drawLine = mkLinDott;
+            this.mkOv = mkOvDott;
+            this.drawRect = mkRectDott;
+        }
+        else if (x-1 > 0)
+        {
+            this.drawLine = mkLin2D;
+            this.mkOv = mkOv2D;
+            this.drawRect = mkRect;
+        }
+        else
+        {
+            this.drawLine = mkLin;
+            this.mkOv = mkOv;
+            this.drawRect = mkRect;
+        }
+    };
+
+
+
+    this.setPrintable = function(arg)
+    {
+        this.printable = arg;
+        this.mkDiv = jg_n4? mkLyr : arg? mkDivPrint : mkDiv;
+    };
+
+
+
+    this.setFont = function(fam, sz, sty)
+    {
+        this.ftFam = fam;
+        this.ftSz = sz;
+        this.ftSty = sty || Font.PLAIN;
+    };
+
+
+
+    this.drawPolyline = this.drawPolyLine = function(x, y, s)
+    {
+        var i = x.length-1; while (i >= 0)
+            this.drawLine(x[i], y[i], x[--i], y[i]);
+    };
+
+
+
+    this.fillRect = function(x, y, w, h)
+    {
+        this.mkDiv(x, y, w, h);
+    };
+
+
+    this.fillRectPattern = function(x, y, w, h, url)
+    {
+        this.htm += '<div style="position:absolute;'+
+            'left:' + x + 'px;'+
+            'top:' + y + 'px;'+
+            'width:' + w + 'px;'+
+            'height:' + h + 'px;'+
+            'clip:rect(0,'+w+'px,'+h+'px,0);'+
+            'overflow:hidden;'+
+            //'background-color:' + this.color + ';'+
+            "background-image: url('" + url + "');"+
+            "layer-background-image: url('" + url + "');"+
+            'z-index:100;"><\/div>';
+        //alert(this.htm);
+    }
+
+    this.drawHandle = function(x, y, w, h, cursor)
+    {
+        
+        this.htm += '<div style="position:absolute;'+
+        'left:' + x + 'px;'+
+        'top:' + y + 'px;'+
+        'width:' + w + 'px;'+
+        'height:' + h + 'px;'+
+        'clip:rect(0,'+w+'px,'+h+'px,0);'+
+        'padding: 2px;overflow:hidden;'+
+        "cursor: '" + cursor + "';"+
+        '" class="handleBox" id="' + cursor + '" ><\/div>';
+    }
+
+    this.drawHandleBox = function(x, y, w, h, cursor)
+    {
+        
+        this.htm += '<div style="position:absolute;'+
+        'left:' + x + 'px;'+
+        'top:' + y + 'px;'+
+        'width:' + w + 'px;'+
+        'height:' + h + 'px;'+
+        'clip:rect(0,'+(w+2)+'px,'+(h+2)+'px,0);'+
+        'overflow:hidden; border: solid 1px '+ this.color+';'+
+        "cursor: '" + cursor + "';"+
+        '" class="handleBox" id="' + cursor + '" ><\/div>';
+
+        
+    }
+
+    this.drawPolygon = function(x, y)
+    {
+        this.drawPolyline(x, y);
+        this.drawLine(x[x.length-1], y[x.length-1], x[0], y[0]);
+    };
+
+
+
+    this.drawEllipse = this.drawOval = function(x, y, w, h)
+    {
+        this.mkOv(x, y, w, h);
+    };
+
+
+
+    this.fillEllipse = this.fillOval = function(left, top, w, h)
+    {
+        var a = (w -= 1)>>1, b = (h -= 1)>>1,
+        wod = (w&1)+1, hod = (h&1)+1,
+        cx = left+a, cy = top+b,
+        x = 0, y = b,
+        ox = 0, oy = b,
+        aa2 = (a*a)<<1, aa4 = aa2<<1, bb = (b*b)<<1,
+        st = (aa2>>1)*(1-(b<<1)) + bb,
+        tt = (bb>>1) - aa2*((b<<1)-1),
+        pxl, dw, dh;
+        if (w+1) while (y > 0)
+        {
+            if (st < 0)
+            {
+                st += bb*((x<<1)+0x3);
+                tt += (bb<<1)*(++x);
+            }
+            else if (tt < 0)
+            {
+                st += bb*((x<<1)+0x3) - aa4*(y-1);
+                pxl = cx-x;
+                dw = (x<<1)+wod;
+                tt += (bb<<1)*(++x) - aa2*(((y--)<<1)-0x3);
+                dh = oy-y;
+                this.mkDiv(pxl, cy-oy, dw, dh);
+                this.mkDiv(pxl, cy+oy-dh+hod, dw, dh);
+                ox = x;
+                oy = y;
+            }
+            else
+            {
+                tt -= aa2*((y<<1)-0x3);
+                st -= aa4*(--y);
+            }
+        }
+        this.mkDiv(cx-a, cy-oy, w+1, (oy<<1)+hod);
+    };
+
+
+
+    this.drawString = mkLbl;
+
+
+
+    this.clear = function()
+    {
+        this.htm = "";
+        if (this.cnv) this.cnv.innerHTML = this.defhtm;
+        
+    };
+
+
+
+    this.mkOvQds = function(cx, cy, xl, xr, yt, yb, w, h)
+    {
+        this.mkDiv(xr+cx, yt+cy, w, h);
+        this.mkDiv(xr+cx, yb+cy, w, h);
+        this.mkDiv(xl+cx, yb+cy, w, h);
+        this.mkDiv(xl+cx, yt+cy, w, h);
+    };
+
+
+    this.setStroke(1);
+    this.setPrintable(false);
+    this.setFont('verdana,geneva,helvetica,sans-serif', String.fromCharCode(0x31, 0x32, 0x70, 0x78), Font.PLAIN);
+    this.color = '#000000';
+    this.htm = '';
+    this.wnd = wnd || window;
+
+
+    if (!(jg_ie || jg_dom || jg_ihtm)) chkDHTM();
+    if (typeof id != 'string' || !id) this.paint = pntDoc;
+    else
+    {
+        this.cnv = document.all? (this.wnd.document.all[id] || null)
+            : document.getElementById? (this.wnd.document.getElementById(id) || null)
+            : null;
+        this.defhtm = (this.cnv && this.cnv.innerHTML)? this.cnv.innerHTML : '';
+        this.paint = jg_dom? pntCnvDom : jg_ie? pntCnvIe : jg_ihtm? pntCnvIhtm : pntCnv;
+    }
+}
diff -urN soojung-0.4.8/libs/fckeditor/editor/js/fck_startup.js soojung/libs/fckeditor/editor/js/fck_startup.js
--- soojung-0.4.8/libs/fckeditor/editor/js/fck_startup.js	2004-12-27 20:50:31.000000000 +0900
+++ soojung/libs/fckeditor/editor/js/fck_startup.js	2005-06-11 10:32:45.000000000 +0900
@@ -1,23 +1,22 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * This file has been compacted for best loading performance.
- * 
- * Version: 2.0 Beta 2
- * Created: 2004-09-10 02:40:05
- */
-var FCKBrowserInfo=new Object();var sAgent=navigator.userAgent.toLowerCase();FCKBrowserInfo.IsIE=sAgent.indexOf("msie") != -1;FCKBrowserInfo.IsGecko=! FCKBrowserInfo.IsIE;if (FCKBrowserInfo.IsIE){FCKBrowserInfo.MajorVer=navigator.appVersion.match(/MSIE (.)/)[1];FCKBrowserInfo.MinorVer=navigator.appVersion.match(/MSIE .\.(.)/)[1];}else{FCKBrowserInfo.MajorVer=0;FCKBrowserInfo.MinorVer=0;};FCKBrowserInfo.IsIE55OrMore=FCKBrowserInfo.IsIE && (FCKBrowserInfo.MajorVer > 5 || FCKBrowserInfo.MinorVer >=5);
-var FCKScriptLoader=new Object();FCKScriptLoader.IsLoading=false;FCKScriptLoader.Queue=new Array();FCKScriptLoader.AddScript=function(scriptPath){FCKScriptLoader.Queue[ FCKScriptLoader.Queue.length ]=scriptPath;if (!this.IsLoading) this.CheckQueue();};FCKScriptLoader.CheckQueue=function(){if (this.Queue.length > 0){this.IsLoading=true;var sScriptPath=this.Queue[0];var oTempArray=new Array();for (i=1 ; i < this.Queue.length ; i++) oTempArray[ i - 1 ]=this.Queue[ i ];this.Queue=oTempArray;var e;if (sScriptPath.lastIndexOf( '.css' ) > 0){e=document.createElement('LINK');e.rel='stylesheet';e.type='text/css';}else{e=document.createElement("script");e.type="text/javascript";};document.getElementsByTagName("head")[0].appendChild( e);var oEvent=function(){if (this.tagName=='LINK' || !this.readyState || this.readyState == 'loaded') FCKScriptLoader.CheckQueue();};if (e.tagName=='LINK'){if (FCKBrowserInfo.IsIE) e.onload=oEvent;else FCKScriptLoader.CheckQueue();e.href=sScriptPath;}else{e.onload=e.onreadystatechange=oEvent;e.src=sScriptPath;};}else{this.IsLoading=false;if (this.OnEmpty) this.OnEmpty();};}
-var FCKConfig=new Object();if (document.location.protocol=='file:'){FCKConfig.BasePath=document.location.pathname.substr(1);FCKConfig.BasePath=FCKConfig.BasePath.replace(/\\/gi, '/');FCKConfig.BasePath='file://' + FCKConfig.BasePath.substring(0,FCKConfig.BasePath.lastIndexOf('/')+1);}else FCKConfig.BasePath=document.location.pathname.substring(0,document.location.pathname.lastIndexOf('/')+1);FCKConfig.LoadHiddenField=function(){var oConfigField=window.parent.document.getElementById(FCK.Name + '___Config');if (! oConfigField) return;var aCouples=oConfigField.value.split('&');for (var i=0 ; i < aCouples.length ; i++){var aConfig=aCouples[i].split('=');var sConfigName=aConfig[0];var sConfigValue=aConfig[1];if (sConfigValue=="true") FCKConfig[sConfigName]=true;else if (sConfigValue=="false") FCKConfig[sConfigName]=false;else if (! isNaN(sConfigValue)) FCKConfig[sConfigName]=parseInt(sConfigValue);else FCKConfig[sConfigName]=sConfigValue;};}
-window.document.oncontextmenu=function(e){if (e) e.preventDefault();return false;};if (! FCKBrowserInfo.IsIE){window.onresize=function(){var oFrame=document.getElementById("eEditorArea");oFrame.height=0;var oCell=document.getElementById("eWysiwygCell");var iHeight=oCell.offsetHeight;oFrame.height=iHeight - 2;};};window.onload=function(){FCKScriptLoader.OnEmpty=function(){FCKConfig.LoadHiddenField();LoadStyles();};FCKScriptLoader.AddScript('../fckconfig.js');};function LoadStyles(){FCKScriptLoader.OnEmpty=LoadScripts;FCKScriptLoader.AddScript(FCKConfig.SkinPath + 'fck_editor.css');FCKScriptLoader.AddScript(FCKConfig.SkinPath + 'fck_contextmenu.css');};function LoadScripts(){FCKScriptLoader.OnEmpty=null;if (FCKBrowserInfo.IsIE) FCKScriptLoader.AddScript('js/fckeditorcode_ie_1.js');else FCKScriptLoader.AddScript('js/fckeditorcode_gecko_1.js');};function LoadLanguageFile(){FCKScriptLoader.OnEmpty=function(){this.OnEmpty=null;window.document.dir=FCKLang.Dir;FCK.StartEditor();};FCKScriptLoader.AddScript('lang/' + FCKLanguageManager.ActiveLanguage.Code + '.js');}
-var FCKURLParams=new Object();var aParams=document.location.search.substr(1).split('&');for (i=0 ; i < aParams.length ; i++){var aParam=aParams[i].split('=');var sParamName=aParam[0];var sParamValue=aParam[1];FCKURLParams[ sParamName ]=sParamValue;}
-FCK_STATUS_NOTLOADED=window.parent.FCK_STATUS_NOTLOADED=0;FCK_STATUS_ACTIVE=window.parent.FCK_STATUS_ACTIVE=1;FCK_STATUS_COMPLETE=window.parent.FCK_STATUS_COMPLETE=2;FCK_TRISTATE_OFF=window.parent.FCK_TRISTATE_OFF=0;FCK_TRISTATE_ON=window.parent.FCK_TRISTATE_ON=1;FCK_TRISTATE_DISABLED=window.parent.FCK_TRISTATE_DISABLED=-1;FCK_UNKNOWN=window.parent.FCK_UNKNOWN=-1000;FCK_TOOLBARITEM_ONLYICON=window.parent.FCK_TOOLBARITEM_ONLYTEXT=0;FCK_TOOLBARITEM_ONLYTEXT=window.parent.FCK_TOOLBARITEM_ONLYTEXT=1;FCK_TOOLBARITEM_ICONTEXT=window.parent.FCK_TOOLBARITEM_ONLYTEXT=2;FCK_EDITMODE_WYSIWYG=window.parent.FCK_EDITMODE_WYSIWYG=0;FCK_EDITMODE_SOURCE=window.parent.FCK_EDITMODE_SOURCE=1;
-var FCK=new Object();FCK.Name=FCKURLParams[ 'InstanceName' ];FCK.LinkedField=window.parent.document.getElementById(FCK.Name);FCK.Status=FCK_STATUS_NOTLOADED;FCK.EditMode=FCK_EDITMODE_WYSIWYG;FCK.PasteEnabled=false;
-var FCKeditorAPI;if (!window.parent.FCKeditorAPI){FCKeditorAPI=window.parent.FCKeditorAPI=new Object();FCKeditorAPI.__Instances=new Object();FCKeditorAPI.Version='2.0 Beta 2';FCKeditorAPI.GetInstance=function(instanceName){return this.__Instances[ instanceName ];};}else FCKeditorAPI=window.parent.FCKeditorAPI;FCKeditorAPI.__Instances[ FCK.Name ]=FCK;
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * This file has been compacted for best loading performance.
+ */
+var NS;if (!(NS=window.parent.__FCKeditorNS)) NS=window.parent.__FCKeditorNS=new Object();
+Array.prototype.addItem=function(item){var i=this.length;this[i]=item;return i;};Array.prototype.indexOf=function(value){for (var i=0;i<this.length;i++){if (this[i]==value) return i;};return-1;};String.prototype.startsWith=function(value){return (this.substr(0,value.length)==value);};String.prototype.endsWith=function(value){var L1=this.length;var L2=value.length;if (L2>L1) return false;return (L2==0||this.substr(L1-L2,L2)==value);};String.prototype.remove=function(start,length){var s='';if (start>0) s=this.substring(0,start);if (start+length<this.length) s+=this.substring(start+length,this.length);return s;};String.prototype.trim=function(){return this.replace(/(^\s*)|(\s*$)/g,'');};String.prototype.ltrim=function(){return this.replace(/^\s*/g,'');};String.prototype.rtrim=function(){return this.replace(/\s*$/g,'');};String.prototype.replaceNewLineChars=function(replacement){return this.replace(/\n/g,replacement);}
+FCK_STATUS_NOTLOADED=window.parent.FCK_STATUS_NOTLOADED=0;FCK_STATUS_ACTIVE=window.parent.FCK_STATUS_ACTIVE=1;FCK_STATUS_COMPLETE=window.parent.FCK_STATUS_COMPLETE=2;FCK_TRISTATE_OFF=window.parent.FCK_TRISTATE_OFF=0;FCK_TRISTATE_ON=window.parent.FCK_TRISTATE_ON=1;FCK_TRISTATE_DISABLED=window.parent.FCK_TRISTATE_DISABLED=-1;FCK_UNKNOWN=window.parent.FCK_UNKNOWN=-1000;FCK_TOOLBARITEM_ONLYICON=window.parent.FCK_TOOLBARITEM_ONLYTEXT=0;FCK_TOOLBARITEM_ONLYTEXT=window.parent.FCK_TOOLBARITEM_ONLYTEXT=1;FCK_TOOLBARITEM_ICONTEXT=window.parent.FCK_TOOLBARITEM_ONLYTEXT=2;FCK_EDITMODE_WYSIWYG=window.parent.FCK_EDITMODE_WYSIWYG=0;FCK_EDITMODE_SOURCE=window.parent.FCK_EDITMODE_SOURCE=1;
+var FCKBrowserInfo;if (!(FCKBrowserInfo=NS.FCKBrowserInfo)){FCKBrowserInfo=NS.FCKBrowserInfo=new Object();var sAgent=navigator.userAgent.toLowerCase();FCKBrowserInfo.IsIE=sAgent.indexOf("msie")!=-1;FCKBrowserInfo.IsGecko=!FCKBrowserInfo.IsIE;FCKBrowserInfo.IsNetscape=sAgent.indexOf("netscape")!=-1;}
+var FCKScriptLoader=new Object();FCKScriptLoader.IsLoading=false;FCKScriptLoader.Queue=new Array();FCKScriptLoader.AddScript=function(scriptPath){FCKScriptLoader.Queue[FCKScriptLoader.Queue.length]=scriptPath;if (!this.IsLoading) this.CheckQueue();};FCKScriptLoader.CheckQueue=function(){if (this.Queue.length>0){this.IsLoading=true;var sScriptPath=this.Queue[0];var oTempArray=new Array();for (i=1;i<this.Queue.length;i++) oTempArray[i-1]=this.Queue[i];this.Queue=oTempArray;var e;if (sScriptPath.lastIndexOf('.css')>0){e=document.createElement('LINK');e.rel='stylesheet';e.type='text/css';}else{e=document.createElement("script");e.type="text/javascript";};document.getElementsByTagName("head")[0].appendChild(e);if (e.tagName=='LINK'){if (FCKBrowserInfo.IsIE) e.onload=FCKScriptLoader_OnLoad;else FCKScriptLoader.CheckQueue();e.href=sScriptPath;}else{e.onload=e.onreadystatechange=FCKScriptLoader_OnLoad;e.src=sScriptPath;};}else{this.IsLoading=false;if (this.OnEmpty) this.OnEmpty();};};function FCKScriptLoader_OnLoad(){if (this.tagName=='LINK'||!this.readyState||this.readyState=='loaded') FCKScriptLoader.CheckQueue();}
+var FCKURLParams=new Object();var aParams=document.location.search.substr(1).split('&');for (i=0;i<aParams.length;i++){var aParam=aParams[i].split('=');var sParamName=aParam[0];var sParamValue=aParam[1];FCKURLParams[sParamName]=sParamValue;}
+var FCK=new Object();FCK.Name=FCKURLParams['InstanceName'];FCK.Status=FCK_STATUS_NOTLOADED;FCK.EditMode=FCK_EDITMODE_WYSIWYG;FCK.LinkedField=window.parent.document.getElementById(FCK.Name);if (!FCK.LinkedField) FCK.LinkedField=window.parent.document.getElementsByName(FCK.Name)[0];
+var FCKConfig=FCK.Config=new Object();if (document.location.protocol=='file:'){FCKConfig.BasePath=document.location.pathname.substr(1);FCKConfig.BasePath=FCKConfig.BasePath.replace(/\\/gi,'/');FCKConfig.BasePath='file://'+FCKConfig.BasePath.substring(0,FCKConfig.BasePath.lastIndexOf('/')+1);}else{FCKConfig.BasePath=document.location.pathname.substring(0,document.location.pathname.lastIndexOf('/')+1);FCKConfig.FullBasePath=document.location.protocol+'//'+document.location.host+FCKConfig.BasePath;};FCKConfig.EditorPath=FCKConfig.BasePath.replace(/editor\/$/,'');FCKConfig.ProcessHiddenField=function(){this.PageConfig=new Object();var oConfigField=window.parent.document.getElementById(FCK.Name+'___Config');if (!oConfigField) return;var aCouples=oConfigField.value.split('&');for (var i=0;i<aCouples.length;i++){if (aCouples[i].length==0) continue;var aConfig=aCouples[i].split('=');var sKey=unescape(aConfig[0]);var sVal=unescape(aConfig[1]);if (sKey=='CustomConfigurationsPath') FCKConfig[sKey]=sVal;else if (sVal.toLowerCase()=="true") this.PageConfig[sKey]=true;else if (sVal.toLowerCase()=="false") this.PageConfig[sKey]=false;else if (!isNaN(sVal)) this.PageConfig[sKey]=parseInt(sVal);else this.PageConfig[sKey]=sVal;};};FCKConfig.LoadPageConfig=function(){for (var sKey in this.PageConfig) FCKConfig[sKey]=this.PageConfig[sKey];};FCKConfig.ToolbarSets=new Object();FCKConfig.Plugins=new Object();FCKConfig.Plugins.Items=new Array();FCKConfig.Plugins.Add=function(name,langs,path){FCKConfig.Plugins.Items.addItem([name,langs,path]);}
+var FCKeditorAPI;function FCKeditorAPI_GetInstance(instanceName){return this.__Instances[instanceName];};if (!window.parent.FCKeditorAPI){FCKeditorAPI=window.parent.FCKeditorAPI=new Object();FCKeditorAPI.__Instances=new Object();FCKeditorAPI.Version='2.0 FC';FCKeditorAPI.GetInstance=FCKeditorAPI_GetInstance;}else FCKeditorAPI=window.parent.FCKeditorAPI;FCKeditorAPI.__Instances[FCK.Name]=FCK;
+function Window_OnContextMenu(e){if (e) e.preventDefault();return false;};window.document.oncontextmenu=Window_OnContextMenu;if (FCKBrowserInfo.IsGecko){function Window_OnResize(){var oFrame=document.getElementById('eEditorArea');oFrame.height=0;var oCell=document.getElementById(FCK.EditMode==FCK_EDITMODE_WYSIWYG?'eWysiwygCell':'eSource');var iHeight=oCell.offsetHeight;oFrame.height=iHeight-2;};window.onresize=Window_OnResize;};if (FCKBrowserInfo.IsIE){var aCleanupDocs=new Array();aCleanupDocs[0]=document;function Window_OnBeforeUnload(){FCKToolbarSet.Collapse();var e;for (var j=0;j<aCleanupDocs.length;j++){var d=aCleanupDocs[j];var i=0;while (e=d.getElementsByTagName("DIV").item(i++)){if (e.FCKToolbarButton) e.FCKToolbarButton=null;if (e.FCKSpecialCombo) e.FCKSpecialCombo=null;if (e.Command) e.Command=null;};i=0;while (e=d.getElementsByTagName("TR").item(i++)){if (e.FCKContextMenuItem) e.FCKContextMenuItem=null;};aCleanupDocs[j]=null;d=null;};};window.attachEvent("onbeforeunload",Window_OnBeforeUnload);};function Window_OnLoad(){if (FCKBrowserInfo.IsNetscape) document.getElementById('eWysiwygCell').style.paddingRight='2px';LoadConfigFile();};window.onload=Window_OnLoad;function LoadConfigFile(){FCKScriptLoader.OnEmpty=ProcessHiddenField;FCKScriptLoader.AddScript('../fckconfig.js');};function ProcessHiddenField(){FCKConfig.ProcessHiddenField();LoadCustomConfigFile();};function LoadCustomConfigFile(){if (FCKConfig.CustomConfigurationsPath.length>0){FCKScriptLoader.OnEmpty=LoadPageConfig;FCKScriptLoader.AddScript(FCKConfig.CustomConfigurationsPath);}else{LoadPageConfig();};};function LoadPageConfig(){FCKConfig.LoadPageConfig();LoadStyles();};function LoadStyles(){FCKScriptLoader.OnEmpty=LoadScripts;FCKScriptLoader.AddScript(FCKConfig.SkinPath+'fck_editor.css');FCKScriptLoader.AddScript(FCKConfig.SkinPath+'fck_contextmenu.css');};function LoadScripts(){FCKScriptLoader.OnEmpty=null;if (FCKBrowserInfo.IsIE) FCKScriptLoader.AddScript('js/fckeditorcode_ie_1.js');else FCKScriptLoader.AddScript('js/fckeditorcode_gecko_1.js');};function LoadLanguageFile(){FCKScriptLoader.OnEmpty=LoadEditor;FCKScriptLoader.AddScript('lang/'+FCKLanguageManager.ActiveLanguage.Code+'.js');};function LoadEditor(){FCKScriptLoader.OnEmpty=null;if (FCKLang) window.document.dir=FCKLang.Dir;FCK.StartEditor();}
diff -urN soojung-0.4.8/libs/fckeditor/editor/js/fckeditorcode_gecko_1.js soojung/libs/fckeditor/editor/js/fckeditorcode_gecko_1.js
--- soojung-0.4.8/libs/fckeditor/editor/js/fckeditorcode_gecko_1.js	2004-12-27 20:50:31.000000000 +0900
+++ soojung/libs/fckeditor/editor/js/fckeditorcode_gecko_1.js	2005-06-11 10:32:45.000000000 +0900
@@ -1,23 +1,25 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * This file has been compacted for best loading performance.
- * 
- * Version: 2.0 Beta 2
- * Created: 2004-09-10 02:40:05
- */
-var FCKDebug=new Object();if (FCKConfig.Debug){FCKDebug.Output=function(message, color){if (! FCKConfig.Debug) return;if (message !=null && isNaN( message )){message=message.replace(/</g, "&lt;");};if (!this.DebugWindow || this.DebugWindow.closed){this.DebugWindow=window.open('fckdebug.html', 'FCKeditorDebug', 'menubar=no,scrollbars=no,resizable=yes,location=no,toolbar=no,width=600,height=500', true);};if (this.DebugWindow.Output){this.DebugWindow.Output(message, color);};};}else{FCKDebug.Output=function() {};};
-var FCKTools=new Object();FCKTools.GetLinkedFieldValue=function(){return FCK.LinkedField.value;};FCKTools.SetLinkedFieldValue=function(value){FCK.LinkedField.value=value;};FCKTools.AttachToLinkedFieldFormSubmit=function(functionPointer){var oForm=FCK.LinkedField.form;if (!oForm) return;if (FCKBrowserInfo.IsIE) oForm.attachEvent("onsubmit", functionPointer);else oForm.addEventListener('submit', functionPointer, true);if (! oForm.updateFCKEditor) oForm.updateFCKEditor=new Array();oForm.updateFCKEditor[oForm.updateFCKEditor.length]=functionPointer;if (! oForm.originalSubmit){oForm.originalSubmit=oForm.submit;oForm.submit=function(){if (this.updateFCKEditor){for (var i=0 ; i < this.updateFCKEditor.length ; i++) this.updateFCKEditor[i]();};this.originalSubmit();};};};FCKTools.AddSelectOption=function(targetDocument, selectElement, optionText, optionValue){var oOption=targetDocument.createElement("OPTION");oOption.text=optionText;oOption.value=optionValue;selectElement.options.add(oOption);return oOption;};FCKTools.RemoveAllSelectOptions=function(selectElement){for (var i=selectElement.options.length - 1 ; i >=0 ; i--){selectElement.options.remove(i);};};FCKTools.SelectNoCase=function(selectElement, value, defaultValue){var sNoCaseValue=value.toString().toLowerCase();for (var i=0 ; i < selectElement.options.length ; i++){if (sNoCaseValue==selectElement.options[i].value.toLowerCase()){selectElement.selectedIndex=i;return;};};if (defaultValue !=null ) FCKTools.SelectNoCase( selectElement, defaultValue);};FCKTools.HTMLEncode=function(text){text=text.replace(/&/g, "&amp;");text=text.replace(/"/g, "&quot;");text=text.replace(/</g, "&lt;");text=text.replace(/>/g, "&gt;");text=text.replace(/'/g, "&#146;");return text;};FCKTools.GetResultingArray=function(arraySource, separator){switch (typeof( arraySource )){case "string" : return arraySource.split(separator);case "function" : return separator();default : if (isArray( arraySource )) return arraySource;else return new Array();};};FCKTools.GetElementPosition=function(el){var c={ X:0, Y:0 };while (el){c.X +=el.offsetLeft;c.Y +=el.offsetTop;el=el.offsetParent;};return c;};FCKTools.GetElementAscensor=function(element, ascensorTagName){var e=element.parentNode;while (e){if (e.nodeName==ascensorTagName) return e;e=e.parentNode;};};
-FCKTools.AppendStyleSheet=function(documentElement, cssFileUrl){var e=documentElement.createElement('LINK');e.rel='stylesheet';e.type='text/css';e.href=cssFileUrl;documentElement.getElementsByTagName("HEAD").item(0).appendChild( e);};FCKTools.ClearElementAttributes=function(element){for (var i=0 ; i < element.attributes.length ; i++){element.removeAttribute(element.attributes[i].name, 0);};};FCKTools.GetAllChildrenIds=function(parentElement){var aIds=new Array();var fGetIds=function(parent){for (var i=0 ; i < parent.childNodes.length ; i++){var sId=parent.childNodes[i].id;if (sId && sId.length > 0) aIds[ aIds.length ]=sId;fGetIds(parent.childNodes[i]);};};fGetIds(parentElement);return aIds;}
-var FCKLanguageManager=new Object();FCKLanguageManager.AvailableLanguages={'ar'	: 'Arabic', 'en'	: 'English', 'it'	: 'Italian'};FCKLanguageManager.GetActiveLanguage=function(){if (FCKConfig.AutoDetectLanguage){var sUserLang=navigator.language ? navigator.language.toLowerCase() : navigator.userLanguage.toLowerCase();FCKDebug.Output('Navigator Language = ' + sUserLang);if (sUserLang.length >=5){sUserLang=sUserLang.substr(0,5);if (this.AvailableLanguages[sUserLang]) return sUserLang;};if (sUserLang.length >=2){sUserLang=sUserLang.substr(0,2);if (this.AvailableLanguages[sUserLang]) return sUserLang;};};return FCKConfig.DefaultLanguage;};FCKLanguageManager.TranslateElements=function(targetDocument, tag, propertyToSet){var aInputs=targetDocument.getElementsByTagName(tag);for (var i=0 ; i < aInputs.length ; i++){if (aInputs[i].attributes['fckLang']){var s=FCKLang[ aInputs[i].attributes["fckLang"].value ];eval('aInputs[i].' + propertyToSet + ' = s');};};};FCKLanguageManager.TranslatePage=function(targetDocument){this.TranslateElements(targetDocument, 'INPUT', 'value');this.TranslateElements(targetDocument, 'SPAN', 'innerHTML');this.TranslateElements(targetDocument, 'OPTION', 'innerHTML');};FCKLanguageManager.ActiveLanguage=new Object();FCKLanguageManager.ActiveLanguage.Code=FCKLanguageManager.GetActiveLanguage();FCKLanguageManager.ActiveLanguage.Name=FCKLanguageManager.AvailableLanguages[ FCKLanguageManager.ActiveLanguage.Code ];FCK.Language=FCKLanguageManager;LoadLanguageFile();
-var FCKEvents=function(eventsOwner){this.Owner=eventsOwner;this.RegisteredEvents=new Object();};FCKEvents.prototype.AttachEvent=function(eventName, functionPointer, params){if (! this.RegisteredEvents[ eventName ] ) this.RegisteredEvents[ eventName ]=new Array();this.RegisteredEvents[ eventName ][ this.RegisteredEvents[ eventName ].length ]=functionPointer;};FCKEvents.prototype.FireEvent=function(eventName, params){var bReturnValue=true;FCKDebug.Output('Firing event: ' + eventName, 'Fuchsia');var oCalls=this.RegisteredEvents[ eventName ];if (oCalls){for (i in oCalls){if (typeof( oCalls[ i ] )=="function"){bReturnValue=(bReturnValue && oCalls[ i ]( params ));}else{bReturnValue=(bReturnValue && eval( oCalls[ i ] ));};};};return bReturnValue;};
-var FCKXHtml=new Object();FCKXHtml.GetXHTML=function(node){if (window.ActiveXObject) this.XML=new ActiveXObject('Msxml2.DOMDocument');else this.XML=document.implementation.createDocument('', '', null);this.MainNode=this.XML.appendChild(this.XML.createElement( 'XHTML' ));this._AppendChildNodes(this.MainNode, node);var sXHTML=document.all ? this.MainNode.xml : FCKXHtml._GetGeckoNodeXml(this.MainNode);return sXHTML.substr(7, sXHTML.length - 15);};FCKXHtml._GetGeckoNodeXml=function(node){var oSerializer=new XMLSerializer();return oSerializer.serializeToString(node);};FCKXHtml._AppendAttribute=function(xmlNode, attributeName, attributeValue){if (attributeName=='_moz_dirty') return;var oXmlAtt=this.XML.createAttribute(attributeName);if (typeof( attributeValue )=='boolean' && attributeValue == true) oXmlAtt.value=attributeName;else oXmlAtt.value=attributeValue;xmlNode.attributes.setNamedItem(oXmlAtt);};FCKXHtml._AppendChildNodes=function(xmlNode, htmlNode){var oChildren=htmlNode.childNodes;var i=0;while (i < oChildren.length){i +=this._AppendNode(xmlNode, oChildren[i]);};};FCKXHtml._AppendNode=function(xmlNode, htmlNode){var iAddedNodes=1;switch (htmlNode.nodeType){case 1 : var sNodeName=htmlNode.nodeName.toLowerCase();var oNode=xmlNode.appendChild(this.XML.createElement( sNodeName ));var oAttributes=htmlNode.attributes;for (var n=0 ; n < oAttributes.length ; n++){var oAttribute=oAttributes[n];if (oAttribute.specified){var sAttName=oAttribute.nodeName.toLowerCase();var sAttValue=oAttribute.nodeValue;if (sAttName=='style' && document.all) sAttValue=htmlNode.style.cssText;this._AppendAttribute(oNode, sAttName, sAttValue);};};switch (sNodeName){case "script" : case "style" : oNode.appendChild(this.XML.createCDATASection( htmlNode.text ));break;case "abbr" : if (document.all){var oNextNode=htmlNode.nextSibling;while (true){iAddedNodes++;if (oNextNode && oNextNode.nodeName !='/ABBR'){this._AppendNode(oNode, oNextNode);oNextNode=oNextNode.nextSibling;}else break;};break;};case "area" : if (document.all && ! oNode.attributes.getNamedItem( 'coords' )){var sCoords=htmlNode.getAttribute('coords', 2);if (sCoords && sCoords !='0,0,0') this._AppendAttribute(oNode, 'coords', sCoords);};case "img" : if (! oNode.attributes.getNamedItem( 'alt' )) this._AppendAttribute(oNode, 'alt', '');default : this._AppendChildNodes(oNode, htmlNode);break;};break;case 3 : xmlNode.appendChild(this.XML.createTextNode( htmlNode.nodeValue ));break;default : xmlNode.appendChild(this.XML.createComment( "Element not supported - Type: " + htmlNode.nodeType + " Name: " + htmlNode.nodeName ));break;};return iAddedNodes;};
-FCK.Events=new FCKEvents(FCK);FCK.Toolbar=null;FCK.SetStatus=function(newStatus){this.Status=newStatus;if (newStatus==FCK_STATUS_ACTIVE){if (FCKConfig.StartupFocus) FCK.Focus();if (FCKBrowserInfo.IsIE) FCKScriptLoader.AddScript('js/fckeditorcode_ie_2.js');else FCKScriptLoader.AddScript('js/fckeditorcode_gecko_2.js');};this.Events.FireEvent('OnStatusChange', newStatus);if (this.OnStatusChange ) this.OnStatusChange( newStatus);};FCK.SetHTML=function(html, forceWYSIWYG){if (forceWYSIWYG || FCK.EditMode==FCK_EDITMODE_WYSIWYG){if (FCKBrowserInfo.IsGecko) FCK.EditorDocument.designMode="off";this.EditorDocument.body.innerHTML=html;if (FCKBrowserInfo.IsGecko){FCK.EditorDocument.designMode="on";FCK.EditorDocument.execCommand("useCSS", false, !FCKConfig.GeckoUseSPAN);};}else document.getElementById('eSourceField').value = html;};FCK.GetHTML=function(){if (FCK.EditMode==FCK_EDITMODE_WYSIWYG) return this.EditorDocument.body.innerHTML;else return document.getElementById('eSourceField').value;};FCK.GetXHTML=function(){var bSource=(FCK.EditMode==FCK_EDITMODE_SOURCE);if (bSource) this.SwitchEditMode();var sXHTML=FCKXHtml.GetXHTML(this.EditorDocument.body);if (bSource) this.SwitchEditMode();return sXHTML;};FCK.UpdateLinkedField=function(){if (FCKConfig.EnableXHTML) FCKTools.SetLinkedFieldValue(FCK.GetXHTML());else FCKTools.SetLinkedFieldValue(FCK.GetHTML());};FCK.ShowContextMenu=function(x, y){if (this.Status !=FCK_STATUS_COMPLETE) return;FCKContextMenu.Show(x, y);this.Events.FireEvent("OnContextMenu");};
-FCK.Description="FCKeditor for Gecko Browsers";FCK.StartEditor=function(){this.EditorWindow=window.frames[ 'eEditorArea' ];this.EditorDocument=this.EditorWindow.document;this.SetHTML(FCKTools.GetLinkedFieldValue());FCKTools.AttachToLinkedFieldFormSubmit(this.UpdateLinkedField);var oOnContextMenu=function(e){e.preventDefault();FCK.ShowContextMenu(e.clientX, e.clientY);};this.EditorDocument.addEventListener('contextmenu', oOnContextMenu, true);var oOnKeyDown=function(e){if (e.ctrlKey && !e.shiftKey && !e.altKey){if (e.which==86 || e.which==118){if (FCK.Status==FCK_STATUS_COMPLETE){if (!FCK.Events.FireEvent( "OnPaste" )) e.preventDefault();}else e.preventDefault();};};};this.EditorDocument.addEventListener('keydown', oOnKeyDown, true);var oOnSelectionChange=function(e){FCK.Events.FireEvent("OnSelectionChange");};this.EditorDocument.addEventListener('mouseup', oOnSelectionChange, false);this.EditorDocument.addEventListener('keyup', oOnSelectionChange, false);this.SetStatus(FCK_STATUS_ACTIVE);};FCK.Focus=function(){this.EditorWindow.focus();};
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * This file has been compacted for best loading performance.
+ */
+var FCKDebug=new Object();if (FCKConfig.Debug){FCKDebug.Output=function(message,color){if (!FCKConfig.Debug) return;if (message!=null&&isNaN(message)) message=message.replace(/</g,"&lt;");if (!this.DebugWindow||this.DebugWindow.closed) this.DebugWindow=window.open('fckdebug.html','FCKeditorDebug','menubar=no,scrollbars=no,resizable=yes,location=no,toolbar=no,width=600,height=500',true);if (this.DebugWindow.Output) this.DebugWindow.Output(message,color);};}else FCKDebug.Output=function() {};
+var FCKTools=new Object();FCKTools.GetLinkedFieldValue=function(){return FCK.LinkedField.value;};FCKTools.SetLinkedFieldValue=function(value){if (FCKConfig.FormatOutput) FCK.LinkedField.value=FCKCodeFormatter.Format(value);else FCK.LinkedField.value=value;};FCKTools.AttachToLinkedFieldFormSubmit=function(functionPointer){var oForm=FCK.LinkedField.form;if (!oForm) return;if (FCKBrowserInfo.IsIE) oForm.attachEvent("onsubmit",functionPointer);else oForm.addEventListener('submit',functionPointer,true);if (!oForm.updateFCKEditor) oForm.updateFCKEditor=new Array();oForm.updateFCKEditor[oForm.updateFCKEditor.length]=functionPointer;if (!oForm.originalSubmit&&(typeof(oForm.submit)=='function'||(!oForm.submit.tagName&&!oForm.submit.length))){oForm.originalSubmit=oForm.submit;oForm.submit=FCKTools_SubmitReplacer;};};function FCKTools_SubmitReplacer(){if (this.updateFCKEditor){for (var i=0;i<this.updateFCKEditor.length;i++) this.updateFCKEditor[i]();};this.originalSubmit();};FCKTools.AddSelectOption=function(targetDocument,selectElement,optionText,optionValue){var oOption=targetDocument.createElement("OPTION");oOption.text=optionText;oOption.value=optionValue;selectElement.options.add(oOption);return oOption;};FCKTools.RemoveAllSelectOptions=function(selectElement){for (var i=selectElement.options.length-1;i>=0;i--){selectElement.options.remove(i);};};FCKTools.SelectNoCase=function(selectElement,value,defaultValue){var sNoCaseValue=value.toString().toLowerCase();for (var i=0;i<selectElement.options.length;i++){if (sNoCaseValue==selectElement.options[i].value.toLowerCase()){selectElement.selectedIndex=i;return;};};if (defaultValue!=null) FCKTools.SelectNoCase(selectElement,defaultValue);};FCKTools.HTMLEncode=function(text){text=text.replace(/&/g,"&amp;");text=text.replace(/"/g,"&quot;");text=text.replace(/</g,"&lt;");text=text.replace(/>/g,"&gt;");text=text.replace(/'/g,"&#39;");return text;};FCKTools.GetResultingArray=function(arraySource,separator){switch (typeof(arraySource)){case "string":return arraySource.split(separator);case "function":return separator();default:if (isArray(arraySource)) return arraySource;else return new Array();};};FCKTools.GetElementPosition=function(el){var c={ X:0,Y:0 };while (el){c.X+=el.offsetLeft;c.Y+=el.offsetTop;el=el.offsetParent;};return c;};FCKTools.GetElementAscensor=function(element,ascensorTagName){var e=element.parentNode;while (e){if (e.nodeName==ascensorTagName) return e;e=e.parentNode;};};FCKTools.Pause=function(miliseconds){var oStart=new Date();while (true){var oNow=new Date();if (miliseconds<oNow-oStart) return;};}
+FCKTools.AppendStyleSheet=function(documentElement,cssFileUrl){var e=documentElement.createElement('LINK');e.rel='stylesheet';e.type='text/css';e.href=cssFileUrl;documentElement.getElementsByTagName("HEAD")[0].appendChild(e);};FCKTools.ClearElementAttributes=function(element){for (var i=0;i<element.attributes.length;i++){element.removeAttribute(element.attributes[i].name,0);};};FCKTools.GetAllChildrenIds=function(parentElement){var aIds=new Array();var fGetIds=function(parent){for (var i=0;i<parent.childNodes.length;i++){var sId=parent.childNodes[i].id;if (sId&&sId.length>0) aIds[aIds.length]=sId;fGetIds(parent.childNodes[i]);};};fGetIds(parentElement);return aIds;};FCKTools.RemoveOuterTags=function(e){var oFragment=e.ownerDocument.createDocumentFragment();for (var i=0;i<e.childNodes.length;i++) oFragment.appendChild(e.childNodes[i]);e.parentNode.replaceChild(oFragment,e);};FCKTools.CreateXmlObject=function(object){switch (object){case 'XmlHttp':return new XMLHttpRequest();case 'DOMDocument':return document.implementation.createDocument('','',null);};}
+var FCKRegexLib=new Object();FCKRegexLib.AposEntity=/&apos;/gi;FCKRegexLib.ObjectElements=/^(?:IMG|TABLE|TR|TD|INPUT|SELECT|TEXTAREA|HR|OBJECT)$/i;FCKRegexLib.BlockElements=/^(?:P|DIV|H1|H2|H3|H4|H5|H6|ADDRESS|PRE|OL|UL|LI)$/i;FCKRegexLib.EmptyElements=/^(?:BASE|META|LINK|HR|BR|PARAM|IMG|AREA|INPUT)$/i;FCKRegexLib.NamedCommands=/^(?:Cut|Copy|Paste|Print|SelectAll|RemoveFormat|Unlink|Undo|Redo|Bold|Italic|Underline|StrikeThrough|Subscript|Superscript|JustifyLeft|JustifyCenter|JustifyRight|JustifyFull|Outdent|Indent|InsertOrderedList|InsertUnorderedList|InsertHorizontalRule)$/i;FCKRegexLib.BodyContents=/([\s\S]*\<body[^\>]*\>)([\s\S]*)(\<\/body\>[\s\S]*)/i;FCKRegexLib.ToReplace=/___fcktoreplace:([\w]+)/ig;FCKRegexLib.MetaHttpEquiv=/http-equiv\s*=\s*["']?([^"' ]+)/i;FCKRegexLib.HasBaseTag=/<base /i;FCKRegexLib.HeadCloser=/<\/head\s*>/i;FCKRegexLib.TableBorderClass=/\s*FCK__ShowTableBorders\s*/;FCKRegexLib.ElementName=/^[A-Za-z_:][\w.-:]*$/;
+FCKLanguageManager.GetActiveLanguage=function(){if (FCKConfig.AutoDetectLanguage){var sUserLang;if (navigator.userLanguage) sUserLang=navigator.userLanguage.toLowerCase();else if (navigator.language) sUserLang=navigator.language.toLowerCase();else{return FCKConfig.DefaultLanguage;};if (sUserLang.length>=5){sUserLang=sUserLang.substr(0,5);if (this.AvailableLanguages[sUserLang]) return sUserLang;};if (sUserLang.length>=2){sUserLang=sUserLang.substr(0,2);if (this.AvailableLanguages[sUserLang]) return sUserLang;};};return this.DefaultLanguage;};FCKLanguageManager.TranslateElements=function(targetDocument,tag,propertyToSet){var aInputs=targetDocument.getElementsByTagName(tag);for (var i=0;i<aInputs.length;i++){var sKey=aInputs[i].getAttribute('fckLang');if (sKey){var s=FCKLang[sKey];if (s) eval('aInputs[i].'+propertyToSet+' = s');};};};FCKLanguageManager.TranslatePage=function(targetDocument){this.TranslateElements(targetDocument,'INPUT','value');this.TranslateElements(targetDocument,'SPAN','innerHTML');this.TranslateElements(targetDocument,'LABEL','innerHTML');this.TranslateElements(targetDocument,'OPTION','innerHTML');};if (FCKLanguageManager.AvailableLanguages[FCKConfig.DefaultLanguage]) FCKLanguageManager.DefaultLanguage=FCKConfig.DefaultLanguage;else FCKLanguageManager.DefaultLanguage='en';FCKLanguageManager.ActiveLanguage=new Object();FCKLanguageManager.ActiveLanguage.Code=FCKLanguageManager.GetActiveLanguage();FCKLanguageManager.ActiveLanguage.Name=FCKLanguageManager.AvailableLanguages[FCKLanguageManager.ActiveLanguage.Code];FCK.Language=FCKLanguageManager;LoadLanguageFile();
+var FCKEvents;if (!(FCKEvents=NS.FCKEvents)){FCKEvents=NS.FCKEvents=function(eventsOwner){this.Owner=eventsOwner;this.RegisteredEvents=new Object();};FCKEvents.prototype.AttachEvent=function(eventName,functionPointer){if (!this.RegisteredEvents[eventName]) this.RegisteredEvents[eventName]=new Array();this.RegisteredEvents[eventName][this.RegisteredEvents[eventName].length]=functionPointer;};FCKEvents.prototype.FireEvent=function(eventName,params){var bReturnValue=true;var oCalls=this.RegisteredEvents[eventName];if (oCalls){for (var i=0;i<oCalls.length;i++) bReturnValue=(oCalls[i](this.Owner,params)&&bReturnValue);};return bReturnValue;};}
+if (FCKConfig.ProcessHTMLEntities){FCKXHtmlEntities=new Object();FCKXHtmlEntities.Entities={' ':'nbsp','¡':'iexcl','¢':'cent','£':'pound','¤':'curren','¥':'yen','¦':'brvbar','§':'sect','¨':'uml','©':'copy','ª':'ordf','«':'laquo','¬':'not','­':'shy','®':'reg','¯':'macr','°':'deg','±':'plusmn','²':'sup2','³':'sup3','´':'acute','µ':'micro','¶':'para','·':'middot','¸':'cedil','¹':'sup1','º':'ordm','»':'raquo','¼':'frac14','½':'frac12','¾':'frac34','¿':'iquest','×':'times','÷':'divide','ƒ':'fnof','•':'bull','…':'hellip','′':'prime','″':'Prime','‾':'oline','⁄':'frasl','℘':'weierp','ℑ':'image','ℜ':'real','™':'trade','ℵ':'alefsym','←':'larr','↑':'uarr','→':'rarr','↓':'darr','↔':'harr','↵':'crarr','⇐':'lArr','⇑':'uArr','⇒':'rArr','⇓':'dArr','⇔':'hArr','∀':'forall','∂':'part','∃':'exist','∅':'empty','∇':'nabla','∈':'isin','∉':'notin','∋':'ni','∏':'prod','∑':'sum','−':'minus','∗':'lowast','√':'radic','∝':'prop','∞':'infin','∠':'ang','∧':'and','∨':'or','∩':'cap','∪':'cup','∫':'int','∴':'there4','∼':'sim','≅':'cong','≈':'asymp','≠':'ne','≡':'equiv','≤':'le','≥':'ge','⊂':'sub','⊃':'sup','⊄':'nsub','⊆':'sube','⊇':'supe','⊕':'oplus','⊗':'otimes','⊥':'perp','⋅':'sdot','◊':'loz','♠':'spades','♣':'clubs','♥':'hearts','♦':'diams','"':'quot','ˆ':'circ','˜':'tilde',' ':'ensp',' ':'emsp',' ':'thinsp','‌':'zwnj','‍':'zwj','‎':'lrm','‏':'rlm','–':'ndash','—':'mdash','‘':'lsquo','’':'rsquo','‚':'sbquo','“':'ldquo','”':'rdquo','„':'bdquo','†':'dagger','‡':'Dagger','‰':'permil','‹':'lsaquo','›':'rsaquo','€':'euro'};FCKXHtmlEntities.Chars='';for (var e in FCKXHtmlEntities.Entities) FCKXHtmlEntities.Chars+=e;if (FCKConfig.IncludeLatinEntities){var oEntities={'À':'Agrave','Á':'Aacute','Â':'Acirc','Ã':'Atilde','Ä':'Auml','Å':'Aring','Æ':'AElig','Ç':'Ccedil','È':'Egrave','É':'Eacute','Ê':'Ecirc','Ë':'Euml','Ì':'Igrave','Í':'Iacute','Î':'Icirc','Ï':'Iuml','Ð':'ETH','Ñ':'Ntilde','Ò':'Ograve','Ó':'Oacute','Ô':'Ocirc','Õ':'Otilde','Ö':'Ouml','Ø':'Oslash','Ù':'Ugrave','Ú':'Uacute','Û':'Ucirc','Ü':'Uuml','Ý':'Yacute','Þ':'THORN','ß':'szlig','à':'agrave','á':'aacute','â':'acirc','ã':'atilde','ä':'auml','å':'aring','æ':'aelig','ç':'ccedil','è':'egrave','é':'eacute','ê':'ecirc','ë':'euml','ì':'igrave','í':'iacute','î':'icirc','ï':'iuml','ð':'eth','ñ':'ntilde','ò':'ograve','ó':'oacute','ô':'ocirc','õ':'otilde','ö':'ouml','ø':'oslash','ù':'ugrave','ú':'uacute','û':'ucirc','ü':'uuml','ý':'yacute','þ':'thorn','ÿ':'yuml','Œ':'OElig','œ':'oelig','Š':'Scaron','š':'scaron','Ÿ':'Yuml'};for (var e in oEntities){FCKXHtmlEntities.Entities[e]=oEntities[e];FCKXHtmlEntities.Chars+=e;};oEntities=null;};if (FCKConfig.IncludeGreekEntities){var oEntities={'Α':'Alpha','Β':'Beta','Γ':'Gamma','Δ':'Delta','Ε':'Epsilon','Ζ':'Zeta','Η':'Eta','Θ':'Theta','Ι':'Iota','Κ':'Kappa','Λ':'Lambda','Μ':'Mu','Ν':'Nu','Ξ':'Xi','Ο':'Omicron','Π':'Pi','Ρ':'Rho','Σ':'Sigma','Τ':'Tau','Υ':'Upsilon','Φ':'Phi','Χ':'Chi','Ψ':'Psi','Ω':'Omega','α':'alpha','β':'beta','γ':'gamma','δ':'delta','ε':'epsilon','ζ':'zeta','η':'eta','θ':'theta','ι':'iota','κ':'kappa','λ':'lambda','μ':'mu','ν':'nu','ξ':'xi','ο':'omicron','π':'pi','ρ':'rho','ς':'sigmaf','σ':'sigma','τ':'tau','υ':'upsilon','φ':'phi','χ':'chi','ψ':'psi','ω':'omega'};for (var e in oEntities){FCKXHtmlEntities.Entities[e]=oEntities[e];FCKXHtmlEntities.Chars+=e;};oEntities=null;};FCKXHtmlEntities.EntitiesRegex=new RegExp('','');FCKXHtmlEntities.EntitiesRegex.compile('['+FCKXHtmlEntities.Chars+']|[^'+FCKXHtmlEntities.Chars+']+','g');FCKXHtmlEntities.GeckoEntitiesMarkerRegex=/#\?-\:/g;}
+var FCKXHtml=new Object();FCKXHtml.CurrentJobNum=0;FCKXHtml.GetXHTML=function(node,includeNode,format){FCKXHtml.SpecialBlocks=new Array();this.XML=FCKTools.CreateXmlObject('DOMDocument');this.MainNode=this.XML.appendChild(this.XML.createElement('xhtml'));FCKXHtml.CurrentJobNum++;if (includeNode) this._AppendNode(this.MainNode,node);else this._AppendChildNodes(this.MainNode,node,false);var sXHTML=this._GetMainXmlString();sXHTML=sXHTML.substr(7,sXHTML.length-15).trim();if (FCKConfig.ForceSimpleAmpersand) sXHTML=sXHTML.replace(/___FCKAmp___/g,'&');if (format) sXHTML=FCKCodeFormatter.Format(sXHTML);for (var i=0;i<FCKXHtml.SpecialBlocks.length;i++){var oRegex=new RegExp('___FCKsi___'+i);sXHTML=sXHTML.replace(oRegex,FCKXHtml.SpecialBlocks[i]);};this.XML=null;return sXHTML};FCKXHtml._AppendAttribute=function(xmlNode,attributeName,attributeValue){try{var oXmlAtt=this.XML.createAttribute(attributeName);oXmlAtt.value=attributeValue?attributeValue:'';xmlNode.attributes.setNamedItem(oXmlAtt);}catch (e){};};FCKXHtml._AppendChildNodes=function(xmlNode,htmlNode,isBlockElement){if (htmlNode.hasChildNodes()){var oChildren=htmlNode.childNodes;for (var i=0;i<oChildren.length;i++) this._AppendNode(xmlNode,oChildren[i]);}else{if (isBlockElement&&FCKConfig.FillEmptyBlocks){this._AppendEntity(xmlNode,'nbsp');return;};if (!FCKRegexLib.EmptyElements.test(htmlNode.nodeName)) xmlNode.appendChild(this.XML.createTextNode(''));};};FCKXHtml._AppendNode=function(xmlNode,htmlNode){switch (htmlNode.nodeType){case 1:if (FCKBrowserInfo.IsGecko&&htmlNode.hasAttribute('_moz_editor_bogus_node')) return;var sNodeName=htmlNode.nodeName;if (!FCKRegexLib.ElementName.test(sNodeName)) return;sNodeName=sNodeName.toLowerCase();if (FCKBrowserInfo.IsGecko&&sNodeName=='br'&&htmlNode.hasAttribute('type')&&htmlNode.getAttribute('type',2)=='_moz') return;if (htmlNode._fckxhtmljob==FCKXHtml.CurrentJobNum) return;else htmlNode._fckxhtmljob=FCKXHtml.CurrentJobNum;var oNode=this.XML.createElement(sNodeName);FCKXHtml._AppendAttributes(xmlNode,htmlNode,oNode,sNodeName);var oTagProcessor=FCKXHtml.TagProcessors[sNodeName];if (oTagProcessor){oNode=oTagProcessor(oNode,htmlNode);if (!oNode) break;}else this._AppendChildNodes(oNode,htmlNode,FCKRegexLib.BlockElements.test(sNodeName));xmlNode.appendChild(oNode);break;case 3:this._AppendTextNode(xmlNode,htmlNode.nodeValue.replaceNewLineChars(' '));break;case 8:xmlNode.appendChild(this.XML.createComment(htmlNode.nodeValue));break;default:xmlNode.appendChild(this.XML.createComment("Element not supported - Type: "+htmlNode.nodeType+" Name: "+htmlNode.nodeName));break;};};FCKXHtml._AppendSpecialItem=function(item){return '___FCKsi___'+FCKXHtml.SpecialBlocks.addItem(item);};if (FCKConfig.ProcessHTMLEntities){FCKXHtml._AppendTextNode=function(targetNode,textValue){var asPieces=textValue.match(FCKXHtmlEntities.EntitiesRegex);if (asPieces){for (var i=0;i<asPieces.length;i++){if (asPieces[i].length==1){var sEntity=FCKXHtmlEntities.Entities[asPieces[i]];if (sEntity!=null){this._AppendEntity(targetNode,sEntity);continue;};};targetNode.appendChild(this.XML.createTextNode(asPieces[i]));};};};}else{FCKXHtml._AppendTextNode=function(targetNode,textValue){targetNode.appendChild(this.XML.createTextNode(textValue));};};FCKXHtml.TagProcessors=new Object();FCKXHtml.TagProcessors['img']=function(node){if (!node.attributes.getNamedItem('alt')) FCKXHtml._AppendAttribute(node,'alt','');return node;};FCKXHtml.TagProcessors['script']=function(node,htmlNode){if (!node.attributes.getNamedItem('type')) FCKXHtml._AppendAttribute(node,'type','text/javascript');node.appendChild(FCKXHtml.XML.createTextNode(FCKXHtml._AppendSpecialItem(htmlNode.text)));return node;};FCKXHtml.TagProcessors['style']=function(node,htmlNode){if (htmlNode.getAttribute('_fcktemp')) return null;if (!node.attributes.getNamedItem('type')) FCKXHtml._AppendAttribute(node,'type','text/css');node.appendChild(FCKXHtml.XML.createTextNode(FCKXHtml._AppendSpecialItem(htmlNode.innerHTML)));return node;};FCKXHtml.TagProcessors['title']=function(node,htmlNode){node.appendChild(FCKXHtml.XML.createTextNode(FCK.EditorDocument.title));return node;};FCKXHtml.TagProcessors['base']=function(node,htmlNode){if (htmlNode.getAttribute('_fcktemp')) return null;return node;};FCKXHtml.TagProcessors['link']=function(node,htmlNode){if (htmlNode.getAttribute('_fcktemp')) return null;return node;};FCKXHtml.TagProcessors['table']=function(node,htmlNode){var oClassAtt=node.attributes.getNamedItem('class');if (oClassAtt&&FCKRegexLib.TableBorderClass.test(oClassAtt.nodeValue)){var sClass=oClassAtt.nodeValue.replace(FCKRegexLib.TableBorderClass,'');if (sClass.length==0) node.attributes.removeNamedItem('class');else FCKXHtml._AppendAttribute(node,'class',sClass);};FCKXHtml._AppendChildNodes(node,htmlNode,false);return node;}
+FCKXHtml._GetMainXmlString=function(){var oSerializer=new XMLSerializer();if (FCKConfig.ProcessHTMLEntities){return oSerializer.serializeToString(this.MainNode).replace(FCKXHtmlEntities.GeckoEntitiesMarkerRegex,'&');}else return oSerializer.serializeToString(this.MainNode);};FCKXHtml._AppendEntity=function(xmlNode,entity){xmlNode.appendChild(this.XML.createTextNode('#?-:'+entity+';'));};FCKXHtml._AppendAttributes=function(xmlNode,htmlNode,node){var aAttributes=htmlNode.attributes;for (var n=0;n<aAttributes.length;n++){var oAttribute=aAttributes[n];if (oAttribute.specified){var sAttName=oAttribute.nodeName.toLowerCase();if (sAttName=='_fckxhtmljob') continue;else if (sAttName.indexOf('_moz')==0) continue;else if (sAttName=='class') var sAttValue=oAttribute.nodeValue;else if (oAttribute.nodeValue===true) sAttValue=sAttName;else var sAttValue=htmlNode.getAttribute(sAttName,2);if (FCKConfig.ForceSimpleAmpersand&&sAttValue.replace) sAttValue=sAttValue.replace(/&/g,'___FCKAmp___');this._AppendAttribute(node,sAttName,sAttValue);};};}
+var FCKCodeFormatter;if (!(FCKCodeFormatter=NS.FCKCodeFormatter)){FCKCodeFormatter=NS.FCKCodeFormatter=new Object();FCKCodeFormatter.Regex=new Object();FCKCodeFormatter.Regex.BlocksOpener=/\<(P|DIV|H1|H2|H3|H4|H5|H6|ADDRESS|PRE|OL|UL|LI|TITLE|META|LINK|BASE|SCRIPT|LINK|TD|AREA|OPTION)[^\>]*\>/gi;FCKCodeFormatter.Regex.BlocksCloser=/\<\/(P|DIV|H1|H2|H3|H4|H5|H6|ADDRESS|PRE|OL|UL|LI|TITLE|META|LINK|BASE|SCRIPT|LINK|TD|AREA|OPTION)[^\>]*\>/gi;FCKCodeFormatter.Regex.NewLineTags=/\<(BR|HR)[^\>]\>/gi;FCKCodeFormatter.Regex.MainTags=/\<\/?(HTML|HEAD|BODY|FORM|TABLE|TBODY|THEAD|TR)[^\>]*\>/gi;FCKCodeFormatter.Regex.LineSplitter=/\s*\n+\s*/g;FCKCodeFormatter.Regex.IncreaseIndent=/^\<(HTML|HEAD|BODY|FORM|TABLE|TBODY|THEAD|TR|UL|OL)[ \/\>]/i;FCKCodeFormatter.Regex.DecreaseIndent=/^\<\/(HTML|HEAD|BODY|FORM|TABLE|TBODY|THEAD|TR|UL|OL)[ \>]/i;FCKCodeFormatter.Regex.FormatIndentatorRemove=new RegExp(FCKConfig.FormatIndentator);FCKCodeFormatter.Format=function(html){var sFormatted=html.replace(this.Regex.BlocksOpener,'\n$&');;sFormatted=sFormatted.replace(this.Regex.BlocksCloser,'$&\n');sFormatted=sFormatted.replace(this.Regex.NewLineTags,'$&\n');sFormatted=sFormatted.replace(this.Regex.MainTags,'\n$&\n');var sIndentation='';var asLines=sFormatted.split(this.Regex.LineSplitter);sFormatted='';for (var i=0;i<asLines.length;i++){var sLine=asLines[i];if (sLine.length==0) continue;if (this.Regex.DecreaseIndent.test(sLine)) sIndentation=sIndentation.replace(this.Regex.FormatIndentatorRemove,'');sFormatted+=sIndentation+sLine+'\n';if (this.Regex.IncreaseIndent.test(sLine)) sIndentation+=FCKConfig.FormatIndentator;};return sFormatted.trim();};}
+var FCKUndo=new Object();FCKUndo.SaveUndoStep=function(){}
+FCK.Events=new FCKEvents(FCK);FCK.Toolbar=null;FCK.TempBaseTag=FCKConfig.BaseHref.length>0?'<base href="'+FCKConfig.BaseHref+'" _fcktemp="true"></base>':'';FCK.StartEditor=function(){this.EditorWindow=window.frames['eEditorArea'];this.EditorDocument=this.EditorWindow.document;this.SetHTML(FCKTools.GetLinkedFieldValue());FCKTools.AttachToLinkedFieldFormSubmit(this.UpdateLinkedField);FCKUndo.SaveUndoStep();this.SetStatus(FCK_STATUS_ACTIVE);};function Window_OnFocus(){FCK.Focus();};FCK.SetStatus=function(newStatus){this.Status=newStatus;if (newStatus==FCK_STATUS_ACTIVE){window.onfocus=window.document.body.onfocus=Window_OnFocus;if (FCKConfig.StartupFocus) FCK.Focus();if (FCKBrowserInfo.IsIE) FCKScriptLoader.AddScript('js/fckeditorcode_ie_2.js');else FCKScriptLoader.AddScript('js/fckeditorcode_gecko_2.js');};this.Events.FireEvent('OnStatusChange',newStatus);};FCK.GetHTML=function(format){var sHTML;if (FCK.EditMode==FCK_EDITMODE_WYSIWYG){if (FCKBrowserInfo.IsIE) sHTML=this.EditorDocument.body.innerHTML.replace(FCKRegexLib.ToReplace,'$1');else sHTML=this.EditorDocument.body.innerHTML;}else sHTML=document.getElementById('eSourceField').value;if (format) return FCKCodeFormatter.Format(sHTML);else return sHTML;};FCK.GetXHTML=function(format){var bSource=(FCK.EditMode==FCK_EDITMODE_SOURCE);if (bSource) this.SwitchEditMode();if (FCKConfig.FullPage) var sXHTML=FCKXHtml.GetXHTML(this.EditorDocument.getElementsByTagName('html')[0],true,format);else var sXHTML=FCKXHtml.GetXHTML(this.EditorDocument.body,false,format);if (bSource) this.SwitchEditMode();if (FCKBrowserInfo.IsIE) sXHTML=sXHTML.replace(FCKRegexLib.ToReplace,'$1');if (FCK.DocTypeDeclaration&&FCK.DocTypeDeclaration.length>0) sXHTML=FCK.DocTypeDeclaration+'\n'+sXHTML;if (FCK.XmlDeclaration&&FCK.XmlDeclaration.length>0) sXHTML=FCK.XmlDeclaration+'\n'+sXHTML;return sXHTML;};FCK.UpdateLinkedField=function(){if (FCKConfig.EnableXHTML) FCKTools.SetLinkedFieldValue(FCK.GetXHTML(FCKConfig.FormatOutput));else FCKTools.SetLinkedFieldValue(FCK.GetHTML(FCKConfig.FormatOutput));};FCK.ShowContextMenu=function(x,y){if (this.Status!=FCK_STATUS_COMPLETE) return;FCKContextMenu.Show(x,y);this.Events.FireEvent("OnContextMenu");};FCK.RegisteredDoubleClickHandlers=new Object();FCK.OnDoubleClick=function(element){var oHandler=FCK.RegisteredDoubleClickHandlers[element.tagName];if (oHandler) oHandler(element);};FCK.RegisterDoubleClickHandler=function(handlerFunction,tag){FCK.RegisteredDoubleClickHandlers[tag.toUpperCase()]=handlerFunction;};
+FCK.Description="FCKeditor for Gecko Browsers";FCK.InitializeBehaviors=function(){var oOnContextMenu=function(e){e.preventDefault();FCK.ShowContextMenu(e.clientX,e.clientY);};this.EditorDocument.addEventListener('contextmenu',oOnContextMenu,true);this.ExecOnSelectionChange=function(){FCK.Events.FireEvent("OnSelectionChange");};this.ExecOnSelectionChangeTimer=function(){if (FCK.LastOnChangeTimer) window.clearTimeout(FCK.LastOnChangeTimer);FCK.LastOnChangeTimer=window.setTimeout(FCK.ExecOnSelectionChange,100);};this.EditorDocument.addEventListener('mouseup',this.ExecOnSelectionChange,false);this.EditorDocument.addEventListener('keyup',this.ExecOnSelectionChangeTimer,false);this._DblClickListener=function(e){FCK.OnDoubleClick(e.target);e.stopPropagation();};this.EditorDocument.addEventListener('dblclick',this._DblClickListener,true);this._OnLoad=function(){if (this._FCK_HTML){this.document.body.innerHTML=this._FCK_HTML;this._FCK_HTML=null;};};this.EditorWindow.addEventListener('load',this._OnLoad,true);};FCK.MakeEditable=function(){if (this.EditorWindow.document.designMode=='on') return;this.EditorWindow.document.designMode='on';this.EditorWindow.document.execCommand('useCSS',false,!FCKConfig.GeckoUseSPAN);};FCK.Focus=function(){try{FCK.EditorWindow.focus();}catch(e) {};};FCK.SetHTML=function(html,forceWYSIWYG){if (forceWYSIWYG||FCK.EditMode==FCK_EDITMODE_WYSIWYG){if (FCKConfig.FullPage&&FCKRegexLib.BodyContents.test(html)){if (FCK.TempBaseTag.length>0&&!FCKRegexLib.HasBaseTag.test(html)) html=html.replace(FCKRegexLib.HeadCloser,FCK.TempBaseTag+'</head>');html=html.replace(FCKRegexLib.HeadCloser,'<link href="'+FCKConfig.BasePath+'css/fck_internal.css'+'" rel="stylesheet" type="text/css" _fcktemp="true" /></head>');var oMatch=html.match(FCKRegexLib.BodyContents);var sOpener=oMatch[1];var sContents=oMatch[2];var sCloser=oMatch[3];var sHtml=sOpener+'&nbsp;'+sCloser;if (!this._Initialized){FCK.EditorDocument.designMode="on";FCK.EditorDocument.execCommand("useCSS",false,!FCKConfig.GeckoUseSPAN);this._Initialized=true;};this.EditorDocument.open();this.EditorDocument.write(sHtml);this.EditorDocument.close();if (this.EditorDocument.body) this.EditorDocument.body.innerHTML=sContents;else this.EditorWindow._FCK_HTML=sContents;this.InitializeBehaviors();}else{if (!this._Initialized){this.EditorDocument.dir=FCKConfig.ContentLangDirection;var sHtml='<title></title>'+'<link href="'+FCKConfig.EditorAreaCSS+'" rel="stylesheet" type="text/css" />'+'<link href="'+FCKConfig.BasePath+'css/fck_internal.css'+'" rel="stylesheet" type="text/css" _fcktemp="true" />';sHtml+=FCK.TempBaseTag;this.EditorDocument.getElementsByTagName("HEAD")[0].innerHTML=sHtml;this.InitializeBehaviors();this._Initialized=true;};FCK.EditorDocument.designMode='off';FCK.EditorDocument.body.innerHTML=html;FCK.EditorDocument.designMode='on';FCK.EditorDocument.execCommand('useCSS',false,!FCKConfig.GeckoUseSPAN);};this.Events.FireEvent('OnAfterSetHTML');}else document.getElementById('eSourceField').value=html;}
diff -urN soojung-0.4.8/libs/fckeditor/editor/js/fckeditorcode_gecko_2.js soojung/libs/fckeditor/editor/js/fckeditorcode_gecko_2.js
--- soojung-0.4.8/libs/fckeditor/editor/js/fckeditorcode_gecko_2.js	2004-12-27 20:50:31.000000000 +0900
+++ soojung/libs/fckeditor/editor/js/fckeditorcode_gecko_2.js	2005-06-11 10:32:45.000000000 +0900
@@ -1,45 +1,54 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * This file has been compacted for best loading performance.
- * 
- * Version: 2.0 Beta 2
- * Created: 2004-09-10 02:40:08
- */
-FCK.ExecuteNamedCommand=function(commandName, commandParameter){FCK.Focus();FCK.EditorDocument.execCommand(commandName, false, commandParameter);FCK.Events.FireEvent('OnSelectionChange');};FCK.GetNamedCommandState=function(commandName){try{if (!FCK.EditorDocument.queryCommandEnabled( commandName )) return FCK_TRISTATE_DISABLED;else return FCK.EditorDocument.queryCommandState(commandName) ? FCK_TRISTATE_ON : FCK_TRISTATE_OFF;}catch (e){return FCK_TRISTATE_OFF;};};FCK.GetNamedCommandValue=function(commandName){var sValue='';var eState=FCK.GetNamedCommandState(commandName);if (eState==FCK_TRISTATE_DISABLED) return null;try{sValue=this.EditorDocument.queryCommandValue(commandName);}catch(e) {};return sValue ? sValue : '';};FCK.CreateLink=function(url){if (url.length==0) FCK.ExecuteNamedCommand('Unlink');else{FCK.ExecuteNamedCommand('CreateLink', "javascript:void(0);/*fckeditortemplink*/");var oLinks=this.EditorDocument.links;for (i=0 ; i < oLinks.length ; i++){if (oLinks[i].href=="javascript:void(0);/*fckeditortemplink*/"){oLinks[i].href=url;return oLinks[i];};};};};FCK.CleanAndPaste=function(html){html=html.replace(/<\/?SPAN[^>]*>/gi, "");html=html.replace(/<(\w[^>]*) class=([^ |>]*)([^>]*)/gi, "<$1$3");html=html.replace(/<(\w[^>]*) style="([^"]*)"([^>]*)/gi, "<$1$3");html=html.replace(/<(\w[^>]*) lang=([^ |>]*)([^>]*)/gi, "<$1$3");html=html.replace(/<\\?\?xml[^>]*>/gi, "");html=html.replace(/<\/?\w+:[^>]*>/gi, "");html=html.replace(/&nbsp;/, " ");var re=new RegExp("(<P)([^>]*>.*?)(<\/P>)","gi");html=html.replace(re, "<div$2</div>");FCK.InsertHtml(html);};FCK.Preview=function(){var oWindow=window.open('', null, 'toolbar=yes,location=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes');oWindow.document.write(FCK.GetHTML());oWindow.document.close();};FCK.SwitchEditMode=function(){var bWYSIWYG=(FCK.EditMode==FCK_EDITMODE_WYSIWYG);document.getElementById('eWysiwyg').style.display	= bWYSIWYG ? "none" : "";document.getElementById('eSource').style.display	= bWYSIWYG ? "" : "none";if (bWYSIWYG) document.getElementById('eSourceField').value = ( FCKConfig.EnableXHTML && FCKConfig.EnableSourceXHTML ? FCK.GetXHTML() : FCK.GetHTML());else FCK.SetHTML(FCK.GetHTML(), true);FCK.EditMode=bWYSIWYG ? FCK_EDITMODE_SOURCE : FCK_EDITMODE_WYSIWYG;FCK.Focus();FCKToolbarSet.RefreshItemsState();};
-FCK._BaseGetNamedCommandState=FCK.GetNamedCommandState;FCK.GetNamedCommandState=function(commandName){switch (commandName){case 'Unlink' : return FCKSelection.HasAncestorNode('A') ? FCK_TRISTATE_OFF : FCK_TRISTATE_DISABLED;default : return FCK._BaseGetNamedCommandState(commandName);};};FCK._BaseExecuteNamedCommand=FCK.ExecuteNamedCommand;FCK.ExecuteNamedCommand=function(commandName, commandParameter){switch (commandName){case 'Print' : FCK.EditorWindow.print();break;case 'Paste' : try			{ if (FCK.Paste() ) FCK._BaseExecuteNamedCommand( 'Paste') ; }catch (e)	{ alert( "Your browser security settings don't permit the editor to automaticaly execute pasting operations. Please use the keyboard for that (Ctrl+V).") ;};break;case 'Cut' : try			{ FCK._BaseExecuteNamedCommand('Cut') ; }catch (e)	{ alert( "Your browser security settings don't permit the editor to automaticaly execute cutting operations. Please use the keyboard for that (Ctrl+X).") ;};break;case 'Copy' : try			{ FCK._BaseExecuteNamedCommand('Copy') ; }catch (e)	{ alert( "Your browser security settings don't permit the editor to automaticaly execute copying operations. Please use the keyboard for that (Ctrl+C).") ;};break;default : FCK._BaseExecuteNamedCommand(commandName, commandParameter);};};FCK.AttachToOnSelectionChange=function(functionPointer){this.Events.AttachEvent('OnSelectionChange', functionPointer);};FCK.Paste=function(){if (FCKConfig.ForcePasteAsPlainText){FCK.PasteAsPlainText();return false;}else if (FCKConfig.AutoDetectPasteFromWord && FCKBrowserInfo.IsIE55OrMore){var sHTML=FCK.GetClipboardHTML();var re=/<\w[^>]* class="?MsoNormal"?/gi;if (re.test( sHTML )){if (confirm( FCKLang["PasteWordConfirm"] )){FCK.CleanAndPaste(sHTML);return false;};};}else return true;};FCK.InsertHtml=function(html){var oSel=FCKSelection.Delete();var oRange=oSel.getRangeAt(0);var oFragment=oRange.createContextualFragment(html);var oLastNode=oFragment.lastChild;oRange.insertNode(oFragment);oRange.setEndAfter(oLastNode);oRange.setStartAfter(oLastNode);oSel.removeAllRanges();oSel=FCK.EditorWindow.getSelection();oSel.addRange(oRange);this.Focus();};FCK.InsertElement=function(element){var oSel=FCKSelection.Delete();var oRange=oSel.getRangeAt(0);oRange.insertNode(element);oRange.setEndAfter(element);oRange.setStartAfter(element);this.Focus();};FCK.PasteAsPlainText=function(){FCKDialog.OpenDialog('FCKDialog_Paste', 'Paste as Plain Text', 'dialog/fck_paste.html', 400, 330, 'PlainText');};FCK.PasteFromWord=function(){FCKDialog.OpenDialog('FCKDialog_Paste', 'Paste from Word', 'dialog/fck_paste.html', 400, 330, 'Word');};FCK.GetClipboardHTML=function(){return '';};
-var FCKSelection=new Object();FCK.Selection=FCKSelection;
-FCKSelection.GetSelectedElement=function(){var oSel=FCK.EditorWindow.getSelection();if (oSel.rangeCount==1){var oRange=oSel.getRangeAt(0);if (oRange.startContainer==oRange.endContainer && (oRange.endOffset - oRange.startOffset)==1) return oSel.anchorNode.childNodes[ oSel.anchorOffset ];};};FCKSelection.MoveToNode=function(node){var oSel=FCK.EditorWindow.getSelection();for (i=oSel.rangeCount - 1 ; i >=0 ; i--){if (i==0) oSel.getRangeAt(i).selectNodeContents( node);else oSel.removeRange(oSel.getRangeAt(i));};};FCKSelection.HasAncestorNode=function(nodeTagName){var oContainer=this.GetSelectedElement();if (! oContainer && FCK.EditorWindow){try		{ oContainer=FCK.EditorWindow.getSelection().getRangeAt(0).startContainer ; }catch(e){};};while (oContainer){if (oContainer.tagName==nodeTagName) return true;oContainer=oContainer.parentNode;};return false;};FCKSelection.MoveToAncestorNode=function(nodeTagName){var oNode;var oContainer=this.GetSelectedElement();if (! oContainer) oContainer=FCK.EditorWindow.getSelection().getRangeAt(0).startContainer;while (oContainer){if (oContainer.tagName==nodeTagName) return oContainer;oContainer=oContainer.parentNode;};};FCKSelection.Delete=function(){var oSel=FCK.EditorWindow.getSelection();for (var i=0 ; i < oSel.rangeCount ; i++){oSel.getRangeAt(i).deleteContents();};return oSel;}
-var FCKPanel=function(){};FCKPanel.prototype.Create=function(){this.PanelDiv=window.parent.document.createElement('DIV');this.PanelDiv.style.visibility='hidden';this.PanelDiv.className='FCK_Panel';this.PanelDiv.style.zIndex=10000;this.PanelDiv.oncontextmenu=function() { return false ;};window.parent.document.body.appendChild(this.PanelDiv);if (this.CreatePanelBody) this.CreatePanelBody(window.parent.document, this.PanelDiv);this.Created=true;};FCKPanel.prototype.Show=function(panelX, panelY){if (! this.Created) this.Create();this.PanelDiv.style.left=panelX + 'px';this.PanelDiv.style.top=panelY + 'px';var oActualWindow=FCK.EditorWindow;while (oActualWindow){oActualWindow.document.addEventListener('click', this._OnDocumentClick, false);if (oActualWindow !=oActualWindow.parent) oActualWindow=oActualWindow.parent;else if (oActualWindow.opener==null) oActualWindow=oActualWindow.opener;else break;};this.PanelDiv.style.visibility='';FCK.ActivePanel=this;};FCKPanel.prototype._OnDocumentClick=function(event){if (! FCK.ActivePanel) return;var e=event.target;while (e){if (e==FCK.ActivePanel.PanelDiv) return;e=e.parentNode;};FCK.ActivePanel.Hide();};FCKPanel.prototype.Hide=function(){this.PanelDiv.style.visibility='hidden';this.PanelDiv.style.left=this.PanelDiv.style.top='1px';delete FCK.ActivePanel;}
-var FCKColorPanel=function(setColorFunction){this.SetColorFunction=setColorFunction;};FCKColorPanel.prototype=new FCKPanel;FCKColorPanel.prototype.CreatePanelBody=function(targetDocument, targetDiv){function CreateSelectionDiv(){var oDiv=targetDocument.createElement("DIV");oDiv.className='ColorDeselected';oDiv.onmouseover=function() { this.className='ColorSelected' ; };oDiv.onmouseout=function() { this.className='ColorDeselected' ; };return oDiv;};var oTable=targetDocument.createElement("TABLE");oTable.cellPadding=0;oTable.cellSpacing=0;oTable.border=0;var oDiv=CreateSelectionDiv();oDiv.innerHTML='<table cellspacing="0" cellpadding="0" width="100%" border="0">\ <tr>\ <td><div class="ColorBoxBorder"><div class="ColorBox" style="background-color: #000000"></div></div></td>\ <td nowrap width="100%" align="center" unselectable="on">Automatic</td>\ </tr>\ </table>';oDiv.Panel=this;oDiv.onclick=function(){this.className='ColorDeselected';this.Panel.SetColorFunction('');this.Panel.Hide();};var oCell=oTable.insertRow(-1).insertCell(-1);oCell.colSpan=8;oCell.appendChild(oDiv);var aColors=FCKConfig.FontColors.split(',');var iCounter=0;while (iCounter < aColors.length){var oRow=oTable.insertRow(-1);for (var i=0 ; i < 8 && iCounter < aColors.length ; i++, iCounter++){var oDiv=CreateSelectionDiv();oDiv.Color=aColors[iCounter];oDiv.innerHTML='<div class="ColorBoxBorder"><div class="ColorBox" style="background-color: #' + aColors[iCounter] + '"></div></div>';oDiv.Panel=this;oDiv.onclick=function(){this.className='ColorDeselected';this.Panel.SetColorFunction('#' + this.Color);this.Panel.Hide();};oCell=oRow.insertCell(-1);oCell.appendChild(oDiv);};};var oDiv=CreateSelectionDiv();oDiv.innerHTML='<table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td nowrap align="center">More Colors...</td></tr></table>';oDiv.Panel=this;oDiv.onclick=function(){this.className='ColorDeselected';this.Panel.Hide();FCKDialog.OpenDialog('FCKDialog_Color', 'Select a Color', 'dialog/fck_colorselector.html', 400, 330, this.Panel.SetColorFunction);};var oCell=oTable.insertRow(-1).insertCell(-1);oCell.colSpan=8;oCell.appendChild(oDiv);targetDiv.appendChild(oTable);}
-var FCKTableHandler=new Object();FCKTableHandler.InsertRow=function(){var oRow=FCKSelection.MoveToAncestorNode("TR");if (!oRow) return;var oNewRow=oRow.cloneNode(true);oRow.parentNode.insertBefore(oNewRow, oRow);FCKTableHandler.ClearRow(oRow);};FCKTableHandler.DeleteRows=function(row){if (!row) row=FCKSelection.MoveToAncestorNode("TR");if (!row) return;var oTable=FCKTools.GetElementAscensor(row, 'TABLE');if (oTable.rows.length==1){FCKTableHandler.DeleteTable(oTable);return;};row.parentNode.removeChild(row);};FCKTableHandler.DeleteTable=function(table){if (!table) table=FCKSelection.MoveToAncestorNode("TABLE");if (!table) return;table.parentNode.removeChild(table);};FCKTableHandler.InsertColumn=function(){var oCell=FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oTable=FCKTools.GetElementAscensor(oCell, 'TABLE');var iIndex=oCell.cellIndex + 1;for (var i=0 ; i < oTable.rows.length ; i++){var oRow=oTable.rows[i];if (oRow.cells.length < iIndex) continue;oCell=FCK.EditorDocument.createElement('TD');oCell.innerHTML='&nbsp;';var oBaseCell=oRow.cells[iIndex];if (oBaseCell){oRow.insertBefore(oCell, oBaseCell);}else{oRow.appendChild(oCell);};};};FCKTableHandler.DeleteColumns=function(){var oCell=FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oTable=FCKTools.GetElementAscensor(oCell, 'TABLE');var iIndex=oCell.cellIndex;for (var i=oTable.rows.length - 1 ; i >=0 ; i--){var oRow=oTable.rows[i];if (iIndex==0 && oRow.cells.length==1){FCKTableHandler.DeleteRows(oRow);continue;};if (oRow.cells[iIndex]) oRow.removeChild(oRow.cells[iIndex]);};};FCKTableHandler.InsertCell=function(){var oCell=FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oNewCell=FCK.EditorDocument.createElement("TD");oNewCell.innerHTML="&nbsp;";if (oCell.cellIndex==oCell.parentNode.cells.lenght - 1){oCell.parentNode.appendChild(oNewCell);}else{oCell.parentNode.insertBefore(oNewCell, oCell.nextSibling);};};FCKTableHandler.DeleteCell=function(cell){if (cell.parentNode.cells.length==1){FCKTableHandler.DeleteRows(FCKTools.GetElementAscensor( cell, 'TR' ));return;};cell.parentNode.removeChild(cell);};FCKTableHandler.DeleteCells=function(){var aCells=FCKTableHandler.GetSelectedCells();for (var i=aCells.length - 1 ; i >=0  ; i--){FCKTableHandler.DeleteCell(aCells[i]);};};FCKTableHandler.MergeCells=function(){alert('Command not implemented.');};FCKTableHandler.SplitCell=function(){alert('Command not implemented.');};FCKTableHandler.ClearRow=function(tr){var aCells=tr.cells;for (var i=0 ; i < aCells.length ; i++){aCells[i].innerHTML='&nbsp;';};}
-FCKTableHandler.GetSelectedCells=function(){var aCells=new Array();var oSelection=FCK.EditorWindow.getSelection();if (oSelection.rangeCount==1 && oSelection.anchorNode.nodeType==3){var oParent=FCKTools.GetElementAscensor(oSelection.anchorNode, 'TD');if (oParent){aCells[0]=oParent;return aCells;};};for (var i=0 ; i < oSelection.rangeCount ; i++){var oRange=oSelection.getRangeAt(i);var oCell=oRange.startContainer.childNodes[ oRange.startOffset ];if (oCell.tagName=='TD') aCells[aCells.length]=oCell;};return aCells;};
-var FCKNamedCommand=function(commandName){this.Name=commandName;};FCKNamedCommand.prototype.Execute=function(){FCK.ExecuteNamedCommand(this.Name);};FCKNamedCommand.prototype.GetState=function(){return FCK.GetNamedCommandState(this.Name);};
-var FCKDialogCommand=function(name, title, url, width, height, getStateFunction, getStateParam){this.Name=name;this.Title=title;this.Url=url;this.Width=width;this.Height=height;this.GetStateFunction=getStateFunction;this.GetStateParam=getStateParam;};FCKDialogCommand.prototype.Execute=function(){FCKDialog.OpenDialog('FCKDialog_' + this.Name , this.Title, this.Url, this.Width, this.Height);};FCKDialogCommand.prototype.GetState=function(){if (this.GetStateFunction){return this.GetStateFunction(this.GetStateParam);}else{return FCK_TRISTATE_OFF;};};var FCKUndefinedCommand=function(){this.Name='Undefined';};FCKUndefinedCommand.prototype.Execute=function(){alert('Command not implemented.');};FCKUndefinedCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKFontNameCommand=function(){this.Name='FontName';};FCKFontNameCommand.prototype.Execute=function(fontName){if (fontName==null || fontName==""){}else{FCK.ExecuteNamedCommand('FontName', fontName);};};FCKFontNameCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FontName');};var FCKFontSizeCommand=function(){this.Name='FontSize';};FCKFontSizeCommand.prototype.Execute=function(fontSize){if (typeof( fontSize )=='string' ) fontSize = parseInt(fontSize);if (fontSize==null || fontSize==''){FCK.ExecuteNamedCommand('FontSize', 3);}else{FCK.ExecuteNamedCommand('FontSize', fontSize);};};FCKFontSizeCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FontSize');};var FCKFormatBlockCommand=function(){this.Name='FormatBlock';};FCKFormatBlockCommand.prototype.Execute=function(formatName){if (formatName==null || formatName==''){FCK.ExecuteNamedCommand('FormatBlock', '<P>');}else{FCK.ExecuteNamedCommand('FormatBlock', formatName);};};FCKFormatBlockCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FormatBlock');};var FCKPreviewCommand=function(){this.Name='Preview';};FCKPreviewCommand.prototype.Execute=function(){FCK.Preview();};FCKPreviewCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKSaveCommand=function(){this.Name='Save';};FCKSaveCommand.prototype.Execute=function(){var oForm=FCK.LinkedField.form;oForm.submit();};FCKSaveCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKNewPageCommand=function(){this.Name='NewPage';};FCKNewPageCommand.prototype.Execute=function(){FCK.SetHTML('');};FCKNewPageCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKSourceCommand=function(){this.Name="Source";};FCKSourceCommand.prototype.Execute=function(){FCK.SwitchEditMode();};FCKSourceCommand.prototype.GetState=function(){return (FCK.EditMode==FCK_EDITMODE_WYSIWYG ? FCK_TRISTATE_OFF : FCK_TRISTATE_ON);}
-var FCKTextColorCommand=function(type){this.Name=type=='ForeColor' ? 'TextColor' : 'BGColor';this.Type=type;this._Panel=new FCKColorPanel(this.SetColor);this._Panel.Create();};FCKTextColorCommand.prototype.Execute=function(panelX, panelY){FCK._ActiveColorPanelType=this.Type;this._Panel.Show(panelX, panelY);};FCKTextColorCommand.prototype.SetColor=function(color){if (FCK._ActiveColorPanelType=='ForeColor') FCK.ExecuteNamedCommand('ForeColor', color);else if (FCKBrowserInfo.IsGecko) FCK.ExecuteNamedCommand('hilitecolor', color);else FCK.ExecuteNamedCommand('BackColor', color);delete FCK._ActiveColorPanelType;};FCKTextColorCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;}
-var FCKPastePlainTextCommand=function(){this.Name='PasteText';};FCKPastePlainTextCommand.prototype.Execute=function(){FCK.PasteAsPlainText();};FCKPastePlainTextCommand.prototype.GetState=function(){return FCK.GetNamedCommandState('Paste');};
-var FCKPasteWordCommand=function(){this.Name='PasteWord';};FCKPasteWordCommand.prototype.Execute=function(){FCK.PasteFromWord();};FCKPasteWordCommand.prototype.GetState=function(){return FCK.GetNamedCommandState('Paste');};
-var FCKTableCommand=function(command){this.Name=command;};FCKTableCommand.prototype.Execute=function(){switch (this.Name){case 'TableInsertRow' : FCKTableHandler.InsertRow();break;case 'TableDeleteRows' : FCKTableHandler.DeleteRows();break;case 'TableInsertColumn' : FCKTableHandler.InsertColumn();break;case 'TableDeleteColumns' : FCKTableHandler.DeleteColumns();break;case 'TableInsertCell' : FCKTableHandler.InsertCell();break;case 'TableDeleteCells' : FCKTableHandler.DeleteCells();break;case 'TableMergeCells' : FCKTableHandler.MergeCells();break;case 'TableSplitCell' : FCKTableHandler.SplitCell();break;default : alert('Unknown command "' + this.Name + '".');};};FCKTableCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;}
-var FCKCommands=new Object();var sNamedCommands=[ 'Cut','Copy','Paste','Print','Find','SelectAll','RemoveFormat','Unlink','Undo','Redo', 'Bold','Italic','Underline','StrikeThrough','Subscript','Superscript', 'JustifyLeft','JustifyCenter','JustifyRight','JustifyFull','Outdent','Indent', 'InsertOrderedList','InsertUnorderedList','InsertHorizontalRule'];for (i=0 ; i < sNamedCommands.length ; i++){FCKCommands[ sNamedCommands[i] ]=new FCKNamedCommand(sNamedCommands[i]);};FCKCommands['Link']			= new FCKDialogCommand( 'Link'			, FCKLang.DlgLnkWindowTitle, 'dialog/fck_link.html'	, 400, 330, FCK.GetNamedCommandState, 'CreateLink' );FCKCommands['About']		= new FCKDialogCommand( 'About'			, FCKLang.About, 'dialog/fck_about.html'	, 400, 330 );FCKCommands['Image']		= new FCKDialogCommand( 'Image'			, 'Image Properties', 'dialog/fck_image.html'		, 450, 400, FCK.GetNamedCommandState, 'InsertImage' );FCKCommands['Table']		= new FCKDialogCommand( 'Table'			, 'Table Properties', 'dialog/fck_table.html'		, 400, 250 );FCKCommands['TableProp']	= new FCKDialogCommand( 'Table'			, 'Table Properties', 'dialog/fck_table.html?Parent', 400, 250 );FCKCommands['SpecialChar']	= new FCKDialogCommand( 'SpecialChar'	, 'Select Character', 'dialog/fck_specialchar.html'	, 400, 300, FCK.GetNamedCommandState, 'InsertImage' );FCKCommands['Smiley']		= new FCKDialogCommand( 'Smiley'		, FCKLang.DlgSmileyTitle, 'dialog/fck_smiley.html'	, FCKConfig.SmileyWindowWidth, FCKConfig.SmileyWindowHeight, FCK.GetNamedCommandState, 'InsertImage' );FCKCommands['FontName']		= new FCKFontNameCommand();FCKCommands['FontSize']		= new FCKFontSizeCommand();FCKCommands['FontFormat']	= new FCKFormatBlockCommand();FCKCommands['Source']		= new FCKSourceCommand();FCKCommands['Preview']		= new FCKPreviewCommand();FCKCommands['Save']			= new FCKSaveCommand();FCKCommands['NewPage']		= new FCKNewPageCommand();FCKCommands['TextColor']	= new FCKTextColorCommand('ForeColor');FCKCommands['BGColor']		= new FCKTextColorCommand('BackColor');FCKCommands['PasteText']	= new FCKPastePlainTextCommand();FCKCommands['PasteWord']	= new FCKPasteWordCommand();FCKCommands['TableInsertRow']		= new FCKTableCommand('TableInsertRow');FCKCommands['TableDeleteRows']		= new FCKTableCommand('TableDeleteRows');FCKCommands['TableInsertColumn']	= new FCKTableCommand('TableInsertColumn');FCKCommands['TableDeleteColumns']	= new FCKTableCommand('TableDeleteColumns');FCKCommands['TableInsertCell']		= new FCKTableCommand('TableInsertCell');FCKCommands['TableDeleteCells']		= new FCKTableCommand('TableDeleteCells');FCKCommands['TableMergeCells']		= new FCKTableCommand('TableMergeCells');FCKCommands['TableSplitCell']		= new FCKTableCommand('TableSplitCell');FCKCommands['Undefined']	= new FCKUndefinedCommand();
-var FCKToolbarButton=function(commandName, label, tooltip, style, sourceView){this.Command=FCKCommands[ commandName ];this.Label=label ? label : commandName;this.Tooltip=tooltip ? tooltip : (label ? label : commandName);this.Style=style ? style : FCK_TOOLBARITEM_ONLYICON;this.SourceView=sourceView ? true : false;this.State=FCK_UNKNOWN;};FCKToolbarButton.prototype.CreateInstance=function(parentToolbar){this.DOMDiv=document.createElement('div');this.DOMDiv.className='TB_Button_Off';this.DOMDiv.FCKToolbarButton=this;this.DOMDiv.onmouseover=function(){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED){this.className='TB_Button_On';};};this.DOMDiv.onmouseout=function(){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED &&  this.FCKToolbarButton.State !=FCK_TRISTATE_ON){this.className='TB_Button_Off';};};this.DOMDiv.onclick=function(){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED) this.FCKToolbarButton.Command.Execute();return false;};var sClass;switch (this.Style){case FCK_TOOLBARITEM_ONLYICON : sClass='TB_ButtonType_Icon';break;case FCK_TOOLBARITEM_ONLYTEXT : sClass='TB_ButtonType_Text';break;case FCK_TOOLBARITEM_ICONTEXT : sClass='';break;};this.DOMDiv.innerHTML='<table title="' + this.Tooltip + '" class="' + sClass + '" cellspacing="0" cellpadding="0" border="0" unselectable="on">' + '<tr>' + '<td class="TB_Icon" unselectable="on"><img src="' + FCKConfig.SkinPath + 'toolbar/button.' + this.Command.Name.toLowerCase() + '.gif" width="21" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on"></td>' + '<td class="TB_Text" unselectable="on">' + this.Label + '</td>' + '</tr>' + '</table>';var oCell=parentToolbar.DOMRow.insertCell(-1);oCell.appendChild(this.DOMDiv);this.RefreshState();};FCKToolbarButton.prototype.RefreshState=function(){var eState;if (FCK.EditMode==FCK_EDITMODE_SOURCE && ! this.SourceView) eState=FCK_TRISTATE_DISABLED;else eState=this.Command.GetState();if (eState==this.State) return;this.State=eState;switch (this.State){case FCK_TRISTATE_ON : this.DOMDiv.className='TB_Button_On';break;case FCK_TRISTATE_OFF : this.DOMDiv.className='TB_Button_Off';break;default : this.DOMDiv.className='TB_Button_Disabled';break;};}
-var FCKToolbarCombo=function(commandName, label, itemsValues, itemsNames, tooltip, style, firstIsBlank, itemsSeparator, sourceView){this.Command=FCKCommands[ commandName ];this.Label=label ? label : commandName;this.Tooltip=tooltip ? tooltip : (label ? label : commandName);this.Style=style ? style : FCK_TOOLBARITEM_ICONTEXT;this.SourceView=sourceView ? true : false;this.State=FCK_UNKNOWN;this.ItemsValues=itemsValues;this.ItemsNames=itemsNames ? itemsNames : itemsValues;this.ItemsSeparator=itemsSeparator ? itemsSeparator : ';';this.FirstIsBlank=firstIsBlank !=null ? firstIsBlank : true;};FCKToolbarCombo.prototype.CreateInstance=function(parentToolbar){this.DOMDiv=document.createElement('div');this.DOMDiv.className='TB_Combo_Off';var sClass;switch (this.Style){case FCK_TOOLBARITEM_ONLYICON : sClass='TB_ButtonType_Icon';break;case FCK_TOOLBARITEM_ONLYTEXT : sClass='TB_ButtonType_Text';break;case FCK_TOOLBARITEM_ICONTEXT : sClass='';break;};this.DOMDiv.innerHTML='<table class="' + sClass + '" cellspacing="0" cellpadding="0" border="0" unselectable="on">' + '<tr>' + '<td class="TB_Text" unselectable="on" nowrap>' + this.Label + '</td>' + '<td unselectable="on"><select title="' + this.Tooltip + '"></select></td>' + '</tr>' + '</table>';this.SelectElement=this.DOMDiv.firstChild.firstChild.firstChild.childNodes.item(1).firstChild;this.SelectElement.FCKToolbarCombo=this;this.SelectElement.onchange=function(){this.FCKToolbarCombo.Command.Execute(this.value);return false;};var oCell=parentToolbar.DOMRow.insertCell(-1);oCell.appendChild(this.DOMDiv);this.RefreshItems();this.RefreshState();};FCKToolbarCombo.prototype.RefreshItems=function(){var aNames=FCKTools.GetResultingArray(this.ItemsNames, this.ItemsSeparator);var aValues=FCKTools.GetResultingArray(this.ItemsValues, this.ItemsSeparator);FCKTools.RemoveAllSelectOptions(this.SelectElement);if (this.FirstIsBlank) FCKTools.AddSelectOption(document, this.SelectElement, '', '');for (var i=0 ; i < aValues.length ; i++){FCKTools.AddSelectOption(document, this.SelectElement, aNames[i], aValues[i]);};};FCKToolbarCombo.prototype.RefreshState=function(){var eState;if (FCK.EditMode==FCK_EDITMODE_SOURCE && ! this.SourceView){eState=FCK_TRISTATE_DISABLED;this.SelectElement.value='';}else{var sValue=this.Command.GetState();FCKTools.SelectNoCase(this.SelectElement, sValue ? sValue : '', '');eState=sValue==null ? FCK_TRISTATE_DISABLED : FCK_TRISTATE_ON;};if (eState==this.State) return;this.State=eState;this.DOMDiv.className=(eState==FCK_TRISTATE_ON ? 'TB_Combo_Off' : 'TB_Combo_Disabled');this.SelectElement.disabled=(eState==FCK_TRISTATE_DISABLED);};
-var FCKToolbarPanelButton=function(commandName, label, tooltip, style){this.Command=FCKCommands[ commandName ];this.Label=label ? label : commandName;this.Tooltip=tooltip ? tooltip : (label ? label : commandName);this.Style=style ? style : FCK_TOOLBARITEM_ONLYICON;this.State=FCK_UNKNOWN;if (this.Command==null) alert('Unknown command name "' + commandName + '"');};FCKToolbarPanelButton.prototype.CreateInstance=function(parentToolbar){this.DOMDiv=document.createElement('div');this.DOMDiv.className='TB_Button_Off';this.DOMDiv.FCKToolbarButton=this;this.DOMDiv.onmouseover=function(){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED){this.className='TB_Button_On';};};this.DOMDiv.onmouseout=function(){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED &&  this.FCKToolbarButton.State !=FCK_TRISTATE_ON){this.className='TB_Button_Off';};};this.DOMDiv.onclick=function(ev){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED) this.FCKToolbarButton.HandleOnClick(this.FCKToolbarButton, ev);if (ev) ev.stopPropagation();return false;};var sClass;switch (this.Style){case FCK_TOOLBARITEM_ONLYICON : sClass='TB_ButtonType_Icon';break;case FCK_TOOLBARITEM_ONLYTEXT : sClass='TB_ButtonType_Text';break;case FCK_TOOLBARITEM_ICONTEXT : sClass='';break;};this.DOMDiv.innerHTML='<table title="' + this.Tooltip + '" class="' + sClass + '" cellspacing="0" cellpadding="0" border="0" unselectable="on">' + '<tr>' + '<td class="TB_Icon" unselectable="on"><img src="' + FCKConfig.SkinPath + 'toolbar/button.' + this.Command.Name.toLowerCase() + '.gif" width="21" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on"></td>' + '<td class="TB_Text" unselectable="on">' + this.Label + '</td>' + '<td class="TB_ButtonArrow" unselectable="on"><img src="' + FCKConfig.SkinPath + 'images/toolbar.buttonarrow.gif" width="5" height="3"></td>' + '</tr>' + '</table>';var oCell=parentToolbar.DOMRow.insertCell(-1);oCell.appendChild(this.DOMDiv);this.RefreshState();};FCKToolbarPanelButton.prototype.RefreshState=FCKToolbarButton.prototype.RefreshState;
-FCKToolbarPanelButton.prototype.HandleOnClick=function(panelButton, ev){var e=panelButton.DOMDiv;var oDivCoords=FCKTools.GetElementPosition(e);var oFrmCoords=FCKTools.GetElementPosition(window.frameElement);var iPanelX=oDivCoords.X + oFrmCoords.X;var iPanelY=oDivCoords.Y + oFrmCoords.Y + e.offsetHeight;panelButton.Command.Execute(iPanelX,iPanelY);}
-var FCKToolbarItems=new Object();FCKToolbarItems['Source']		= new FCKToolbarButton( 'Source', 'Source', null, FCK_TOOLBARITEM_ICONTEXT, true );FCKToolbarItems['Save']			= new FCKToolbarButton( 'Save', null, null, null, true  );FCKToolbarItems['NewPage']		= new FCKToolbarButton( 'NewPage', null, null, null, true  );FCKToolbarItems['Preview']		= new FCKToolbarButton( 'Preview', null, null, null, true  );FCKToolbarItems['About']		= new FCKToolbarButton( 'About', FCKLang.About );FCKToolbarItems['Cut']			= new FCKToolbarButton( 'Cut', FCKLang.Cut, null, null, true );FCKToolbarItems['Copy']			= new FCKToolbarButton( 'Copy', FCKLang.Copy, null, null, true );FCKToolbarItems['Paste']		= new FCKToolbarButton( 'Paste', FCKLang.Paste, null, null, true );FCKToolbarItems['PasteText']	= new FCKToolbarButton( 'PasteText', FCKLang.PasteText );FCKToolbarItems['PasteWord']	= new FCKToolbarButton( 'PasteWord', FCKLang.PasteWord );FCKToolbarItems['Print']		= new FCKToolbarButton( 'Print', null, null, null, true );FCKToolbarItems['Undo']			= new FCKToolbarButton( 'Undo', null, null, null, true );FCKToolbarItems['Redo']			= new FCKToolbarButton( 'Redo', null, null, null, true );FCKToolbarItems['Find']			= new FCKToolbarButton( 'Find', null, null, null, true );FCKToolbarItems['SelectAll']	= new FCKToolbarButton( 'SelectAll', 'Select All', null, null, true );FCKToolbarItems['RemoveFormat']	= new FCKToolbarButton( 'RemoveFormat', 'Remove Format' );FCKToolbarItems['Unlink']		= new FCKToolbarButton( 'Unlink' );FCKToolbarItems['Bold']			= new FCKToolbarButton( 'Bold' );FCKToolbarItems['Italic']		= new FCKToolbarButton( 'Italic' );FCKToolbarItems['Underline']	= new FCKToolbarButton( 'Underline' );FCKToolbarItems['StrikeThrough']= new FCKToolbarButton( 'StrikeThrough', 'Strike Through' );FCKToolbarItems['Subscript']	= new FCKToolbarButton( 'Subscript' );FCKToolbarItems['Superscript']	= new FCKToolbarButton( 'Superscript' );FCKToolbarItems['OrderedList']	= new FCKToolbarButton( 'InsertOrderedList', 'Ordered List', 'Insert/Remove Ordered List' );FCKToolbarItems['UnorderedList']= new FCKToolbarButton( 'InsertUnorderedList', 'Unordered List', 'Insert/Remove Unordered List' );FCKToolbarItems['Outdent']		= new FCKToolbarButton( 'Outdent' );FCKToolbarItems['Indent']		= new FCKToolbarButton( 'Indent' );FCKToolbarItems['Link']			= new FCKToolbarButton( 'Link', 'Link', 'Create/Edit Link' );FCKToolbarItems['Unlink']		= new FCKToolbarButton( 'Unlink', 'Remove Link' );FCKToolbarItems['Image']		= new FCKToolbarButton( 'Image', 'Image', 'Insert/Edit Image' );FCKToolbarItems['Table']		= new FCKToolbarButton( 'Table', 'Table', 'Create/Edit Table' );FCKToolbarItems['SpecialChar']	= new FCKToolbarButton( 'SpecialChar', 'Special Character', 'Insert Special Character' );FCKToolbarItems['Smiley']		= new FCKToolbarButton( 'Smiley', 'Smiley', 'Insert Smiley' );FCKToolbarItems['Rule']			= new FCKToolbarButton( 'InsertHorizontalRule', 'Horizontal Rule', 'Insert Horizontal Rule' );FCKToolbarItems['JustifyLeft']	= new FCKToolbarButton( 'JustifyLeft', 'Align Left' );FCKToolbarItems['JustifyCenter']= new FCKToolbarButton( 'JustifyCenter', 'Center' );FCKToolbarItems['JustifyRight']	= new FCKToolbarButton( 'JustifyRight', 'Align Right' );FCKToolbarItems['JustifyFull']	= new FCKToolbarButton( 'JustifyFull', 'Justify' );FCKToolbarItems['FontName']		= new FCKToolbarCombo( 'FontName', FCKLang['Font'], FCKConfig.FontNames, FCKConfig.FontNames );FCKToolbarItems['FontSize']		= new FCKToolbarCombo( 'FontSize', FCKLang['FontSize'], '1;2;3;4;5;6;7', 'xx-small;x-small;small;medium;large;x-large;xx-large' );FCKToolbarItems['FontFormat']	= new FCKToolbarCombo( 'FontFormat', FCKLang['FontFormat'], '<P>;<DIV>;<H1>;<H2>', 'Normal (P);Normal (DIV);Heading 1;Heading 2' );FCKToolbarItems['TextColor']	= new FCKToolbarPanelButton( 'TextColor' );FCKToolbarItems['BGColor']		= new FCKToolbarPanelButton( 'BGColor' );
-var FCKToolbar=function(){this.Items=new Array();this.DOMTable=document.createElement('table');this.DOMTable.className='TB_Toolbar';with (this.DOMTable){style.styleFloat=style.cssFloat=FCKLang.Dir=='rtl' ? 'right' : 'left';cellPadding=0;cellSpacing=0;border=0;};this.DOMRow=this.DOMTable.insertRow(-1);var oCell=this.DOMRow.insertCell(-1);oCell.className='TB_Start';oCell.innerHTML='<img src="' + FCKConfig.SkinPath + 'images/toolbar.start.gif" width="7" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';FCKToolbarSet.DOMElement.appendChild(this.DOMTable);};FCKToolbar.prototype.AddItem=function(toolbarItem){this.Items[ this.Items.length ]=toolbarItem;toolbarItem.CreateInstance(this);};FCKToolbar.prototype.AddSeparator=function(){var oCell=this.DOMRow.insertCell(-1);oCell.unselectable='on';oCell.innerHTML='<img src="' + FCKConfig.SkinPath + 'images/toolbar.separator.gif" width="5" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';};FCKToolbar.prototype.AddTerminator=function(){var oCell=this.DOMRow.insertCell(-1);oCell.className='TB_End';oCell.innerHTML='<img src="' + FCKConfig.SkinPath + 'images/toolbar.end.gif" width="12" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';};
-var FCKToolbarSet=new Object();FCKToolbarSet.Toolbars=new Array();FCKToolbarSet.Expand=function(){document.getElementById('Collapsed').style.display = 'none';document.getElementById('Expanded').style.display = '';if (! FCKBrowserInfo.IsIE){window.setTimeout("window.onresize()", 1);};};FCKToolbarSet.Collapse=function(){document.getElementById('Collapsed').style.display = '';document.getElementById('Expanded').style.display = 'none';if (! FCKBrowserInfo.IsIE){window.setTimeout("window.onresize()", 1);};};FCKToolbarSet.Restart=function(){if (!FCKConfig.ToolbarCanCollapse || FCKConfig.ToolbarStartExpanded) this.Expand();else this.Collapse();document.getElementById('CollapseHandle').style.display = FCKConfig.ToolbarCanCollapse ? '' : 'none';};FCKToolbarSet.Load=function(toolbarSetName){this.DOMElement=document.getElementById('eToolbar');var ToolbarSet=FCKConfig.ToolbarSets[toolbarSetName];if (! ToolbarSet){alert('Toolbar set "' + toolbarSetName + '" doesn\'t exist.');return;};this.Toolbars=new Array();for (var x=0 ; x < ToolbarSet.length ; x++){var oToolbar=new FCKToolbar();for (var j=0 ; j < ToolbarSet[x].length ; j++){var sItem=ToolbarSet[x][j];if (sItem=='-') oToolbar.AddSeparator();else{var oItem=FCKToolbarItems[sItem];if (oItem) oToolbar.AddItem(oItem);else alert('Unknown toolbar item name "' + sItem + "'");};};oToolbar.AddTerminator();this.Toolbars[ this.Toolbars.length ]=oToolbar;};this.Redraw();};FCKToolbarSet.Redraw=function(){};FCKToolbarSet.RefreshItemsState=function(){for (var i=0 ; i < FCKToolbarSet.Toolbars.length ; i++){var oToolbar=FCKToolbarSet.Toolbars[i];for (var j=0 ; j < oToolbar.Items.length ; j++){oToolbar.Items[j].RefreshState();};};};
-var FCKDialog=new Object();FCKDialog.OpenDialog=function(dialogName, dialogTitle, dialogPage, width, height, customValue){var oDialogInfo=new Object();oDialogInfo.Title=dialogTitle;oDialogInfo.Page=dialogPage;oDialogInfo.Editor=window;oDialogInfo.CustomValue=customValue;var sUrl=FCKConfig.BasePath + 'fckdialog.html';this.Show(oDialogInfo, dialogName, sUrl, width, height);};
-FCKDialog.Show=function(dialogInfo, dialogName, pageUrl, dialogWidth, dialogHeight){var iTop=(screen.height - dialogHeight) / 2;var iLeft=(screen.width  - dialogWidth)  / 2;var sOption="location=no,menubar=no,resizable=no,toolbar=no,dependent=yes" + ",width="  + dialogWidth + ",height=" + dialogHeight + ",top="  + iTop + ",left=" + iLeft;var oWindow=window.open('', 'FCKEditorDialog', sOption, true);oWindow.moveTo(iLeft, iTop);oWindow.resizeTo(dialogWidth, dialogHeight);oWindow.focus();oWindow.location.href=pageUrl;oWindow.dialogArguments=dialogInfo;this.Window=oWindow;window.top.captureEvents(Event.CLICK | Event.MOUSEDOWN | Event.MOUSEUP | Event.FOCUS);window.top.parent.addEventListener('mousedown', this.CheckFocus, true);window.top.parent.addEventListener('mouseup', this.CheckFocus, true);window.top.parent.addEventListener('click', this.CheckFocus, true);window.top.parent.addEventListener('focus', this.CheckFocus, true);};FCKDialog.CheckFocus=function(){if (FCKDialog.Window && !FCKDialog.Window.closed){FCKDialog.Window.focus();return false;}else{window.top.releaseEvents(Event.CLICK | Event.MOUSEDOWN | Event.MOUSEUP | Event.FOCUS);window.top.parent.removeEventListener('onmousedown', FCKDialog.CheckFocus, true);window.top.parent.removeEventListener('mouseup', FCKDialog.CheckFocus, true);window.top.parent.removeEventListener('click', FCKDialog.CheckFocus, true);window.top.parent.removeEventListener('onfocus', FCKDialog.CheckFocus, true);};};
-var FCKContextMenuItem=function(contextMenu, commandName, label, hasIcon){this.ContextMenu=contextMenu;this.Command=FCKCommands[ commandName ];this.Label=label ? label : commandName;this.HasIcon=hasIcon ? true : false;};FCKContextMenuItem.prototype.CreateTableRow=function(targetTable){this._Row=targetTable.insertRow(-1);this._Row.className='CM_Disabled';this._Row.FCKContextMenuItem=this;this._Row.onmouseover=function(){if (this.className !='CM_Disabled') this.className='CM_Over';};this._Row.onmouseout=function(){if (this.className !='CM_Disabled') this.className='CM_Option';};this._Row.onclick=function(){this.FCKContextMenuItem.ContextMenu.Hide();this.FCKContextMenuItem.Command.Execute();return false;};var oCell=this._Row.insertCell(-1);oCell.className='CM_Icon';if (this.HasIcon ) oCell.innerHTML='<img alt="" src="' + FCKConfig.SkinPath + 'toolbar/button.' + this.Command.Name.toLowerCase() + '.gif" width="21" height="20" unselectable="on">';oCell=this._Row.insertCell(-1);oCell.className='CM_Label';oCell.unselectable='on';oCell.noWrap=true;oCell.innerHTML=this.Label;};FCKContextMenuItem.prototype.SetVisible=function(isVisible){this._Row.style.display=isVisible ? '' : 'none';};FCKContextMenuItem.prototype.RefreshState=function(){switch (this.Command.GetState()){case FCK_TRISTATE_ON : case FCK_TRISTATE_OFF : this._Row.className='CM_Option';break;default : this._Row.className='CM_Disabled';break;};};
-var FCKContextMenuSeparator=function(){};FCKContextMenuSeparator.prototype.CreateTableRow=function(targetTable){this._Row=targetTable.insertRow(-1);this._Row.className='CM_Separator';var oCell=this._Row.insertCell(-1);oCell.className='CM_Icon';oCell=this._Row.insertCell(-1);oCell.className='CM_Label';oCell.innerHTML='<div></div>';};FCKContextMenuSeparator.prototype.SetVisible=function(isVisible){this._Row.style.display=isVisible ? '' : 'none';};FCKContextMenuSeparator.prototype.RefreshState=function(){};
-var FCKContextMenuGroup=function(){this.IsVisible=true;this.Items=new Array();this.ValidationFunction=null;};FCKContextMenuGroup.prototype.Add=function(contextMenuItem){this.Items[ this.Items.length ]=contextMenuItem;};FCKContextMenuGroup.prototype.CreateTableRows=function(table){for (var i=0 ; i < this.Items.length ; i++){this.Items[i].CreateTableRow(table);};};FCKContextMenuGroup.prototype.SetVisible=function(isVisible){for (var i=0 ; i < this.Items.length ; i++){this.Items[i].SetVisible(isVisible);};this.IsVisible=isVisible;};FCKContextMenuGroup.prototype.RefreshState=function(){if (! this.IsVisible) return;for (var i=0 ; i < this.Items.length ; i++){this.Items[i].RefreshState();};}
-var FCKContextMenu=new Object();FCKContextMenu._IsLoaded=false;FCKContextMenu.Reload=function(){this._Div=this._Document.createElement('DIV');this._Div.className='CM_ContextMenu';this._Div.style.position='absolute';this._Div.style.visibility='hidden';this._Document.body.appendChild(this._Div);var oTable=this._Document.createElement('TABLE');oTable.cellSpacing=0;oTable.cellPadding=0;oTable.border=0;this._Div.appendChild(oTable);this.Groups=new Object();this.Groups['Generic'] = new FCKContextMenuGroup();with (this.Groups['Generic']){Add(new FCKContextMenuItem( this, 'Cut'	, FCKLang['Cut']	, true ));Add(new FCKContextMenuItem( this, 'Copy'	, FCKLang['Copy']	, true ));Add(new FCKContextMenuItem( this, 'Paste'	, FCKLang['Paste']	, true ));};this.Groups['Link'] = new FCKContextMenuGroup();with (this.Groups['Link']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'Link'	, FCKLang['EditLink']	, true ));Add(new FCKContextMenuItem( this, 'Unlink'	, FCKLang['RemoveLink']	, true ));};this.Groups['TableCell'] = new FCKContextMenuGroup();with (this.Groups['TableCell']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'TableInsertRow', FCKLang["InsertRow"], true ));Add(new FCKContextMenuItem( this, 'TableDeleteRows', FCKLang["DeleteRows"], true ));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'TableInsertColumn', FCKLang["InsertColumn"], true ));Add(new FCKContextMenuItem( this, 'TableDeleteColumns', FCKLang["DeleteColumns"], true ));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'TableInsertCell', FCKLang["InsertCell"], true ));Add(new FCKContextMenuItem( this, 'TableDeleteCells', FCKLang["DeleteCells"], true ));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'TableProp', FCKLang["TableProperties"], true ));};this.Groups['Table'] = new FCKContextMenuGroup();with (this.Groups['Table']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'Table', FCKLang["TableProperties"], true ));};this.Groups['Image'] = new FCKContextMenuGroup();with (this.Groups['Image']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'Image', FCKLang["ImageProperties"], true ));};this.Groups['Select'] = new FCKContextMenuGroup();with (this.Groups['Select']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'Undefined', "Selection Field Properties" ));};this.Groups['Textarea'] = new FCKContextMenuGroup();with (this.Groups['Textarea']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'Undefined', "Textarea Properties" ));};for (var o in this.Groups){this.Groups[o].CreateTableRows(oTable);};this._IsLoaded=true;};FCKContextMenu.RefreshState=function(){var oTag=FCKSelection.GetSelectedElement();var sTagName;if (oTag){sTagName=oTag.tagName;};this.Groups['Link'].SetVisible( FCK.GetNamedCommandState( 'Unlink' ) != FCK_TRISTATE_DISABLED );this.Groups['TableCell'].SetVisible( sTagName != 'TABLE' && FCKSelection.HasAncestorNode('TABLE') );this.Groups['Table'].SetVisible( sTagName == 'TABLE' );this.Groups['Image'].SetVisible( sTagName == 'IMG' );this.Groups['Select'].SetVisible( sTagName == 'SELECT' );this.Groups['Textarea'].SetVisible( sTagName == 'TEXTAREA' );for (var o in this.Groups){this.Groups[o].RefreshState();};};
-FCKTools.AppendStyleSheet(window.parent.document, FCKConfig.SkinPath + 'fck_contextmenu.css');FCKContextMenu.Show=function(x, y){if (! this._Document){this._Document=window.parent.document;};if (!this._IsLoaded){this.Reload();this._Div.style.zIndex=10000;this._Div.oncontextmenu=function() { return false ;};};this.RefreshState();var oCoordsA=FCKTools.GetElementPosition(FCK.EditorWindow.frameElement);var oCoordsB=FCKTools.GetElementPosition(window.frameElement);x +=oCoordsA.X + oCoordsB.X;y +=oCoordsA.Y + oCoordsB.Y;var iXSpace=x + this._Div.offsetWidth - this._Div.ownerDocument.defaultView.innerWidth;var iYSpace=y + this._Div.offsetHeight - this._Div.ownerDocument.defaultView.innerHeight;if (iXSpace > 0) x -=this._Div.offsetWidth;if (iYSpace > 0) y -=this._Div.offsetHeight;this._Div.style.left=x + 'px';this._Div.style.top=y + 'px';var oActualWindow=FCK.EditorWindow;while (oActualWindow){oActualWindow.document.addEventListener('click', FCKContextMenu._OnDocumentClick, false);if (oActualWindow !=oActualWindow.parent) oActualWindow=oActualWindow.parent;else if (oActualWindow.opener==null) oActualWindow=oActualWindow.opener;else break;};this._Div.style.visibility='';};FCKContextMenu._OnDocumentClick=function(event){var e=event.target;while (e){if (e==FCKContextMenu._Div) return;e=e.parentNode;};FCKContextMenu.Hide();};FCKContextMenu.Hide=function(){this._Div.style.visibility='hidden';this._Div.style.left=this._Div.style.top='1px';}
-if (FCKConfig.ForcePasteAsPlainText) FCK.Events.AttachEvent("OnPaste", FCK.Paste);FCKToolbarSet.Name=FCKURLParams['Toolbar'] || 'Default';FCKToolbarSet.Load(FCKToolbarSet.Name);FCKToolbarSet.Restart();FCK.AttachToOnSelectionChange(FCKToolbarSet.RefreshItemsState);FCK.Config=FCKConfig;FCK.ToolbarSet=FCKToolbarSet;FCK.SetStatus(FCK_STATUS_COMPLETE);if (typeof( window.parent.FCKeditor_OnComplete )=='function') window.parent.FCKeditor_OnComplete(FCK);
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * This file has been compacted for best loading performance.
+ */
+FCK.RedirectNamedCommands=new Object();FCK.ExecuteNamedCommand=function(commandName,commandParameter){FCKUndo.SaveUndoStep();if (FCK.RedirectNamedCommands[commandName]!=null) FCK.ExecuteRedirectedNamedCommand(commandName,commandParameter);else{FCK.Focus();FCK.EditorDocument.execCommand(commandName,false,commandParameter);FCK.Events.FireEvent('OnSelectionChange');};};FCK.GetNamedCommandState=function(commandName){try{if (!FCK.EditorDocument.queryCommandEnabled(commandName)) return FCK_TRISTATE_DISABLED;else return FCK.EditorDocument.queryCommandState(commandName)?FCK_TRISTATE_ON:FCK_TRISTATE_OFF;}catch (e){return FCK_TRISTATE_OFF;};};FCK.GetNamedCommandValue=function(commandName){var sValue='';var eState=FCK.GetNamedCommandState(commandName);if (eState==FCK_TRISTATE_DISABLED) return null;try{sValue=this.EditorDocument.queryCommandValue(commandName);}catch(e) {};return sValue?sValue:'';};FCK.CleanAndPaste=function(html){html=html.replace(/<\/?SPAN[^>]*>/gi,"");html=html.replace(/<(\w[^>]*) class=([^ |>]*)([^>]*)/gi,"<$1$3");html=html.replace(/<(\w[^>]*) style="([^"]*)"([^>]*)/gi,"<$1$3");html=html.replace(/<(\w[^>]*) lang=([^ |>]*)([^>]*)/gi,"<$1$3");html=html.replace(/<\\?\?xml[^>]*>/gi,"");html=html.replace(/<\/?\w+:[^>]*>/gi,"");html=html.replace(/&nbsp;/," ");var re=new RegExp("(<P)([^>]*>.*?)(<\/P>)","gi");html=html.replace(re,"<div$2</div>");FCK.InsertHtml(html);};FCK.Preview=function(){var oWindow=window.open('',null,'toolbar=yes,location=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes');var sHTML='<html><head><link href="'+FCKConfig.EditorAreaCSS+'" rel="stylesheet" type="text/css" /></head><body>'+FCK.GetHTML()+'</body></html>';oWindow.document.write(sHTML);oWindow.document.close();};FCK.SwitchEditMode=function(){var bWYSIWYG=(FCK.EditMode==FCK_EDITMODE_WYSIWYG);document.getElementById('eWysiwyg').style.display=bWYSIWYG?'none':'';document.getElementById('eSource').style.display=bWYSIWYG?'':'none';if (bWYSIWYG){if (FCKBrowserInfo.IsIE) FCKUndo.SaveUndoStep();document.getElementById('eSourceField').value=(FCKConfig.EnableXHTML&&FCKConfig.EnableSourceXHTML?FCK.GetXHTML(FCKConfig.FormatSource):FCK.GetHTML(FCKConfig.FormatSource));}else FCK.SetHTML(FCK.GetHTML(),true);FCK.EditMode=bWYSIWYG?FCK_EDITMODE_SOURCE:FCK_EDITMODE_WYSIWYG;FCKToolbarSet.RefreshModeState();FCK.Focus();};FCK.CreateElement=function(tag){var e=FCK.EditorDocument.createElement(tag);return FCK.InsertElementAndGetIt(e);};FCK.InsertElementAndGetIt=function(e){e.setAttribute('__FCKTempLabel',1);this.InsertElement(e);var aEls=FCK.EditorDocument.getElementsByTagName(e.tagName);for (var i=0;i<aEls.length;i++){if (aEls[i].getAttribute('__FCKTempLabel')){aEls[i].removeAttribute('__FCKTempLabel');return aEls[i];};};};
+FCK._BaseGetNamedCommandState=FCK.GetNamedCommandState;FCK.GetNamedCommandState=function(commandName){switch (commandName){case 'Unlink':return FCKSelection.HasAncestorNode('A')?FCK_TRISTATE_OFF:FCK_TRISTATE_DISABLED;default:return FCK._BaseGetNamedCommandState(commandName);};};FCK.RedirectNamedCommands={Print:true,Paste:true,Cut:true,Copy:true};FCK.ExecuteRedirectedNamedCommand=function(commandName,commandParameter){switch (commandName){case 'Print':FCK.EditorWindow.print();break;case 'Paste':try			{ if (FCK.Paste()) FCK._BaseExecuteNamedCommand('Paste');}catch (e)	{ alert(FCKLang.PasteErrorPaste);};break;case 'Cut':try			{ FCK._BaseExecuteNamedCommand('Cut');}catch (e)	{ alert(FCKLang.PasteErrorCut);};break;case 'Copy':try			{ FCK._BaseExecuteNamedCommand('Copy');}catch (e)	{ alert(FCKLang.PasteErrorCopy);};break;default:FCK.ExecuteNamedCommand(commandName,commandParameter);};};FCK.AttachToOnSelectionChange=function(functionPointer){this.Events.AttachEvent('OnSelectionChange',functionPointer);};FCK.Paste=function(){if (FCKConfig.ForcePasteAsPlainText){FCK.PasteAsPlainText();return false;}else if (FCKConfig.AutoDetectPasteFromWord){var sHTML=FCK.GetClipboardHTML();var re=/<\w[^>]* class="?MsoNormal"?/gi;if (re.test(sHTML)){if (confirm(FCKLang["PasteWordConfirm"])){FCK.CleanAndPaste(sHTML);return false;};};}else return true;};FCK.InsertHtml=function(html){var oSel=FCKSelection.Delete();var oRange=oSel.getRangeAt(0);var oFragment=oRange.createContextualFragment(html);var oLastNode=oFragment.lastChild;oRange.insertNode(oFragment);oRange.setEndAfter(oLastNode);oRange.setStartAfter(oLastNode);oSel.removeAllRanges();oSel=FCK.EditorWindow.getSelection();oSel.addRange(oRange);this.Focus();};FCK.InsertElement=function(element){var oSel=FCKSelection.Delete();var oRange=oSel.getRangeAt(0);oRange.insertNode(element);oRange.setEndAfter(element);oRange.setStartAfter(element);this.Focus();};FCK.PasteAsPlainText=function(){FCKDialog.OpenDialog('FCKDialog_Paste',FCKLang.PasteAsText,'dialog/fck_paste.html',400,330,'PlainText');};FCK.PasteFromWord=function(){FCKDialog.OpenDialog('FCKDialog_Paste',FCKLang.PasteFromWord,'dialog/fck_paste.html',400,330,'Word');};FCK.GetClipboardHTML=function(){return '';};FCK.CreateLink=function(url){FCK.ExecuteNamedCommand('Unlink');if (url.length>0){var sTempUrl='javascript:void(0);/*'+(new Date().getTime())+'*/';FCK.ExecuteNamedCommand('CreateLink',sTempUrl);var oLink=document.evaluate("//a[@href='"+sTempUrl+"']",this.EditorDocument.body,null,9,null).singleNodeValue;if (oLink){oLink.href=url;return oLink;};};};
+var FCKSelection=new Object();FCK.Selection=FCKSelection;
+FCKSelection.GetType=function(){this._Type='Text';var oSel=FCK.EditorWindow.getSelection();if (oSel&&oSel.rangeCount==1){var oRange=oSel.getRangeAt(0);if (oRange.startContainer==oRange.endContainer&&(oRange.endOffset-oRange.startOffset)==1) this._Type='Control';};return this._Type;};FCKSelection.GetSelectedElement=function(){if (this.GetType()=='Control'){var oSel=FCK.EditorWindow.getSelection();return oSel.anchorNode.childNodes[oSel.anchorOffset];};};FCKSelection.GetParentElement=function(){if (this.GetType()=='Control') return FCKSelection.GetSelectedElement().parentElement;else{var oSel=FCK.EditorWindow.getSelection();if (oSel){var oNode=oSel.anchorNode;while (oNode&&oNode.nodeType!=1) oNode=oNode.parentNode;return oNode;};};};FCKSelection.SelectNode=function(element){FCK.Focus();var oRange=FCK.EditorDocument.createRange();oRange.selectNode(element);var oSel=FCK.EditorWindow.getSelection();oSel.removeAllRanges();oSel.addRange(oRange);};FCKSelection.Collapse=function(toStart){var oSel=FCK.EditorWindow.getSelection();if (toStart==null||toStart===true) oSel.collapseToStart();else oSel.collapseToEnd();};FCKSelection.HasAncestorNode=function(nodeTagName){var oContainer=this.GetSelectedElement();if (!oContainer&&FCK.EditorWindow){try		{ oContainer=FCK.EditorWindow.getSelection().getRangeAt(0).startContainer;}catch(e){};};while (oContainer){if (oContainer.tagName==nodeTagName) return true;oContainer=oContainer.parentNode;};return false;};FCKSelection.MoveToAncestorNode=function(nodeTagName){var oNode;var oContainer=this.GetSelectedElement();if (!oContainer) oContainer=FCK.EditorWindow.getSelection().getRangeAt(0).startContainer;while (oContainer){if (oContainer.tagName==nodeTagName) return oContainer;oContainer=oContainer.parentNode;};};FCKSelection.Delete=function(){var oSel=FCK.EditorWindow.getSelection();for (var i=0;i<oSel.rangeCount;i++){oSel.getRangeAt(i).deleteContents();};return oSel;}
+var FCKPanel=function(parentWindow){if (parentWindow) this.Window=parentWindow;else{this.Window=window;while (this.Window!=window.top){try{if (this.Window.parent.document.body.tagName=='FRAMESET') break;}catch (e){break;};this.Window=this.Window.parent;};};};FCKPanel.prototype.Create=function(){this._IFrame=this.Window.document.body.appendChild(this.Window.document.createElement('iframe'));this._IFrame.src='about:blank';this._IFrame.frameBorder='0';this._IFrame.scrolling='no';this._IFrame.style.left='0px';this._IFrame.style.top='0px';this._IFrame.width=10;this._IFrame.height=10;this._IFrame.style.position='absolute';this._IFrame.style.visibility='hidden';this._IFrame.IsFCKPanel=true;this._IFrame.Panel=this;this.Document=this._IFrame.contentWindow.document;this.Document.open();this.Document.write('<html><head></head><body><\/body><\/html>');this.Document.close();this.Document.body.style.margin=this.Document.body.style.padding='0px';if (this.StyleSheet) FCKTools.AppendStyleSheet(this.Document,this.StyleSheet);this.OuterDiv=this.Document.body.appendChild(this.Document.createElement('DIV'));this.OuterDiv.style.cssFloat='left';this.PanelDiv=this.OuterDiv.appendChild(this.Document.createElement('DIV'));this.PanelDiv.className='FCK_Panel';this.Created=true;};FCKPanel.prototype.Show=function(panelX,panelY,relElement,width,height,autoSize){if (!this.Created) this.Create();if (width!=null&&autoSize&&width<this.OuterDiv.offsetWidth) this.PanelDiv.style.width=width;if (height!=null&&autoSize&&height<this.PanelDiv.offsetHeight) this.PanelDiv.style.height=height+'px';var oPos=this.GetElementPosition(relElement);panelX+=oPos.X;panelY+=oPos.Y;if (panelX+this.OuterDiv.offsetWidth>this.Window.innerWidth){panelX-=panelX+this.OuterDiv.offsetWidth-this.Window.innerWidth;};this._IFrame.style.left=panelX+'px';this._IFrame.style.top=panelY+'px';function SetOnClickListener(targetWindow,targetFunction){try{if (targetWindow==null||(targetWindow.frameElement&&targetWindow.frameElement.IsFCKPanel)) return;targetWindow.document.addEventListener('click',targetFunction,false);}catch (e) {};for (var i=0;i<targetWindow.frames.length;i++) SetOnClickListener(targetWindow.frames[i],targetFunction);};SetOnClickListener(window.top,FCKPanelEventHandlers.OnDocumentClick);this._IFrame.width=this.OuterDiv.offsetWidth;this._IFrame.height=this.OuterDiv.offsetHeight;this._IFrame.style.visibility='';};FCKPanel.prototype.GetElementPosition=function(el){var c={ X:0,Y:0 };while (el){c.X+=el.offsetLeft;c.Y+=el.offsetTop;if (el.offsetParent==null&&el.ownerDocument.defaultView!=this.Window) el=el.ownerDocument.defaultView.frameElement;else el=el.offsetParent;};return c;};FCKPanel.prototype.Hide=function(){this.PanelDiv.style.overflow='visible';this._IFrame.style.visibility='hidden';};var FCKPanelEventHandlers=new Object();FCKPanelEventHandlers.OnDocumentClick=function(e){var oWindow=e.target.ownerDocument.defaultView;if (!oWindow.IsFCKPanel){function RemoveOnClickListener(targetWindow){if (targetWindow==null) return;try{if (targetWindow.frameElement&&targetWindow.frameElement.IsFCKPanel) targetWindow.frameElement.Panel.Hide();else targetWindow.document.removeEventListener('click',FCKPanelEventHandlers.OnDocumentClick,false);}catch (e) {};for (var i=0;i<targetWindow.frames.length;i++) RemoveOnClickListener(targetWindow.frames[i]);};RemoveOnClickListener(window.top);};}
+var FCKTableHandler=new Object();FCKTableHandler.InsertRow=function(){var oRow=FCKSelection.MoveToAncestorNode("TR");if (!oRow) return;var oNewRow=oRow.cloneNode(true);oRow.parentNode.insertBefore(oNewRow,oRow);FCKTableHandler.ClearRow(oRow);};FCKTableHandler.DeleteRows=function(row){if (!row) row=FCKSelection.MoveToAncestorNode("TR");if (!row) return;var oTable=FCKTools.GetElementAscensor(row,'TABLE');if (oTable.rows.length==1){FCKTableHandler.DeleteTable(oTable);return;};row.parentNode.removeChild(row);};FCKTableHandler.DeleteTable=function(table){if (!table) table=FCKSelection.MoveToAncestorNode("TABLE");if (!table) return;table.parentNode.removeChild(table);};FCKTableHandler.InsertColumn=function(){var oCell=FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oTable=FCKTools.GetElementAscensor(oCell,'TABLE');var iIndex=oCell.cellIndex+1;for (var i=0;i<oTable.rows.length;i++){var oRow=oTable.rows[i];if (oRow.cells.length<iIndex) continue;oCell=FCK.EditorDocument.createElement('TD');oCell.innerHTML='&nbsp;';var oBaseCell=oRow.cells[iIndex];if (oBaseCell){oRow.insertBefore(oCell,oBaseCell);}else{oRow.appendChild(oCell);};};};FCKTableHandler.DeleteColumns=function(){var oCell=FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oTable=FCKTools.GetElementAscensor(oCell,'TABLE');var iIndex=oCell.cellIndex;for (var i=oTable.rows.length-1;i>=0;i--){var oRow=oTable.rows[i];if (iIndex==0&&oRow.cells.length==1){FCKTableHandler.DeleteRows(oRow);continue;};if (oRow.cells[iIndex]) oRow.removeChild(oRow.cells[iIndex]);};};FCKTableHandler.InsertCell=function(cell){var oCell=cell?cell:FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oNewCell=FCK.EditorDocument.createElement("TD");oNewCell.innerHTML="&nbsp;";if (oCell.cellIndex==oCell.parentNode.cells.lenght-1){oCell.parentNode.appendChild(oNewCell);}else{oCell.parentNode.insertBefore(oNewCell,oCell.nextSibling);};return oNewCell;};FCKTableHandler.DeleteCell=function(cell){if (cell.parentNode.cells.length==1){FCKTableHandler.DeleteRows(FCKTools.GetElementAscensor(cell,'TR'));return;};cell.parentNode.removeChild(cell);};FCKTableHandler.DeleteCells=function(){var aCells=FCKTableHandler.GetSelectedCells();for (var i=aCells.length-1;i>=0;i--){FCKTableHandler.DeleteCell(aCells[i]);};};FCKTableHandler.MergeCells=function(){var aCells=FCKTableHandler.GetSelectedCells();if (aCells.length<2) return;if (aCells[0].parentNode!=aCells[aCells.length-1].parentNode) return;var iColSpan=isNaN(aCells[0].colSpan)?1:aCells[0].colSpan;var sHtml='';for (var i=aCells.length-1;i>0;i--){iColSpan+=isNaN(aCells[i].colSpan)?1:aCells[i].colSpan;sHtml=aCells[i].innerHTML+sHtml;FCKTableHandler.DeleteCell(aCells[i]);};aCells[0].colSpan=iColSpan;aCells[0].innerHTML+=sHtml;};FCKTableHandler.SplitCell=function(){var aCells=FCKTableHandler.GetSelectedCells();if (aCells.length!=1) return;var aMap=this._CreateTableMap(aCells[0].parentNode.parentNode);var iCellIndex=FCKTableHandler._GetCellIndexSpan(aMap,aCells[0].parentNode.rowIndex,aCells[0]);var aCollCells=this._GetCollumnCells(aMap,iCellIndex);for (var i=0;i<aCollCells.length;i++){if (aCollCells[i]==aCells[0]){var oNewCell=this.InsertCell(aCells[0]);if (!isNaN(aCells[0].rowSpan)&&aCells[0].rowSpan>1) oNewCell.rowSpan=aCells[0].rowSpan;}else{if (isNaN(aCollCells[i].colSpan)) aCollCells[i].colSpan=2;else aCollCells[i].colSpan+=1;};};};FCKTableHandler._GetCellIndexSpan=function(tableMap,rowIndex,cell){if (tableMap.length<rowIndex+1) return;var oRow=tableMap[rowIndex];for (var c=0;c<oRow.length;c++){if (oRow[c]==cell) return c;};};FCKTableHandler._GetCollumnCells=function(tableMap,collumnIndex){var aCollCells=new Array();for (var r=0;r<tableMap.length;r++){var oCell=tableMap[r][collumnIndex];if (oCell&&(aCollCells.length==0||aCollCells[aCollCells.length-1]!=oCell)) aCollCells[aCollCells.length]=oCell;};return aCollCells;};FCKTableHandler._CreateTableMap=function(table){var aRows=table.rows;var r=-1;var aMap=new Array();for (var i=0;i<aRows.length;i++){r++;if (!aMap[r]) aMap[r]=new Array();var c=-1;for (var j=0;j<aRows[i].cells.length;j++){var oCell=aRows[i].cells[j];c++;while (aMap[r][c]) c++;var iColSpan=isNaN(oCell.colSpan)?1:oCell.colSpan;var iRowSpan=isNaN(oCell.rowSpan)?1:oCell.rowSpan;for (var rs=0;rs<iRowSpan;rs++){if (!aMap[r+rs]) aMap[r+rs]=new Array();for (var cs=0;cs<iColSpan;cs++){aMap[r+rs][c+cs]=aRows[i].cells[j];};};c+=iColSpan-1;};};return aMap;};FCKTableHandler.ClearRow=function(tr){var aCells=tr.cells;for (var i=0;i<aCells.length;i++){aCells[i].innerHTML='&nbsp;';};}
+FCKTableHandler.GetSelectedCells=function(){var aCells=new Array();var oSelection=FCK.EditorWindow.getSelection();if (oSelection.rangeCount==1&&oSelection.anchorNode.nodeType==3){var oParent=FCKTools.GetElementAscensor(oSelection.anchorNode,'TD');if (oParent){aCells[0]=oParent;return aCells;};};for (var i=0;i<oSelection.rangeCount;i++){var oRange=oSelection.getRangeAt(i);var oCell=oRange.startContainer.childNodes[oRange.startOffset];if (oCell.tagName=='TD') aCells[aCells.length]=oCell;};return aCells;};
+var FCKXml;if (!(FCKXml=NS.FCKXml)){FCKXml=NS.FCKXml=function(){};FCKXml.prototype.LoadUrl=function(urlToCall){var oFCKXml=this;var oXmlHttp=FCKTools.CreateXmlObject('XmlHttp');oXmlHttp.open("GET",urlToCall,false);oXmlHttp.send(null);if (oXmlHttp.status==200) this.DOMDocument=oXmlHttp.responseXML;else if (oXmlHttp.status==0&&oXmlHttp.readyState==4) this.DOMDocument=oXmlHttp.responseXML;else alert('Error loading "'+urlToCall+'"');};FCKXml.prototype.SelectNodes=function(xpath,contextNode){var aNodeArray=new Array();var xPathResult=this.DOMDocument.evaluate(xpath,contextNode?contextNode:this.DOMDocument,this.DOMDocument.createNSResolver(this.DOMDocument.documentElement),XPathResult.ORDERED_NODE_ITERATOR_TYPE,null);if (xPathResult){var oNode=xPathResult.iterateNext();while(oNode){aNodeArray[aNodeArray.length]=oNode;oNode=xPathResult.iterateNext();};};return aNodeArray;};FCKXml.prototype.SelectSingleNode=function(xpath,contextNode){var xPathResult=this.DOMDocument.evaluate(xpath,contextNode?contextNode:this.DOMDocument,this.DOMDocument.createNSResolver(this.DOMDocument.documentElement),9,null);if (xPathResult&&xPathResult.singleNodeValue) return xPathResult.singleNodeValue;else return null;};}
+var FCKStyleDef=function(name,element){this.Name=name;this.Element=element.toUpperCase();this.IsObjectElement=FCKRegexLib.ObjectElements.test(this.Element);this.Attributes=new Object();};FCKStyleDef.prototype.AddAttribute=function(name,value){this.Attributes[name]=value;};FCKStyleDef.prototype.GetOpenerTag=function(){var s='<'+this.Element;for (var a in this.Attributes) s+=' '+a+'="'+this.Attributes[a]+'"';return s+'>';};FCKStyleDef.prototype.GetCloserTag=function(){return '</'+this.Element+'>';};FCKStyleDef.prototype.RemoveFromSelection=function(){if (FCKSelection.GetType()=='Control') this._RemoveMe(FCKSelection.GetSelectedElement());else this._RemoveMe(FCKSelection.GetParentElement());}
+FCKStyleDef.prototype.ApplyToSelection=function(){if (FCKSelection.GetType()=='Text'&&!this.IsObjectElement){var oSelection=FCK.EditorWindow.getSelection();var e=FCK.EditorDocument.createElement(this.Element);for (var i=0;i<oSelection.rangeCount;i++){e.appendChild(oSelection.getRangeAt(i).extractContents());};this._AddAttributes(e);this._RemoveDuplicates(e);var oRange=oSelection.getRangeAt(0);oRange.insertNode(e);}else{var oControl=FCKSelection.GetSelectedElement();if (oControl.tagName==this.Element) this._AddAttributes(oControl);};};FCKStyleDef.prototype._AddAttributes=function(targetElement){for (var a in this.Attributes) targetElement.setAttribute(a,this.Attributes[a],0);};FCKStyleDef.prototype._RemoveDuplicates=function(parent){for (var i=0;i<parent.childNodes.length;i++){var oChild=parent.childNodes[i];if (oChild.nodeType!=1) continue;this._RemoveDuplicates(oChild);if (this.IsEqual(oChild)) FCKTools.RemoveOuterTags(oChild);};};FCKStyleDef.prototype.IsEqual=function(e){if (e.tagName!=this.Element) return false;for (var a in this.Attributes){if (e.getAttribute(a)!=this.Attributes[a]) return false;};return true;};FCKStyleDef.prototype._RemoveMe=function(elementToCheck){if (!elementToCheck) return;var oParent=elementToCheck.parentNode;if (elementToCheck.nodeType==1&&this.IsEqual(elementToCheck)){if (this.IsObjectElement){for (var a in this.Attributes) elementToCheck.removeAttribute(a,0);return;}else FCKTools.RemoveOuterTags(elementToCheck);};this._RemoveMe(oParent);}
+var FCKStylesLoader=function(){this.Styles=new Object();this.StyleGroups=new Object();this.Loaded=false;this.HasObjectElements=false;};FCKStylesLoader.prototype.Load=function(stylesXmlUrl){var oXml=new FCKXml();oXml.LoadUrl(stylesXmlUrl);var aStyleNodes=oXml.SelectNodes('Styles/Style');for (var i=0;i<aStyleNodes.length;i++){var sElement=aStyleNodes[i].attributes.getNamedItem('element').value.toUpperCase();var oStyleDef=new FCKStyleDef(aStyleNodes[i].attributes.getNamedItem('name').value,sElement);if (oStyleDef.IsObjectElement) this.HasObjectElements=true;var aAttNodes=oXml.SelectNodes('Attribute',aStyleNodes[i]);for (var j=0;j<aAttNodes.length;j++){var sAttName=aAttNodes[j].attributes.getNamedItem('name').value;var sAttValue=aAttNodes[j].attributes.getNamedItem('value').value;if (sAttName.toLowerCase()=='style'){var oTempE=document.createElement('SPAN');oTempE.style.cssText=sAttValue;sAttValue=oTempE.style.cssText;};oStyleDef.AddAttribute(sAttName,sAttValue);};this.Styles[oStyleDef.Name]=oStyleDef;var aGroup=this.StyleGroups[sElement];if (aGroup==null){this.StyleGroups[sElement]=new Array();aGroup=this.StyleGroups[sElement];};aGroup[aGroup.length]=oStyleDef;};this.Loaded=true;}
+var FCKNamedCommand=function(commandName){this.Name=commandName;};FCKNamedCommand.prototype.Execute=function(){FCK.ExecuteNamedCommand(this.Name);};FCKNamedCommand.prototype.GetState=function(){return FCK.GetNamedCommandState(this.Name);};
+var FCKDialogCommand=function(name,title,url,width,height,getStateFunction,getStateParam){this.Name=name;this.Title=title;this.Url=url;this.Width=width;this.Height=height;this.GetStateFunction=getStateFunction;this.GetStateParam=getStateParam;};FCKDialogCommand.prototype.Execute=function(){FCKDialog.OpenDialog('FCKDialog_'+this.Name,this.Title,this.Url,this.Width,this.Height);};FCKDialogCommand.prototype.GetState=function(){if (this.GetStateFunction) return this.GetStateFunction(this.GetStateParam);else return FCK_TRISTATE_OFF;};var FCKUndefinedCommand=function(){this.Name='Undefined';};FCKUndefinedCommand.prototype.Execute=function(){alert(FCKLang.NotImplemented);};FCKUndefinedCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKFontNameCommand=function(){this.Name='FontName';};FCKFontNameCommand.prototype.Execute=function(fontName){if (fontName==null||fontName==""){}else FCK.ExecuteNamedCommand('FontName',fontName);};FCKFontNameCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FontName');};var FCKFontSizeCommand=function(){this.Name='FontSize';};FCKFontSizeCommand.prototype.Execute=function(fontSize){if (typeof(fontSize)=='string') fontSize=parseInt(fontSize);if (fontSize==null||fontSize==''){FCK.ExecuteNamedCommand('FontSize',3);}else FCK.ExecuteNamedCommand('FontSize',fontSize);};FCKFontSizeCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FontSize');};var FCKFormatBlockCommand=function(){this.Name='FormatBlock';};FCKFormatBlockCommand.prototype.Execute=function(formatName){if (formatName==null||formatName=='') FCK.ExecuteNamedCommand('FormatBlock','<P>');else FCK.ExecuteNamedCommand('FormatBlock','<'+formatName+'>');};FCKFormatBlockCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FormatBlock');};var FCKPreviewCommand=function(){this.Name='Preview';};FCKPreviewCommand.prototype.Execute=function(){FCK.Preview();};FCKPreviewCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKSaveCommand=function(){this.Name='Save';};FCKSaveCommand.prototype.Execute=function(){var oForm=FCK.LinkedField.form;oForm.submit();};FCKSaveCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKNewPageCommand=function(){this.Name='NewPage';};FCKNewPageCommand.prototype.Execute=function(){FCKUndo.SaveUndoStep();FCK.SetHTML(FCKBrowserInfo.IsGecko?'&nbsp;':'');};FCKNewPageCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKSourceCommand=function(){this.Name='Source';};FCKSourceCommand.prototype.Execute=function(){FCK.SwitchEditMode();};FCKSourceCommand.prototype.GetState=function(){return (FCK.EditMode==FCK_EDITMODE_WYSIWYG?FCK_TRISTATE_OFF:FCK_TRISTATE_ON);};var FCKUndoCommand=function(){this.Name='Undo';};FCKUndoCommand.prototype.Execute=function(){if (FCKBrowserInfo.IsIE) FCKUndo.Undo();else FCK.ExecuteNamedCommand('Undo');};FCKUndoCommand.prototype.GetState=function(){if (FCKBrowserInfo.IsIE) return (FCKUndo.CurrentIndex>0?FCK_TRISTATE_OFF:FCK_TRISTATE_DISABLED);else return FCK.GetNamedCommandState('Undo');};var FCKRedoCommand=function(){this.Name='Redo';};FCKRedoCommand.prototype.Execute=function(){if (FCKBrowserInfo.IsIE) FCKUndo.Redo();else FCK.ExecuteNamedCommand('Redo');};FCKRedoCommand.prototype.GetState=function(){if (FCKBrowserInfo.IsIE) return (FCKUndo.CurrentIndex<(FCKUndo.SavedData.length-1)?FCK_TRISTATE_OFF:FCK_TRISTATE_DISABLED);else return FCK.GetNamedCommandState('Redo');}
+var FCKSpellCheckCommand=function(){this.Name='SpellCheck';this.IsEnabled=(FCKConfig.SpellChecker=='SpellerPages');};FCKSpellCheckCommand.prototype.Execute=function(){FCKDialog.OpenDialog('FCKDialog_SpellCheck','Spell Check','dialog/fck_spellerpages.html',440,480);};FCKSpellCheckCommand.prototype.GetState=function(){return this.IsEnabled?FCK_TRISTATE_OFF:FCK_TRISTATE_DISABLED;}
+var FCKTextColorCommand=function(type){this.Name=type=='ForeColor'?'TextColor':'BGColor';this.Type=type;this._Panel=new FCKPanel();this._Panel.StyleSheet=FCKConfig.SkinPath+'fck_contextmenu.css';this._Panel.Create();this._CreatePanelBody(this._Panel.Document,this._Panel.PanelDiv);};FCKTextColorCommand.prototype.Execute=function(panelX,panelY,relElement){FCK._ActiveColorPanelType=this.Type;this._Panel.Show(panelX,panelY,relElement);};FCKTextColorCommand.prototype.SetColor=function(color){if (FCK._ActiveColorPanelType=='ForeColor') FCK.ExecuteNamedCommand('ForeColor',color);else if (FCKBrowserInfo.IsGecko) FCK.ExecuteNamedCommand('hilitecolor',color);else FCK.ExecuteNamedCommand('BackColor',color);delete FCK._ActiveColorPanelType;};FCKTextColorCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};function FCKTextColorCommand_OnMouseOver()	{ this.className='ColorSelected';};function FCKTextColorCommand_OnMouseOut()	{ this.className='ColorDeselected';};function FCKTextColorCommand_OnClick(){this.className='ColorDeselected';this.Command.SetColor('#'+this.Color);this.Command._Panel.Hide();};function FCKTextColorCommand_AutoOnClick(){this.className='ColorDeselected';this.Command.SetColor('');this.Command._Panel.Hide();};function FCKTextColorCommand_MoreOnClick(){this.className='ColorDeselected';this.Command._Panel.Hide();FCKDialog.OpenDialog('FCKDialog_Color',FCKLang.DlgColorTitle,'dialog/fck_colorselector.html',400,330,this.Command.SetColor);};FCKTextColorCommand.prototype._CreatePanelBody=function(targetDocument,targetDiv){function CreateSelectionDiv(){var oDiv=targetDocument.createElement("DIV");oDiv.className='ColorDeselected';oDiv.onmouseover=FCKTextColorCommand_OnMouseOver;oDiv.onmouseout=FCKTextColorCommand_OnMouseOut;return oDiv;};var oTable=targetDiv.appendChild(targetDocument.createElement("TABLE"));oTable.style.tableLayout='fixed';oTable.cellPadding=0;oTable.cellSpacing=0;oTable.border=0;oTable.width=150;var oCell=oTable.insertRow(-1).insertCell(-1);oCell.colSpan=8;var oDiv=oCell.appendChild(CreateSelectionDiv());oDiv.innerHTML='<table cellspacing="0" cellpadding="0" width="100%" border="0">\ <tr>\ <td><div class="ColorBoxBorder"><div class="ColorBox" style="background-color: #000000"></div></div></td>\ <td nowrap width="100%" align="center" unselectable="on">'+FCKLang.ColorAutomatic+'</td>\ </tr>\ </table>';oDiv.Command=this;oDiv.onclick=FCKTextColorCommand_AutoOnClick;var aColors=FCKConfig.FontColors.toString().split(',');var iCounter=0;while (iCounter<aColors.length){var oRow=oTable.insertRow(-1);for (var i=0;i<8&&iCounter<aColors.length;i++,iCounter++){var oDiv=oRow.insertCell(-1).appendChild(CreateSelectionDiv());oDiv.Color=aColors[iCounter];oDiv.innerHTML='<div class="ColorBoxBorder"><div class="ColorBox" style="background-color: #'+aColors[iCounter]+'"></div></div>';oDiv.Command=this;oDiv.onclick=FCKTextColorCommand_OnClick;};};var oCell=oTable.insertRow(-1).insertCell(-1);oCell.colSpan=8;var oDiv=oCell.appendChild(CreateSelectionDiv());oDiv.innerHTML='<table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td nowrap align="center">'+FCKLang.ColorMoreColors+'</td></tr></table>';oDiv.Command=this;oDiv.onclick=FCKTextColorCommand_MoreOnClick;}
+var FCKPastePlainTextCommand=function(){this.Name='PasteText';};FCKPastePlainTextCommand.prototype.Execute=function(){FCK.PasteAsPlainText();};FCKPastePlainTextCommand.prototype.GetState=function(){return FCK.GetNamedCommandState('Paste');};
+var FCKPasteWordCommand=function(){this.Name='PasteWord';};FCKPasteWordCommand.prototype.Execute=function(){FCK.PasteFromWord();};FCKPasteWordCommand.prototype.GetState=function(){return FCK.GetNamedCommandState('Paste');};
+var FCKTableCommand=function(command){this.Name=command;};FCKTableCommand.prototype.Execute=function(){switch (this.Name){case 'TableInsertRow':FCKTableHandler.InsertRow();break;case 'TableDeleteRows':FCKTableHandler.DeleteRows();break;case 'TableInsertColumn':FCKTableHandler.InsertColumn();break;case 'TableDeleteColumns':FCKTableHandler.DeleteColumns();break;case 'TableInsertCell':FCKTableHandler.InsertCell();break;case 'TableDeleteCells':FCKTableHandler.DeleteCells();break;case 'TableMergeCells':FCKTableHandler.MergeCells();break;case 'TableSplitCell':FCKTableHandler.SplitCell();break;default:alert(FCKLang.UnknownCommand.replace(/%1/g,this.Name));};};FCKTableCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;}
+var FCKStyleCommand=function(){this.Name='Style';this.StylesLoader=new FCKStylesLoader();this.StylesLoader.Load(FCKConfig.StylesXmlPath);this.Styles=this.StylesLoader.Styles;};FCKStyleCommand.prototype.Execute=function(styleName,styleComboItem){if (styleComboItem.Selected) styleComboItem.Style.RemoveFromSelection();else styleComboItem.Style.ApplyToSelection();FCK.Focus();FCK.Events.FireEvent("OnSelectionChange");};FCKStyleCommand.prototype.GetState=function(){var oSelection=FCK.EditorDocument.selection;if (FCKSelection.GetType()=='Control'){var e=FCKSelection.GetSelectedElement();if (e) return this.StylesLoader.StyleGroups[e.tagName]?FCK_TRISTATE_OFF:FCK_TRISTATE_DISABLED;else FCK_TRISTATE_OFF;}else return FCK_TRISTATE_OFF;};FCKStyleCommand.prototype.GetActiveStyles=function(){var aActiveStyles=new Array();if (FCKSelection.GetType()=='Control') this._CheckStyle(FCKSelection.GetSelectedElement(),aActiveStyles,false);else this._CheckStyle(FCKSelection.GetParentElement(),aActiveStyles,true);return aActiveStyles;};FCKStyleCommand.prototype._CheckStyle=function(element,targetArray,checkParent){if (!element) return;if (element.nodeType==1){var aStyleGroup=this.StylesLoader.StyleGroups[element.tagName];if (aStyleGroup){for (var i=0;i<aStyleGroup.length;i++){if (aStyleGroup[i].IsEqual(element)) targetArray[targetArray.length]=aStyleGroup[i];};};};if (checkParent) this._CheckStyle(element.parentNode,targetArray,checkParent);}
+var FCKCommands=FCK.Commands=new Object();FCKCommands.LoadedCommands=new Object();FCKCommands.RegisterCommand=function(commandName,command){this.LoadedCommands[commandName]=command;};FCKCommands.GetCommand=function(commandName){var oCommand=FCKCommands.LoadedCommands[commandName];if (oCommand) return oCommand;switch (commandName){case 'DocProps':oCommand=new FCKDialogCommand('DocProps',FCKLang.DocProps,'dialog/fck_docprops.html',400,390,FCKCommands.GetFullPageState);break;case 'Templates':oCommand=new FCKDialogCommand('Templates',FCKLang.DlgTemplatesTitle,'dialog/fck_template.html',380,450);break;case 'Link':oCommand=new FCKDialogCommand('Link',FCKLang.DlgLnkWindowTitle,'dialog/fck_link.html',400,330,FCK.GetNamedCommandState,'CreateLink');break;case 'Anchor':oCommand=new FCKDialogCommand('Anchor',FCKLang.DlgAnchorTitle,'dialog/fck_anchor.html',370,170);break;case 'BulletedList':oCommand=new FCKDialogCommand('BulletedList',FCKLang.BulletedListProp,'dialog/fck_listprop.html',370,170);break;case 'NumberedList':oCommand=new FCKDialogCommand('NumberedList',FCKLang.NumberedListProp,'dialog/fck_listprop.html',370,170);break;case 'About':oCommand=new FCKDialogCommand('About',FCKLang.About,'dialog/fck_about.html',400,330);break;case 'Find':oCommand=new FCKDialogCommand('Find',FCKLang.DlgFindTitle,'dialog/fck_find.html',340,170);break;case 'Replace':oCommand=new FCKDialogCommand('Replace',FCKLang.DlgReplaceTitle,'dialog/fck_replace.html',340,200);break;case 'Image':oCommand=new FCKDialogCommand('Image',FCKLang.DlgImgTitle,'dialog/fck_image.html',450,400);break;case 'SpecialChar':oCommand=new FCKDialogCommand('SpecialChar',FCKLang.DlgSpecialCharTitle,'dialog/fck_specialchar.html',400,300);break;case 'Smiley':oCommand=new FCKDialogCommand('Smiley',FCKLang.DlgSmileyTitle,'dialog/fck_smiley.html',FCKConfig.SmileyWindowWidth,FCKConfig.SmileyWindowHeight);break;case 'Table':oCommand=new FCKDialogCommand('Table',FCKLang.DlgTableTitle,'dialog/fck_table.html',400,250);break;case 'TableProp':oCommand=new FCKDialogCommand('Table',FCKLang.DlgTableTitle,'dialog/fck_table.html?Parent',400,250);break;case 'TableCellProp':oCommand=new FCKDialogCommand('TableCell',FCKLang.DlgCellTitle,'dialog/fck_tablecell.html',500,250);break;case 'UniversalKey':oCommand=new FCKDialogCommand('UniversalKey',FCKLang.UniversalKeyboard,'dialog/fck_universalkey.html',415,300);break;case 'Style':oCommand=new FCKStyleCommand();break;case 'FontName':oCommand=new FCKFontNameCommand();break;case 'FontSize':oCommand=new FCKFontSizeCommand();break;case 'FontFormat':oCommand=new FCKFormatBlockCommand();break;case 'Source':oCommand=new FCKSourceCommand();break;case 'Preview':oCommand=new FCKPreviewCommand();break;case 'Save':oCommand=new FCKSaveCommand();break;case 'NewPage':oCommand=new FCKNewPageCommand();break;case 'TextColor':oCommand=new FCKTextColorCommand('ForeColor');break;case 'BGColor':oCommand=new FCKTextColorCommand('BackColor');break;case 'PasteText':oCommand=new FCKPastePlainTextCommand();break;case 'PasteWord':oCommand=new FCKPasteWordCommand();break;case 'TableInsertRow':oCommand=new FCKTableCommand('TableInsertRow');break;case 'TableDeleteRows':oCommand=new FCKTableCommand('TableDeleteRows');break;case 'TableInsertColumn':oCommand=new FCKTableCommand('TableInsertColumn');break;case 'TableDeleteColumns':oCommand=new FCKTableCommand('TableDeleteColumns');break;case 'TableInsertCell':oCommand=new FCKTableCommand('TableInsertCell');break;case 'TableDeleteCells':oCommand=new FCKTableCommand('TableDeleteCells');break;case 'TableMergeCells':oCommand=new FCKTableCommand('TableMergeCells');break;case 'TableSplitCell':oCommand=new FCKTableCommand('TableSplitCell');break;case 'Form':oCommand=new FCKDialogCommand('Form',FCKLang.Form,'dialog/fck_form.html',380,230);break;case 'Checkbox':oCommand=new FCKDialogCommand('Checkbox',FCKLang.Checkbox,'dialog/fck_checkbox.html',380,230);break;case 'Radio':oCommand=new FCKDialogCommand('Radio',FCKLang.RadioButton,'dialog/fck_radiobutton.html',380,230);break;case 'TextField':oCommand=new FCKDialogCommand('TextField',FCKLang.TextField,'dialog/fck_textfield.html',380,230);break;case 'Textarea':oCommand=new FCKDialogCommand('Textarea',FCKLang.Textarea,'dialog/fck_textarea.html',380,230);break;case 'HiddenField':oCommand=new FCKDialogCommand('HiddenField',FCKLang.HiddenField,'dialog/fck_hiddenfield.html',380,230);break;case 'Button':oCommand=new FCKDialogCommand('Button',FCKLang.Button,'dialog/fck_button.html',380,230);break;case 'Select':oCommand=new FCKDialogCommand('Select',FCKLang.SelectionField,'dialog/fck_select.html',400,380);break;case 'ImageButton':oCommand=new FCKDialogCommand('ImageButton',FCKLang.ImageButton,'dialog/fck_image.html?ImageButton',450,400);break;case 'SpellCheck':oCommand=new FCKSpellCheckCommand();break;case 'Undo':oCommand=new FCKUndoCommand();break;case 'Redo':oCommand=new FCKRedoCommand();break;case 'Undefined':oCommand=new FCKUndefinedCommand();break;default:if (FCKRegexLib.NamedCommands.test(commandName)) oCommand=new FCKNamedCommand(commandName);else{alert(FCKLang.UnknownCommand.replace(/%1/g,commandName));return;};};FCKCommands.LoadedCommands[commandName]=oCommand;return oCommand;};FCKCommands.GetFullPageState=function(){return FCKConfig.FullPage?FCK_TRISTATE_OFF:FCK_TRISTATE_DISABLED;};
+var FCKToolbarButton=function(commandName,label,tooltip,style,sourceView,contextSensitive){this.Command=FCKCommands.GetCommand(commandName);this.Label=label?label:commandName;this.Tooltip=tooltip?tooltip:(label?label:commandName);this.Style=style?style:FCK_TOOLBARITEM_ONLYICON;this.SourceView=sourceView?true:false;this.ContextSensitive=contextSensitive?true:false;this.IconPath=FCKConfig.SkinPath+'toolbar/'+commandName.toLowerCase()+'.gif';this.State=FCK_UNKNOWN;};FCKToolbarButton.prototype.CreateInstance=function(parentToolbar){this.DOMDiv=document.createElement('div');this.DOMDiv.className='TB_Button_Off';this.DOMDiv.FCKToolbarButton=this;var sHtml='<table title="'+this.Tooltip+'" cellspacing="0" cellpadding="0" border="0" unselectable="on">'+'<tr>';if (this.Style!=FCK_TOOLBARITEM_ONLYTEXT) sHtml+='<td class="TB_Icon" unselectable="on"><img src="'+this.IconPath+'" width="21" height="21" unselectable="on"></td>';if (this.Style!=FCK_TOOLBARITEM_ONLYICON) sHtml+='<td class="TB_Text" unselectable="on" nowrap>'+this.Label+'</td>';sHtml+='</tr>'+'</table>';this.DOMDiv.innerHTML=sHtml;var oCell=parentToolbar.DOMRow.insertCell(-1);oCell.appendChild(this.DOMDiv);this.RefreshState();};FCKToolbarButton.prototype.RefreshState=function(){var eState=this.Command.GetState();if (eState==this.State) return;this.State=eState;switch (this.State){case FCK_TRISTATE_ON:this.DOMDiv.className='TB_Button_On';this.DOMDiv.onmouseover=FCKToolbarButton_OnMouseOnOver;this.DOMDiv.onmouseout=FCKToolbarButton_OnMouseOnOut;this.DOMDiv.onclick=FCKToolbarButton_OnClick;break;case FCK_TRISTATE_OFF:this.DOMDiv.className='TB_Button_Off';this.DOMDiv.onmouseover=FCKToolbarButton_OnMouseOffOver;this.DOMDiv.onmouseout=FCKToolbarButton_OnMouseOffOut;this.DOMDiv.onclick=FCKToolbarButton_OnClick;break;default:this.Disable();break;};};function FCKToolbarButton_OnMouseOnOver(){this.className='TB_Button_On TB_Button_On_Over';};function FCKToolbarButton_OnMouseOnOut(){this.className='TB_Button_On';};function FCKToolbarButton_OnMouseOffOver(){this.className='TB_Button_On TB_Button_Off_Over';};function FCKToolbarButton_OnMouseOffOut(){this.className='TB_Button_Off';};function FCKToolbarButton_OnClick(e){this.FCKToolbarButton.Click(e);return false;};FCKToolbarButton.prototype.Click=function(){this.Command.Execute();};FCKToolbarButton.prototype.Enable=function(){this.RefreshState();};FCKToolbarButton.prototype.Disable=function(){this.State=FCK_TRISTATE_DISABLED;this.DOMDiv.className='TB_Button_Disabled';this.DOMDiv.onmouseover=null;this.DOMDiv.onmouseout=null;this.DOMDiv.onclick=null;}
+var FCKSpecialCombo=function(caption){this.FieldWidth=80;this.PanelWidth=130;this.PanelMaxHeight=150;this.Label='&nbsp;';this.Caption=caption;this.Enabled=true;this.Items=new Object();this._Panel=new FCKPanel();this._Panel.StyleSheet=FCKConfig.SkinPath+'fck_contextmenu.css';this._Panel.Create();this._Panel.PanelDiv.className+=' SC_Panel';this._Panel.PanelDiv.innerHTML='<table cellpadding="0" cellspacing="0" width="100%" style="TABLE-LAYOUT: fixed"><tr><td nowrap></td></tr></table>';this._ItemsHolderEl=this._Panel.PanelDiv.getElementsByTagName('TD')[0];};function FCKSpecialCombo_ItemOnMouseOver(){this.className+=' SC_ItemOver';};function FCKSpecialCombo_ItemOnMouseOut(){this.className=this.originalClass;};function FCKSpecialCombo_ItemOnClick(){this.FCKSpecialCombo._Panel.Hide();this.FCKSpecialCombo.SetLabel(this.FCKItemLabel);if (typeof(this.FCKSpecialCombo.OnSelect)=='function') this.FCKSpecialCombo.OnSelect(this.FCKItemID,this);};FCKSpecialCombo.prototype.AddItem=function(id,html,label){var oDiv=this._ItemsHolderEl.appendChild(this._Panel.Document.createElement('DIV'));oDiv.className=oDiv.originalClass='SC_Item';oDiv.innerHTML=html;oDiv.FCKItemID=id;oDiv.FCKItemLabel=label?label:id;oDiv.FCKSpecialCombo=this;oDiv.Selected=false;oDiv.onmouseover=FCKSpecialCombo_ItemOnMouseOver;oDiv.onmouseout=FCKSpecialCombo_ItemOnMouseOut;oDiv.onclick=FCKSpecialCombo_ItemOnClick;this.Items[id.toString().toLowerCase()]=oDiv;return oDiv;};FCKSpecialCombo.prototype.SelectItem=function(itemId){itemId=itemId?itemId.toString().toLowerCase():'';var oDiv=this.Items[itemId];if (oDiv){oDiv.className=oDiv.originalClass='SC_ItemSelected';oDiv.Selected=true;};};FCKSpecialCombo.prototype.DeselectAll=function(){for (var i in this.Items){this.Items[i].className=this.Items[i].originalClass='SC_Item';this.Items[i].Selected=false;};};FCKSpecialCombo.prototype.SetLabelById=function(id){id=id?id.toString().toLowerCase():'';var oDiv=this.Items[id];this.SetLabel(oDiv?oDiv.FCKItemLabel:'');};FCKSpecialCombo.prototype.SetLabel=function(text){this.Label=text.length==0?'&nbsp;':text;if (this._LabelEl) this._LabelEl.innerHTML=this.Label;};FCKSpecialCombo.prototype.SetEnabled=function(isEnabled){this.Enabled=isEnabled;this._OuterTable.className=isEnabled?'':'SC_FieldDisabled';};FCKSpecialCombo.prototype.Create=function(targetElement){this._OuterTable=targetElement.appendChild(document.createElement('TABLE'));this._OuterTable.cellPadding=0;this._OuterTable.cellSpacing=0;this._OuterTable.insertRow(-1);if (this.Caption&&this.Caption.length>0){var oCaptionCell=this._OuterTable.rows[0].insertCell(-1);oCaptionCell.unselectable='on';oCaptionCell.innerHTML=this.Caption;oCaptionCell.className='SC_FieldCaption';};var oField=this._OuterTable.rows[0].insertCell(-1).appendChild(document.createElement('DIV'));oField.className='SC_Field';oField.style.width=this.FieldWidth+'px';oField.innerHTML='<table width="100%" cellpadding="0" cellspacing="0" style="TABLE-LAYOUT: fixed;" unselectable="on"><tbody><tr><td class="SC_FieldLabel" unselectable="on"><label unselectable="on">&nbsp;</label></td><td class="SC_FieldButton" unselectable="on">&nbsp;</td></tr></tbody></table>';this._LabelEl=oField.getElementsByTagName('label')[0];this._LabelEl.innerHTML=this.Label;oField.SpecialCombo=this;oField.onmouseover=FCKSpecialCombo_OnMouseOver;oField.onmouseout=FCKSpecialCombo_OnMouseOut;oField.onclick=FCKSpecialCombo_OnClick;};function FCKSpecialCombo_OnMouseOver(){if (this.SpecialCombo.Enabled) this.className='SC_Field SC_FieldOver';};function FCKSpecialCombo_OnMouseOut(){this.className='SC_Field';};function FCKSpecialCombo_OnClick(e){if (e){e.stopPropagation();FCKPanelEventHandlers.OnDocumentClick(e);};if (this.SpecialCombo.Enabled){if (typeof(this.SpecialCombo.OnBeforeClick)=='function') this.SpecialCombo.OnBeforeClick(this.SpecialCombo);if (this.SpecialCombo._ItemsHolderEl.offsetHeight>this.SpecialCombo.PanelMaxHeight) this.SpecialCombo._Panel.PanelDiv.style.height=this.SpecialCombo.PanelMaxHeight+'px';else this.SpecialCombo._Panel.PanelDiv.style.height=this.SpecialCombo._ItemsHolderEl.offsetHeight+'px';this.SpecialCombo._Panel.PanelDiv.style.width=this.SpecialCombo.PanelWidth+'px';if (FCKBrowserInfo.IsGecko) this.SpecialCombo._Panel.PanelDiv.style.overflow='-moz-scrollbars-vertical';this.SpecialCombo._Panel.Show(0,this.offsetHeight,this,null,this.SpecialCombo.PanelMaxHeight,true);};return false;};
+var FCKToolbarSpecialCombo=function(){this.SourceView=false;this.ContextSensitive=true;};function FCKToolbarSpecialCombo_OnSelect(itemId,item){this.Command.Execute(itemId,item);};FCKToolbarSpecialCombo.prototype.CreateInstance=function(parentToolbar){this._Combo=new FCKSpecialCombo(this.GetLabel());this._Combo.FieldWidth=100;this._Combo.PanelWidth=150;this._Combo.PanelMaxHeight=150;this.CreateItems(this._Combo);this._Combo.Create(parentToolbar.DOMRow.insertCell(-1));this._Combo.Command=this.Command;this._Combo.OnSelect=FCKToolbarSpecialCombo_OnSelect;};function FCKToolbarSpecialCombo_RefreshActiveItems(combo,value){combo.DeselectAll();combo.SelectItem(value);combo.SetLabelById(value);};FCKToolbarSpecialCombo.prototype.RefreshState=function(){var eState;var sValue=this.Command.GetState();if (sValue!=FCK_TRISTATE_DISABLED){eState=FCK_TRISTATE_ON;if (this.RefreshActiveItems) this.RefreshActiveItems(this._Combo,sValue);else FCKToolbarSpecialCombo_RefreshActiveItems(this._Combo,sValue);}else eState=FCK_TRISTATE_DISABLED;if (eState==this.State) return;if (eState==FCK_TRISTATE_DISABLED){this._Combo.DeselectAll();this._Combo.SetLabel('');};this.State=eState;this._Combo.SetEnabled(eState!=FCK_TRISTATE_DISABLED);};FCKToolbarSpecialCombo.prototype.Enable=function(){this.RefreshState();};FCKToolbarSpecialCombo.prototype.Disable=function(){this.State=FCK_TRISTATE_DISABLED;this._Combo.DeselectAll();this._Combo.SetLabel('');this._Combo.SetEnabled(false);}
+var FCKToolbarFontsCombo=function(){this.Command=FCKCommands.GetCommand('FontName');};FCKToolbarFontsCombo.prototype=new FCKToolbarSpecialCombo;FCKToolbarFontsCombo.prototype.GetLabel=function(){return FCKLang.Font;};FCKToolbarFontsCombo.prototype.CreateItems=function(targetSpecialCombo){var aFonts=FCKConfig.FontNames.split(';');for (var i=0;i<aFonts.length;i++) this._Combo.AddItem(aFonts[i],'<span style="font-family: \''+aFonts[i]+'\'; font-size: 12px;">'+aFonts[i]+'</span>');}
+var FCKToolbarFontSizeCombo=function(){this.Command=FCKCommands.GetCommand('FontSize');};FCKToolbarFontSizeCombo.prototype=new FCKToolbarSpecialCombo;FCKToolbarFontSizeCombo.prototype.GetLabel=function(){return FCKLang.FontSize;};FCKToolbarFontSizeCombo.prototype.CreateItems=function(targetSpecialCombo){targetSpecialCombo.FieldWidth=70;var aSizes=FCKConfig.FontSizes.split(';');for (var i=0;i<aSizes.length;i++){var aSizeParts=aSizes[i].split('/');this._Combo.AddItem(aSizeParts[0],'<font size="'+aSizeParts[0]+'">'+aSizeParts[1]+'</font>',aSizeParts[1]);};}
+var FCKToolbarFontFormatCombo=function(){this.Command=FCKCommands.GetCommand('FontFormat');};FCKToolbarFontFormatCombo.prototype=new FCKToolbarSpecialCombo;FCKToolbarFontFormatCombo.prototype.GetLabel=function(){return FCKLang.FontFormat;};FCKToolbarFontFormatCombo.prototype.CreateItems=function(targetSpecialCombo){var aNames=FCKLang['FontFormats'].split(';');var oNames={p:aNames[0],pre:aNames[1],address:aNames[2],h1:aNames[3],h2:aNames[4],h3:aNames[5],h4:aNames[6],h5:aNames[7],h6:aNames[8],div:aNames[9]};var aTags=FCKConfig.FontFormats.split(';');for (var i=0;i<aTags.length;i++){if (aTags[i]=='div'&&FCKBrowserInfo.IsGecko) continue;this._Combo.AddItem(aTags[i],'<'+aTags[i]+'>'+oNames[aTags[i]]+'</'+aTags[i]+'>',oNames[aTags[i]]);};}
+var FCKToolbarStyleCombo=function(){this.Command=FCKCommands.GetCommand('Style');};FCKToolbarStyleCombo.prototype=new FCKToolbarSpecialCombo;FCKToolbarStyleCombo.prototype.GetLabel=function(){return FCKLang.Style;};FCKToolbarStyleCombo.prototype.CreateItems=function(targetSpecialCombo){FCKTools.AppendStyleSheet(targetSpecialCombo._Panel.Document,FCKConfig.EditorAreaCSS);if (!FCKBrowserInfo.IsGecko) targetSpecialCombo.OnBeforeClick=this.RefreshVisibleItems;for (var s in this.Command.Styles){var oStyle=this.Command.Styles[s];if (oStyle.IsObjectElement) var oItem=targetSpecialCombo.AddItem(s,s);else var oItem=targetSpecialCombo.AddItem(s,oStyle.GetOpenerTag()+s+oStyle.GetCloserTag());oItem.Style=oStyle;};};FCKToolbarStyleCombo.prototype.RefreshActiveItems=function(targetSpecialCombo){targetSpecialCombo.DeselectAll();var aStyles=this.Command.GetActiveStyles();if (aStyles.length>0){for (var i=0;i<aStyles.length;i++) targetSpecialCombo.SelectItem(aStyles[i].Name);targetSpecialCombo.SetLabelById(aStyles[0].Name);}else targetSpecialCombo.SetLabel('');};FCKToolbarStyleCombo.prototype.RefreshVisibleItems=function(targetSpecialCombo){if (FCKSelection.GetType()=='Control') var sTagName=FCKSelection.GetSelectedElement().tagName;for (var i in targetSpecialCombo.Items){var oItem=targetSpecialCombo.Items[i];if ((sTagName&&oItem.Style.Element==sTagName)||(!sTagName&&!oItem.Style.IsObjectElement)) oItem.style.display='';else oItem.style.display='none';};}
+var FCKToolbarPanelButton=function(commandName,label,tooltip,style){this.Command=FCKCommands.GetCommand(commandName);this.Label=label?label:commandName;this.Tooltip=tooltip?tooltip:(label?label:commandName);this.Style=style?style:FCK_TOOLBARITEM_ONLYICON;this.State=FCK_UNKNOWN;};FCKToolbarPanelButton.prototype.Click=function(e){if (e){e.stopPropagation();FCKPanelEventHandlers.OnDocumentClick(e);};if (this.State!=FCK_TRISTATE_DISABLED){this.Command.Execute(0,this.DOMDiv.offsetHeight,this.DOMDiv);};return false;};FCKToolbarPanelButton.prototype.CreateInstance=function(parentToolbar){this.DOMDiv=document.createElement('div');this.DOMDiv.className='TB_Button_Off';this.DOMDiv.FCKToolbarButton=this;var sHtml='<table title="'+this.Tooltip+'" cellspacing="0" cellpadding="0" border="0" unselectable="on">'+'<tr>';if (this.Style!=FCK_TOOLBARITEM_ONLYTEXT) sHtml+='<td class="TB_Icon" unselectable="on"><img src="'+FCKConfig.SkinPath+'toolbar/'+this.Command.Name.toLowerCase()+'.gif" width="21" height="21" unselectable="on"></td>';if (this.Style!=FCK_TOOLBARITEM_ONLYICON) sHtml+='<td class="TB_Text" unselectable="on" nowrap>'+this.Label+'</td>';sHtml+='<td class="TB_ButtonArrow" unselectable="on"><img src="'+FCKConfig.SkinPath+'images/toolbar.buttonarrow.gif" width="5" height="3"></td>'+'</tr>'+'</table>';this.DOMDiv.innerHTML=sHtml;var oCell=parentToolbar.DOMRow.insertCell(-1);oCell.appendChild(this.DOMDiv);this.RefreshState();};FCKToolbarPanelButton.prototype.RefreshState=FCKToolbarButton.prototype.RefreshState;FCKToolbarPanelButton.prototype.Enable=FCKToolbarButton.prototype.Enable;FCKToolbarPanelButton.prototype.Disable=FCKToolbarButton.prototype.Disable;
+var FCKToolbarItems=new Object();FCKToolbarItems.LoadedItems=new Object();FCKToolbarItems.RegisterItem=function(itemName,item){this.LoadedItems[itemName]=item;};FCKToolbarItems.GetItem=function(itemName){var oItem=FCKToolbarItems.LoadedItems[itemName];if (oItem) return oItem;switch (itemName){case 'Source':oItem=new FCKToolbarButton('Source',FCKLang.Source,null,FCK_TOOLBARITEM_ICONTEXT,true,true);break;case 'DocProps':oItem=new FCKToolbarButton('DocProps',FCKLang.DocProps);break;case 'Templates':oItem=new FCKToolbarButton('Templates',FCKLang.Templates);break;case 'Save':oItem=new FCKToolbarButton('Save',FCKLang.Save,null,null,true);break;case 'NewPage':oItem=new FCKToolbarButton('NewPage',FCKLang.NewPage,null,null,true);break;case 'Preview':oItem=new FCKToolbarButton('Preview',FCKLang.Preview,null,null,true);break;case 'About':oItem=new FCKToolbarButton('About',FCKLang.About,null,null,true);break;case 'Cut':oItem=new FCKToolbarButton('Cut',FCKLang.Cut,null,null,false,true);break;case 'Copy':oItem=new FCKToolbarButton('Copy',FCKLang.Copy,null,null,false,true);break;case 'Paste':oItem=new FCKToolbarButton('Paste',FCKLang.Paste,null,null,false,true);break;case 'PasteText':oItem=new FCKToolbarButton('PasteText',FCKLang.PasteText,null,null,false,true);break;case 'PasteWord':oItem=new FCKToolbarButton('PasteWord',FCKLang.PasteWord,null,null,false,true);break;case 'Print':oItem=new FCKToolbarButton('Print',FCKLang.Print,null,null,false,true);break;case 'SpellCheck':oItem=new FCKToolbarButton('SpellCheck',FCKLang.SpellCheck);break;case 'Undo':oItem=new FCKToolbarButton('Undo',FCKLang.Undo,null,null,false,true);break;case 'Redo':oItem=new FCKToolbarButton('Redo',FCKLang.Redo,null,null,false,true);break;case 'SelectAll':oItem=new FCKToolbarButton('SelectAll',FCKLang.SelectAll);break;case 'RemoveFormat':oItem=new FCKToolbarButton('RemoveFormat',FCKLang.RemoveFormat,null,null,false,true);break;case 'Bold':oItem=new FCKToolbarButton('Bold',FCKLang.Bold,null,null,false,true);break;case 'Italic':oItem=new FCKToolbarButton('Italic',FCKLang.Italic,null,null,false,true);break;case 'Underline':oItem=new FCKToolbarButton('Underline',FCKLang.Underline,null,null,false,true);break;case 'StrikeThrough':oItem=new FCKToolbarButton('StrikeThrough',FCKLang.StrikeThrough,null,null,false,true);break;case 'Subscript':oItem=new FCKToolbarButton('Subscript',FCKLang.Subscript,null,null,false,true);break;case 'Superscript':oItem=new FCKToolbarButton('Superscript',FCKLang.Superscript,null,null,false,true);break;case 'OrderedList':oItem=new FCKToolbarButton('InsertOrderedList',FCKLang.NumberedListLbl,FCKLang.NumberedList,null,false,true);break;case 'UnorderedList':oItem=new FCKToolbarButton('InsertUnorderedList',FCKLang.BulletedListLbl,FCKLang.BulletedList,null,false,true);break;case 'Outdent':oItem=new FCKToolbarButton('Outdent',FCKLang.DecreaseIndent,null,null,false,true);break;case 'Indent':oItem=new FCKToolbarButton('Indent',FCKLang.IncreaseIndent,null,null,false,true);break;case 'Link':oItem=new FCKToolbarButton('Link',FCKLang.InsertLinkLbl,FCKLang.InsertLink,null,false,true);break;case 'Unlink':oItem=new FCKToolbarButton('Unlink',FCKLang.RemoveLink,null,null,false,true);break;case 'Anchor':oItem=new FCKToolbarButton('Anchor',FCKLang.Anchor);break;case 'Image':oItem=new FCKToolbarButton('Image',FCKLang.InsertImageLbl,FCKLang.InsertImage);break;case 'Table':oItem=new FCKToolbarButton('Table',FCKLang.InsertTableLbl,FCKLang.InsertTable);break;case 'SpecialChar':oItem=new FCKToolbarButton('SpecialChar',FCKLang.InsertSpecialCharLbl,FCKLang.InsertSpecialChar);break;case 'Smiley':oItem=new FCKToolbarButton('Smiley',FCKLang.InsertSmileyLbl,FCKLang.InsertSmiley);break;case 'UniversalKey':oItem=new FCKToolbarButton('UniversalKey',FCKLang.UniversalKeyboard);break;case 'Rule':oItem=new FCKToolbarButton('InsertHorizontalRule',FCKLang.InsertLineLbl,FCKLang.InsertLine,null,false,true);break;case 'JustifyLeft':oItem=new FCKToolbarButton('JustifyLeft',FCKLang.LeftJustify,null,null,false,true);break;case 'JustifyCenter':oItem=new FCKToolbarButton('JustifyCenter',FCKLang.CenterJustify,null,null,false,true);break;case 'JustifyRight':oItem=new FCKToolbarButton('JustifyRight',FCKLang.RightJustify,null,null,false,true);break;case 'JustifyFull':oItem=new FCKToolbarButton('JustifyFull',FCKLang.BlockJustify,null,null,false,true);break;case 'Style':oItem=new FCKToolbarStyleCombo();break;case 'FontName':oItem=new FCKToolbarFontsCombo();break;case 'FontSize':oItem=new FCKToolbarFontSizeCombo();break;case 'FontFormat':oItem=new FCKToolbarFontFormatCombo();break;case 'TextColor':oItem=new FCKToolbarPanelButton('TextColor',FCKLang.TextColor);break;case 'BGColor':oItem=new FCKToolbarPanelButton('BGColor',FCKLang.BGColor);break;case 'Find':oItem=new FCKToolbarButton('Find',FCKLang.Find);break;case 'Replace':oItem=new FCKToolbarButton('Replace',FCKLang.Replace);break;case 'Form':oItem=new FCKToolbarButton('Form',FCKLang.Form);break;case 'Checkbox':oItem=new FCKToolbarButton('Checkbox',FCKLang.Checkbox);break;case 'Radio':oItem=new FCKToolbarButton('Radio',FCKLang.RadioButton);break;case 'TextField':oItem=new FCKToolbarButton('TextField',FCKLang.TextField);break;case 'Textarea':oItem=new FCKToolbarButton('Textarea',FCKLang.Textarea);break;case 'HiddenField':oItem=new FCKToolbarButton('HiddenField',FCKLang.HiddenField);break;case 'Button':oItem=new FCKToolbarButton('Button',FCKLang.Button);break;case 'Select':oItem=new FCKToolbarButton('Select',FCKLang.SelectionField);break;case 'ImageButton':oItem=new FCKToolbarButton('ImageButton',FCKLang.ImageButton);break;default:alert(FCKLang.UnknownToolbarItem.replace(/%1/g,itemName));return;};FCKToolbarItems.LoadedItems[itemName]=oItem;return oItem;}
+var FCKToolbar=function(){this.Items=new Array();this.DOMTable=document.createElement('table');this.DOMTable.className='TB_Toolbar';with (this.DOMTable){style.styleFloat=style.cssFloat=FCKLang.Dir=='rtl'?'right':'left';cellPadding=0;cellSpacing=0;border=0;};this.DOMRow=this.DOMTable.insertRow(-1);var oCell=this.DOMRow.insertCell(-1);oCell.className='TB_Start';oCell.innerHTML='<img src="'+FCKConfig.SkinPath+'images/toolbar.start.gif" width="7" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';FCKToolbarSet.DOMElement.appendChild(this.DOMTable);};FCKToolbar.prototype.AddItem=function(toolbarItem){this.Items[this.Items.length]=toolbarItem;toolbarItem.CreateInstance(this);};FCKToolbar.prototype.AddSeparator=function(){var oCell=this.DOMRow.insertCell(-1);oCell.unselectable='on';oCell.innerHTML='<img src="'+FCKConfig.SkinPath+'images/toolbar.separator.gif" width="5" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';};FCKToolbar.prototype.AddTerminator=function(){var oCell=this.DOMRow.insertCell(-1);oCell.className='TB_End';oCell.innerHTML='<img src="'+FCKConfig.SkinPath+'images/toolbar.end.gif" width="12" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';};
+var FCKToolbarBreak=function(){var oBreakDiv=document.createElement('div');oBreakDiv.style.clear=oBreakDiv.style.cssFloat=FCKLang.Dir=='rtl'?'right':'left';FCKToolbarSet.DOMElement.appendChild(oBreakDiv);}
+var FCKToolbarSet=FCK.ToolbarSet=new Object();document.getElementById('ExpandHandle').title=FCKLang.ToolbarExpand;document.getElementById('CollapseHandle').title=FCKLang.ToolbarCollapse;FCKToolbarSet.Toolbars=new Array();FCKToolbarSet.ItemsWysiwygOnly=new Array();FCKToolbarSet.ItemsContextSensitive=new Array();FCKToolbarSet.Expand=function(){document.getElementById('Collapsed').style.display='none';document.getElementById('Expanded').style.display='';if (!FCKBrowserInfo.IsIE){window.setTimeout("window.onresize()",1);};};FCKToolbarSet.Collapse=function(){document.getElementById('Collapsed').style.display='';document.getElementById('Expanded').style.display='none';if (!FCKBrowserInfo.IsIE){window.setTimeout("window.onresize()",1);};};FCKToolbarSet.Restart=function(){if (!FCKConfig.ToolbarCanCollapse||FCKConfig.ToolbarStartExpanded) this.Expand();else this.Collapse();document.getElementById('CollapseHandle').style.display=FCKConfig.ToolbarCanCollapse?'':'none';};FCKToolbarSet.Load=function(toolbarSetName){this.DOMElement=document.getElementById('eToolbar');var ToolbarSet=FCKConfig.ToolbarSets[toolbarSetName];if (!ToolbarSet){alert(FCKLang.UnknownToolbarSet.replace(/%1/g,toolbarSetName));return;};this.Toolbars=new Array();for (var x=0;x<ToolbarSet.length;x++){var oToolbarItems=ToolbarSet[x];var oToolbar;if (typeof(oToolbarItems)=='string'){if (oToolbarItems=='/') oToolbar=new FCKToolbarBreak();}else{var oToolbar=new FCKToolbar();for (var j=0;j<oToolbarItems.length;j++){var sItem=oToolbarItems[j];if (sItem=='-') oToolbar.AddSeparator();else{var oItem=FCKToolbarItems.GetItem(sItem);if (oItem){oToolbar.AddItem(oItem);if (!oItem.SourceView) this.ItemsWysiwygOnly[this.ItemsWysiwygOnly.length]=oItem;if (oItem.ContextSensitive) this.ItemsContextSensitive[this.ItemsContextSensitive.length]=oItem;};};};oToolbar.AddTerminator();};this.Toolbars[this.Toolbars.length]=oToolbar;};};FCKToolbarSet.RefreshModeState=function(){if (FCK.EditMode==FCK_EDITMODE_WYSIWYG){for (var i=0;i<FCKToolbarSet.ItemsWysiwygOnly.length;i++) FCKToolbarSet.ItemsWysiwygOnly[i].Enable();FCKToolbarSet.RefreshItemsState();}else{FCKToolbarSet.RefreshItemsState();for (var i=0;i<FCKToolbarSet.ItemsWysiwygOnly.length;i++) FCKToolbarSet.ItemsWysiwygOnly[i].Disable();};};FCKToolbarSet.RefreshItemsState=function(){for (var i=0;i<FCKToolbarSet.ItemsContextSensitive.length;i++) FCKToolbarSet.ItemsContextSensitive[i].RefreshState();};
+var FCKDialog=new Object();FCKDialog.OpenDialog=function(dialogName,dialogTitle,dialogPage,width,height,customValue,parentWindow){var oDialogInfo=new Object();oDialogInfo.Title=dialogTitle;oDialogInfo.Page=dialogPage;oDialogInfo.Editor=window;oDialogInfo.CustomValue=customValue;var sUrl=FCKConfig.BasePath+'fckdialog.html';this.Show(oDialogInfo,dialogName,sUrl,width,height,parentWindow);};
+FCKDialog.Show=function(dialogInfo,dialogName,pageUrl,dialogWidth,dialogHeight,parentWindow){var iTop=(screen.height-dialogHeight) / 2;var iLeft=(screen.width  - dialogWidth)  / 2;var sOption="location=no,menubar=no,resizable=no,toolbar=no,dependent=yes,dialog=yes,minimizable=no,modal=yes,alwaysRaised=yes"+",width="+dialogWidth+",height="+dialogHeight+",top="+iTop+",left="+iLeft;if (!parentWindow) parentWindow=window;var oWindow=parentWindow.open('','FCKEditorDialog_'+dialogName,sOption,true);oWindow.moveTo(iLeft,iTop);oWindow.resizeTo(dialogWidth,dialogHeight);oWindow.focus();oWindow.location.href=pageUrl;oWindow.dialogArguments=dialogInfo;parentWindow.FCKLastDialogInfo=dialogInfo;this.Window=oWindow;try{window.top.captureEvents(Event.CLICK|Event.MOUSEDOWN|Event.MOUSEUP|Event.FOCUS);window.top.parent.addEventListener('mousedown',this.CheckFocus,true);window.top.parent.addEventListener('mouseup',this.CheckFocus,true);window.top.parent.addEventListener('click',this.CheckFocus,true);window.top.parent.addEventListener('focus',this.CheckFocus,true);}catch (e){};};FCKDialog.CheckFocus=function(){if (typeof(FCKDialog)!="object") return;if (FCKDialog.Window&&!FCKDialog.Window.closed){FCKDialog.Window.focus();return false;}else{try{window.top.releaseEvents(Event.CLICK|Event.MOUSEDOWN|Event.MOUSEUP|Event.FOCUS);window.top.parent.removeEventListener('onmousedown',FCKDialog.CheckFocus,true);window.top.parent.removeEventListener('mouseup',FCKDialog.CheckFocus,true);window.top.parent.removeEventListener('click',FCKDialog.CheckFocus,true);window.top.parent.removeEventListener('onfocus',FCKDialog.CheckFocus,true);}catch (e){};};};
+var FCKContextMenuItem=function(contextMenu,commandName,label,hasIcon){this.ContextMenu=contextMenu;this.Command=FCKCommands.GetCommand(commandName);this.Label=label?label:commandName;this.HasIcon=hasIcon?true:false;};function FCKContextMenuItem_OnMouseOver(){if (this.className!='CM_Disabled') this.className='CM_Over';};function FCKContextMenuItem_OnMouseOut(){if (this.className!='CM_Disabled') this.className='CM_Option';};function FCKContextMenuItem_OnClick(){if (this.className!='CM_Disabled'){this.FCKContextMenuItem.ContextMenu.Hide();this.FCKContextMenuItem.Command.Execute();};return false;};FCKContextMenuItem.prototype.CreateTableRow=function(targetTable){this._Row=targetTable.insertRow(-1);this._Row.className='CM_Disabled';this._Row.FCKContextMenuItem=this;this._Row.onmouseover=FCKContextMenuItem_OnMouseOver;this._Row.onmouseout=FCKContextMenuItem_OnMouseOut;this._Row.onclick=FCKContextMenuItem_OnClick;var oCell=this._Row.insertCell(-1);oCell.className='CM_Icon';if (this.HasIcon) oCell.innerHTML='<img alt="" src="'+FCKConfig.SkinPath+'toolbar/'+this.Command.Name.toLowerCase()+'.gif" width="21" height="20" unselectable="on">';oCell=this._Row.insertCell(-1);oCell.className='CM_Label';oCell.unselectable='on';oCell.noWrap=true;oCell.innerHTML=this.Label;};FCKContextMenuItem.prototype.SetVisible=function(isVisible){this._Row.style.display=isVisible?'':'none';};FCKContextMenuItem.prototype.RefreshState=function(){switch (this.Command.GetState()){case FCK_TRISTATE_ON:case FCK_TRISTATE_OFF:this._Row.className='CM_Option';break;default:this._Row.className='CM_Disabled';break;};};
+var FCKContextMenuSeparator=function(){};FCKContextMenuSeparator.prototype.CreateTableRow=function(targetTable){this._Row=targetTable.insertRow(-1);this._Row.className='CM_Separator';var oCell=this._Row.insertCell(-1);oCell.className='CM_Icon';oCell=this._Row.insertCell(-1);oCell.className='CM_Label';oCell.innerHTML='<div></div>';};FCKContextMenuSeparator.prototype.SetVisible=function(isVisible){this._Row.style.display=isVisible?'':'none';};FCKContextMenuSeparator.prototype.RefreshState=function(){};
+var FCKContextMenuGroup=function(addSeparator,contextMenu,firstItemCommand,firstItemLabel,hasIcon){this.IsVisible=true;this.Items=new Array();if (addSeparator) this.Add(new FCKContextMenuSeparator());if (contextMenu&&firstItemCommand&&firstItemLabel) this.Add(new FCKContextMenuItem(contextMenu,firstItemCommand,firstItemLabel,hasIcon));this.ValidationFunction=null;};FCKContextMenuGroup.prototype.Add=function(contextMenuItem){this.Items[this.Items.length]=contextMenuItem;};FCKContextMenuGroup.prototype.CreateTableRows=function(table){for (var i=0;i<this.Items.length;i++){this.Items[i].CreateTableRow(table);};};FCKContextMenuGroup.prototype.SetVisible=function(isVisible){for (var i=0;i<this.Items.length;i++){this.Items[i].SetVisible(isVisible);};this.IsVisible=isVisible;};FCKContextMenuGroup.prototype.RefreshState=function(){if (!this.IsVisible) return;for (var i=0;i<this.Items.length;i++){this.Items[i].RefreshState();};}
+var FCKContextMenu=new Object();FCKContextMenu._IsLoaded=false;FCKContextMenu.Reload=function(){this._Div=this._Document.createElement('DIV');this._Div.className='CM_ContextMenu';this._Div.style.position='absolute';this._Div.style.visibility='hidden';this._Document.body.appendChild(this._Div);var oTable=this._Document.createElement('TABLE');oTable.cellSpacing=0;oTable.cellPadding=0;oTable.border=0;this._Div.appendChild(oTable);this.Groups=new Object();for (var i=0;i<FCKConfig.ContextMenu.length;i++){var sGroup=FCKConfig.ContextMenu[i];this.Groups[sGroup]=this._GetGroup(sGroup);this.Groups[sGroup].CreateTableRows(oTable);};this._IsLoaded=true;};FCKContextMenu._GetGroup=function(groupName){var oGroup;switch (groupName){case 'Generic':oGroup=new FCKContextMenuGroup();with (oGroup){Add(new FCKContextMenuItem(this,'Cut',FCKLang.Cut,true));Add(new FCKContextMenuItem(this,'Copy',FCKLang.Copy,true));Add(new FCKContextMenuItem(this,'Paste',FCKLang.Paste,true));};break;case 'Link':oGroup=new FCKContextMenuGroup();with (oGroup){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem(this,'Link',FCKLang.EditLink,true));Add(new FCKContextMenuItem(this,'Unlink',FCKLang.RemoveLink,true));};break;case 'TableCell':oGroup=new FCKContextMenuGroup();with (oGroup){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem(this,'TableInsertRow',FCKLang.InsertRow,true));Add(new FCKContextMenuItem(this,'TableDeleteRows',FCKLang.DeleteRows,true));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem(this,'TableInsertColumn',FCKLang.InsertColumn,true));Add(new FCKContextMenuItem(this,'TableDeleteColumns',FCKLang.DeleteColumns,true));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem(this,'TableInsertCell',FCKLang.InsertCell,true));Add(new FCKContextMenuItem(this,'TableDeleteCells',FCKLang.DeleteCells,true));Add(new FCKContextMenuItem(this,'TableMergeCells',FCKLang.MergeCells,true));Add(new FCKContextMenuItem(this,'TableSplitCell',FCKLang.SplitCell,true));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem(this,'TableCellProp',FCKLang.CellProperties,true));Add(new FCKContextMenuItem(this,'TableProp',FCKLang.TableProperties,true));};break;case 'Table':return new FCKContextMenuGroup(true,this,'Table',FCKLang.TableProperties,true);case 'Image':return new FCKContextMenuGroup(true,this,'Image',FCKLang.ImageProperties,true);case 'Form':return new FCKContextMenuGroup(true,this,'Form',FCKLang.FormProp,true);case 'Checkbox':return new FCKContextMenuGroup(true,this,'Checkbox',FCKLang.CheckboxProp,true);case 'Radio':return new FCKContextMenuGroup(true,this,'Radio',FCKLang.RadioButtonProp,true);case 'TextField':return new FCKContextMenuGroup(true,this,'TextField',FCKLang.TextFieldProp,true);case 'HiddenField':return new FCKContextMenuGroup(true,this,'HiddenField',FCKLang.HiddenFieldProp,true);case 'ImageButton':return new FCKContextMenuGroup(true,this,'ImageButton',FCKLang.ImageButtonProp,true);case 'Button':return new FCKContextMenuGroup(true,this,'Button',FCKLang.ButtonProp,true);case 'Select':return new FCKContextMenuGroup(true,this,'Select',FCKLang.SelectionFieldProp,true);case 'Textarea':return new FCKContextMenuGroup(true,this,'Textarea',FCKLang.TextareaProp,true);case 'BulletedList':return new FCKContextMenuGroup(true,this,'BulletedList',FCKLang.BulletedListProp,true);case 'NumberedList':return new FCKContextMenuGroup(true,this,'NumberedList',FCKLang.NumberedListProp,true);case 'Anchor':return new FCKContextMenuGroup(true,this,'Anchor',FCKLang.AnchorProp,true);};return oGroup;};FCKContextMenu.RefreshState=function(){var oTag=FCKSelection.GetSelectedElement();var sTagName;if (oTag){sTagName=oTag.tagName;};var bIsAnchor=(sTagName=='A'&&oTag.name.length>0&&oTag.href.length==0);if (this.Groups['Anchor'])		this.Groups['Anchor'].SetVisible(bIsAnchor);if (this.Groups['Link'])			this.Groups['Link'].SetVisible(!bIsAnchor&&FCK.GetNamedCommandState('Unlink')!=FCK_TRISTATE_DISABLED);if (this.Groups['TableCell'])		this.Groups['TableCell'].SetVisible(sTagName!='TABLE'&&FCKSelection.HasAncestorNode('TABLE'));if (this.Groups['Table'])			this.Groups['Table'].SetVisible(sTagName=='TABLE');if (this.Groups['Image'])			this.Groups['Image'].SetVisible(sTagName=='IMG');if (this.Groups['BulletedList'])	this.Groups['BulletedList'].SetVisible(FCKSelection.HasAncestorNode('UL'));if (this.Groups['NumberedList'])	this.Groups['NumberedList'].SetVisible(FCKSelection.HasAncestorNode('OL'));if (this.Groups['Select'])		this.Groups['Select'].SetVisible(sTagName=='SELECT');if (this.Groups['Textarea'])		this.Groups['Textarea'].SetVisible(sTagName=='TEXTAREA');if (this.Groups['Form'])			this.Groups['Form'].SetVisible(FCKSelection.HasAncestorNode('FORM'));if (this.Groups['Checkbox'])		this.Groups['Checkbox'].SetVisible(sTagName=='INPUT'&&oTag.type=='checkbox');if (this.Groups['Radio'])			this.Groups['Radio'].SetVisible(sTagName=='INPUT'&&oTag.type=='radio');if (this.Groups['TextField'])		this.Groups['TextField'].SetVisible(sTagName=='INPUT'&&(oTag.type=='text'||oTag.type=='password'));if (this.Groups['HiddenField'])	this.Groups['HiddenField'].SetVisible(sTagName=='INPUT'&&oTag.type=='hidden');if (this.Groups['ImageButton'])	this.Groups['ImageButton'].SetVisible(sTagName=='INPUT'&&oTag.type=='image');if (this.Groups['Button'])		this.Groups['Button'].SetVisible(sTagName=='INPUT'&&(oTag.type=='button'||oTag.type=='submit'||oTag.type=='reset'));for (var o in this.Groups){this.Groups[o].RefreshState();};};
+FCKTools.AppendStyleSheet(window.parent.document,FCKConfig.SkinPath+'fck_contextmenu.css');FCKContextMenu.Show=function(x,y){if (!this._Document){this._Document=window.parent.document;};if (!this._IsLoaded){this.Reload();this._Div.style.zIndex=10000;this._Div.oncontextmenu=function() { return false;};};this.RefreshState();var oCoordsA=FCKTools.GetElementPosition(FCK.EditorWindow.frameElement);var oCoordsB=FCKTools.GetElementPosition(window.frameElement);x+=oCoordsA.X+oCoordsB.X;y+=oCoordsA.Y+oCoordsB.Y;var iXSpace=x+this._Div.offsetWidth-this._Div.ownerDocument.defaultView.innerWidth;var iYSpace=y+this._Div.offsetHeight-this._Div.ownerDocument.defaultView.innerHeight;if (iXSpace>0) x-=this._Div.offsetWidth;if (iYSpace>0) y-=this._Div.offsetHeight;this._Div.style.left=x+'px';this._Div.style.top=y+'px';var oActualWindow=FCK.EditorWindow;while (oActualWindow){oActualWindow.document.addEventListener('click',FCKContextMenu._OnDocumentClick,false);if (oActualWindow!=oActualWindow.parent) oActualWindow=oActualWindow.parent;else if (oActualWindow.opener==null) oActualWindow=oActualWindow.opener;else break;};this._Div.style.visibility='';};FCKContextMenu._OnDocumentClick=function(event){var e=event.target;while (e){if (e==FCKContextMenu._Div) return;e=e.parentNode;};FCKContextMenu.Hide();};FCKContextMenu.Hide=function(){this._Div.style.visibility='hidden';this._Div.style.left=this._Div.style.top='1px';}
+if (!FCKConfig.PluginsPath.endsWith('/')) FCKConfig.PluginsPath+='/';var FCKPlugin=function(name,availableLangs,basePath){this.Name=name;this.BasePath=basePath?basePath:FCKConfig.PluginsPath;this.Path=this.BasePath+name+'/';if (!availableLangs||availableLangs.length==0) this.AvailableLangs=new Array();else this.AvailableLangs=availableLangs.split(',');};FCKPlugin.prototype.Load=function(){if (this.AvailableLangs.length>0){if (this.AvailableLangs.indexOf(FCKLanguageManager.ActiveLanguage.Code)>=0) var sLang=FCKLanguageManager.ActiveLanguage.Code;else var sLang=this.AvailableLangs[0];FCKScriptLoader.AddScript(this.Path+'lang/'+sLang+'.js');};FCKScriptLoader.AddScript(this.Path+'fckplugin.js');}
+var FCKPlugins=FCK.Plugins=new Object();FCKPlugins.ItemsCount=0;FCKPlugins.Loaded=false;FCKPlugins.Items=new Object();for (var i=0;i<FCKConfig.Plugins.Items.length;i++){var oItem=FCKConfig.Plugins.Items[i];FCKPlugins.Items[oItem[0]]=new FCKPlugin(oItem[0],oItem[1],oItem[2]);FCKPlugins.ItemsCount++;};FCKPlugins.Load=function(){for (var s in this.Items) this.Items[s].Load();this.Loaded=true;FCKPlugins.Load=null;}
+if (FCKLang&&window.document.dir.toLowerCase()!=FCKLang.Dir.toLowerCase()) window.document.dir=FCKLang.Dir;if (FCKConfig.ForcePasteAsPlainText) FCK.Events.AttachEvent("OnPaste",FCK.Paste);if (FCKPlugins.ItemsCount>0){FCKScriptLoader.OnEmpty=CompleteLoading;FCKPlugins.Load();}else CompleteLoading();function CompleteLoading(){FCKToolbarSet.Name=FCKURLParams['Toolbar']||'Default';FCKToolbarSet.Load(FCKToolbarSet.Name);FCKToolbarSet.Restart();FCK.AttachToOnSelectionChange(FCKToolbarSet.RefreshItemsState);FCK.SetStatus(FCK_STATUS_COMPLETE);if (typeof(window.parent.FCKeditor_OnComplete)=='function') window.parent.FCKeditor_OnComplete(FCK);}
diff -urN soojung-0.4.8/libs/fckeditor/editor/js/fckeditorcode_ie_1.js soojung/libs/fckeditor/editor/js/fckeditorcode_ie_1.js
--- soojung-0.4.8/libs/fckeditor/editor/js/fckeditorcode_ie_1.js	2004-12-27 20:50:31.000000000 +0900
+++ soojung/libs/fckeditor/editor/js/fckeditorcode_ie_1.js	2005-06-11 10:32:45.000000000 +0900
@@ -1,23 +1,25 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * This file has been compacted for best loading performance.
- * 
- * Version: 2.0 Beta 2
- * Created: 2004-09-10 02:40:05
- */
-var FCKDebug=new Object();if (FCKConfig.Debug){FCKDebug.Output=function(message, color){if (! FCKConfig.Debug) return;if (message !=null && isNaN( message )){message=message.replace(/</g, "&lt;");};if (!this.DebugWindow || this.DebugWindow.closed){this.DebugWindow=window.open('fckdebug.html', 'FCKeditorDebug', 'menubar=no,scrollbars=no,resizable=yes,location=no,toolbar=no,width=600,height=500', true);};if (this.DebugWindow.Output){this.DebugWindow.Output(message, color);};};}else{FCKDebug.Output=function() {};};
-var FCKTools=new Object();FCKTools.GetLinkedFieldValue=function(){return FCK.LinkedField.value;};FCKTools.SetLinkedFieldValue=function(value){FCK.LinkedField.value=value;};FCKTools.AttachToLinkedFieldFormSubmit=function(functionPointer){var oForm=FCK.LinkedField.form;if (!oForm) return;if (FCKBrowserInfo.IsIE) oForm.attachEvent("onsubmit", functionPointer);else oForm.addEventListener('submit', functionPointer, true);if (! oForm.updateFCKEditor) oForm.updateFCKEditor=new Array();oForm.updateFCKEditor[oForm.updateFCKEditor.length]=functionPointer;if (! oForm.originalSubmit){oForm.originalSubmit=oForm.submit;oForm.submit=function(){if (this.updateFCKEditor){for (var i=0 ; i < this.updateFCKEditor.length ; i++) this.updateFCKEditor[i]();};this.originalSubmit();};};};FCKTools.AddSelectOption=function(targetDocument, selectElement, optionText, optionValue){var oOption=targetDocument.createElement("OPTION");oOption.text=optionText;oOption.value=optionValue;selectElement.options.add(oOption);return oOption;};FCKTools.RemoveAllSelectOptions=function(selectElement){for (var i=selectElement.options.length - 1 ; i >=0 ; i--){selectElement.options.remove(i);};};FCKTools.SelectNoCase=function(selectElement, value, defaultValue){var sNoCaseValue=value.toString().toLowerCase();for (var i=0 ; i < selectElement.options.length ; i++){if (sNoCaseValue==selectElement.options[i].value.toLowerCase()){selectElement.selectedIndex=i;return;};};if (defaultValue !=null ) FCKTools.SelectNoCase( selectElement, defaultValue);};FCKTools.HTMLEncode=function(text){text=text.replace(/&/g, "&amp;");text=text.replace(/"/g, "&quot;");text=text.replace(/</g, "&lt;");text=text.replace(/>/g, "&gt;");text=text.replace(/'/g, "&#146;");return text;};FCKTools.GetResultingArray=function(arraySource, separator){switch (typeof( arraySource )){case "string" : return arraySource.split(separator);case "function" : return separator();default : if (isArray( arraySource )) return arraySource;else return new Array();};};FCKTools.GetElementPosition=function(el){var c={ X:0, Y:0 };while (el){c.X +=el.offsetLeft;c.Y +=el.offsetTop;el=el.offsetParent;};return c;};FCKTools.GetElementAscensor=function(element, ascensorTagName){var e=element.parentNode;while (e){if (e.nodeName==ascensorTagName) return e;e=e.parentNode;};};
-FCKTools.AppendStyleSheet=function(documentElement, cssFileUrl){documentElement.createStyleSheet(cssFileUrl);};FCKTools.ClearElementAttributes=function(element){element.clearAttributes();};FCKTools.GetAllChildrenIds=function(parentElement){var aIds=new Array();for (var i=0 ; i < parentElement.all.length ; i++){var sId=parentElement.all[i].id;if (sId && sId.length > 0) aIds[ aIds.length ]=sId;};return aIds;}
-var FCKLanguageManager=new Object();FCKLanguageManager.AvailableLanguages={'ar'	: 'Arabic', 'en'	: 'English', 'it'	: 'Italian'};FCKLanguageManager.GetActiveLanguage=function(){if (FCKConfig.AutoDetectLanguage){var sUserLang=navigator.language ? navigator.language.toLowerCase() : navigator.userLanguage.toLowerCase();FCKDebug.Output('Navigator Language = ' + sUserLang);if (sUserLang.length >=5){sUserLang=sUserLang.substr(0,5);if (this.AvailableLanguages[sUserLang]) return sUserLang;};if (sUserLang.length >=2){sUserLang=sUserLang.substr(0,2);if (this.AvailableLanguages[sUserLang]) return sUserLang;};};return FCKConfig.DefaultLanguage;};FCKLanguageManager.TranslateElements=function(targetDocument, tag, propertyToSet){var aInputs=targetDocument.getElementsByTagName(tag);for (var i=0 ; i < aInputs.length ; i++){if (aInputs[i].attributes['fckLang']){var s=FCKLang[ aInputs[i].attributes["fckLang"].value ];eval('aInputs[i].' + propertyToSet + ' = s');};};};FCKLanguageManager.TranslatePage=function(targetDocument){this.TranslateElements(targetDocument, 'INPUT', 'value');this.TranslateElements(targetDocument, 'SPAN', 'innerHTML');this.TranslateElements(targetDocument, 'OPTION', 'innerHTML');};FCKLanguageManager.ActiveLanguage=new Object();FCKLanguageManager.ActiveLanguage.Code=FCKLanguageManager.GetActiveLanguage();FCKLanguageManager.ActiveLanguage.Name=FCKLanguageManager.AvailableLanguages[ FCKLanguageManager.ActiveLanguage.Code ];FCK.Language=FCKLanguageManager;LoadLanguageFile();
-var FCKEvents=function(eventsOwner){this.Owner=eventsOwner;this.RegisteredEvents=new Object();};FCKEvents.prototype.AttachEvent=function(eventName, functionPointer, params){if (! this.RegisteredEvents[ eventName ] ) this.RegisteredEvents[ eventName ]=new Array();this.RegisteredEvents[ eventName ][ this.RegisteredEvents[ eventName ].length ]=functionPointer;};FCKEvents.prototype.FireEvent=function(eventName, params){var bReturnValue=true;FCKDebug.Output('Firing event: ' + eventName, 'Fuchsia');var oCalls=this.RegisteredEvents[ eventName ];if (oCalls){for (i in oCalls){if (typeof( oCalls[ i ] )=="function"){bReturnValue=(bReturnValue && oCalls[ i ]( params ));}else{bReturnValue=(bReturnValue && eval( oCalls[ i ] ));};};};return bReturnValue;};
-var FCKXHtml=new Object();FCKXHtml.GetXHTML=function(node){if (window.ActiveXObject) this.XML=new ActiveXObject('Msxml2.DOMDocument');else this.XML=document.implementation.createDocument('', '', null);this.MainNode=this.XML.appendChild(this.XML.createElement( 'XHTML' ));this._AppendChildNodes(this.MainNode, node);var sXHTML=document.all ? this.MainNode.xml : FCKXHtml._GetGeckoNodeXml(this.MainNode);return sXHTML.substr(7, sXHTML.length - 15);};FCKXHtml._GetGeckoNodeXml=function(node){var oSerializer=new XMLSerializer();return oSerializer.serializeToString(node);};FCKXHtml._AppendAttribute=function(xmlNode, attributeName, attributeValue){if (attributeName=='_moz_dirty') return;var oXmlAtt=this.XML.createAttribute(attributeName);if (typeof( attributeValue )=='boolean' && attributeValue == true) oXmlAtt.value=attributeName;else oXmlAtt.value=attributeValue;xmlNode.attributes.setNamedItem(oXmlAtt);};FCKXHtml._AppendChildNodes=function(xmlNode, htmlNode){var oChildren=htmlNode.childNodes;var i=0;while (i < oChildren.length){i +=this._AppendNode(xmlNode, oChildren[i]);};};FCKXHtml._AppendNode=function(xmlNode, htmlNode){var iAddedNodes=1;switch (htmlNode.nodeType){case 1 : var sNodeName=htmlNode.nodeName.toLowerCase();var oNode=xmlNode.appendChild(this.XML.createElement( sNodeName ));var oAttributes=htmlNode.attributes;for (var n=0 ; n < oAttributes.length ; n++){var oAttribute=oAttributes[n];if (oAttribute.specified){var sAttName=oAttribute.nodeName.toLowerCase();var sAttValue=oAttribute.nodeValue;if (sAttName=='style' && document.all) sAttValue=htmlNode.style.cssText;this._AppendAttribute(oNode, sAttName, sAttValue);};};switch (sNodeName){case "script" : case "style" : oNode.appendChild(this.XML.createCDATASection( htmlNode.text ));break;case "abbr" : if (document.all){var oNextNode=htmlNode.nextSibling;while (true){iAddedNodes++;if (oNextNode && oNextNode.nodeName !='/ABBR'){this._AppendNode(oNode, oNextNode);oNextNode=oNextNode.nextSibling;}else break;};break;};case "area" : if (document.all && ! oNode.attributes.getNamedItem( 'coords' )){var sCoords=htmlNode.getAttribute('coords', 2);if (sCoords && sCoords !='0,0,0') this._AppendAttribute(oNode, 'coords', sCoords);};case "img" : if (! oNode.attributes.getNamedItem( 'alt' )) this._AppendAttribute(oNode, 'alt', '');default : this._AppendChildNodes(oNode, htmlNode);break;};break;case 3 : xmlNode.appendChild(this.XML.createTextNode( htmlNode.nodeValue ));break;default : xmlNode.appendChild(this.XML.createComment( "Element not supported - Type: " + htmlNode.nodeType + " Name: " + htmlNode.nodeName ));break;};return iAddedNodes;};
-FCK.Events=new FCKEvents(FCK);FCK.Toolbar=null;FCK.SetStatus=function(newStatus){this.Status=newStatus;if (newStatus==FCK_STATUS_ACTIVE){if (FCKConfig.StartupFocus) FCK.Focus();if (FCKBrowserInfo.IsIE) FCKScriptLoader.AddScript('js/fckeditorcode_ie_2.js');else FCKScriptLoader.AddScript('js/fckeditorcode_gecko_2.js');};this.Events.FireEvent('OnStatusChange', newStatus);if (this.OnStatusChange ) this.OnStatusChange( newStatus);};FCK.SetHTML=function(html, forceWYSIWYG){if (forceWYSIWYG || FCK.EditMode==FCK_EDITMODE_WYSIWYG){if (FCKBrowserInfo.IsGecko) FCK.EditorDocument.designMode="off";this.EditorDocument.body.innerHTML=html;if (FCKBrowserInfo.IsGecko){FCK.EditorDocument.designMode="on";FCK.EditorDocument.execCommand("useCSS", false, !FCKConfig.GeckoUseSPAN);};}else document.getElementById('eSourceField').value = html;};FCK.GetHTML=function(){if (FCK.EditMode==FCK_EDITMODE_WYSIWYG) return this.EditorDocument.body.innerHTML;else return document.getElementById('eSourceField').value;};FCK.GetXHTML=function(){var bSource=(FCK.EditMode==FCK_EDITMODE_SOURCE);if (bSource) this.SwitchEditMode();var sXHTML=FCKXHtml.GetXHTML(this.EditorDocument.body);if (bSource) this.SwitchEditMode();return sXHTML;};FCK.UpdateLinkedField=function(){if (FCKConfig.EnableXHTML) FCKTools.SetLinkedFieldValue(FCK.GetXHTML());else FCKTools.SetLinkedFieldValue(FCK.GetHTML());};FCK.ShowContextMenu=function(x, y){if (this.Status !=FCK_STATUS_COMPLETE) return;FCKContextMenu.Show(x, y);this.Events.FireEvent("OnContextMenu");};
-FCK.Description="FCKeditor for Internet Explorer 5.5+";FCK.StartEditor=function(){this.EditorWindow=window.frames[ 'eEditorArea' ];this.EditorDocument=this.EditorWindow.document;this.SetHTML(FCKTools.GetLinkedFieldValue());FCKTools.AttachToLinkedFieldFormSubmit(this.UpdateLinkedField);this.EditorDocument.onmousedown=this.EditorDocument.onmouseup=function(){FCK.Focus();FCK.EditorWindow.event.cancelBubble=true;FCK.EditorWindow.event.returnValue=false;};this.EditorDocument.body.onpaste=function(){if (FCK.Status==FCK_STATUS_COMPLETE) return FCK.Events.FireEvent("OnPaste");else return false;};this.EditorDocument.oncontextmenu=function(){var e=this.parentWindow.event;FCK.ShowContextMenu(e.screenX, e.screenY);return false;};this.EditorDocument.onselectionchange=function(){FCK.Events.FireEvent("OnSelectionChange");};this.EditorDocument.body.contentEditable=true;this.SetStatus(FCK_STATUS_ACTIVE);};FCK.Focus=function(){if (FCK.EditMode==FCK_EDITMODE_WYSIWYG) FCK.EditorDocument.body.focus();else document.getElementById('eSource').focus();};
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * This file has been compacted for best loading performance.
+ */
+var FCKDebug=new Object();if (FCKConfig.Debug){FCKDebug.Output=function(message,color){if (!FCKConfig.Debug) return;if (message!=null&&isNaN(message)) message=message.replace(/</g,"&lt;");if (!this.DebugWindow||this.DebugWindow.closed) this.DebugWindow=window.open('fckdebug.html','FCKeditorDebug','menubar=no,scrollbars=no,resizable=yes,location=no,toolbar=no,width=600,height=500',true);if (this.DebugWindow.Output) this.DebugWindow.Output(message,color);};}else FCKDebug.Output=function() {};
+var FCKTools=new Object();FCKTools.GetLinkedFieldValue=function(){return FCK.LinkedField.value;};FCKTools.SetLinkedFieldValue=function(value){if (FCKConfig.FormatOutput) FCK.LinkedField.value=FCKCodeFormatter.Format(value);else FCK.LinkedField.value=value;};FCKTools.AttachToLinkedFieldFormSubmit=function(functionPointer){var oForm=FCK.LinkedField.form;if (!oForm) return;if (FCKBrowserInfo.IsIE) oForm.attachEvent("onsubmit",functionPointer);else oForm.addEventListener('submit',functionPointer,true);if (!oForm.updateFCKEditor) oForm.updateFCKEditor=new Array();oForm.updateFCKEditor[oForm.updateFCKEditor.length]=functionPointer;if (!oForm.originalSubmit&&(typeof(oForm.submit)=='function'||(!oForm.submit.tagName&&!oForm.submit.length))){oForm.originalSubmit=oForm.submit;oForm.submit=FCKTools_SubmitReplacer;};};function FCKTools_SubmitReplacer(){if (this.updateFCKEditor){for (var i=0;i<this.updateFCKEditor.length;i++) this.updateFCKEditor[i]();};this.originalSubmit();};FCKTools.AddSelectOption=function(targetDocument,selectElement,optionText,optionValue){var oOption=targetDocument.createElement("OPTION");oOption.text=optionText;oOption.value=optionValue;selectElement.options.add(oOption);return oOption;};FCKTools.RemoveAllSelectOptions=function(selectElement){for (var i=selectElement.options.length-1;i>=0;i--){selectElement.options.remove(i);};};FCKTools.SelectNoCase=function(selectElement,value,defaultValue){var sNoCaseValue=value.toString().toLowerCase();for (var i=0;i<selectElement.options.length;i++){if (sNoCaseValue==selectElement.options[i].value.toLowerCase()){selectElement.selectedIndex=i;return;};};if (defaultValue!=null) FCKTools.SelectNoCase(selectElement,defaultValue);};FCKTools.HTMLEncode=function(text){text=text.replace(/&/g,"&amp;");text=text.replace(/"/g,"&quot;");text=text.replace(/</g,"&lt;");text=text.replace(/>/g,"&gt;");text=text.replace(/'/g,"&#39;");return text;};FCKTools.GetResultingArray=function(arraySource,separator){switch (typeof(arraySource)){case "string":return arraySource.split(separator);case "function":return separator();default:if (isArray(arraySource)) return arraySource;else return new Array();};};FCKTools.GetElementPosition=function(el){var c={ X:0,Y:0 };while (el){c.X+=el.offsetLeft;c.Y+=el.offsetTop;el=el.offsetParent;};return c;};FCKTools.GetElementAscensor=function(element,ascensorTagName){var e=element.parentNode;while (e){if (e.nodeName==ascensorTagName) return e;e=e.parentNode;};};FCKTools.Pause=function(miliseconds){var oStart=new Date();while (true){var oNow=new Date();if (miliseconds<oNow-oStart) return;};}
+FCKTools.AppendStyleSheet=function(documentElement,cssFileUrl){return documentElement.createStyleSheet(cssFileUrl);};FCKTools.ClearElementAttributes=function(element){element.clearAttributes();};FCKTools.GetAllChildrenIds=function(parentElement){var aIds=new Array();for (var i=0;i<parentElement.all.length;i++){var sId=parentElement.all[i].id;if (sId&&sId.length>0) aIds[aIds.length]=sId;};return aIds;};FCKTools.RemoveOuterTags=function(e){e.insertAdjacentHTML('beforeBegin',e.innerHTML);e.parentNode.removeChild(e);};FCKTools.CreateXmlObject=function(object){var aObjs;switch (object){case 'XmlHttp':aObjs=['MSXML2.XmlHttp','Microsoft.XmlHttp'];break;case 'DOMDocument':aObjs=['MSXML2.DOMDocument','Microsoft.XmlDom'];break;};for (var i=0;i<2;i++){try { return new ActiveXObject(aObjs[i]);}catch (e) {};};}
+var FCKRegexLib=new Object();FCKRegexLib.AposEntity=/&apos;/gi;FCKRegexLib.ObjectElements=/^(?:IMG|TABLE|TR|TD|INPUT|SELECT|TEXTAREA|HR|OBJECT)$/i;FCKRegexLib.BlockElements=/^(?:P|DIV|H1|H2|H3|H4|H5|H6|ADDRESS|PRE|OL|UL|LI)$/i;FCKRegexLib.EmptyElements=/^(?:BASE|META|LINK|HR|BR|PARAM|IMG|AREA|INPUT)$/i;FCKRegexLib.NamedCommands=/^(?:Cut|Copy|Paste|Print|SelectAll|RemoveFormat|Unlink|Undo|Redo|Bold|Italic|Underline|StrikeThrough|Subscript|Superscript|JustifyLeft|JustifyCenter|JustifyRight|JustifyFull|Outdent|Indent|InsertOrderedList|InsertUnorderedList|InsertHorizontalRule)$/i;FCKRegexLib.BodyContents=/([\s\S]*\<body[^\>]*\>)([\s\S]*)(\<\/body\>[\s\S]*)/i;FCKRegexLib.ToReplace=/___fcktoreplace:([\w]+)/ig;FCKRegexLib.MetaHttpEquiv=/http-equiv\s*=\s*["']?([^"' ]+)/i;FCKRegexLib.HasBaseTag=/<base /i;FCKRegexLib.HeadCloser=/<\/head\s*>/i;FCKRegexLib.TableBorderClass=/\s*FCK__ShowTableBorders\s*/;FCKRegexLib.ElementName=/^[A-Za-z_:][\w.-:]*$/;
+FCKLanguageManager.GetActiveLanguage=function(){if (FCKConfig.AutoDetectLanguage){var sUserLang;if (navigator.userLanguage) sUserLang=navigator.userLanguage.toLowerCase();else if (navigator.language) sUserLang=navigator.language.toLowerCase();else{return FCKConfig.DefaultLanguage;};if (sUserLang.length>=5){sUserLang=sUserLang.substr(0,5);if (this.AvailableLanguages[sUserLang]) return sUserLang;};if (sUserLang.length>=2){sUserLang=sUserLang.substr(0,2);if (this.AvailableLanguages[sUserLang]) return sUserLang;};};return this.DefaultLanguage;};FCKLanguageManager.TranslateElements=function(targetDocument,tag,propertyToSet){var aInputs=targetDocument.getElementsByTagName(tag);for (var i=0;i<aInputs.length;i++){var sKey=aInputs[i].getAttribute('fckLang');if (sKey){var s=FCKLang[sKey];if (s) eval('aInputs[i].'+propertyToSet+' = s');};};};FCKLanguageManager.TranslatePage=function(targetDocument){this.TranslateElements(targetDocument,'INPUT','value');this.TranslateElements(targetDocument,'SPAN','innerHTML');this.TranslateElements(targetDocument,'LABEL','innerHTML');this.TranslateElements(targetDocument,'OPTION','innerHTML');};if (FCKLanguageManager.AvailableLanguages[FCKConfig.DefaultLanguage]) FCKLanguageManager.DefaultLanguage=FCKConfig.DefaultLanguage;else FCKLanguageManager.DefaultLanguage='en';FCKLanguageManager.ActiveLanguage=new Object();FCKLanguageManager.ActiveLanguage.Code=FCKLanguageManager.GetActiveLanguage();FCKLanguageManager.ActiveLanguage.Name=FCKLanguageManager.AvailableLanguages[FCKLanguageManager.ActiveLanguage.Code];FCK.Language=FCKLanguageManager;LoadLanguageFile();
+var FCKEvents;if (!(FCKEvents=NS.FCKEvents)){FCKEvents=NS.FCKEvents=function(eventsOwner){this.Owner=eventsOwner;this.RegisteredEvents=new Object();};FCKEvents.prototype.AttachEvent=function(eventName,functionPointer){if (!this.RegisteredEvents[eventName]) this.RegisteredEvents[eventName]=new Array();this.RegisteredEvents[eventName][this.RegisteredEvents[eventName].length]=functionPointer;};FCKEvents.prototype.FireEvent=function(eventName,params){var bReturnValue=true;var oCalls=this.RegisteredEvents[eventName];if (oCalls){for (var i=0;i<oCalls.length;i++) bReturnValue=(oCalls[i](this.Owner,params)&&bReturnValue);};return bReturnValue;};}
+if (FCKConfig.ProcessHTMLEntities){FCKXHtmlEntities=new Object();FCKXHtmlEntities.Entities={' ':'nbsp','¡':'iexcl','¢':'cent','£':'pound','¤':'curren','¥':'yen','¦':'brvbar','§':'sect','¨':'uml','©':'copy','ª':'ordf','«':'laquo','¬':'not','­':'shy','®':'reg','¯':'macr','°':'deg','±':'plusmn','²':'sup2','³':'sup3','´':'acute','µ':'micro','¶':'para','·':'middot','¸':'cedil','¹':'sup1','º':'ordm','»':'raquo','¼':'frac14','½':'frac12','¾':'frac34','¿':'iquest','×':'times','÷':'divide','ƒ':'fnof','•':'bull','…':'hellip','′':'prime','″':'Prime','‾':'oline','⁄':'frasl','℘':'weierp','ℑ':'image','ℜ':'real','™':'trade','ℵ':'alefsym','←':'larr','↑':'uarr','→':'rarr','↓':'darr','↔':'harr','↵':'crarr','⇐':'lArr','⇑':'uArr','⇒':'rArr','⇓':'dArr','⇔':'hArr','∀':'forall','∂':'part','∃':'exist','∅':'empty','∇':'nabla','∈':'isin','∉':'notin','∋':'ni','∏':'prod','∑':'sum','−':'minus','∗':'lowast','√':'radic','∝':'prop','∞':'infin','∠':'ang','∧':'and','∨':'or','∩':'cap','∪':'cup','∫':'int','∴':'there4','∼':'sim','≅':'cong','≈':'asymp','≠':'ne','≡':'equiv','≤':'le','≥':'ge','⊂':'sub','⊃':'sup','⊄':'nsub','⊆':'sube','⊇':'supe','⊕':'oplus','⊗':'otimes','⊥':'perp','⋅':'sdot','◊':'loz','♠':'spades','♣':'clubs','♥':'hearts','♦':'diams','"':'quot','ˆ':'circ','˜':'tilde',' ':'ensp',' ':'emsp',' ':'thinsp','‌':'zwnj','‍':'zwj','‎':'lrm','‏':'rlm','–':'ndash','—':'mdash','‘':'lsquo','’':'rsquo','‚':'sbquo','“':'ldquo','”':'rdquo','„':'bdquo','†':'dagger','‡':'Dagger','‰':'permil','‹':'lsaquo','›':'rsaquo','€':'euro'};FCKXHtmlEntities.Chars='';for (var e in FCKXHtmlEntities.Entities) FCKXHtmlEntities.Chars+=e;if (FCKConfig.IncludeLatinEntities){var oEntities={'À':'Agrave','Á':'Aacute','Â':'Acirc','Ã':'Atilde','Ä':'Auml','Å':'Aring','Æ':'AElig','Ç':'Ccedil','È':'Egrave','É':'Eacute','Ê':'Ecirc','Ë':'Euml','Ì':'Igrave','Í':'Iacute','Î':'Icirc','Ï':'Iuml','Ð':'ETH','Ñ':'Ntilde','Ò':'Ograve','Ó':'Oacute','Ô':'Ocirc','Õ':'Otilde','Ö':'Ouml','Ø':'Oslash','Ù':'Ugrave','Ú':'Uacute','Û':'Ucirc','Ü':'Uuml','Ý':'Yacute','Þ':'THORN','ß':'szlig','à':'agrave','á':'aacute','â':'acirc','ã':'atilde','ä':'auml','å':'aring','æ':'aelig','ç':'ccedil','è':'egrave','é':'eacute','ê':'ecirc','ë':'euml','ì':'igrave','í':'iacute','î':'icirc','ï':'iuml','ð':'eth','ñ':'ntilde','ò':'ograve','ó':'oacute','ô':'ocirc','õ':'otilde','ö':'ouml','ø':'oslash','ù':'ugrave','ú':'uacute','û':'ucirc','ü':'uuml','ý':'yacute','þ':'thorn','ÿ':'yuml','Œ':'OElig','œ':'oelig','Š':'Scaron','š':'scaron','Ÿ':'Yuml'};for (var e in oEntities){FCKXHtmlEntities.Entities[e]=oEntities[e];FCKXHtmlEntities.Chars+=e;};oEntities=null;};if (FCKConfig.IncludeGreekEntities){var oEntities={'Α':'Alpha','Β':'Beta','Γ':'Gamma','Δ':'Delta','Ε':'Epsilon','Ζ':'Zeta','Η':'Eta','Θ':'Theta','Ι':'Iota','Κ':'Kappa','Λ':'Lambda','Μ':'Mu','Ν':'Nu','Ξ':'Xi','Ο':'Omicron','Π':'Pi','Ρ':'Rho','Σ':'Sigma','Τ':'Tau','Υ':'Upsilon','Φ':'Phi','Χ':'Chi','Ψ':'Psi','Ω':'Omega','α':'alpha','β':'beta','γ':'gamma','δ':'delta','ε':'epsilon','ζ':'zeta','η':'eta','θ':'theta','ι':'iota','κ':'kappa','λ':'lambda','μ':'mu','ν':'nu','ξ':'xi','ο':'omicron','π':'pi','ρ':'rho','ς':'sigmaf','σ':'sigma','τ':'tau','υ':'upsilon','φ':'phi','χ':'chi','ψ':'psi','ω':'omega'};for (var e in oEntities){FCKXHtmlEntities.Entities[e]=oEntities[e];FCKXHtmlEntities.Chars+=e;};oEntities=null;};FCKXHtmlEntities.EntitiesRegex=new RegExp('','');FCKXHtmlEntities.EntitiesRegex.compile('['+FCKXHtmlEntities.Chars+']|[^'+FCKXHtmlEntities.Chars+']+','g');FCKXHtmlEntities.GeckoEntitiesMarkerRegex=/#\?-\:/g;}
+var FCKXHtml=new Object();FCKXHtml.CurrentJobNum=0;FCKXHtml.GetXHTML=function(node,includeNode,format){FCKXHtml.SpecialBlocks=new Array();this.XML=FCKTools.CreateXmlObject('DOMDocument');this.MainNode=this.XML.appendChild(this.XML.createElement('xhtml'));FCKXHtml.CurrentJobNum++;if (includeNode) this._AppendNode(this.MainNode,node);else this._AppendChildNodes(this.MainNode,node,false);var sXHTML=this._GetMainXmlString();sXHTML=sXHTML.substr(7,sXHTML.length-15).trim();if (FCKConfig.ForceSimpleAmpersand) sXHTML=sXHTML.replace(/___FCKAmp___/g,'&');if (format) sXHTML=FCKCodeFormatter.Format(sXHTML);for (var i=0;i<FCKXHtml.SpecialBlocks.length;i++){var oRegex=new RegExp('___FCKsi___'+i);sXHTML=sXHTML.replace(oRegex,FCKXHtml.SpecialBlocks[i]);};this.XML=null;return sXHTML};FCKXHtml._AppendAttribute=function(xmlNode,attributeName,attributeValue){try{var oXmlAtt=this.XML.createAttribute(attributeName);oXmlAtt.value=attributeValue?attributeValue:'';xmlNode.attributes.setNamedItem(oXmlAtt);}catch (e){};};FCKXHtml._AppendChildNodes=function(xmlNode,htmlNode,isBlockElement){if (htmlNode.hasChildNodes()){var oChildren=htmlNode.childNodes;for (var i=0;i<oChildren.length;i++) this._AppendNode(xmlNode,oChildren[i]);}else{if (isBlockElement&&FCKConfig.FillEmptyBlocks){this._AppendEntity(xmlNode,'nbsp');return;};if (!FCKRegexLib.EmptyElements.test(htmlNode.nodeName)) xmlNode.appendChild(this.XML.createTextNode(''));};};FCKXHtml._AppendNode=function(xmlNode,htmlNode){switch (htmlNode.nodeType){case 1:if (FCKBrowserInfo.IsGecko&&htmlNode.hasAttribute('_moz_editor_bogus_node')) return;var sNodeName=htmlNode.nodeName;if (!FCKRegexLib.ElementName.test(sNodeName)) return;sNodeName=sNodeName.toLowerCase();if (FCKBrowserInfo.IsGecko&&sNodeName=='br'&&htmlNode.hasAttribute('type')&&htmlNode.getAttribute('type',2)=='_moz') return;if (htmlNode._fckxhtmljob==FCKXHtml.CurrentJobNum) return;else htmlNode._fckxhtmljob=FCKXHtml.CurrentJobNum;var oNode=this.XML.createElement(sNodeName);FCKXHtml._AppendAttributes(xmlNode,htmlNode,oNode,sNodeName);var oTagProcessor=FCKXHtml.TagProcessors[sNodeName];if (oTagProcessor){oNode=oTagProcessor(oNode,htmlNode);if (!oNode) break;}else this._AppendChildNodes(oNode,htmlNode,FCKRegexLib.BlockElements.test(sNodeName));xmlNode.appendChild(oNode);break;case 3:this._AppendTextNode(xmlNode,htmlNode.nodeValue.replaceNewLineChars(' '));break;case 8:xmlNode.appendChild(this.XML.createComment(htmlNode.nodeValue));break;default:xmlNode.appendChild(this.XML.createComment("Element not supported - Type: "+htmlNode.nodeType+" Name: "+htmlNode.nodeName));break;};};FCKXHtml._AppendSpecialItem=function(item){return '___FCKsi___'+FCKXHtml.SpecialBlocks.addItem(item);};if (FCKConfig.ProcessHTMLEntities){FCKXHtml._AppendTextNode=function(targetNode,textValue){var asPieces=textValue.match(FCKXHtmlEntities.EntitiesRegex);if (asPieces){for (var i=0;i<asPieces.length;i++){if (asPieces[i].length==1){var sEntity=FCKXHtmlEntities.Entities[asPieces[i]];if (sEntity!=null){this._AppendEntity(targetNode,sEntity);continue;};};targetNode.appendChild(this.XML.createTextNode(asPieces[i]));};};};}else{FCKXHtml._AppendTextNode=function(targetNode,textValue){targetNode.appendChild(this.XML.createTextNode(textValue));};};FCKXHtml.TagProcessors=new Object();FCKXHtml.TagProcessors['img']=function(node){if (!node.attributes.getNamedItem('alt')) FCKXHtml._AppendAttribute(node,'alt','');return node;};FCKXHtml.TagProcessors['script']=function(node,htmlNode){if (!node.attributes.getNamedItem('type')) FCKXHtml._AppendAttribute(node,'type','text/javascript');node.appendChild(FCKXHtml.XML.createTextNode(FCKXHtml._AppendSpecialItem(htmlNode.text)));return node;};FCKXHtml.TagProcessors['style']=function(node,htmlNode){if (htmlNode.getAttribute('_fcktemp')) return null;if (!node.attributes.getNamedItem('type')) FCKXHtml._AppendAttribute(node,'type','text/css');node.appendChild(FCKXHtml.XML.createTextNode(FCKXHtml._AppendSpecialItem(htmlNode.innerHTML)));return node;};FCKXHtml.TagProcessors['title']=function(node,htmlNode){node.appendChild(FCKXHtml.XML.createTextNode(FCK.EditorDocument.title));return node;};FCKXHtml.TagProcessors['base']=function(node,htmlNode){if (htmlNode.getAttribute('_fcktemp')) return null;return node;};FCKXHtml.TagProcessors['link']=function(node,htmlNode){if (htmlNode.getAttribute('_fcktemp')) return null;return node;};FCKXHtml.TagProcessors['table']=function(node,htmlNode){var oClassAtt=node.attributes.getNamedItem('class');if (oClassAtt&&FCKRegexLib.TableBorderClass.test(oClassAtt.nodeValue)){var sClass=oClassAtt.nodeValue.replace(FCKRegexLib.TableBorderClass,'');if (sClass.length==0) node.attributes.removeNamedItem('class');else FCKXHtml._AppendAttribute(node,'class',sClass);};FCKXHtml._AppendChildNodes(node,htmlNode,false);return node;}
+FCKXHtml._GetMainXmlString=function(){return this.MainNode.xml;};FCKXHtml._AppendEntity=function(xmlNode,entity){xmlNode.appendChild(this.XML.createEntityReference(entity));};FCKXHtml._AppendAttributes=function(xmlNode,htmlNode,node,nodeName){var aAttributes=htmlNode.attributes;for (var n=0;n<aAttributes.length;n++){var oAttribute=aAttributes[n];if (oAttribute.specified){var sAttName=oAttribute.nodeName.toLowerCase();if (sAttName=='_fckxhtmljob') continue;else if (sAttName=='style') var sAttValue=htmlNode.style.cssText;else if (sAttName=='class'||sAttName.indexOf('on')==0) var sAttValue=oAttribute.nodeValue;else if (nodeName=='body'&&sAttName=='contenteditable') continue;else if (oAttribute.nodeValue===true) sAttValue=sAttName;else var sAttValue=htmlNode.getAttribute(sAttName,2);if (FCKConfig.ForceSimpleAmpersand&&sAttValue.replace) sAttValue=sAttValue.replace(/&/g,'___FCKAmp___');this._AppendAttribute(node,sAttName,sAttValue);};};};FCKXHtml.TagProcessors['meta']=function(node,htmlNode){var oHttpEquiv=node.attributes.getNamedItem('http-equiv');if (oHttpEquiv==null||oHttpEquiv.value.length==0){var sHttpEquiv=htmlNode.outerHTML.match(FCKRegexLib.MetaHttpEquiv);if (sHttpEquiv){sHttpEquiv=sHttpEquiv[1];FCKXHtml._AppendAttribute(node,'http-equiv',sHttpEquiv);};};return node;};FCKXHtml.TagProcessors['font']=function(node,htmlNode){if (node.attributes.length==0) node=FCKXHtml.XML.createDocumentFragment();FCKXHtml._AppendChildNodes(node,htmlNode);return node;};FCKXHtml.TagProcessors['input']=function(node,htmlNode){if (htmlNode.name) FCKXHtml._AppendAttribute(node,'name',htmlNode.name);if (htmlNode.value&&!node.attributes.getNamedItem('value')) FCKXHtml._AppendAttribute(node,'value',htmlNode.value);return node;};FCKXHtml.TagProcessors['option']=function(node,htmlNode){if (htmlNode.selected&&!node.attributes.getNamedItem('selected')) FCKXHtml._AppendAttribute(node,'selected','selected');FCKXHtml._AppendChildNodes(node,htmlNode);return node;};FCKXHtml.TagProcessors['abbr']=function(node,htmlNode){var oNextNode=htmlNode.nextSibling;while (true){if (oNextNode&&oNextNode.nodeName!='/ABBR'){FCKXHtml._AppendNode(node,oNextNode);oNextNode=oNextNode.nextSibling;}else break;};return node;};FCKXHtml.TagProcessors['area']=function(node,htmlNode){if (!node.attributes.getNamedItem('coords')){var sCoords=htmlNode.getAttribute('coords',2);if (sCoords&&sCoords!='0,0,0') FCKXHtml._AppendAttribute(node,'coords',sCoords);};if (!node.attributes.getNamedItem('shape')){var sCoords=htmlNode.getAttribute('shape',2);if (sCoords&&sCoords.length>0) FCKXHtml._AppendAttribute(node,'shape',sCoords);};return node;};FCKXHtml.TagProcessors['label']=function(node,htmlNode){if (htmlNode.htmlFor.length>0) FCKXHtml._AppendAttribute(node,'for',htmlNode.htmlFor);FCKXHtml._AppendChildNodes(node,htmlNode);return node;};FCKXHtml.TagProcessors['form']=function(node,htmlNode){if (htmlNode.acceptCharset.length>0&&htmlNode.acceptCharset!='UNKNOWN') FCKXHtml._AppendAttribute(node,'accept-charset',htmlNode.acceptCharset);FCKXHtml._AppendChildNodes(node,htmlNode);return node;}
+var FCKCodeFormatter;if (!(FCKCodeFormatter=NS.FCKCodeFormatter)){FCKCodeFormatter=NS.FCKCodeFormatter=new Object();FCKCodeFormatter.Regex=new Object();FCKCodeFormatter.Regex.BlocksOpener=/\<(P|DIV|H1|H2|H3|H4|H5|H6|ADDRESS|PRE|OL|UL|LI|TITLE|META|LINK|BASE|SCRIPT|LINK|TD|AREA|OPTION)[^\>]*\>/gi;FCKCodeFormatter.Regex.BlocksCloser=/\<\/(P|DIV|H1|H2|H3|H4|H5|H6|ADDRESS|PRE|OL|UL|LI|TITLE|META|LINK|BASE|SCRIPT|LINK|TD|AREA|OPTION)[^\>]*\>/gi;FCKCodeFormatter.Regex.NewLineTags=/\<(BR|HR)[^\>]\>/gi;FCKCodeFormatter.Regex.MainTags=/\<\/?(HTML|HEAD|BODY|FORM|TABLE|TBODY|THEAD|TR)[^\>]*\>/gi;FCKCodeFormatter.Regex.LineSplitter=/\s*\n+\s*/g;FCKCodeFormatter.Regex.IncreaseIndent=/^\<(HTML|HEAD|BODY|FORM|TABLE|TBODY|THEAD|TR|UL|OL)[ \/\>]/i;FCKCodeFormatter.Regex.DecreaseIndent=/^\<\/(HTML|HEAD|BODY|FORM|TABLE|TBODY|THEAD|TR|UL|OL)[ \>]/i;FCKCodeFormatter.Regex.FormatIndentatorRemove=new RegExp(FCKConfig.FormatIndentator);FCKCodeFormatter.Format=function(html){var sFormatted=html.replace(this.Regex.BlocksOpener,'\n$&');;sFormatted=sFormatted.replace(this.Regex.BlocksCloser,'$&\n');sFormatted=sFormatted.replace(this.Regex.NewLineTags,'$&\n');sFormatted=sFormatted.replace(this.Regex.MainTags,'\n$&\n');var sIndentation='';var asLines=sFormatted.split(this.Regex.LineSplitter);sFormatted='';for (var i=0;i<asLines.length;i++){var sLine=asLines[i];if (sLine.length==0) continue;if (this.Regex.DecreaseIndent.test(sLine)) sIndentation=sIndentation.replace(this.Regex.FormatIndentatorRemove,'');sFormatted+=sIndentation+sLine+'\n';if (this.Regex.IncreaseIndent.test(sLine)) sIndentation+=FCKConfig.FormatIndentator;};return sFormatted.trim();};}
+var FCKUndo=new Object();FCKUndo.SavedData=new Array();FCKUndo.CurrentIndex=-1;FCKUndo.SaveUndoStep=function(){FCKUndo.SavedData=FCKUndo.SavedData.slice(0,FCKUndo.CurrentIndex+1);var sHtml=FCK.EditorDocument.body.innerHTML;if (FCKUndo.CurrentIndex>=0&&sHtml==FCKUndo.SavedData[FCKUndo.CurrentIndex][0]) return;if (FCKUndo.CurrentIndex+1>=FCKConfig.MaxUndoLevels) FCKUndo.SavedData.shift();else FCKUndo.CurrentIndex++;var sBookmark;if (FCK.EditorDocument.selection.type=='Text') sBookmark=FCK.EditorDocument.selection.createRange().getBookmark();FCKUndo.SavedData[FCKUndo.CurrentIndex]=[sHtml,sBookmark];FCK.Events.FireEvent("OnSelectionChange");};FCKUndo.Undo=function(){if (FCKUndo.CurrentIndex>0){if (FCKUndo.CurrentIndex==(FCKUndo.SavedData.length-1)){FCKUndo.SaveUndoStep();};FCKUndo._ApplyUndoLevel(--FCKUndo.CurrentIndex);FCK.Events.FireEvent("OnSelectionChange");};};FCKUndo.Redo=function(){if (FCKUndo.CurrentIndex<(FCKUndo.SavedData.length-1)){FCKUndo._ApplyUndoLevel(++FCKUndo.CurrentIndex);FCK.Events.FireEvent("OnSelectionChange");};};FCKUndo._ApplyUndoLevel=function(level){var oData=FCKUndo.SavedData[level];FCK.EditorDocument.body.innerHTML=oData[0];if (oData[1]){var oRange=FCK.EditorDocument.selection.createRange();oRange.moveToBookmark(oData[1]);oRange.select();};}
+FCK.Events=new FCKEvents(FCK);FCK.Toolbar=null;FCK.TempBaseTag=FCKConfig.BaseHref.length>0?'<base href="'+FCKConfig.BaseHref+'" _fcktemp="true"></base>':'';FCK.StartEditor=function(){this.EditorWindow=window.frames['eEditorArea'];this.EditorDocument=this.EditorWindow.document;this.SetHTML(FCKTools.GetLinkedFieldValue());FCKTools.AttachToLinkedFieldFormSubmit(this.UpdateLinkedField);FCKUndo.SaveUndoStep();this.SetStatus(FCK_STATUS_ACTIVE);};function Window_OnFocus(){FCK.Focus();};FCK.SetStatus=function(newStatus){this.Status=newStatus;if (newStatus==FCK_STATUS_ACTIVE){window.onfocus=window.document.body.onfocus=Window_OnFocus;if (FCKConfig.StartupFocus) FCK.Focus();if (FCKBrowserInfo.IsIE) FCKScriptLoader.AddScript('js/fckeditorcode_ie_2.js');else FCKScriptLoader.AddScript('js/fckeditorcode_gecko_2.js');};this.Events.FireEvent('OnStatusChange',newStatus);};FCK.GetHTML=function(format){var sHTML;if (FCK.EditMode==FCK_EDITMODE_WYSIWYG){if (FCKBrowserInfo.IsIE) sHTML=this.EditorDocument.body.innerHTML.replace(FCKRegexLib.ToReplace,'$1');else sHTML=this.EditorDocument.body.innerHTML;}else sHTML=document.getElementById('eSourceField').value;if (format) return FCKCodeFormatter.Format(sHTML);else return sHTML;};FCK.GetXHTML=function(format){var bSource=(FCK.EditMode==FCK_EDITMODE_SOURCE);if (bSource) this.SwitchEditMode();if (FCKConfig.FullPage) var sXHTML=FCKXHtml.GetXHTML(this.EditorDocument.getElementsByTagName('html')[0],true,format);else var sXHTML=FCKXHtml.GetXHTML(this.EditorDocument.body,false,format);if (bSource) this.SwitchEditMode();if (FCKBrowserInfo.IsIE) sXHTML=sXHTML.replace(FCKRegexLib.ToReplace,'$1');if (FCK.DocTypeDeclaration&&FCK.DocTypeDeclaration.length>0) sXHTML=FCK.DocTypeDeclaration+'\n'+sXHTML;if (FCK.XmlDeclaration&&FCK.XmlDeclaration.length>0) sXHTML=FCK.XmlDeclaration+'\n'+sXHTML;return sXHTML;};FCK.UpdateLinkedField=function(){if (FCKConfig.EnableXHTML) FCKTools.SetLinkedFieldValue(FCK.GetXHTML(FCKConfig.FormatOutput));else FCKTools.SetLinkedFieldValue(FCK.GetHTML(FCKConfig.FormatOutput));};FCK.ShowContextMenu=function(x,y){if (this.Status!=FCK_STATUS_COMPLETE) return;FCKContextMenu.Show(x,y);this.Events.FireEvent("OnContextMenu");};FCK.RegisteredDoubleClickHandlers=new Object();FCK.OnDoubleClick=function(element){var oHandler=FCK.RegisteredDoubleClickHandlers[element.tagName];if (oHandler) oHandler(element);};FCK.RegisterDoubleClickHandler=function(handlerFunction,tag){FCK.RegisteredDoubleClickHandlers[tag.toUpperCase()]=handlerFunction;};
+FCK.Description="FCKeditor for Internet Explorer 5.5+";FCK._BehaviorsStyle='<style type="text/css" _fcktemp="true"> \ TABLE	{ behavior: url('+FCKConfig.FullBasePath+'css/behaviors/showtableborders.htc) ; } \ A		{ behavior: url('+FCKConfig.FullBasePath+'css/behaviors/anchors.htc) ; } \ INPUT	{ behavior: url('+FCKConfig.FullBasePath+'css/behaviors/hiddenfield.htc) ; } \ </style>';function Doc_OnMouseDown(){FCK.Focus();FCK.EditorWindow.event.cancelBubble=true;FCK.EditorWindow.event.returnValue=false;};function Doc_OnPaste(){if (FCK.Status==FCK_STATUS_COMPLETE) return FCK.Events.FireEvent("OnPaste");else return false;};function Doc_OnContextMenu(){var e=FCK.EditorWindow.event;FCK.ShowContextMenu(e.screenX,e.screenY);return false;};function Doc_OnKeyDown(){var e=FCK.EditorWindow.event;if (e.keyCode==13&&FCKConfig.UseBROnCarriageReturn){if ((e.ctrlKey||e.altKey||e.shiftKey)) return true;else{if (FCK.EditorDocument.queryCommandState('InsertOrderedList')||FCK.EditorDocument.queryCommandState('InsertUnorderedList')) return true;FCK.InsertHtml("<br>&nbsp;");var oRange=FCK.EditorDocument.selection.createRange();oRange.moveStart('character',-1);oRange.select();FCK.EditorDocument.selection.clear();return false;};}else if (e.keyCode==9&&FCKConfig.TabSpaces>0&&!(e.ctrlKey||e.altKey||e.shiftKey)){FCK.InsertHtml(window.FCKTabHTML);return false;};return true;};function Doc_OnDblClick(){FCK.OnDoubleClick(FCK.EditorWindow.event.srcElement);FCK.EditorWindow.event.cancelBubble=true;};function Doc_OnSelectionChange(){FCK.Events.FireEvent("OnSelectionChange");};FCK.InitializeBehaviors=function(dontReturn){this.EditorDocument.attachEvent('onmousedown',Doc_OnMouseDown);this.EditorDocument.attachEvent('onmouseup',Doc_OnMouseDown);this.EditorDocument.body.attachEvent('onpaste',Doc_OnPaste);this.EditorDocument.attachEvent('oncontextmenu',Doc_OnContextMenu);if (FCKConfig.UseBROnCarriageReturn||FCKConfig.TabSpaces>0){if (FCKConfig.TabSpaces>0){window.FCKTabHTML='';for (i=0;i<FCKConfig.TabSpaces;i++) window.FCKTabHTML+="&nbsp;";};this.EditorDocument.attachEvent("onkeydown",Doc_OnKeyDown);};this.EditorDocument.attachEvent("ondblclick",Doc_OnDblClick);this.EditorDocument.attachEvent("onselectionchange",Doc_OnSelectionChange);};FCK.Focus=function(){try{if (FCK.EditMode==FCK_EDITMODE_WYSIWYG) FCK.EditorDocument.body.focus();else document.getElementById('eSourceField').focus();}catch(e) {};};FCK.SetHTML=function(html,forceWYSIWYG){if (forceWYSIWYG||FCK.EditMode==FCK_EDITMODE_WYSIWYG){var sHtml;if (FCKConfig.FullPage){var sHtml=FCK._BehaviorsStyle+'<link href="'+FCKConfig.FullBasePath+'css/fck_internal.css'+'" rel="stylesheet" type="text/css" _fcktemp="true" />';if (FCK.TempBaseTag.length>0&&!FCKRegexLib.HasBaseTag.test(html)) sHtml+=FCK.TempBaseTag;sHtml=html.replace(FCKRegexLib.HeadCloser,sHtml+'</head>');}else{sHtml=FCKConfig.DocType+'<html dir="'+FCKConfig.ContentLangDirection+'">'+'<head><title></title>'+'<link href="'+FCKConfig.EditorAreaCSS+'" rel="stylesheet" type="text/css" />'+'<link href="'+FCKConfig.FullBasePath+'css/fck_internal.css'+'" rel="stylesheet" type="text/css" _fcktemp="true" />';sHtml+=FCK._BehaviorsStyle;sHtml+=FCK.TempBaseTag;sHtml+='</head><body>'+html+'</body></html>';};this.EditorDocument.open('','_self','',true);this.EditorDocument.write(sHtml);this.EditorDocument.close();this.InitializeBehaviors();this.EditorDocument.body.contentEditable=true;this.Events.FireEvent('OnAfterSetHTML');}else document.getElementById('eSourceField').value=html;};FCK.InsertHtml=function(html){FCK.Focus();FCKUndo.SaveUndoStep();var oSel=FCK.EditorDocument.selection;if (oSel.type.toLowerCase()!="none") oSel.clear();oSel.createRange().pasteHTML(html);}
diff -urN soojung-0.4.8/libs/fckeditor/editor/js/fckeditorcode_ie_2.js soojung/libs/fckeditor/editor/js/fckeditorcode_ie_2.js
--- soojung-0.4.8/libs/fckeditor/editor/js/fckeditorcode_ie_2.js	2004-12-27 20:50:31.000000000 +0900
+++ soojung/libs/fckeditor/editor/js/fckeditorcode_ie_2.js	2005-06-11 10:32:45.000000000 +0900
@@ -1,45 +1,54 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * This file has been compacted for best loading performance.
- * 
- * Version: 2.0 Beta 2
- * Created: 2004-09-10 02:40:06
- */
-FCK.ExecuteNamedCommand=function(commandName, commandParameter){FCK.Focus();FCK.EditorDocument.execCommand(commandName, false, commandParameter);FCK.Events.FireEvent('OnSelectionChange');};FCK.GetNamedCommandState=function(commandName){try{if (!FCK.EditorDocument.queryCommandEnabled( commandName )) return FCK_TRISTATE_DISABLED;else return FCK.EditorDocument.queryCommandState(commandName) ? FCK_TRISTATE_ON : FCK_TRISTATE_OFF;}catch (e){return FCK_TRISTATE_OFF;};};FCK.GetNamedCommandValue=function(commandName){var sValue='';var eState=FCK.GetNamedCommandState(commandName);if (eState==FCK_TRISTATE_DISABLED) return null;try{sValue=this.EditorDocument.queryCommandValue(commandName);}catch(e) {};return sValue ? sValue : '';};FCK.CreateLink=function(url){if (url.length==0) FCK.ExecuteNamedCommand('Unlink');else{FCK.ExecuteNamedCommand('CreateLink', "javascript:void(0);/*fckeditortemplink*/");var oLinks=this.EditorDocument.links;for (i=0 ; i < oLinks.length ; i++){if (oLinks[i].href=="javascript:void(0);/*fckeditortemplink*/"){oLinks[i].href=url;return oLinks[i];};};};};FCK.CleanAndPaste=function(html){html=html.replace(/<\/?SPAN[^>]*>/gi, "");html=html.replace(/<(\w[^>]*) class=([^ |>]*)([^>]*)/gi, "<$1$3");html=html.replace(/<(\w[^>]*) style="([^"]*)"([^>]*)/gi, "<$1$3");html=html.replace(/<(\w[^>]*) lang=([^ |>]*)([^>]*)/gi, "<$1$3");html=html.replace(/<\\?\?xml[^>]*>/gi, "");html=html.replace(/<\/?\w+:[^>]*>/gi, "");html=html.replace(/&nbsp;/, " ");var re=new RegExp("(<P)([^>]*>.*?)(<\/P>)","gi");html=html.replace(re, "<div$2</div>");FCK.InsertHtml(html);};FCK.Preview=function(){var oWindow=window.open('', null, 'toolbar=yes,location=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes');oWindow.document.write(FCK.GetHTML());oWindow.document.close();};FCK.SwitchEditMode=function(){var bWYSIWYG=(FCK.EditMode==FCK_EDITMODE_WYSIWYG);document.getElementById('eWysiwyg').style.display	= bWYSIWYG ? "none" : "";document.getElementById('eSource').style.display	= bWYSIWYG ? "" : "none";if (bWYSIWYG) document.getElementById('eSourceField').value = ( FCKConfig.EnableXHTML && FCKConfig.EnableSourceXHTML ? FCK.GetXHTML() : FCK.GetHTML());else FCK.SetHTML(FCK.GetHTML(), true);FCK.EditMode=bWYSIWYG ? FCK_EDITMODE_SOURCE : FCK_EDITMODE_WYSIWYG;FCK.Focus();FCKToolbarSet.RefreshItemsState();};
-FCK.Paste=function(){if (FCKConfig.ForcePasteAsPlainText){FCK.PasteAsPlainText();return false;}else if (FCKConfig.AutoDetectPasteFromWord && FCKBrowserInfo.IsIE55OrMore){var sHTML=FCK.GetClipboardHTML();var re=/<\w[^>]* class="?MsoNormal"?/gi;if (re.test( sHTML )){if (confirm( FCKLang["PasteWordConfirm"] )){FCK.CleanAndPaste(sHTML);return false;};};}else return true;};FCK.PasteAsPlainText=function(){var sText=FCKTools.HTMLEncode(clipboardData.getData("Text"));sText=sText.replace(/\n/g, '<BR>');this.InsertHtml(sText);};FCK.PasteFromWord=function(){FCK.CleanAndPaste(FCK.GetClipboardHTML());};FCK.InsertHtml=function(html){FCK.Focus();var oSel=FCKSelection.Delete();oSel.createRange().pasteHTML( html);};FCK.InsertElement=function(element){FCK.InsertHtml(element.outerHTML);};FCK.GetClipboardHTML=function(){var oDiv=document.getElementById('___FCKHiddenDiv');if (!oDiv){var oDiv=document.createElement('DIV');oDiv.id='___FCKHiddenDiv';oDiv.style.visibility='hidden';oDiv.style.overflow='hidden';oDiv.style.position='absolute';oDiv.style.width=1;oDiv.style.height=1;document.body.appendChild(oDiv);};oDiv.innerHTML='';var oTextRange=document.body.createTextRange();oTextRange.moveToElementText(oDiv);oTextRange.execCommand('Paste');var sData=oDiv.innerHTML;oDiv.innerHTML='';return sData;};FCK.AttachToOnSelectionChange=function(functionPointer){FCK.EditorDocument.attachEvent('onselectionchange', functionPointer);};
-var FCKSelection=new Object();FCK.Selection=FCKSelection;
-FCKSelection.GetSelectedElement=function(){var oRange=FCK.EditorDocument.selection.createRange();if (FCK.EditorDocument.selection.type !='Text' && oRange.length == 1){return oRange.item(0);};};FCKSelection.MoveToNode=function(node){FCK.EditorDocument.selection.empty();var oRange=FCK.EditorDocument.selection.createRange();oRange.moveToElementText(node);oRange.select();};FCKSelection.HasAncestorNode=function(nodeTagName){var oContainer;if (FCK.EditorDocument.selection.type=="Control"){oContainer=this.GetSelectedElement();}else{var oRange=FCK.EditorDocument.selection.createRange();oContainer=oRange.parentElement();};while (oContainer){if (oContainer.tagName==nodeTagName) return true;oContainer=oContainer.parentNode;};return false;};FCKSelection.MoveToAncestorNode=function(nodeTagName){var oNode;if (FCK.EditorDocument.selection.type=="Control"){var oRange=FCK.EditorDocument.selection.createRange();for (i=0 ; i < oRange.length ; i++){if (oRange(i).parentNode){oNode=oRange(i).parentNode;break;};};}else{var oRange=FCK.EditorDocument.selection.createRange();oNode=oRange.parentElement();};while (oNode && oNode.nodeName !=nodeTagName) oNode=oNode.parentNode;return oNode;};FCKSelection.Delete=function(){var oSel=FCK.EditorDocument.selection;if (oSel.type.toLowerCase() !="none"){oSel.clear();};return oSel;}
-var FCKPanel=function(){};FCKPanel.prototype.Create=function(){this._Popup=window.createPopup();this._Popup.document.createStyleSheet(FCKConfig.SkinPath + 'fck_contextmenu.css');this._Popup.document.oncontextmenu=function() { return false ;};this.PanelDiv=this._Popup.document.createElement('DIV');this.PanelDiv.className='FCK_Panel';this._Popup.document.body.appendChild(this.PanelDiv);if (this.CreatePanelBody) this.CreatePanelBody(this._Popup.document, this.PanelDiv);this._Popup.document.close();this.Created=true;};FCKPanel.prototype.Show=function(panelX, panelY){if (! this.Created) this.Create();this._Popup.show(panelX, panelY, 0, 0);this._Popup.show(panelX, panelY, this.PanelDiv.offsetWidth, this.PanelDiv.offsetHeight);};FCKPanel.prototype.Hide=function(){if (this._Popup) this._Popup.hide();}
-var FCKColorPanel=function(setColorFunction){this.SetColorFunction=setColorFunction;};FCKColorPanel.prototype=new FCKPanel;FCKColorPanel.prototype.CreatePanelBody=function(targetDocument, targetDiv){function CreateSelectionDiv(){var oDiv=targetDocument.createElement("DIV");oDiv.className='ColorDeselected';oDiv.onmouseover=function() { this.className='ColorSelected' ; };oDiv.onmouseout=function() { this.className='ColorDeselected' ; };return oDiv;};var oTable=targetDocument.createElement("TABLE");oTable.cellPadding=0;oTable.cellSpacing=0;oTable.border=0;var oDiv=CreateSelectionDiv();oDiv.innerHTML='<table cellspacing="0" cellpadding="0" width="100%" border="0">\ <tr>\ <td><div class="ColorBoxBorder"><div class="ColorBox" style="background-color: #000000"></div></div></td>\ <td nowrap width="100%" align="center" unselectable="on">Automatic</td>\ </tr>\ </table>';oDiv.Panel=this;oDiv.onclick=function(){this.className='ColorDeselected';this.Panel.SetColorFunction('');this.Panel.Hide();};var oCell=oTable.insertRow(-1).insertCell(-1);oCell.colSpan=8;oCell.appendChild(oDiv);var aColors=FCKConfig.FontColors.split(',');var iCounter=0;while (iCounter < aColors.length){var oRow=oTable.insertRow(-1);for (var i=0 ; i < 8 && iCounter < aColors.length ; i++, iCounter++){var oDiv=CreateSelectionDiv();oDiv.Color=aColors[iCounter];oDiv.innerHTML='<div class="ColorBoxBorder"><div class="ColorBox" style="background-color: #' + aColors[iCounter] + '"></div></div>';oDiv.Panel=this;oDiv.onclick=function(){this.className='ColorDeselected';this.Panel.SetColorFunction('#' + this.Color);this.Panel.Hide();};oCell=oRow.insertCell(-1);oCell.appendChild(oDiv);};};var oDiv=CreateSelectionDiv();oDiv.innerHTML='<table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td nowrap align="center">More Colors...</td></tr></table>';oDiv.Panel=this;oDiv.onclick=function(){this.className='ColorDeselected';this.Panel.Hide();FCKDialog.OpenDialog('FCKDialog_Color', 'Select a Color', 'dialog/fck_colorselector.html', 400, 330, this.Panel.SetColorFunction);};var oCell=oTable.insertRow(-1).insertCell(-1);oCell.colSpan=8;oCell.appendChild(oDiv);targetDiv.appendChild(oTable);}
-var FCKTableHandler=new Object();FCKTableHandler.InsertRow=function(){var oRow=FCKSelection.MoveToAncestorNode("TR");if (!oRow) return;var oNewRow=oRow.cloneNode(true);oRow.parentNode.insertBefore(oNewRow, oRow);FCKTableHandler.ClearRow(oRow);};FCKTableHandler.DeleteRows=function(row){if (!row) row=FCKSelection.MoveToAncestorNode("TR");if (!row) return;var oTable=FCKTools.GetElementAscensor(row, 'TABLE');if (oTable.rows.length==1){FCKTableHandler.DeleteTable(oTable);return;};row.parentNode.removeChild(row);};FCKTableHandler.DeleteTable=function(table){if (!table) table=FCKSelection.MoveToAncestorNode("TABLE");if (!table) return;table.parentNode.removeChild(table);};FCKTableHandler.InsertColumn=function(){var oCell=FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oTable=FCKTools.GetElementAscensor(oCell, 'TABLE');var iIndex=oCell.cellIndex + 1;for (var i=0 ; i < oTable.rows.length ; i++){var oRow=oTable.rows[i];if (oRow.cells.length < iIndex) continue;oCell=FCK.EditorDocument.createElement('TD');oCell.innerHTML='&nbsp;';var oBaseCell=oRow.cells[iIndex];if (oBaseCell){oRow.insertBefore(oCell, oBaseCell);}else{oRow.appendChild(oCell);};};};FCKTableHandler.DeleteColumns=function(){var oCell=FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oTable=FCKTools.GetElementAscensor(oCell, 'TABLE');var iIndex=oCell.cellIndex;for (var i=oTable.rows.length - 1 ; i >=0 ; i--){var oRow=oTable.rows[i];if (iIndex==0 && oRow.cells.length==1){FCKTableHandler.DeleteRows(oRow);continue;};if (oRow.cells[iIndex]) oRow.removeChild(oRow.cells[iIndex]);};};FCKTableHandler.InsertCell=function(){var oCell=FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oNewCell=FCK.EditorDocument.createElement("TD");oNewCell.innerHTML="&nbsp;";if (oCell.cellIndex==oCell.parentNode.cells.lenght - 1){oCell.parentNode.appendChild(oNewCell);}else{oCell.parentNode.insertBefore(oNewCell, oCell.nextSibling);};};FCKTableHandler.DeleteCell=function(cell){if (cell.parentNode.cells.length==1){FCKTableHandler.DeleteRows(FCKTools.GetElementAscensor( cell, 'TR' ));return;};cell.parentNode.removeChild(cell);};FCKTableHandler.DeleteCells=function(){var aCells=FCKTableHandler.GetSelectedCells();for (var i=aCells.length - 1 ; i >=0  ; i--){FCKTableHandler.DeleteCell(aCells[i]);};};FCKTableHandler.MergeCells=function(){alert('Command not implemented.');};FCKTableHandler.SplitCell=function(){alert('Command not implemented.');};FCKTableHandler.ClearRow=function(tr){var aCells=tr.cells;for (var i=0 ; i < aCells.length ; i++){aCells[i].innerHTML='&nbsp;';};}
-FCKTableHandler.GetSelectedCells=function(){var aCells=new Array();var oRange=FCK.EditorDocument.selection.createRange();var oParent=oRange.parentElement();if (oParent && oParent.tagName=="TD") aCells[0]=oParent;else{var oParent=FCKSelection.MoveToAncestorNode("TABLE");if (oParent){for (var i=0 ; i < oParent.cells.length ; i++){var oCellRange=FCK.EditorDocument.selection.createRange();oCellRange.moveToElementText(oParent.cells[i]);if (oRange.inRange( oCellRange) || (oRange.compareEndPoints('StartToStart',oCellRange) >= 0 &&  oRange.compareEndPoints('StartToEnd',oCellRange) <= 0) || (oRange.compareEndPoints('EndToStart',oCellRange) >= 0 &&  oRange.compareEndPoints('EndToEnd',oCellRange) <= 0 )){aCells[aCells.length]=oParent.cells[i];};};};};return aCells;};
-var FCKNamedCommand=function(commandName){this.Name=commandName;};FCKNamedCommand.prototype.Execute=function(){FCK.ExecuteNamedCommand(this.Name);};FCKNamedCommand.prototype.GetState=function(){return FCK.GetNamedCommandState(this.Name);};
-var FCKDialogCommand=function(name, title, url, width, height, getStateFunction, getStateParam){this.Name=name;this.Title=title;this.Url=url;this.Width=width;this.Height=height;this.GetStateFunction=getStateFunction;this.GetStateParam=getStateParam;};FCKDialogCommand.prototype.Execute=function(){FCKDialog.OpenDialog('FCKDialog_' + this.Name , this.Title, this.Url, this.Width, this.Height);};FCKDialogCommand.prototype.GetState=function(){if (this.GetStateFunction){return this.GetStateFunction(this.GetStateParam);}else{return FCK_TRISTATE_OFF;};};var FCKUndefinedCommand=function(){this.Name='Undefined';};FCKUndefinedCommand.prototype.Execute=function(){alert('Command not implemented.');};FCKUndefinedCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKFontNameCommand=function(){this.Name='FontName';};FCKFontNameCommand.prototype.Execute=function(fontName){if (fontName==null || fontName==""){}else{FCK.ExecuteNamedCommand('FontName', fontName);};};FCKFontNameCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FontName');};var FCKFontSizeCommand=function(){this.Name='FontSize';};FCKFontSizeCommand.prototype.Execute=function(fontSize){if (typeof( fontSize )=='string' ) fontSize = parseInt(fontSize);if (fontSize==null || fontSize==''){FCK.ExecuteNamedCommand('FontSize', 3);}else{FCK.ExecuteNamedCommand('FontSize', fontSize);};};FCKFontSizeCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FontSize');};var FCKFormatBlockCommand=function(){this.Name='FormatBlock';};FCKFormatBlockCommand.prototype.Execute=function(formatName){if (formatName==null || formatName==''){FCK.ExecuteNamedCommand('FormatBlock', '<P>');}else{FCK.ExecuteNamedCommand('FormatBlock', formatName);};};FCKFormatBlockCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FormatBlock');};var FCKPreviewCommand=function(){this.Name='Preview';};FCKPreviewCommand.prototype.Execute=function(){FCK.Preview();};FCKPreviewCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKSaveCommand=function(){this.Name='Save';};FCKSaveCommand.prototype.Execute=function(){var oForm=FCK.LinkedField.form;oForm.submit();};FCKSaveCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKNewPageCommand=function(){this.Name='NewPage';};FCKNewPageCommand.prototype.Execute=function(){FCK.SetHTML('');};FCKNewPageCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKSourceCommand=function(){this.Name="Source";};FCKSourceCommand.prototype.Execute=function(){FCK.SwitchEditMode();};FCKSourceCommand.prototype.GetState=function(){return (FCK.EditMode==FCK_EDITMODE_WYSIWYG ? FCK_TRISTATE_OFF : FCK_TRISTATE_ON);}
-var FCKTextColorCommand=function(type){this.Name=type=='ForeColor' ? 'TextColor' : 'BGColor';this.Type=type;this._Panel=new FCKColorPanel(this.SetColor);this._Panel.Create();};FCKTextColorCommand.prototype.Execute=function(panelX, panelY){FCK._ActiveColorPanelType=this.Type;this._Panel.Show(panelX, panelY);};FCKTextColorCommand.prototype.SetColor=function(color){if (FCK._ActiveColorPanelType=='ForeColor') FCK.ExecuteNamedCommand('ForeColor', color);else if (FCKBrowserInfo.IsGecko) FCK.ExecuteNamedCommand('hilitecolor', color);else FCK.ExecuteNamedCommand('BackColor', color);delete FCK._ActiveColorPanelType;};FCKTextColorCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;}
-var FCKPastePlainTextCommand=function(){this.Name='PasteText';};FCKPastePlainTextCommand.prototype.Execute=function(){FCK.PasteAsPlainText();};FCKPastePlainTextCommand.prototype.GetState=function(){return FCK.GetNamedCommandState('Paste');};
-var FCKPasteWordCommand=function(){this.Name='PasteWord';};FCKPasteWordCommand.prototype.Execute=function(){FCK.PasteFromWord();};FCKPasteWordCommand.prototype.GetState=function(){return FCK.GetNamedCommandState('Paste');};
-var FCKTableCommand=function(command){this.Name=command;};FCKTableCommand.prototype.Execute=function(){switch (this.Name){case 'TableInsertRow' : FCKTableHandler.InsertRow();break;case 'TableDeleteRows' : FCKTableHandler.DeleteRows();break;case 'TableInsertColumn' : FCKTableHandler.InsertColumn();break;case 'TableDeleteColumns' : FCKTableHandler.DeleteColumns();break;case 'TableInsertCell' : FCKTableHandler.InsertCell();break;case 'TableDeleteCells' : FCKTableHandler.DeleteCells();break;case 'TableMergeCells' : FCKTableHandler.MergeCells();break;case 'TableSplitCell' : FCKTableHandler.SplitCell();break;default : alert('Unknown command "' + this.Name + '".');};};FCKTableCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;}
-var FCKCommands=new Object();var sNamedCommands=[ 'Cut','Copy','Paste','Print','Find','SelectAll','RemoveFormat','Unlink','Undo','Redo', 'Bold','Italic','Underline','StrikeThrough','Subscript','Superscript', 'JustifyLeft','JustifyCenter','JustifyRight','JustifyFull','Outdent','Indent', 'InsertOrderedList','InsertUnorderedList','InsertHorizontalRule'];for (i=0 ; i < sNamedCommands.length ; i++){FCKCommands[ sNamedCommands[i] ]=new FCKNamedCommand(sNamedCommands[i]);};FCKCommands['Link']			= new FCKDialogCommand( 'Link'			, FCKLang.DlgLnkWindowTitle, 'dialog/fck_link.html'	, 400, 330, FCK.GetNamedCommandState, 'CreateLink' );FCKCommands['About']		= new FCKDialogCommand( 'About'			, FCKLang.About, 'dialog/fck_about.html'	, 400, 330 );FCKCommands['Image']		= new FCKDialogCommand( 'Image'			, 'Image Properties', 'dialog/fck_image.html'		, 450, 400, FCK.GetNamedCommandState, 'InsertImage' );FCKCommands['Table']		= new FCKDialogCommand( 'Table'			, 'Table Properties', 'dialog/fck_table.html'		, 400, 250 );FCKCommands['TableProp']	= new FCKDialogCommand( 'Table'			, 'Table Properties', 'dialog/fck_table.html?Parent', 400, 250 );FCKCommands['SpecialChar']	= new FCKDialogCommand( 'SpecialChar'	, 'Select Character', 'dialog/fck_specialchar.html'	, 400, 300, FCK.GetNamedCommandState, 'InsertImage' );FCKCommands['Smiley']		= new FCKDialogCommand( 'Smiley'		, FCKLang.DlgSmileyTitle, 'dialog/fck_smiley.html'	, FCKConfig.SmileyWindowWidth, FCKConfig.SmileyWindowHeight, FCK.GetNamedCommandState, 'InsertImage' );FCKCommands['FontName']		= new FCKFontNameCommand();FCKCommands['FontSize']		= new FCKFontSizeCommand();FCKCommands['FontFormat']	= new FCKFormatBlockCommand();FCKCommands['Source']		= new FCKSourceCommand();FCKCommands['Preview']		= new FCKPreviewCommand();FCKCommands['Save']			= new FCKSaveCommand();FCKCommands['NewPage']		= new FCKNewPageCommand();FCKCommands['TextColor']	= new FCKTextColorCommand('ForeColor');FCKCommands['BGColor']		= new FCKTextColorCommand('BackColor');FCKCommands['PasteText']	= new FCKPastePlainTextCommand();FCKCommands['PasteWord']	= new FCKPasteWordCommand();FCKCommands['TableInsertRow']		= new FCKTableCommand('TableInsertRow');FCKCommands['TableDeleteRows']		= new FCKTableCommand('TableDeleteRows');FCKCommands['TableInsertColumn']	= new FCKTableCommand('TableInsertColumn');FCKCommands['TableDeleteColumns']	= new FCKTableCommand('TableDeleteColumns');FCKCommands['TableInsertCell']		= new FCKTableCommand('TableInsertCell');FCKCommands['TableDeleteCells']		= new FCKTableCommand('TableDeleteCells');FCKCommands['TableMergeCells']		= new FCKTableCommand('TableMergeCells');FCKCommands['TableSplitCell']		= new FCKTableCommand('TableSplitCell');FCKCommands['Undefined']	= new FCKUndefinedCommand();
-var FCKToolbarButton=function(commandName, label, tooltip, style, sourceView){this.Command=FCKCommands[ commandName ];this.Label=label ? label : commandName;this.Tooltip=tooltip ? tooltip : (label ? label : commandName);this.Style=style ? style : FCK_TOOLBARITEM_ONLYICON;this.SourceView=sourceView ? true : false;this.State=FCK_UNKNOWN;};FCKToolbarButton.prototype.CreateInstance=function(parentToolbar){this.DOMDiv=document.createElement('div');this.DOMDiv.className='TB_Button_Off';this.DOMDiv.FCKToolbarButton=this;this.DOMDiv.onmouseover=function(){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED){this.className='TB_Button_On';};};this.DOMDiv.onmouseout=function(){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED &&  this.FCKToolbarButton.State !=FCK_TRISTATE_ON){this.className='TB_Button_Off';};};this.DOMDiv.onclick=function(){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED) this.FCKToolbarButton.Command.Execute();return false;};var sClass;switch (this.Style){case FCK_TOOLBARITEM_ONLYICON : sClass='TB_ButtonType_Icon';break;case FCK_TOOLBARITEM_ONLYTEXT : sClass='TB_ButtonType_Text';break;case FCK_TOOLBARITEM_ICONTEXT : sClass='';break;};this.DOMDiv.innerHTML='<table title="' + this.Tooltip + '" class="' + sClass + '" cellspacing="0" cellpadding="0" border="0" unselectable="on">' + '<tr>' + '<td class="TB_Icon" unselectable="on"><img src="' + FCKConfig.SkinPath + 'toolbar/button.' + this.Command.Name.toLowerCase() + '.gif" width="21" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on"></td>' + '<td class="TB_Text" unselectable="on">' + this.Label + '</td>' + '</tr>' + '</table>';var oCell=parentToolbar.DOMRow.insertCell(-1);oCell.appendChild(this.DOMDiv);this.RefreshState();};FCKToolbarButton.prototype.RefreshState=function(){var eState;if (FCK.EditMode==FCK_EDITMODE_SOURCE && ! this.SourceView) eState=FCK_TRISTATE_DISABLED;else eState=this.Command.GetState();if (eState==this.State) return;this.State=eState;switch (this.State){case FCK_TRISTATE_ON : this.DOMDiv.className='TB_Button_On';break;case FCK_TRISTATE_OFF : this.DOMDiv.className='TB_Button_Off';break;default : this.DOMDiv.className='TB_Button_Disabled';break;};}
-var FCKToolbarCombo=function(commandName, label, itemsValues, itemsNames, tooltip, style, firstIsBlank, itemsSeparator, sourceView){this.Command=FCKCommands[ commandName ];this.Label=label ? label : commandName;this.Tooltip=tooltip ? tooltip : (label ? label : commandName);this.Style=style ? style : FCK_TOOLBARITEM_ICONTEXT;this.SourceView=sourceView ? true : false;this.State=FCK_UNKNOWN;this.ItemsValues=itemsValues;this.ItemsNames=itemsNames ? itemsNames : itemsValues;this.ItemsSeparator=itemsSeparator ? itemsSeparator : ';';this.FirstIsBlank=firstIsBlank !=null ? firstIsBlank : true;};FCKToolbarCombo.prototype.CreateInstance=function(parentToolbar){this.DOMDiv=document.createElement('div');this.DOMDiv.className='TB_Combo_Off';var sClass;switch (this.Style){case FCK_TOOLBARITEM_ONLYICON : sClass='TB_ButtonType_Icon';break;case FCK_TOOLBARITEM_ONLYTEXT : sClass='TB_ButtonType_Text';break;case FCK_TOOLBARITEM_ICONTEXT : sClass='';break;};this.DOMDiv.innerHTML='<table class="' + sClass + '" cellspacing="0" cellpadding="0" border="0" unselectable="on">' + '<tr>' + '<td class="TB_Text" unselectable="on" nowrap>' + this.Label + '</td>' + '<td unselectable="on"><select title="' + this.Tooltip + '"></select></td>' + '</tr>' + '</table>';this.SelectElement=this.DOMDiv.firstChild.firstChild.firstChild.childNodes.item(1).firstChild;this.SelectElement.FCKToolbarCombo=this;this.SelectElement.onchange=function(){this.FCKToolbarCombo.Command.Execute(this.value);return false;};var oCell=parentToolbar.DOMRow.insertCell(-1);oCell.appendChild(this.DOMDiv);this.RefreshItems();this.RefreshState();};FCKToolbarCombo.prototype.RefreshItems=function(){var aNames=FCKTools.GetResultingArray(this.ItemsNames, this.ItemsSeparator);var aValues=FCKTools.GetResultingArray(this.ItemsValues, this.ItemsSeparator);FCKTools.RemoveAllSelectOptions(this.SelectElement);if (this.FirstIsBlank) FCKTools.AddSelectOption(document, this.SelectElement, '', '');for (var i=0 ; i < aValues.length ; i++){FCKTools.AddSelectOption(document, this.SelectElement, aNames[i], aValues[i]);};};FCKToolbarCombo.prototype.RefreshState=function(){var eState;if (FCK.EditMode==FCK_EDITMODE_SOURCE && ! this.SourceView){eState=FCK_TRISTATE_DISABLED;this.SelectElement.value='';}else{var sValue=this.Command.GetState();FCKTools.SelectNoCase(this.SelectElement, sValue ? sValue : '', '');eState=sValue==null ? FCK_TRISTATE_DISABLED : FCK_TRISTATE_ON;};if (eState==this.State) return;this.State=eState;this.DOMDiv.className=(eState==FCK_TRISTATE_ON ? 'TB_Combo_Off' : 'TB_Combo_Disabled');this.SelectElement.disabled=(eState==FCK_TRISTATE_DISABLED);};
-var FCKToolbarPanelButton=function(commandName, label, tooltip, style){this.Command=FCKCommands[ commandName ];this.Label=label ? label : commandName;this.Tooltip=tooltip ? tooltip : (label ? label : commandName);this.Style=style ? style : FCK_TOOLBARITEM_ONLYICON;this.State=FCK_UNKNOWN;if (this.Command==null) alert('Unknown command name "' + commandName + '"');};FCKToolbarPanelButton.prototype.CreateInstance=function(parentToolbar){this.DOMDiv=document.createElement('div');this.DOMDiv.className='TB_Button_Off';this.DOMDiv.FCKToolbarButton=this;this.DOMDiv.onmouseover=function(){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED){this.className='TB_Button_On';};};this.DOMDiv.onmouseout=function(){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED &&  this.FCKToolbarButton.State !=FCK_TRISTATE_ON){this.className='TB_Button_Off';};};this.DOMDiv.onclick=function(ev){if (this.FCKToolbarButton.State !=FCK_TRISTATE_DISABLED) this.FCKToolbarButton.HandleOnClick(this.FCKToolbarButton, ev);if (ev) ev.stopPropagation();return false;};var sClass;switch (this.Style){case FCK_TOOLBARITEM_ONLYICON : sClass='TB_ButtonType_Icon';break;case FCK_TOOLBARITEM_ONLYTEXT : sClass='TB_ButtonType_Text';break;case FCK_TOOLBARITEM_ICONTEXT : sClass='';break;};this.DOMDiv.innerHTML='<table title="' + this.Tooltip + '" class="' + sClass + '" cellspacing="0" cellpadding="0" border="0" unselectable="on">' + '<tr>' + '<td class="TB_Icon" unselectable="on"><img src="' + FCKConfig.SkinPath + 'toolbar/button.' + this.Command.Name.toLowerCase() + '.gif" width="21" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on"></td>' + '<td class="TB_Text" unselectable="on">' + this.Label + '</td>' + '<td class="TB_ButtonArrow" unselectable="on"><img src="' + FCKConfig.SkinPath + 'images/toolbar.buttonarrow.gif" width="5" height="3"></td>' + '</tr>' + '</table>';var oCell=parentToolbar.DOMRow.insertCell(-1);oCell.appendChild(this.DOMDiv);this.RefreshState();};FCKToolbarPanelButton.prototype.RefreshState=FCKToolbarButton.prototype.RefreshState;
-FCKToolbarPanelButton.prototype.HandleOnClick=function(panelButton, ev){var e=panelButton.DOMDiv;var oDivCoords=FCKTools.GetElementPosition(e);var iPanX=oDivCoords.X + window.screenLeft;var iPanY=oDivCoords.Y + window.screenTop + e.offsetHeight + 1;panelButton.Command.Execute(iPanX,iPanY);}
-var FCKToolbarItems=new Object();FCKToolbarItems['Source']		= new FCKToolbarButton( 'Source', 'Source', null, FCK_TOOLBARITEM_ICONTEXT, true );FCKToolbarItems['Save']			= new FCKToolbarButton( 'Save', null, null, null, true  );FCKToolbarItems['NewPage']		= new FCKToolbarButton( 'NewPage', null, null, null, true  );FCKToolbarItems['Preview']		= new FCKToolbarButton( 'Preview', null, null, null, true  );FCKToolbarItems['About']		= new FCKToolbarButton( 'About', FCKLang.About );FCKToolbarItems['Cut']			= new FCKToolbarButton( 'Cut', FCKLang.Cut, null, null, true );FCKToolbarItems['Copy']			= new FCKToolbarButton( 'Copy', FCKLang.Copy, null, null, true );FCKToolbarItems['Paste']		= new FCKToolbarButton( 'Paste', FCKLang.Paste, null, null, true );FCKToolbarItems['PasteText']	= new FCKToolbarButton( 'PasteText', FCKLang.PasteText );FCKToolbarItems['PasteWord']	= new FCKToolbarButton( 'PasteWord', FCKLang.PasteWord );FCKToolbarItems['Print']		= new FCKToolbarButton( 'Print', null, null, null, true );FCKToolbarItems['Undo']			= new FCKToolbarButton( 'Undo', null, null, null, true );FCKToolbarItems['Redo']			= new FCKToolbarButton( 'Redo', null, null, null, true );FCKToolbarItems['Find']			= new FCKToolbarButton( 'Find', null, null, null, true );FCKToolbarItems['SelectAll']	= new FCKToolbarButton( 'SelectAll', 'Select All', null, null, true );FCKToolbarItems['RemoveFormat']	= new FCKToolbarButton( 'RemoveFormat', 'Remove Format' );FCKToolbarItems['Unlink']		= new FCKToolbarButton( 'Unlink' );FCKToolbarItems['Bold']			= new FCKToolbarButton( 'Bold' );FCKToolbarItems['Italic']		= new FCKToolbarButton( 'Italic' );FCKToolbarItems['Underline']	= new FCKToolbarButton( 'Underline' );FCKToolbarItems['StrikeThrough']= new FCKToolbarButton( 'StrikeThrough', 'Strike Through' );FCKToolbarItems['Subscript']	= new FCKToolbarButton( 'Subscript' );FCKToolbarItems['Superscript']	= new FCKToolbarButton( 'Superscript' );FCKToolbarItems['OrderedList']	= new FCKToolbarButton( 'InsertOrderedList', 'Ordered List', 'Insert/Remove Ordered List' );FCKToolbarItems['UnorderedList']= new FCKToolbarButton( 'InsertUnorderedList', 'Unordered List', 'Insert/Remove Unordered List' );FCKToolbarItems['Outdent']		= new FCKToolbarButton( 'Outdent' );FCKToolbarItems['Indent']		= new FCKToolbarButton( 'Indent' );FCKToolbarItems['Link']			= new FCKToolbarButton( 'Link', 'Link', 'Create/Edit Link' );FCKToolbarItems['Unlink']		= new FCKToolbarButton( 'Unlink', 'Remove Link' );FCKToolbarItems['Image']		= new FCKToolbarButton( 'Image', 'Image', 'Insert/Edit Image' );FCKToolbarItems['Table']		= new FCKToolbarButton( 'Table', 'Table', 'Create/Edit Table' );FCKToolbarItems['SpecialChar']	= new FCKToolbarButton( 'SpecialChar', 'Special Character', 'Insert Special Character' );FCKToolbarItems['Smiley']		= new FCKToolbarButton( 'Smiley', 'Smiley', 'Insert Smiley' );FCKToolbarItems['Rule']			= new FCKToolbarButton( 'InsertHorizontalRule', 'Horizontal Rule', 'Insert Horizontal Rule' );FCKToolbarItems['JustifyLeft']	= new FCKToolbarButton( 'JustifyLeft', 'Align Left' );FCKToolbarItems['JustifyCenter']= new FCKToolbarButton( 'JustifyCenter', 'Center' );FCKToolbarItems['JustifyRight']	= new FCKToolbarButton( 'JustifyRight', 'Align Right' );FCKToolbarItems['JustifyFull']	= new FCKToolbarButton( 'JustifyFull', 'Justify' );FCKToolbarItems['FontName']		= new FCKToolbarCombo( 'FontName', FCKLang['Font'], FCKConfig.FontNames, FCKConfig.FontNames );FCKToolbarItems['FontSize']		= new FCKToolbarCombo( 'FontSize', FCKLang['FontSize'], '1;2;3;4;5;6;7', 'xx-small;x-small;small;medium;large;x-large;xx-large' );FCKToolbarItems['FontFormat']	= new FCKToolbarCombo( 'FontFormat', FCKLang['FontFormat'], '<P>;<DIV>;<H1>;<H2>', 'Normal (P);Normal (DIV);Heading 1;Heading 2' );FCKToolbarItems['TextColor']	= new FCKToolbarPanelButton( 'TextColor' );FCKToolbarItems['BGColor']		= new FCKToolbarPanelButton( 'BGColor' );
-var FCKToolbar=function(){this.Items=new Array();this.DOMTable=document.createElement('table');this.DOMTable.className='TB_Toolbar';with (this.DOMTable){style.styleFloat=style.cssFloat=FCKLang.Dir=='rtl' ? 'right' : 'left';cellPadding=0;cellSpacing=0;border=0;};this.DOMRow=this.DOMTable.insertRow(-1);var oCell=this.DOMRow.insertCell(-1);oCell.className='TB_Start';oCell.innerHTML='<img src="' + FCKConfig.SkinPath + 'images/toolbar.start.gif" width="7" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';FCKToolbarSet.DOMElement.appendChild(this.DOMTable);};FCKToolbar.prototype.AddItem=function(toolbarItem){this.Items[ this.Items.length ]=toolbarItem;toolbarItem.CreateInstance(this);};FCKToolbar.prototype.AddSeparator=function(){var oCell=this.DOMRow.insertCell(-1);oCell.unselectable='on';oCell.innerHTML='<img src="' + FCKConfig.SkinPath + 'images/toolbar.separator.gif" width="5" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';};FCKToolbar.prototype.AddTerminator=function(){var oCell=this.DOMRow.insertCell(-1);oCell.className='TB_End';oCell.innerHTML='<img src="' + FCKConfig.SkinPath + 'images/toolbar.end.gif" width="12" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';};
-var FCKToolbarSet=new Object();FCKToolbarSet.Toolbars=new Array();FCKToolbarSet.Expand=function(){document.getElementById('Collapsed').style.display = 'none';document.getElementById('Expanded').style.display = '';if (! FCKBrowserInfo.IsIE){window.setTimeout("window.onresize()", 1);};};FCKToolbarSet.Collapse=function(){document.getElementById('Collapsed').style.display = '';document.getElementById('Expanded').style.display = 'none';if (! FCKBrowserInfo.IsIE){window.setTimeout("window.onresize()", 1);};};FCKToolbarSet.Restart=function(){if (!FCKConfig.ToolbarCanCollapse || FCKConfig.ToolbarStartExpanded) this.Expand();else this.Collapse();document.getElementById('CollapseHandle').style.display = FCKConfig.ToolbarCanCollapse ? '' : 'none';};FCKToolbarSet.Load=function(toolbarSetName){this.DOMElement=document.getElementById('eToolbar');var ToolbarSet=FCKConfig.ToolbarSets[toolbarSetName];if (! ToolbarSet){alert('Toolbar set "' + toolbarSetName + '" doesn\'t exist.');return;};this.Toolbars=new Array();for (var x=0 ; x < ToolbarSet.length ; x++){var oToolbar=new FCKToolbar();for (var j=0 ; j < ToolbarSet[x].length ; j++){var sItem=ToolbarSet[x][j];if (sItem=='-') oToolbar.AddSeparator();else{var oItem=FCKToolbarItems[sItem];if (oItem) oToolbar.AddItem(oItem);else alert('Unknown toolbar item name "' + sItem + "'");};};oToolbar.AddTerminator();this.Toolbars[ this.Toolbars.length ]=oToolbar;};this.Redraw();};FCKToolbarSet.Redraw=function(){};FCKToolbarSet.RefreshItemsState=function(){for (var i=0 ; i < FCKToolbarSet.Toolbars.length ; i++){var oToolbar=FCKToolbarSet.Toolbars[i];for (var j=0 ; j < oToolbar.Items.length ; j++){oToolbar.Items[j].RefreshState();};};};
-var FCKDialog=new Object();FCKDialog.OpenDialog=function(dialogName, dialogTitle, dialogPage, width, height, customValue){var oDialogInfo=new Object();oDialogInfo.Title=dialogTitle;oDialogInfo.Page=dialogPage;oDialogInfo.Editor=window;oDialogInfo.CustomValue=customValue;var sUrl=FCKConfig.BasePath + 'fckdialog.html';this.Show(oDialogInfo, dialogName, sUrl, width, height);};
-FCKDialog.Show=function(dialogInfo, dialogName, pageUrl, dialogWidth, dialogHeight){window.showModalDialog(pageUrl, dialogInfo, "dialogWidth:" + dialogWidth + "px;dialogHeight:" + dialogHeight + "px;help:no;scroll:no;status:no");};
-var FCKContextMenuItem=function(contextMenu, commandName, label, hasIcon){this.ContextMenu=contextMenu;this.Command=FCKCommands[ commandName ];this.Label=label ? label : commandName;this.HasIcon=hasIcon ? true : false;};FCKContextMenuItem.prototype.CreateTableRow=function(targetTable){this._Row=targetTable.insertRow(-1);this._Row.className='CM_Disabled';this._Row.FCKContextMenuItem=this;this._Row.onmouseover=function(){if (this.className !='CM_Disabled') this.className='CM_Over';};this._Row.onmouseout=function(){if (this.className !='CM_Disabled') this.className='CM_Option';};this._Row.onclick=function(){this.FCKContextMenuItem.ContextMenu.Hide();this.FCKContextMenuItem.Command.Execute();return false;};var oCell=this._Row.insertCell(-1);oCell.className='CM_Icon';if (this.HasIcon ) oCell.innerHTML='<img alt="" src="' + FCKConfig.SkinPath + 'toolbar/button.' + this.Command.Name.toLowerCase() + '.gif" width="21" height="20" unselectable="on">';oCell=this._Row.insertCell(-1);oCell.className='CM_Label';oCell.unselectable='on';oCell.noWrap=true;oCell.innerHTML=this.Label;};FCKContextMenuItem.prototype.SetVisible=function(isVisible){this._Row.style.display=isVisible ? '' : 'none';};FCKContextMenuItem.prototype.RefreshState=function(){switch (this.Command.GetState()){case FCK_TRISTATE_ON : case FCK_TRISTATE_OFF : this._Row.className='CM_Option';break;default : this._Row.className='CM_Disabled';break;};};
-var FCKContextMenuSeparator=function(){};FCKContextMenuSeparator.prototype.CreateTableRow=function(targetTable){this._Row=targetTable.insertRow(-1);this._Row.className='CM_Separator';var oCell=this._Row.insertCell(-1);oCell.className='CM_Icon';oCell=this._Row.insertCell(-1);oCell.className='CM_Label';oCell.innerHTML='<div></div>';};FCKContextMenuSeparator.prototype.SetVisible=function(isVisible){this._Row.style.display=isVisible ? '' : 'none';};FCKContextMenuSeparator.prototype.RefreshState=function(){};
-var FCKContextMenuGroup=function(){this.IsVisible=true;this.Items=new Array();this.ValidationFunction=null;};FCKContextMenuGroup.prototype.Add=function(contextMenuItem){this.Items[ this.Items.length ]=contextMenuItem;};FCKContextMenuGroup.prototype.CreateTableRows=function(table){for (var i=0 ; i < this.Items.length ; i++){this.Items[i].CreateTableRow(table);};};FCKContextMenuGroup.prototype.SetVisible=function(isVisible){for (var i=0 ; i < this.Items.length ; i++){this.Items[i].SetVisible(isVisible);};this.IsVisible=isVisible;};FCKContextMenuGroup.prototype.RefreshState=function(){if (! this.IsVisible) return;for (var i=0 ; i < this.Items.length ; i++){this.Items[i].RefreshState();};}
-var FCKContextMenu=new Object();FCKContextMenu._IsLoaded=false;FCKContextMenu.Reload=function(){this._Div=this._Document.createElement('DIV');this._Div.className='CM_ContextMenu';this._Div.style.position='absolute';this._Div.style.visibility='hidden';this._Document.body.appendChild(this._Div);var oTable=this._Document.createElement('TABLE');oTable.cellSpacing=0;oTable.cellPadding=0;oTable.border=0;this._Div.appendChild(oTable);this.Groups=new Object();this.Groups['Generic'] = new FCKContextMenuGroup();with (this.Groups['Generic']){Add(new FCKContextMenuItem( this, 'Cut'	, FCKLang['Cut']	, true ));Add(new FCKContextMenuItem( this, 'Copy'	, FCKLang['Copy']	, true ));Add(new FCKContextMenuItem( this, 'Paste'	, FCKLang['Paste']	, true ));};this.Groups['Link'] = new FCKContextMenuGroup();with (this.Groups['Link']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'Link'	, FCKLang['EditLink']	, true ));Add(new FCKContextMenuItem( this, 'Unlink'	, FCKLang['RemoveLink']	, true ));};this.Groups['TableCell'] = new FCKContextMenuGroup();with (this.Groups['TableCell']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'TableInsertRow', FCKLang["InsertRow"], true ));Add(new FCKContextMenuItem( this, 'TableDeleteRows', FCKLang["DeleteRows"], true ));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'TableInsertColumn', FCKLang["InsertColumn"], true ));Add(new FCKContextMenuItem( this, 'TableDeleteColumns', FCKLang["DeleteColumns"], true ));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'TableInsertCell', FCKLang["InsertCell"], true ));Add(new FCKContextMenuItem( this, 'TableDeleteCells', FCKLang["DeleteCells"], true ));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'TableProp', FCKLang["TableProperties"], true ));};this.Groups['Table'] = new FCKContextMenuGroup();with (this.Groups['Table']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'Table', FCKLang["TableProperties"], true ));};this.Groups['Image'] = new FCKContextMenuGroup();with (this.Groups['Image']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'Image', FCKLang["ImageProperties"], true ));};this.Groups['Select'] = new FCKContextMenuGroup();with (this.Groups['Select']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'Undefined', "Selection Field Properties" ));};this.Groups['Textarea'] = new FCKContextMenuGroup();with (this.Groups['Textarea']){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem( this, 'Undefined', "Textarea Properties" ));};for (var o in this.Groups){this.Groups[o].CreateTableRows(oTable);};this._IsLoaded=true;};FCKContextMenu.RefreshState=function(){var oTag=FCKSelection.GetSelectedElement();var sTagName;if (oTag){sTagName=oTag.tagName;};this.Groups['Link'].SetVisible( FCK.GetNamedCommandState( 'Unlink' ) != FCK_TRISTATE_DISABLED );this.Groups['TableCell'].SetVisible( sTagName != 'TABLE' && FCKSelection.HasAncestorNode('TABLE') );this.Groups['Table'].SetVisible( sTagName == 'TABLE' );this.Groups['Image'].SetVisible( sTagName == 'IMG' );this.Groups['Select'].SetVisible( sTagName == 'SELECT' );this.Groups['Textarea'].SetVisible( sTagName == 'TEXTAREA' );for (var o in this.Groups){this.Groups[o].RefreshState();};};
-FCKContextMenu.Show=function(x, y){if (! this._Popup){this._Popup=window.createPopup();this._Document=this._Popup.document;this._Document.createStyleSheet(FCKConfig.SkinPath + 'fck_contextmenu.css');this._Document.oncontextmenu=function() { return false ;};};if (!this._IsLoaded){this.Reload();this._Div.style.visibility='';};this.RefreshState();this._Popup.show(x, y, 0, 0);this._Popup.show(x, y, this._Div.offsetWidth, this._Div.offsetHeight);};FCKContextMenu.Hide=function(){if (this._Popup) this._Popup.hide();}
-if (FCKConfig.ForcePasteAsPlainText) FCK.Events.AttachEvent("OnPaste", FCK.Paste);FCKToolbarSet.Name=FCKURLParams['Toolbar'] || 'Default';FCKToolbarSet.Load(FCKToolbarSet.Name);FCKToolbarSet.Restart();FCK.AttachToOnSelectionChange(FCKToolbarSet.RefreshItemsState);FCK.Config=FCKConfig;FCK.ToolbarSet=FCKToolbarSet;FCK.SetStatus(FCK_STATUS_COMPLETE);if (typeof( window.parent.FCKeditor_OnComplete )=='function') window.parent.FCKeditor_OnComplete(FCK);
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * This file has been compacted for best loading performance.
+ */
+FCK.RedirectNamedCommands=new Object();FCK.ExecuteNamedCommand=function(commandName,commandParameter){FCKUndo.SaveUndoStep();if (FCK.RedirectNamedCommands[commandName]!=null) FCK.ExecuteRedirectedNamedCommand(commandName,commandParameter);else{FCK.Focus();FCK.EditorDocument.execCommand(commandName,false,commandParameter);FCK.Events.FireEvent('OnSelectionChange');};};FCK.GetNamedCommandState=function(commandName){try{if (!FCK.EditorDocument.queryCommandEnabled(commandName)) return FCK_TRISTATE_DISABLED;else return FCK.EditorDocument.queryCommandState(commandName)?FCK_TRISTATE_ON:FCK_TRISTATE_OFF;}catch (e){return FCK_TRISTATE_OFF;};};FCK.GetNamedCommandValue=function(commandName){var sValue='';var eState=FCK.GetNamedCommandState(commandName);if (eState==FCK_TRISTATE_DISABLED) return null;try{sValue=this.EditorDocument.queryCommandValue(commandName);}catch(e) {};return sValue?sValue:'';};FCK.CleanAndPaste=function(html){html=html.replace(/<\/?SPAN[^>]*>/gi,"");html=html.replace(/<(\w[^>]*) class=([^ |>]*)([^>]*)/gi,"<$1$3");html=html.replace(/<(\w[^>]*) style="([^"]*)"([^>]*)/gi,"<$1$3");html=html.replace(/<(\w[^>]*) lang=([^ |>]*)([^>]*)/gi,"<$1$3");html=html.replace(/<\\?\?xml[^>]*>/gi,"");html=html.replace(/<\/?\w+:[^>]*>/gi,"");html=html.replace(/&nbsp;/," ");var re=new RegExp("(<P)([^>]*>.*?)(<\/P>)","gi");html=html.replace(re,"<div$2</div>");FCK.InsertHtml(html);};FCK.Preview=function(){var oWindow=window.open('',null,'toolbar=yes,location=yes,status=yes,menubar=yes,scrollbars=yes,resizable=yes');var sHTML='<html><head><link href="'+FCKConfig.EditorAreaCSS+'" rel="stylesheet" type="text/css" /></head><body>'+FCK.GetHTML()+'</body></html>';oWindow.document.write(sHTML);oWindow.document.close();};FCK.SwitchEditMode=function(){var bWYSIWYG=(FCK.EditMode==FCK_EDITMODE_WYSIWYG);document.getElementById('eWysiwyg').style.display=bWYSIWYG?'none':'';document.getElementById('eSource').style.display=bWYSIWYG?'':'none';if (bWYSIWYG){if (FCKBrowserInfo.IsIE) FCKUndo.SaveUndoStep();document.getElementById('eSourceField').value=(FCKConfig.EnableXHTML&&FCKConfig.EnableSourceXHTML?FCK.GetXHTML(FCKConfig.FormatSource):FCK.GetHTML(FCKConfig.FormatSource));}else FCK.SetHTML(FCK.GetHTML(),true);FCK.EditMode=bWYSIWYG?FCK_EDITMODE_SOURCE:FCK_EDITMODE_WYSIWYG;FCKToolbarSet.RefreshModeState();FCK.Focus();};FCK.CreateElement=function(tag){var e=FCK.EditorDocument.createElement(tag);return FCK.InsertElementAndGetIt(e);};FCK.InsertElementAndGetIt=function(e){e.setAttribute('__FCKTempLabel',1);this.InsertElement(e);var aEls=FCK.EditorDocument.getElementsByTagName(e.tagName);for (var i=0;i<aEls.length;i++){if (aEls[i].getAttribute('__FCKTempLabel')){aEls[i].removeAttribute('__FCKTempLabel');return aEls[i];};};};
+FCK.Paste=function(){if (FCKConfig.ForcePasteAsPlainText){FCK.PasteAsPlainText();return false;}else if (FCKConfig.AutoDetectPasteFromWord){var sHTML=FCK.GetClipboardHTML();var re=/<\w[^>]* class="?MsoNormal"?/gi;if (re.test(sHTML)){if (confirm(FCKLang["PasteWordConfirm"])){FCK.CleanAndPaste(sHTML);return false;};};}else return true;};FCK.PasteAsPlainText=function(){var sText=FCKTools.HTMLEncode(clipboardData.getData("Text"));sText=sText.replace(/\n/g,'<BR>');this.InsertHtml(sText);};FCK.PasteFromWord=function(){FCK.CleanAndPaste(FCK.GetClipboardHTML());};FCK.InsertElement=function(element){FCK.InsertHtml(element.outerHTML);};FCK.GetClipboardHTML=function(){var oDiv=document.getElementById('___FCKHiddenDiv');if (!oDiv){var oDiv=document.createElement('DIV');oDiv.id='___FCKHiddenDiv';oDiv.style.visibility='hidden';oDiv.style.overflow='hidden';oDiv.style.position='absolute';oDiv.style.width=1;oDiv.style.height=1;document.body.appendChild(oDiv);};oDiv.innerHTML='';var oTextRange=document.body.createTextRange();oTextRange.moveToElementText(oDiv);oTextRange.execCommand('Paste');var sData=oDiv.innerHTML;oDiv.innerHTML='';return sData;};FCK.AttachToOnSelectionChange=function(functionPointer){this.Events.AttachEvent('OnSelectionChange',functionPointer);};FCK.CreateLink=function(url){FCK.ExecuteNamedCommand('Unlink');if (url.length>0){var sTempUrl='javascript:void(0);/*'+(new Date().getTime())+'*/';FCK.ExecuteNamedCommand('CreateLink',sTempUrl);var oLinks=this.EditorDocument.links;for (i=0;i<oLinks.length;i++){if (oLinks[i].href==sTempUrl){oLinks[i].href=url;return oLinks[i];};};};};
+var FCKSelection=new Object();FCK.Selection=FCKSelection;
+FCKSelection.GetType=function(){return FCK.EditorDocument.selection.type;};FCKSelection.GetSelectedElement=function(){if (this.GetType()=='Control'){var oRange=FCK.EditorDocument.selection.createRange();if (oRange&&oRange.item) return FCK.EditorDocument.selection.createRange().item(0);};};FCKSelection.GetParentElement=function(){if (this.GetType()=='Control') return FCKSelection.GetSelectedElement().parentElement;else return FCK.EditorDocument.selection.createRange().parentElement();};FCKSelection.SelectNode=function(node){FCK.Focus();FCK.EditorDocument.selection.empty();var oRange=FCK.EditorDocument.selection.createRange();oRange.moveToElementText(node);oRange.select();};FCKSelection.Collapse=function(toStart){FCK.Focus();var oRange=FCK.EditorDocument.selection.createRange();oRange.collapse(toStart==null||toStart===true);oRange.select();};FCKSelection.HasAncestorNode=function(nodeTagName){var oContainer;if (FCK.EditorDocument.selection.type=="Control"){oContainer=this.GetSelectedElement();}else{var oRange=FCK.EditorDocument.selection.createRange();oContainer=oRange.parentElement();};while (oContainer){if (oContainer.tagName==nodeTagName) return true;oContainer=oContainer.parentNode;};return false;};FCKSelection.MoveToAncestorNode=function(nodeTagName){var oNode;if (FCK.EditorDocument.selection.type=="Control"){var oRange=FCK.EditorDocument.selection.createRange();for (i=0;i<oRange.length;i++){if (oRange(i).parentNode){oNode=oRange(i).parentNode;break;};};}else{var oRange=FCK.EditorDocument.selection.createRange();oNode=oRange.parentElement();};while (oNode&&oNode.nodeName!=nodeTagName) oNode=oNode.parentNode;return oNode;};FCKSelection.Delete=function(){var oSel=FCK.EditorDocument.selection;if (oSel.type.toLowerCase()!="none"){oSel.clear();};return oSel;}
+var FCKPanel=function(parentWindow){this.Window=parentWindow?parentWindow:window;};function FCKPanel_OnContextMenu() { return false;};FCKPanel.prototype.Create=function(){this._Popup=this.Window.createPopup();this.Document=this._Popup.document;aCleanupDocs[aCleanupDocs.length]=this.Document;this.Document.oncontextmenu=FCKPanel_OnContextMenu;if (this.StyleSheet) FCKTools.AppendStyleSheet(this.Document,this.StyleSheet);this.PanelDiv=this.Document.body.appendChild(this.Document.createElement('DIV'));this.PanelDiv.className='FCK_Panel';this.Created=true;};FCKPanel.prototype.Show=function(panelX,panelY,relElement,width,height,autoSize){if (!this.Created) this._Create();this._Popup.show(panelX,panelY,0,0,relElement);if (width==null||(autoSize&&width>this.PanelDiv.offsetWidth)) var iWidth=this.PanelDiv.offsetWidth;else var iWidth=width;if (height==null||(autoSize&&height>this.PanelDiv.offsetHeight)) var iHeight=this.PanelDiv.offsetHeight;else var iHeight=height;this.PanelDiv.style.height=iHeight;this._Popup.show(panelX,panelY,iWidth,iHeight,relElement);};FCKPanel.prototype.Hide=function(){if (this._Popup) this._Popup.hide();}
+var FCKTableHandler=new Object();FCKTableHandler.InsertRow=function(){var oRow=FCKSelection.MoveToAncestorNode("TR");if (!oRow) return;var oNewRow=oRow.cloneNode(true);oRow.parentNode.insertBefore(oNewRow,oRow);FCKTableHandler.ClearRow(oRow);};FCKTableHandler.DeleteRows=function(row){if (!row) row=FCKSelection.MoveToAncestorNode("TR");if (!row) return;var oTable=FCKTools.GetElementAscensor(row,'TABLE');if (oTable.rows.length==1){FCKTableHandler.DeleteTable(oTable);return;};row.parentNode.removeChild(row);};FCKTableHandler.DeleteTable=function(table){if (!table) table=FCKSelection.MoveToAncestorNode("TABLE");if (!table) return;table.parentNode.removeChild(table);};FCKTableHandler.InsertColumn=function(){var oCell=FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oTable=FCKTools.GetElementAscensor(oCell,'TABLE');var iIndex=oCell.cellIndex+1;for (var i=0;i<oTable.rows.length;i++){var oRow=oTable.rows[i];if (oRow.cells.length<iIndex) continue;oCell=FCK.EditorDocument.createElement('TD');oCell.innerHTML='&nbsp;';var oBaseCell=oRow.cells[iIndex];if (oBaseCell){oRow.insertBefore(oCell,oBaseCell);}else{oRow.appendChild(oCell);};};};FCKTableHandler.DeleteColumns=function(){var oCell=FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oTable=FCKTools.GetElementAscensor(oCell,'TABLE');var iIndex=oCell.cellIndex;for (var i=oTable.rows.length-1;i>=0;i--){var oRow=oTable.rows[i];if (iIndex==0&&oRow.cells.length==1){FCKTableHandler.DeleteRows(oRow);continue;};if (oRow.cells[iIndex]) oRow.removeChild(oRow.cells[iIndex]);};};FCKTableHandler.InsertCell=function(cell){var oCell=cell?cell:FCKSelection.MoveToAncestorNode("TD");if (!oCell) return;var oNewCell=FCK.EditorDocument.createElement("TD");oNewCell.innerHTML="&nbsp;";if (oCell.cellIndex==oCell.parentNode.cells.lenght-1){oCell.parentNode.appendChild(oNewCell);}else{oCell.parentNode.insertBefore(oNewCell,oCell.nextSibling);};return oNewCell;};FCKTableHandler.DeleteCell=function(cell){if (cell.parentNode.cells.length==1){FCKTableHandler.DeleteRows(FCKTools.GetElementAscensor(cell,'TR'));return;};cell.parentNode.removeChild(cell);};FCKTableHandler.DeleteCells=function(){var aCells=FCKTableHandler.GetSelectedCells();for (var i=aCells.length-1;i>=0;i--){FCKTableHandler.DeleteCell(aCells[i]);};};FCKTableHandler.MergeCells=function(){var aCells=FCKTableHandler.GetSelectedCells();if (aCells.length<2) return;if (aCells[0].parentNode!=aCells[aCells.length-1].parentNode) return;var iColSpan=isNaN(aCells[0].colSpan)?1:aCells[0].colSpan;var sHtml='';for (var i=aCells.length-1;i>0;i--){iColSpan+=isNaN(aCells[i].colSpan)?1:aCells[i].colSpan;sHtml=aCells[i].innerHTML+sHtml;FCKTableHandler.DeleteCell(aCells[i]);};aCells[0].colSpan=iColSpan;aCells[0].innerHTML+=sHtml;};FCKTableHandler.SplitCell=function(){var aCells=FCKTableHandler.GetSelectedCells();if (aCells.length!=1) return;var aMap=this._CreateTableMap(aCells[0].parentNode.parentNode);var iCellIndex=FCKTableHandler._GetCellIndexSpan(aMap,aCells[0].parentNode.rowIndex,aCells[0]);var aCollCells=this._GetCollumnCells(aMap,iCellIndex);for (var i=0;i<aCollCells.length;i++){if (aCollCells[i]==aCells[0]){var oNewCell=this.InsertCell(aCells[0]);if (!isNaN(aCells[0].rowSpan)&&aCells[0].rowSpan>1) oNewCell.rowSpan=aCells[0].rowSpan;}else{if (isNaN(aCollCells[i].colSpan)) aCollCells[i].colSpan=2;else aCollCells[i].colSpan+=1;};};};FCKTableHandler._GetCellIndexSpan=function(tableMap,rowIndex,cell){if (tableMap.length<rowIndex+1) return;var oRow=tableMap[rowIndex];for (var c=0;c<oRow.length;c++){if (oRow[c]==cell) return c;};};FCKTableHandler._GetCollumnCells=function(tableMap,collumnIndex){var aCollCells=new Array();for (var r=0;r<tableMap.length;r++){var oCell=tableMap[r][collumnIndex];if (oCell&&(aCollCells.length==0||aCollCells[aCollCells.length-1]!=oCell)) aCollCells[aCollCells.length]=oCell;};return aCollCells;};FCKTableHandler._CreateTableMap=function(table){var aRows=table.rows;var r=-1;var aMap=new Array();for (var i=0;i<aRows.length;i++){r++;if (!aMap[r]) aMap[r]=new Array();var c=-1;for (var j=0;j<aRows[i].cells.length;j++){var oCell=aRows[i].cells[j];c++;while (aMap[r][c]) c++;var iColSpan=isNaN(oCell.colSpan)?1:oCell.colSpan;var iRowSpan=isNaN(oCell.rowSpan)?1:oCell.rowSpan;for (var rs=0;rs<iRowSpan;rs++){if (!aMap[r+rs]) aMap[r+rs]=new Array();for (var cs=0;cs<iColSpan;cs++){aMap[r+rs][c+cs]=aRows[i].cells[j];};};c+=iColSpan-1;};};return aMap;};FCKTableHandler.ClearRow=function(tr){var aCells=tr.cells;for (var i=0;i<aCells.length;i++){aCells[i].innerHTML='&nbsp;';};}
+FCKTableHandler.GetSelectedCells=function(){var aCells=new Array();var oRange=FCK.EditorDocument.selection.createRange();var oParent=oRange.parentElement();if (oParent&&oParent.tagName=="TD") aCells[0]=oParent;else{var oParent=FCKSelection.MoveToAncestorNode("TABLE");if (oParent){for (var i=0;i<oParent.cells.length;i++){var oCellRange=FCK.EditorDocument.selection.createRange();oCellRange.moveToElementText(oParent.cells[i]);if (oRange.inRange(oCellRange)||(oRange.compareEndPoints('StartToStart',oCellRange)>=0&&oRange.compareEndPoints('StartToEnd',oCellRange)<=0)||(oRange.compareEndPoints('EndToStart',oCellRange)>=0&&oRange.compareEndPoints('EndToEnd',oCellRange)<=0)){aCells[aCells.length]=oParent.cells[i];};};};};return aCells;};
+var FCKXml;if (!(FCKXml=NS.FCKXml)){FCKXml=NS.FCKXml=function(){};FCKXml.prototype.LoadUrl=function(urlToCall){var oXmlHttp=FCKTools.CreateXmlObject('XmlHttp');oXmlHttp.open("GET",urlToCall,false);oXmlHttp.send(null);if (oXmlHttp.status==200) this.DOMDocument=oXmlHttp.responseXML;else if (oXmlHttp.status==0&&oXmlHttp.readyState==4){this.DOMDocument=FCKTools.CreateXmlObject('DOMDocument');this.DOMDocument.async=false;this.DOMDocument.resolveExternals=false;this.DOMDocument.loadXML(oXmlHttp.responseText);}else alert('Error loading "'+urlToCall+'"');};FCKXml.prototype.SelectNodes=function(xpath,contextNode){if (contextNode) return contextNode.selectNodes(xpath);else return this.DOMDocument.selectNodes(xpath);};FCKXml.prototype.SelectSingleNode=function(xpath,contextNode){if (contextNode) return contextNode.selectSingleNode(xpath);else return this.DOMDocument.selectSingleNode(xpath);};}
+var FCKStyleDef=function(name,element){this.Name=name;this.Element=element.toUpperCase();this.IsObjectElement=FCKRegexLib.ObjectElements.test(this.Element);this.Attributes=new Object();};FCKStyleDef.prototype.AddAttribute=function(name,value){this.Attributes[name]=value;};FCKStyleDef.prototype.GetOpenerTag=function(){var s='<'+this.Element;for (var a in this.Attributes) s+=' '+a+'="'+this.Attributes[a]+'"';return s+'>';};FCKStyleDef.prototype.GetCloserTag=function(){return '</'+this.Element+'>';};FCKStyleDef.prototype.RemoveFromSelection=function(){if (FCKSelection.GetType()=='Control') this._RemoveMe(FCKSelection.GetSelectedElement());else this._RemoveMe(FCKSelection.GetParentElement());}
+FCKStyleDef.prototype.ApplyToSelection=function(){var oSelection=FCK.EditorDocument.selection;if (oSelection.type=='Text'){var oRange=oSelection.createRange();var e=document.createElement(this.Element);e.innerHTML=oRange.htmlText;this._AddAttributes(e);this._RemoveDuplicates(e);oRange.pasteHTML(e.outerHTML);}else if (oSelection.type=='Control'){var oControl=FCKSelection.GetSelectedElement();if (oControl.tagName==this.Element) this._AddAttributes(oControl);};};FCKStyleDef.prototype._AddAttributes=function(targetElement){for (var a in this.Attributes){if (a.toLowerCase()=='style') targetElement.style.cssText=this.Attributes[a];else targetElement.setAttribute(a,this.Attributes[a],0);};};FCKStyleDef.prototype._RemoveDuplicates=function(parent){for (var i=0;i<parent.children.length;i++){var oChild=parent.children[i];this._RemoveDuplicates(oChild);if (this.IsEqual(oChild)){oChild.insertAdjacentHTML('beforeBegin',oChild.innerHTML);oChild.parentElement.removeChild(oChild);};};};FCKStyleDef.prototype.IsEqual=function(e){if (e.tagName!=this.Element) return false;for (var a in this.Attributes){switch (a.toLowerCase()){case 'style':if (e.style.cssText.toLowerCase()!=this.Attributes[a].toLowerCase()) return false;break;case 'class':if (e.getAttribute('className',0)!=this.Attributes[a]) return false;break;default:if (e.getAttribute(a,0)!=this.Attributes[a]) return false;};};return true;};FCKStyleDef.prototype._RemoveMe=function(elementToCheck){if (!elementToCheck) return;var oParent=elementToCheck.parentElement;if (this.IsEqual(elementToCheck)){if (this.IsObjectElement){for (var a in this.Attributes){switch (a.toLowerCase()){case 'class':elementToCheck.removeAttribute('className',0);break;default:elementToCheck.removeAttribute(a,0);};};return;}else FCKTools.RemoveOuterTags(elementToCheck);};this._RemoveMe(oParent);}
+var FCKStylesLoader=function(){this.Styles=new Object();this.StyleGroups=new Object();this.Loaded=false;this.HasObjectElements=false;};FCKStylesLoader.prototype.Load=function(stylesXmlUrl){var oXml=new FCKXml();oXml.LoadUrl(stylesXmlUrl);var aStyleNodes=oXml.SelectNodes('Styles/Style');for (var i=0;i<aStyleNodes.length;i++){var sElement=aStyleNodes[i].attributes.getNamedItem('element').value.toUpperCase();var oStyleDef=new FCKStyleDef(aStyleNodes[i].attributes.getNamedItem('name').value,sElement);if (oStyleDef.IsObjectElement) this.HasObjectElements=true;var aAttNodes=oXml.SelectNodes('Attribute',aStyleNodes[i]);for (var j=0;j<aAttNodes.length;j++){var sAttName=aAttNodes[j].attributes.getNamedItem('name').value;var sAttValue=aAttNodes[j].attributes.getNamedItem('value').value;if (sAttName.toLowerCase()=='style'){var oTempE=document.createElement('SPAN');oTempE.style.cssText=sAttValue;sAttValue=oTempE.style.cssText;};oStyleDef.AddAttribute(sAttName,sAttValue);};this.Styles[oStyleDef.Name]=oStyleDef;var aGroup=this.StyleGroups[sElement];if (aGroup==null){this.StyleGroups[sElement]=new Array();aGroup=this.StyleGroups[sElement];};aGroup[aGroup.length]=oStyleDef;};this.Loaded=true;}
+var FCKNamedCommand=function(commandName){this.Name=commandName;};FCKNamedCommand.prototype.Execute=function(){FCK.ExecuteNamedCommand(this.Name);};FCKNamedCommand.prototype.GetState=function(){return FCK.GetNamedCommandState(this.Name);};
+var FCKDialogCommand=function(name,title,url,width,height,getStateFunction,getStateParam){this.Name=name;this.Title=title;this.Url=url;this.Width=width;this.Height=height;this.GetStateFunction=getStateFunction;this.GetStateParam=getStateParam;};FCKDialogCommand.prototype.Execute=function(){FCKDialog.OpenDialog('FCKDialog_'+this.Name,this.Title,this.Url,this.Width,this.Height);};FCKDialogCommand.prototype.GetState=function(){if (this.GetStateFunction) return this.GetStateFunction(this.GetStateParam);else return FCK_TRISTATE_OFF;};var FCKUndefinedCommand=function(){this.Name='Undefined';};FCKUndefinedCommand.prototype.Execute=function(){alert(FCKLang.NotImplemented);};FCKUndefinedCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKFontNameCommand=function(){this.Name='FontName';};FCKFontNameCommand.prototype.Execute=function(fontName){if (fontName==null||fontName==""){}else FCK.ExecuteNamedCommand('FontName',fontName);};FCKFontNameCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FontName');};var FCKFontSizeCommand=function(){this.Name='FontSize';};FCKFontSizeCommand.prototype.Execute=function(fontSize){if (typeof(fontSize)=='string') fontSize=parseInt(fontSize);if (fontSize==null||fontSize==''){FCK.ExecuteNamedCommand('FontSize',3);}else FCK.ExecuteNamedCommand('FontSize',fontSize);};FCKFontSizeCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FontSize');};var FCKFormatBlockCommand=function(){this.Name='FormatBlock';};FCKFormatBlockCommand.prototype.Execute=function(formatName){if (formatName==null||formatName=='') FCK.ExecuteNamedCommand('FormatBlock','<P>');else FCK.ExecuteNamedCommand('FormatBlock','<'+formatName+'>');};FCKFormatBlockCommand.prototype.GetState=function(){return FCK.GetNamedCommandValue('FormatBlock');};var FCKPreviewCommand=function(){this.Name='Preview';};FCKPreviewCommand.prototype.Execute=function(){FCK.Preview();};FCKPreviewCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKSaveCommand=function(){this.Name='Save';};FCKSaveCommand.prototype.Execute=function(){var oForm=FCK.LinkedField.form;oForm.submit();};FCKSaveCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKNewPageCommand=function(){this.Name='NewPage';};FCKNewPageCommand.prototype.Execute=function(){FCKUndo.SaveUndoStep();FCK.SetHTML(FCKBrowserInfo.IsGecko?'&nbsp;':'');};FCKNewPageCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};var FCKSourceCommand=function(){this.Name='Source';};FCKSourceCommand.prototype.Execute=function(){FCK.SwitchEditMode();};FCKSourceCommand.prototype.GetState=function(){return (FCK.EditMode==FCK_EDITMODE_WYSIWYG?FCK_TRISTATE_OFF:FCK_TRISTATE_ON);};var FCKUndoCommand=function(){this.Name='Undo';};FCKUndoCommand.prototype.Execute=function(){if (FCKBrowserInfo.IsIE) FCKUndo.Undo();else FCK.ExecuteNamedCommand('Undo');};FCKUndoCommand.prototype.GetState=function(){if (FCKBrowserInfo.IsIE) return (FCKUndo.CurrentIndex>0?FCK_TRISTATE_OFF:FCK_TRISTATE_DISABLED);else return FCK.GetNamedCommandState('Undo');};var FCKRedoCommand=function(){this.Name='Redo';};FCKRedoCommand.prototype.Execute=function(){if (FCKBrowserInfo.IsIE) FCKUndo.Redo();else FCK.ExecuteNamedCommand('Redo');};FCKRedoCommand.prototype.GetState=function(){if (FCKBrowserInfo.IsIE) return (FCKUndo.CurrentIndex<(FCKUndo.SavedData.length-1)?FCK_TRISTATE_OFF:FCK_TRISTATE_DISABLED);else return FCK.GetNamedCommandState('Redo');}
+var FCKSpellCheckCommand=function(){this.Name='SpellCheck';this.IsEnabled=(FCKConfig.SpellChecker=='ieSpell'||FCKConfig.SpellChecker=='SpellerPages');};FCKSpellCheckCommand.prototype.Execute=function(){switch (FCKConfig.SpellChecker){case 'ieSpell':this._RunIeSpell();break;case 'SpellerPages':FCKDialog.OpenDialog('FCKDialog_SpellCheck','Spell Check','dialog/fck_spellerpages.html',440,480);break;};};FCKSpellCheckCommand.prototype._RunIeSpell=function(){try{var oIeSpell=new ActiveXObject("ieSpell.ieSpellExtension");oIeSpell.CheckAllLinkedDocuments(FCK.EditorDocument);}catch(e){if(e.number==-2146827859){if (confirm(FCKLang.IeSpellDownload)) window.open(FCKConfig.IeSpellDownloadUrl,'IeSpellDownload');}else alert('Error Loading ieSpell: '+e.message+' ('+e.number+')');};};FCKSpellCheckCommand.prototype.GetState=function(){return this.IsEnabled?FCK_TRISTATE_OFF:FCK_TRISTATE_DISABLED;}
+var FCKTextColorCommand=function(type){this.Name=type=='ForeColor'?'TextColor':'BGColor';this.Type=type;this._Panel=new FCKPanel();this._Panel.StyleSheet=FCKConfig.SkinPath+'fck_contextmenu.css';this._Panel.Create();this._CreatePanelBody(this._Panel.Document,this._Panel.PanelDiv);};FCKTextColorCommand.prototype.Execute=function(panelX,panelY,relElement){FCK._ActiveColorPanelType=this.Type;this._Panel.Show(panelX,panelY,relElement);};FCKTextColorCommand.prototype.SetColor=function(color){if (FCK._ActiveColorPanelType=='ForeColor') FCK.ExecuteNamedCommand('ForeColor',color);else if (FCKBrowserInfo.IsGecko) FCK.ExecuteNamedCommand('hilitecolor',color);else FCK.ExecuteNamedCommand('BackColor',color);delete FCK._ActiveColorPanelType;};FCKTextColorCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;};function FCKTextColorCommand_OnMouseOver()	{ this.className='ColorSelected';};function FCKTextColorCommand_OnMouseOut()	{ this.className='ColorDeselected';};function FCKTextColorCommand_OnClick(){this.className='ColorDeselected';this.Command.SetColor('#'+this.Color);this.Command._Panel.Hide();};function FCKTextColorCommand_AutoOnClick(){this.className='ColorDeselected';this.Command.SetColor('');this.Command._Panel.Hide();};function FCKTextColorCommand_MoreOnClick(){this.className='ColorDeselected';this.Command._Panel.Hide();FCKDialog.OpenDialog('FCKDialog_Color',FCKLang.DlgColorTitle,'dialog/fck_colorselector.html',400,330,this.Command.SetColor);};FCKTextColorCommand.prototype._CreatePanelBody=function(targetDocument,targetDiv){function CreateSelectionDiv(){var oDiv=targetDocument.createElement("DIV");oDiv.className='ColorDeselected';oDiv.onmouseover=FCKTextColorCommand_OnMouseOver;oDiv.onmouseout=FCKTextColorCommand_OnMouseOut;return oDiv;};var oTable=targetDiv.appendChild(targetDocument.createElement("TABLE"));oTable.style.tableLayout='fixed';oTable.cellPadding=0;oTable.cellSpacing=0;oTable.border=0;oTable.width=150;var oCell=oTable.insertRow(-1).insertCell(-1);oCell.colSpan=8;var oDiv=oCell.appendChild(CreateSelectionDiv());oDiv.innerHTML='<table cellspacing="0" cellpadding="0" width="100%" border="0">\ <tr>\ <td><div class="ColorBoxBorder"><div class="ColorBox" style="background-color: #000000"></div></div></td>\ <td nowrap width="100%" align="center" unselectable="on">'+FCKLang.ColorAutomatic+'</td>\ </tr>\ </table>';oDiv.Command=this;oDiv.onclick=FCKTextColorCommand_AutoOnClick;var aColors=FCKConfig.FontColors.toString().split(',');var iCounter=0;while (iCounter<aColors.length){var oRow=oTable.insertRow(-1);for (var i=0;i<8&&iCounter<aColors.length;i++,iCounter++){var oDiv=oRow.insertCell(-1).appendChild(CreateSelectionDiv());oDiv.Color=aColors[iCounter];oDiv.innerHTML='<div class="ColorBoxBorder"><div class="ColorBox" style="background-color: #'+aColors[iCounter]+'"></div></div>';oDiv.Command=this;oDiv.onclick=FCKTextColorCommand_OnClick;};};var oCell=oTable.insertRow(-1).insertCell(-1);oCell.colSpan=8;var oDiv=oCell.appendChild(CreateSelectionDiv());oDiv.innerHTML='<table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td nowrap align="center">'+FCKLang.ColorMoreColors+'</td></tr></table>';oDiv.Command=this;oDiv.onclick=FCKTextColorCommand_MoreOnClick;}
+var FCKPastePlainTextCommand=function(){this.Name='PasteText';};FCKPastePlainTextCommand.prototype.Execute=function(){FCK.PasteAsPlainText();};FCKPastePlainTextCommand.prototype.GetState=function(){return FCK.GetNamedCommandState('Paste');};
+var FCKPasteWordCommand=function(){this.Name='PasteWord';};FCKPasteWordCommand.prototype.Execute=function(){FCK.PasteFromWord();};FCKPasteWordCommand.prototype.GetState=function(){return FCK.GetNamedCommandState('Paste');};
+var FCKTableCommand=function(command){this.Name=command;};FCKTableCommand.prototype.Execute=function(){switch (this.Name){case 'TableInsertRow':FCKTableHandler.InsertRow();break;case 'TableDeleteRows':FCKTableHandler.DeleteRows();break;case 'TableInsertColumn':FCKTableHandler.InsertColumn();break;case 'TableDeleteColumns':FCKTableHandler.DeleteColumns();break;case 'TableInsertCell':FCKTableHandler.InsertCell();break;case 'TableDeleteCells':FCKTableHandler.DeleteCells();break;case 'TableMergeCells':FCKTableHandler.MergeCells();break;case 'TableSplitCell':FCKTableHandler.SplitCell();break;default:alert(FCKLang.UnknownCommand.replace(/%1/g,this.Name));};};FCKTableCommand.prototype.GetState=function(){return FCK_TRISTATE_OFF;}
+var FCKStyleCommand=function(){this.Name='Style';this.StylesLoader=new FCKStylesLoader();this.StylesLoader.Load(FCKConfig.StylesXmlPath);this.Styles=this.StylesLoader.Styles;};FCKStyleCommand.prototype.Execute=function(styleName,styleComboItem){if (styleComboItem.Selected) styleComboItem.Style.RemoveFromSelection();else styleComboItem.Style.ApplyToSelection();FCK.Focus();FCK.Events.FireEvent("OnSelectionChange");};FCKStyleCommand.prototype.GetState=function(){var oSelection=FCK.EditorDocument.selection;if (FCKSelection.GetType()=='Control'){var e=FCKSelection.GetSelectedElement();if (e) return this.StylesLoader.StyleGroups[e.tagName]?FCK_TRISTATE_OFF:FCK_TRISTATE_DISABLED;else FCK_TRISTATE_OFF;}else return FCK_TRISTATE_OFF;};FCKStyleCommand.prototype.GetActiveStyles=function(){var aActiveStyles=new Array();if (FCKSelection.GetType()=='Control') this._CheckStyle(FCKSelection.GetSelectedElement(),aActiveStyles,false);else this._CheckStyle(FCKSelection.GetParentElement(),aActiveStyles,true);return aActiveStyles;};FCKStyleCommand.prototype._CheckStyle=function(element,targetArray,checkParent){if (!element) return;if (element.nodeType==1){var aStyleGroup=this.StylesLoader.StyleGroups[element.tagName];if (aStyleGroup){for (var i=0;i<aStyleGroup.length;i++){if (aStyleGroup[i].IsEqual(element)) targetArray[targetArray.length]=aStyleGroup[i];};};};if (checkParent) this._CheckStyle(element.parentNode,targetArray,checkParent);}
+var FCKCommands=FCK.Commands=new Object();FCKCommands.LoadedCommands=new Object();FCKCommands.RegisterCommand=function(commandName,command){this.LoadedCommands[commandName]=command;};FCKCommands.GetCommand=function(commandName){var oCommand=FCKCommands.LoadedCommands[commandName];if (oCommand) return oCommand;switch (commandName){case 'DocProps':oCommand=new FCKDialogCommand('DocProps',FCKLang.DocProps,'dialog/fck_docprops.html',400,390,FCKCommands.GetFullPageState);break;case 'Templates':oCommand=new FCKDialogCommand('Templates',FCKLang.DlgTemplatesTitle,'dialog/fck_template.html',380,450);break;case 'Link':oCommand=new FCKDialogCommand('Link',FCKLang.DlgLnkWindowTitle,'dialog/fck_link.html',400,330,FCK.GetNamedCommandState,'CreateLink');break;case 'Anchor':oCommand=new FCKDialogCommand('Anchor',FCKLang.DlgAnchorTitle,'dialog/fck_anchor.html',370,170);break;case 'BulletedList':oCommand=new FCKDialogCommand('BulletedList',FCKLang.BulletedListProp,'dialog/fck_listprop.html',370,170);break;case 'NumberedList':oCommand=new FCKDialogCommand('NumberedList',FCKLang.NumberedListProp,'dialog/fck_listprop.html',370,170);break;case 'About':oCommand=new FCKDialogCommand('About',FCKLang.About,'dialog/fck_about.html',400,330);break;case 'Find':oCommand=new FCKDialogCommand('Find',FCKLang.DlgFindTitle,'dialog/fck_find.html',340,170);break;case 'Replace':oCommand=new FCKDialogCommand('Replace',FCKLang.DlgReplaceTitle,'dialog/fck_replace.html',340,200);break;case 'Image':oCommand=new FCKDialogCommand('Image',FCKLang.DlgImgTitle,'dialog/fck_image.html',450,400);break;case 'SpecialChar':oCommand=new FCKDialogCommand('SpecialChar',FCKLang.DlgSpecialCharTitle,'dialog/fck_specialchar.html',400,300);break;case 'Smiley':oCommand=new FCKDialogCommand('Smiley',FCKLang.DlgSmileyTitle,'dialog/fck_smiley.html',FCKConfig.SmileyWindowWidth,FCKConfig.SmileyWindowHeight);break;case 'Table':oCommand=new FCKDialogCommand('Table',FCKLang.DlgTableTitle,'dialog/fck_table.html',400,250);break;case 'TableProp':oCommand=new FCKDialogCommand('Table',FCKLang.DlgTableTitle,'dialog/fck_table.html?Parent',400,250);break;case 'TableCellProp':oCommand=new FCKDialogCommand('TableCell',FCKLang.DlgCellTitle,'dialog/fck_tablecell.html',500,250);break;case 'UniversalKey':oCommand=new FCKDialogCommand('UniversalKey',FCKLang.UniversalKeyboard,'dialog/fck_universalkey.html',415,300);break;case 'Style':oCommand=new FCKStyleCommand();break;case 'FontName':oCommand=new FCKFontNameCommand();break;case 'FontSize':oCommand=new FCKFontSizeCommand();break;case 'FontFormat':oCommand=new FCKFormatBlockCommand();break;case 'Source':oCommand=new FCKSourceCommand();break;case 'Preview':oCommand=new FCKPreviewCommand();break;case 'Save':oCommand=new FCKSaveCommand();break;case 'NewPage':oCommand=new FCKNewPageCommand();break;case 'TextColor':oCommand=new FCKTextColorCommand('ForeColor');break;case 'BGColor':oCommand=new FCKTextColorCommand('BackColor');break;case 'PasteText':oCommand=new FCKPastePlainTextCommand();break;case 'PasteWord':oCommand=new FCKPasteWordCommand();break;case 'TableInsertRow':oCommand=new FCKTableCommand('TableInsertRow');break;case 'TableDeleteRows':oCommand=new FCKTableCommand('TableDeleteRows');break;case 'TableInsertColumn':oCommand=new FCKTableCommand('TableInsertColumn');break;case 'TableDeleteColumns':oCommand=new FCKTableCommand('TableDeleteColumns');break;case 'TableInsertCell':oCommand=new FCKTableCommand('TableInsertCell');break;case 'TableDeleteCells':oCommand=new FCKTableCommand('TableDeleteCells');break;case 'TableMergeCells':oCommand=new FCKTableCommand('TableMergeCells');break;case 'TableSplitCell':oCommand=new FCKTableCommand('TableSplitCell');break;case 'Form':oCommand=new FCKDialogCommand('Form',FCKLang.Form,'dialog/fck_form.html',380,230);break;case 'Checkbox':oCommand=new FCKDialogCommand('Checkbox',FCKLang.Checkbox,'dialog/fck_checkbox.html',380,230);break;case 'Radio':oCommand=new FCKDialogCommand('Radio',FCKLang.RadioButton,'dialog/fck_radiobutton.html',380,230);break;case 'TextField':oCommand=new FCKDialogCommand('TextField',FCKLang.TextField,'dialog/fck_textfield.html',380,230);break;case 'Textarea':oCommand=new FCKDialogCommand('Textarea',FCKLang.Textarea,'dialog/fck_textarea.html',380,230);break;case 'HiddenField':oCommand=new FCKDialogCommand('HiddenField',FCKLang.HiddenField,'dialog/fck_hiddenfield.html',380,230);break;case 'Button':oCommand=new FCKDialogCommand('Button',FCKLang.Button,'dialog/fck_button.html',380,230);break;case 'Select':oCommand=new FCKDialogCommand('Select',FCKLang.SelectionField,'dialog/fck_select.html',400,380);break;case 'ImageButton':oCommand=new FCKDialogCommand('ImageButton',FCKLang.ImageButton,'dialog/fck_image.html?ImageButton',450,400);break;case 'SpellCheck':oCommand=new FCKSpellCheckCommand();break;case 'Undo':oCommand=new FCKUndoCommand();break;case 'Redo':oCommand=new FCKRedoCommand();break;case 'Undefined':oCommand=new FCKUndefinedCommand();break;default:if (FCKRegexLib.NamedCommands.test(commandName)) oCommand=new FCKNamedCommand(commandName);else{alert(FCKLang.UnknownCommand.replace(/%1/g,commandName));return;};};FCKCommands.LoadedCommands[commandName]=oCommand;return oCommand;};FCKCommands.GetFullPageState=function(){return FCKConfig.FullPage?FCK_TRISTATE_OFF:FCK_TRISTATE_DISABLED;};
+var FCKToolbarButton=function(commandName,label,tooltip,style,sourceView,contextSensitive){this.Command=FCKCommands.GetCommand(commandName);this.Label=label?label:commandName;this.Tooltip=tooltip?tooltip:(label?label:commandName);this.Style=style?style:FCK_TOOLBARITEM_ONLYICON;this.SourceView=sourceView?true:false;this.ContextSensitive=contextSensitive?true:false;this.IconPath=FCKConfig.SkinPath+'toolbar/'+commandName.toLowerCase()+'.gif';this.State=FCK_UNKNOWN;};FCKToolbarButton.prototype.CreateInstance=function(parentToolbar){this.DOMDiv=document.createElement('div');this.DOMDiv.className='TB_Button_Off';this.DOMDiv.FCKToolbarButton=this;var sHtml='<table title="'+this.Tooltip+'" cellspacing="0" cellpadding="0" border="0" unselectable="on">'+'<tr>';if (this.Style!=FCK_TOOLBARITEM_ONLYTEXT) sHtml+='<td class="TB_Icon" unselectable="on"><img src="'+this.IconPath+'" width="21" height="21" unselectable="on"></td>';if (this.Style!=FCK_TOOLBARITEM_ONLYICON) sHtml+='<td class="TB_Text" unselectable="on" nowrap>'+this.Label+'</td>';sHtml+='</tr>'+'</table>';this.DOMDiv.innerHTML=sHtml;var oCell=parentToolbar.DOMRow.insertCell(-1);oCell.appendChild(this.DOMDiv);this.RefreshState();};FCKToolbarButton.prototype.RefreshState=function(){var eState=this.Command.GetState();if (eState==this.State) return;this.State=eState;switch (this.State){case FCK_TRISTATE_ON:this.DOMDiv.className='TB_Button_On';this.DOMDiv.onmouseover=FCKToolbarButton_OnMouseOnOver;this.DOMDiv.onmouseout=FCKToolbarButton_OnMouseOnOut;this.DOMDiv.onclick=FCKToolbarButton_OnClick;break;case FCK_TRISTATE_OFF:this.DOMDiv.className='TB_Button_Off';this.DOMDiv.onmouseover=FCKToolbarButton_OnMouseOffOver;this.DOMDiv.onmouseout=FCKToolbarButton_OnMouseOffOut;this.DOMDiv.onclick=FCKToolbarButton_OnClick;break;default:this.Disable();break;};};function FCKToolbarButton_OnMouseOnOver(){this.className='TB_Button_On TB_Button_On_Over';};function FCKToolbarButton_OnMouseOnOut(){this.className='TB_Button_On';};function FCKToolbarButton_OnMouseOffOver(){this.className='TB_Button_On TB_Button_Off_Over';};function FCKToolbarButton_OnMouseOffOut(){this.className='TB_Button_Off';};function FCKToolbarButton_OnClick(e){this.FCKToolbarButton.Click(e);return false;};FCKToolbarButton.prototype.Click=function(){this.Command.Execute();};FCKToolbarButton.prototype.Enable=function(){this.RefreshState();};FCKToolbarButton.prototype.Disable=function(){this.State=FCK_TRISTATE_DISABLED;this.DOMDiv.className='TB_Button_Disabled';this.DOMDiv.onmouseover=null;this.DOMDiv.onmouseout=null;this.DOMDiv.onclick=null;}
+var FCKSpecialCombo=function(caption){this.FieldWidth=80;this.PanelWidth=130;this.PanelMaxHeight=150;this.Label='&nbsp;';this.Caption=caption;this.Enabled=true;this.Items=new Object();this._Panel=new FCKPanel();this._Panel.StyleSheet=FCKConfig.SkinPath+'fck_contextmenu.css';this._Panel.Create();this._Panel.PanelDiv.className+=' SC_Panel';this._Panel.PanelDiv.innerHTML='<table cellpadding="0" cellspacing="0" width="100%" style="TABLE-LAYOUT: fixed"><tr><td nowrap></td></tr></table>';this._ItemsHolderEl=this._Panel.PanelDiv.getElementsByTagName('TD')[0];};function FCKSpecialCombo_ItemOnMouseOver(){this.className+=' SC_ItemOver';};function FCKSpecialCombo_ItemOnMouseOut(){this.className=this.originalClass;};function FCKSpecialCombo_ItemOnClick(){this.FCKSpecialCombo._Panel.Hide();this.FCKSpecialCombo.SetLabel(this.FCKItemLabel);if (typeof(this.FCKSpecialCombo.OnSelect)=='function') this.FCKSpecialCombo.OnSelect(this.FCKItemID,this);};FCKSpecialCombo.prototype.AddItem=function(id,html,label){var oDiv=this._ItemsHolderEl.appendChild(this._Panel.Document.createElement('DIV'));oDiv.className=oDiv.originalClass='SC_Item';oDiv.innerHTML=html;oDiv.FCKItemID=id;oDiv.FCKItemLabel=label?label:id;oDiv.FCKSpecialCombo=this;oDiv.Selected=false;oDiv.onmouseover=FCKSpecialCombo_ItemOnMouseOver;oDiv.onmouseout=FCKSpecialCombo_ItemOnMouseOut;oDiv.onclick=FCKSpecialCombo_ItemOnClick;this.Items[id.toString().toLowerCase()]=oDiv;return oDiv;};FCKSpecialCombo.prototype.SelectItem=function(itemId){itemId=itemId?itemId.toString().toLowerCase():'';var oDiv=this.Items[itemId];if (oDiv){oDiv.className=oDiv.originalClass='SC_ItemSelected';oDiv.Selected=true;};};FCKSpecialCombo.prototype.DeselectAll=function(){for (var i in this.Items){this.Items[i].className=this.Items[i].originalClass='SC_Item';this.Items[i].Selected=false;};};FCKSpecialCombo.prototype.SetLabelById=function(id){id=id?id.toString().toLowerCase():'';var oDiv=this.Items[id];this.SetLabel(oDiv?oDiv.FCKItemLabel:'');};FCKSpecialCombo.prototype.SetLabel=function(text){this.Label=text.length==0?'&nbsp;':text;if (this._LabelEl) this._LabelEl.innerHTML=this.Label;};FCKSpecialCombo.prototype.SetEnabled=function(isEnabled){this.Enabled=isEnabled;this._OuterTable.className=isEnabled?'':'SC_FieldDisabled';};FCKSpecialCombo.prototype.Create=function(targetElement){this._OuterTable=targetElement.appendChild(document.createElement('TABLE'));this._OuterTable.cellPadding=0;this._OuterTable.cellSpacing=0;this._OuterTable.insertRow(-1);if (this.Caption&&this.Caption.length>0){var oCaptionCell=this._OuterTable.rows[0].insertCell(-1);oCaptionCell.unselectable='on';oCaptionCell.innerHTML=this.Caption;oCaptionCell.className='SC_FieldCaption';};var oField=this._OuterTable.rows[0].insertCell(-1).appendChild(document.createElement('DIV'));oField.className='SC_Field';oField.style.width=this.FieldWidth+'px';oField.innerHTML='<table width="100%" cellpadding="0" cellspacing="0" style="TABLE-LAYOUT: fixed;" unselectable="on"><tbody><tr><td class="SC_FieldLabel" unselectable="on"><label unselectable="on">&nbsp;</label></td><td class="SC_FieldButton" unselectable="on">&nbsp;</td></tr></tbody></table>';this._LabelEl=oField.getElementsByTagName('label')[0];this._LabelEl.innerHTML=this.Label;oField.SpecialCombo=this;oField.onmouseover=FCKSpecialCombo_OnMouseOver;oField.onmouseout=FCKSpecialCombo_OnMouseOut;oField.onclick=FCKSpecialCombo_OnClick;};function FCKSpecialCombo_OnMouseOver(){if (this.SpecialCombo.Enabled) this.className='SC_Field SC_FieldOver';};function FCKSpecialCombo_OnMouseOut(){this.className='SC_Field';};function FCKSpecialCombo_OnClick(e){if (e){e.stopPropagation();FCKPanelEventHandlers.OnDocumentClick(e);};if (this.SpecialCombo.Enabled){if (typeof(this.SpecialCombo.OnBeforeClick)=='function') this.SpecialCombo.OnBeforeClick(this.SpecialCombo);if (this.SpecialCombo._ItemsHolderEl.offsetHeight>this.SpecialCombo.PanelMaxHeight) this.SpecialCombo._Panel.PanelDiv.style.height=this.SpecialCombo.PanelMaxHeight+'px';else this.SpecialCombo._Panel.PanelDiv.style.height=this.SpecialCombo._ItemsHolderEl.offsetHeight+'px';this.SpecialCombo._Panel.PanelDiv.style.width=this.SpecialCombo.PanelWidth+'px';if (FCKBrowserInfo.IsGecko) this.SpecialCombo._Panel.PanelDiv.style.overflow='-moz-scrollbars-vertical';this.SpecialCombo._Panel.Show(0,this.offsetHeight,this,null,this.SpecialCombo.PanelMaxHeight,true);};return false;};
+var FCKToolbarSpecialCombo=function(){this.SourceView=false;this.ContextSensitive=true;};function FCKToolbarSpecialCombo_OnSelect(itemId,item){this.Command.Execute(itemId,item);};FCKToolbarSpecialCombo.prototype.CreateInstance=function(parentToolbar){this._Combo=new FCKSpecialCombo(this.GetLabel());this._Combo.FieldWidth=100;this._Combo.PanelWidth=150;this._Combo.PanelMaxHeight=150;this.CreateItems(this._Combo);this._Combo.Create(parentToolbar.DOMRow.insertCell(-1));this._Combo.Command=this.Command;this._Combo.OnSelect=FCKToolbarSpecialCombo_OnSelect;};function FCKToolbarSpecialCombo_RefreshActiveItems(combo,value){combo.DeselectAll();combo.SelectItem(value);combo.SetLabelById(value);};FCKToolbarSpecialCombo.prototype.RefreshState=function(){var eState;var sValue=this.Command.GetState();if (sValue!=FCK_TRISTATE_DISABLED){eState=FCK_TRISTATE_ON;if (this.RefreshActiveItems) this.RefreshActiveItems(this._Combo,sValue);else FCKToolbarSpecialCombo_RefreshActiveItems(this._Combo,sValue);}else eState=FCK_TRISTATE_DISABLED;if (eState==this.State) return;if (eState==FCK_TRISTATE_DISABLED){this._Combo.DeselectAll();this._Combo.SetLabel('');};this.State=eState;this._Combo.SetEnabled(eState!=FCK_TRISTATE_DISABLED);};FCKToolbarSpecialCombo.prototype.Enable=function(){this.RefreshState();};FCKToolbarSpecialCombo.prototype.Disable=function(){this.State=FCK_TRISTATE_DISABLED;this._Combo.DeselectAll();this._Combo.SetLabel('');this._Combo.SetEnabled(false);}
+var FCKToolbarFontsCombo=function(){this.Command=FCKCommands.GetCommand('FontName');};FCKToolbarFontsCombo.prototype=new FCKToolbarSpecialCombo;FCKToolbarFontsCombo.prototype.GetLabel=function(){return FCKLang.Font;};FCKToolbarFontsCombo.prototype.CreateItems=function(targetSpecialCombo){var aFonts=FCKConfig.FontNames.split(';');for (var i=0;i<aFonts.length;i++) this._Combo.AddItem(aFonts[i],'<span style="font-family: \''+aFonts[i]+'\'; font-size: 12px;">'+aFonts[i]+'</span>');}
+var FCKToolbarFontSizeCombo=function(){this.Command=FCKCommands.GetCommand('FontSize');};FCKToolbarFontSizeCombo.prototype=new FCKToolbarSpecialCombo;FCKToolbarFontSizeCombo.prototype.GetLabel=function(){return FCKLang.FontSize;};FCKToolbarFontSizeCombo.prototype.CreateItems=function(targetSpecialCombo){targetSpecialCombo.FieldWidth=70;var aSizes=FCKConfig.FontSizes.split(';');for (var i=0;i<aSizes.length;i++){var aSizeParts=aSizes[i].split('/');this._Combo.AddItem(aSizeParts[0],'<font size="'+aSizeParts[0]+'">'+aSizeParts[1]+'</font>',aSizeParts[1]);};}
+var FCKToolbarFontFormatCombo=function(){this.Command=FCKCommands.GetCommand('FontFormat');};FCKToolbarFontFormatCombo.prototype=new FCKToolbarSpecialCombo;FCKToolbarFontFormatCombo.prototype.GetLabel=function(){return FCKLang.FontFormat;};FCKToolbarFontFormatCombo.prototype.CreateItems=function(targetSpecialCombo){var aNames=FCKLang['FontFormats'].split(';');var oNames={p:aNames[0],pre:aNames[1],address:aNames[2],h1:aNames[3],h2:aNames[4],h3:aNames[5],h4:aNames[6],h5:aNames[7],h6:aNames[8],div:aNames[9]};var aTags=FCKConfig.FontFormats.split(';');for (var i=0;i<aTags.length;i++){if (aTags[i]=='div'&&FCKBrowserInfo.IsGecko) continue;this._Combo.AddItem(aTags[i],'<'+aTags[i]+'>'+oNames[aTags[i]]+'</'+aTags[i]+'>',oNames[aTags[i]]);};}
+var FCKToolbarStyleCombo=function(){this.Command=FCKCommands.GetCommand('Style');};FCKToolbarStyleCombo.prototype=new FCKToolbarSpecialCombo;FCKToolbarStyleCombo.prototype.GetLabel=function(){return FCKLang.Style;};FCKToolbarStyleCombo.prototype.CreateItems=function(targetSpecialCombo){FCKTools.AppendStyleSheet(targetSpecialCombo._Panel.Document,FCKConfig.EditorAreaCSS);if (!FCKBrowserInfo.IsGecko) targetSpecialCombo.OnBeforeClick=this.RefreshVisibleItems;for (var s in this.Command.Styles){var oStyle=this.Command.Styles[s];if (oStyle.IsObjectElement) var oItem=targetSpecialCombo.AddItem(s,s);else var oItem=targetSpecialCombo.AddItem(s,oStyle.GetOpenerTag()+s+oStyle.GetCloserTag());oItem.Style=oStyle;};};FCKToolbarStyleCombo.prototype.RefreshActiveItems=function(targetSpecialCombo){targetSpecialCombo.DeselectAll();var aStyles=this.Command.GetActiveStyles();if (aStyles.length>0){for (var i=0;i<aStyles.length;i++) targetSpecialCombo.SelectItem(aStyles[i].Name);targetSpecialCombo.SetLabelById(aStyles[0].Name);}else targetSpecialCombo.SetLabel('');};FCKToolbarStyleCombo.prototype.RefreshVisibleItems=function(targetSpecialCombo){if (FCKSelection.GetType()=='Control') var sTagName=FCKSelection.GetSelectedElement().tagName;for (var i in targetSpecialCombo.Items){var oItem=targetSpecialCombo.Items[i];if ((sTagName&&oItem.Style.Element==sTagName)||(!sTagName&&!oItem.Style.IsObjectElement)) oItem.style.display='';else oItem.style.display='none';};}
+var FCKToolbarPanelButton=function(commandName,label,tooltip,style){this.Command=FCKCommands.GetCommand(commandName);this.Label=label?label:commandName;this.Tooltip=tooltip?tooltip:(label?label:commandName);this.Style=style?style:FCK_TOOLBARITEM_ONLYICON;this.State=FCK_UNKNOWN;};FCKToolbarPanelButton.prototype.Click=function(e){if (e){e.stopPropagation();FCKPanelEventHandlers.OnDocumentClick(e);};if (this.State!=FCK_TRISTATE_DISABLED){this.Command.Execute(0,this.DOMDiv.offsetHeight,this.DOMDiv);};return false;};FCKToolbarPanelButton.prototype.CreateInstance=function(parentToolbar){this.DOMDiv=document.createElement('div');this.DOMDiv.className='TB_Button_Off';this.DOMDiv.FCKToolbarButton=this;var sHtml='<table title="'+this.Tooltip+'" cellspacing="0" cellpadding="0" border="0" unselectable="on">'+'<tr>';if (this.Style!=FCK_TOOLBARITEM_ONLYTEXT) sHtml+='<td class="TB_Icon" unselectable="on"><img src="'+FCKConfig.SkinPath+'toolbar/'+this.Command.Name.toLowerCase()+'.gif" width="21" height="21" unselectable="on"></td>';if (this.Style!=FCK_TOOLBARITEM_ONLYICON) sHtml+='<td class="TB_Text" unselectable="on" nowrap>'+this.Label+'</td>';sHtml+='<td class="TB_ButtonArrow" unselectable="on"><img src="'+FCKConfig.SkinPath+'images/toolbar.buttonarrow.gif" width="5" height="3"></td>'+'</tr>'+'</table>';this.DOMDiv.innerHTML=sHtml;var oCell=parentToolbar.DOMRow.insertCell(-1);oCell.appendChild(this.DOMDiv);this.RefreshState();};FCKToolbarPanelButton.prototype.RefreshState=FCKToolbarButton.prototype.RefreshState;FCKToolbarPanelButton.prototype.Enable=FCKToolbarButton.prototype.Enable;FCKToolbarPanelButton.prototype.Disable=FCKToolbarButton.prototype.Disable;
+var FCKToolbarItems=new Object();FCKToolbarItems.LoadedItems=new Object();FCKToolbarItems.RegisterItem=function(itemName,item){this.LoadedItems[itemName]=item;};FCKToolbarItems.GetItem=function(itemName){var oItem=FCKToolbarItems.LoadedItems[itemName];if (oItem) return oItem;switch (itemName){case 'Source':oItem=new FCKToolbarButton('Source',FCKLang.Source,null,FCK_TOOLBARITEM_ICONTEXT,true,true);break;case 'DocProps':oItem=new FCKToolbarButton('DocProps',FCKLang.DocProps);break;case 'Templates':oItem=new FCKToolbarButton('Templates',FCKLang.Templates);break;case 'Save':oItem=new FCKToolbarButton('Save',FCKLang.Save,null,null,true);break;case 'NewPage':oItem=new FCKToolbarButton('NewPage',FCKLang.NewPage,null,null,true);break;case 'Preview':oItem=new FCKToolbarButton('Preview',FCKLang.Preview,null,null,true);break;case 'About':oItem=new FCKToolbarButton('About',FCKLang.About,null,null,true);break;case 'Cut':oItem=new FCKToolbarButton('Cut',FCKLang.Cut,null,null,false,true);break;case 'Copy':oItem=new FCKToolbarButton('Copy',FCKLang.Copy,null,null,false,true);break;case 'Paste':oItem=new FCKToolbarButton('Paste',FCKLang.Paste,null,null,false,true);break;case 'PasteText':oItem=new FCKToolbarButton('PasteText',FCKLang.PasteText,null,null,false,true);break;case 'PasteWord':oItem=new FCKToolbarButton('PasteWord',FCKLang.PasteWord,null,null,false,true);break;case 'Print':oItem=new FCKToolbarButton('Print',FCKLang.Print,null,null,false,true);break;case 'SpellCheck':oItem=new FCKToolbarButton('SpellCheck',FCKLang.SpellCheck);break;case 'Undo':oItem=new FCKToolbarButton('Undo',FCKLang.Undo,null,null,false,true);break;case 'Redo':oItem=new FCKToolbarButton('Redo',FCKLang.Redo,null,null,false,true);break;case 'SelectAll':oItem=new FCKToolbarButton('SelectAll',FCKLang.SelectAll);break;case 'RemoveFormat':oItem=new FCKToolbarButton('RemoveFormat',FCKLang.RemoveFormat,null,null,false,true);break;case 'Bold':oItem=new FCKToolbarButton('Bold',FCKLang.Bold,null,null,false,true);break;case 'Italic':oItem=new FCKToolbarButton('Italic',FCKLang.Italic,null,null,false,true);break;case 'Underline':oItem=new FCKToolbarButton('Underline',FCKLang.Underline,null,null,false,true);break;case 'StrikeThrough':oItem=new FCKToolbarButton('StrikeThrough',FCKLang.StrikeThrough,null,null,false,true);break;case 'Subscript':oItem=new FCKToolbarButton('Subscript',FCKLang.Subscript,null,null,false,true);break;case 'Superscript':oItem=new FCKToolbarButton('Superscript',FCKLang.Superscript,null,null,false,true);break;case 'OrderedList':oItem=new FCKToolbarButton('InsertOrderedList',FCKLang.NumberedListLbl,FCKLang.NumberedList,null,false,true);break;case 'UnorderedList':oItem=new FCKToolbarButton('InsertUnorderedList',FCKLang.BulletedListLbl,FCKLang.BulletedList,null,false,true);break;case 'Outdent':oItem=new FCKToolbarButton('Outdent',FCKLang.DecreaseIndent,null,null,false,true);break;case 'Indent':oItem=new FCKToolbarButton('Indent',FCKLang.IncreaseIndent,null,null,false,true);break;case 'Link':oItem=new FCKToolbarButton('Link',FCKLang.InsertLinkLbl,FCKLang.InsertLink,null,false,true);break;case 'Unlink':oItem=new FCKToolbarButton('Unlink',FCKLang.RemoveLink,null,null,false,true);break;case 'Anchor':oItem=new FCKToolbarButton('Anchor',FCKLang.Anchor);break;case 'Image':oItem=new FCKToolbarButton('Image',FCKLang.InsertImageLbl,FCKLang.InsertImage);break;case 'Table':oItem=new FCKToolbarButton('Table',FCKLang.InsertTableLbl,FCKLang.InsertTable);break;case 'SpecialChar':oItem=new FCKToolbarButton('SpecialChar',FCKLang.InsertSpecialCharLbl,FCKLang.InsertSpecialChar);break;case 'Smiley':oItem=new FCKToolbarButton('Smiley',FCKLang.InsertSmileyLbl,FCKLang.InsertSmiley);break;case 'UniversalKey':oItem=new FCKToolbarButton('UniversalKey',FCKLang.UniversalKeyboard);break;case 'Rule':oItem=new FCKToolbarButton('InsertHorizontalRule',FCKLang.InsertLineLbl,FCKLang.InsertLine,null,false,true);break;case 'JustifyLeft':oItem=new FCKToolbarButton('JustifyLeft',FCKLang.LeftJustify,null,null,false,true);break;case 'JustifyCenter':oItem=new FCKToolbarButton('JustifyCenter',FCKLang.CenterJustify,null,null,false,true);break;case 'JustifyRight':oItem=new FCKToolbarButton('JustifyRight',FCKLang.RightJustify,null,null,false,true);break;case 'JustifyFull':oItem=new FCKToolbarButton('JustifyFull',FCKLang.BlockJustify,null,null,false,true);break;case 'Style':oItem=new FCKToolbarStyleCombo();break;case 'FontName':oItem=new FCKToolbarFontsCombo();break;case 'FontSize':oItem=new FCKToolbarFontSizeCombo();break;case 'FontFormat':oItem=new FCKToolbarFontFormatCombo();break;case 'TextColor':oItem=new FCKToolbarPanelButton('TextColor',FCKLang.TextColor);break;case 'BGColor':oItem=new FCKToolbarPanelButton('BGColor',FCKLang.BGColor);break;case 'Find':oItem=new FCKToolbarButton('Find',FCKLang.Find);break;case 'Replace':oItem=new FCKToolbarButton('Replace',FCKLang.Replace);break;case 'Form':oItem=new FCKToolbarButton('Form',FCKLang.Form);break;case 'Checkbox':oItem=new FCKToolbarButton('Checkbox',FCKLang.Checkbox);break;case 'Radio':oItem=new FCKToolbarButton('Radio',FCKLang.RadioButton);break;case 'TextField':oItem=new FCKToolbarButton('TextField',FCKLang.TextField);break;case 'Textarea':oItem=new FCKToolbarButton('Textarea',FCKLang.Textarea);break;case 'HiddenField':oItem=new FCKToolbarButton('HiddenField',FCKLang.HiddenField);break;case 'Button':oItem=new FCKToolbarButton('Button',FCKLang.Button);break;case 'Select':oItem=new FCKToolbarButton('Select',FCKLang.SelectionField);break;case 'ImageButton':oItem=new FCKToolbarButton('ImageButton',FCKLang.ImageButton);break;default:alert(FCKLang.UnknownToolbarItem.replace(/%1/g,itemName));return;};FCKToolbarItems.LoadedItems[itemName]=oItem;return oItem;}
+var FCKToolbar=function(){this.Items=new Array();this.DOMTable=document.createElement('table');this.DOMTable.className='TB_Toolbar';with (this.DOMTable){style.styleFloat=style.cssFloat=FCKLang.Dir=='rtl'?'right':'left';cellPadding=0;cellSpacing=0;border=0;};this.DOMRow=this.DOMTable.insertRow(-1);var oCell=this.DOMRow.insertCell(-1);oCell.className='TB_Start';oCell.innerHTML='<img src="'+FCKConfig.SkinPath+'images/toolbar.start.gif" width="7" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';FCKToolbarSet.DOMElement.appendChild(this.DOMTable);};FCKToolbar.prototype.AddItem=function(toolbarItem){this.Items[this.Items.length]=toolbarItem;toolbarItem.CreateInstance(this);};FCKToolbar.prototype.AddSeparator=function(){var oCell=this.DOMRow.insertCell(-1);oCell.unselectable='on';oCell.innerHTML='<img src="'+FCKConfig.SkinPath+'images/toolbar.separator.gif" width="5" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';};FCKToolbar.prototype.AddTerminator=function(){var oCell=this.DOMRow.insertCell(-1);oCell.className='TB_End';oCell.innerHTML='<img src="'+FCKConfig.SkinPath+'images/toolbar.end.gif" width="12" height="21" style="VISIBILITY: hidden" onload="this.style.visibility = \'\';" unselectable="on">';};
+var FCKToolbarBreak=function(){var oBreakDiv=document.createElement('div');oBreakDiv.className='TB_Break';oBreakDiv.style.clear=FCKLang.Dir=='rtl'?'left':'right';FCKToolbarSet.DOMElement.appendChild(oBreakDiv);}
+var FCKToolbarSet=FCK.ToolbarSet=new Object();document.getElementById('ExpandHandle').title=FCKLang.ToolbarExpand;document.getElementById('CollapseHandle').title=FCKLang.ToolbarCollapse;FCKToolbarSet.Toolbars=new Array();FCKToolbarSet.ItemsWysiwygOnly=new Array();FCKToolbarSet.ItemsContextSensitive=new Array();FCKToolbarSet.Expand=function(){document.getElementById('Collapsed').style.display='none';document.getElementById('Expanded').style.display='';if (!FCKBrowserInfo.IsIE){window.setTimeout("window.onresize()",1);};};FCKToolbarSet.Collapse=function(){document.getElementById('Collapsed').style.display='';document.getElementById('Expanded').style.display='none';if (!FCKBrowserInfo.IsIE){window.setTimeout("window.onresize()",1);};};FCKToolbarSet.Restart=function(){if (!FCKConfig.ToolbarCanCollapse||FCKConfig.ToolbarStartExpanded) this.Expand();else this.Collapse();document.getElementById('CollapseHandle').style.display=FCKConfig.ToolbarCanCollapse?'':'none';};FCKToolbarSet.Load=function(toolbarSetName){this.DOMElement=document.getElementById('eToolbar');var ToolbarSet=FCKConfig.ToolbarSets[toolbarSetName];if (!ToolbarSet){alert(FCKLang.UnknownToolbarSet.replace(/%1/g,toolbarSetName));return;};this.Toolbars=new Array();for (var x=0;x<ToolbarSet.length;x++){var oToolbarItems=ToolbarSet[x];var oToolbar;if (typeof(oToolbarItems)=='string'){if (oToolbarItems=='/') oToolbar=new FCKToolbarBreak();}else{var oToolbar=new FCKToolbar();for (var j=0;j<oToolbarItems.length;j++){var sItem=oToolbarItems[j];if (sItem=='-') oToolbar.AddSeparator();else{var oItem=FCKToolbarItems.GetItem(sItem);if (oItem){oToolbar.AddItem(oItem);if (!oItem.SourceView) this.ItemsWysiwygOnly[this.ItemsWysiwygOnly.length]=oItem;if (oItem.ContextSensitive) this.ItemsContextSensitive[this.ItemsContextSensitive.length]=oItem;};};};oToolbar.AddTerminator();};this.Toolbars[this.Toolbars.length]=oToolbar;};};FCKToolbarSet.RefreshModeState=function(){if (FCK.EditMode==FCK_EDITMODE_WYSIWYG){for (var i=0;i<FCKToolbarSet.ItemsWysiwygOnly.length;i++) FCKToolbarSet.ItemsWysiwygOnly[i].Enable();FCKToolbarSet.RefreshItemsState();}else{FCKToolbarSet.RefreshItemsState();for (var i=0;i<FCKToolbarSet.ItemsWysiwygOnly.length;i++) FCKToolbarSet.ItemsWysiwygOnly[i].Disable();};};FCKToolbarSet.RefreshItemsState=function(){for (var i=0;i<FCKToolbarSet.ItemsContextSensitive.length;i++) FCKToolbarSet.ItemsContextSensitive[i].RefreshState();};
+var FCKDialog=new Object();FCKDialog.OpenDialog=function(dialogName,dialogTitle,dialogPage,width,height,customValue,parentWindow){var oDialogInfo=new Object();oDialogInfo.Title=dialogTitle;oDialogInfo.Page=dialogPage;oDialogInfo.Editor=window;oDialogInfo.CustomValue=customValue;var sUrl=FCKConfig.BasePath+'fckdialog.html';this.Show(oDialogInfo,dialogName,sUrl,width,height,parentWindow);};
+FCKDialog.Show=function(dialogInfo,dialogName,pageUrl,dialogWidth,dialogHeight,parentWindow){if (!parentWindow) parentWindow=window;parentWindow.showModalDialog(pageUrl,dialogInfo,"dialogWidth:"+dialogWidth+"px;dialogHeight:"+dialogHeight+"px;help:no;scroll:no;status:no");};
+var FCKContextMenuItem=function(contextMenu,commandName,label,hasIcon){this.ContextMenu=contextMenu;this.Command=FCKCommands.GetCommand(commandName);this.Label=label?label:commandName;this.HasIcon=hasIcon?true:false;};function FCKContextMenuItem_OnMouseOver(){if (this.className!='CM_Disabled') this.className='CM_Over';};function FCKContextMenuItem_OnMouseOut(){if (this.className!='CM_Disabled') this.className='CM_Option';};function FCKContextMenuItem_OnClick(){if (this.className!='CM_Disabled'){this.FCKContextMenuItem.ContextMenu.Hide();this.FCKContextMenuItem.Command.Execute();};return false;};FCKContextMenuItem.prototype.CreateTableRow=function(targetTable){this._Row=targetTable.insertRow(-1);this._Row.className='CM_Disabled';this._Row.FCKContextMenuItem=this;this._Row.onmouseover=FCKContextMenuItem_OnMouseOver;this._Row.onmouseout=FCKContextMenuItem_OnMouseOut;this._Row.onclick=FCKContextMenuItem_OnClick;var oCell=this._Row.insertCell(-1);oCell.className='CM_Icon';if (this.HasIcon) oCell.innerHTML='<img alt="" src="'+FCKConfig.SkinPath+'toolbar/'+this.Command.Name.toLowerCase()+'.gif" width="21" height="20" unselectable="on">';oCell=this._Row.insertCell(-1);oCell.className='CM_Label';oCell.unselectable='on';oCell.noWrap=true;oCell.innerHTML=this.Label;};FCKContextMenuItem.prototype.SetVisible=function(isVisible){this._Row.style.display=isVisible?'':'none';};FCKContextMenuItem.prototype.RefreshState=function(){switch (this.Command.GetState()){case FCK_TRISTATE_ON:case FCK_TRISTATE_OFF:this._Row.className='CM_Option';break;default:this._Row.className='CM_Disabled';break;};};
+var FCKContextMenuSeparator=function(){};FCKContextMenuSeparator.prototype.CreateTableRow=function(targetTable){this._Row=targetTable.insertRow(-1);this._Row.className='CM_Separator';var oCell=this._Row.insertCell(-1);oCell.className='CM_Icon';oCell=this._Row.insertCell(-1);oCell.className='CM_Label';oCell.innerHTML='<div></div>';};FCKContextMenuSeparator.prototype.SetVisible=function(isVisible){this._Row.style.display=isVisible?'':'none';};FCKContextMenuSeparator.prototype.RefreshState=function(){};
+var FCKContextMenuGroup=function(addSeparator,contextMenu,firstItemCommand,firstItemLabel,hasIcon){this.IsVisible=true;this.Items=new Array();if (addSeparator) this.Add(new FCKContextMenuSeparator());if (contextMenu&&firstItemCommand&&firstItemLabel) this.Add(new FCKContextMenuItem(contextMenu,firstItemCommand,firstItemLabel,hasIcon));this.ValidationFunction=null;};FCKContextMenuGroup.prototype.Add=function(contextMenuItem){this.Items[this.Items.length]=contextMenuItem;};FCKContextMenuGroup.prototype.CreateTableRows=function(table){for (var i=0;i<this.Items.length;i++){this.Items[i].CreateTableRow(table);};};FCKContextMenuGroup.prototype.SetVisible=function(isVisible){for (var i=0;i<this.Items.length;i++){this.Items[i].SetVisible(isVisible);};this.IsVisible=isVisible;};FCKContextMenuGroup.prototype.RefreshState=function(){if (!this.IsVisible) return;for (var i=0;i<this.Items.length;i++){this.Items[i].RefreshState();};}
+var FCKContextMenu=new Object();FCKContextMenu._IsLoaded=false;FCKContextMenu.Reload=function(){this._Div=this._Document.createElement('DIV');this._Div.className='CM_ContextMenu';this._Div.style.position='absolute';this._Div.style.visibility='hidden';this._Document.body.appendChild(this._Div);var oTable=this._Document.createElement('TABLE');oTable.cellSpacing=0;oTable.cellPadding=0;oTable.border=0;this._Div.appendChild(oTable);this.Groups=new Object();for (var i=0;i<FCKConfig.ContextMenu.length;i++){var sGroup=FCKConfig.ContextMenu[i];this.Groups[sGroup]=this._GetGroup(sGroup);this.Groups[sGroup].CreateTableRows(oTable);};this._IsLoaded=true;};FCKContextMenu._GetGroup=function(groupName){var oGroup;switch (groupName){case 'Generic':oGroup=new FCKContextMenuGroup();with (oGroup){Add(new FCKContextMenuItem(this,'Cut',FCKLang.Cut,true));Add(new FCKContextMenuItem(this,'Copy',FCKLang.Copy,true));Add(new FCKContextMenuItem(this,'Paste',FCKLang.Paste,true));};break;case 'Link':oGroup=new FCKContextMenuGroup();with (oGroup){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem(this,'Link',FCKLang.EditLink,true));Add(new FCKContextMenuItem(this,'Unlink',FCKLang.RemoveLink,true));};break;case 'TableCell':oGroup=new FCKContextMenuGroup();with (oGroup){Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem(this,'TableInsertRow',FCKLang.InsertRow,true));Add(new FCKContextMenuItem(this,'TableDeleteRows',FCKLang.DeleteRows,true));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem(this,'TableInsertColumn',FCKLang.InsertColumn,true));Add(new FCKContextMenuItem(this,'TableDeleteColumns',FCKLang.DeleteColumns,true));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem(this,'TableInsertCell',FCKLang.InsertCell,true));Add(new FCKContextMenuItem(this,'TableDeleteCells',FCKLang.DeleteCells,true));Add(new FCKContextMenuItem(this,'TableMergeCells',FCKLang.MergeCells,true));Add(new FCKContextMenuItem(this,'TableSplitCell',FCKLang.SplitCell,true));Add(new FCKContextMenuSeparator());Add(new FCKContextMenuItem(this,'TableCellProp',FCKLang.CellProperties,true));Add(new FCKContextMenuItem(this,'TableProp',FCKLang.TableProperties,true));};break;case 'Table':return new FCKContextMenuGroup(true,this,'Table',FCKLang.TableProperties,true);case 'Image':return new FCKContextMenuGroup(true,this,'Image',FCKLang.ImageProperties,true);case 'Form':return new FCKContextMenuGroup(true,this,'Form',FCKLang.FormProp,true);case 'Checkbox':return new FCKContextMenuGroup(true,this,'Checkbox',FCKLang.CheckboxProp,true);case 'Radio':return new FCKContextMenuGroup(true,this,'Radio',FCKLang.RadioButtonProp,true);case 'TextField':return new FCKContextMenuGroup(true,this,'TextField',FCKLang.TextFieldProp,true);case 'HiddenField':return new FCKContextMenuGroup(true,this,'HiddenField',FCKLang.HiddenFieldProp,true);case 'ImageButton':return new FCKContextMenuGroup(true,this,'ImageButton',FCKLang.ImageButtonProp,true);case 'Button':return new FCKContextMenuGroup(true,this,'Button',FCKLang.ButtonProp,true);case 'Select':return new FCKContextMenuGroup(true,this,'Select',FCKLang.SelectionFieldProp,true);case 'Textarea':return new FCKContextMenuGroup(true,this,'Textarea',FCKLang.TextareaProp,true);case 'BulletedList':return new FCKContextMenuGroup(true,this,'BulletedList',FCKLang.BulletedListProp,true);case 'NumberedList':return new FCKContextMenuGroup(true,this,'NumberedList',FCKLang.NumberedListProp,true);case 'Anchor':return new FCKContextMenuGroup(true,this,'Anchor',FCKLang.AnchorProp,true);};return oGroup;};FCKContextMenu.RefreshState=function(){var oTag=FCKSelection.GetSelectedElement();var sTagName;if (oTag){sTagName=oTag.tagName;};var bIsAnchor=(sTagName=='A'&&oTag.name.length>0&&oTag.href.length==0);if (this.Groups['Anchor'])		this.Groups['Anchor'].SetVisible(bIsAnchor);if (this.Groups['Link'])			this.Groups['Link'].SetVisible(!bIsAnchor&&FCK.GetNamedCommandState('Unlink')!=FCK_TRISTATE_DISABLED);if (this.Groups['TableCell'])		this.Groups['TableCell'].SetVisible(sTagName!='TABLE'&&FCKSelection.HasAncestorNode('TABLE'));if (this.Groups['Table'])			this.Groups['Table'].SetVisible(sTagName=='TABLE');if (this.Groups['Image'])			this.Groups['Image'].SetVisible(sTagName=='IMG');if (this.Groups['BulletedList'])	this.Groups['BulletedList'].SetVisible(FCKSelection.HasAncestorNode('UL'));if (this.Groups['NumberedList'])	this.Groups['NumberedList'].SetVisible(FCKSelection.HasAncestorNode('OL'));if (this.Groups['Select'])		this.Groups['Select'].SetVisible(sTagName=='SELECT');if (this.Groups['Textarea'])		this.Groups['Textarea'].SetVisible(sTagName=='TEXTAREA');if (this.Groups['Form'])			this.Groups['Form'].SetVisible(FCKSelection.HasAncestorNode('FORM'));if (this.Groups['Checkbox'])		this.Groups['Checkbox'].SetVisible(sTagName=='INPUT'&&oTag.type=='checkbox');if (this.Groups['Radio'])			this.Groups['Radio'].SetVisible(sTagName=='INPUT'&&oTag.type=='radio');if (this.Groups['TextField'])		this.Groups['TextField'].SetVisible(sTagName=='INPUT'&&(oTag.type=='text'||oTag.type=='password'));if (this.Groups['HiddenField'])	this.Groups['HiddenField'].SetVisible(sTagName=='INPUT'&&oTag.type=='hidden');if (this.Groups['ImageButton'])	this.Groups['ImageButton'].SetVisible(sTagName=='INPUT'&&oTag.type=='image');if (this.Groups['Button'])		this.Groups['Button'].SetVisible(sTagName=='INPUT'&&(oTag.type=='button'||oTag.type=='submit'||oTag.type=='reset'));for (var o in this.Groups){this.Groups[o].RefreshState();};};
+function FCKContextMenu_OnContextMenu() { return false;};FCKContextMenu.Show=function(x,y){if (!this._Popup){this._Popup=window.createPopup();this._Document=this._Popup.document;this._Document.createStyleSheet(FCKConfig.SkinPath+'fck_contextmenu.css');this._Document.oncontextmenu=FCKContextMenu_OnContextMenu;aCleanupDocs[aCleanupDocs.length]=this._Document;};if (!this._IsLoaded){this.Reload();this._Div.style.visibility='';};this.RefreshState();this._Popup.show(x,y,0,0);this._Popup.show(x,y,this._Div.offsetWidth,this._Div.offsetHeight);};FCKContextMenu.Hide=function(){if (this._Popup) this._Popup.hide();}
+if (!FCKConfig.PluginsPath.endsWith('/')) FCKConfig.PluginsPath+='/';var FCKPlugin=function(name,availableLangs,basePath){this.Name=name;this.BasePath=basePath?basePath:FCKConfig.PluginsPath;this.Path=this.BasePath+name+'/';if (!availableLangs||availableLangs.length==0) this.AvailableLangs=new Array();else this.AvailableLangs=availableLangs.split(',');};FCKPlugin.prototype.Load=function(){if (this.AvailableLangs.length>0){if (this.AvailableLangs.indexOf(FCKLanguageManager.ActiveLanguage.Code)>=0) var sLang=FCKLanguageManager.ActiveLanguage.Code;else var sLang=this.AvailableLangs[0];FCKScriptLoader.AddScript(this.Path+'lang/'+sLang+'.js');};FCKScriptLoader.AddScript(this.Path+'fckplugin.js');}
+var FCKPlugins=FCK.Plugins=new Object();FCKPlugins.ItemsCount=0;FCKPlugins.Loaded=false;FCKPlugins.Items=new Object();for (var i=0;i<FCKConfig.Plugins.Items.length;i++){var oItem=FCKConfig.Plugins.Items[i];FCKPlugins.Items[oItem[0]]=new FCKPlugin(oItem[0],oItem[1],oItem[2]);FCKPlugins.ItemsCount++;};FCKPlugins.Load=function(){for (var s in this.Items) this.Items[s].Load();this.Loaded=true;FCKPlugins.Load=null;}
+if (FCKLang&&window.document.dir.toLowerCase()!=FCKLang.Dir.toLowerCase()) window.document.dir=FCKLang.Dir;if (FCKConfig.ForcePasteAsPlainText) FCK.Events.AttachEvent("OnPaste",FCK.Paste);if (FCKPlugins.ItemsCount>0){FCKScriptLoader.OnEmpty=CompleteLoading;FCKPlugins.Load();}else CompleteLoading();function CompleteLoading(){FCKToolbarSet.Name=FCKURLParams['Toolbar']||'Default';FCKToolbarSet.Load(FCKToolbarSet.Name);FCKToolbarSet.Restart();FCK.AttachToOnSelectionChange(FCKToolbarSet.RefreshItemsState);FCK.SetStatus(FCK_STATUS_COMPLETE);if (typeof(window.parent.FCKeditor_OnComplete)=='function') window.parent.FCKeditor_OnComplete(FCK);}
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/_translationstatus.txt soojung/libs/fckeditor/editor/lang/_translationstatus.txt
--- soojung-0.4.8/libs/fckeditor/editor/lang/_translationstatus.txt	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/_translationstatus.txt	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,59 @@
+/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: _translationstatus.txt
+ * 	Translation Status.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+PROCESSING: ar.js      Found: 354   Missing: 6
+PROCESSING: bg.js      Found: 354   Missing: 6
+PROCESSING: bs.js      Found: 233   Missing: 127
+PROCESSING: ca.js      Found: 360   Missing: 0
+PROCESSING: cs.js      Found: 354   Missing: 6
+PROCESSING: da.js      Found: 360   Missing: 0
+PROCESSING: de.js      Found: 360   Missing: 0
+PROCESSING: el.js      Found: 233   Missing: 127
+PROCESSING: en-au.js   Found: 223   Missing: 137
+PROCESSING: en-uk.js   Found: 223   Missing: 137
+PROCESSING: eo.js      Found: 354   Missing: 6
+PROCESSING: es.js      Found: 360   Missing: 0
+PROCESSING: et.js      Found: 233   Missing: 127
+PROCESSING: eu.js      Found: 360   Missing: 0
+PROCESSING: fa.js      Found: 360   Missing: 0
+PROCESSING: fi.js      Found: 360   Missing: 0
+PROCESSING: fr.js      Found: 360   Missing: 0
+PROCESSING: gl.js      Found: 360   Missing: 0
+PROCESSING: he.js      Found: 233   Missing: 127
+PROCESSING: hr.js      Found: 360   Missing: 0
+PROCESSING: hu.js      Found: 354   Missing: 6
+PROCESSING: it.js      Found: 360   Missing: 0
+PROCESSING: ja.js      Found: 354   Missing: 6
+PROCESSING: ko.js      Found: 360   Missing: 0
+PROCESSING: lt.js      Found: 354   Missing: 6
+PROCESSING: nl.js      Found: 360   Missing: 0
+PROCESSING: no.js      Found: 360   Missing: 0
+PROCESSING: pl.js      Found: 354   Missing: 6
+PROCESSING: pt-br.js   Found: 360   Missing: 0
+PROCESSING: pt.js      Found: 360   Missing: 0
+PROCESSING: ro.js      Found: 360   Missing: 0
+PROCESSING: ru.js      Found: 360   Missing: 0
+PROCESSING: sk.js      Found: 354   Missing: 6
+PROCESSING: sl.js      Found: 354   Missing: 6
+PROCESSING: sr-latn.js Found: 228   Missing: 132
+PROCESSING: sr.js      Found: 228   Missing: 132
+PROCESSING: sv.js      Found: 360   Missing: 0
+PROCESSING: th.js      Found: 354   Missing: 6
+PROCESSING: tr.js      Found: 353   Missing: 7
+PROCESSING: uk.js      Found: 360   Missing: 0
+PROCESSING: zh-cn.js   Found: 354   Missing: 6
+PROCESSING: zh.js      Found: 354   Missing: 6
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/ar.js soojung/libs/fckeditor/editor/lang/ar.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/ar.js	2004-12-27 20:50:33.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/ar.js	2005-06-11 10:32:44.000000000 +0900
@@ -1,208 +1,453 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: ar.js
- * 	Arabic language file.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-27 14:04:07
- * 
- * File Authors:
- * 		Aziz Oraij (aziz@oraij.com)
- */
-
-var FCKLang =
-{
-// Language direction : "ltr" (left to right) or "rtl" (right to left).
-"Dir"				: "rtl",
-
-// Toolbar Items and Context Menu
-"Cut"				: "قص",
-"Copy"				: "نسخ",
-"Paste"				: "لصق",
-"PasteText"			: "لصق كنص بسيط",
-"PasteWord"			: "لصق من وورد",
-"Find"				: "بحث",
-"SelectAll"			: "تحديد الكل",
-"RemoveFormat"		: "إزالة التنسيقات",
-"InsertLink"		: "إدراج/تحرير رابط",
-"RemoveLink"		: "إزالة رابط",
-"InsertImage"		: "إدراج/تحرير صورة",
-"InsertTable"		: "إدراج/تحرير جدول",
-"InsertLine"		: "إدراج خط فاصل",
-"InsertSpecialChar"	: "إدراج  رمز..ِ",
-"InsertSmiley"		: "إدراج ابتسامات",
-"About"				: "حول FCKeditor",
-
-"Bold"				: "غامق",
-"Italic"			: "مائل",
-"Underline"			: "تسطير",
-"StrikeThrough"		: "يتوسطه خط",
-"Subscript"			: "منخفض",
-"Superscript"		: "مرتفع",
-"LeftJustify"		: "محاذاة إلى اليسار",
-"CenterJustify"		: "توسيط",
-"RightJustify"		: "محاذاة إلى اليمين",
-"BlockJustify"		: "ضبط",
-"DecreaseIndent"	: "إنقاص المسافة البادئة",
-"IncreaseIndent"	: "زيادة المسافة البادئة",
-"Undo"				: "تراجع",
-"Redo"				: "إعادة",
-"NumberedList"		: "تعداد رقمي",
-"BulletedList"		: "تعداد نقطي",
-
-"ShowTableBorders"	: "معاينة حدود الجداول",
-"ShowDetails"		: "معاينة التفاصيل",
-
-"FontStyle"			: "نمط",
-"FontFormat"		: "تنسيق",
-"Font"				: "خط",
-"FontSize"			: "حجم الخط",
-"TextColor"			: "لون النص",
-"BGColor"			: "لون الخلفية",
-"Source"			: "شفرة المصدر",
-
-// Context Menu
-
-"EditLink"			: "تحرير رابط",
-"InsertRow"			: "إدراج صف",
-"DeleteRows"		: "حذف صفوف",
-"InsertColumn"		: "إدراج عمود",
-"DeleteColumns"		: "حذف أعمدة",
-"InsertCell"		: "إدراج خلية",
-"DeleteCells"		: "حذف خلايا",
-"MergeCells"		: "دمج خلايا",
-"SplitCell"			: "تقسيم خلية",
-"CellProperties"	: "خصائص الخلية",
-"TableProperties"	: "خصائص الجدول",
-"ImageProperties"	: "خصائص الصورة",
-
-// Alerts and Messages
-
-"ProcessingXHTML"	: "تتم الآن معالجة  XHTML. انتظر قليلاً...",
-"Done"				: "تم",
-"PasteWordConfirm"	: "يبدو أن النص المراد لصقه منسوخ من برنامج وورد. هل تود تنظيفه قبل الشروع في عملية اللصق؟",
-"NotCompatiblePaste": "This command is available for Internet Explorer version 5.5 or more. Do you want to paste without cleaning?",
-
-// Dialogs
-"DlgBtnOK"			: "موافق",
-"DlgBtnCancel"		: "إلغاء الأمر",
-"DlgBtnClose"		: "إغلاق",
-
-// Image Dialog
-"DlgImgTitleInsert"	: "إدراج صورة",
-"DlgImgTitleEdit"	: "تحرير صورة",
-"DlgImgBtnUpload"	: "أرسلها للخادم",
-"DlgImgURL"			: "URL",
-"DlgImgUpload"		: "رفع",
-"DlgImgBtnBrowse"	: "تصفح صور الموقع",
-"DlgImgAlt"			: "الوصف",
-"DlgImgWidth"		: "العرض",
-"DlgImgHeight"		: "الارتفاع",
-"DlgImgLockRatio"	: "المحافظة على نسبة العرض للارتفاع",
-"DlgBtnResetSize"	: "استعادة الحجم الأصلي",
-"DlgImgBorder"		: "سمك الحدود",
-"DlgImgHSpace"		: "تباعد أفقي",
-"DlgImgVSpace"		: "تباعد عمودي",
-"DlgImgAlign"		: "محاذاة",
-"DlgImgAlignLeft"	: "يسار",
-"DlgImgAlignAbsBottom"	: "أسفل النص",
-"DlgImgAlignAbsMiddle"	: "وسط السطر",
-"DlgImgAlignBaseline"	: "على السطر",
-"DlgImgAlignBottom"	: "أسفل",
-"DlgImgAlignMiddle"	: "وسط",
-"DlgImgAlignRight"	: "يمين",
-"DlgImgAlignTextTop": "أعلى النص",
-"DlgImgAlignTop"	: "أعلى",
-"DlgImgPreview"		: "معاينة",
-"DlgImgMsgWrongExt"	: "عفواً، لا يسمح برفع الملفات غير المطابقة لأنواع الملفات التالية:\n\n" + FCKConfig.ImageUploadAllowedExtensions + "\n\nOperation canceled.",
-"DlgImgAlertSelect"	: "فضلاً اختر صورة ليتم رفعها.",		// NEW
-
-
-// Link Dialog
-"DlgLnkWindowTitle"	: "ارتباط تشعبي",		// NEW
-"DlgLnkURL"			: "URL",
-"DlgLnkUpload"		: "رفع",
-"DlgLnkTarget"		: "الهدف",
-"DlgLnkTargetNotSet": "<Not set>",
-"DlgLnkTargetBlank"	: "إطار جديد (_blank)",
-"DlgLnkTargetParent": "الإطار الأصل (_parent)",
-"DlgLnkTargetSelf"	: "نفس الإطار (_self)",
-"DlgLnkTargetTop"	: "صفحة كاملة (_top)",
-"DlgLnkTitle"		: "وصف الرابط",
-"DlgLnkBtnUpload"	: "أرسل للموقع",
-"DlgLnkBtnBrowse"	: "تصفح الموقع",
-"DlgLnkMsgWrongExtA": "عفواً، لا يسمح برفع الملفات غير المطابقة لأنواع الملفات التالية:\n\n" + FCKConfig.LinkUploadAllowedExtensions + "\n\nOperation canceled.",
-"DlgLnkMsgWrongExtD": "عفواً، لا يسمح برفع الملفات ذات أنواع الملفات التالية:\n\n" + FCKConfig.LinkUploadDeniedExtensions + "\n\nOperation canceled.",
-
-// Color Dialog
-"DlgColorTitle"		: "اختر لوناً",
-"DlgColorBtnClear"	: "مسح",
-"DlgColorHighlight"	: "تحديد",
-"DlgColorSelected"	: "اختيار",
-
-// Smiley Dialog
-"DlgSmileyTitle"	: "إدراج ابتسامات ",
-
-// Special Character Dialog
-"DlgSpecialCharTitle"	: "إدراج رمز",
-
-// Table Dialog
-"DlgTableTitleInsert"	: "إدراج جدول",
-"DlgTableTitleEdit"	: "تحرير جدول",
-"DlgTableRows"		: "صفوف",
-"DlgTableColumns"	: "أعمدة",
-"DlgTableBorder"	: "سمك الحدود",
-"DlgTableAlign"		: "المحاذاة",
-"DlgTableAlignNotSet"	: "<Not set>",
-"DlgTableAlignLeft"	: "يسار",
-"DlgTableAlignCenter"	: "وسط",
-"DlgTableAlignRight": "يمين",
-"DlgTableWidth"		: "العرض",
-"DlgTableWidthPx"	: "بكسل",
-"DlgTableWidthPc"	: "بالمئة",
-"DlgTableHeight"	: "الارتفاع",
-"DlgTableCellSpace"	: "تباعد الخلايا",
-"DlgTableCellPad"	: "المسافة البادئة",
-"DlgTableCaption"	: "الوصف",
-
-// Table Cell Dialog
-"DlgCellTitle"		: "خصائص الخلية",
-"DlgCellWidth"		: "العرض",
-"DlgCellWidthPx"	: "بكسل",
-"DlgCellWidthPc"	: "بالمئة",
-"DlgCellHeight"		: "الارتفاع",
-"DlgCellWordWrap"	: "التفاف النص",
-"DlgCellWordWrapNotSet"	: "<Not set>",
-"DlgCellWordWrapYes": "نعم",
-"DlgCellWordWrapNo"	: "لا",
-"DlgCellHorAlign"	: "المحاذاة الأفقية",
-"DlgCellHorAlignNotSet"	: "<Not set>",
-"DlgCellHorAlignLeft"	: "يسار",
-"DlgCellHorAlignCenter"	: "وسط",
-"DlgCellHorAlignRight"	: "يمين",
-"DlgCellVerAlign"		: "المحاذاة العمودية",
-"DlgCellVerAlignNotSet"	: "<Not set>",
-"DlgCellVerAlignTop"	: "أعلى",
-"DlgCellVerAlignMiddle"	: "وسط",
-"DlgCellVerAlignBottom"	: "أسفل",
-"DlgCellVerAlignBaseline"	: "على السطر",
-"DlgCellRowSpan"	: "امتداد الصفوف",
-"DlgCellCollSpan"	: "امتداد الأعمدة",
-"DlgCellBackColor"	: "لون الخلفية",
-"DlgCellBorderColor": "لون الحدود",
-"DlgCellBtnSelect"	: "حدّد...",
-
-// About Dialog
-"DlgAboutVersion"	: "الإصدار",
-"DlgAboutLicense"	: "مرخّص بحسب قانون  GNU LGPL",
-"DlgAboutInfo"		: "لمزيد من المعلومات تفضل بزيارة"
-}
-
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: ar.js
+ * 	Arabic language file.
+ * 
+ * File Authors:
+ * 		Abdul-Aziz Abdul-Kareem Al-Oraij (http://aziz.oraij.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "rtl",
+
+ToolbarCollapse		: "ضم شريط الأدوات",
+ToolbarExpand		: "تمدد شريط الأدوات",
+
+// Toolbar Items and Context Menu
+Save				: "حفظ",
+NewPage				: "صفحة جديدة",
+Preview				: "معاينة الصفحة",
+Cut					: "قص",
+Copy				: "نسخ",
+Paste				: "لصق",
+PasteText			: "لصق كنص بسيط",
+PasteWord			: "لصق من وورد",
+Print				: "طباعة",
+SelectAll			: "تحديد الكل",
+RemoveFormat		: "إزالة التنسيقات",
+InsertLinkLbl		: "رابط",
+InsertLink			: "إدراج/تحرير رابط",
+RemoveLink			: "إزالة رابط",
+Anchor				: "إدراج/تحرير إشارة مرجعية",
+InsertImageLbl		: "صورة",
+InsertImage			: "إدراج/تحرير صورة",
+InsertTableLbl		: "جدول",
+InsertTable			: "إدراج/تحرير جدول",
+InsertLineLbl		: "خط فاصل",
+InsertLine			: "إدراج خط فاصل",
+InsertSpecialCharLbl: "رموز",
+InsertSpecialChar	: "إدراج  رموز..ِ",
+InsertSmileyLbl		: "ابتسامات",
+InsertSmiley		: "إدراج ابتسامات",
+About				: "حول FCKeditor",
+Bold				: "غامق",
+Italic				: "مائل",
+Underline			: "تسطير",
+StrikeThrough		: "يتوسطه خط",
+Subscript			: "منخفض",
+Superscript			: "مرتفع",
+LeftJustify			: "محاذاة إلى اليسار",
+CenterJustify		: "توسيط",
+RightJustify		: "محاذاة إلى اليمين",
+BlockJustify		: "ضبط",
+DecreaseIndent		: "إنقاص المسافة البادئة",
+IncreaseIndent		: "زيادة المسافة البادئة",
+Undo				: "تراجع",
+Redo				: "إعادة",
+NumberedListLbl		: "تعداد رقمي",
+NumberedList		: "إدراج/إلغاء تعداد رقمي",
+BulletedListLbl		: "تعداد نقطي",
+BulletedList		: "إدراج/إلغاء تعداد نقطي",
+ShowTableBorders	: "معاينة حدود الجداول",
+ShowDetails			: "معاينة التفاصيل",
+Style				: "نمط",
+FontFormat			: "تنسيق",
+Font				: "خط",
+FontSize			: "حجم الخط",
+TextColor			: "لون النص",
+BGColor				: "لون الخلفية",
+Source				: "شفرة المصدر",
+Find				: "بحث",
+Replace				: "استبدال",
+SpellCheck			: "تدقيق إملائي",
+UniversalKeyboard	: "لوحة المفاتيح العالمية",
+
+Form			: "نموذج",
+Checkbox		: "خانة اختيار",
+RadioButton		: "زر خيار",
+TextField		: "مربع نص",
+Textarea		: "ناحية نص",
+HiddenField		: "إدراج حقل خفي",
+Button			: "زر ضغط",
+SelectionField	: "قائمة منسدلة",
+ImageButton		: "زر صورة",
+
+// Context Menu
+EditLink			: "تحرير رابط",
+InsertRow			: "إدراج صف",
+DeleteRows			: "حذف صفوف",
+InsertColumn		: "إدراج عمود",
+DeleteColumns		: "حذف أعمدة",
+InsertCell			: "إدراج خلية",
+DeleteCells			: "حذف خلايا",
+MergeCells			: "دمج خلايا",
+SplitCell			: "تقسيم خلية",
+CellProperties		: "خصائص الخلية",
+TableProperties		: "خصائص الجدول",
+ImageProperties		: "خصائص الصورة",
+
+AnchorProp			: "خصائص الإشارة المرجعية",
+ButtonProp			: "خصائص زر الضغط",
+CheckboxProp		: "خصائص خانة الاختيار",
+HiddenFieldProp		: "خصائص الحقل الخفي",
+RadioButtonProp		: "خصائص زر الخيار",
+ImageButtonProp		: "خصائص زر الصورة",
+TextFieldProp		: "خصائص مربع النص",
+SelectionFieldProp	: "خصائص القائمة المنسدلة",
+TextareaProp		: "خصائص ناحية النص",
+FormProp			: "خصائص النموذج",
+
+FontFormats			: "عادي;منسّق;دوس;العنوان 1;العنوان  2;العنوان  3;العنوان  4;العنوان  5;العنوان  6",
+
+// Alerts and Messages
+ProcessingXHTML		: "انتظر قليلاً ريثما تتم   معالَجة‏ XHTML. لن يستغرق طويلاً...",
+Done				: "تم",
+PasteWordConfirm	: "يبدو أن النص المراد لصقه منسوخ من برنامج وورد. هل تود تنظيفه قبل الشروع في عملية اللصق؟",
+NotCompatiblePaste	: "هذه الميزة تحتاج لمتصفح من النوعInternet Explorer إصدار 5.5 فما فوق. هل تود اللصق دون تنظيف الكود؟",
+UnknownToolbarItem	: "عنصر شريط أدوات غير معروف \"%1\"",
+UnknownCommand		: "أمر غير معروف \"%1\"",
+NotImplemented		: "لم يتم دعم هذا الأمر",
+UnknownToolbarSet	: "لم أتمكن من العثور على طقم الأدوات \"%1\" ",
+
+// Dialogs
+DlgBtnOK			: "موافق",
+DlgBtnCancel		: "إلغاء الأمر",
+DlgBtnClose			: "إغلاق",
+DlgBtnBrowseServer	: "تصفح الخادم",
+DlgAdvancedTag		: "متقدم",
+DlgOpOther			: "&lt;أخرى&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;بدون تحديد&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "اتجاه النص",
+DlgGenLangDirLtr	: "اليسار لليمين (LTR)",
+DlgGenLangDirRtl	: "اليمين لليسار (RTL)",
+DlgGenLangCode		: "رمز اللغة",
+DlgGenAccessKey		: "مفاتيح الاختصار",
+DlgGenName			: "الاسم",
+DlgGenTabIndex		: "الترتيب",
+DlgGenLongDescr		: "عنوان الوصف المفصّل",
+DlgGenClass			: "فئات التنسيق",
+DlgGenTitle			: "تلميح الشاشة",
+DlgGenContType		: "نوع التلميح",
+DlgGenLinkCharset	: "ترميز المادة المرطلوبة",
+DlgGenStyle			: "نمط",
+
+// Image Dialog
+DlgImgTitle			: "خصائص الصورة",
+DlgImgInfoTab		: "معلومات الصورة",
+DlgImgBtnUpload		: "أرسلها للخادم",
+DlgImgURL			: "موقع الصورة",
+DlgImgUpload		: "رفع",
+DlgImgAlt			: "الوصف",
+DlgImgWidth			: "العرض",
+DlgImgHeight		: "الارتفاع",
+DlgImgLockRatio		: "تناسق الحجم",
+DlgBtnResetSize		: "استعادة الحجم الأصلي",
+DlgImgBorder		: "سمك الحدود",
+DlgImgHSpace		: "تباعد أفقي",
+DlgImgVSpace		: "تباعد عمودي",
+DlgImgAlign			: "محاذاة",
+DlgImgAlignLeft		: "يسار",
+DlgImgAlignAbsBottom: "أسفل النص",
+DlgImgAlignAbsMiddle: "وسط السطر",
+DlgImgAlignBaseline	: "على السطر",
+DlgImgAlignBottom	: "أسفل",
+DlgImgAlignMiddle	: "وسط",
+DlgImgAlignRight	: "يمين",
+DlgImgAlignTextTop	: "أعلى النص",
+DlgImgAlignTop		: "أعلى",
+DlgImgPreview		: "معاينة",
+DlgImgAlertUrl		: "فضلاً اكتب الموقع الذي توجد عليه هذه الصورة.",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "ارتباط تشعبي",
+DlgLnkInfoTab		: "معلومات الرابط",
+DlgLnkTargetTab		: "الهدف",
+
+DlgLnkType			: "نوع الربط",
+DlgLnkTypeURL		: "العنوان",
+DlgLnkTypeAnchor	: "مكان في هذا المستند",
+DlgLnkTypeEMail		: "بريد إلكتروني",
+DlgLnkProto			: "البروتوكول",
+DlgLnkProtoOther	: "&lt;أخرى&gt;",
+DlgLnkURL			: "الموقع",
+DlgLnkAnchorSel		: "اختر علامة مرجعية",
+DlgLnkAnchorByName	: "حسب اسم العلامة",
+DlgLnkAnchorById	: "حسب تعريف العنصر",
+DlgLnkNoAnchors		: "&lt;لا يوجد علامات مرجعية في هذا المستند&gt;",
+DlgLnkEMail			: "عنوان بريد إلكتروني",
+DlgLnkEMailSubject	: "موضوع الرسالة",
+DlgLnkEMailBody		: "محتوى الرسالة",
+DlgLnkUpload		: "رفع",
+DlgLnkBtnUpload		: "أرسلها للخادم",
+
+DlgLnkTarget		: "الهدف",
+DlgLnkTargetFrame	: "&lt;إطار&gt;",
+DlgLnkTargetPopup	: "&lt;نافذة منبثقة&gt;",
+DlgLnkTargetBlank	: "إطار جديد (_blank)",
+DlgLnkTargetParent	: "الإطار الأصل (_parent)",
+DlgLnkTargetSelf	: "نفس الإطار (_self)",
+DlgLnkTargetTop		: "صفحة كاملة (_top)",
+DlgLnkTargetFrameName	: "اسم الإطار الهدف",
+DlgLnkPopWinName	: "تسمية النافذة المنبثقة",
+DlgLnkPopWinFeat	: "خصائص النافذة المنبثقة",
+DlgLnkPopResize		: "قابلة للتحجيم",
+DlgLnkPopLocation	: "شريط العنوان",
+DlgLnkPopMenu		: "القوائم الرئيسية",
+DlgLnkPopScroll		: "أشرطة التمرير",
+DlgLnkPopStatus		: "شريط الحالة السفلي",
+DlgLnkPopToolbar	: "شريط الأدوات",
+DlgLnkPopFullScrn	: "ملئ الشاشة (IE)",
+DlgLnkPopDependent	: "تابع (Netscape)",
+DlgLnkPopWidth		: "العرض",
+DlgLnkPopHeight		: "الارتفاع",
+DlgLnkPopLeft		: "التمركز لليسار",
+DlgLnkPopTop		: "التمركز للأعلى",
+
+DlnLnkMsgNoUrl		: "فضلاً أدخل عنوان الموقع الذي يشير إليه الرابط",
+DlnLnkMsgNoEMail	: "فضلاً أدخل عنوان البريد الإلكتروني",
+DlnLnkMsgNoAnchor	: "فضلاً حدد العلامة المرجعية المرغوبة",
+
+// Color Dialog
+DlgColorTitle		: "اختر لوناً",
+DlgColorBtnClear	: "مسح",
+DlgColorHighlight	: "تحديد",
+DlgColorSelected	: "اختيار",
+
+// Smiley Dialog
+DlgSmileyTitle		: "إدراج ابتسامات ",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "إدراج رمز",
+
+// Table Dialog
+DlgTableTitle		: "إدراج جدول",
+DlgTableRows		: "صفوف",
+DlgTableColumns		: "أعمدة",
+DlgTableBorder		: "سمك الحدود",
+DlgTableAlign		: "المحاذاة",
+DlgTableAlignNotSet	: "<بدون تحديد>",
+DlgTableAlignLeft	: "يسار",
+DlgTableAlignCenter	: "وسط",
+DlgTableAlignRight	: "يمين",
+DlgTableWidth		: "العرض",
+DlgTableWidthPx		: "بكسل",
+DlgTableWidthPc		: "بالمئة",
+DlgTableHeight		: "الارتفاع",
+DlgTableCellSpace	: "تباعد الخلايا",
+DlgTableCellPad		: "المسافة البادئة",
+DlgTableCaption		: "الوصف",
+
+// Table Cell Dialog
+DlgCellTitle		: "خصائص الخلية",
+DlgCellWidth		: "العرض",
+DlgCellWidthPx		: "بكسل",
+DlgCellWidthPc		: "بالمئة",
+DlgCellHeight		: "الارتفاع",
+DlgCellWordWrap		: "التفاف النص",
+DlgCellWordWrapNotSet	: "<بدون تحديد>",
+DlgCellWordWrapYes	: "نعم",
+DlgCellWordWrapNo	: "لا",
+DlgCellHorAlign		: "المحاذاة الأفقية",
+DlgCellHorAlignNotSet	: "<بدون تحديد>",
+DlgCellHorAlignLeft	: "يسار",
+DlgCellHorAlignCenter	: "وسط",
+DlgCellHorAlignRight: "يمين",
+DlgCellVerAlign		: "المحاذاة العمودية",
+DlgCellVerAlignNotSet	: "<بدون تحديد>",
+DlgCellVerAlignTop	: "أعلى",
+DlgCellVerAlignMiddle	: "وسط",
+DlgCellVerAlignBottom	: "أسفل",
+DlgCellVerAlignBaseline	: "على السطر",
+DlgCellRowSpan		: "امتداد الصفوف",
+DlgCellCollSpan		: "امتداد الأعمدة",
+DlgCellBackColor	: "لون الخلفية",
+DlgCellBorderColor	: "لون الحدود",
+DlgCellBtnSelect	: "حدّد...",
+
+// Find Dialog
+DlgFindTitle		: "بحث",
+DlgFindFindBtn		: "ابحث",
+DlgFindNotFoundMsg	: "لم يتم العثور على النص المحدد.",
+
+// Replace Dialog
+DlgReplaceTitle			: "استبدال",
+DlgReplaceFindLbl		: "البحث عن:",
+DlgReplaceReplaceLbl	: "استبدال بـ:",
+DlgReplaceCaseChk		: "مطابقة حالة الأحرف",
+DlgReplaceReplaceBtn	: "استبدال",
+DlgReplaceReplAllBtn	: "استبدال الكل",
+DlgReplaceWordChk		: "الكلمة بالكامل فقط",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "الإعدادات الأمنية للمتصفح الذي تستخدمه تمنع اللصق التلقائي. فضلاً استخدم لوحة المفاتيح لفعل ذلك (Ctrl+V).",
+PasteErrorCut	: "الإعدادات الأمنية للمتصفح الذي تستخدمه تمنع القص التلقائي. فضلاً استخدم لوحة المفاتيح لفعل ذلك (Ctrl+X).",
+PasteErrorCopy	: "الإعدادات الأمنية للمتصفح الذي تستخدمه تمنع النسخ التلقائي. فضلاً استخدم لوحة المفاتيح لفعل ذلك (Ctrl+C).",
+
+PasteAsText		: "لصق كنص بسيط",
+PasteFromWord	: "لصق من وورد",
+
+DlgPasteMsg		: "لم يتمكن المحرر من القيام باللصق تلقائياً، نظراً <STRONG>لإعدادت متصفحك الأمنية</STRONG>.<BR>فضلاً إلصق داخل المربع التالي باستخدام لوحة المفاتيح (<STRONG>Ctrl+V</STRONG>) ثم اضغط <STRONG>موافق</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "تلقائي",
+ColorMoreColors	: "ألوان إضافية...",
+
+// Document Properties
+DocProps		: "خصائص الصفحة",
+
+// Anchor Dialog
+DlgAnchorTitle		: "خصائص إشارة مرجعية",
+DlgAnchorName		: "اسم الإشارة المرجعية",
+DlgAnchorErrorName	: "الرجاء كتابة اسم الإشارة المرجعية",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "ليست في القاموس",
+DlgSpellChangeTo		: "التغيير إلى",
+DlgSpellBtnIgnore		: "تجاهل",
+DlgSpellBtnIgnoreAll	: "تجاهل الكل",
+DlgSpellBtnReplace		: "تغيير",
+DlgSpellBtnReplaceAll	: "تغيير الكل",
+DlgSpellBtnUndo			: "تراجع",
+DlgSpellNoSuggestions	: "- لا توجد اقتراحات -",
+DlgSpellProgress		: "جاري التدقيق إملائياً",
+DlgSpellNoMispell		: "تم إكمال التدقيق الإملائي: لم يتم العثور على أي أخطاء إملائية",
+DlgSpellNoChanges		: "تم إكمال التدقيق الإملائي: لم يتم تغيير أي كلمة",
+DlgSpellOneChange		: "تم إكمال التدقيق الإملائي: تم تغيير كلمة واحدة فقط",
+DlgSpellManyChanges		: "تم إكمال التدقيق الإملائي: تم تغيير %1 كلمات\كلمة",
+
+IeSpellDownload			: "المدقق الإملائي (الإنجليزي) غير مثبّت. هل تود تحميله الآن؟",
+
+// Button Dialog
+DlgButtonText	: "القيمة/التسمية",
+DlgButtonType	: "نوع الزر",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "الاسم",
+DlgCheckboxValue	: "القيمة",
+DlgCheckboxSelected	: "محدد",
+
+// Form Dialog
+DlgFormName		: "الاسم",
+DlgFormAction	: "اسم الملف",
+DlgFormMethod	: "الأسلوب",
+
+// Select Field Dialog
+DlgSelectName		: "الاسم",
+DlgSelectValue		: "القيمة",
+DlgSelectSize		: "الحجم",
+DlgSelectLines		: "الأسطر",
+DlgSelectChkMulti	: "السماح بتحديدات متعددة",
+DlgSelectOpAvail	: "الخيارات المتاحة",
+DlgSelectOpText		: "النص",
+DlgSelectOpValue	: "القيمة",
+DlgSelectBtnAdd		: "إضافة",
+DlgSelectBtnModify	: "تعديل",
+DlgSelectBtnUp		: "تحريك لأعلى",
+DlgSelectBtnDown	: "تحريك لأسفل",
+DlgSelectBtnSetValue : "اجعلها محددة",
+DlgSelectBtnDelete	: "إزالة",
+
+// Textarea Dialog
+DlgTextareaName	: "الاسم",
+DlgTextareaCols	: "الأعمدة",
+DlgTextareaRows	: "الصفوف",
+
+// Text Field Dialog
+DlgTextName			: "الاسم",
+DlgTextValue		: "القيمة",
+DlgTextCharWidth	: "العرض بالأحرف",
+DlgTextMaxChars		: "عدد الحروف الأقصى",
+DlgTextType			: "نوع المحتوى",
+DlgTextTypeText		: "نص",
+DlgTextTypePass		: "كلمة مرور",
+
+// Hidden Field Dialog
+DlgHiddenName	: "الاسم",
+DlgHiddenValue	: "القيمة",
+
+// Bulleted List Dialog
+BulletedListProp	: "خصائص التعداد النقطي",
+NumberedListProp	: "خصائص التعداد الرقمي",
+DlgLstType			: "النوع",
+DlgLstTypeCircle	: "دائرة",
+DlgLstTypeDisk		: "قرص",
+DlgLstTypeSquare	: "مربع",
+DlgLstTypeNumbers	: "أرقام (1، 2، 3)َ",
+DlgLstTypeLCase		: "حروف صغيرة (a, b, c)َ",
+DlgLstTypeUCase		: "حروف كبيرة (A, B, C)َ",
+DlgLstTypeSRoman	: "ترقيم روماني صغير (i, ii, iii)َ",
+DlgLstTypeLRoman	: "ترقيم روماني كبير (I, II, III)َ",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "عام",
+DlgDocBackTab		: "الخلفية",
+DlgDocColorsTab		: "الألوان والهوامش",
+DlgDocMetaTab		: "المعرّفات الرأسية",
+
+DlgDocPageTitle		: "عنوان الصفحة",
+DlgDocLangDir		: "اتجاه اللغة",
+DlgDocLangDirLTR	: "اليسار لليمين (LTR)",
+DlgDocLangDirRTL	: "اليمين لليسار (RTL)",
+DlgDocLangCode		: "رمز اللغة",
+DlgDocCharSet		: "ترميز الحروف",
+DlgDocCharSetOther	: "ترميز حروف آخر",
+
+DlgDocDocType		: "ترويسة نوع  الصفحة",
+DlgDocDocTypeOther	: "ترويسة نوع  صفحة أخرى",
+DlgDocIncXHTML		: "تضمين   إعلانات‏ لغة XHTMLَ",
+DlgDocBgColor		: "لون الخلفية",
+DlgDocBgImage		: "رابط الصورة الخلفية",
+DlgDocBgNoScroll	: "جعلها علامة مائية",
+DlgDocCText			: "النص",
+DlgDocCLink			: "الروابط",
+DlgDocCVisited		: "المزارة",
+DlgDocCActive		: "النشطة",
+DlgDocMargins		: "هوامش الصفحة",
+DlgDocMaTop			: "علوي",
+DlgDocMaLeft		: "أيسر",
+DlgDocMaRight		: "أيمن",
+DlgDocMaBottom		: "سفلي",
+DlgDocMeIndex		: "الكلمات الأساسية (مفصولة بفواصل)َ",
+DlgDocMeDescr		: "وصف الصفحة",
+DlgDocMeAuthor		: "الكاتب",
+DlgDocMeCopy		: "المالك",
+DlgDocPreview		: "معاينة",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "نبذة",
+DlgAboutBrowserInfoTab	: "معلومات متصفحك",
+DlgAboutVersion		: "الإصدار",
+DlgAboutLicense		: "مرخّص بحسب قانون  GNU LGPL",
+DlgAboutInfo		: "لمزيد من المعلومات تفضل بزيارة"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/bg.js soojung/libs/fckeditor/editor/lang/bg.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/bg.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/bg.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: bg.js
+ * 	Bulgarian language file.
+ * 
+ * File Authors:
+ * 		Miroslav Ivanov (miro@primal-chaos.net)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Скрий панела с инструментите",
+ToolbarExpand		: "Покажи панела с инструментите",
+
+// Toolbar Items and Context Menu
+Save				: "Запази",
+NewPage				: "Нова страница",
+Preview				: "Предварителен изглед",
+Cut					: "Изрежи",
+Copy				: "Запамети",
+Paste				: "Вмъкни",
+PasteText			: "Вмъкни само текст",
+PasteWord			: "Вмъкни от MS Word",
+Print				: "Печат",
+SelectAll			: "Селектирай всичко",
+RemoveFormat		: "Изтрий форматирането",
+InsertLinkLbl		: "Връзка",
+InsertLink			: "Добави/Редактирай връзка",
+RemoveLink			: "Изтрий връзка",
+Anchor				: "Добави/Редактирай котва",
+InsertImageLbl		: "Изображение",
+InsertImage			: "Добави/Редактирай изображение",
+InsertTableLbl		: "Таблица",
+InsertTable			: "Добави/Редактирай таблица",
+InsertLineLbl		: "Линия",
+InsertLine			: "Вмъкни хоризонтална линия",
+InsertSpecialCharLbl: "Специален символ",
+InsertSpecialChar	: "Вмъкни специален символ",
+InsertSmileyLbl		: "Усмивка",
+InsertSmiley		: "Добави усмивка",
+About				: "За FCKeditor",
+Bold				: "Удебелен",
+Italic				: "Курсив",
+Underline			: "Подчертан",
+StrikeThrough		: "Зачертан",
+Subscript			: "Индекс за база",
+Superscript			: "Индекс за степен",
+LeftJustify			: "Подравняване в ляво",
+CenterJustify		: "Подравнявне в средата",
+RightJustify		: "Подравняване в дясно",
+BlockJustify		: "Двустранно подравняване",
+DecreaseIndent		: "Намали отстъпа",
+IncreaseIndent		: "Увеличи отстъпа",
+Undo				: "Отмени",
+Redo				: "Повтори",
+NumberedListLbl		: "Нумериран списък",
+NumberedList		: "Добави/Изтрий нумериран списък",
+BulletedListLbl		: "Ненумериран списък",
+BulletedList		: "Добави/Изтрий ненумериран списък",
+ShowTableBorders	: "Покажи рамките на таблицата",
+ShowDetails			: "Покажи подробности",
+Style				: "Стил",
+FontFormat			: "Формат",
+Font				: "Шрифт",
+FontSize			: "Размер",
+TextColor			: "Цвят на текста",
+BGColor				: "Цвят на фона",
+Source				: "Код",
+Find				: "Търси",
+Replace				: "Замести",
+SpellCheck			: "Провери правописа",
+UniversalKeyboard	: "Универсална клавиатура",
+
+Form			: "Формуляр",
+Checkbox		: "Поле за отметка",
+RadioButton		: "Поле за опция",
+TextField		: "Текстово поле",
+Textarea		: "Текстова област",
+HiddenField		: "Скрито поле",
+Button			: "Бутон",
+SelectionField	: "Падащо меню с опции",
+ImageButton		: "Бутон-изображение",
+
+// Context Menu
+EditLink			: "Редактирай връзка",
+InsertRow			: "Добави ред",
+DeleteRows			: "Изтрий редовете",
+InsertColumn		: "Добави колона",
+DeleteColumns		: "Изтрий колоните",
+InsertCell			: "Добави клетка",
+DeleteCells			: "Изтрий клетките",
+MergeCells			: "Обедини клетките",
+SplitCell			: "Раздели клетката",
+CellProperties		: "Параметри на клетката",
+TableProperties		: "Параметри на таблицата",
+ImageProperties		: "Параметри на изображението",
+
+AnchorProp			: "Параметри на котвата",
+ButtonProp			: "Параметри на бутона",
+CheckboxProp		: "Параметри на полето за отметка",
+HiddenFieldProp		: "Параметри на скритото поле",
+RadioButtonProp		: "Параметри на полето за опция",
+ImageButtonProp		: "Параметри на бутона-изображение",
+TextFieldProp		: "Параметри на текстовото-поле",
+SelectionFieldProp	: "Параметри на падащото меню с опции",
+TextareaProp		: "Параметри на текстовата област",
+FormProp			: "Параметри на формуляра",
+
+FontFormats			: "Нормален;Форматиран;Адрес;Заглавие 1;Заглавие 2;Заглавие 3;Заглавие 4;Заглавие 5;Заглавие 6;Параграф (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "Обработка на XHTML. Моля изчакайте...",
+Done				: "Готово",
+PasteWordConfirm	: "Текстът, който искате да вмъкнете е копиран от MS Word. Желаете ли да бъде изчистен преди вмъкването?",
+NotCompatiblePaste	: "Тази операция изисква MS Internet Explorer версия 5.5 или по-висока. Желаете ли да вмъкнете запаметеното без изчистване?",
+UnknownToolbarItem	: "Непознат инструмент \"%1\"",
+UnknownCommand		: "Непозната команда \"%1\"",
+NotImplemented		: "Командата не е имплементирана",
+UnknownToolbarSet	: "Панелът \"%1\" не съществува",
+
+// Dialogs
+DlgBtnOK			: "ОК",
+DlgBtnCancel		: "Отказ",
+DlgBtnClose			: "Затвори",
+DlgBtnBrowseServer	: "Разгледай сървъра",
+DlgAdvancedTag		: "Подробности...",
+DlgOpOther			: "&lt;Друго&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;не е настроен&gt;",
+DlgGenId			: "Идентификатор",
+DlgGenLangDir		: "посока на речта",
+DlgGenLangDirLtr	: "От ляво на дясно",
+DlgGenLangDirRtl	: "От дясно на ляво",
+DlgGenLangCode		: "Код на езика",
+DlgGenAccessKey		: "Бърз клавиш",
+DlgGenName			: "Име",
+DlgGenTabIndex		: "Ред на достъп",
+DlgGenLongDescr		: "Описание на връзката",
+DlgGenClass			: "Клас от стиловите таблици",
+DlgGenTitle			: "Препоръчително заглавие",
+DlgGenContType		: "Препоръчителен тип на съдържанието",
+DlgGenLinkCharset	: "Тип на свързания ресурс",
+DlgGenStyle			: "Стил",
+
+// Image Dialog
+DlgImgTitle			: "Параметри на изображението",
+DlgImgInfoTab		: "Информация за изображението",
+DlgImgBtnUpload		: "Прати към сървъра",
+DlgImgURL			: "Пълен път (URL)",
+DlgImgUpload		: "Качи",
+DlgImgAlt			: "Алтернативен текст",
+DlgImgWidth			: "Ширина",
+DlgImgHeight		: "Височина",
+DlgImgLockRatio		: "Запази пропорцията",
+DlgBtnResetSize		: "Възстанови размера",
+DlgImgBorder		: "Рамка",
+DlgImgHSpace		: "Хоризонтален отстъп",
+DlgImgVSpace		: "Вертикален отстъп",
+DlgImgAlign			: "Подравняване",
+DlgImgAlignLeft		: "Ляво",
+DlgImgAlignAbsBottom: "Най-долу",
+DlgImgAlignAbsMiddle: "Точно по средата",
+DlgImgAlignBaseline	: "По базовата линия",
+DlgImgAlignBottom	: "Долу",
+DlgImgAlignMiddle	: "По средата",
+DlgImgAlignRight	: "Дясно",
+DlgImgAlignTextTop	: "Върху текста",
+DlgImgAlignTop		: "Отгоре",
+DlgImgPreview		: "Изглед",
+DlgImgAlertUrl		: "Моля, въведете пълния път до изображението",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Връзка",
+DlgLnkInfoTab		: "Информация за връзката",
+DlgLnkTargetTab		: "Цел",
+
+DlgLnkType			: "Вид на връзката",
+DlgLnkTypeURL		: "Пълен път (URL)",
+DlgLnkTypeAnchor	: "Котва в текущата страница",
+DlgLnkTypeEMail		: "Е-поща",
+DlgLnkProto			: "Прокотол",
+DlgLnkProtoOther	: "&lt;друго&gt;",
+DlgLnkURL			: "Пълен път (URL)",
+DlgLnkAnchorSel		: "Изберете котва",
+DlgLnkAnchorByName	: "По име на котвата",
+DlgLnkAnchorById	: "По идентификатор на елемент",
+DlgLnkNoAnchors		: "&lt;Няма котви в текущия документ&gt;",
+DlgLnkEMail			: "Адрес за е-поща",
+DlgLnkEMailSubject	: "Тема на писмото",
+DlgLnkEMailBody		: "Текст на писмото",
+DlgLnkUpload		: "Качи",
+DlgLnkBtnUpload		: "Прати на сървъра",
+
+DlgLnkTarget		: "Цел",
+DlgLnkTargetFrame	: "&lt;рамка&gt;",
+DlgLnkTargetPopup	: "&lt;дъщерен прозорец&gt;",
+DlgLnkTargetBlank	: "Нов прозорец (_blank)",
+DlgLnkTargetParent	: "Родителски прозорец (_parent)",
+DlgLnkTargetSelf	: "Активния прозорец (_self)",
+DlgLnkTargetTop		: "Целия прозорец (_top)",
+DlgLnkTargetFrameName	: "Име на целиевия прозорец",
+DlgLnkPopWinName	: "Име на дъщерния прозорец",
+DlgLnkPopWinFeat	: "Параметри на дъщерния прозорец",
+DlgLnkPopResize		: "С променливи размери",
+DlgLnkPopLocation	: "Поле за адрес",
+DlgLnkPopMenu		: "Меню",
+DlgLnkPopScroll		: "Плъзгач",
+DlgLnkPopStatus		: "Поле за статус",
+DlgLnkPopToolbar	: "Панел с бутони",
+DlgLnkPopFullScrn	: "Голям екран (MS IE)",
+DlgLnkPopDependent	: "Зависим (Netscape)",
+DlgLnkPopWidth		: "Ширина",
+DlgLnkPopHeight		: "Височина",
+DlgLnkPopLeft		: "Координати - X",
+DlgLnkPopTop		: "Координати - Y",
+
+DlnLnkMsgNoUrl		: "Моля, напишете пълния път (URL)",
+DlnLnkMsgNoEMail	: "Моля, напишете адреса за е-поща",
+DlnLnkMsgNoAnchor	: "Моля, изберете котва",
+
+// Color Dialog
+DlgColorTitle		: "Изберете цвят",
+DlgColorBtnClear	: "Изчисти",
+DlgColorHighlight	: "Текущ",
+DlgColorSelected	: "Избран",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Добави усмивка",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Изберете специален символ",
+
+// Table Dialog
+DlgTableTitle		: "Параметри на таблицата",
+DlgTableRows		: "Редове",
+DlgTableColumns		: "Колони",
+DlgTableBorder		: "Размер на рамката",
+DlgTableAlign		: "Подравняване",
+DlgTableAlignNotSet	: "<Не е избрано>",
+DlgTableAlignLeft	: "Ляво",
+DlgTableAlignCenter	: "Център",
+DlgTableAlignRight	: "Дясно",
+DlgTableWidth		: "Ширина",
+DlgTableWidthPx		: "пиксели",
+DlgTableWidthPc		: "проценти",
+DlgTableHeight		: "Височина",
+DlgTableCellSpace	: "Разстояние между клетките",
+DlgTableCellPad		: "Отстъп на съдържанието в клетките",
+DlgTableCaption		: "Заглавие",
+
+// Table Cell Dialog
+DlgCellTitle		: "Параметри на клетката",
+DlgCellWidth		: "Ширина",
+DlgCellWidthPx		: "пиксели",
+DlgCellWidthPc		: "проценти",
+DlgCellHeight		: "Височина",
+DlgCellWordWrap		: "пренасяне на нов ред",
+DlgCellWordWrapNotSet	: "&lt;Не е настроено&gt;",
+DlgCellWordWrapYes	: "Да",
+DlgCellWordWrapNo	: "не",
+DlgCellHorAlign		: "Хоризонтално подравняване",
+DlgCellHorAlignNotSet	: "&lt;Не е настроено&gt;",
+DlgCellHorAlignLeft	: "Ляво",
+DlgCellHorAlignCenter	: "Център",
+DlgCellHorAlignRight: "Дясно",
+DlgCellVerAlign		: "Вертикално подравняване",
+DlgCellVerAlignNotSet	: "&lt;Не е настроено&gt;",
+DlgCellVerAlignTop	: "Горе",
+DlgCellVerAlignMiddle	: "По средата",
+DlgCellVerAlignBottom	: "Долу",
+DlgCellVerAlignBaseline	: "По базовата линия",
+DlgCellRowSpan		: "повече от един ред",
+DlgCellCollSpan		: "повече от една колона",
+DlgCellBackColor	: "фонов цвят",
+DlgCellBorderColor	: "цвят на рамката",
+DlgCellBtnSelect	: "Изберете...",
+
+// Find Dialog
+DlgFindTitle		: "Търси",
+DlgFindFindBtn		: "Търси",
+DlgFindNotFoundMsg	: "Указания текст не беше намерен.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Замести",
+DlgReplaceFindLbl		: "Търси:",
+DlgReplaceReplaceLbl	: "Замести с:",
+DlgReplaceCaseChk		: "Със същия регистър",
+DlgReplaceReplaceBtn	: "Замести",
+DlgReplaceReplAllBtn	: "Замести всички",
+DlgReplaceWordChk		: "Търси същата дума",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Настройките за сигурност на вашия бразуър не разрешават на редактора да изпълни вмъкването. За целта използвайте клавиатурата (Ctrl+V).",
+PasteErrorCut	: "Настройките за сигурност на вашия бразуър не разрешават на редактора да изпълни изрязването. За целта използвайте клавиатурата (Ctrl+X).",
+PasteErrorCopy	: "Настройките за сигурност на вашия бразуър не разрешават на редактора да изпълни запаметяването. За целта използвайте клавиатурата (Ctrl+C).",
+
+PasteAsText		: "Вмъкни като чист текст",
+PasteFromWord	: "Вмъкни от MS Word",
+
+DlgPasteMsg		: "Редакторът не успя да изпълни автоматичното вмъкване заради <STRONG>настройките за сигурност</STRONG> на вашия браузър.<BR>Моля, изпълнете вмъкването, използвайки клавиатурата (<STRONG>Ctrl+V</STRONG>), след което изберете <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "По подразбиране",
+ColorMoreColors	: "Други цветове...",
+
+// Document Properties
+DocProps		: "Параметри на документа",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Параметри на котвата",
+DlgAnchorName		: "Име на котвата",
+DlgAnchorErrorName	: "Моля, въведете име на котвата",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Липсва в речника",
+DlgSpellChangeTo		: "Промени на",
+DlgSpellBtnIgnore		: "Игнорирай",
+DlgSpellBtnIgnoreAll	: "Игнорирай всички",
+DlgSpellBtnReplace		: "Замести",
+DlgSpellBtnReplaceAll	: "Замести всички",
+DlgSpellBtnUndo			: "Отмени",
+DlgSpellNoSuggestions	: "- Няма предложения -",
+DlgSpellProgress		: "Извършване на проверката за правопис...",
+DlgSpellNoMispell		: "Проверката за правопис завършена: не са открити правописни грешки",
+DlgSpellNoChanges		: "Проверката за правопис завършена: няма променени думи",
+DlgSpellOneChange		: "Проверката за правопис завършена: една дума е променена",
+DlgSpellManyChanges		: "Проверката за правопис завършена: %1 думи са променени",
+
+IeSpellDownload			: "Инструментът за проверка на правопис не е инсталиран. Желаете ли да го инсталирате ?",
+
+// Button Dialog
+DlgButtonText	: "Текст (Стойност)",
+DlgButtonType	: "Тип",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Име",
+DlgCheckboxValue	: "Стойност",
+DlgCheckboxSelected	: "Отметнато",
+
+// Form Dialog
+DlgFormName		: "Име",
+DlgFormAction	: "Действие",
+DlgFormMethod	: "Метод",
+
+// Select Field Dialog
+DlgSelectName		: "Име",
+DlgSelectValue		: "Стойност",
+DlgSelectSize		: "Размер",
+DlgSelectLines		: "линии",
+DlgSelectChkMulti	: "Разрешено множествено селектиране",
+DlgSelectOpAvail	: "Възможни опции",
+DlgSelectOpText		: "Текст",
+DlgSelectOpValue	: "Стойност",
+DlgSelectBtnAdd		: "Добави",
+DlgSelectBtnModify	: "Промени",
+DlgSelectBtnUp		: "Нагоре",
+DlgSelectBtnDown	: "Надолу",
+DlgSelectBtnSetValue : "Настрой като избрана стойност",
+DlgSelectBtnDelete	: "Изтрий",
+
+// Textarea Dialog
+DlgTextareaName	: "Име",
+DlgTextareaCols	: "Колони",
+DlgTextareaRows	: "Редове",
+
+// Text Field Dialog
+DlgTextName			: "Име",
+DlgTextValue		: "Стойност",
+DlgTextCharWidth	: "Ширина на символите",
+DlgTextMaxChars		: "Максимум символи",
+DlgTextType			: "Тип",
+DlgTextTypeText		: "Текст",
+DlgTextTypePass		: "Парола",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Име",
+DlgHiddenValue	: "Стойност",
+
+// Bulleted List Dialog
+BulletedListProp	: "Параметри на ненумерирания списък",
+NumberedListProp	: "Параметри на нумерирания списък",
+DlgLstType			: "Тип",
+DlgLstTypeCircle	: "Окръжност",
+DlgLstTypeDisk		: "Диск",
+DlgLstTypeSquare	: "Квадрат",
+DlgLstTypeNumbers	: "Числа (1, 2, 3)",
+DlgLstTypeLCase		: "Малки букви (a, b, c)",
+DlgLstTypeUCase		: "Големи букви (A, B, C)",
+DlgLstTypeSRoman	: "Малки римски числа (i, ii, iii)",
+DlgLstTypeLRoman	: "Големи римски числа (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Общи",
+DlgDocBackTab		: "Фон",
+DlgDocColorsTab		: "Цветове и отстъпи",
+DlgDocMetaTab		: "Мета данни",
+
+DlgDocPageTitle		: "Заглавие на страницата",
+DlgDocLangDir		: "Посока на речта",
+DlgDocLangDirLTR	: "От ляво на дясно",
+DlgDocLangDirRTL	: "От дясно на ляво",
+DlgDocLangCode		: "Код на езика",
+DlgDocCharSet		: "Кодиране на символите",
+DlgDocCharSetOther	: "Друго кодиране на символите",
+
+DlgDocDocType		: "Тип на документа",
+DlgDocDocTypeOther	: "Друг тип на документа",
+DlgDocIncXHTML		: "Включи XHTML декларация",
+DlgDocBgColor		: "Цвят на фона",
+DlgDocBgImage		: "Пълен път до фоновото изображение",
+DlgDocBgNoScroll	: "Не-повтарящо се фоново изображение",
+DlgDocCText			: "Текст",
+DlgDocCLink			: "Връзка",
+DlgDocCVisited		: "Посетена връзка",
+DlgDocCActive		: "Активна връзка",
+DlgDocMargins		: "Отстъпи на страницата",
+DlgDocMaTop			: "Горе",
+DlgDocMaLeft		: "Ляво",
+DlgDocMaRight		: "Дясно",
+DlgDocMaBottom		: "Долу",
+DlgDocMeIndex		: "Ключови думи за документа (разделени със запетаи)",
+DlgDocMeDescr		: "Описание на документа",
+DlgDocMeAuthor		: "Автор",
+DlgDocMeCopy		: "Авторски права",
+DlgDocPreview		: "Изглед",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "За",
+DlgAboutBrowserInfoTab	: "Информация за браузъра",
+DlgAboutVersion		: "версия",
+DlgAboutLicense		: "Лиценз по условията на GNU Lesser General Public License",
+DlgAboutInfo		: "За повече информация отидете на"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/bs.js soojung/libs/fckeditor/editor/lang/bs.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/bs.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/bs.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: bs.js
+ * 	Bosnian language file.
+ * 
+ * File Authors:
+ * 		Muris Trax (www.elektronika.ba)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Skupi trake sa alatima",
+ToolbarExpand		: "Otvori trake sa alatima",
+
+// Toolbar Items and Context Menu
+Save				: "Snimi",
+NewPage				: "Novi dokument",
+Preview				: "Prikaži",
+Cut					: "Izreži",
+Copy				: "Kopiraj",
+Paste				: "Zalijepi",
+PasteText			: "Zalijepi kao obièan tekst",
+PasteWord			: "Zalijepi iz Word-a",
+Print				: "Štampaj",
+SelectAll			: "Selektuj sve",
+RemoveFormat		: "Poništi format",
+InsertLinkLbl		: "Link",
+InsertLink			: "Ubaci/Izmjeni link",
+RemoveLink			: "Izbriši link",
+Anchor				: "Insert/Edit Anchor",	//MISSING
+InsertImageLbl		: "Slika",
+InsertImage			: "Ubaci/Izmjeni sliku",
+InsertTableLbl		: "Tabela",
+InsertTable			: "Ubaci/Izmjeni tabelu",
+InsertLineLbl		: "Linija",
+InsertLine			: "Ubaci horizontalnu liniju",
+InsertSpecialCharLbl: "Specijalni karakter",
+InsertSpecialChar	: "Ubaci specijalni karater",
+InsertSmileyLbl		: "Smješko",
+InsertSmiley		: "Ubaci smješka",
+About				: "O FCKeditor-u",
+Bold				: "Boldiraj",
+Italic				: "Ukosi",
+Underline			: "Podvuci",
+StrikeThrough		: "Precrtaj",
+Subscript			: "Subscript",
+Superscript			: "Superscript",
+LeftJustify			: "Lijevo poravnanje",
+CenterJustify		: "Centralno poravnanje",
+RightJustify		: "Desno poravnanje",
+BlockJustify		: "Puno poravnanje",
+DecreaseIndent		: "Smanji uvod",
+IncreaseIndent		: "Poveæaj uvod",
+Undo				: "Vrati",
+Redo				: "Ponovi",
+NumberedListLbl		: "Numerisana lista",
+NumberedList		: "Ubaci/Izmjeni numerisanu listu",
+BulletedListLbl		: "Lista",
+BulletedList		: "Ubaci/Izmjeni listu",
+ShowTableBorders	: "Pokaži okvire tabela",
+ShowDetails			: "Pokaži detalje",
+Style				: "Stil",
+FontFormat			: "Format",
+Font				: "Font",
+FontSize			: "Velièina",
+TextColor			: "Boja teksta",
+BGColor				: "Boja pozadine",
+Source				: "HTML kôd",
+Find				: "Naði",
+Replace				: "Zamjeni",
+SpellCheck			: "Check Spell",	//MISSING
+UniversalKeyboard	: "Universal Keyboard",	//MISSING
+
+Form			: "Form",	//MISSING
+Checkbox		: "Checkbox",	//MISSING
+RadioButton		: "Radio Button",	//MISSING
+TextField		: "Text Field",	//MISSING
+Textarea		: "Textarea",	//MISSING
+HiddenField		: "Hidden Field",	//MISSING
+Button			: "Button",	//MISSING
+SelectionField	: "Selection Field",	//MISSING
+ImageButton		: "Image Button",	//MISSING
+
+// Context Menu
+EditLink			: "Izmjeni link",
+InsertRow			: "Ubaci red",
+DeleteRows			: "Briši redove",
+InsertColumn		: "Ubaci kolonu",
+DeleteColumns		: "Briši kolone",
+InsertCell			: "Ubaci æeliju",
+DeleteCells			: "Briši æelije",
+MergeCells			: "Spoji æelije",
+SplitCell			: "Razdvoji æeliju",
+CellProperties		: "Svojstva æelije",
+TableProperties		: "Svojstva tabele",
+ImageProperties		: "Svojstva slike",
+
+AnchorProp			: "Anchor Properties",	//MISSING
+ButtonProp			: "Button Properties",	//MISSING
+CheckboxProp		: "Checkbox Properties",	//MISSING
+HiddenFieldProp		: "Hidden Field Properties",	//MISSING
+RadioButtonProp		: "Radio Button Properties",	//MISSING
+ImageButtonProp		: "Image Button Properties",	//MISSING
+TextFieldProp		: "Text Field Properties",	//MISSING
+SelectionFieldProp	: "Selection Field Properties",	//MISSING
+TextareaProp		: "Textarea Properties",	//MISSING
+FormProp			: "Form Properties",	//MISSING
+
+FontFormats			: "Normal;Formatted;Address;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Procesiram XHTML. Molim saèekajte...",
+Done				: "Gotovo",
+PasteWordConfirm	: "Tekst koji želite zalijepiti èini se da je kopiran iz Worda. Da li želite da se prvo oèisti?",
+NotCompatiblePaste	: "Ova komanda je podržana u Internet Explorer-u verzijama 5.5 ili novijim. Da li želite da izvršite lijepljenje teksta bez èišæenja?",
+UnknownToolbarItem	: "Nepoznata stavka sa trake sa alatima \"%1\"",
+UnknownCommand		: "Nepoznata komanda \"%1\"",
+NotImplemented		: "Komanda nije implementirana",
+UnknownToolbarSet	: "Traka sa alatima \"%1\" ne postoji",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Odustani",
+DlgBtnClose			: "Zatvori",
+DlgBtnBrowseServer	: "Browse Server",	//MISSING
+DlgAdvancedTag		: "Naprednije",
+DlgOpOther			: "&lt;Other&gt;",	//MISSING
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;nije podešeno&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Smjer pisanja",
+DlgGenLangDirLtr	: "S lijeva na desno (LTR)",
+DlgGenLangDirRtl	: "S desna na lijevo (RTL)",
+DlgGenLangCode		: "Jezièni kôd",
+DlgGenAccessKey		: "Pristupna tipka",
+DlgGenName			: "Naziv",
+DlgGenTabIndex		: "Tab indeks",
+DlgGenLongDescr		: "Dugaèki opis URL-a",
+DlgGenClass			: "Klase CSS stilova",
+DlgGenTitle			: "Advisory title",
+DlgGenContType		: "Advisory vrsta sadržaja",
+DlgGenLinkCharset	: "Linked Resource Charset",
+DlgGenStyle			: "Stil",
+
+// Image Dialog
+DlgImgTitle			: "Svojstva slike",
+DlgImgInfoTab		: "Info slike",
+DlgImgBtnUpload		: "Šalji na server",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Šalji",
+DlgImgAlt			: "Tekst na slici",
+DlgImgWidth			: "Širina",
+DlgImgHeight		: "Visina",
+DlgImgLockRatio		: "Zakljuèaj odnos",
+DlgBtnResetSize		: "Resetuj dimenzije",
+DlgImgBorder		: "Okvir",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Poravnanje",
+DlgImgAlignLeft		: "Lijevo",
+DlgImgAlignAbsBottom: "Abs dole",
+DlgImgAlignAbsMiddle: "Abs sredina",
+DlgImgAlignBaseline	: "Bazno",
+DlgImgAlignBottom	: "Dno",
+DlgImgAlignMiddle	: "Sredina",
+DlgImgAlignRight	: "Desno",
+DlgImgAlignTextTop	: "Vrh teksta",
+DlgImgAlignTop		: "Vrh",
+DlgImgPreview		: "Prikaz",
+DlgImgAlertUrl		: "Molimo ukucajte URL od slike.",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Link",
+DlgLnkInfoTab		: "Link info",
+DlgLnkTargetTab		: "Prozor",
+
+DlgLnkType			: "Tip linka",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Sidro na ovoj stranici",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protokol",
+DlgLnkProtoOther	: "&lt;drugi&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Izaberi sidro",
+DlgLnkAnchorByName	: "Po nazivu sidra",
+DlgLnkAnchorById	: "Po Id-u elementa",
+DlgLnkNoAnchors		: "&lt;Nema dostupnih sidra na stranici&gt;",
+DlgLnkEMail			: "E-Mail Adresa",
+DlgLnkEMailSubject	: "Subjekt poruke",
+DlgLnkEMailBody		: "Poruka",
+DlgLnkUpload		: "Šalji",
+DlgLnkBtnUpload		: "Šalji na server",
+
+DlgLnkTarget		: "Prozor",
+DlgLnkTargetFrame	: "&lt;frejm&gt;",
+DlgLnkTargetPopup	: "&lt;popup prozor&gt;",
+DlgLnkTargetBlank	: "Novi prozor (_blank)",
+DlgLnkTargetParent	: "Glavni prozor (_parent)",
+DlgLnkTargetSelf	: "Isti prozor (_self)",
+DlgLnkTargetTop		: "Najgornji prozor (_top)",
+DlgLnkTargetFrameName	: "Target Frame Name",	//MISSING
+DlgLnkPopWinName	: "Naziv popup prozora",
+DlgLnkPopWinFeat	: "Moguænosti popup prozora",
+DlgLnkPopResize		: "Promjenljive velièine",
+DlgLnkPopLocation	: "Traka za lokaciju",
+DlgLnkPopMenu		: "Izborna traka",
+DlgLnkPopScroll		: "Scroll traka",
+DlgLnkPopStatus		: "Statusna traka",
+DlgLnkPopToolbar	: "Traka sa alatima",
+DlgLnkPopFullScrn	: "Cijeli ekran (IE)",
+DlgLnkPopDependent	: "Ovisno (Netscape)",
+DlgLnkPopWidth		: "Širina",
+DlgLnkPopHeight		: "Visina",
+DlgLnkPopLeft		: "Lijeva pozicija",
+DlgLnkPopTop		: "Gornja pozicija",
+
+DlnLnkMsgNoUrl		: "Molimo ukucajte URL link",
+DlnLnkMsgNoEMail	: "Molimo ukucajte e-mail adresu",
+DlnLnkMsgNoAnchor	: "Molimo izaberite sidro",
+
+// Color Dialog
+DlgColorTitle		: "Izaberi boju",
+DlgColorBtnClear	: "Oèisti",
+DlgColorHighlight	: "Igled",
+DlgColorSelected	: "Selektovana",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Ubaci smješka",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Izaberi specijalni karakter",
+
+// Table Dialog
+DlgTableTitle		: "Svojstva tabele",
+DlgTableRows		: "Redova",
+DlgTableColumns		: "Kolona",
+DlgTableBorder		: "Okvir",
+DlgTableAlign		: "Poravnanje",
+DlgTableAlignNotSet	: "<Nije podešeno>",
+DlgTableAlignLeft	: "Lijevo",
+DlgTableAlignCenter	: "Centar",
+DlgTableAlignRight	: "Desno",
+DlgTableWidth		: "Širina",
+DlgTableWidthPx		: "piksela",
+DlgTableWidthPc		: "posto",
+DlgTableHeight		: "Visina",
+DlgTableCellSpace	: "Razmak æelija",
+DlgTableCellPad		: "Uvod æelija",
+DlgTableCaption		: "Naslov",
+
+// Table Cell Dialog
+DlgCellTitle		: "Svojstva æelije",
+DlgCellWidth		: "Širina",
+DlgCellWidthPx		: "piksela",
+DlgCellWidthPc		: "posto",
+DlgCellHeight		: "Visina",
+DlgCellWordWrap		: "Vrapuj tekst",
+DlgCellWordWrapNotSet	: "<Nije podešeno>",
+DlgCellWordWrapYes	: "Da",
+DlgCellWordWrapNo	: "Ne",
+DlgCellHorAlign		: "Horizontalno poravnanje",
+DlgCellHorAlignNotSet	: "<Nije podešeno>",
+DlgCellHorAlignLeft	: "Lijevo",
+DlgCellHorAlignCenter	: "Centar",
+DlgCellHorAlignRight: "Desno",
+DlgCellVerAlign		: "Vertikalno poravnanje",
+DlgCellVerAlignNotSet	: "<Nije podešeno>",
+DlgCellVerAlignTop	: "Gore",
+DlgCellVerAlignMiddle	: "Sredina",
+DlgCellVerAlignBottom	: "Dno",
+DlgCellVerAlignBaseline	: "Bazno",
+DlgCellRowSpan		: "Spajanje æelija",
+DlgCellCollSpan		: "Spajanje kolona",
+DlgCellBackColor	: "Boja pozadine",
+DlgCellBorderColor	: "Boja okvira",
+DlgCellBtnSelect	: "Selektuj...",
+
+// Find Dialog
+DlgFindTitle		: "Naði",
+DlgFindFindBtn		: "Naði",
+DlgFindNotFoundMsg	: "Traženi tekst nije pronaðen.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Zamjeni",
+DlgReplaceFindLbl		: "Naði šta:",
+DlgReplaceReplaceLbl	: "Zamjeni sa:",
+DlgReplaceCaseChk		: "Uporeðuj velika/mala slova",
+DlgReplaceReplaceBtn	: "Zamjeni",
+DlgReplaceReplAllBtn	: "Zamjeni sve",
+DlgReplaceWordChk		: "Uporeðuj samo cijelu rijeè",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Sigurnosne postavke vašeg pretraživaèa ne dozvoljavaju operacije automatskog lijepljenja. Molimo koristite kraticu na tastaturi (Ctrl+V).",
+PasteErrorCut	: "Sigurnosne postavke vašeg pretraživaèa ne dozvoljavaju operacije automatskog rezanja. Molimo koristite kraticu na tastaturi (Ctrl+X).",
+PasteErrorCopy	: "Sigurnosne postavke Vašeg pretraživaèa ne dozvoljavaju operacije automatskog kopiranja. Molimo koristite kraticu na tastaturi (Ctrl+C).",
+
+PasteAsText		: "Zalijepi kao obièan tekst",
+PasteFromWord	: "Zalijepi iz Word-a",
+
+DlgPasteMsg		: "Editor nije mogao automatski zaljepiti zbog  <STRONG>sigurnosnih postavki</STRONG> vašeg pretraživaèa.<BR>Molimo zalijepite unutar slijedeæe kocke koristeæi tastaturu (<STRONG>Ctrl+V</STRONG>) i pritisnite <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatska",
+ColorMoreColors	: "Više boja...",
+
+// Document Properties
+DocProps		: "Document Properties",	//MISSING
+
+// Anchor Dialog
+DlgAnchorTitle		: "Anchor Properties",	//MISSING
+DlgAnchorName		: "Anchor Name",	//MISSING
+DlgAnchorErrorName	: "Please type the anchor name",	//MISSING
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Not in dictionary",	//MISSING
+DlgSpellChangeTo		: "Change to",	//MISSING
+DlgSpellBtnIgnore		: "Ignore",	//MISSING
+DlgSpellBtnIgnoreAll	: "Ignore All",	//MISSING
+DlgSpellBtnReplace		: "Replace",	//MISSING
+DlgSpellBtnReplaceAll	: "Replace All",	//MISSING
+DlgSpellBtnUndo			: "Undo",	//MISSING
+DlgSpellNoSuggestions	: "- No suggestions -",	//MISSING
+DlgSpellProgress		: "Spell check in progress...",	//MISSING
+DlgSpellNoMispell		: "Spell check complete: No misspellings found",	//MISSING
+DlgSpellNoChanges		: "Spell check complete: No words changed",	//MISSING
+DlgSpellOneChange		: "Spell check complete: One word changed",	//MISSING
+DlgSpellManyChanges		: "Spell check complete: %1 words changed",	//MISSING
+
+IeSpellDownload			: "Spell checker not installed. Do you want to download it now?",	//MISSING
+
+// Button Dialog
+DlgButtonText	: "Text (Value)",	//MISSING
+DlgButtonType	: "Type",	//MISSING
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Name",	//MISSING
+DlgCheckboxValue	: "Value",	//MISSING
+DlgCheckboxSelected	: "Selected",	//MISSING
+
+// Form Dialog
+DlgFormName		: "Name",	//MISSING
+DlgFormAction	: "Action",	//MISSING
+DlgFormMethod	: "Method",	//MISSING
+
+// Select Field Dialog
+DlgSelectName		: "Name",	//MISSING
+DlgSelectValue		: "Value",	//MISSING
+DlgSelectSize		: "Size",	//MISSING
+DlgSelectLines		: "lines",	//MISSING
+DlgSelectChkMulti	: "Allow multiple selections",	//MISSING
+DlgSelectOpAvail	: "Available Options",	//MISSING
+DlgSelectOpText		: "Text",	//MISSING
+DlgSelectOpValue	: "Value",	//MISSING
+DlgSelectBtnAdd		: "Add",	//MISSING
+DlgSelectBtnModify	: "Modify",	//MISSING
+DlgSelectBtnUp		: "Up",	//MISSING
+DlgSelectBtnDown	: "Down",	//MISSING
+DlgSelectBtnSetValue : "Set as selected value",	//MISSING
+DlgSelectBtnDelete	: "Delete",	//MISSING
+
+// Textarea Dialog
+DlgTextareaName	: "Name",	//MISSING
+DlgTextareaCols	: "Columns",	//MISSING
+DlgTextareaRows	: "Rows",	//MISSING
+
+// Text Field Dialog
+DlgTextName			: "Name",	//MISSING
+DlgTextValue		: "Value",	//MISSING
+DlgTextCharWidth	: "Character Width",	//MISSING
+DlgTextMaxChars		: "Maximum Characters",	//MISSING
+DlgTextType			: "Type",	//MISSING
+DlgTextTypeText		: "Text",	//MISSING
+DlgTextTypePass		: "Password",	//MISSING
+
+// Hidden Field Dialog
+DlgHiddenName	: "Name",	//MISSING
+DlgHiddenValue	: "Value",	//MISSING
+
+// Bulleted List Dialog
+BulletedListProp	: "Bulleted List Properties",	//MISSING
+NumberedListProp	: "Numbered List Properties",	//MISSING
+DlgLstType			: "Type",	//MISSING
+DlgLstTypeCircle	: "Circle",	//MISSING
+DlgLstTypeDisk		: "Disk",	//MISSING
+DlgLstTypeSquare	: "Square",	//MISSING
+DlgLstTypeNumbers	: "Numbers (1, 2, 3)",	//MISSING
+DlgLstTypeLCase		: "Lowercase Letters (a, b, c)",	//MISSING
+DlgLstTypeUCase		: "Uppercase Letters (A, B, C)",	//MISSING
+DlgLstTypeSRoman	: "Small Roman Numerals (i, ii, iii)",	//MISSING
+DlgLstTypeLRoman	: "Large Roman Numerals (I, II, III)",	//MISSING
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",	//MISSING
+DlgDocBackTab		: "Background",	//MISSING
+DlgDocColorsTab		: "Colors and Margins",	//MISSING
+DlgDocMetaTab		: "Meta Data",	//MISSING
+
+DlgDocPageTitle		: "Page Title",	//MISSING
+DlgDocLangDir		: "Language Direction",	//MISSING
+DlgDocLangDirLTR	: "Left to Right (LTR)",	//MISSING
+DlgDocLangDirRTL	: "Right to Left (RTL)",	//MISSING
+DlgDocLangCode		: "Language Code",	//MISSING
+DlgDocCharSet		: "Character Set Encoding",	//MISSING
+DlgDocCharSetOther	: "Other Character Set Encoding",	//MISSING
+
+DlgDocDocType		: "Document Type Heading",	//MISSING
+DlgDocDocTypeOther	: "Other Document Type Heading",	//MISSING
+DlgDocIncXHTML		: "Include XHTML Declarations",	//MISSING
+DlgDocBgColor		: "Background Color",	//MISSING
+DlgDocBgImage		: "Background Image URL",	//MISSING
+DlgDocBgNoScroll	: "Nonscrolling Background",	//MISSING
+DlgDocCText			: "Text",	//MISSING
+DlgDocCLink			: "Link",	//MISSING
+DlgDocCVisited		: "Visited Link",	//MISSING
+DlgDocCActive		: "Active Link",	//MISSING
+DlgDocMargins		: "Page Margins",	//MISSING
+DlgDocMaTop			: "Top",	//MISSING
+DlgDocMaLeft		: "Left",	//MISSING
+DlgDocMaRight		: "Right",	//MISSING
+DlgDocMaBottom		: "Bottom",	//MISSING
+DlgDocMeIndex		: "Document Indexing Keywords (comma separated)",	//MISSING
+DlgDocMeDescr		: "Document Description",	//MISSING
+DlgDocMeAuthor		: "Author",	//MISSING
+DlgDocMeCopy		: "Copyright",	//MISSING
+DlgDocPreview		: "Preview",	//MISSING
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "About",	//MISSING
+DlgAboutBrowserInfoTab	: "Browser Info",	//MISSING
+DlgAboutVersion		: "verzija",
+DlgAboutLicense		: "Licencirano pod uslovima GNU Lesser General Public License",
+DlgAboutInfo		: "Za više informacija posjetite"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/ca.js soojung/libs/fckeditor/editor/lang/ca.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/ca.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/ca.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: ca.js
+ * 	Catalan language file.
+ * 
+ * File Authors:
+ * 		Jordi Cerdan (nan@myp.ad)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Col·lapsar barra",
+ToolbarExpand		: "Expandir barra",
+
+// Toolbar Items and Context Menu
+Save				: "Guardar",
+NewPage				: "Nova Pàgina",
+Preview				: "Vista Prèvia",
+Cut					: "Tallar",
+Copy				: "Copiar",
+Paste				: "Enganxar",
+PasteText			: "Enganxar com text planer",
+PasteWord			: "Enganxar des de Word",
+Print				: "Imprimir",
+SelectAll			: "Seleccionar tot",
+RemoveFormat		: "Eliminar Format",
+InsertLinkLbl		: "Enllaç",
+InsertLink			: "Afegir/Editar Enllaç",
+RemoveLink			: "Eliminar Enllaç",
+Anchor				: "Afegir/Editar Àncora",
+InsertImageLbl		: "Imatge",
+InsertImage			: "Afegir/Editar Imatge",
+InsertTableLbl		: "Taula",
+InsertTable			: "Afegir/Editar Taula",
+InsertLineLbl		: "Línia",
+InsertLine			: "Afegir Línia Horitzontal",
+InsertSpecialCharLbl: "Caràcter Especial",
+InsertSpecialChar	: "Afegir Caràcter Especial",
+InsertSmileyLbl		: "Icona",
+InsertSmiley		: "Afegir Icona",
+About				: "Sobre FCKeditor",
+Bold				: "Negreta",
+Italic				: "Itàlica",
+Underline			: "Subratllat",
+StrikeThrough		: "Tatxat",
+Subscript			: "Subscript",
+Superscript			: "Superscript",
+LeftJustify			: "Justificar Esquerra",
+CenterJustify		: "Justificar Centrat",
+RightJustify		: "Justificar Dreta",
+BlockJustify		: "Justificar Bloc",
+DecreaseIndent		: "Disminuir Indentació",
+IncreaseIndent		: "Augmentar Indentació",
+Undo				: "Desfer",
+Redo				: "Refer",
+NumberedListLbl		: "Llista Numerada",
+NumberedList		: "Afegir/Eliminar Llista Numerada",
+BulletedListLbl		: "Llista Marcada",
+BulletedList		: "Afegir/Eliminar Llista Marcada",
+ShowTableBorders	: "Mostrar Costats de Taules",
+ShowDetails			: "Mostrar Detalls",
+Style				: "Estil",
+FontFormat			: "Format",
+Font				: "Font",
+FontSize			: "Tamany",
+TextColor			: "Color de Text",
+BGColor				: "Color de Fons",
+Source				: "Font",
+Find				: "Cercar",
+Replace				: "Remplaçar",
+SpellCheck			: "Verificar sintaxi",
+UniversalKeyboard	: "Teclat universal",
+
+Form			: "Formulari",
+Checkbox		: "Casella de verificació",
+RadioButton		: "Botó ràdio",
+TextField		: "Camp de text",
+Textarea		: "Àrea de text",
+HiddenField		: "Camp ocult",
+Button			: "botó",
+SelectionField	: "Camp de selecció",
+ImageButton		: "Botó imatge",
+
+// Context Menu
+EditLink			: "Editar Enllaç",
+InsertRow			: "Afegir Fila",
+DeleteRows			: "Eliminar Files",
+InsertColumn		: "Afegir Columna",
+DeleteColumns		: "Eliminar Columnes",
+InsertCell			: "Afegir Cel·la",
+DeleteCells			: "Eliminar Cel·les",
+MergeCells			: "Fusionar Cel·les",
+SplitCell			: "Separar Cel·les",
+CellProperties		: "Proprietats de Cel·la",
+TableProperties		: "Proprietats de Taula",
+ImageProperties		: "Proprietats d'Image",
+
+AnchorProp			: "Proprietats d'àncora",
+ButtonProp			: "Proprietats de botó",
+CheckboxProp		: "Proprietats de casella de verificació",
+HiddenFieldProp		: "Proprietats de camp ocult",
+RadioButtonProp		: "Proprietats de botó ràdio",
+ImageButtonProp		: "Proprietats de botó imatge",
+TextFieldProp		: "Proprietats de camp de text",
+SelectionFieldProp	: "Proprietats de camp de selecció",
+TextareaProp		: "Proprietats de camp de text",
+FormProp			: "Proprietats de formulari",
+
+FontFormats			: "Normal;Formatejat;Adreça;Capçalera 1;Capçalera 2;Capçalera 3;Capçalera 4;Capçalera 5;Capçalera 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Processant XHTML. Si us plau esperi...",
+Done				: "Fet",
+PasteWordConfirm	: "El text que voleu enganxar sembla provenir de Word. Voleu netejar aquest text abans que sigui enganxat?",
+NotCompatiblePaste	: "Aquesta funció és disponible per a Internet Explorer versió 5.5 o superior. Voleu enganxar sense netejar?",
+UnknownToolbarItem	: "Element de la Barra d'eines desconegut \"%1\"",
+UnknownCommand		: "Nom de comanda desconegut \"%1\"",
+NotImplemented		: "Mètode no implementat",
+UnknownToolbarSet	: "Conjunt de barra d'eines \"%1\" inexistent",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Cancelar",
+DlgBtnClose			: "Tancar",
+DlgBtnBrowseServer	: "Veure servidor",
+DlgAdvancedTag		: "Avançat",
+DlgOpOther			: "Altres",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;no definit&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Direcció Idioma",
+DlgGenLangDirLtr	: "Esquerra a Dreta (LTR)",
+DlgGenLangDirRtl	: "Dreta a Esquerra (RTL)",
+DlgGenLangCode		: "Codi de Llengua",
+DlgGenAccessKey		: "Clau d'accés",
+DlgGenName			: "Nom",
+DlgGenTabIndex		: "Index de Tab",
+DlgGenLongDescr		: "Descripció Llarga URL",
+DlgGenClass			: "Classes del Full d'Estils",
+DlgGenTitle			: "Títol Consultiu",
+DlgGenContType		: "Tipus de Contingut Consultiu",
+DlgGenLinkCharset	: "Conjunt de Caràcters Font Enllaçat",
+DlgGenStyle			: "Estil",
+
+// Image Dialog
+DlgImgTitle			: "Proprietats d'Imatge",
+DlgImgInfoTab		: "Informació d'Imatge",
+DlgImgBtnUpload		: "Enviar-la al servidor",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Pujar",
+DlgImgAlt			: "Text Alternatiu",
+DlgImgWidth			: "Amplada",
+DlgImgHeight		: "Alçada",
+DlgImgLockRatio		: "Bloquejar Proporcions",
+DlgBtnResetSize		: "Restaurar Tamany",
+DlgImgBorder		: "Costat",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Alineació",
+DlgImgAlignLeft		: "Left",
+DlgImgAlignAbsBottom: "Abs Bottom",
+DlgImgAlignAbsMiddle: "Abs Middle",
+DlgImgAlignBaseline	: "Baseline",
+DlgImgAlignBottom	: "Bottom",
+DlgImgAlignMiddle	: "Middle",
+DlgImgAlignRight	: "Right",
+DlgImgAlignTextTop	: "Text Top",
+DlgImgAlignTop		: "Top",
+DlgImgPreview		: "Vista Prèvia",
+DlgImgAlertUrl		: "Si us plau, escriviu la URL de la imatge",
+DlgImgLinkTab		: "Enllaç",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Enllaç",
+DlgLnkInfoTab		: "Informació d'Enllaç",
+DlgLnkTargetTab		: "Destí",
+
+DlgLnkType			: "Tipus de Link",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Àncora en aquesta pàgina",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocol",
+DlgLnkProtoOther	: "&lt;altra&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Seleccionar una àncora",
+DlgLnkAnchorByName	: "Per nom d'àncora",
+DlgLnkAnchorById	: "Per Id d'element",
+DlgLnkNoAnchors		: "&lt;No hi ha àncores disponibles en aquest document&gt;",
+DlgLnkEMail			: "Adreça d'E-Mail",
+DlgLnkEMailSubject	: "Subjecte del Missatge",
+DlgLnkEMailBody		: "Cos del Missatge",
+DlgLnkUpload		: "Pujar",
+DlgLnkBtnUpload		: "Enviar al Servidor",
+
+DlgLnkTarget		: "Destí",
+DlgLnkTargetFrame	: "&lt;marc&gt;",
+DlgLnkTargetPopup	: "&lt;finestra popup&gt;",
+DlgLnkTargetBlank	: "Nova Finestra (_blank)",
+DlgLnkTargetParent	: "Finestra Pare (_parent)",
+DlgLnkTargetSelf	: "Mateixa Finestra (_self)",
+DlgLnkTargetTop		: "Finestra Major (_top)",
+DlgLnkTargetFrameName	: "Nom del marc de destí",
+DlgLnkPopWinName	: "Nom Finestra Popup",
+DlgLnkPopWinFeat	: "Característiques Finestra Popup",
+DlgLnkPopResize		: "Redimensionable",
+DlgLnkPopLocation	: "Barra d'Adreça",
+DlgLnkPopMenu		: "Barra de Menú",
+DlgLnkPopScroll		: "Barres d'Scroll",
+DlgLnkPopStatus		: "Barra d'Estat",
+DlgLnkPopToolbar	: "Barra d'Eines",
+DlgLnkPopFullScrn	: "Pantalla completa (IE)",
+DlgLnkPopDependent	: "Depenent (Netscape)",
+DlgLnkPopWidth		: "Amplada",
+DlgLnkPopHeight		: "Alçada",
+DlgLnkPopLeft		: "Posició Esquerra",
+DlgLnkPopTop		: "Posició Dalt",
+
+DlnLnkMsgNoUrl		: "Si us plau, escrigui l'enllaç URL",
+DlnLnkMsgNoEMail	: "Si us plau, escrigui l'adreça e-mail",
+DlnLnkMsgNoAnchor	: "Si us plau, escrigui l'àncora",
+
+// Color Dialog
+DlgColorTitle		: "Seleccioni Color",
+DlgColorBtnClear	: "Netejar",
+DlgColorHighlight	: "Realçar",
+DlgColorSelected	: "Seleccionat",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Afegir una Icona",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Seleccioneu Caràcter Especial",
+
+// Table Dialog
+DlgTableTitle		: "Proprietats de Taula",
+DlgTableRows		: "Files",
+DlgTableColumns		: "Columnes",
+DlgTableBorder		: "Tamany de Costat",
+DlgTableAlign		: "Alineació",
+DlgTableAlignNotSet	: "<No Definit>",
+DlgTableAlignLeft	: "Esquerra",
+DlgTableAlignCenter	: "Centre",
+DlgTableAlignRight	: "Dreta",
+DlgTableWidth		: "Amplada",
+DlgTableWidthPx		: "píxels",
+DlgTableWidthPc		: "percentatge",
+DlgTableHeight		: "Alçada",
+DlgTableCellSpace	: "Cell spacing",
+DlgTableCellPad		: "Cell padding",
+DlgTableCaption		: "Capçalera",
+
+// Table Cell Dialog
+DlgCellTitle		: "Proprietats de Cel·la",
+DlgCellWidth		: "Amplada",
+DlgCellWidthPx		: "píxels",
+DlgCellWidthPc		: "percentatge",
+DlgCellHeight		: "Alçada",
+DlgCellWordWrap		: "Word Wrap",
+DlgCellWordWrapNotSet	: "<No Definit>",
+DlgCellWordWrapYes	: "Si",
+DlgCellWordWrapNo	: "No",
+DlgCellHorAlign		: "Alineació Horitzontal",
+DlgCellHorAlignNotSet	: "<No Definit>",
+DlgCellHorAlignLeft	: "Esquerra",
+DlgCellHorAlignCenter	: "Centre",
+DlgCellHorAlignRight: "Dreta",
+DlgCellVerAlign		: "Alineació Vertical",
+DlgCellVerAlignNotSet	: "<No definit>",
+DlgCellVerAlignTop	: "Top",
+DlgCellVerAlignMiddle	: "Middle",
+DlgCellVerAlignBottom	: "Bottom",
+DlgCellVerAlignBaseline	: "Baseline",
+DlgCellRowSpan		: "Rows Span",
+DlgCellCollSpan		: "Columns Span",
+DlgCellBackColor	: "Color de Fons",
+DlgCellBorderColor	: "Colr de Costat",
+DlgCellBtnSelect	: "Seleccioni...",
+
+// Find Dialog
+DlgFindTitle		: "Cercar",
+DlgFindFindBtn		: "Cercar",
+DlgFindNotFoundMsg	: "El text especificat no ha estat trobat.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Remplaçar",
+DlgReplaceFindLbl		: "Cercar:",
+DlgReplaceReplaceLbl	: "Remplaçar per:",
+DlgReplaceCaseChk		: "Sensible a Majúscules",
+DlgReplaceReplaceBtn	: "Remplaçar",
+DlgReplaceReplAllBtn	: "Remplaçar Tot",
+DlgReplaceWordChk		: "Cercar Paraula Completa",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "La seguretat del vostre navigador no permet executar automàticament les operacions d'enganxat. Si us plau, utilitzeu el teclat (Ctrl+V).",
+PasteErrorCut	: "La seguretat del vostre navigador no permet executar automàticament les operacions de tallar. Si us plau, utilitzeu el teclat (Ctrl+X).",
+PasteErrorCopy	: "La seguretat del vostre navigador no permet executar automàticament les operacions de copiar. Si us plau, utilitzeu el teclat (Ctrl+C).",
+
+PasteAsText		: "Enganxar com Text Planer",
+PasteFromWord	: "Enganxar com Word",
+
+DlgPasteMsg		: "L'editor no ha pogut executar automàticament l'operació d'enganxar a causa de la <STRONG>configuració de seguretat</STRONG> del seu navigador.<BR>Si us plau, enganxi en el següent cuadre de text utilitzant el teclat (<STRONG>Ctrl+V</STRONG>) i premeu <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automàtic",
+ColorMoreColors	: "Més Colors...",
+
+// Document Properties
+DocProps		: "Proprietats de document",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Proprietats d'àncora",
+DlgAnchorName		: "Nom d'àncora",
+DlgAnchorErrorName	: "Si us plau, escrigui el nom de l'ancora",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "No és al diccionari",
+DlgSpellChangeTo		: "Canviar a",
+DlgSpellBtnIgnore		: "Ignorar",
+DlgSpellBtnIgnoreAll	: "Ignorar tot",
+DlgSpellBtnReplace		: "Remplaçar",
+DlgSpellBtnReplaceAll	: "Replaçar tot",
+DlgSpellBtnUndo			: "Desfer",
+DlgSpellNoSuggestions	: "Cap suggestió",
+DlgSpellProgress		: "Comprovació de sintaxi en progrés",
+DlgSpellNoMispell		: "Comprovació de sintaxi completada",
+DlgSpellNoChanges		: "Comprovació de sintaxi: cap paraulada canviada",
+DlgSpellOneChange		: "Comprovació de sintaxi: una paraula canviada",
+DlgSpellManyChanges		: "Comprovació de sintaxi %1 paraules canviades",
+
+IeSpellDownload			: "Comprovació de sintaxi no instal·lat. Voleu descarregar-ho ara?",
+
+// Button Dialog
+DlgButtonText	: "Text (Valor)",
+DlgButtonType	: "Tipus",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Nom",
+DlgCheckboxValue	: "Valor",
+DlgCheckboxSelected	: "Seleccionat",
+
+// Form Dialog
+DlgFormName		: "Nom",
+DlgFormAction	: "Acció",
+DlgFormMethod	: "Mètode",
+
+// Select Field Dialog
+DlgSelectName		: "Nom",
+DlgSelectValue		: "Valor",
+DlgSelectSize		: "Tamany",
+DlgSelectLines		: "Línies",
+DlgSelectChkMulti	: "Permetre múltiples seleccions",
+DlgSelectOpAvail	: "Opcions disponibles",
+DlgSelectOpText		: "Text",
+DlgSelectOpValue	: "Valor",
+DlgSelectBtnAdd		: "Afegir",
+DlgSelectBtnModify	: "Modificar",
+DlgSelectBtnUp		: "Amunt",
+DlgSelectBtnDown	: "Avall",
+DlgSelectBtnSetValue : "Seleccionar per defecte",
+DlgSelectBtnDelete	: "Esborrar",
+
+// Textarea Dialog
+DlgTextareaName	: "Nom",
+DlgTextareaCols	: "Columnes",
+DlgTextareaRows	: "Files",
+
+// Text Field Dialog
+DlgTextName			: "Nom",
+DlgTextValue		: "Valor",
+DlgTextCharWidth	: "Amplada de caràcter",
+DlgTextMaxChars		: "Màxim de caràcters",
+DlgTextType			: "Tipus",
+DlgTextTypeText		: "Text",
+DlgTextTypePass		: "Contrassenya",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Nom",
+DlgHiddenValue	: "Valor",
+
+// Bulleted List Dialog
+BulletedListProp	: "Proprietats de llista marcada",
+NumberedListProp	: "Proprietats de llista numerada",
+DlgLstType			: "Tipus",
+DlgLstTypeCircle	: "Cercle",
+DlgLstTypeDisk		: "Disc",
+DlgLstTypeSquare	: "Quadrat",
+DlgLstTypeNumbers	: "Números (1, 2, 3)",
+DlgLstTypeLCase		: "Lletres minúscules (a, b, c)",
+DlgLstTypeUCase		: "Lletres majúscules (A, B, C)",
+DlgLstTypeSRoman	: "Números romans minúscules (i, ii, iii)",
+DlgLstTypeLRoman	: "Números romans majúscules (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",
+DlgDocBackTab		: "Fons",
+DlgDocColorsTab		: "Colors i marges",
+DlgDocMetaTab		: "Dades Meta",
+
+DlgDocPageTitle		: "Títol de la pàgina",
+DlgDocLangDir		: "Direcció llenguatge",
+DlgDocLangDirLTR	: "Esquerra a dreta (LTR)",
+DlgDocLangDirRTL	: "Dreta a esquerra (RTL)",
+DlgDocLangCode		: "Codi de llenguatge",
+DlgDocCharSet		: "Codificació de conjunt de caràcters",
+DlgDocCharSetOther	: "Altra codificació de conjunt de caràcters",
+
+DlgDocDocType		: "Capçalera de tipus de document",
+DlgDocDocTypeOther	: "Altra Capçalera de tipus de document",
+DlgDocIncXHTML		: "Incloure declaracions XHTML",
+DlgDocBgColor		: "Color de fons",
+DlgDocBgImage		: "URL de la imatge de fons",
+DlgDocBgNoScroll	: "Fons fixe",
+DlgDocCText			: "Text",
+DlgDocCLink			: "Enllaç",
+DlgDocCVisited		: "Enllaç visitat",
+DlgDocCActive		: "Enllaç actiu",
+DlgDocMargins		: "Marges de pàgina",
+DlgDocMaTop			: "Cap",
+DlgDocMaLeft		: "Esquerra",
+DlgDocMaRight		: "Dreta",
+DlgDocMaBottom		: "Peu",
+DlgDocMeIndex		: "Mots clau per a indexació (separats per coma)",
+DlgDocMeDescr		: "Descripció del document",
+DlgDocMeAuthor		: "Autor",
+DlgDocMeCopy		: "Copyright",
+DlgDocPreview		: "Vista prèvia",
+
+// Templates Dialog
+Templates			: "Plantilles",
+DlgTemplatesTitle	: "Contingut Plantilles",
+DlgTemplatesSelMsg	: "Si us plau, seleccioneu la plantilla per obrir en l'editor<br>(el contingut actual no serà enregistrat):",
+DlgTemplatesLoading	: "Carregant la llista de plantilles. Si us plau, esperi...",
+DlgTemplatesNoTpl	: "(No hi ha plantilles definides)",
+
+// About Dialog
+DlgAboutAboutTab	: "Sobre",
+DlgAboutBrowserInfoTab	: "Informació del navigador",
+DlgAboutVersion		: "versió",
+DlgAboutLicense		: "Sota els termes de la Llicència GNU Lesser General Public License",
+DlgAboutInfo		: "Per a més informació aneu a"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/cs.js soojung/libs/fckeditor/editor/lang/cs.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/cs.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/cs.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,454 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: cs.js
+ * 	Czech language file.
+ * 
+ * File Authors:
+ * 		David Horák (david.horak@email.cz)
+ * 		Petr Plavjaník (plavjanik@gmail.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Skrýt panel nástrojů",
+ToolbarExpand		: "Zobrazit panel nástrojů",
+
+// Toolbar Items and Context Menu
+Save				: "Uložit",
+NewPage				: "Nová stránka",
+Preview				: "Náhled",
+Cut					: "Vyjmout",
+Copy				: "Kopírovat",
+Paste				: "Vložit",
+PasteText			: "Vložit jako čistý text",
+PasteWord			: "Vložit z Wordu",
+Print				: "Tisk",
+SelectAll			: "Vybrat vše",
+RemoveFormat		: "Odstranit formátování",
+InsertLinkLbl		: "Odkaz",
+InsertLink			: "Vložit/změnit odkaz",
+RemoveLink			: "Odstranit odkaz",
+Anchor				: "Vložít/změnit záložku",
+InsertImageLbl		: "Obrázek",
+InsertImage			: "Vložit/změnit obrázek",
+InsertTableLbl		: "Tabulka",
+InsertTable			: "Vložit/změnit tabulku",
+InsertLineLbl		: "Linka",
+InsertLine			: "Vložit vodorovnou linku",
+InsertSpecialCharLbl: "Speciální znaky",
+InsertSpecialChar	: "Vložit speciální znaky",
+InsertSmileyLbl		: "Smajlíky",
+InsertSmiley		: "Vložit smajlík",
+About				: "O aplikaci FCKeditor",
+Bold				: "Tučné",
+Italic				: "Kurzíva",
+Underline			: "Podtržené",
+StrikeThrough		: "Přeškrtnuté",
+Subscript			: "Dolní index",
+Superscript			: "Horní index",
+LeftJustify			: "Zarovnat vlevo",
+CenterJustify		: "Zarovnat na střed",
+RightJustify		: "Zarovnat vpravo",
+BlockJustify		: "Zarovnat do bloku",
+DecreaseIndent		: "Zmenšit odsazení",
+IncreaseIndent		: "Zvětšit odsazení",
+Undo				: "Zpět",
+Redo				: "Znovu",
+NumberedListLbl		: "Číslování",
+NumberedList		: "Vložit/odstranit číslovaný seznam",
+BulletedListLbl		: "Odrážky",
+BulletedList		: "Vložit/odstranit odrážky",
+ShowTableBorders	: "Zobrzit okraje tabulek",
+ShowDetails			: "Zobrazit podrobnosti",
+Style				: "Styl",
+FontFormat			: "Formát",
+Font				: "Písmo",
+FontSize			: "Velikost",
+TextColor			: "Barva textu",
+BGColor				: "Barva pozadí",
+Source				: "Zdroj",
+Find				: "Hledat",
+Replace				: "Nahradit",
+SpellCheck			: "Zkontrolovat pravopis",
+UniversalKeyboard	: "Univerzální klávesnice",
+
+Form			: "Formulář",
+Checkbox		: "Zaškrtávací políčko",
+RadioButton		: "Přepínač",
+TextField		: "Textové pole",
+Textarea		: "Textová oblast",
+HiddenField		: "Skryté pole",
+Button			: "Tlačítko",
+SelectionField	: "Seznam",
+ImageButton		: "Obrázkové tlačítko",
+
+// Context Menu
+EditLink			: "Změnit odkaz",
+InsertRow			: "Vložit řádek",
+DeleteRows			: "Smazat řádek",
+InsertColumn		: "Vložit sloupec",
+DeleteColumns		: "Smazat sloupec",
+InsertCell			: "Vložit buňku",
+DeleteCells			: "Smazat buňky",
+MergeCells			: "Sloučit buňky",
+SplitCell			: "Rozdělit buňku",
+CellProperties		: "Vlastnosti buňky",
+TableProperties		: "Vlastnosti tabulky",
+ImageProperties		: "Vlastnosti obrázku",
+
+AnchorProp			: "Vlastnosti záložky",
+ButtonProp			: "Vlastnosti tlačítka",
+CheckboxProp		: "Vlastnosti zaškrtávacího políčka",
+HiddenFieldProp		: "Vlastnosti skrytého pole",
+RadioButtonProp		: "Vlastnosti přepínače",
+ImageButtonProp		: "Vlastností obrázkového tlačítka",
+TextFieldProp		: "Vlastnosti textového pole",
+SelectionFieldProp	: "Vlastnosti seznamu",
+TextareaProp		: "Vlastnosti textové oblasti",
+FormProp			: "Vlastnosti formuláře",
+
+FontFormats			: "Normální;Formátovaný;Adresa;Nadpis 1;Nadpis 2;Nadpis 3;Nadpis 4;Nadpis 5;Nadpis 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Probíhá zpracování XHTML. Prosím čekejte...",
+Done				: "Hotovo",
+PasteWordConfirm	: "Jak je vidět, vkládaný text je kopírován z Wordu. Chceet jej před vložením vyčistit?",
+NotCompatiblePaste	: "Tento příkaz je dostupný pouze v Internet Exploreru verze 5.5 nebo vyšší. Chcete vložit text bez vyčištění?",
+UnknownToolbarItem	: "Neznámá položka panelu nástrojů \"%1\"",
+UnknownCommand		: "Neznámý příkaz \"%1\"",
+NotImplemented		: "Příkaz není implementován",
+UnknownToolbarSet	: "Panel nástrojů \"%1\" neexistuje",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Storno",
+DlgBtnClose			: "Zavřít",
+DlgBtnBrowseServer	: "Vybrat na serveru",
+DlgAdvancedTag		: "Rozšířené",
+DlgOpOther			: "&lt;Ostatní&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;nenastaveno&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Orientace jazyka",
+DlgGenLangDirLtr	: "Zleva do prava (LTR)",
+DlgGenLangDirRtl	: "Zprava do leva (RTL)",
+DlgGenLangCode		: "Kód jazyka",
+DlgGenAccessKey		: "Přístupový klíč",
+DlgGenName			: "Jméno",
+DlgGenTabIndex		: "Pořadí prvku",
+DlgGenLongDescr		: "Dlouhý popis URL",
+DlgGenClass			: "Třída stylu",
+DlgGenTitle			: "Pomocný titulek",
+DlgGenContType		: "Pomocný typ obsahu",
+DlgGenLinkCharset	: "Přiřazená znaková sada",
+DlgGenStyle			: "Styl",
+
+// Image Dialog
+DlgImgTitle			: "Vlastosti obrázku",
+DlgImgInfoTab		: "Informace o obrázku",
+DlgImgBtnUpload		: "Odeslat na server",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Odeslat",
+DlgImgAlt			: "Alternativní text",
+DlgImgWidth			: "Šířka",
+DlgImgHeight		: "Výška",
+DlgImgLockRatio		: "Zámek",
+DlgBtnResetSize		: "Původní velikost",
+DlgImgBorder		: "Okraje",
+DlgImgHSpace		: "H-mezera",
+DlgImgVSpace		: "V-mezera",
+DlgImgAlign			: "Zarovnání",
+DlgImgAlignLeft		: "Vlevo",
+DlgImgAlignAbsBottom: "Zcela dolů",
+DlgImgAlignAbsMiddle: "Doprostřed",
+DlgImgAlignBaseline	: "Na účaří",
+DlgImgAlignBottom	: "Dolů",
+DlgImgAlignMiddle	: "Na střed",
+DlgImgAlignRight	: "Vpravo",
+DlgImgAlignTextTop	: "Na horní okraj textu",
+DlgImgAlignTop		: "Nahoru",
+DlgImgPreview		: "Náhled",
+DlgImgAlertUrl		: "Zadejte prosím URL obrázku",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Odkaz",
+DlgLnkInfoTab		: "Informace o odkazu",
+DlgLnkTargetTab		: "Cíl",
+
+DlgLnkType			: "Typ odkazu",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Kotva v této stránce",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protokol",
+DlgLnkProtoOther	: "&lt;jiný&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Vybrat kotvu",
+DlgLnkAnchorByName	: "Podle jména kotvy",
+DlgLnkAnchorById	: "Podle Id objektu",
+DlgLnkNoAnchors		: "&lt;Ve stránce žádná kotva není definována&gt;",
+DlgLnkEMail			: "E-Mailová adresa",
+DlgLnkEMailSubject	: "Předmět zprávy",
+DlgLnkEMailBody		: "Tělo zprávy",
+DlgLnkUpload		: "Odeslat",
+DlgLnkBtnUpload		: "Odeslat na Server",
+
+DlgLnkTarget		: "Cíl",
+DlgLnkTargetFrame	: "&lt;rámec&gt;",
+DlgLnkTargetPopup	: "&lt;vyskakovací okno&gt;",
+DlgLnkTargetBlank	: "Nové okno (_blank)",
+DlgLnkTargetParent	: "Rodičovské okno (_parent)",
+DlgLnkTargetSelf	: "Stejné okno (_self)",
+DlgLnkTargetTop		: "Hlavní okno (_top)",
+DlgLnkTargetFrameName	: "Název cílového rámu",
+DlgLnkPopWinName	: "Název vyskakovacího okna",
+DlgLnkPopWinFeat	: "Vlastnosti vyskakovacího okna",
+DlgLnkPopResize		: "Měnitelná velikost",
+DlgLnkPopLocation	: "Panel umístění",
+DlgLnkPopMenu		: "Panel nabídky",
+DlgLnkPopScroll		: "Posuvníky",
+DlgLnkPopStatus		: "Stavový řádek",
+DlgLnkPopToolbar	: "Panel nástrojů",
+DlgLnkPopFullScrn	: "Celá obrazovka (IE)",
+DlgLnkPopDependent	: "Závislost (Netscape)",
+DlgLnkPopWidth		: "Šířka",
+DlgLnkPopHeight		: "Výška",
+DlgLnkPopLeft		: "Levý okraj",
+DlgLnkPopTop		: "Horní okraj",
+
+DlnLnkMsgNoUrl		: "Zadejte prosím URL odkazu",
+DlnLnkMsgNoEMail	: "Zadejte prosím e-mailovou adresu",
+DlnLnkMsgNoAnchor	: "Vyberte prosím kotvu",
+
+// Color Dialog
+DlgColorTitle		: "Výběr barvy",
+DlgColorBtnClear	: "Vymazat",
+DlgColorHighlight	: "Zvýrazněná",
+DlgColorSelected	: "Vybraná",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Vkládání smajlíků",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Výběr speciálního znaku",
+
+// Table Dialog
+DlgTableTitle		: "Vlastnosti tabulky",
+DlgTableRows		: "Řádky",
+DlgTableColumns		: "Sloupce",
+DlgTableBorder		: "Ohraničení",
+DlgTableAlign		: "Zarovnání",
+DlgTableAlignNotSet	: "<nenastaveno>",
+DlgTableAlignLeft	: "Vlevo",
+DlgTableAlignCenter	: "Na střed",
+DlgTableAlignRight	: "Vpravo",
+DlgTableWidth		: "Šířka",
+DlgTableWidthPx		: "bodů",
+DlgTableWidthPc		: "procent",
+DlgTableHeight		: "Výška",
+DlgTableCellSpace	: "Vzdálenost buněk",
+DlgTableCellPad		: "Odsazení obsahu",
+DlgTableCaption		: "Popis",
+
+// Table Cell Dialog
+DlgCellTitle		: "Vlastnosti buňky",
+DlgCellWidth		: "Šířka",
+DlgCellWidthPx		: "bodů",
+DlgCellWidthPc		: "procent",
+DlgCellHeight		: "Výška",
+DlgCellWordWrap		: "Zalamování",
+DlgCellWordWrapNotSet	: "<nenanstaveno>",
+DlgCellWordWrapYes	: "Ano",
+DlgCellWordWrapNo	: "Ne",
+DlgCellHorAlign		: "Vodorovné zarovnání",
+DlgCellHorAlignNotSet	: "<nenastaveno>",
+DlgCellHorAlignLeft	: "Vlevo",
+DlgCellHorAlignCenter	: "Na střed",
+DlgCellHorAlignRight: "Vpravo",
+DlgCellVerAlign		: "Svislé zarovnání",
+DlgCellVerAlignNotSet	: "<nenastaveno>",
+DlgCellVerAlignTop	: "Nahoru",
+DlgCellVerAlignMiddle	: "Doprostřed",
+DlgCellVerAlignBottom	: "Dolů",
+DlgCellVerAlignBaseline	: "Na účaří",
+DlgCellRowSpan		: "Sloučené řádky",
+DlgCellCollSpan		: "Sloučené sloupce",
+DlgCellBackColor	: "Barva pozadí",
+DlgCellBorderColor	: "Rarva ohraničení",
+DlgCellBtnSelect	: "Výběr...",
+
+// Find Dialog
+DlgFindTitle		: "Hledat",
+DlgFindFindBtn		: "Hledat",
+DlgFindNotFoundMsg	: "Hledaný text nebyl nalezen.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Nahradit",
+DlgReplaceFindLbl		: "Co hledat:",
+DlgReplaceReplaceLbl	: "Čím nahradit:",
+DlgReplaceCaseChk		: "Rozlišovat velikost písma",
+DlgReplaceReplaceBtn	: "Nahradit",
+DlgReplaceReplAllBtn	: "Nahradit vše",
+DlgReplaceWordChk		: "Pouze celá slova",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Bezpečnostní nastavení Vašeho prohlížeče nedovolují editoru spustit funkci pro vložení textu ze schránky. Prosím vložte text ze schránky pomocí klávesnice (Ctrl+V).",
+PasteErrorCut	: "Bezpečnostní nastavení Vašeho prohlížeče nedovolují editoru spustit funkci pro vyjmutí zvoleného textu do schránky. Prosím vyjměte zvolený text do schránky pomocí klávesnice (Ctrl+X).",
+PasteErrorCopy	: "Bezpečnostní nastavení Vašeho prohlížeče nedovolují editoru spustit funkci pro kopírování zvoleného textu do schránky. Prosím zkopírujte zvolený text do schránky pomocí klávesnice (Ctrl+C).",
+
+PasteAsText		: "Vložit jako čistý text",
+PasteFromWord	: "Vložit text z Wordu",
+
+DlgPasteMsg		: "<STRONG>Bezpečnostní nastavení</STRONG> Vašeho prohlížeče nedovolují editoru spustit funkci pro vložení textu ze schránky.<BR>Text ze schránky prosím vložte pomocí klávesnice do tohoto pole (<STRONG>Ctrl+V</STRONG>) a pak stiskněte tlačítko <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automaticky",
+ColorMoreColors	: "Více barev...",
+
+// Document Properties
+DocProps		: "Vlastnosti dokumentu",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Vlastnosti záložky",
+DlgAnchorName		: "Název záložky",
+DlgAnchorErrorName	: "Zadejte prosím název záložky",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Není ve slovníku",
+DlgSpellChangeTo		: "Změnit na",
+DlgSpellBtnIgnore		: "Přeskočit",
+DlgSpellBtnIgnoreAll	: "Přeskakovat vše",
+DlgSpellBtnReplace		: "Zaměnit",
+DlgSpellBtnReplaceAll	: "Zaměňovat vše",
+DlgSpellBtnUndo			: "Zpět",
+DlgSpellNoSuggestions	: "- žádné návrhy -",
+DlgSpellProgress		: "Probíhá kontrola pravopisu...",
+DlgSpellNoMispell		: "Kontrola pravopisu dokončena: Žádné pravopisné chyby nenalezeny",
+DlgSpellNoChanges		: "Kontrola pravopisu dokončena: Beze změn",
+DlgSpellOneChange		: "Kontrola pravopisu dokončena: Jedno slovo změněno",
+DlgSpellManyChanges		: "Kontrola pravopisu dokončena: %1 slov změněno",
+
+IeSpellDownload			: "Kontrola pravopisu není nainstalována. Chcete ji nyní stáhnout?",
+
+// Button Dialog
+DlgButtonText	: "Popisek",
+DlgButtonType	: "Typ",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Název",
+DlgCheckboxValue	: "Hodnota",
+DlgCheckboxSelected	: "Zaškrtnuto",
+
+// Form Dialog
+DlgFormName		: "Název",
+DlgFormAction	: "Akce",
+DlgFormMethod	: "Metoda",
+
+// Select Field Dialog
+DlgSelectName		: "Název",
+DlgSelectValue		: "Hodnota",
+DlgSelectSize		: "Velikost",
+DlgSelectLines		: "řádků",
+DlgSelectChkMulti	: "Povolit mnohonásobné výběry",
+DlgSelectOpAvail	: "Dostupná nastavení",
+DlgSelectOpText		: "Text",
+DlgSelectOpValue	: "Hodnota",
+DlgSelectBtnAdd		: "Přidat",
+DlgSelectBtnModify	: "Změnit",
+DlgSelectBtnUp		: "Nahoru",
+DlgSelectBtnDown	: "Dolů",
+DlgSelectBtnSetValue : "Nastavit jako vybranou hodnotu",
+DlgSelectBtnDelete	: "Smazat",
+
+// Textarea Dialog
+DlgTextareaName	: "Název",
+DlgTextareaCols	: "Sloupců",
+DlgTextareaRows	: "Řádků",
+
+// Text Field Dialog
+DlgTextName			: "Název",
+DlgTextValue		: "Hodnota",
+DlgTextCharWidth	: "Šířka ve znacích",
+DlgTextMaxChars		: "Maximální počet znaků",
+DlgTextType			: "Typ",
+DlgTextTypeText		: "Text",
+DlgTextTypePass		: "Heslo",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Název",
+DlgHiddenValue	: "Hodnota",
+
+// Bulleted List Dialog
+BulletedListProp	: "Vlastnosti odrážek",
+NumberedListProp	: "Vlastnosti číslovaného seznamu",
+DlgLstType			: "Typ",
+DlgLstTypeCircle	: "Kružnice",
+DlgLstTypeDisk		: "Plný kruh",
+DlgLstTypeSquare	: "Čtverec",
+DlgLstTypeNumbers	: "Čísla (1, 2, 3)",
+DlgLstTypeLCase		: "Malá písmena (a, b, c)",
+DlgLstTypeUCase		: "Velká písmena (A, B, C)",
+DlgLstTypeSRoman	: "Malé římská číslice (i, ii, iii)",
+DlgLstTypeLRoman	: "Velké římské číslice (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Obecné",
+DlgDocBackTab		: "Pozadí",
+DlgDocColorsTab		: "Barvy a okraje",
+DlgDocMetaTab		: "Metadata",
+
+DlgDocPageTitle		: "Titulek stránky",
+DlgDocLangDir		: "Směr jazyku",
+DlgDocLangDirLTR	: "Zleva do prava ",
+DlgDocLangDirRTL	: "Zprava doleva",
+DlgDocLangCode		: "Kód jazyku",
+DlgDocCharSet		: "Znaková sada",
+DlgDocCharSetOther	: "Další znaková sada",
+
+DlgDocDocType		: "Typ dokumentu",
+DlgDocDocTypeOther	: "Jiný typ dokumetu",
+DlgDocIncXHTML		: "Zahrnou deklarace XHTML",
+DlgDocBgColor		: "Barva pozadí",
+DlgDocBgImage		: "URL obrázku na pozadí",
+DlgDocBgNoScroll	: "Nerolovatelné pozadí",
+DlgDocCText			: "Text",
+DlgDocCLink			: "Odkaz",
+DlgDocCVisited		: "Navštívený odkaz",
+DlgDocCActive		: "Vybraný odkaz",
+DlgDocMargins		: "Okraje stránky",
+DlgDocMaTop			: "Horní",
+DlgDocMaLeft		: "Levý",
+DlgDocMaRight		: "Pravý",
+DlgDocMaBottom		: "Dolní",
+DlgDocMeIndex		: "Klíčová slova (oddělená čárkou)",
+DlgDocMeDescr		: "Popis dokumentu",
+DlgDocMeAuthor		: "Autor",
+DlgDocMeCopy		: "Autorská práva",
+DlgDocPreview		: "Náhled",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "O aplikaci",
+DlgAboutBrowserInfoTab	: "Informace o prohlížeči",
+DlgAboutVersion		: "verze",
+DlgAboutLicense		: "Licencováno pomocí GNU Lesser General Public License",
+DlgAboutInfo		: "Více informací získáte na"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/da.js soojung/libs/fckeditor/editor/lang/da.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/da.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/da.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,454 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: da.js
+ * 	Danish language file.
+ * 
+ * File Authors:
+ * 		Jørgen Nordstrøm (jn@FirstWeb.dk)
+ * 		Jesper Michelsen (jm@i-deVision.dk)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Sammenfold Værktøjskasse",
+ToolbarExpand		: "Udvid Værktøjskasse",
+
+// Toolbar Items and Context Menu
+Save				: "Gem",
+NewPage				: "Ny side",
+Preview				: "Vis eksempel",
+Cut					: "Klip",
+Copy				: "Kopier",
+Paste				: "Indsæt",
+PasteText			: "Indsæt som ren tekst",
+PasteWord			: "Indsæt fra Word",
+Print				: "Udskriv",
+SelectAll			: "Vælg alt",
+RemoveFormat		: "Slet formatering",
+InsertLinkLbl		: "Link",
+InsertLink			: "Indsæt/Rediger Link",
+RemoveLink			: "Slet Link",
+Anchor				: "Insert/Rediger Anker",
+InsertImageLbl		: "Indsæt Billed",
+InsertImage			: "Indsæt/Rediger Billed",
+InsertTableLbl		: "Table",
+InsertTable			: "Indsæt/Rediger Tabel",
+InsertLineLbl		: "Linie",
+InsertLine			: "Indsæt horisontal Linie",
+InsertSpecialCharLbl: "Special Karakter",
+InsertSpecialChar	: "Indsæt Special Karakter",
+InsertSmileyLbl		: "Smiley",
+InsertSmiley		: "Indsæt Smiley",
+About				: "Om FCKeditor",
+Bold				: "Fed",
+Italic				: "Kursiv",
+Underline			: "Understreget",
+StrikeThrough		: "Overstreget",
+Subscript			: "Sænket skrift",
+Superscript			: "Hævet skrift",
+LeftJustify			: "Venstrestillet",
+CenterJustify		: "Centreret",
+RightJustify		: "Højrestillet",
+BlockJustify		: "Lige margener",
+DecreaseIndent		: "Forøg indrykning",
+IncreaseIndent		: "Formindsk indrykning",
+Undo				: "Fortryd",
+Redo				: "Anuller fortryd",
+NumberedListLbl		: "Tal opstilling",
+NumberedList		: "Indsæt/Slet Tal opstilling",
+BulletedListLbl		: "Punkttegn opstilling",
+BulletedList		: "Indsæt/Slet Punkttegn opstilling",
+ShowTableBorders	: "Vis tabel kanter",
+ShowDetails			: "Vis detaljer",
+Style				: "Typografi",
+FontFormat			: "Formatering",
+Font				: "Skrifttype",
+FontSize			: "Skriftstørrelse",
+TextColor			: "Tekstfarve",
+BGColor				: "Baggrundsfarve",
+Source				: "Kilde",
+Find				: "Søg",
+Replace				: "Erstat",
+SpellCheck			: "Stavekontrol",
+UniversalKeyboard	: "Universalt Tastatur",
+
+Form			: "Indsæt Form",
+Checkbox		: "Indsæt Afkrydsningsboks",
+RadioButton		: "Indsæt Radioknap",
+TextField		: "Indsæt Tekstfelt",
+Textarea		: "Indsæt Tekstboks",
+HiddenField		: "Indsæt Skjultfelt",
+Button			: "Indsæt Knap",
+SelectionField	: "Indsæt Valgfelt",
+ImageButton		: "Indsæt Billedknap",
+
+// Context Menu
+EditLink			: "Rediger link",
+InsertRow			: "Indsæt række",
+DeleteRows			: "Slet rækker",
+InsertColumn		: "Indsæt kolonne",
+DeleteColumns		: "Slet kolonner",
+InsertCell			: "Indsæt celle",
+DeleteCells			: "Slet celle",
+MergeCells			: "Flet celler",
+SplitCell			: "Opdel celler",
+CellProperties		: "Celle egenskaber",
+TableProperties		: "Tabel egenskaber",
+ImageProperties		: "Billed egenskaber",
+
+AnchorProp			: "Anker egenskaber",
+ButtonProp			: "Knap egenskaber",
+CheckboxProp		: "Afkrydsningsboks egenskaber",
+HiddenFieldProp		: "Skjultfelt egenskaber",
+RadioButtonProp		: "Radioknap egenskaber",
+ImageButtonProp		: "Billedknap egenskaber",
+TextFieldProp		: "Tekstfelt egenskaber",
+SelectionFieldProp	: "Valgfelt egenskaber",
+TextareaProp		: "Tekstboks egenskaber",
+FormProp			: "Form egenskaber",
+
+FontFormats			: "Normal;Formateret;Adresse;Overskrift 1;Overskrift 2;Overskrift 3;Overskrift 4;Overskrift 5;Overskrift 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Behandler XHTML. Vent venligst...",
+Done				: "Færdig",
+PasteWordConfirm	: "Den tekst du forsøger at indsætte ser ud til at komme fra Word. Vil du rense teksten før den indsættes ?",
+NotCompatiblePaste	: "Denne kommando er tilgændelig i Internet Explorer 5.5 og senere. Vil du indsætte teksten uden at rense den ?",
+UnknownToolbarItem	: "Ukendt værktøjslinje objekt \"%1\"",
+UnknownCommand		: "Ukendt kommando navn \"%1\"",
+NotImplemented		: "Kommandoen er ikke implementeret",
+UnknownToolbarSet	: "Værktøjslinjen \"%1\" eksisterer ikke",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Anuller",
+DlgBtnClose			: "Luk",
+DlgBtnBrowseServer	: "Gennemse Server",
+DlgAdvancedTag		: "Avanceret",
+DlgOpOther			: "&lt;Andet&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;ikke sat&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Tekstretning",
+DlgGenLangDirLtr	: "Venstre mod højre (LTR)",
+DlgGenLangDirRtl	: "Højre mod venstre (RTL)",
+DlgGenLangCode		: "Sprog kode",
+DlgGenAccessKey		: "Adgangsnøgle",
+DlgGenName			: "Navn",
+DlgGenTabIndex		: "Tabulator Indeks",
+DlgGenLongDescr		: "Udvidet beskrivelse",
+DlgGenClass			: "Typografiark",
+DlgGenTitle			: "Titel",
+DlgGenContType		: "Indholdstype",
+DlgGenLinkCharset	: "Tegnsæt",
+DlgGenStyle			: "Typografi",
+
+// Image Dialog
+DlgImgTitle			: "Billed egenskaber",
+DlgImgInfoTab		: "Billed info",
+DlgImgBtnUpload		: "Send til serveren",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Upload",
+DlgImgAlt			: "Alternativ tekst",
+DlgImgWidth			: "Bredde",
+DlgImgHeight		: "Højde",
+DlgImgLockRatio		: "Lås størrelsesforhold",
+DlgBtnResetSize		: "Nulstil størrelse",
+DlgImgBorder		: "Ramme",
+DlgImgHSpace		: "HMargin",
+DlgImgVSpace		: "VMargin",
+DlgImgAlign			: "Justering",
+DlgImgAlignLeft		: "Venstre",
+DlgImgAlignAbsBottom: "Abs bund",
+DlgImgAlignAbsMiddle: "Abs Midte",
+DlgImgAlignBaseline	: "Bundlinje",
+DlgImgAlignBottom	: "Bund",
+DlgImgAlignMiddle	: "Midte",
+DlgImgAlignRight	: "Højre",
+DlgImgAlignTextTop	: "Tekst top",
+DlgImgAlignTop		: "Top",
+DlgImgPreview		: "Vis eksempel",
+DlgImgAlertUrl		: "Indtast stien til billedet",
+DlgImgLinkTab		: "Link",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Link",
+DlgLnkInfoTab		: "Link info",
+DlgLnkTargetTab		: "Mål",
+
+DlgLnkType			: "Link type",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Anker på denne side",
+DlgLnkTypeEMail		: "Email",
+DlgLnkProto			: "Protokol",
+DlgLnkProtoOther	: "&lt;anden&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Vælg et anker",
+DlgLnkAnchorByName	: "Efter anker navn",
+DlgLnkAnchorById	: "Efter element Id",
+DlgLnkNoAnchors		: "&lt;Der er ingen ankre tilgængelige i dette dokument&gt;",
+DlgLnkEMail			: "Email Adresse",
+DlgLnkEMailSubject	: "Emne",
+DlgLnkEMailBody		: "Besked",
+DlgLnkUpload		: "Upload",
+DlgLnkBtnUpload		: "Send til serveren",
+
+DlgLnkTarget		: "Mål",
+DlgLnkTargetFrame	: "&lt;ramme&gt;",
+DlgLnkTargetPopup	: "&lt;popup vindue&gt;",
+DlgLnkTargetBlank	: "Nyt vindue (_blank)",
+DlgLnkTargetParent	: "Overliggende vindue (_parent)",
+DlgLnkTargetSelf	: "Samme vindue (_self)",
+DlgLnkTargetTop		: "Øverste vindue (_top)",
+DlgLnkTargetFrameName	: "Visnings vinduets navn",
+DlgLnkPopWinName	: "Popup vinduets navn",
+DlgLnkPopWinFeat	: "Popup vinduets egenskaber",
+DlgLnkPopResize		: "Skalering",
+DlgLnkPopLocation	: "Lokationslinje",
+DlgLnkPopMenu		: "Menulinje",
+DlgLnkPopScroll		: "Scrollbars",
+DlgLnkPopStatus		: "Statuslinje",
+DlgLnkPopToolbar	: "Værktøjslinje",
+DlgLnkPopFullScrn	: "Fuld skærm (IE)",
+DlgLnkPopDependent	: "Afhængig (Netscape)",
+DlgLnkPopWidth		: "Bredde",
+DlgLnkPopHeight		: "Højde",
+DlgLnkPopLeft		: "Position fra venstre",
+DlgLnkPopTop		: "Position fra toppen",
+
+DlnLnkMsgNoUrl		: "Indtast link URL",
+DlnLnkMsgNoEMail	: "Indtast e-mail addressen",
+DlnLnkMsgNoAnchor	: "Vælg Anker",
+
+// Color Dialog
+DlgColorTitle		: "Vælg farve",
+DlgColorBtnClear	: "Slet alt",
+DlgColorHighlight	: "Marker",
+DlgColorSelected	: "valgt",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Insæt en smiley",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Vælg specialkarakter",
+
+// Table Dialog
+DlgTableTitle		: "Tabel egenskaber",
+DlgTableRows		: "Rækker",
+DlgTableColumns		: "Kolonner",
+DlgTableBorder		: "Ramme størrelse",
+DlgTableAlign		: "Justering",
+DlgTableAlignNotSet	: "<Ikke sat>",
+DlgTableAlignLeft	: "Venstrestillet",
+DlgTableAlignCenter	: "Centreret",
+DlgTableAlignRight	: "Højrestillet",
+DlgTableWidth		: "Bredde",
+DlgTableWidthPx		: "pixels",
+DlgTableWidthPc		: "procent",
+DlgTableHeight		: "Højde",
+DlgTableCellSpace	: "Afstand mellem celler",
+DlgTableCellPad		: "Celle margin",
+DlgTableCaption		: "Titel",
+
+// Table Cell Dialog
+DlgCellTitle		: "Celle egenskaber",
+DlgCellWidth		: "Bredde",
+DlgCellWidthPx		: "pixels",
+DlgCellWidthPc		: "procent",
+DlgCellHeight		: "Højde",
+DlgCellWordWrap		: "Orddeling",
+DlgCellWordWrapNotSet	: "<Ikke sat>",
+DlgCellWordWrapYes	: "Ja",
+DlgCellWordWrapNo	: "Nej",
+DlgCellHorAlign		: "Horisontal justering",
+DlgCellHorAlignNotSet	: "<Ikke sat>",
+DlgCellHorAlignLeft	: "Venstrestillet",
+DlgCellHorAlignCenter	: "Centreret",
+DlgCellHorAlignRight: "Højrestillet",
+DlgCellVerAlign		: "Vertikal Justering",
+DlgCellVerAlignNotSet	: "<Ikke sat>",
+DlgCellVerAlignTop	: "Top",
+DlgCellVerAlignMiddle	: "Midte",
+DlgCellVerAlignBottom	: "Bund",
+DlgCellVerAlignBaseline	: "Bundlinje",
+DlgCellRowSpan		: "Antal rækker cellen spænder over",
+DlgCellCollSpan		: "Antal kolonner cellen spænder over",
+DlgCellBackColor	: "Baggrundsfarve",
+DlgCellBorderColor	: "rammefarve",
+DlgCellBtnSelect	: "Vælg...",
+
+// Find Dialog
+DlgFindTitle		: "Find",
+DlgFindFindBtn		: "Find",
+DlgFindNotFoundMsg	: "Den angivne tekst blev ikke fundet",
+
+// Replace Dialog
+DlgReplaceTitle			: "Erstat",
+DlgReplaceFindLbl		: "Find:",
+DlgReplaceReplaceLbl	: "Erstat med:",
+DlgReplaceCaseChk		: "Forskel på store og små bogstaver",
+DlgReplaceReplaceBtn	: "Erstat",
+DlgReplaceReplAllBtn	: "Erstat alle",
+DlgReplaceWordChk		: "Kun hele ord",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Din browsers sikkerhedsindstillinger tillader ikke editoren at indsætte tekst automatisk. Brug i stedet tastaturet til at indsætte teksten (Ctrl+V).",
+PasteErrorCut	: "Din browsers sikkerhedsindstillinger tillader ikke editoren at klippe tekst automatisk. Brug i stedet tastaturet til at klippe teksten (Ctrl+X).",
+PasteErrorCopy	: "Din browsers sikkerhedsindstillinger tillader ikke editoren at kopiere tekst automatisk. Brug i stedet tastaturet til at kopiere teksten (Ctrl+V).",
+
+PasteAsText		: "Indsæt som ren tekst",
+PasteFromWord	: "Indsæt fra Word",
+
+DlgPasteMsg		: "Editoren kunne ikke indsætte teksten automatisk på grund af din browsers <STRONG>sikkerhedsindstillinger</STRONG>.<BR>Indsæt i stedet teksten i den følgende boks ved hjælp af tastaturet (<STRONG>Ctrl+V</STRONG>) og klik <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatisk",
+ColorMoreColors	: "Flere farver...",
+
+// Document Properties
+DocProps		: "Dokument egenskaber",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Anker egenskaber",
+DlgAnchorName		: "Anker navn",
+DlgAnchorErrorName	: "Indtast Anker navn",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Findes ikke i ordbogen",
+DlgSpellChangeTo		: "Ændre til",
+DlgSpellBtnIgnore		: "Ignorere",
+DlgSpellBtnIgnoreAll	: "Ignorere alle",
+DlgSpellBtnReplace		: "Udskift",
+DlgSpellBtnReplaceAll	: "Udskift alle",
+DlgSpellBtnUndo			: "Tilbage",
+DlgSpellNoSuggestions	: "- Intet forslag -",
+DlgSpellProgress		: "Stavekontrolen arbejder...",
+DlgSpellNoMispell		: "Stavekontrol færdig: Ingen fejl fundet",
+DlgSpellNoChanges		: "Stavekontrol færdig: Ingen ord ændret",
+DlgSpellOneChange		: "Stavekontrol færdig: Et ord ændret",
+DlgSpellManyChanges		: "Stavekontrol færdig: %1 ord ændret",
+
+IeSpellDownload			: "Stavekontrol ikke installeret. Vil du hente den nu?",
+
+// Button Dialog
+DlgButtonText	: "Tekst (Værdi)",
+DlgButtonType	: "Type",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Navn",
+DlgCheckboxValue	: "Værdi",
+DlgCheckboxSelected	: "Valgt",
+
+// Form Dialog
+DlgFormName		: "Navn",
+DlgFormAction	: "Handling",
+DlgFormMethod	: "Metod",
+
+// Select Field Dialog
+DlgSelectName		: "Navn",
+DlgSelectValue		: "Værdi",
+DlgSelectSize		: "Størrelse",
+DlgSelectLines		: "linier",
+DlgSelectChkMulti	: "Tillad flere valg",
+DlgSelectOpAvail	: "Valgmulighedder",
+DlgSelectOpText		: "Tekst",
+DlgSelectOpValue	: "Værdi",
+DlgSelectBtnAdd		: "Tilføj",
+DlgSelectBtnModify	: "Ændre",
+DlgSelectBtnUp		: "Op",
+DlgSelectBtnDown	: "Ned",
+DlgSelectBtnSetValue : "Sæt som udvalgt",
+DlgSelectBtnDelete	: "Slet",
+
+// Textarea Dialog
+DlgTextareaName	: "Navn",
+DlgTextareaCols	: "Kolonne",
+DlgTextareaRows	: "Række",
+
+// Text Field Dialog
+DlgTextName			: "Navn",
+DlgTextValue		: "Værdi",
+DlgTextCharWidth	: "Synligt antal bogstaver",
+DlgTextMaxChars		: "Maximum antal bogstaver",
+DlgTextType			: "Type",
+DlgTextTypeText		: "Tekst",
+DlgTextTypePass		: "Kodeord",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Navn",
+DlgHiddenValue	: "Værdi",
+
+// Bulleted List Dialog
+BulletedListProp	: "Punkttegnopstilling egenskaber",
+NumberedListProp	: "Talopstilling egenskaber",
+DlgLstType			: "Type",
+DlgLstTypeCircle	: "Cirkel",
+DlgLstTypeDisk		: "Prik",
+DlgLstTypeSquare	: "Firkant",
+DlgLstTypeNumbers	: "Nummereret (1, 2, 3)",
+DlgLstTypeLCase		: "Små bogstaver (a, b, c)",
+DlgLstTypeUCase		: "Store bogstaver (A, B, C)",
+DlgLstTypeSRoman	: "Små Romertal (i, ii, iii)",
+DlgLstTypeLRoman	: "Store Romertal (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Generelt",
+DlgDocBackTab		: "Baggrund",
+DlgDocColorsTab		: "Farver og Margin",
+DlgDocMetaTab		: "Meta Information",
+
+DlgDocPageTitle		: "Side Titel",
+DlgDocLangDir		: "Sprog",
+DlgDocLangDirLTR	: "Venstre Til Højre (LTR)",
+DlgDocLangDirRTL	: "Højre Til Venstre (RTL)",
+DlgDocLangCode		: "Landekode",
+DlgDocCharSet		: "Karakter sæt kode",
+DlgDocCharSetOther	: "Anden karakter sæt kode",
+
+DlgDocDocType		: "Dokument type kategori",
+DlgDocDocTypeOther	: "Anden dokument type kategori",
+DlgDocIncXHTML		: "Inkludere XHTML deklartion",
+DlgDocBgColor		: "Baggrundsfarve",
+DlgDocBgImage		: "Baggrundsbilled URL",
+DlgDocBgNoScroll	: "Ikke scrollbar baggrund",
+DlgDocCText			: "Tekst",
+DlgDocCLink			: "Link",
+DlgDocCVisited		: "Besøgt link",
+DlgDocCActive		: "Aktivt link",
+DlgDocMargins		: "Side margin",
+DlgDocMaTop			: "Top",
+DlgDocMaLeft		: "Venstre",
+DlgDocMaRight		: "Højre",
+DlgDocMaBottom		: "Bund",
+DlgDocMeIndex		: "Dokument index nøgleord (komma sepereret)",
+DlgDocMeDescr		: "Dokument beskrivelse",
+DlgDocMeAuthor		: "Forfatter",
+DlgDocMeCopy		: "Copyright",
+DlgDocPreview		: "Vis",
+
+// Templates Dialog
+Templates			: "Skabeloner",
+DlgTemplatesTitle	: "Indholdsskabeloner",
+DlgTemplatesSelMsg	: "Vælg den skabelon, som skal åbnes i editoren<br>(Nuværende indhold vil blive overskrevet):",
+DlgTemplatesLoading	: "Henter liste over skabeloner. Vent venligst...",
+DlgTemplatesNoTpl	: "(Der er ikke defineret nogen skabelon)",
+
+// About Dialog
+DlgAboutAboutTab	: "About",
+DlgAboutBrowserInfoTab	: "Browser Info",
+DlgAboutVersion		: "version",
+DlgAboutLicense		: "Licens under vilkår for GNU Lesser General Public License",
+DlgAboutInfo		: "For yderlig information gå til"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/de.js soojung/libs/fckeditor/editor/lang/de.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/de.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/de.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,454 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: de.js
+ * 	German language file.
+ * 
+ * File Authors:
+ * 		Maik Unruh (m.unruh@mm-concept.de)
+ * 		Hendrik Kramer (HK@lwd.de)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Toolbar einklappen",
+ToolbarExpand		: "Toolbar ausklappen",
+
+// Toolbar Items and Context Menu
+Save				: "Speichern",
+NewPage				: "Neue Seite",
+Preview				: "Vorschau",
+Cut					: "Ausschneiden",
+Copy				: "Kopieren",
+Paste				: "Einfügen",
+PasteText			: "aus Textdatei einfügen",
+PasteWord			: "aus Word einfügen",
+Print				: "Drucken",
+SelectAll			: "Alles auswählen",
+RemoveFormat		: "Formatierungen entfernen",
+InsertLinkLbl		: "Link",
+InsertLink			: "Link einfügen/editieren",
+RemoveLink			: "Link entfernen",
+Anchor				: "Anker einfügen/editieren",
+InsertImageLbl		: "Bild",
+InsertImage			: "Bild einfügen/editieren",
+InsertTableLbl		: "Tabelle",
+InsertTable			: "Tabelle einfügen/editieren",
+InsertLineLbl		: "Linie",
+InsertLine			: "Horizontale Linie einfügen",
+InsertSpecialCharLbl: "Sonderzeichen",
+InsertSpecialChar	: "Sonderzeichen einfügen/editieren",
+InsertSmileyLbl		: "Smiley",
+InsertSmiley		: "Smiley einfügen",
+About				: "Über FCKeditor",
+Bold				: "Fett",
+Italic				: "Kursiv",
+Underline			: "Unterstrichen",
+StrikeThrough		: "Durchgestrichen",
+Subscript			: "Tiefgestellt",
+Superscript			: "Hochgestellt",
+LeftJustify			: "Linksbündig",
+CenterJustify		: "Zentriert",
+RightJustify		: "Rechtsbündig",
+BlockJustify		: "Blocksatz",
+DecreaseIndent		: "Einzug verringern",
+IncreaseIndent		: "Einzug erhöhen",
+Undo				: "Rückgängig",
+Redo				: "Wiederherstellen",
+NumberedListLbl		: "Nummerierte Liste",
+NumberedList		: "Nummerierte Liste einfügen/entfernen",
+BulletedListLbl		: "Liste",
+BulletedList		: "Liste einfügen/entfernen",
+ShowTableBorders	: "Zeige Tabellenrahmen",
+ShowDetails			: "Zeige Details",
+Style				: "Style",
+FontFormat			: "Format",
+Font				: "Font",
+FontSize			: "Size",
+TextColor			: "Textfarbe",
+BGColor				: "Hintergrundfarbe",
+Source				: "Quellcode",
+Find				: "Finden",
+Replace				: "Ersetzen",
+SpellCheck			: "Rechtschreibprü:fung",
+UniversalKeyboard	: "Universal-Tastatur",
+
+Form			: "Formular",
+Checkbox		: "Checkbox",
+RadioButton		: "Radiobutton",
+TextField		: "Textfeld einzeilig",
+Textarea		: "Textfeld mehrzeilig",
+HiddenField		: "verstecktes Feld",
+Button			: "Klickbutton",
+SelectionField	: "Auswahlfeld",
+ImageButton		: "Bildbutton",
+
+// Context Menu
+EditLink			: "Link editieren",
+InsertRow			: "Zeile einfügen",
+DeleteRows			: "Zeile entfernen",
+InsertColumn		: "Spalte einfügen",
+DeleteColumns		: "Spalte löschen",
+InsertCell			: "Zelle einfügen",
+DeleteCells			: "Zelle löschen",
+MergeCells			: "Zellen vereinen",
+SplitCell			: "Zelle teilen",
+CellProperties		: "Zellen Eigenschaften",
+TableProperties		: "Tabellen Eigenschaften",
+ImageProperties		: "Bild Eigenschaften",
+
+AnchorProp			: "Anker Eigenschaften",
+ButtonProp			: "Button Eigenschaften",
+CheckboxProp		: "Checkbox Eigenschaften",
+HiddenFieldProp		: "verstecktes Feld Eigenschaften",
+RadioButtonProp		: "Radiobutton Eigenschaften",
+ImageButtonProp		: "Bildbutton Eigenschaften",
+TextFieldProp		: "Textfeld einzeilig Eigenschaften",
+SelectionFieldProp	: "Auswahlfeld Eigenschaften",
+TextareaProp		: "Textfeld mehrzeilig Eigenschaften",
+FormProp			: "Formular Eigenschaften",
+
+FontFormats			: "Normal;Formatiert;Addresse;Überschrift 1;Überschrift 2;Überschrift 3;Überschrift 4;Überschrift 5;Überschrift 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Bearbeite XHTML. Bitte warten...",
+Done				: "Fertig",
+PasteWordConfirm	: "Der Text, den Sie einfügen Möchten, scheint aus Word kopiert zu sein. Möchten Sie ihn zuvor bereinigen lassen?",
+NotCompatiblePaste	: "Diese Funktion steht nur im Internet Explorer ab Version 5.5 zur Verfügung. Möchten Sie den Text unbereinigt einfügen?",
+UnknownToolbarItem	: "Unbekanntes Menüleisten-Objekt \"%1\"",
+UnknownCommand		: "Unbekannter Befehl \"%1\"",
+NotImplemented		: "Befehl nicht implementiert",
+UnknownToolbarSet	: "Menüleiste \"%1\" existiert nicht",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Abbrechen",
+DlgBtnClose			: "Schließen",
+DlgBtnBrowseServer	: "Server durchsuchen",
+DlgAdvancedTag		: "Erweitert",
+DlgOpOther			: "&lt;andere&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt; nichts &gt;",
+DlgGenId			: "ID",
+DlgGenLangDir		: "Schreibrichtung",
+DlgGenLangDirLtr	: "Links nach Rechts (LTR)",
+DlgGenLangDirRtl	: "Rechts nach Links (RTL)",
+DlgGenLangCode		: "Sprachenkürzel",
+DlgGenAccessKey		: "Schlüssel",
+DlgGenName			: "Name",
+DlgGenTabIndex		: "Tab Index",
+DlgGenLongDescr		: "Langform URL",
+DlgGenClass			: "Stylesheet Klasse",
+DlgGenTitle			: "Titel Beschreibung",
+DlgGenContType		: "Content Beschreibung",
+DlgGenLinkCharset	: "Ziel-Zeichensatz",
+DlgGenStyle			: "Style",
+
+// Image Dialog
+DlgImgTitle			: "Bild Eigenschaften",
+DlgImgInfoTab		: "Bild-Info",
+DlgImgBtnUpload		: "Zum Server senden",
+DlgImgURL			: "Bildauswahl",
+DlgImgUpload		: "Upload",
+DlgImgAlt			: "Alternativer Text",
+DlgImgWidth			: "Breite",
+DlgImgHeight		: "Höhe",
+DlgImgLockRatio		: "Größenverhaeltniss beibehalten",
+DlgBtnResetSize		: "Größe zuruecksetzen",
+DlgImgBorder		: "Rahmen",
+DlgImgHSpace		: "H-Freiraum",
+DlgImgVSpace		: "V-Freiraum",
+DlgImgAlign			: "Ausrichtung",
+DlgImgAlignLeft		: "Links",
+DlgImgAlignAbsBottom: "Abs Unten",
+DlgImgAlignAbsMiddle: "Abs Mitte",
+DlgImgAlignBaseline	: "Baseline",
+DlgImgAlignBottom	: "Unten",
+DlgImgAlignMiddle	: "Mitte",
+DlgImgAlignRight	: "Rechts",
+DlgImgAlignTextTop	: "Text Oben",
+DlgImgAlignTop		: "Oben",
+DlgImgPreview		: "Vorschau",
+DlgImgAlertUrl		: "Bitte geben Sie die Bild-URL an",
+DlgImgLinkTab		: "Link",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Link",
+DlgLnkInfoTab		: "Link Info",
+DlgLnkTargetTab		: "Zielseite",
+
+DlgLnkType			: "Link-Typ",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Anker in dieser Seite",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protokoll",
+DlgLnkProtoOther	: "&lt;anderes&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Anker auswählen",
+DlgLnkAnchorByName	: "nach Anker Name",
+DlgLnkAnchorById	: "nach Element Id",
+DlgLnkNoAnchors		: "&lt;keine Anker im Dokument vorhanden&gt;",
+DlgLnkEMail			: "E-Mail Addresse",
+DlgLnkEMailSubject	: "Betreffzeile",
+DlgLnkEMailBody		: "Nachrichtentext",
+DlgLnkUpload		: "Upload",
+DlgLnkBtnUpload		: "Uum Server senden",
+
+DlgLnkTarget		: "Zielseite",
+DlgLnkTargetFrame	: "&lt;Frame&gt;",
+DlgLnkTargetPopup	: "&lt;Pop-up Fenster&gt;",
+DlgLnkTargetBlank	: "Neues Fenster (_blank)",
+DlgLnkTargetParent	: "Oberes Fenster (_parent)",
+DlgLnkTargetSelf	: "Gleiches Fenster (_self)",
+DlgLnkTargetTop		: "Oberstes Fenster (_top)",
+DlgLnkTargetFrameName	: "Ziel-Frame Name",
+DlgLnkPopWinName	: "Pop-up Fenster Name",
+DlgLnkPopWinFeat	: "Pop-up Fenster Eigenschaften",
+DlgLnkPopResize		: "Vergrößerbar",
+DlgLnkPopLocation	: "Adress-Leiste",
+DlgLnkPopMenu		: "Menü-Leiste",
+DlgLnkPopScroll		: "Scroll-Leisten",
+DlgLnkPopStatus		: "Status-Leiste",
+DlgLnkPopToolbar	: "Werkzeugleiste",
+DlgLnkPopFullScrn	: "Vollbild (IE)",
+DlgLnkPopDependent	: "Abhängig (Netscape)",
+DlgLnkPopWidth		: "Breite",
+DlgLnkPopHeight		: "Höhe",
+DlgLnkPopLeft		: "Linke Position",
+DlgLnkPopTop		: "Obere Position",
+
+DlnLnkMsgNoUrl		: "Bitte geben Sie die Link-URL an",
+DlnLnkMsgNoEMail	: "Bitte geben Sie e-Mail Adresse an",
+DlnLnkMsgNoAnchor	: "Bitte waehlen Sie einen Anker aus",
+
+// Color Dialog
+DlgColorTitle		: "Farbauswahl",
+DlgColorBtnClear	: "Keine Farbe",
+DlgColorHighlight	: "Vorschau",
+DlgColorSelected	: "Ausgewählt",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Smiley auswählen",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Sonderzeichen auswählen",
+
+// Table Dialog
+DlgTableTitle		: "Tabellen Eigenschaften",
+DlgTableRows		: "Zeile",
+DlgTableColumns		: "Spalte",
+DlgTableBorder		: "Rahmen",
+DlgTableAlign		: "Ausrichtung",
+DlgTableAlignNotSet	: "<nichts>",
+DlgTableAlignLeft	: "Links",
+DlgTableAlignCenter	: "Zentriert",
+DlgTableAlignRight	: "Rechts",
+DlgTableWidth		: "Breite",
+DlgTableWidthPx		: "Pixel",
+DlgTableWidthPc		: "%",
+DlgTableHeight		: "Höhe",
+DlgTableCellSpace	: "Zellenabstand außen",
+DlgTableCellPad		: "Zellenabstand innen",
+DlgTableCaption		: "Üeberschrift",
+
+// Table Cell Dialog
+DlgCellTitle		: "Zellen-Eigenschaften",
+DlgCellWidth		: "Breite",
+DlgCellWidthPx		: "Pixel",
+DlgCellWidthPc		: "%",
+DlgCellHeight		: "Höhe",
+DlgCellWordWrap		: "Umbruch",
+DlgCellWordWrapNotSet	: "&lt;nichts&gt;",
+DlgCellWordWrapYes	: "Ja",
+DlgCellWordWrapNo	: "Nein",
+DlgCellHorAlign		: "Horizontale Ausrichtung",
+DlgCellHorAlignNotSet	: "&lt;nichts&gt;",
+DlgCellHorAlignLeft	: "Links",
+DlgCellHorAlignCenter	: "Zentriert",
+DlgCellHorAlignRight: "Rechts",
+DlgCellVerAlign		: "Vertikale Ausrichtung",
+DlgCellVerAlignNotSet	: "&lt;nichts&gt;",
+DlgCellVerAlignTop	: "Oben",
+DlgCellVerAlignMiddle	: "Mitte",
+DlgCellVerAlignBottom	: "Unten",
+DlgCellVerAlignBaseline	: "Baseline",
+DlgCellRowSpan		: "Zeilen zusammenfassen",
+DlgCellCollSpan		: "Spalten zusammenfassen",
+DlgCellBackColor	: "Hintergrundfarbe",
+DlgCellBorderColor	: "Rahmenfarbe",
+DlgCellBtnSelect	: "Auswahl...",
+
+// Find Dialog
+DlgFindTitle		: "Finden",
+DlgFindFindBtn		: "Finden",
+DlgFindNotFoundMsg	: "Der Suchtext wurde nicht gefunden.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Ersetzen",
+DlgReplaceFindLbl		: "Suche nach:",
+DlgReplaceReplaceLbl	: "Ersetze mit:",
+DlgReplaceCaseChk		: "Groß-Kleinschreibung beachten",
+DlgReplaceReplaceBtn	: "Ersetzen",
+DlgReplaceReplAllBtn	: "Alle Ersetzen",
+DlgReplaceWordChk		: "Nur ganze Worte suchen",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Die Sicherheitseinstellungen Ihres Browsers lassen es nicht zu, den Text automatisch einzufügen. Bitte benutzen Sie die System-Zwischenablage ueber STRG-C (kopieren) und STRG-V (einfügen).",
+PasteErrorCut	: "Die Sicherheitseinstellungen Ihres Browsers lassen es nicht zu, den Text automatisch auszuschneiden. Bitte benutzen Sie die System-Zwischenablage ueber STRG-X (ausschneiden) und STRG-V (einfügen).",
+PasteErrorCopy	: "Die Sicherheitseinstellungen Ihres Browsers lassen es nicht zu, den Text automatisch kopieren. Bitte benutzen Sie die System-Zwischenablage ueber STRG-C (kopieren).",
+
+PasteAsText		: "Als Text einfügen",
+PasteFromWord	: "Aus Word einfügen",
+
+DlgPasteMsg		: "Der Text konnte nicht automatisch eingefügt werden, da die Sicherheitseinstellungen Ihres Browsers dies nicht zulassen.<BR>Bitte nutzen Sie in der folgenden Box die System-Zwischenablage ueber STRG-C (kopieren) und STRG-V (einfügen).",
+
+// Color Picker
+ColorAutomatic	: "Automatisch",
+ColorMoreColors	: "Weitere Farben...",
+
+// Document Properties
+DocProps		: "Dokument Eigenschaften",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Anker Eigenschaften",
+DlgAnchorName		: "Anker Name",
+DlgAnchorErrorName	: "Bitte geben Sie den Namen des Ankers ein",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Nicht im Wörterbuch",
+DlgSpellChangeTo		: "Äendern in",
+DlgSpellBtnIgnore		: "Ignorieren",
+DlgSpellBtnIgnoreAll	: "Alle Ignorieren",
+DlgSpellBtnReplace		: "Ersetzen",
+DlgSpellBtnReplaceAll	: "Alle Ersetzen",
+DlgSpellBtnUndo			: "Rückgängig",
+DlgSpellNoSuggestions	: " - keine Vorschläge - ",
+DlgSpellProgress		: "Rechtschreibprüfung läuft...",
+DlgSpellNoMispell		: "Rechtschreibprüfung abgeschlossen - keine Fehler gefunden",
+DlgSpellNoChanges		: "Rechtschreibprüfung abgeschlossen - keine Worte geändert",
+DlgSpellOneChange		: "Rechtschreibprüfung abgeschlossen - ein Wort geändert",
+DlgSpellManyChanges		: "Rechtschreibprüfung abgeschlossen - %1 Wörter geändert",
+
+IeSpellDownload			: "Rechtschreibprüfung nicht installiert. Möchten Sie sie jetzt herunterladen?",
+
+// Button Dialog
+DlgButtonText	: "Text (Wert)",
+DlgButtonType	: "Typ",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Name",
+DlgCheckboxValue	: "Wert",
+DlgCheckboxSelected	: "ausgewählt",
+
+// Form Dialog
+DlgFormName		: "Name",
+DlgFormAction	: "Action",
+DlgFormMethod	: "Method",
+
+// Select Field Dialog
+DlgSelectName		: "Name",
+DlgSelectValue		: "Wert",
+DlgSelectSize		: "Größe",
+DlgSelectLines		: "Linien",
+DlgSelectChkMulti	: "Erlaube Mehrfachauswahl",
+DlgSelectOpAvail	: "Mögliche Optionen",
+DlgSelectOpText		: "Text",
+DlgSelectOpValue	: "Wert",
+DlgSelectBtnAdd		: "Hinzufügen",
+DlgSelectBtnModify	: "Äendern",
+DlgSelectBtnUp		: "Hoch",
+DlgSelectBtnDown	: "Runter",
+DlgSelectBtnSetValue : "Setze als Standardwert",
+DlgSelectBtnDelete	: "Entfernen",
+
+// Textarea Dialog
+DlgTextareaName	: "Name",
+DlgTextareaCols	: "Spalten",
+DlgTextareaRows	: "Reihen",
+
+// Text Field Dialog
+DlgTextName			: "Name",
+DlgTextValue		: "Wert",
+DlgTextCharWidth	: "Zeichenbreite",
+DlgTextMaxChars		: "Max. Zeichen",
+DlgTextType			: "Typ",
+DlgTextTypeText		: "Text",
+DlgTextTypePass		: "Passwort",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Name",
+DlgHiddenValue	: "Wert",
+
+// Bulleted List Dialog
+BulletedListProp	: "Listen-Eigenschaften",
+NumberedListProp	: "Nummerierte Listen-Eigenschaften",
+DlgLstType			: "Typ",
+DlgLstTypeCircle	: "Kreis",
+DlgLstTypeDisk		: "Disk",
+DlgLstTypeSquare	: "Quadrat",
+DlgLstTypeNumbers	: "Nummern (1, 2, 3)",
+DlgLstTypeLCase		: "Kleinbuchstaben (a, b, c)",
+DlgLstTypeUCase		: "Großbuchstaben (A, B, C)",
+DlgLstTypeSRoman	: "Kleine römische Zahlen (i, ii, iii)",
+DlgLstTypeLRoman	: "Große römische Zahlen (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Allgemein",
+DlgDocBackTab		: "Hintergrund",
+DlgDocColorsTab		: "Farben und Abstände",
+DlgDocMetaTab		: "Metadaten",
+
+DlgDocPageTitle		: "Seitentitel",
+DlgDocLangDir		: "Schriftrichtung",
+DlgDocLangDirLTR	: "Links nach Rechts",
+DlgDocLangDirRTL	: "rechts nach Links",
+DlgDocLangCode		: "Sprachkürzel",
+DlgDocCharSet		: "Zeichenkodierung",
+DlgDocCharSetOther	: "Andere Zeichenkodierung",
+
+DlgDocDocType		: "Dokumententyp",
+DlgDocDocTypeOther	: "Anderer Dokumententyp",
+DlgDocIncXHTML		: "Beziehe XHTML Deklarationen ein",
+DlgDocBgColor		: "Hintergrundfarbe",
+DlgDocBgImage		: "Hintergrundbild URL",
+DlgDocBgNoScroll	: "Nicht-Scrollender Hintergrund",
+DlgDocCText			: "Text",
+DlgDocCLink			: "Link",
+DlgDocCVisited		: "Besuchter Link",
+DlgDocCActive		: "Aktiver Link",
+DlgDocMargins		: "Seitenränder",
+DlgDocMaTop			: "Oben",
+DlgDocMaLeft		: "Links",
+DlgDocMaRight		: "Rechts",
+DlgDocMaBottom		: "Unten",
+DlgDocMeIndex		: "Schlüsselwörter (Komma-getrennt)",
+DlgDocMeDescr		: "Dokument-Beschreibung",
+DlgDocMeAuthor		: "Autor",
+DlgDocMeCopy		: "Copyright",
+DlgDocPreview		: "Vorschau",
+
+// Templates Dialog
+Templates			: "Vorlagen",
+DlgTemplatesTitle	: "Vorlagen",
+DlgTemplatesSelMsg	: "Klicken Sie auf eine Vorlage, um sie im Editor zu öffnen(der aktuelle Inhalt wird dabei gelöscht!):",
+DlgTemplatesLoading	: "Liste der Vorlagen wird geladen. Bitte warten...",
+DlgTemplatesNoTpl	: "(keine Vorlagen definiert)",
+
+// About Dialog
+DlgAboutAboutTab	: "Über",
+DlgAboutBrowserInfoTab	: "Browser-Info",
+DlgAboutVersion		: "Version",
+DlgAboutLicense		: "Lizensiert unter den Richtlinien der GNU Lesser General Public License",
+DlgAboutInfo		: "Für weitere Informationen siehe"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/el.js soojung/libs/fckeditor/editor/lang/el.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/el.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/el.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: el.js
+ * 	Greek language file.
+ * 
+ * File Authors:
+ * 		Spyros Barbatos (sbarbatos{at}users.sourceforge.net)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Απόκρυψη Μπάρας Εργαλείων",
+ToolbarExpand		: "Εμφάνιση Μπάρας Εργαλείων",
+
+// Toolbar Items and Context Menu
+Save				: "Αποθήκευση",
+NewPage				: "Νέα Σελίδα",
+Preview				: "Προεπισκόπιση",
+Cut					: "Αποκοπή",
+Copy				: "Αντιγραφή",
+Paste				: "Επικόλληση",
+PasteText			: "Επικόλληση (απλό κείμενο)",
+PasteWord			: "Επικόλληση από το Word",
+Print				: "Εκτύπωση",
+SelectAll			: "Επιλογή όλων",
+RemoveFormat		: "Αφαίρεση Μορφοποίησης",
+InsertLinkLbl		: "Σύνδεσμος (Link)",
+InsertLink			: "Εισαγωγή/Μεταβολή Συνδέσμου (Link)",
+RemoveLink			: "Αφαίρεση Συνδέσμου (Link)",
+Anchor				: "Insert/Edit Anchor",	//MISSING
+InsertImageLbl		: "Εικόνα",
+InsertImage			: "Εισαγωγή/Μεταβολή Εικόνας",
+InsertTableLbl		: "Πίνακας",
+InsertTable			: "Εισαγωγή/Μεταβολή Πίνακα",
+InsertLineLbl		: "Γραμμή",
+InsertLine			: "Εισαγωγή Οριζόντιας Γραμμής",
+InsertSpecialCharLbl: "Ειδικό Σύμβολο",
+InsertSpecialChar	: "Εισαγωγή Ειδικού Συμβόλου",
+InsertSmileyLbl		: "Smiley",
+InsertSmiley		: "Εισαγωγή Smiley",
+About				: "Περί του FCKeditor",
+Bold				: "Έντονα",
+Italic				: "Πλάγια",
+Underline			: "Υπογράμμιση",
+StrikeThrough		: "Διαγράμμιση",
+Subscript			: "Δείκτης",
+Superscript			: "Εκθέτης",
+LeftJustify			: "Στοίχιση Αριστερά",
+CenterJustify		: "Στοίχιση στο Κέντρο",
+RightJustify		: "Στοίχιση Δεξιά",
+BlockJustify		: "Πλήρης Στοίχιση (Block)",
+DecreaseIndent		: "Μείωση Εσοχής",
+IncreaseIndent		: "Αύξηση Εσοχής",
+Undo				: "Undo",
+Redo				: "Redo",
+NumberedListLbl		: "Λίστα με Αριθμούς",
+NumberedList		: "Εισαγωγή/Διαγραφή Λίστας με Αριθμούς",
+BulletedListLbl		: "Λίστα με Bullets",
+BulletedList		: "Εισαγωγή/Διαγραφή Λίστας με Bullets",
+ShowTableBorders	: "Προβολή Ορίων Πίνακα",
+ShowDetails			: "Προβολή Λεπτομερειών",
+Style				: "Style",
+FontFormat			: "Μορφή Γραμματοσειράς",
+Font				: "Γραμματοσειρά",
+FontSize			: "Μέγεθος",
+TextColor			: "Χρώμα Γραμμάτων",
+BGColor				: "Χρώμα Υποβάθρου",
+Source				: "HTML κώδικας",
+Find				: "Αναζήτηση",
+Replace				: "Αντικατάσταση",
+SpellCheck			: "Check Spell",	//MISSING
+UniversalKeyboard	: "Universal Keyboard",	//MISSING
+
+Form			: "Form",	//MISSING
+Checkbox		: "Checkbox",	//MISSING
+RadioButton		: "Radio Button",	//MISSING
+TextField		: "Text Field",	//MISSING
+Textarea		: "Textarea",	//MISSING
+HiddenField		: "Hidden Field",	//MISSING
+Button			: "Button",	//MISSING
+SelectionField	: "Selection Field",	//MISSING
+ImageButton		: "Image Button",	//MISSING
+
+// Context Menu
+EditLink			: "Μεταβολή Συνδέσμου (Link)",
+InsertRow			: "Εισαγωγή Γραμμής",
+DeleteRows			: "Διαγραφή Γραμμών",
+InsertColumn		: "Εισαγωγή Κολώνας",
+DeleteColumns		: "Διαγραφή Κολωνών",
+InsertCell			: "Εισαγωγή Κελιού",
+DeleteCells			: "Διαγραφή Κελιών",
+MergeCells			: "Ενοποίηση Κελιών",
+SplitCell			: "Διαχωρισμός Κελιού",
+CellProperties		: "Ιδιότητες Κελιού",
+TableProperties		: "Ιδιότητες Πίνακα",
+ImageProperties		: "Ιδιότητες Εικόνας",
+
+AnchorProp			: "Anchor Properties",	//MISSING
+ButtonProp			: "Button Properties",	//MISSING
+CheckboxProp		: "Checkbox Properties",	//MISSING
+HiddenFieldProp		: "Hidden Field Properties",	//MISSING
+RadioButtonProp		: "Radio Button Properties",	//MISSING
+ImageButtonProp		: "Image Button Properties",	//MISSING
+TextFieldProp		: "Text Field Properties",	//MISSING
+SelectionFieldProp	: "Selection Field Properties",	//MISSING
+TextareaProp		: "Textarea Properties",	//MISSING
+FormProp			: "Form Properties",	//MISSING
+
+FontFormats			: "Normal;Formatted;Address;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Επεξεργασία XHTML. Παρακαλώ περιμένετε...",
+Done				: "Έτοιμο",
+PasteWordConfirm	: "Το κείμενο που θέλετε να επικολήσετε, φαίνεται πως προέρχεται από το Word. Θέλετε να καθαριστεί πριν επικοληθεί;",
+NotCompatiblePaste	: "Αυτή η επιλογή είναι διαθέσιμη στον Internet Explorer έκδοση 5.5+. Θέλετε να γίνει η επικόλληση χωρίς καθαρισμό;",
+UnknownToolbarItem	: "Άγνωστο αντικείμενο της μπάρας εργαλείων \"%1\"",
+UnknownCommand		: "Άγνωστή εντολή \"%1\"",
+NotImplemented		: "Η εντολή δεν έχει ενεργοποιηθεί",
+UnknownToolbarSet	: "Η μπάρα εργαλείων \"%1\" δεν υπάρχει",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Ακύρωση",
+DlgBtnClose			: "Κλείσιμο",
+DlgBtnBrowseServer	: "Browse Server",	//MISSING
+DlgAdvancedTag		: "Για προχωρημένους",
+DlgOpOther			: "&lt;Other&gt;",	//MISSING
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;χωρίς&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Κατεύθυνση κειμένου",
+DlgGenLangDirLtr	: "Αριστερά προς Δεξιά (LTR)",
+DlgGenLangDirRtl	: "Δεξιά προς Αριστερά (RTL)",
+DlgGenLangCode		: "Κωδικός Γλώσσας",
+DlgGenAccessKey		: "Συντόμευση (Access Key)",
+DlgGenName			: "Name",
+DlgGenTabIndex		: "Tab Index",
+DlgGenLongDescr		: "Long Description URL",
+DlgGenClass			: "Stylesheet Classes",
+DlgGenTitle			: "Advisory Title",
+DlgGenContType		: "Advisory Content Type",
+DlgGenLinkCharset	: "Linked Resource Charset",
+DlgGenStyle			: "Style",
+
+// Image Dialog
+DlgImgTitle			: "Ιδιότητες Εικόνας",
+DlgImgInfoTab		: "Πληροφορίες Εικόνας",
+DlgImgBtnUpload		: "Αποστολή στον Διακομιστή",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Αποστολή",
+DlgImgAlt			: "Εναλλακτικό Κείμενο (ALT)",
+DlgImgWidth			: "Πλάτος",
+DlgImgHeight		: "Ύψος",
+DlgImgLockRatio		: "Κλείδωμα Αναλογίας",
+DlgBtnResetSize		: "Επαναφορά Αρχικού Μεγέθους",
+DlgImgBorder		: "Περιθώριο",
+DlgImgHSpace		: "Οριζόντιος Χώρος (HSpace)",
+DlgImgVSpace		: "Κάθετος Χώρος (VSpace)",
+DlgImgAlign			: "Ευθυγράμμιση (Align)",
+DlgImgAlignLeft		: "Αριστερά",
+DlgImgAlignAbsBottom: "Απόλυτα Κάτω (Abs Bottom)",
+DlgImgAlignAbsMiddle: "Απόλυτα στη Μέση (Abs Middle)",
+DlgImgAlignBaseline	: "Γραμμή Βάσης (Baseline)",
+DlgImgAlignBottom	: "Κάτω (Bottom)",
+DlgImgAlignMiddle	: "Μέση (Middle)",
+DlgImgAlignRight	: "Δεξιά (Right)",
+DlgImgAlignTextTop	: "Κορυφή Κειμένου (Text Top)",
+DlgImgAlignTop		: "Πάνω (Top)",
+DlgImgPreview		: "Προεπισκόπιση",
+DlgImgAlertUrl		: "Εισάγετε την τοποθεσία (URL) της εικόνας",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Υπερσύνδεσμος (Link)",
+DlgLnkInfoTab		: "Link",
+DlgLnkTargetTab		: "Παράθυρο Στόχος (Target)",
+
+DlgLnkType			: "Τύπος Υπερσυνδέσμου (Link)",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Anchor in this page",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocol",
+DlgLnkProtoOther	: "&lt;άλλο&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Επιλέξτε ένα Anchor",
+DlgLnkAnchorByName	: "Βάσει του Ονόματος (Name)του Anchor",
+DlgLnkAnchorById	: "Βάσει του Element Id",
+DlgLnkNoAnchors		: "&lt;Δεν υπάρχουν Anchors στο κείμενο&gt;",
+DlgLnkEMail			: "Διεύθυνση Ηλεκτρονικού Ταχυδρομείου",
+DlgLnkEMailSubject	: "Θέμα Μηνύματος",
+DlgLnkEMailBody		: "Κείμενο Μηνύματος",
+DlgLnkUpload		: "Αποστολή",
+DlgLnkBtnUpload		: "Αποστολή στον Διακομιστή",
+
+DlgLnkTarget		: "Παράθυρο Στόχος (Target)",
+DlgLnkTargetFrame	: "&lt;frame&gt;",
+DlgLnkTargetPopup	: "&lt;popup window&gt;",
+DlgLnkTargetBlank	: "Νέο Παράθυρο (_blank)",
+DlgLnkTargetParent	: "Γονικό Παράθυρο (_parent)",
+DlgLnkTargetSelf	: "Ίδιο Παράθυρο (_self)",
+DlgLnkTargetTop		: "Ανώτατο Παράθυρο (_top)",
+DlgLnkTargetFrameName	: "Target Frame Name",	//MISSING
+DlgLnkPopWinName	: "Όνομα Popup Window",
+DlgLnkPopWinFeat	: "Επιλογές Popup Window",
+DlgLnkPopResize		: "Με αλλαγή Μεγέθους",
+DlgLnkPopLocation	: "Μπάρα Τοποθεσίας",
+DlgLnkPopMenu		: "Μπάρα Menu",
+DlgLnkPopScroll		: "Μπάρες Κύλισης",
+DlgLnkPopStatus		: "Μπάρα Status",
+DlgLnkPopToolbar	: "Μπάρα Εργαλείων",
+DlgLnkPopFullScrn	: "Ολόκληρη η Οθόνη (IE)",
+DlgLnkPopDependent	: "Dependent (Netscape)",
+DlgLnkPopWidth		: "Πλάτος",
+DlgLnkPopHeight		: "Ύψος",
+DlgLnkPopLeft		: "Τοποθεσία Αριστερής Άκρης",
+DlgLnkPopTop		: "Τοποθεσία Πάνω Άκρης",
+
+DlnLnkMsgNoUrl		: "Εισάγετε την τοποθεσία (URL) του υπερσυνδέσμου (Link)",
+DlnLnkMsgNoEMail	: "Εισάγετε την διεύθυνση ηλεκτρονικού ταχυδρομείου",
+DlnLnkMsgNoAnchor	: "Επιλέξτε ένα Anchor",
+
+// Color Dialog
+DlgColorTitle		: "Επιλογή χρώματος",
+DlgColorBtnClear	: "Καθαρισμός",
+DlgColorHighlight	: "Προεπισκόπιση",
+DlgColorSelected	: "Επιλεγμένο",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Επιλέξτε ένα Smiley",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Επιλέξτε ένα Ειδικό Σύμβολο",
+
+// Table Dialog
+DlgTableTitle		: "Ιδιότητες Πίνακα",
+DlgTableRows		: "Γραμμές",
+DlgTableColumns		: "Κολώνες",
+DlgTableBorder		: "Μέγεθος Περιθωρίου",
+DlgTableAlign		: "Στοίχιση",
+DlgTableAlignNotSet	: "<χωρίς>",
+DlgTableAlignLeft	: "Αριστερά",
+DlgTableAlignCenter	: "Κέντρο",
+DlgTableAlignRight	: "Δεξιά",
+DlgTableWidth		: "Πλάτος",
+DlgTableWidthPx		: "pixels",
+DlgTableWidthPc		: "\%",
+DlgTableHeight		: "Ύψος",
+DlgTableCellSpace	: "Cell spacing",
+DlgTableCellPad		: "Cell padding",
+DlgTableCaption		: "Υπέρτιτλος",
+
+// Table Cell Dialog
+DlgCellTitle		: "Ιδιότητες Κελιού",
+DlgCellWidth		: "Πλάτος",
+DlgCellWidthPx		: "pixels",
+DlgCellWidthPc		: "\%",
+DlgCellHeight		: "Ύψος",
+DlgCellWordWrap		: "Με αλλαγή γραμμής",
+DlgCellWordWrapNotSet	: "<χωρίς>",
+DlgCellWordWrapYes	: "Ναι",
+DlgCellWordWrapNo	: "Όχι",
+DlgCellHorAlign		: "Οριζόντια Στοίχιση",
+DlgCellHorAlignNotSet	: "<χωρίς>",
+DlgCellHorAlignLeft	: "Αριστερά",
+DlgCellHorAlignCenter	: "Κέντρο",
+DlgCellHorAlignRight: "Δεξιά",
+DlgCellVerAlign		: "Κάθετη Στοίχιση",
+DlgCellVerAlignNotSet	: "<χωρίς>",
+DlgCellVerAlignTop	: "Πάνω (Top)",
+DlgCellVerAlignMiddle	: "Μέση (Middle)",
+DlgCellVerAlignBottom	: "Κάτω (Bottom)",
+DlgCellVerAlignBaseline	: "Γραμμή Βάσης (Baseline)",
+DlgCellRowSpan		: "Αριθμός Γραμμών (Rows Span)",
+DlgCellCollSpan		: "Αριθμός Κολωνών (Columns Span)",
+DlgCellBackColor	: "Χρώμα Υποβάθρου",
+DlgCellBorderColor	: "Χρώμα Περιθωρίου",
+DlgCellBtnSelect	: "Επιλογή...",
+
+// Find Dialog
+DlgFindTitle		: "Αναζήτηση",
+DlgFindFindBtn		: "Αναζήτηση",
+DlgFindNotFoundMsg	: "Το κείμενο δεν βρέθηκε.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Αντικατάσταση",
+DlgReplaceFindLbl		: "Αναζήτηση:",
+DlgReplaceReplaceLbl	: "Αντικατάσταση με:",
+DlgReplaceCaseChk		: "Έλεγχος πεζών/κεφαλαίων",
+DlgReplaceReplaceBtn	: "Αντικατάσταση",
+DlgReplaceReplAllBtn	: "Αντικατάσταση Όλων",
+DlgReplaceWordChk		: "Εύρεση πλήρους λέξης",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Οι ρυθμίσεις ασφαλείας του φυλλομετρητή σας δεν επιτρέπουν την επιλεγμένη εργασία επικόλλησης. Χρησιμοποιείστε το πληκτρολόγιο (Ctrl+V).",
+PasteErrorCut	: "Οι ρυθμίσεις ασφαλείας του φυλλομετρητή σας δεν επιτρέπουν την επιλεγμένη εργασία αποκοπής. Χρησιμοποιείστε το πληκτρολόγιο (Ctrl+X).",
+PasteErrorCopy	: "Οι ρυθμίσεις ασφαλείας του φυλλομετρητή σας δεν επιτρέπουν την επιλεγμένη εργασία αντιγραφής. Χρησιμοποιείστε το πληκτρολόγιο (Ctrl+C).",
+
+PasteAsText		: "Επικόλληση ως Απλό Κείμενο",
+PasteFromWord	: "Επικόλληση από το Word",
+
+DlgPasteMsg		: "Ο επεξεργαστής κειμένου δεν μπορεί να εκτελέσει αυτόματα την επικόλληση λόγω των <STRONG>τυθμίσεων ασφαλείας</STRONG> του φυλλομετρητή σας.<BR>Εισάγετε το κείμενο στο πιο κάτω περιθώριο χρησιμοποιώντας το πληκτρολόγιο (<STRONG>Ctrl+V</STRONG>) και πιέστε <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Αυτόματο",
+ColorMoreColors	: "Περισσότερα χρώματα...",
+
+// Document Properties
+DocProps		: "Document Properties",	//MISSING
+
+// Anchor Dialog
+DlgAnchorTitle		: "Anchor Properties",	//MISSING
+DlgAnchorName		: "Anchor Name",	//MISSING
+DlgAnchorErrorName	: "Please type the anchor name",	//MISSING
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Not in dictionary",	//MISSING
+DlgSpellChangeTo		: "Change to",	//MISSING
+DlgSpellBtnIgnore		: "Ignore",	//MISSING
+DlgSpellBtnIgnoreAll	: "Ignore All",	//MISSING
+DlgSpellBtnReplace		: "Replace",	//MISSING
+DlgSpellBtnReplaceAll	: "Replace All",	//MISSING
+DlgSpellBtnUndo			: "Undo",	//MISSING
+DlgSpellNoSuggestions	: "- No suggestions -",	//MISSING
+DlgSpellProgress		: "Spell check in progress...",	//MISSING
+DlgSpellNoMispell		: "Spell check complete: No misspellings found",	//MISSING
+DlgSpellNoChanges		: "Spell check complete: No words changed",	//MISSING
+DlgSpellOneChange		: "Spell check complete: One word changed",	//MISSING
+DlgSpellManyChanges		: "Spell check complete: %1 words changed",	//MISSING
+
+IeSpellDownload			: "Spell checker not installed. Do you want to download it now?",	//MISSING
+
+// Button Dialog
+DlgButtonText	: "Text (Value)",	//MISSING
+DlgButtonType	: "Type",	//MISSING
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Name",	//MISSING
+DlgCheckboxValue	: "Value",	//MISSING
+DlgCheckboxSelected	: "Selected",	//MISSING
+
+// Form Dialog
+DlgFormName		: "Name",	//MISSING
+DlgFormAction	: "Action",	//MISSING
+DlgFormMethod	: "Method",	//MISSING
+
+// Select Field Dialog
+DlgSelectName		: "Name",	//MISSING
+DlgSelectValue		: "Value",	//MISSING
+DlgSelectSize		: "Size",	//MISSING
+DlgSelectLines		: "lines",	//MISSING
+DlgSelectChkMulti	: "Allow multiple selections",	//MISSING
+DlgSelectOpAvail	: "Available Options",	//MISSING
+DlgSelectOpText		: "Text",	//MISSING
+DlgSelectOpValue	: "Value",	//MISSING
+DlgSelectBtnAdd		: "Add",	//MISSING
+DlgSelectBtnModify	: "Modify",	//MISSING
+DlgSelectBtnUp		: "Up",	//MISSING
+DlgSelectBtnDown	: "Down",	//MISSING
+DlgSelectBtnSetValue : "Set as selected value",	//MISSING
+DlgSelectBtnDelete	: "Delete",	//MISSING
+
+// Textarea Dialog
+DlgTextareaName	: "Name",	//MISSING
+DlgTextareaCols	: "Columns",	//MISSING
+DlgTextareaRows	: "Rows",	//MISSING
+
+// Text Field Dialog
+DlgTextName			: "Name",	//MISSING
+DlgTextValue		: "Value",	//MISSING
+DlgTextCharWidth	: "Character Width",	//MISSING
+DlgTextMaxChars		: "Maximum Characters",	//MISSING
+DlgTextType			: "Type",	//MISSING
+DlgTextTypeText		: "Text",	//MISSING
+DlgTextTypePass		: "Password",	//MISSING
+
+// Hidden Field Dialog
+DlgHiddenName	: "Name",	//MISSING
+DlgHiddenValue	: "Value",	//MISSING
+
+// Bulleted List Dialog
+BulletedListProp	: "Bulleted List Properties",	//MISSING
+NumberedListProp	: "Numbered List Properties",	//MISSING
+DlgLstType			: "Type",	//MISSING
+DlgLstTypeCircle	: "Circle",	//MISSING
+DlgLstTypeDisk		: "Disk",	//MISSING
+DlgLstTypeSquare	: "Square",	//MISSING
+DlgLstTypeNumbers	: "Numbers (1, 2, 3)",	//MISSING
+DlgLstTypeLCase		: "Lowercase Letters (a, b, c)",	//MISSING
+DlgLstTypeUCase		: "Uppercase Letters (A, B, C)",	//MISSING
+DlgLstTypeSRoman	: "Small Roman Numerals (i, ii, iii)",	//MISSING
+DlgLstTypeLRoman	: "Large Roman Numerals (I, II, III)",	//MISSING
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",	//MISSING
+DlgDocBackTab		: "Background",	//MISSING
+DlgDocColorsTab		: "Colors and Margins",	//MISSING
+DlgDocMetaTab		: "Meta Data",	//MISSING
+
+DlgDocPageTitle		: "Page Title",	//MISSING
+DlgDocLangDir		: "Language Direction",	//MISSING
+DlgDocLangDirLTR	: "Left to Right (LTR)",	//MISSING
+DlgDocLangDirRTL	: "Right to Left (RTL)",	//MISSING
+DlgDocLangCode		: "Language Code",	//MISSING
+DlgDocCharSet		: "Character Set Encoding",	//MISSING
+DlgDocCharSetOther	: "Other Character Set Encoding",	//MISSING
+
+DlgDocDocType		: "Document Type Heading",	//MISSING
+DlgDocDocTypeOther	: "Other Document Type Heading",	//MISSING
+DlgDocIncXHTML		: "Include XHTML Declarations",	//MISSING
+DlgDocBgColor		: "Background Color",	//MISSING
+DlgDocBgImage		: "Background Image URL",	//MISSING
+DlgDocBgNoScroll	: "Nonscrolling Background",	//MISSING
+DlgDocCText			: "Text",	//MISSING
+DlgDocCLink			: "Link",	//MISSING
+DlgDocCVisited		: "Visited Link",	//MISSING
+DlgDocCActive		: "Active Link",	//MISSING
+DlgDocMargins		: "Page Margins",	//MISSING
+DlgDocMaTop			: "Top",	//MISSING
+DlgDocMaLeft		: "Left",	//MISSING
+DlgDocMaRight		: "Right",	//MISSING
+DlgDocMaBottom		: "Bottom",	//MISSING
+DlgDocMeIndex		: "Document Indexing Keywords (comma separated)",	//MISSING
+DlgDocMeDescr		: "Document Description",	//MISSING
+DlgDocMeAuthor		: "Author",	//MISSING
+DlgDocMeCopy		: "Copyright",	//MISSING
+DlgDocPreview		: "Preview",	//MISSING
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "About",	//MISSING
+DlgAboutBrowserInfoTab	: "Browser Info",	//MISSING
+DlgAboutVersion		: "έκδοση",
+DlgAboutLicense		: "Άδεια χρήσης υπό τους όρους της GNU Lesser General Public License",
+DlgAboutInfo		: "Για περισσότερες πληροφορίες"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/en-au.js soojung/libs/fckeditor/editor/lang/en-au.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/en-au.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/en-au.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,454 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: en-au.js
+ * 	English (Australia) language file.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ * 		Christopher Dawes (fckeditor@dawes.id.au)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Collapse Toolbar",
+ToolbarExpand		: "Expand Toolbar",
+
+// Toolbar Items and Context Menu
+Save				: "Save",
+NewPage				: "New Page",
+Preview				: "Preview",
+Cut					: "Cut",
+Copy				: "Copy",
+Paste				: "Paste",
+PasteText			: "Paste as plain text",
+PasteWord			: "Paste from Word",
+Print				: "Print",
+SelectAll			: "Select All",
+RemoveFormat		: "Remove Format",
+InsertLinkLbl		: "Link",
+InsertLink			: "Insert/Edit Link",
+RemoveLink			: "Remove Link",
+Anchor				: "Insert/Edit Anchor",	//MISSING
+InsertImageLbl		: "Image",
+InsertImage			: "Insert/Edit Image",
+InsertTableLbl		: "Table",
+InsertTable			: "Insert/Edit Table",
+InsertLineLbl		: "Line",
+InsertLine			: "Insert Horizontal Line",
+InsertSpecialCharLbl: "Special Char",
+InsertSpecialChar	: "Insert Special Character",
+InsertSmileyLbl		: "Smiley",
+InsertSmiley		: "Insert Smiley",
+About				: "About FCKeditor",
+Bold				: "Bold",
+Italic				: "Italic",
+Underline			: "Underline",
+StrikeThrough		: "Strike Through",
+Subscript			: "Subscript",
+Superscript			: "Superscript",
+LeftJustify			: "Left Justify",
+CenterJustify		: "Center Justify",
+RightJustify		: "Right Justify",
+BlockJustify		: "Block Justify",
+DecreaseIndent		: "Decrease Indent",
+IncreaseIndent		: "Increase Indent",
+Undo				: "Undo",
+Redo				: "Redo",
+NumberedListLbl		: "Numbered List",
+NumberedList		: "Insert/Remove Numbered List",
+BulletedListLbl		: "Bulleted List",
+BulletedList		: "Insert/Remove Bulleted List",
+ShowTableBorders	: "Show Table Borders",
+ShowDetails			: "Show Details",
+Style				: "Style",
+FontFormat			: "Format",
+Font				: "Font",
+FontSize			: "Size",
+TextColor			: "Text Color",	//MISSING
+BGColor				: "Background Color",	//MISSING
+Source				: "Source",
+Find				: "Find",
+Replace				: "Replace",
+SpellCheck			: "Check Spell",	//MISSING
+UniversalKeyboard	: "Universal Keyboard",	//MISSING
+
+Form			: "Form",	//MISSING
+Checkbox		: "Checkbox",	//MISSING
+RadioButton		: "Radio Button",	//MISSING
+TextField		: "Text Field",	//MISSING
+Textarea		: "Textarea",	//MISSING
+HiddenField		: "Hidden Field",	//MISSING
+Button			: "Button",	//MISSING
+SelectionField	: "Selection Field",	//MISSING
+ImageButton		: "Image Button",	//MISSING
+
+// Context Menu
+EditLink			: "Edit Link",
+InsertRow			: "Insert Row",
+DeleteRows			: "Delete Rows",
+InsertColumn		: "Insert Column",
+DeleteColumns		: "Delete Columns",
+InsertCell			: "Insert Cell",
+DeleteCells			: "Delete Cells",
+MergeCells			: "Merge Cells",
+SplitCell			: "Split Cell",
+CellProperties		: "Cell Properties",
+TableProperties		: "Table Properties",
+ImageProperties		: "Image Properties",
+
+AnchorProp			: "Anchor Properties",	//MISSING
+ButtonProp			: "Button Properties",	//MISSING
+CheckboxProp		: "Checkbox Properties",	//MISSING
+HiddenFieldProp		: "Hidden Field Properties",	//MISSING
+RadioButtonProp		: "Radio Button Properties",	//MISSING
+ImageButtonProp		: "Image Button Properties",	//MISSING
+TextFieldProp		: "Text Field Properties",	//MISSING
+SelectionFieldProp	: "Selection Field Properties",	//MISSING
+TextareaProp		: "Textarea Properties",	//MISSING
+FormProp			: "Form Properties",	//MISSING
+
+FontFormats			: "Normal;Formatted;Address;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6;Paragraph (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "Processing XHTML. Please wait...",
+Done				: "Done",
+PasteWordConfirm	: "The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?",
+NotCompatiblePaste	: "This command is available for Internet Explorer version 5.5 or more. Do you want to paste without cleaning?",
+UnknownToolbarItem	: "Unknown toolbar item \"%1\"",
+UnknownCommand		: "Unknown command name \"%1\"",
+NotImplemented		: "Command not implemented",
+UnknownToolbarSet	: "Toolbar set \"%1\" doesn't exist",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Cancel",
+DlgBtnClose			: "Close",
+DlgBtnBrowseServer	: "Browse Server",	//MISSING
+DlgAdvancedTag		: "Advanced",
+DlgOpOther			: "&lt;Other&gt;",	//MISSING
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;not set&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Language Direction",
+DlgGenLangDirLtr	: "Left to Right (LTR)",
+DlgGenLangDirRtl	: "Right to Left (RTL)",
+DlgGenLangCode		: "Language Code",
+DlgGenAccessKey		: "Access Key",
+DlgGenName			: "Name",
+DlgGenTabIndex		: "Tab Index",
+DlgGenLongDescr		: "Long Description URL",
+DlgGenClass			: "Stylesheet Classes",
+DlgGenTitle			: "Advisory Title",
+DlgGenContType		: "Advisory Content Type",
+DlgGenLinkCharset	: "Linked Resource Charset",
+DlgGenStyle			: "Style",
+
+// Image Dialog
+DlgImgTitle			: "Image Properties",
+DlgImgInfoTab		: "Image Info",
+DlgImgBtnUpload		: "Send it to the Server",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Upload",
+DlgImgAlt			: "Alternative Text",
+DlgImgWidth			: "Width",
+DlgImgHeight		: "Height",
+DlgImgLockRatio		: "Lock Ratio",
+DlgBtnResetSize		: "Reset Size",
+DlgImgBorder		: "Border",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Align",
+DlgImgAlignLeft		: "Left",
+DlgImgAlignAbsBottom: "Abs Bottom",
+DlgImgAlignAbsMiddle: "Abs Middle",
+DlgImgAlignBaseline	: "Baseline",
+DlgImgAlignBottom	: "Bottom",
+DlgImgAlignMiddle	: "Middle",
+DlgImgAlignRight	: "Right",
+DlgImgAlignTextTop	: "Text Top",
+DlgImgAlignTop		: "Top",
+DlgImgPreview		: "Preview",
+DlgImgAlertUrl		: "Please type the image URL",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Link",
+DlgLnkInfoTab		: "Link Info",
+DlgLnkTargetTab		: "Target",
+
+DlgLnkType			: "Link Type",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Anchor in this page",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocol",
+DlgLnkProtoOther	: "&lt;other&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Select an Anchor",
+DlgLnkAnchorByName	: "By Anchor Name",
+DlgLnkAnchorById	: "By Element Id",
+DlgLnkNoAnchors		: "&lt;No anchors available in the document&gt;",
+DlgLnkEMail			: "E-Mail Address",
+DlgLnkEMailSubject	: "Message Subject",
+DlgLnkEMailBody		: "Message Body",
+DlgLnkUpload		: "Upload",
+DlgLnkBtnUpload		: "Send it to the Server",
+
+DlgLnkTarget		: "Target",
+DlgLnkTargetFrame	: "&lt;frame&gt;",
+DlgLnkTargetPopup	: "&lt;popup window&gt;",
+DlgLnkTargetBlank	: "New Window (_blank)",
+DlgLnkTargetParent	: "Parent Window (_parent)",
+DlgLnkTargetSelf	: "Same Window (_self)",
+DlgLnkTargetTop		: "Topmost Window (_top)",
+DlgLnkTargetFrameName	: "Target Frame Name",	//MISSING
+DlgLnkPopWinName	: "Popup Window Name",
+DlgLnkPopWinFeat	: "Popup Window Features",
+DlgLnkPopResize		: "Resizable",
+DlgLnkPopLocation	: "Location Bar",
+DlgLnkPopMenu		: "Menu Bar",
+DlgLnkPopScroll		: "Scroll Bars",
+DlgLnkPopStatus		: "Status Bar",
+DlgLnkPopToolbar	: "Toolbar",
+DlgLnkPopFullScrn	: "Full Screen (IE)",
+DlgLnkPopDependent	: "Dependent (Netscape)",
+DlgLnkPopWidth		: "Width",
+DlgLnkPopHeight		: "Height",
+DlgLnkPopLeft		: "Left Position",
+DlgLnkPopTop		: "Top Position",
+
+DlnLnkMsgNoUrl		: "Please type the link URL",
+DlnLnkMsgNoEMail	: "Please type the e-mail address",
+DlnLnkMsgNoAnchor	: "Please select an anchor",
+
+// Color Dialog
+DlgColorTitle		: "Select Color",	//MISSING
+DlgColorBtnClear	: "Clear",	//MISSING
+DlgColorHighlight	: "Highlight",	//MISSING
+DlgColorSelected	: "Selected",	//MISSING
+
+// Smiley Dialog
+DlgSmileyTitle		: "Insert a Smiley",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Select Special Character",
+
+// Table Dialog
+DlgTableTitle		: "Table Properties",
+DlgTableRows		: "Rows",
+DlgTableColumns		: "Columns",
+DlgTableBorder		: "Border size",
+DlgTableAlign		: "Alignment",
+DlgTableAlignNotSet	: "<Not set>",
+DlgTableAlignLeft	: "Left",
+DlgTableAlignCenter	: "Centre",
+DlgTableAlignRight	: "Right",
+DlgTableWidth		: "Width",
+DlgTableWidthPx		: "pixels",
+DlgTableWidthPc		: "percent",
+DlgTableHeight		: "Height",
+DlgTableCellSpace	: "Cell spacing",
+DlgTableCellPad		: "Cell padding",
+DlgTableCaption		: "Caption",
+
+// Table Cell Dialog
+DlgCellTitle		: "Cell Properties",
+DlgCellWidth		: "Width",
+DlgCellWidthPx		: "pixels",
+DlgCellWidthPc		: "percent",
+DlgCellHeight		: "Height",
+DlgCellWordWrap		: "Word Wrap",
+DlgCellWordWrapNotSet	: "&lt;Not set&gt;",
+DlgCellWordWrapYes	: "Yes",
+DlgCellWordWrapNo	: "No",
+DlgCellHorAlign		: "Horizontal Alignment",
+DlgCellHorAlignNotSet	: "&lt;Not set&gt;",
+DlgCellHorAlignLeft	: "Left",
+DlgCellHorAlignCenter	: "Centre",
+DlgCellHorAlignRight: "Right",
+DlgCellVerAlign		: "Vertical Alignment",
+DlgCellVerAlignNotSet	: "&lt;Not set&gt;",
+DlgCellVerAlignTop	: "Top",
+DlgCellVerAlignMiddle	: "Middle",
+DlgCellVerAlignBottom	: "Bottom",
+DlgCellVerAlignBaseline	: "Baseline",
+DlgCellRowSpan		: "Rows Span",
+DlgCellCollSpan		: "Columns Span",
+DlgCellBackColor	: "Background Color",	//MISSING
+DlgCellBorderColor	: "Border Color",	//MISSING
+DlgCellBtnSelect	: "Select...",
+
+// Find Dialog
+DlgFindTitle		: "Find",
+DlgFindFindBtn		: "Find",
+DlgFindNotFoundMsg	: "The specified text was not found.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Replace",
+DlgReplaceFindLbl		: "Find what:",
+DlgReplaceReplaceLbl	: "Replace with:",
+DlgReplaceCaseChk		: "Match case",
+DlgReplaceReplaceBtn	: "Replace",
+DlgReplaceReplAllBtn	: "Replace All",
+DlgReplaceWordChk		: "Match whole word",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Your browser security settings don't permit the editor to automaticaly execute pasting operations. Please use the keyboard for that (Ctrl+V).",
+PasteErrorCut	: "Your browser security settings don't permit the editor to automaticaly execute cutting operations. Please use the keyboard for that (Ctrl+X).",
+PasteErrorCopy	: "Your browser security settings don't permit the editor to automaticaly execute copying operations. Please use the keyboard for that (Ctrl+C).",
+
+PasteAsText		: "Paste as Plain Text",
+PasteFromWord	: "Paste from Word",
+
+DlgPasteMsg		: "The editor was not able to automaticaly execute pasting because of the <STRONG>security settings</STRONG> of your browser.<BR>Please paste inside the following box using the keyboard (<STRONG>Ctrl+V</STRONG>) and hit <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatic",	//MISSING
+ColorMoreColors	: "More Colors...",	//MISSING
+
+// Document Properties
+DocProps		: "Document Properties",	//MISSING
+
+// Anchor Dialog
+DlgAnchorTitle		: "Anchor Properties",	//MISSING
+DlgAnchorName		: "Anchor Name",	//MISSING
+DlgAnchorErrorName	: "Please type the anchor name",	//MISSING
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Not in dictionary",	//MISSING
+DlgSpellChangeTo		: "Change to",	//MISSING
+DlgSpellBtnIgnore		: "Ignore",	//MISSING
+DlgSpellBtnIgnoreAll	: "Ignore All",	//MISSING
+DlgSpellBtnReplace		: "Replace",	//MISSING
+DlgSpellBtnReplaceAll	: "Replace All",	//MISSING
+DlgSpellBtnUndo			: "Undo",	//MISSING
+DlgSpellNoSuggestions	: "- No suggestions -",	//MISSING
+DlgSpellProgress		: "Spell check in progress...",	//MISSING
+DlgSpellNoMispell		: "Spell check complete: No misspellings found",	//MISSING
+DlgSpellNoChanges		: "Spell check complete: No words changed",	//MISSING
+DlgSpellOneChange		: "Spell check complete: One word changed",	//MISSING
+DlgSpellManyChanges		: "Spell check complete: %1 words changed",	//MISSING
+
+IeSpellDownload			: "Spell checker not installed. Do you want to download it now?",	//MISSING
+
+// Button Dialog
+DlgButtonText	: "Text (Value)",	//MISSING
+DlgButtonType	: "Type",	//MISSING
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Name",	//MISSING
+DlgCheckboxValue	: "Value",	//MISSING
+DlgCheckboxSelected	: "Selected",	//MISSING
+
+// Form Dialog
+DlgFormName		: "Name",	//MISSING
+DlgFormAction	: "Action",	//MISSING
+DlgFormMethod	: "Method",	//MISSING
+
+// Select Field Dialog
+DlgSelectName		: "Name",	//MISSING
+DlgSelectValue		: "Value",	//MISSING
+DlgSelectSize		: "Size",	//MISSING
+DlgSelectLines		: "lines",	//MISSING
+DlgSelectChkMulti	: "Allow multiple selections",	//MISSING
+DlgSelectOpAvail	: "Available Options",	//MISSING
+DlgSelectOpText		: "Text",	//MISSING
+DlgSelectOpValue	: "Value",	//MISSING
+DlgSelectBtnAdd		: "Add",	//MISSING
+DlgSelectBtnModify	: "Modify",	//MISSING
+DlgSelectBtnUp		: "Up",	//MISSING
+DlgSelectBtnDown	: "Down",	//MISSING
+DlgSelectBtnSetValue : "Set as selected value",	//MISSING
+DlgSelectBtnDelete	: "Delete",	//MISSING
+
+// Textarea Dialog
+DlgTextareaName	: "Name",	//MISSING
+DlgTextareaCols	: "Columns",	//MISSING
+DlgTextareaRows	: "Rows",	//MISSING
+
+// Text Field Dialog
+DlgTextName			: "Name",	//MISSING
+DlgTextValue		: "Value",	//MISSING
+DlgTextCharWidth	: "Character Width",	//MISSING
+DlgTextMaxChars		: "Maximum Characters",	//MISSING
+DlgTextType			: "Type",	//MISSING
+DlgTextTypeText		: "Text",	//MISSING
+DlgTextTypePass		: "Password",	//MISSING
+
+// Hidden Field Dialog
+DlgHiddenName	: "Name",	//MISSING
+DlgHiddenValue	: "Value",	//MISSING
+
+// Bulleted List Dialog
+BulletedListProp	: "Bulleted List Properties",	//MISSING
+NumberedListProp	: "Numbered List Properties",	//MISSING
+DlgLstType			: "Type",	//MISSING
+DlgLstTypeCircle	: "Circle",	//MISSING
+DlgLstTypeDisk		: "Disk",	//MISSING
+DlgLstTypeSquare	: "Square",	//MISSING
+DlgLstTypeNumbers	: "Numbers (1, 2, 3)",	//MISSING
+DlgLstTypeLCase		: "Lowercase Letters (a, b, c)",	//MISSING
+DlgLstTypeUCase		: "Uppercase Letters (A, B, C)",	//MISSING
+DlgLstTypeSRoman	: "Small Roman Numerals (i, ii, iii)",	//MISSING
+DlgLstTypeLRoman	: "Large Roman Numerals (I, II, III)",	//MISSING
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",	//MISSING
+DlgDocBackTab		: "Background",	//MISSING
+DlgDocColorsTab		: "Colors and Margins",	//MISSING
+DlgDocMetaTab		: "Meta Data",	//MISSING
+
+DlgDocPageTitle		: "Page Title",	//MISSING
+DlgDocLangDir		: "Language Direction",	//MISSING
+DlgDocLangDirLTR	: "Left to Right (LTR)",	//MISSING
+DlgDocLangDirRTL	: "Right to Left (RTL)",	//MISSING
+DlgDocLangCode		: "Language Code",	//MISSING
+DlgDocCharSet		: "Character Set Encoding",	//MISSING
+DlgDocCharSetOther	: "Other Character Set Encoding",	//MISSING
+
+DlgDocDocType		: "Document Type Heading",	//MISSING
+DlgDocDocTypeOther	: "Other Document Type Heading",	//MISSING
+DlgDocIncXHTML		: "Include XHTML Declarations",	//MISSING
+DlgDocBgColor		: "Background Color",	//MISSING
+DlgDocBgImage		: "Background Image URL",	//MISSING
+DlgDocBgNoScroll	: "Nonscrolling Background",	//MISSING
+DlgDocCText			: "Text",	//MISSING
+DlgDocCLink			: "Link",	//MISSING
+DlgDocCVisited		: "Visited Link",	//MISSING
+DlgDocCActive		: "Active Link",	//MISSING
+DlgDocMargins		: "Page Margins",	//MISSING
+DlgDocMaTop			: "Top",	//MISSING
+DlgDocMaLeft		: "Left",	//MISSING
+DlgDocMaRight		: "Right",	//MISSING
+DlgDocMaBottom		: "Bottom",	//MISSING
+DlgDocMeIndex		: "Document Indexing Keywords (comma separated)",	//MISSING
+DlgDocMeDescr		: "Document Description",	//MISSING
+DlgDocMeAuthor		: "Author",	//MISSING
+DlgDocMeCopy		: "Copyright",	//MISSING
+DlgDocPreview		: "Preview",	//MISSING
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "About",	//MISSING
+DlgAboutBrowserInfoTab	: "Browser Info",	//MISSING
+DlgAboutVersion		: "version",
+DlgAboutLicense		: "Licensed under the terms of the GNU Lesser General Public License",
+DlgAboutInfo		: "For further information go to"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/en-uk.js soojung/libs/fckeditor/editor/lang/en-uk.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/en-uk.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/en-uk.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,454 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: en-uk.js
+ * 	English (United Kingdom) language file.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ * 		Christopher Dawes (fckeditor@dawes.id.au)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Collapse Toolbar",
+ToolbarExpand		: "Expand Toolbar",
+
+// Toolbar Items and Context Menu
+Save				: "Save",
+NewPage				: "New Page",
+Preview				: "Preview",
+Cut					: "Cut",
+Copy				: "Copy",
+Paste				: "Paste",
+PasteText			: "Paste as plain text",
+PasteWord			: "Paste from Word",
+Print				: "Print",
+SelectAll			: "Select All",
+RemoveFormat		: "Remove Format",
+InsertLinkLbl		: "Link",
+InsertLink			: "Insert/Edit Link",
+RemoveLink			: "Remove Link",
+Anchor				: "Insert/Edit Anchor",	//MISSING
+InsertImageLbl		: "Image",
+InsertImage			: "Insert/Edit Image",
+InsertTableLbl		: "Table",
+InsertTable			: "Insert/Edit Table",
+InsertLineLbl		: "Line",
+InsertLine			: "Insert Horizontal Line",
+InsertSpecialCharLbl: "Special Char",
+InsertSpecialChar	: "Insert Special Character",
+InsertSmileyLbl		: "Smiley",
+InsertSmiley		: "Insert Smiley",
+About				: "About FCKeditor",
+Bold				: "Bold",
+Italic				: "Italic",
+Underline			: "Underline",
+StrikeThrough		: "Strike Through",
+Subscript			: "Subscript",
+Superscript			: "Superscript",
+LeftJustify			: "Left Justify",
+CenterJustify		: "Center Justify",
+RightJustify		: "Right Justify",
+BlockJustify		: "Block Justify",
+DecreaseIndent		: "Decrease Indent",
+IncreaseIndent		: "Increase Indent",
+Undo				: "Undo",
+Redo				: "Redo",
+NumberedListLbl		: "Numbered List",
+NumberedList		: "Insert/Remove Numbered List",
+BulletedListLbl		: "Bulleted List",
+BulletedList		: "Insert/Remove Bulleted List",
+ShowTableBorders	: "Show Table Borders",
+ShowDetails			: "Show Details",
+Style				: "Style",
+FontFormat			: "Format",
+Font				: "Font",
+FontSize			: "Size",
+TextColor			: "Text Color",	//MISSING
+BGColor				: "Background Color",	//MISSING
+Source				: "Source",
+Find				: "Find",
+Replace				: "Replace",
+SpellCheck			: "Check Spell",	//MISSING
+UniversalKeyboard	: "Universal Keyboard",	//MISSING
+
+Form			: "Form",	//MISSING
+Checkbox		: "Checkbox",	//MISSING
+RadioButton		: "Radio Button",	//MISSING
+TextField		: "Text Field",	//MISSING
+Textarea		: "Textarea",	//MISSING
+HiddenField		: "Hidden Field",	//MISSING
+Button			: "Button",	//MISSING
+SelectionField	: "Selection Field",	//MISSING
+ImageButton		: "Image Button",	//MISSING
+
+// Context Menu
+EditLink			: "Edit Link",
+InsertRow			: "Insert Row",
+DeleteRows			: "Delete Rows",
+InsertColumn		: "Insert Column",
+DeleteColumns		: "Delete Columns",
+InsertCell			: "Insert Cell",
+DeleteCells			: "Delete Cells",
+MergeCells			: "Merge Cells",
+SplitCell			: "Split Cell",
+CellProperties		: "Cell Properties",
+TableProperties		: "Table Properties",
+ImageProperties		: "Image Properties",
+
+AnchorProp			: "Anchor Properties",	//MISSING
+ButtonProp			: "Button Properties",	//MISSING
+CheckboxProp		: "Checkbox Properties",	//MISSING
+HiddenFieldProp		: "Hidden Field Properties",	//MISSING
+RadioButtonProp		: "Radio Button Properties",	//MISSING
+ImageButtonProp		: "Image Button Properties",	//MISSING
+TextFieldProp		: "Text Field Properties",	//MISSING
+SelectionFieldProp	: "Selection Field Properties",	//MISSING
+TextareaProp		: "Textarea Properties",	//MISSING
+FormProp			: "Form Properties",	//MISSING
+
+FontFormats			: "Normal;Formatted;Address;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6;Paragraph (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "Processing XHTML. Please wait...",
+Done				: "Done",
+PasteWordConfirm	: "The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?",
+NotCompatiblePaste	: "This command is available for Internet Explorer version 5.5 or more. Do you want to paste without cleaning?",
+UnknownToolbarItem	: "Unknown toolbar item \"%1\"",
+UnknownCommand		: "Unknown command name \"%1\"",
+NotImplemented		: "Command not implemented",
+UnknownToolbarSet	: "Toolbar set \"%1\" doesn't exist",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Cancel",
+DlgBtnClose			: "Close",
+DlgBtnBrowseServer	: "Browse Server",	//MISSING
+DlgAdvancedTag		: "Advanced",
+DlgOpOther			: "&lt;Other&gt;",	//MISSING
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;not set&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Language Direction",
+DlgGenLangDirLtr	: "Left to Right (LTR)",
+DlgGenLangDirRtl	: "Right to Left (RTL)",
+DlgGenLangCode		: "Language Code",
+DlgGenAccessKey		: "Access Key",
+DlgGenName			: "Name",
+DlgGenTabIndex		: "Tab Index",
+DlgGenLongDescr		: "Long Description URL",
+DlgGenClass			: "Stylesheet Classes",
+DlgGenTitle			: "Advisory Title",
+DlgGenContType		: "Advisory Content Type",
+DlgGenLinkCharset	: "Linked Resource Charset",
+DlgGenStyle			: "Style",
+
+// Image Dialog
+DlgImgTitle			: "Image Properties",
+DlgImgInfoTab		: "Image Info",
+DlgImgBtnUpload		: "Send it to the Server",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Upload",
+DlgImgAlt			: "Alternative Text",
+DlgImgWidth			: "Width",
+DlgImgHeight		: "Height",
+DlgImgLockRatio		: "Lock Ratio",
+DlgBtnResetSize		: "Reset Size",
+DlgImgBorder		: "Border",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Align",
+DlgImgAlignLeft		: "Left",
+DlgImgAlignAbsBottom: "Abs Bottom",
+DlgImgAlignAbsMiddle: "Abs Middle",
+DlgImgAlignBaseline	: "Baseline",
+DlgImgAlignBottom	: "Bottom",
+DlgImgAlignMiddle	: "Middle",
+DlgImgAlignRight	: "Right",
+DlgImgAlignTextTop	: "Text Top",
+DlgImgAlignTop		: "Top",
+DlgImgPreview		: "Preview",
+DlgImgAlertUrl		: "Please type the image URL",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Link",
+DlgLnkInfoTab		: "Link Info",
+DlgLnkTargetTab		: "Target",
+
+DlgLnkType			: "Link Type",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Anchor in this page",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocol",
+DlgLnkProtoOther	: "&lt;other&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Select an Anchor",
+DlgLnkAnchorByName	: "By Anchor Name",
+DlgLnkAnchorById	: "By Element Id",
+DlgLnkNoAnchors		: "&lt;No anchors available in the document&gt;",
+DlgLnkEMail			: "E-Mail Address",
+DlgLnkEMailSubject	: "Message Subject",
+DlgLnkEMailBody		: "Message Body",
+DlgLnkUpload		: "Upload",
+DlgLnkBtnUpload		: "Send it to the Server",
+
+DlgLnkTarget		: "Target",
+DlgLnkTargetFrame	: "&lt;frame&gt;",
+DlgLnkTargetPopup	: "&lt;popup window&gt;",
+DlgLnkTargetBlank	: "New Window (_blank)",
+DlgLnkTargetParent	: "Parent Window (_parent)",
+DlgLnkTargetSelf	: "Same Window (_self)",
+DlgLnkTargetTop		: "Topmost Window (_top)",
+DlgLnkTargetFrameName	: "Target Frame Name",	//MISSING
+DlgLnkPopWinName	: "Popup Window Name",
+DlgLnkPopWinFeat	: "Popup Window Features",
+DlgLnkPopResize		: "Resizable",
+DlgLnkPopLocation	: "Location Bar",
+DlgLnkPopMenu		: "Menu Bar",
+DlgLnkPopScroll		: "Scroll Bars",
+DlgLnkPopStatus		: "Status Bar",
+DlgLnkPopToolbar	: "Toolbar",
+DlgLnkPopFullScrn	: "Full Screen (IE)",
+DlgLnkPopDependent	: "Dependent (Netscape)",
+DlgLnkPopWidth		: "Width",
+DlgLnkPopHeight		: "Height",
+DlgLnkPopLeft		: "Left Position",
+DlgLnkPopTop		: "Top Position",
+
+DlnLnkMsgNoUrl		: "Please type the link URL",
+DlnLnkMsgNoEMail	: "Please type the e-mail address",
+DlnLnkMsgNoAnchor	: "Please select an anchor",
+
+// Color Dialog
+DlgColorTitle		: "Select Color",	//MISSING
+DlgColorBtnClear	: "Clear",	//MISSING
+DlgColorHighlight	: "Highlight",	//MISSING
+DlgColorSelected	: "Selected",	//MISSING
+
+// Smiley Dialog
+DlgSmileyTitle		: "Insert a Smiley",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Select Special Character",
+
+// Table Dialog
+DlgTableTitle		: "Table Properties",
+DlgTableRows		: "Rows",
+DlgTableColumns		: "Columns",
+DlgTableBorder		: "Border size",
+DlgTableAlign		: "Alignment",
+DlgTableAlignNotSet	: "<Not set>",
+DlgTableAlignLeft	: "Left",
+DlgTableAlignCenter	: "Centre",
+DlgTableAlignRight	: "Right",
+DlgTableWidth		: "Width",
+DlgTableWidthPx		: "pixels",
+DlgTableWidthPc		: "percent",
+DlgTableHeight		: "Height",
+DlgTableCellSpace	: "Cell spacing",
+DlgTableCellPad		: "Cell padding",
+DlgTableCaption		: "Caption",
+
+// Table Cell Dialog
+DlgCellTitle		: "Cell Properties",
+DlgCellWidth		: "Width",
+DlgCellWidthPx		: "pixels",
+DlgCellWidthPc		: "percent",
+DlgCellHeight		: "Height",
+DlgCellWordWrap		: "Word Wrap",
+DlgCellWordWrapNotSet	: "&lt;Not set&gt;",
+DlgCellWordWrapYes	: "Yes",
+DlgCellWordWrapNo	: "No",
+DlgCellHorAlign		: "Horizontal Alignment",
+DlgCellHorAlignNotSet	: "&lt;Not set&gt;",
+DlgCellHorAlignLeft	: "Left",
+DlgCellHorAlignCenter	: "Centre",
+DlgCellHorAlignRight: "Right",
+DlgCellVerAlign		: "Vertical Alignment",
+DlgCellVerAlignNotSet	: "&lt;Not set&gt;",
+DlgCellVerAlignTop	: "Top",
+DlgCellVerAlignMiddle	: "Middle",
+DlgCellVerAlignBottom	: "Bottom",
+DlgCellVerAlignBaseline	: "Baseline",
+DlgCellRowSpan		: "Rows Span",
+DlgCellCollSpan		: "Columns Span",
+DlgCellBackColor	: "Background Color",	//MISSING
+DlgCellBorderColor	: "Border Color",	//MISSING
+DlgCellBtnSelect	: "Select...",
+
+// Find Dialog
+DlgFindTitle		: "Find",
+DlgFindFindBtn		: "Find",
+DlgFindNotFoundMsg	: "The specified text was not found.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Replace",
+DlgReplaceFindLbl		: "Find what:",
+DlgReplaceReplaceLbl	: "Replace with:",
+DlgReplaceCaseChk		: "Match case",
+DlgReplaceReplaceBtn	: "Replace",
+DlgReplaceReplAllBtn	: "Replace All",
+DlgReplaceWordChk		: "Match whole word",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Your browser security settings don't permit the editor to automaticaly execute pasting operations. Please use the keyboard for that (Ctrl+V).",
+PasteErrorCut	: "Your browser security settings don't permit the editor to automaticaly execute cutting operations. Please use the keyboard for that (Ctrl+X).",
+PasteErrorCopy	: "Your browser security settings don't permit the editor to automaticaly execute copying operations. Please use the keyboard for that (Ctrl+C).",
+
+PasteAsText		: "Paste as Plain Text",
+PasteFromWord	: "Paste from Word",
+
+DlgPasteMsg		: "The editor was not able to automaticaly execute pasting because of the <STRONG>security settings</STRONG> of your browser.<BR>Please paste inside the following box using the keyboard (<STRONG>Ctrl+V</STRONG>) and hit <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatic",	//MISSING
+ColorMoreColors	: "More Colors...",	//MISSING
+
+// Document Properties
+DocProps		: "Document Properties",	//MISSING
+
+// Anchor Dialog
+DlgAnchorTitle		: "Anchor Properties",	//MISSING
+DlgAnchorName		: "Anchor Name",	//MISSING
+DlgAnchorErrorName	: "Please type the anchor name",	//MISSING
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Not in dictionary",	//MISSING
+DlgSpellChangeTo		: "Change to",	//MISSING
+DlgSpellBtnIgnore		: "Ignore",	//MISSING
+DlgSpellBtnIgnoreAll	: "Ignore All",	//MISSING
+DlgSpellBtnReplace		: "Replace",	//MISSING
+DlgSpellBtnReplaceAll	: "Replace All",	//MISSING
+DlgSpellBtnUndo			: "Undo",	//MISSING
+DlgSpellNoSuggestions	: "- No suggestions -",	//MISSING
+DlgSpellProgress		: "Spell check in progress...",	//MISSING
+DlgSpellNoMispell		: "Spell check complete: No misspellings found",	//MISSING
+DlgSpellNoChanges		: "Spell check complete: No words changed",	//MISSING
+DlgSpellOneChange		: "Spell check complete: One word changed",	//MISSING
+DlgSpellManyChanges		: "Spell check complete: %1 words changed",	//MISSING
+
+IeSpellDownload			: "Spell checker not installed. Do you want to download it now?",	//MISSING
+
+// Button Dialog
+DlgButtonText	: "Text (Value)",	//MISSING
+DlgButtonType	: "Type",	//MISSING
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Name",	//MISSING
+DlgCheckboxValue	: "Value",	//MISSING
+DlgCheckboxSelected	: "Selected",	//MISSING
+
+// Form Dialog
+DlgFormName		: "Name",	//MISSING
+DlgFormAction	: "Action",	//MISSING
+DlgFormMethod	: "Method",	//MISSING
+
+// Select Field Dialog
+DlgSelectName		: "Name",	//MISSING
+DlgSelectValue		: "Value",	//MISSING
+DlgSelectSize		: "Size",	//MISSING
+DlgSelectLines		: "lines",	//MISSING
+DlgSelectChkMulti	: "Allow multiple selections",	//MISSING
+DlgSelectOpAvail	: "Available Options",	//MISSING
+DlgSelectOpText		: "Text",	//MISSING
+DlgSelectOpValue	: "Value",	//MISSING
+DlgSelectBtnAdd		: "Add",	//MISSING
+DlgSelectBtnModify	: "Modify",	//MISSING
+DlgSelectBtnUp		: "Up",	//MISSING
+DlgSelectBtnDown	: "Down",	//MISSING
+DlgSelectBtnSetValue : "Set as selected value",	//MISSING
+DlgSelectBtnDelete	: "Delete",	//MISSING
+
+// Textarea Dialog
+DlgTextareaName	: "Name",	//MISSING
+DlgTextareaCols	: "Columns",	//MISSING
+DlgTextareaRows	: "Rows",	//MISSING
+
+// Text Field Dialog
+DlgTextName			: "Name",	//MISSING
+DlgTextValue		: "Value",	//MISSING
+DlgTextCharWidth	: "Character Width",	//MISSING
+DlgTextMaxChars		: "Maximum Characters",	//MISSING
+DlgTextType			: "Type",	//MISSING
+DlgTextTypeText		: "Text",	//MISSING
+DlgTextTypePass		: "Password",	//MISSING
+
+// Hidden Field Dialog
+DlgHiddenName	: "Name",	//MISSING
+DlgHiddenValue	: "Value",	//MISSING
+
+// Bulleted List Dialog
+BulletedListProp	: "Bulleted List Properties",	//MISSING
+NumberedListProp	: "Numbered List Properties",	//MISSING
+DlgLstType			: "Type",	//MISSING
+DlgLstTypeCircle	: "Circle",	//MISSING
+DlgLstTypeDisk		: "Disk",	//MISSING
+DlgLstTypeSquare	: "Square",	//MISSING
+DlgLstTypeNumbers	: "Numbers (1, 2, 3)",	//MISSING
+DlgLstTypeLCase		: "Lowercase Letters (a, b, c)",	//MISSING
+DlgLstTypeUCase		: "Uppercase Letters (A, B, C)",	//MISSING
+DlgLstTypeSRoman	: "Small Roman Numerals (i, ii, iii)",	//MISSING
+DlgLstTypeLRoman	: "Large Roman Numerals (I, II, III)",	//MISSING
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",	//MISSING
+DlgDocBackTab		: "Background",	//MISSING
+DlgDocColorsTab		: "Colors and Margins",	//MISSING
+DlgDocMetaTab		: "Meta Data",	//MISSING
+
+DlgDocPageTitle		: "Page Title",	//MISSING
+DlgDocLangDir		: "Language Direction",	//MISSING
+DlgDocLangDirLTR	: "Left to Right (LTR)",	//MISSING
+DlgDocLangDirRTL	: "Right to Left (RTL)",	//MISSING
+DlgDocLangCode		: "Language Code",	//MISSING
+DlgDocCharSet		: "Character Set Encoding",	//MISSING
+DlgDocCharSetOther	: "Other Character Set Encoding",	//MISSING
+
+DlgDocDocType		: "Document Type Heading",	//MISSING
+DlgDocDocTypeOther	: "Other Document Type Heading",	//MISSING
+DlgDocIncXHTML		: "Include XHTML Declarations",	//MISSING
+DlgDocBgColor		: "Background Color",	//MISSING
+DlgDocBgImage		: "Background Image URL",	//MISSING
+DlgDocBgNoScroll	: "Nonscrolling Background",	//MISSING
+DlgDocCText			: "Text",	//MISSING
+DlgDocCLink			: "Link",	//MISSING
+DlgDocCVisited		: "Visited Link",	//MISSING
+DlgDocCActive		: "Active Link",	//MISSING
+DlgDocMargins		: "Page Margins",	//MISSING
+DlgDocMaTop			: "Top",	//MISSING
+DlgDocMaLeft		: "Left",	//MISSING
+DlgDocMaRight		: "Right",	//MISSING
+DlgDocMaBottom		: "Bottom",	//MISSING
+DlgDocMeIndex		: "Document Indexing Keywords (comma separated)",	//MISSING
+DlgDocMeDescr		: "Document Description",	//MISSING
+DlgDocMeAuthor		: "Author",	//MISSING
+DlgDocMeCopy		: "Copyright",	//MISSING
+DlgDocPreview		: "Preview",	//MISSING
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "About",	//MISSING
+DlgAboutBrowserInfoTab	: "Browser Info",	//MISSING
+DlgAboutVersion		: "version",
+DlgAboutLicense		: "Licensed under the terms of the GNU Lesser General Public License",
+DlgAboutInfo		: "For further information go to"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/en.js soojung/libs/fckeditor/editor/lang/en.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/en.js	2004-12-27 20:50:33.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/en.js	2005-06-11 10:32:44.000000000 +0900
@@ -1,202 +1,453 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: en.js
- * 	English language file.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:54
- * 
- * File Authors:
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: en.js
+ * 	English language file.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
  */
 
 var FCKLang =
 {
 // Language direction : "ltr" (left to right) or "rtl" (right to left).
-"Dir"				: "ltr",
+Dir					: "ltr",
+
+ToolbarCollapse		: "Collapse Toolbar",
+ToolbarExpand		: "Expand Toolbar",
 
 // Toolbar Items and Context Menu
-"Cut"				: "Cut" ,
-"Copy"				: "Copy" ,
-"Paste"				: "Paste" ,
-"PasteText"			: "Paste as plain text" ,
-"PasteWord"			: "Paste from Word" ,
-"Find"				: "Find" ,
-"SelectAll"			: "Select All" ,
-"RemoveFormat"		: "Remove Format" ,
-"InsertLink"		: "Insert/Edit Link" ,
-"RemoveLink"		: "Remove Link" ,
-"InsertImage"		: "Insert/Edit Image" ,
-"InsertTable"		: "Insert/Edit Table" ,
-"InsertLine"		: "Insert Horizontal Line" ,
-"InsertSpecialChar"	: "Insert Special Character" ,
-"InsertSmiley"		: "Insert Smiley" ,
-"About"				: "About FCKeditor" ,
-"Bold"				: "Bold" ,
-"Italic"			: "Italic" ,
-"Underline"			: "Underline" ,
-"StrikeThrough"		: "Strike Through" ,
-"Subscript"			: "Subscript" ,
-"Superscript"		: "Superscript" ,
-"LeftJustify"		: "Left Justify" ,
-"CenterJustify"		: "Center Justify" ,
-"RightJustify"		: "Right Justify" ,
-"BlockJustify"		: "Block Justify" ,
-"DecreaseIndent"	: "Decrease Indent" ,
-"IncreaseIndent"	: "Increase Indent" ,
-"Undo"				: "Undo" ,
-"Redo"				: "Redo" ,
-"NumberedList"		: "Numbered List" ,
-"BulletedList"		: "Bulleted List" ,
-"ShowTableBorders"	: "Show Table Borders" ,
-"ShowDetails"		: "Show Details" ,
-"FontStyle"			: "Style" ,
-"FontFormat"		: "Format" ,
-"Font"				: "Font" ,
-"FontSize"			: "Size" ,
-"TextColor"			: "Text Color" ,
-"BGColor"			: "Background Color" ,
-"Source"			: "Source" ,
+Save				: "Save",
+NewPage				: "New Page",
+Preview				: "Preview",
+Cut					: "Cut",
+Copy				: "Copy",
+Paste				: "Paste",
+PasteText			: "Paste as plain text",
+PasteWord			: "Paste from Word",
+Print				: "Print",
+SelectAll			: "Select All",
+RemoveFormat		: "Remove Format",
+InsertLinkLbl		: "Link",
+InsertLink			: "Insert/Edit Link",
+RemoveLink			: "Remove Link",
+Anchor				: "Insert/Edit Anchor",
+InsertImageLbl		: "Image",
+InsertImage			: "Insert/Edit Image",
+InsertTableLbl		: "Table",
+InsertTable			: "Insert/Edit Table",
+InsertLineLbl		: "Line",
+InsertLine			: "Insert Horizontal Line",
+InsertSpecialCharLbl: "Special Char",
+InsertSpecialChar	: "Insert Special Character",
+InsertSmileyLbl		: "Smiley",
+InsertSmiley		: "Insert Smiley",
+About				: "About FCKeditor",
+Bold				: "Bold",
+Italic				: "Italic",
+Underline			: "Underline",
+StrikeThrough		: "Strike Through",
+Subscript			: "Subscript",
+Superscript			: "Superscript",
+LeftJustify			: "Left Justify",
+CenterJustify		: "Center Justify",
+RightJustify		: "Right Justify",
+BlockJustify		: "Block Justify",
+DecreaseIndent		: "Decrease Indent",
+IncreaseIndent		: "Increase Indent",
+Undo				: "Undo",
+Redo				: "Redo",
+NumberedListLbl		: "Numbered List",
+NumberedList		: "Insert/Remove Numbered List",
+BulletedListLbl		: "Bulleted List",
+BulletedList		: "Insert/Remove Bulleted List",
+ShowTableBorders	: "Show Table Borders",
+ShowDetails			: "Show Details",
+Style				: "Style",
+FontFormat			: "Format",
+Font				: "Font",
+FontSize			: "Size",
+TextColor			: "Text Color",
+BGColor				: "Background Color",
+Source				: "Source",
+Find				: "Find",
+Replace				: "Replace",
+SpellCheck			: "Check Spell",
+UniversalKeyboard	: "Universal Keyboard",
+
+Form			: "Form",
+Checkbox		: "Checkbox",
+RadioButton		: "Radio Button",
+TextField		: "Text Field",
+Textarea		: "Textarea",
+HiddenField		: "Hidden Field",
+Button			: "Button",
+SelectionField	: "Selection Field",
+ImageButton		: "Image Button",
 
 // Context Menu
-"EditLink"			: "Edit Link" ,
-"InsertRow"			: "Insert Row" ,
-"DeleteRows"		: "Delete Rows" ,
-"InsertColumn"		: "Insert Column" ,
-"DeleteColumns"		: "Delete Columns" ,
-"InsertCell"		: "Insert Cell" ,
-"DeleteCells"		: "Delete Cells" ,
-"MergeCells"		: "Merge Cells" ,
-"SplitCell"			: "Split Cell" ,
-"CellProperties"	: "Cell Properties" ,
-"TableProperties"	: "Table Properties" ,
-"ImageProperties"	: "Image Properties" ,
+EditLink			: "Edit Link",
+InsertRow			: "Insert Row",
+DeleteRows			: "Delete Rows",
+InsertColumn		: "Insert Column",
+DeleteColumns		: "Delete Columns",
+InsertCell			: "Insert Cell",
+DeleteCells			: "Delete Cells",
+MergeCells			: "Merge Cells",
+SplitCell			: "Split Cell",
+CellProperties		: "Cell Properties",
+TableProperties		: "Table Properties",
+ImageProperties		: "Image Properties",
+
+AnchorProp			: "Anchor Properties",
+ButtonProp			: "Button Properties",
+CheckboxProp		: "Checkbox Properties",
+HiddenFieldProp		: "Hidden Field Properties",
+RadioButtonProp		: "Radio Button Properties",
+ImageButtonProp		: "Image Button Properties",
+TextFieldProp		: "Text Field Properties",
+SelectionFieldProp	: "Selection Field Properties",
+TextareaProp		: "Textarea Properties",
+FormProp			: "Form Properties",
+
+FontFormats			: "Normal;Formatted;Address;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6;Paragraph (DIV)",
 
 // Alerts and Messages
-"ProcessingXHTML"	: "Processing XHTML. Please wait..." ,
-"Done"				: "Done" ,
-"PasteWordConfirm"	: "The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?" ,
-"NotCompatiblePaste": "This command is available for Internet Explorer version 5.5 or more. Do you want to paste without cleaning?" ,
+ProcessingXHTML		: "Processing XHTML. Please wait...",
+Done				: "Done",
+PasteWordConfirm	: "The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?",
+NotCompatiblePaste	: "This command is available for Internet Explorer version 5.5 or more. Do you want to paste without cleaning?",
+UnknownToolbarItem	: "Unknown toolbar item \"%1\"",
+UnknownCommand		: "Unknown command name \"%1\"",
+NotImplemented		: "Command not implemented",
+UnknownToolbarSet	: "Toolbar set \"%1\" doesn't exist",
 
 // Dialogs
-"DlgBtnOK"			: "OK" ,
-"DlgBtnCancel"		: "Cancel" ,
-"DlgBtnClose"		: "Close" ,
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Cancel",
+DlgBtnClose			: "Close",
+DlgBtnBrowseServer	: "Browse Server",
+DlgAdvancedTag		: "Advanced",
+DlgOpOther			: "&lt;Other&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;not set&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Language Direction",
+DlgGenLangDirLtr	: "Left to Right (LTR)",
+DlgGenLangDirRtl	: "Right to Left (RTL)",
+DlgGenLangCode		: "Language Code",
+DlgGenAccessKey		: "Access Key",
+DlgGenName			: "Name",
+DlgGenTabIndex		: "Tab Index",
+DlgGenLongDescr		: "Long Description URL",
+DlgGenClass			: "Stylesheet Classes",
+DlgGenTitle			: "Advisory Title",
+DlgGenContType		: "Advisory Content Type",
+DlgGenLinkCharset	: "Linked Resource Charset",
+DlgGenStyle			: "Style",
 
 // Image Dialog
-"DlgImgTitleInsert"	: "Insert Image" ,
-"DlgImgTitleEdit"	: "Edit Image" ,
-"DlgImgBtnUpload"	: "Send it to the Server" ,
-"DlgImgURL"			: "URL" ,
-"DlgImgUpload"		: "Upload" ,
-"DlgImgBtnBrowse"	: "Browse Server" ,
-"DlgImgAlt"			: "Alternative Text" ,
-"DlgImgWidth"		: "Width" ,
-"DlgImgHeight"		: "Height" ,
-"DlgImgLockRatio"	: "Lock Ratio" ,
-"DlgBtnResetSize"	: "Reset Size" ,
-"DlgImgBorder"		: "Border" ,
-"DlgImgHSpace"		: "HSpace" ,
-"DlgImgVSpace"		: "VSpace" ,
-"DlgImgAlign"			: "Align" ,
-"DlgImgAlignLeft"		: "Left" ,
-"DlgImgAlignAbsBottom"	: "Abs Bottom" ,
-"DlgImgAlignAbsMiddle"	: "Abs Middle" ,
-"DlgImgAlignBaseline"	: "Baseline" ,
-"DlgImgAlignBottom"	: "Bottom" ,
-"DlgImgAlignMiddle"	: "Middle" ,
-"DlgImgAlignRight"	: "Right" ,
-"DlgImgAlignTextTop": "Text Top" ,
-"DlgImgAlignTop"	: "Top" ,
-"DlgImgPreview"		: "Preview" ,
-"DlgImgMsgWrongExt"	: "Sorry, only the following file types uploads are allowed:\n\n" + FCKConfig.ImageUploadAllowedExtensions + "\n\nOperation canceled." ,
-"DlgImgAlertSelect"	: "Please select an image to upload." ,
+DlgImgTitle			: "Image Properties",
+DlgImgInfoTab		: "Image Info",
+DlgImgBtnUpload		: "Send it to the Server",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Upload",
+DlgImgAlt			: "Alternative Text",
+DlgImgWidth			: "Width",
+DlgImgHeight		: "Height",
+DlgImgLockRatio		: "Lock Ratio",
+DlgBtnResetSize		: "Reset Size",
+DlgImgBorder		: "Border",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Align",
+DlgImgAlignLeft		: "Left",
+DlgImgAlignAbsBottom: "Abs Bottom",
+DlgImgAlignAbsMiddle: "Abs Middle",
+DlgImgAlignBaseline	: "Baseline",
+DlgImgAlignBottom	: "Bottom",
+DlgImgAlignMiddle	: "Middle",
+DlgImgAlignRight	: "Right",
+DlgImgAlignTextTop	: "Text Top",
+DlgImgAlignTop		: "Top",
+DlgImgPreview		: "Preview",
+DlgImgAlertUrl		: "Please type the image URL",
+DlgImgLinkTab		: "Link",
 
 // Link Dialog
-"DlgLnkWindowTitle"	: "Link" ,
-"DlgLnkURL"			: "URL" ,
-"DlgLnkUpload"		: "Upload" ,
-"DlgLnkTarget"		: "Target" ,
-"DlgLnkTargetNotSet": "<Not set>" ,
-"DlgLnkTargetBlank"	: "New Window (_blank)" ,
-"DlgLnkTargetParent": "Parent Window (_parent)" ,
-"DlgLnkTargetSelf"	: "Same Window (_self)" ,
-"DlgLnkTargetTop"	: "Topmost Window (_top)" ,
-"DlgLnkTitle"		: "Title" ,
-"DlgLnkBtnUpload"	: "Send it to the Server" ,
-"DlgLnkBtnBrowse"	: "Browse Server" ,
-"DlgLnkMsgWrongExtA": "Sorry, only the following file types uploads are allowed:\n\n" + FCKConfig.LinkUploadAllowedExtensions + "\n\nOperation canceled." ,
-"DlgLnkMsgWrongExtD": "Sorry, the following file types uploads are not allowed:\n\n" + FCKConfig.LinkUploadDeniedExtensions + "\n\nOperation canceled." ,
+DlgLnkWindowTitle	: "Link",
+DlgLnkInfoTab		: "Link Info",
+DlgLnkTargetTab		: "Target",
+
+DlgLnkType			: "Link Type",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Anchor in this page",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocol",
+DlgLnkProtoOther	: "&lt;other&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Select an Anchor",
+DlgLnkAnchorByName	: "By Anchor Name",
+DlgLnkAnchorById	: "By Element Id",
+DlgLnkNoAnchors		: "&lt;No anchors available in the document&gt;",
+DlgLnkEMail			: "E-Mail Address",
+DlgLnkEMailSubject	: "Message Subject",
+DlgLnkEMailBody		: "Message Body",
+DlgLnkUpload		: "Upload",
+DlgLnkBtnUpload		: "Send it to the Server",
+
+DlgLnkTarget		: "Target",
+DlgLnkTargetFrame	: "&lt;frame&gt;",
+DlgLnkTargetPopup	: "&lt;popup window&gt;",
+DlgLnkTargetBlank	: "New Window (_blank)",
+DlgLnkTargetParent	: "Parent Window (_parent)",
+DlgLnkTargetSelf	: "Same Window (_self)",
+DlgLnkTargetTop		: "Topmost Window (_top)",
+DlgLnkTargetFrameName	: "Target Frame Name",
+DlgLnkPopWinName	: "Popup Window Name",
+DlgLnkPopWinFeat	: "Popup Window Features",
+DlgLnkPopResize		: "Resizable",
+DlgLnkPopLocation	: "Location Bar",
+DlgLnkPopMenu		: "Menu Bar",
+DlgLnkPopScroll		: "Scroll Bars",
+DlgLnkPopStatus		: "Status Bar",
+DlgLnkPopToolbar	: "Toolbar",
+DlgLnkPopFullScrn	: "Full Screen (IE)",
+DlgLnkPopDependent	: "Dependent (Netscape)",
+DlgLnkPopWidth		: "Width",
+DlgLnkPopHeight		: "Height",
+DlgLnkPopLeft		: "Left Position",
+DlgLnkPopTop		: "Top Position",
+
+DlnLnkMsgNoUrl		: "Please type the link URL",
+DlnLnkMsgNoEMail	: "Please type the e-mail address",
+DlnLnkMsgNoAnchor	: "Please select an anchor",
 
 // Color Dialog
-"DlgColorTitle"		: "Select Color" ,
-"DlgColorBtnClear"	: "Clear" ,
-"DlgColorHighlight"	: "Highlight" ,
-"DlgColorSelected"	: "Selected" ,
+DlgColorTitle		: "Select Color",
+DlgColorBtnClear	: "Clear",
+DlgColorHighlight	: "Highlight",
+DlgColorSelected	: "Selected",
 
 // Smiley Dialog
-"DlgSmileyTitle"	: "Insert a Smiley" ,
+DlgSmileyTitle		: "Insert a Smiley",
 
 // Special Character Dialog
-"DlgSpecialCharTitle"	: "Insert Special Character" ,
+DlgSpecialCharTitle	: "Select Special Character",
 
 // Table Dialog
-"DlgTableTitleInsert"	: "Insert Table" ,
-"DlgTableTitleEdit"		: "Edit Table" ,
-"DlgTableRows"			: "Rows" ,
-"DlgTableColumns"		: "Columns" ,
-"DlgTableBorder"		: "Border size" ,
-"DlgTableAlign"			: "Alignment" ,
-"DlgTableAlignNotSet"	: "<Not set>" ,
-"DlgTableAlignLeft"		: "Left" ,
-"DlgTableAlignCenter"	: "Center" ,
-"DlgTableAlignRight"	: "Right" ,
-"DlgTableWidth"			: "Width" ,
-"DlgTableWidthPx"		: "pixels" ,
-"DlgTableWidthPc"		: "percent" ,
-"DlgTableHeight"		: "Height" ,
-"DlgTableCellSpace"		: "Cell spacing" ,
-"DlgTableCellPad"		: "Cell padding" ,
-"DlgTableCaption"		: "Caption" ,
+DlgTableTitle		: "Table Properties",
+DlgTableRows		: "Rows",
+DlgTableColumns		: "Columns",
+DlgTableBorder		: "Border size",
+DlgTableAlign		: "Alignment",
+DlgTableAlignNotSet	: "<Not set>",
+DlgTableAlignLeft	: "Left",
+DlgTableAlignCenter	: "Center",
+DlgTableAlignRight	: "Right",
+DlgTableWidth		: "Width",
+DlgTableWidthPx		: "pixels",
+DlgTableWidthPc		: "percent",
+DlgTableHeight		: "Height",
+DlgTableCellSpace	: "Cell spacing",
+DlgTableCellPad		: "Cell padding",
+DlgTableCaption		: "Caption",
 
 // Table Cell Dialog
-"DlgCellTitle"			: "Cell Properties" ,
-"DlgCellWidth"			: "Width" ,
-"DlgCellWidthPx"		: "pixels" ,
-"DlgCellWidthPc"		: "percent" ,
-"DlgCellHeight"			: "Height" ,
-"DlgCellWordWrap"		: "Word Wrap" ,
-"DlgCellWordWrapNotSet"	: "<Not set>" ,
-"DlgCellWordWrapYes"	: "Yes" ,
-"DlgCellWordWrapNo"		: "No" ,
-"DlgCellHorAlign"		: "Horizontal Alignment" ,
-"DlgCellHorAlignNotSet"	: "<Not set>" ,
-"DlgCellHorAlignLeft"	: "Left" ,
-"DlgCellHorAlignCenter"	: "Center" ,
-"DlgCellHorAlignRight"	: "Right" ,
-"DlgCellVerAlign"		: "Vertical Alignment" ,
-"DlgCellVerAlignNotSet"	: "<Not set>" ,
-"DlgCellVerAlignTop"	: "Top" ,
-"DlgCellVerAlignMiddle"	: "Middle" ,
-"DlgCellVerAlignBottom"	: "Bottom" ,
-"DlgCellVerAlignBaseline"	: "Baseline" ,
-"DlgCellRowSpan"		: "Rows Span" ,
-"DlgCellCollSpan"		: "Columns Span" ,
-"DlgCellBackColor"		: "Background Color" ,
-"DlgCellBorderColor"	: "Border Color" ,
-"DlgCellBtnSelect"		: "Select..." ,
+DlgCellTitle		: "Cell Properties",
+DlgCellWidth		: "Width",
+DlgCellWidthPx		: "pixels",
+DlgCellWidthPc		: "percent",
+DlgCellHeight		: "Height",
+DlgCellWordWrap		: "Word Wrap",
+DlgCellWordWrapNotSet	: "&lt;Not set&gt;",
+DlgCellWordWrapYes	: "Yes",
+DlgCellWordWrapNo	: "No",
+DlgCellHorAlign		: "Horizontal Alignment",
+DlgCellHorAlignNotSet	: "&lt;Not set&gt;",
+DlgCellHorAlignLeft	: "Left",
+DlgCellHorAlignCenter	: "Center",
+DlgCellHorAlignRight: "Right",
+DlgCellVerAlign		: "Vertical Alignment",
+DlgCellVerAlignNotSet	: "&lt;Not set&gt;",
+DlgCellVerAlignTop	: "Top",
+DlgCellVerAlignMiddle	: "Middle",
+DlgCellVerAlignBottom	: "Bottom",
+DlgCellVerAlignBaseline	: "Baseline",
+DlgCellRowSpan		: "Rows Span",
+DlgCellCollSpan		: "Columns Span",
+DlgCellBackColor	: "Background Color",
+DlgCellBorderColor	: "Border Color",
+DlgCellBtnSelect	: "Select...",
+
+// Find Dialog
+DlgFindTitle		: "Find",
+DlgFindFindBtn		: "Find",
+DlgFindNotFoundMsg	: "The specified text was not found.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Replace",
+DlgReplaceFindLbl		: "Find what:",
+DlgReplaceReplaceLbl	: "Replace with:",
+DlgReplaceCaseChk		: "Match case",
+DlgReplaceReplaceBtn	: "Replace",
+DlgReplaceReplAllBtn	: "Replace All",
+DlgReplaceWordChk		: "Match whole word",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Your browser security settings don't permit the editor to automatically execute pasting operations. Please use the keyboard for that (Ctrl+V).",
+PasteErrorCut	: "Your browser security settings don't permit the editor to automatically execute cutting operations. Please use the keyboard for that (Ctrl+X).",
+PasteErrorCopy	: "Your browser security settings don't permit the editor to automatically execute copying operations. Please use the keyboard for that (Ctrl+C).",
+
+PasteAsText		: "Paste as Plain Text",
+PasteFromWord	: "Paste from Word",
+
+DlgPasteMsg		: "The editor was not able to automatically execute pasting because of the <STRONG>security settings</STRONG> of your browser.<BR>Please paste inside the following box using the keyboard (<STRONG>Ctrl+V</STRONG>) and hit <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatic",
+ColorMoreColors	: "More Colors...",
+
+// Document Properties
+DocProps		: "Document Properties",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Anchor Properties",
+DlgAnchorName		: "Anchor Name",
+DlgAnchorErrorName	: "Please type the anchor name",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Not in dictionary",
+DlgSpellChangeTo		: "Change to",
+DlgSpellBtnIgnore		: "Ignore",
+DlgSpellBtnIgnoreAll	: "Ignore All",
+DlgSpellBtnReplace		: "Replace",
+DlgSpellBtnReplaceAll	: "Replace All",
+DlgSpellBtnUndo			: "Undo",
+DlgSpellNoSuggestions	: "- No suggestions -",
+DlgSpellProgress		: "Spell check in progress...",
+DlgSpellNoMispell		: "Spell check complete: No misspellings found",
+DlgSpellNoChanges		: "Spell check complete: No words changed",
+DlgSpellOneChange		: "Spell check complete: One word changed",
+DlgSpellManyChanges		: "Spell check complete: %1 words changed",
+
+IeSpellDownload			: "Spell checker not installed. Do you want to download it now?",
+
+// Button Dialog
+DlgButtonText	: "Text (Value)",
+DlgButtonType	: "Type",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Name",
+DlgCheckboxValue	: "Value",
+DlgCheckboxSelected	: "Selected",
+
+// Form Dialog
+DlgFormName		: "Name",
+DlgFormAction	: "Action",
+DlgFormMethod	: "Method",
+
+// Select Field Dialog
+DlgSelectName		: "Name",
+DlgSelectValue		: "Value",
+DlgSelectSize		: "Size",
+DlgSelectLines		: "lines",
+DlgSelectChkMulti	: "Allow multiple selections",
+DlgSelectOpAvail	: "Available Options",
+DlgSelectOpText		: "Text",
+DlgSelectOpValue	: "Value",
+DlgSelectBtnAdd		: "Add",
+DlgSelectBtnModify	: "Modify",
+DlgSelectBtnUp		: "Up",
+DlgSelectBtnDown	: "Down",
+DlgSelectBtnSetValue : "Set as selected value",
+DlgSelectBtnDelete	: "Delete",
+
+// Textarea Dialog
+DlgTextareaName	: "Name",
+DlgTextareaCols	: "Columns",
+DlgTextareaRows	: "Rows",
+
+// Text Field Dialog
+DlgTextName			: "Name",
+DlgTextValue		: "Value",
+DlgTextCharWidth	: "Character Width",
+DlgTextMaxChars		: "Maximum Characters",
+DlgTextType			: "Type",
+DlgTextTypeText		: "Text",
+DlgTextTypePass		: "Password",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Name",
+DlgHiddenValue	: "Value",
+
+// Bulleted List Dialog
+BulletedListProp	: "Bulleted List Properties",
+NumberedListProp	: "Numbered List Properties",
+DlgLstType			: "Type",
+DlgLstTypeCircle	: "Circle",
+DlgLstTypeDisk		: "Disk",
+DlgLstTypeSquare	: "Square",
+DlgLstTypeNumbers	: "Numbers (1, 2, 3)",
+DlgLstTypeLCase		: "Lowercase Letters (a, b, c)",
+DlgLstTypeUCase		: "Uppercase Letters (A, B, C)",
+DlgLstTypeSRoman	: "Small Roman Numerals (i, ii, iii)",
+DlgLstTypeLRoman	: "Large Roman Numerals (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",
+DlgDocBackTab		: "Background",
+DlgDocColorsTab		: "Colors and Margins",
+DlgDocMetaTab		: "Meta Data",
+
+DlgDocPageTitle		: "Page Title",
+DlgDocLangDir		: "Language Direction",
+DlgDocLangDirLTR	: "Left to Right (LTR)",
+DlgDocLangDirRTL	: "Right to Left (RTL)",
+DlgDocLangCode		: "Language Code",
+DlgDocCharSet		: "Character Set Encoding",
+DlgDocCharSetOther	: "Other Character Set Encoding",
+
+DlgDocDocType		: "Document Type Heading",
+DlgDocDocTypeOther	: "Other Document Type Heading",
+DlgDocIncXHTML		: "Include XHTML Declarations",
+DlgDocBgColor		: "Background Color",
+DlgDocBgImage		: "Background Image URL",
+DlgDocBgNoScroll	: "Nonscrolling Background",
+DlgDocCText			: "Text",
+DlgDocCLink			: "Link",
+DlgDocCVisited		: "Visited Link",
+DlgDocCActive		: "Active Link",
+DlgDocMargins		: "Page Margins",
+DlgDocMaTop			: "Top",
+DlgDocMaLeft		: "Left",
+DlgDocMaRight		: "Right",
+DlgDocMaBottom		: "Bottom",
+DlgDocMeIndex		: "Document Indexing Keywords (comma separated)",
+DlgDocMeDescr		: "Document Description",
+DlgDocMeAuthor		: "Author",
+DlgDocMeCopy		: "Copyright",
+DlgDocPreview		: "Preview",
+
+// Templates Dialog
+Templates			: "Templates",
+DlgTemplatesTitle	: "Content Templates",
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",
+DlgTemplatesLoading	: "Loading templates list. Please wait...",
+DlgTemplatesNoTpl	: "(No templates defined)",
 
 // About Dialog
-"DlgAboutVersion"	: "version" ,
-"DlgAboutLicense"	: "Licensed under the terms of the GNU Lesser General Public License" ,
-"DlgAboutInfo"		: "For further information go to"
-}
-
+DlgAboutAboutTab	: "About",
+DlgAboutBrowserInfoTab	: "Browser Info",
+DlgAboutVersion		: "version",
+DlgAboutLicense		: "Licensed under the terms of the GNU Lesser General Public License",
+DlgAboutInfo		: "For further information go to"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/eo.js soojung/libs/fckeditor/editor/lang/eo.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/eo.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/eo.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: eo.js
+ * 	Esperanto language file.
+ * 
+ * File Authors:
+ * 		Tim Morley (timsk@openoffice.org)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Kaŝi Ilobreton",
+ToolbarExpand		: "Vidigi Ilojn",
+
+// Toolbar Items and Context Menu
+Save				: "Sekurigi",
+NewPage				: "Nova Paĝo",
+Preview				: "Vidigi Aspekton",
+Cut					: "Eltondi",
+Copy				: "Kopii",
+Paste				: "Interglui",
+PasteText			: "Interglui kiel Tekston",
+PasteWord			: "Interglui el Word",
+Print				: "Presi",
+SelectAll			: "Elekti ĉion",
+RemoveFormat		: "Forigi Formaton",
+InsertLinkLbl		: "Ligilo",
+InsertLink			: "Enmeti/Ŝanĝi Ligilon",
+RemoveLink			: "Forigi Ligilon",
+Anchor				: "Enmeti/Ŝanĝi Ankron",
+InsertImageLbl		: "Bildo",
+InsertImage			: "Enmeti/Ŝanĝi Bildon",
+InsertTableLbl		: "Tabelo",
+InsertTable			: "Enmeti/Ŝanĝi Tabelon",
+InsertLineLbl		: "Horizonta Linio",
+InsertLine			: "Enmeti Horizonta Linio",
+InsertSpecialCharLbl: "Speciala Signo",
+InsertSpecialChar	: "Enmeti Specialan Signon",
+InsertSmileyLbl		: "Mienvinjeto",
+InsertSmiley		: "Enmeti Mienvinjeton",
+About				: "Pri FCKeditor",
+Bold				: "Grasa",
+Italic				: "Kursiva",
+Underline			: "Substreko",
+StrikeThrough		: "Trastreko",
+Subscript			: "Subskribo",
+Superscript			: "Superskribo",
+LeftJustify			: "Maldekstrigi",
+CenterJustify		: "Centrigi",
+RightJustify		: "Dekstrigi",
+BlockJustify		: "Ĝisrandigi Ambaŭflanke",
+DecreaseIndent		: "Malpligrandigi Krommarĝenon",
+IncreaseIndent		: "Pligrandigi Krommarĝenon",
+Undo				: "Malfari",
+Redo				: "Refari",
+NumberedListLbl		: "Numera Listo",
+NumberedList		: "Enmeti/Forigi Numeran Liston",
+BulletedListLbl		: "Bula Listo",
+BulletedList		: "Enmeti/Forigi Bulan Liston",
+ShowTableBorders	: "Vidigi Borderojn de Tabelo",
+ShowDetails			: "Vidigi Detalojn",
+Style				: "Stilo",
+FontFormat			: "Formato",
+Font				: "Tiparo",
+FontSize			: "Grando",
+TextColor			: "Teksta Koloro",
+BGColor				: "Fona Koloro",
+Source				: "Fonto",
+Find				: "Serĉi",
+Replace				: "Anstataŭigi",
+SpellCheck			: "Literumada Kontrolilo",
+UniversalKeyboard	: "Universala Klavaro",
+
+Form			: "Formularo",
+Checkbox		: "Markobutono",
+RadioButton		: "Radiobutono",
+TextField		: "Teksta kampo",
+Textarea		: "Teksta Areo",
+HiddenField		: "Kaŝita Kampo",
+Button			: "Butono",
+SelectionField	: "Elekta Kampo",
+ImageButton		: "Bildbutono",
+
+// Context Menu
+EditLink			: "Modifier Ligilon",
+InsertRow			: "Enmeti Linion",
+DeleteRows			: "Forigi Liniojn",
+InsertColumn		: "Enmeti Kolumnon",
+DeleteColumns		: "Forigi Kolumnojn",
+InsertCell			: "Enmeti Ĉelon",
+DeleteCells			: "Forigi Ĉelojn",
+MergeCells			: "Kunfandi Ĉelojn",
+SplitCell			: "Dividi Ĉelojn",
+CellProperties		: "Atributoj de Ĉelo",
+TableProperties		: "Atributoj de Tabelo",
+ImageProperties		: "Atributoj de Bildo",
+
+AnchorProp			: "Ankraj Atributoj",
+ButtonProp			: "Butonaj Atributoj",
+CheckboxProp		: "Markobutonaj Atributoj",
+HiddenFieldProp		: "Atributoj de Kaŝita Kampo",
+RadioButtonProp		: "Radiobutonaj Atributoj",
+ImageButtonProp		: "Bildbutonaj Atributoj",
+TextFieldProp		: "Atributoj de Teksta Kampo",
+SelectionFieldProp	: "Atributoj de Elekta Kampo",
+TextareaProp		: "Atributoj de Teksta Areo",
+FormProp			: "Formularaj Atributoj",
+
+FontFormats			: "Normala;Formatita;Adreso;Titolo 1;Titolo 2;Titolo 3;Titolo 4;Titolo 5;Titolo 6;Paragrafo (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "Traktado de XHTML. Bonvolu pacienci...",
+Done				: "Finita",
+PasteWordConfirm	: "La algluota teksto ŝajnas esti Word-devena. Ĉu vi volas purigi ĝin antaŭ ol interglui?",
+NotCompatiblePaste	: "Tiu ĉi komando bezonas almenaŭ Internet Explorer 5.5. Ĉu vi volas daŭrigi sen purigado?",
+UnknownToolbarItem	: "Ilobretero nekonata \"%1\"",
+UnknownCommand		: "Komandonomo nekonata \"%1\"",
+NotImplemented		: "Komando ne ankoraŭ realigita",
+UnknownToolbarSet	: "La ilobreto \"%1\" ne ekzistas",
+
+// Dialogs
+DlgBtnOK			: "Akcepti",
+DlgBtnCancel		: "Rezigni",
+DlgBtnClose			: "Fermi",
+DlgBtnBrowseServer	: "Foliumi en la Servilo",
+DlgAdvancedTag		: "Speciala",
+DlgOpOther			: "&lt;Alia&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;Defaŭlta&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Skribdirekto",
+DlgGenLangDirLtr	: "De maldekstro dekstren (LTR)",
+DlgGenLangDirRtl	: "De dekstro maldekstren (RTL)",
+DlgGenLangCode		: "Lingva Kodo",
+DlgGenAccessKey		: "Fulmoklavo",
+DlgGenName			: "Nomo",
+DlgGenTabIndex		: "Taba Ordo",
+DlgGenLongDescr		: "URL de Longa Priskribo",
+DlgGenClass			: "Klasoj de Stilfolioj",
+DlgGenTitle			: "Indika Titolo",
+DlgGenContType		: "Indika Enhavotipo",
+DlgGenLinkCharset	: "Signaro de la Ligita Rimedo",
+DlgGenStyle			: "Stilo",
+
+// Image Dialog
+DlgImgTitle			: "Atributoj de Bildo",
+DlgImgInfoTab		: "Informoj pri Bildo",
+DlgImgBtnUpload		: "Sendu al Servilo",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Alŝuti",
+DlgImgAlt			: "Anstataŭiga Teksto",
+DlgImgWidth			: "Larĝo",
+DlgImgHeight		: "Alto",
+DlgImgLockRatio		: "Konservi Proporcion",
+DlgBtnResetSize		: "Origina Grando",
+DlgImgBorder		: "Bordero",
+DlgImgHSpace		: "HSpaco",
+DlgImgVSpace		: "VSpaco",
+DlgImgAlign			: "Ĝisrandigo",
+DlgImgAlignLeft		: "Maldekstre",
+DlgImgAlignAbsBottom: "Abs Malsupre",
+DlgImgAlignAbsMiddle: "Abs Centre",
+DlgImgAlignBaseline	: "Je Malsupro de Teksto",
+DlgImgAlignBottom	: "Malsupre",
+DlgImgAlignMiddle	: "Centre",
+DlgImgAlignRight	: "Dekstre",
+DlgImgAlignTextTop	: "Je Supro de Teksto",
+DlgImgAlignTop		: "Supre",
+DlgImgPreview		: "Vidigi Aspekton",
+DlgImgAlertUrl		: "Bonvolu tajpi la URL de la bildo",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Ligilo",
+DlgLnkInfoTab		: "Informoj pri la Ligilo",
+DlgLnkTargetTab		: "Celo",
+
+DlgLnkType			: "Tipo de Ligilo",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Ankri en tiu ĉi paĝo",
+DlgLnkTypeEMail		: "Retpoŝto",
+DlgLnkProto			: "Protokolo",
+DlgLnkProtoOther	: "&lt;alia&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Elekti Ankron",
+DlgLnkAnchorByName	: "Per Ankronomo",
+DlgLnkAnchorById	: "Per Elementidentigilo",
+DlgLnkNoAnchors		: "&lt;Ne disponeblas ankroj en la dokumento&gt;",
+DlgLnkEMail			: "Retadreso",
+DlgLnkEMailSubject	: "Temlinio",
+DlgLnkEMailBody		: "Mesaĝa korpo",
+DlgLnkUpload		: "Alŝuti",
+DlgLnkBtnUpload		: "Sendi al Servilo",
+
+DlgLnkTarget		: "Celo",
+DlgLnkTargetFrame	: "&lt;kadro&gt;",
+DlgLnkTargetPopup	: "&lt;ŝprucfenestro&gt;",
+DlgLnkTargetBlank	: "Nova Fenestro (_blank)",
+DlgLnkTargetParent	: "Gepatra Fenestro (_parent)",
+DlgLnkTargetSelf	: "Sama Fenestro (_self)",
+DlgLnkTargetTop		: "Plej Supra Fenestro (_top)",
+DlgLnkTargetFrameName	: "Nomo de Kadro",
+DlgLnkPopWinName	: "Nomo de Ŝprucfenestro",
+DlgLnkPopWinFeat	: "Atributoj de la Ŝprucfenestro",
+DlgLnkPopResize		: "Grando Ŝanĝebla",
+DlgLnkPopLocation	: "Adresobreto",
+DlgLnkPopMenu		: "Menubreto",
+DlgLnkPopScroll		: "Rulumlisteloj",
+DlgLnkPopStatus		: "Statobreto",
+DlgLnkPopToolbar	: "Ilobreto",
+DlgLnkPopFullScrn	: "Tutekrane (IE)",
+DlgLnkPopDependent	: "Dependa (Netscape)",
+DlgLnkPopWidth		: "Larĝo",
+DlgLnkPopHeight		: "Alto",
+DlgLnkPopLeft		: "Pozicio de Maldekstro",
+DlgLnkPopTop		: "Pozicio de Supro",
+
+DlnLnkMsgNoUrl		: "Bonvolu entajpi la URL-on",
+DlnLnkMsgNoEMail	: "Bonvolu entajpi la retadreson",
+DlnLnkMsgNoAnchor	: "Bonvolu elekti ankron",
+
+// Color Dialog
+DlgColorTitle		: "Elekti",
+DlgColorBtnClear	: "Forigi",
+DlgColorHighlight	: "Emfazi",
+DlgColorSelected	: "Elektita",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Enmeti Mienvinjeton",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Enmeti Specialan Signon",
+
+// Table Dialog
+DlgTableTitle		: "Atributoj de Tabelo",
+DlgTableRows		: "Linioj",
+DlgTableColumns		: "Kolumnoj",
+DlgTableBorder		: "Bordero",
+DlgTableAlign		: "Ĝisrandigo",
+DlgTableAlignNotSet	: "<Defaŭlte>",
+DlgTableAlignLeft	: "Maldekstre",
+DlgTableAlignCenter	: "Centre",
+DlgTableAlignRight	: "Dekstre",
+DlgTableWidth		: "Larĝo",
+DlgTableWidthPx		: "Bitbilderoj",
+DlgTableWidthPc		: "elcentoj",
+DlgTableHeight		: "Alto",
+DlgTableCellSpace	: "Interspacigo de Ĉeloj",
+DlgTableCellPad		: "Ĉirkaŭenhava Plenigado",
+DlgTableCaption		: "Titolo",
+
+// Table Cell Dialog
+DlgCellTitle		: "Atributoj de Celo",
+DlgCellWidth		: "Larĝo",
+DlgCellWidthPx		: "bitbilderoj",
+DlgCellWidthPc		: "elcentoj",
+DlgCellHeight		: "Alto",
+DlgCellWordWrap		: "Linifaldo",
+DlgCellWordWrapNotSet	: "<Defaŭlte>",
+DlgCellWordWrapYes	: "Jes",
+DlgCellWordWrapNo	: "Ne",
+DlgCellHorAlign		: "Horizonta Ĝisrandigo",
+DlgCellHorAlignNotSet	: "<Defaŭlte>",
+DlgCellHorAlignLeft	: "Maldekstre",
+DlgCellHorAlignCenter	: "Centre",
+DlgCellHorAlignRight: "Dekstre",
+DlgCellVerAlign		: "Vertikala Ĝisrandigo",
+DlgCellVerAlignNotSet	: "<Defaŭlte>",
+DlgCellVerAlignTop	: "Supre",
+DlgCellVerAlignMiddle	: "Centre",
+DlgCellVerAlignBottom	: "Malsupre",
+DlgCellVerAlignBaseline	: "Je Malsupro de Teksto",
+DlgCellRowSpan		: "Linioj Kunfanditaj",
+DlgCellCollSpan		: "Kolumnoj Kunfanditaj",
+DlgCellBackColor	: "Fono",
+DlgCellBorderColor	: "Bordero",
+DlgCellBtnSelect	: "Elekti...",
+
+// Find Dialog
+DlgFindTitle		: "Serĉi",
+DlgFindFindBtn		: "Serĉi",
+DlgFindNotFoundMsg	: "La celteksto ne estas trovita.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Anstataŭigi",
+DlgReplaceFindLbl		: "Serĉi:",
+DlgReplaceReplaceLbl	: "Anstataŭigi per:",
+DlgReplaceCaseChk		: "Kongruigi Usklecon",
+DlgReplaceReplaceBtn	: "Anstataŭigi",
+DlgReplaceReplAllBtn	: "Anstataŭigi Ĉiun",
+DlgReplaceWordChk		: "Tuta Vorto",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "La sekurecagordo de via TTT-legilo ne permesas, ke la redaktilo faras intergluajn operaciojn. Bonvolu uzi la klavaron por tio (ctrl-V).",
+PasteErrorCut	: "La sekurecagordo de via TTT-legilo ne permesas, ke la redaktilo faras eltondajn operaciojn. Bonvolu uzi la klavaron por tio (ctrl-X).",
+PasteErrorCopy	: "La sekurecagordo de via TTT-legilo ne permesas, ke la redaktilo faras kopiajn operaciojn. Bonvolu uzi la klavaron por tio (ctrl-C).",
+
+PasteAsText		: "Interglui kiel Tekston",
+PasteFromWord	: "Interglui el Word",
+
+DlgPasteMsg		: "La redaktilo ne povis aŭtomate interglui pro la <STRONG>sekurecagordo</STRONG> de via TTT-legilo.<BR>Bonvolu interglui viajn datumojn en la ĉi suban tekstozonon per la klavaro (<STRONG>Ctrl-V</STRONG>) kaj musklaku la butonon <STRONG>Akceptita</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Aŭtomata",
+ColorMoreColors	: "Pli da Koloroj...",
+
+// Document Properties
+DocProps		: "Dokumentaj Atributoj",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Ankraj Atributoj",
+DlgAnchorName		: "Ankra Nomo",
+DlgAnchorErrorName	: "Bv tajpi la ankran nomon",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Ne trovita en la vortaro",
+DlgSpellChangeTo		: "Ŝanĝi al",
+DlgSpellBtnIgnore		: "Malatenti",
+DlgSpellBtnIgnoreAll	: "Malatenti Ĉiun",
+DlgSpellBtnReplace		: "Anstataŭigi",
+DlgSpellBtnReplaceAll	: "Anstataŭigi Ĉiun",
+DlgSpellBtnUndo			: "Malfari",
+DlgSpellNoSuggestions	: "- Neniu propono -",
+DlgSpellProgress		: "Literumkontrolado daŭras...",
+DlgSpellNoMispell		: "Literumkontrolado finita: neniu fuŝo trovita",
+DlgSpellNoChanges		: "Literumkontrolado finita: neniu vorto ŝanĝita",
+DlgSpellOneChange		: "Literumkontrolado finita: unu vorto ŝanĝita",
+DlgSpellManyChanges		: "Literumkontrolado finita: %1 vortoj ŝanĝitaj",
+
+IeSpellDownload			: "Literumada Kontrolilo ne instalita. Ĉu vi volas elŝuti ĝin nun?",
+
+// Button Dialog
+DlgButtonText	: "Teksto (Valoro)",
+DlgButtonType	: "Tipo",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Nomo",
+DlgCheckboxValue	: "Valoro",
+DlgCheckboxSelected	: "Elektita",
+
+// Form Dialog
+DlgFormName		: "Nomo",
+DlgFormAction	: "Ago",
+DlgFormMethod	: "Metodo",
+
+// Select Field Dialog
+DlgSelectName		: "Nomo",
+DlgSelectValue		: "Valoro",
+DlgSelectSize		: "Grando",
+DlgSelectLines		: "Linioj",
+DlgSelectChkMulti	: "Permesi Plurajn Elektojn",
+DlgSelectOpAvail	: "Elektoj Disponeblaj",
+DlgSelectOpText		: "Teksto",
+DlgSelectOpValue	: "Valoro",
+DlgSelectBtnAdd		: "Aldoni",
+DlgSelectBtnModify	: "Modifi",
+DlgSelectBtnUp		: "Supren",
+DlgSelectBtnDown	: "Malsupren",
+DlgSelectBtnSetValue : "Agordi kiel Elektitan Valoron",
+DlgSelectBtnDelete	: "Forigi",
+
+// Textarea Dialog
+DlgTextareaName	: "Nomo",
+DlgTextareaCols	: "Kolumnoj",
+DlgTextareaRows	: "Vicoj",
+
+// Text Field Dialog
+DlgTextName			: "Nomo",
+DlgTextValue		: "Valoro",
+DlgTextCharWidth	: "Signolarĝo",
+DlgTextMaxChars		: "Maksimuma Nombro da Signoj",
+DlgTextType			: "Tipo",
+DlgTextTypeText		: "Teksto",
+DlgTextTypePass		: "Pasvorto",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Nomo",
+DlgHiddenValue	: "Valoro",
+
+// Bulleted List Dialog
+BulletedListProp	: "Atributoj de Bula Listo",
+NumberedListProp	: "Atributoj de Numera Listo",
+DlgLstType			: "Tipo",
+DlgLstTypeCircle	: "Cirklo",
+DlgLstTypeDisk		: "Disko",
+DlgLstTypeSquare	: "Kvadrato",
+DlgLstTypeNumbers	: "Ciferoj (1, 2, 3)",
+DlgLstTypeLCase		: "Minusklaj Literoj (a, b, c)",
+DlgLstTypeUCase		: "Majusklaj Literoj (A, B, C)",
+DlgLstTypeSRoman	: "Malgrandaj Romanaj Ciferoj (i, ii, iii)",
+DlgLstTypeLRoman	: "Grandaj Romanaj Ciferoj (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Ĝeneralaĵoj",
+DlgDocBackTab		: "Fono",
+DlgDocColorsTab		: "Koloroj kaj Marĝenoj",
+DlgDocMetaTab		: "Metadatumoj",
+
+DlgDocPageTitle		: "Paĝotitolo",
+DlgDocLangDir		: "Skribdirekto de la Lingvo",
+DlgDocLangDirLTR	: "De maldekstro dekstren (LTR)",
+DlgDocLangDirRTL	: "De dekstro maldekstren (LTR)",
+DlgDocLangCode		: "Lingvokodo",
+DlgDocCharSet		: "Signara Kodo",
+DlgDocCharSetOther	: "Alia Signara Kodo",
+
+DlgDocDocType		: "Dokumenta Tipo",
+DlgDocDocTypeOther	: "Alia Dokumenta Tipo",
+DlgDocIncXHTML		: "Inkluzivi XHTML Deklaroj",
+DlgDocBgColor		: "Fona Koloro",
+DlgDocBgImage		: "URL de Fona Bildo",
+DlgDocBgNoScroll	: "Neruluma Fono",
+DlgDocCText			: "Teksto",
+DlgDocCLink			: "Ligilo",
+DlgDocCVisited		: "Vizitita Ligilo",
+DlgDocCActive		: "Aktiva Ligilo",
+DlgDocMargins		: "Paĝaj Marĝenoj",
+DlgDocMaTop			: "Supra",
+DlgDocMaLeft		: "Maldekstra",
+DlgDocMaRight		: "Dekstra",
+DlgDocMaBottom		: "Malsupra",
+DlgDocMeIndex		: "Ŝlosilvortoj de la Dokumento (apartigita de komoj)",
+DlgDocMeDescr		: "Dokumenta Priskribo",
+DlgDocMeAuthor		: "Verkinto",
+DlgDocMeCopy		: "Kopirajto",
+DlgDocPreview		: "Aspekto",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "Pri",
+DlgAboutBrowserInfoTab	: "Informoj pri TTT-legilo",
+DlgAboutVersion		: "versio",
+DlgAboutLicense		: "Disdonata laŭ la GNU Lesser General Public License",
+DlgAboutInfo		: "Por pli da informoj, vizitu"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/es.js soojung/libs/fckeditor/editor/lang/es.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/es.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/es.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: es.js
+ * 	Spanish language file.
+ * 
+ * File Authors:
+ * 		Gabriel Schillaci (internetbug@users.sourceforge.net)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Contraer Barra",
+ToolbarExpand		: "Expandir Barra",
+
+// Toolbar Items and Context Menu
+Save				: "Guardar",
+NewPage				: "Nueva Página",
+Preview				: "Vista Previa",
+Cut					: "Cortar",
+Copy				: "Copiar",
+Paste				: "Pegar",
+PasteText			: "Pegar como texto plano",
+PasteWord			: "Pegar desde Word",
+Print				: "Imprimir",
+SelectAll			: "Seleccionar Todo",
+RemoveFormat		: "Eliminar Formato",
+InsertLinkLbl		: "Vínculo",
+InsertLink			: "Insertar/Editar Vínculo",
+RemoveLink			: "Eliminar Vínculo",
+Anchor				: "Referencia",
+InsertImageLbl		: "Imagen",
+InsertImage			: "Insertar/Editar Imagen",
+InsertTableLbl		: "Tabla",
+InsertTable			: "Insertar/Editar Tabla",
+InsertLineLbl		: "Línea",
+InsertLine			: "Insertar Línea Horizontal",
+InsertSpecialCharLbl: "Caracter Especial",
+InsertSpecialChar	: "Insertar Caracter Especial",
+InsertSmileyLbl		: "Emoticons",
+InsertSmiley		: "Insertar Emoticons",
+About				: "Acerca de FCKeditor",
+Bold				: "Negrita",
+Italic				: "Cursiva",
+Underline			: "Subrayado",
+StrikeThrough		: "Tachado",
+Subscript			: "Subíndice",
+Superscript			: "Superíndice",
+LeftJustify			: "Alinear a Izquierda",
+CenterJustify		: "Centrar",
+RightJustify		: "Alinear a Derecha",
+BlockJustify		: "Justificado",
+DecreaseIndent		: "Disminuir Sangría",
+IncreaseIndent		: "Aumentar Sangría",
+Undo				: "Deshacer",
+Redo				: "Rehacer",
+NumberedListLbl		: "Numeración",
+NumberedList		: "Insertar/Eliminar Numeración",
+BulletedListLbl		: "Viñetas",
+BulletedList		: "Insertar/Eliminar Viñetas",
+ShowTableBorders	: "Mostrar Bordes de Tablas",
+ShowDetails			: "Mostrar saltos de Párrafo",
+Style				: "Estilo",
+FontFormat			: "Formato",
+Font				: "Fuente",
+FontSize			: "Tamaño",
+TextColor			: "Color de Texto",
+BGColor				: "Color de Fondo",
+Source				: "Fuente HTML",
+Find				: "Buscar",
+Replace				: "Reemplazar",
+SpellCheck			: "Ortografía",
+UniversalKeyboard	: "Teclado Universal",
+
+Form			: "Formulario",
+Checkbox		: "Casilla de Verificación",
+RadioButton		: "Botones de Radio",
+TextField		: "Campo de Texto",
+Textarea		: "Area de Texto",
+HiddenField		: "Campo Oculto",
+Button			: "Botón",
+SelectionField	: "Campo de Selección",
+ImageButton		: "Botón Imagen",
+
+// Context Menu
+EditLink			: "Editar Vínculo",
+InsertRow			: "Insertar Fila",
+DeleteRows			: "Eliminar Filas",
+InsertColumn		: "Insertar Columna",
+DeleteColumns		: "Eliminar Columnas",
+InsertCell			: "Insertar Celda",
+DeleteCells			: "Eliminar Celdas",
+MergeCells			: "Combinar Celdas",
+SplitCell			: "Dividir Celda",
+CellProperties		: "Propiedades de Celda",
+TableProperties		: "Propiedades de Tabla",
+ImageProperties		: "Propiedades de Imagen",
+
+AnchorProp			: "Propiedades de Referencia",
+ButtonProp			: "Propiedades de Botón",
+CheckboxProp		: "Propiedades de Casilla",
+HiddenFieldProp		: "Propiedades de Campo Oculto",
+RadioButtonProp		: "Propiedades de Botón de Radio",
+ImageButtonProp		: "Propiedades de Botón de Imagen",
+TextFieldProp		: "Propiedades de Campo de Texto",
+SelectionFieldProp	: "Propiedades de Campo de Selección",
+TextareaProp		: "Propiedades de Area de Texto",
+FormProp			: "Propiedades de Formulario",
+
+FontFormats			: "Normal;Formateado;Direccion;Encabezado 1;Encabezado 2;Encabezado 3;Encabezado 4;Encabezado 5;Encabezado 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Procesando XHTML. Por favor, espere...",
+Done				: "Hecho",
+PasteWordConfirm	: "El texto que desea parece provenir de Word. Desea depurarlo antes de pegarlo?",
+NotCompatiblePaste	: "Este comando está disponible sólo para Internet Explorer version 5.5 or superior. Desea pegar sin depurar?",
+UnknownToolbarItem	: "Item de barra desconocido \"%1\"",
+UnknownCommand		: "Nombre de comando desconocido \"%1\"",
+NotImplemented		: "Comando no implementado",
+UnknownToolbarSet	: "Nombre de barra \"%1\" no definido",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Cancelar",
+DlgBtnClose			: "Cerrar",
+DlgBtnBrowseServer	: "Ver Servidor",
+DlgAdvancedTag		: "Avanzado",
+DlgOpOther			: "&lt;Otro&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;No definido&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Orientación de idioma",
+DlgGenLangDirLtr	: "Izquierda a Derecha (LTR)",
+DlgGenLangDirRtl	: "Derecha a Izquierda (RTL)",
+DlgGenLangCode		: "Código de idioma",
+DlgGenAccessKey		: "Clave de Acceso",
+DlgGenName			: "Nombre",
+DlgGenTabIndex		: "Indice de tabulación",
+DlgGenLongDescr		: "Descripción larga URL",
+DlgGenClass			: "Clases de hojas de estilo",
+DlgGenTitle			: "Título",
+DlgGenContType		: "Tipo de Contenido",
+DlgGenLinkCharset	: "Fuente de caracteres vinculado",
+DlgGenStyle			: "Estilo",
+
+// Image Dialog
+DlgImgTitle			: "Propiedades de Imagen",
+DlgImgInfoTab		: "Información de Imagen",
+DlgImgBtnUpload		: "Enviar al Servidor",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Cargar",
+DlgImgAlt			: "Texto Alternativo",
+DlgImgWidth			: "Anchura",
+DlgImgHeight		: "Altura",
+DlgImgLockRatio		: "Proporcional",
+DlgBtnResetSize		: "Tamaño Original",
+DlgImgBorder		: "Borde",
+DlgImgHSpace		: "Esp.Horiz",
+DlgImgVSpace		: "Esp.Vert",
+DlgImgAlign			: "Alineación",
+DlgImgAlignLeft		: "Izquierda",
+DlgImgAlignAbsBottom: "Abs inferior",
+DlgImgAlignAbsMiddle: "Abs centro",
+DlgImgAlignBaseline	: "Línea de base",
+DlgImgAlignBottom	: "Pie",
+DlgImgAlignMiddle	: "Centro",
+DlgImgAlignRight	: "Derecha",
+DlgImgAlignTextTop	: "Tope del texto",
+DlgImgAlignTop		: "Tope",
+DlgImgPreview		: "Vista Previa",
+DlgImgAlertUrl		: "Por favor tipee el URL de la imagen",
+DlgImgLinkTab		: "Vínculo",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Vínculo",
+DlgLnkInfoTab		: "Información de Vínculo",
+DlgLnkTargetTab		: "Destino",
+
+DlgLnkType			: "Tipo de vínculo",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Referencia en esta página",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocolo",
+DlgLnkProtoOther	: "&lt;otro&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Seleccionar una referencia",
+DlgLnkAnchorByName	: "Por Nombre de Referencia",
+DlgLnkAnchorById	: "Por ID de elemento",
+DlgLnkNoAnchors		: "&lt;No hay referencias disponibles en el documento&gt;",
+DlgLnkEMail			: "Dirección de E-Mail",
+DlgLnkEMailSubject	: "Título del Mensaje",
+DlgLnkEMailBody		: "Cuerpo del Mensaje",
+DlgLnkUpload		: "Cargar",
+DlgLnkBtnUpload		: "Enviar al Servidor",
+
+DlgLnkTarget		: "Destino",
+DlgLnkTargetFrame	: "&lt;marco&gt;",
+DlgLnkTargetPopup	: "&lt;ventana emergente&gt;",
+DlgLnkTargetBlank	: "Nueva Ventana(_blank)",
+DlgLnkTargetParent	: "Ventana Padre (_parent)",
+DlgLnkTargetSelf	: "Misma Ventana (_self)",
+DlgLnkTargetTop		: "Ventana primaria (_top)",
+DlgLnkTargetFrameName	: "Nombre del Marco Destino",
+DlgLnkPopWinName	: "Nombre de Ventana Emergente",
+DlgLnkPopWinFeat	: "Características de Ventana Emergente",
+DlgLnkPopResize		: "Ajustable",
+DlgLnkPopLocation	: "Barra de ubicación",
+DlgLnkPopMenu		: "Barra de Menú",
+DlgLnkPopScroll		: "Barras de desplazamiento",
+DlgLnkPopStatus		: "Barra de Estado",
+DlgLnkPopToolbar	: "Barra de Herramientas",
+DlgLnkPopFullScrn	: "Pantalla Completa (IE)",
+DlgLnkPopDependent	: "Dependiente (Netscape)",
+DlgLnkPopWidth		: "Anchura",
+DlgLnkPopHeight		: "Altura",
+DlgLnkPopLeft		: "Posición Izquierda",
+DlgLnkPopTop		: "Posición Derecha",
+
+DlnLnkMsgNoUrl		: "Por favor tipee el vínculo URL",
+DlnLnkMsgNoEMail	: "Por favor tipee la dirección de e-mail",
+DlnLnkMsgNoAnchor	: "Por favor seleccione una referencia",
+
+// Color Dialog
+DlgColorTitle		: "Seleccionar Color",
+DlgColorBtnClear	: "Ninguno",
+DlgColorHighlight	: "Resaltado",
+DlgColorSelected	: "Seleccionado",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Insertar un Emoticon",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Seleccione un caracter especial",
+
+// Table Dialog
+DlgTableTitle		: "Propiedades de Tabla",
+DlgTableRows		: "Filas",
+DlgTableColumns		: "Columnas",
+DlgTableBorder		: "Tamaño de Borde",
+DlgTableAlign		: "Alineación",
+DlgTableAlignNotSet	: "<No establecido>",
+DlgTableAlignLeft	: "Izquierda",
+DlgTableAlignCenter	: "Centrado",
+DlgTableAlignRight	: "Derecha",
+DlgTableWidth		: "Anchura",
+DlgTableWidthPx		: "pixeles",
+DlgTableWidthPc		: "porcentaje",
+DlgTableHeight		: "Altura",
+DlgTableCellSpace	: "Esp. e/celdas",
+DlgTableCellPad		: "Esp. interior",
+DlgTableCaption		: "Título",
+
+// Table Cell Dialog
+DlgCellTitle		: "Propiedades de Celda",
+DlgCellWidth		: "Anchura",
+DlgCellWidthPx		: "pixeles",
+DlgCellWidthPc		: "porcentaje",
+DlgCellHeight		: "Altura",
+DlgCellWordWrap		: "Cortar Línea",
+DlgCellWordWrapNotSet	: "<No establecido>",
+DlgCellWordWrapYes	: "Si",
+DlgCellWordWrapNo	: "No",
+DlgCellHorAlign		: "Alineación Horizontal",
+DlgCellHorAlignNotSet	: "<No establecido>",
+DlgCellHorAlignLeft	: "Izquierda",
+DlgCellHorAlignCenter	: "Centrado",
+DlgCellHorAlignRight: "Derecha",
+DlgCellVerAlign		: "Alineación Vertical",
+DlgCellVerAlignNotSet	: "<Not establecido>",
+DlgCellVerAlignTop	: "Tope",
+DlgCellVerAlignMiddle	: "Medio",
+DlgCellVerAlignBottom	: "ie",
+DlgCellVerAlignBaseline	: "Línea de Base",
+DlgCellRowSpan		: "Abarcar Filas",
+DlgCellCollSpan		: "Abarcar Columnas",
+DlgCellBackColor	: "Color de Fondo",
+DlgCellBorderColor	: "Color de Borde",
+DlgCellBtnSelect	: "Seleccione...",
+
+// Find Dialog
+DlgFindTitle		: "Buscar",
+DlgFindFindBtn		: "Buscar",
+DlgFindNotFoundMsg	: "El texto especificado no ha sido encontrado.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Reemplazar",
+DlgReplaceFindLbl		: "Texto a buscar:",
+DlgReplaceReplaceLbl	: "Reemplazar con:",
+DlgReplaceCaseChk		: "Coincidir may/min",
+DlgReplaceReplaceBtn	: "Reemplazar",
+DlgReplaceReplAllBtn	: "Reemplazar Todo",
+DlgReplaceWordChk		: "Coincidir toda la palabra",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "La configuración de seguridad de este navegador no permite la ejecución automática de operaciones de pegado. Por favor use el teclado (Ctrl+V).",
+PasteErrorCut	: "La configuración de seguridad de este navegador no permite la ejecución automática de operaciones de cortado. Por favor use el teclado (Ctrl+X).",
+PasteErrorCopy	: "La configuración de seguridad de este navegador no permite la ejecución automática de operaciones de copiado. Por favor use el teclado (Ctrl+C).",
+
+PasteAsText		: "Pegar como Texto Plano",
+PasteFromWord	: "Pegar desde Word",
+
+DlgPasteMsg		: "El editor no pudo ejecutar automáticamente el pegado debido a la <STRONG>configuración de seguridad</STRONG> de su navegador.<BR>Por favor pegue dentro del sigueinte recuadro usando el teclado (<STRONG>Ctrl+V</STRONG>) y presione <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automático",
+ColorMoreColors	: "Más Colores...",
+
+// Document Properties
+DocProps		: "Propiedades del Documento",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Propiedades de la Referencia",
+DlgAnchorName		: "Nombre de la Referencia",
+DlgAnchorErrorName	: "Por favor, complete el nombre de la Referencia",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "No se encuentra en el Diccionario",
+DlgSpellChangeTo		: "Cambiar a",
+DlgSpellBtnIgnore		: "Ignorar",
+DlgSpellBtnIgnoreAll	: "Ignorar Todo",
+DlgSpellBtnReplace		: "Reemplazar",
+DlgSpellBtnReplaceAll	: "Reemplazar Todo",
+DlgSpellBtnUndo			: "Deshacer",
+DlgSpellNoSuggestions	: "- No hay sugerencias -",
+DlgSpellProgress		: "Control de Ortografía en progreso...",
+DlgSpellNoMispell		: "Control finalizado: no se encontraron errores",
+DlgSpellNoChanges		: "Control finalizado: no se ha cambiado ninguna palabra",
+DlgSpellOneChange		: "Control finalizado: se ha cambiado una palabra",
+DlgSpellManyChanges		: "Control finalizado: se ha cambiado %1 palabras",
+
+IeSpellDownload			: "Módulo de Control de Ortografía no instalado. ¿Desea descargarlo ahora?",
+
+// Button Dialog
+DlgButtonText	: "Texto (Valor)",
+DlgButtonType	: "Tipo",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Nombre",
+DlgCheckboxValue	: "Valor",
+DlgCheckboxSelected	: "Seleccionado",
+
+// Form Dialog
+DlgFormName		: "Nombre",
+DlgFormAction	: "Acción",
+DlgFormMethod	: "Método",
+
+// Select Field Dialog
+DlgSelectName		: "Nombre",
+DlgSelectValue		: "Valor",
+DlgSelectSize		: "Tamaño",
+DlgSelectLines		: "Lineas",
+DlgSelectChkMulti	: "Permitir múltiple selección",
+DlgSelectOpAvail	: "Opciones disponibles",
+DlgSelectOpText		: "Texto",
+DlgSelectOpValue	: "Valor",
+DlgSelectBtnAdd		: "Agregar",
+DlgSelectBtnModify	: "Modificar",
+DlgSelectBtnUp		: "Subir",
+DlgSelectBtnDown	: "Bajar",
+DlgSelectBtnSetValue : "Establecer como predeterminado",
+DlgSelectBtnDelete	: "Eliminar",
+
+// Textarea Dialog
+DlgTextareaName	: "Nombre",
+DlgTextareaCols	: "Columnas",
+DlgTextareaRows	: "Filas",
+
+// Text Field Dialog
+DlgTextName			: "Nombre",
+DlgTextValue		: "Valor",
+DlgTextCharWidth	: "Caracteres de ancho",
+DlgTextMaxChars		: "Máximo caracteres",
+DlgTextType			: "Tipo",
+DlgTextTypeText		: "Texto",
+DlgTextTypePass		: "Contraseña",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Nombre",
+DlgHiddenValue	: "Valor",
+
+// Bulleted List Dialog
+BulletedListProp	: "Propiedades de Viñetas",
+NumberedListProp	: "Propiedades de Numeraciones",
+DlgLstType			: "Tipo",
+DlgLstTypeCircle	: "Círculo",
+DlgLstTypeDisk		: "Disco",
+DlgLstTypeSquare	: "Cuadrado",
+DlgLstTypeNumbers	: "Números (1, 2, 3)",
+DlgLstTypeLCase		: "letras en minúsculas (a, b, c)",
+DlgLstTypeUCase		: "letras en mayúsculas (A, B, C)",
+DlgLstTypeSRoman	: "Números Romanos (i, ii, iii)",
+DlgLstTypeLRoman	: "Números Romanos (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",
+DlgDocBackTab		: "Fondo",
+DlgDocColorsTab		: "Colores y Márgenes",
+DlgDocMetaTab		: "Meta Información",
+
+DlgDocPageTitle		: "Título de Página",
+DlgDocLangDir		: "Orientación de idioma",
+DlgDocLangDirLTR	: "Izq. a Derecha (LTR)",
+DlgDocLangDirRTL	: "Der. a Izquierda (RTL)",
+DlgDocLangCode		: "Código de Idioma",
+DlgDocCharSet		: "Codif. de Conjunto de Caracteres",
+DlgDocCharSetOther	: "Otra Codificación",
+
+DlgDocDocType		: "Encabezado de Tipo de Documento",
+DlgDocDocTypeOther	: "Otro Encabezado",
+DlgDocIncXHTML		: "Incluir Declaraciones XHTML",
+DlgDocBgColor		: "Color de Fondo",
+DlgDocBgImage		: "URL de Imagen de Fondo",
+DlgDocBgNoScroll	: "Fondo sin rolido",
+DlgDocCText			: "Texto",
+DlgDocCLink			: "Vínculo",
+DlgDocCVisited		: "Vínculo Visitado",
+DlgDocCActive		: "Vínculo Activo",
+DlgDocMargins		: "Márgenes de Página",
+DlgDocMaTop			: "Tope",
+DlgDocMaLeft		: "Izquierda",
+DlgDocMaRight		: "Derecha",
+DlgDocMaBottom		: "Pie",
+DlgDocMeIndex		: "Claves de indexación del Documento (separados por comas)",
+DlgDocMeDescr		: "Descripción del Documento",
+DlgDocMeAuthor		: "Autor",
+DlgDocMeCopy		: "Copyright",
+DlgDocPreview		: "Vista Previa",
+
+// Templates Dialog
+Templates			: "Plantillas",
+DlgTemplatesTitle	: "Contenido de Plantillas",
+DlgTemplatesSelMsg	: "Por favor selecciona la plantilla a abrir en el editor<br>(el contenido actual se perderá):",
+DlgTemplatesLoading	: "Cargando lista de Plantillas. Por favor, aguarde...",
+DlgTemplatesNoTpl	: "(No hay plantillas definidas)",
+
+// About Dialog
+DlgAboutAboutTab	: "Acerca de",
+DlgAboutBrowserInfoTab	: "Información de Navegador",
+DlgAboutVersion		: "versión",
+DlgAboutLicense		: "Licenciado bajo los términos de GNU Lesser General Public License",
+DlgAboutInfo		: "Para mayor información por favor dirigirse a"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/et.js soojung/libs/fckeditor/editor/lang/et.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/et.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/et.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: et.js
+ * 	Estonian language file.
+ * 
+ * File Authors:
+ * 		Kristjan Kivikangur (kristjan@ttrk.ee)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Voldi tööriistariba",
+ToolbarExpand		: "Laienda tööriistariba",
+
+// Toolbar Items and Context Menu
+Save				: "Salvesta",
+NewPage				: "Uus leht",
+Preview				: "Eelvaade",
+Cut					: "Lõika",
+Copy				: "Kopeeri",
+Paste				: "Kleebi",
+PasteText			: "Kleebi tavalise tekstina",
+PasteWord			: "Kleebi Wordist",
+Print				: "Prindi",
+SelectAll			: "Vali kõik",
+RemoveFormat		: "Eemalda vorming",
+InsertLinkLbl		: "Link",
+InsertLink			: "Sisesta/Muuda link",
+RemoveLink			: "Eemalda link",
+Anchor				: "Insert/Edit Anchor",	//MISSING
+InsertImageLbl		: "Pilt",
+InsertImage			: "Sisesta/Muuda pilt",
+InsertTableLbl		: "Tabel",
+InsertTable			: "Sisesta/Muuda tabel",
+InsertLineLbl		: "Joon",
+InsertLine			: "Sisesta horisontaaljoon",
+InsertSpecialCharLbl: "Erimärgid",
+InsertSpecialChar	: "Sisesta erimärk",
+InsertSmileyLbl		: "Smiley",
+InsertSmiley		: "Sisesta Smiley",
+About				: "FCKeditor kohta",
+Bold				: "Paks",
+Italic				: "Kursiiv",
+Underline			: "Allajoonitud",
+StrikeThrough		: "Läbijoonitud",
+Subscript			: "Allindeks",
+Superscript			: "Ülaindeks",
+LeftJustify			: "Vasakjoondus",
+CenterJustify		: "Keskjoondus",
+RightJustify		: "Paremjoondus",
+BlockJustify		: "Rööpjoondus",
+DecreaseIndent		: "Vähenda taanet",
+IncreaseIndent		: "Suurenda taanet",
+Undo				: "Võta tagasi",
+Redo				: "Tee uuesti",
+NumberedListLbl		: "Nummerdatud loetelu",
+NumberedList		: "Sisesta/Eemalda nummerdatud loetelu",
+BulletedListLbl		: "Täpitud loetelu",
+BulletedList		: "Sisesta/Eemalda täpitud loetelu",
+ShowTableBorders	: "Nöita tabeli jooni",
+ShowDetails			: "Näita üksikasju",
+Style				: "Laad",
+FontFormat			: "Vorming",
+Font				: "Font",
+FontSize			: "Suurus",
+TextColor			: "Teksti värv",
+BGColor				: "Tausta värv",
+Source				: "Lähtekood",
+Find				: "Otsi",
+Replace				: "Asenda",
+SpellCheck			: "Check Spell",	//MISSING
+UniversalKeyboard	: "Universal Keyboard",	//MISSING
+
+Form			: "Form",	//MISSING
+Checkbox		: "Checkbox",	//MISSING
+RadioButton		: "Radio Button",	//MISSING
+TextField		: "Text Field",	//MISSING
+Textarea		: "Textarea",	//MISSING
+HiddenField		: "Hidden Field",	//MISSING
+Button			: "Button",	//MISSING
+SelectionField	: "Selection Field",	//MISSING
+ImageButton		: "Image Button",	//MISSING
+
+// Context Menu
+EditLink			: "Muuda linki",
+InsertRow			: "Lisa rida",
+DeleteRows			: "Eemalda ridu",
+InsertColumn		: "Lisa veerg",
+DeleteColumns		: "Eemalda veerud",
+InsertCell			: "Lisa lahter",
+DeleteCells			: "Eemalda lahtrid",
+MergeCells			: "Ühenda lahtrid",
+SplitCell			: "Lahuta lahtrid",
+CellProperties		: "Lahtri atribuudid",
+TableProperties		: "Tabeli atribuudid",
+ImageProperties		: "Pildi  atribuudid",
+
+AnchorProp			: "Anchor Properties",	//MISSING
+ButtonProp			: "Button Properties",	//MISSING
+CheckboxProp		: "Checkbox Properties",	//MISSING
+HiddenFieldProp		: "Hidden Field Properties",	//MISSING
+RadioButtonProp		: "Radio Button Properties",	//MISSING
+ImageButtonProp		: "Image Button Properties",	//MISSING
+TextFieldProp		: "Text Field Properties",	//MISSING
+SelectionFieldProp	: "Selection Field Properties",	//MISSING
+TextareaProp		: "Textarea Properties",	//MISSING
+FormProp			: "Form Properties",	//MISSING
+
+FontFormats			: "Tavaline;Vormindatud;Aadress;Pealkiri 1;Pealkiri 2;Pealkiri 3;Pealkiri 4;Pealkiri 5;Pealkiri 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Töötlen XHTML. Palun oota...",
+Done				: "Tehtud",
+PasteWordConfirm	: "Tekst, mida soovid lisada paistab pärinevat Wordist. Kas soovid seda enne kleepimist puhastada?",
+NotCompatiblePaste	: "See käsk on saadaval ainult Internet Explorer versioon 5.5 või rohkem puhul. Kas soovid kleepida ilma puhastamata?",
+UnknownToolbarItem	: "Tundmatu tööriistariba üksus \"%1\"",
+UnknownCommand		: "Tundmatu käsunimi \"%1\"",
+NotImplemented		: "Käsku ei täidetud",
+UnknownToolbarSet	: "Tööriistariba \"%1\" ei eksisteeri",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Loobu",
+DlgBtnClose			: "Sule",
+DlgBtnBrowseServer	: "Browse Server",	//MISSING
+DlgAdvancedTag		: "Täpsemalt",
+DlgOpOther			: "&lt;Other&gt;",	//MISSING
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;määramata&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Keele suund",
+DlgGenLangDirLtr	: "Vasakult paremale (LTR)",
+DlgGenLangDirRtl	: "Paremalt vasakule (RTL)",
+DlgGenLangCode		: "Keele kood",
+DlgGenAccessKey		: "Juurdepääsu võti",
+DlgGenName			: "Nimi",
+DlgGenTabIndex		: "Tab Index",
+DlgGenLongDescr		: "Pikk kirjeldus URL",
+DlgGenClass			: "Stiilistiku klassid",
+DlgGenTitle			: "Advisory Title",
+DlgGenContType		: "Advisory Content Type",
+DlgGenLinkCharset	: "Linked Resource Charset",
+DlgGenStyle			: "Laad",
+
+// Image Dialog
+DlgImgTitle			: "Pildi atribuudid",
+DlgImgInfoTab		: "Pildi info",
+DlgImgBtnUpload		: "Saada serverile",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Lae üles",
+DlgImgAlt			: "Alternatiivne tekst",
+DlgImgWidth			: "Laius",
+DlgImgHeight		: "Kõrgus",
+DlgImgLockRatio		: "Lukusta kuvasuhe",
+DlgBtnResetSize		: "Lähtesta suurus",
+DlgImgBorder		: "Joon",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Joondus",
+DlgImgAlignLeft		: "Vasak",
+DlgImgAlignAbsBottom: "Abs alla",
+DlgImgAlignAbsMiddle: "Abs keskele",
+DlgImgAlignBaseline	: "Baasjoonele",
+DlgImgAlignBottom	: "Alla",
+DlgImgAlignMiddle	: "Keskele",
+DlgImgAlignRight	: "Paremale",
+DlgImgAlignTextTop	: "Teksti üles",
+DlgImgAlignTop		: "Üles",
+DlgImgPreview		: "Eelvaade",
+DlgImgAlertUrl		: "Palun kirjuta pildi URL",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Link",
+DlgLnkInfoTab		: "Lingi info",
+DlgLnkTargetTab		: "Sihtkoht",
+
+DlgLnkType			: "Lingi tüüp",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Ankur sellel lehel",
+DlgLnkTypeEMail		: "E-Post",
+DlgLnkProto			: "Protokoll",
+DlgLnkProtoOther	: "&lt;muu&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Vali ankur",
+DlgLnkAnchorByName	: "Ankru nime järgi",
+DlgLnkAnchorById	: "Elemendi Id järgi",
+DlgLnkNoAnchors		: "&lt;Selles dokumendis ei ole ankruid&gt;",
+DlgLnkEMail			: "E-Posti aadress",
+DlgLnkEMailSubject	: "Sõnumi teema",
+DlgLnkEMailBody		: "Sõnumi tekst",
+DlgLnkUpload		: "Lae üles",
+DlgLnkBtnUpload		: "Saada serverile",
+
+DlgLnkTarget		: "Sihtkoht",
+DlgLnkTargetFrame	: "&lt;raam&gt;",
+DlgLnkTargetPopup	: "&lt;hüpikaken&gt;",
+DlgLnkTargetBlank	: "Uus aken (_blank)",
+DlgLnkTargetParent	: "Vanem aken (_parent)",
+DlgLnkTargetSelf	: "Sama aken (_self)",
+DlgLnkTargetTop		: "Pealmine aken (_top)",
+DlgLnkTargetFrameName	: "Target Frame Name",	//MISSING
+DlgLnkPopWinName	: "Hüpikakna nimi",
+DlgLnkPopWinFeat	: "Hüpikakna omadused",
+DlgLnkPopResize		: "Suurendatav",
+DlgLnkPopLocation	: "Aadressiriba",
+DlgLnkPopMenu		: "Menüüriba",
+DlgLnkPopScroll		: "Kerimisribad",
+DlgLnkPopStatus		: "Olekuriba",
+DlgLnkPopToolbar	: "Tööriistariba",
+DlgLnkPopFullScrn	: "Täisekraan (IE)",
+DlgLnkPopDependent	: "Sõltuv (Netscape)",
+DlgLnkPopWidth		: "Laius",
+DlgLnkPopHeight		: "Kõrgus",
+DlgLnkPopLeft		: "Vasak asukoht",
+DlgLnkPopTop		: "Ülemine asukoht",
+
+DlnLnkMsgNoUrl		: "Palun kirjuta lingi URL",
+DlnLnkMsgNoEMail	: "Palun kirjuta E-Posti aadress",
+DlnLnkMsgNoAnchor	: "Palun vali ankur",
+
+// Color Dialog
+DlgColorTitle		: "Vali värv",
+DlgColorBtnClear	: "Tühjenda",
+DlgColorHighlight	: "Märgi",
+DlgColorSelected	: "Valitud",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Sisesta Smiley",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Vali erimärk",
+
+// Table Dialog
+DlgTableTitle		: "Tabeli atribuudid",
+DlgTableRows		: "Read",
+DlgTableColumns		: "Veerud",
+DlgTableBorder		: "Joone suurus",
+DlgTableAlign		: "Joondus",
+DlgTableAlignNotSet	: "<Määramata>",
+DlgTableAlignLeft	: "Vasak",
+DlgTableAlignCenter	: "Kesk",
+DlgTableAlignRight	: "Parem",
+DlgTableWidth		: "Laius",
+DlgTableWidthPx		: "pikslit",
+DlgTableWidthPc		: "protsenti",
+DlgTableHeight		: "Kõrgus",
+DlgTableCellSpace	: "Lahtri vahe",
+DlgTableCellPad		: "Lahtri täidis",
+DlgTableCaption		: "Seletiitel",
+
+// Table Cell Dialog
+DlgCellTitle		: "Lahtri atribuudid",
+DlgCellWidth		: "Laius",
+DlgCellWidthPx		: "pikslit",
+DlgCellWidthPc		: "protsenti",
+DlgCellHeight		: "Kõrgus",
+DlgCellWordWrap		: "Murra ridu",
+DlgCellWordWrapNotSet	: "<Määramata>",
+DlgCellWordWrapYes	: "Jah",
+DlgCellWordWrapNo	: "Ei",
+DlgCellHorAlign		: "Horisontaaljoondus",
+DlgCellHorAlignNotSet	: "<Määramata>",
+DlgCellHorAlignLeft	: "Vasak",
+DlgCellHorAlignCenter	: "Kesk",
+DlgCellHorAlignRight: "Parem",
+DlgCellVerAlign		: "Vertikaaljoondus",
+DlgCellVerAlignNotSet	: "<Määramata>",
+DlgCellVerAlignTop	: "Üles",
+DlgCellVerAlignMiddle	: "Keskele",
+DlgCellVerAlignBottom	: "Alla",
+DlgCellVerAlignBaseline	: "Baasjoonele",
+DlgCellRowSpan		: "Reaulatus",
+DlgCellCollSpan		: "Veeruulatus",
+DlgCellBackColor	: "Tausta värv",
+DlgCellBorderColor	: "Joone värv",
+DlgCellBtnSelect	: "Vali...",
+
+// Find Dialog
+DlgFindTitle		: "Otsi",
+DlgFindFindBtn		: "Otsi",
+DlgFindNotFoundMsg	: "Valitud teksti ei leitud.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Asenda",
+DlgReplaceFindLbl		: "Leia mida:",
+DlgReplaceReplaceLbl	: "Asenda millega:",
+DlgReplaceCaseChk		: "Erista suurtähti",
+DlgReplaceReplaceBtn	: "Asenda",
+DlgReplaceReplAllBtn	: "Asenda kõik",
+DlgReplaceWordChk		: "Otsi terveid sõnu",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Sinu brauseri turvaseaded ei luba redaktoril automaatselt kleepida. Palun kasutage selleks klaviatuuri (Ctrl+V).",
+PasteErrorCut	: "Sinu brauseri turvaseaded ei luba redaktoril automaatselt lõigata. Palun kasutage selleks klaviatuuri (Ctrl+X).",
+PasteErrorCopy	: "Sinu brauseri turvaseaded ei luba redaktoril automaatselt kopeerida. Palun kasutage selleks klaviatuuri (Ctrl+C).",
+
+PasteAsText		: "Kleebi tavalise tekstina",
+PasteFromWord	: "Kleebi Wordist",
+
+DlgPasteMsg		: "Redaktor ei saanud sinu brauseri <STRONG>turvaseadete</STRONG> pärast automatselt kleepida.<BR>Palun kleebi järgmisse kasti kasutades klaviatuuri(<STRONG>Ctrl+V</STRONG>) ja vajuta <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automaatne",
+ColorMoreColors	: "Rohkem värve...",
+
+// Document Properties
+DocProps		: "Document Properties",	//MISSING
+
+// Anchor Dialog
+DlgAnchorTitle		: "Anchor Properties",	//MISSING
+DlgAnchorName		: "Anchor Name",	//MISSING
+DlgAnchorErrorName	: "Please type the anchor name",	//MISSING
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Not in dictionary",	//MISSING
+DlgSpellChangeTo		: "Change to",	//MISSING
+DlgSpellBtnIgnore		: "Ignore",	//MISSING
+DlgSpellBtnIgnoreAll	: "Ignore All",	//MISSING
+DlgSpellBtnReplace		: "Replace",	//MISSING
+DlgSpellBtnReplaceAll	: "Replace All",	//MISSING
+DlgSpellBtnUndo			: "Undo",	//MISSING
+DlgSpellNoSuggestions	: "- No suggestions -",	//MISSING
+DlgSpellProgress		: "Spell check in progress...",	//MISSING
+DlgSpellNoMispell		: "Spell check complete: No misspellings found",	//MISSING
+DlgSpellNoChanges		: "Spell check complete: No words changed",	//MISSING
+DlgSpellOneChange		: "Spell check complete: One word changed",	//MISSING
+DlgSpellManyChanges		: "Spell check complete: %1 words changed",	//MISSING
+
+IeSpellDownload			: "Spell checker not installed. Do you want to download it now?",	//MISSING
+
+// Button Dialog
+DlgButtonText	: "Text (Value)",	//MISSING
+DlgButtonType	: "Type",	//MISSING
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Name",	//MISSING
+DlgCheckboxValue	: "Value",	//MISSING
+DlgCheckboxSelected	: "Selected",	//MISSING
+
+// Form Dialog
+DlgFormName		: "Name",	//MISSING
+DlgFormAction	: "Action",	//MISSING
+DlgFormMethod	: "Method",	//MISSING
+
+// Select Field Dialog
+DlgSelectName		: "Name",	//MISSING
+DlgSelectValue		: "Value",	//MISSING
+DlgSelectSize		: "Size",	//MISSING
+DlgSelectLines		: "lines",	//MISSING
+DlgSelectChkMulti	: "Allow multiple selections",	//MISSING
+DlgSelectOpAvail	: "Available Options",	//MISSING
+DlgSelectOpText		: "Text",	//MISSING
+DlgSelectOpValue	: "Value",	//MISSING
+DlgSelectBtnAdd		: "Add",	//MISSING
+DlgSelectBtnModify	: "Modify",	//MISSING
+DlgSelectBtnUp		: "Up",	//MISSING
+DlgSelectBtnDown	: "Down",	//MISSING
+DlgSelectBtnSetValue : "Set as selected value",	//MISSING
+DlgSelectBtnDelete	: "Delete",	//MISSING
+
+// Textarea Dialog
+DlgTextareaName	: "Name",	//MISSING
+DlgTextareaCols	: "Columns",	//MISSING
+DlgTextareaRows	: "Rows",	//MISSING
+
+// Text Field Dialog
+DlgTextName			: "Name",	//MISSING
+DlgTextValue		: "Value",	//MISSING
+DlgTextCharWidth	: "Character Width",	//MISSING
+DlgTextMaxChars		: "Maximum Characters",	//MISSING
+DlgTextType			: "Type",	//MISSING
+DlgTextTypeText		: "Text",	//MISSING
+DlgTextTypePass		: "Password",	//MISSING
+
+// Hidden Field Dialog
+DlgHiddenName	: "Name",	//MISSING
+DlgHiddenValue	: "Value",	//MISSING
+
+// Bulleted List Dialog
+BulletedListProp	: "Bulleted List Properties",	//MISSING
+NumberedListProp	: "Numbered List Properties",	//MISSING
+DlgLstType			: "Type",	//MISSING
+DlgLstTypeCircle	: "Circle",	//MISSING
+DlgLstTypeDisk		: "Disk",	//MISSING
+DlgLstTypeSquare	: "Square",	//MISSING
+DlgLstTypeNumbers	: "Numbers (1, 2, 3)",	//MISSING
+DlgLstTypeLCase		: "Lowercase Letters (a, b, c)",	//MISSING
+DlgLstTypeUCase		: "Uppercase Letters (A, B, C)",	//MISSING
+DlgLstTypeSRoman	: "Small Roman Numerals (i, ii, iii)",	//MISSING
+DlgLstTypeLRoman	: "Large Roman Numerals (I, II, III)",	//MISSING
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",	//MISSING
+DlgDocBackTab		: "Background",	//MISSING
+DlgDocColorsTab		: "Colors and Margins",	//MISSING
+DlgDocMetaTab		: "Meta Data",	//MISSING
+
+DlgDocPageTitle		: "Page Title",	//MISSING
+DlgDocLangDir		: "Language Direction",	//MISSING
+DlgDocLangDirLTR	: "Left to Right (LTR)",	//MISSING
+DlgDocLangDirRTL	: "Right to Left (RTL)",	//MISSING
+DlgDocLangCode		: "Language Code",	//MISSING
+DlgDocCharSet		: "Character Set Encoding",	//MISSING
+DlgDocCharSetOther	: "Other Character Set Encoding",	//MISSING
+
+DlgDocDocType		: "Document Type Heading",	//MISSING
+DlgDocDocTypeOther	: "Other Document Type Heading",	//MISSING
+DlgDocIncXHTML		: "Include XHTML Declarations",	//MISSING
+DlgDocBgColor		: "Background Color",	//MISSING
+DlgDocBgImage		: "Background Image URL",	//MISSING
+DlgDocBgNoScroll	: "Nonscrolling Background",	//MISSING
+DlgDocCText			: "Text",	//MISSING
+DlgDocCLink			: "Link",	//MISSING
+DlgDocCVisited		: "Visited Link",	//MISSING
+DlgDocCActive		: "Active Link",	//MISSING
+DlgDocMargins		: "Page Margins",	//MISSING
+DlgDocMaTop			: "Top",	//MISSING
+DlgDocMaLeft		: "Left",	//MISSING
+DlgDocMaRight		: "Right",	//MISSING
+DlgDocMaBottom		: "Bottom",	//MISSING
+DlgDocMeIndex		: "Document Indexing Keywords (comma separated)",	//MISSING
+DlgDocMeDescr		: "Document Description",	//MISSING
+DlgDocMeAuthor		: "Author",	//MISSING
+DlgDocMeCopy		: "Copyright",	//MISSING
+DlgDocPreview		: "Preview",	//MISSING
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "About",	//MISSING
+DlgAboutBrowserInfoTab	: "Browser Info",	//MISSING
+DlgAboutVersion		: "versioon",
+DlgAboutLicense		: "Litsenseeritud GNU Lesser General Public License litsentsiga",
+DlgAboutInfo		: "Täpsema info saamiseks mine"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/eu.js soojung/libs/fckeditor/editor/lang/eu.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/eu.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/eu.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,454 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: eu.js
+ * 	Basque language file.
+ * 	Euskara hizkuntza fitxategia.
+ * 
+ * File Authors:
+ * 		Ibon Igartua (Librezale.org)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Estutu Tresna Barra",
+ToolbarExpand		: "Hedatu Tresna Barra",
+
+// Toolbar Items and Context Menu
+Save				: "Gorde",
+NewPage				: "Orrialde Berria",
+Preview				: "Aurrebista",
+Cut					: "Ebaki",
+Copy				: "Kopiatu",
+Paste				: "Itsatsi",
+PasteText			: "Itsatsi testu bezala",
+PasteWord			: "Itsatsi Word-etik",
+Print				: "Inprimatu",
+SelectAll			: "Hautatu dena",
+RemoveFormat		: "Kendu Formatoa",
+InsertLinkLbl		: "Esteka",
+InsertLink			: "Txertatu/Editatu Esteka",
+RemoveLink			: "Kendu Esteka",
+Anchor				: "Aingura",
+InsertImageLbl		: "Irudia",
+InsertImage			: "Txertatu/Editatu Irudia",
+InsertTableLbl		: "Taula",
+InsertTable			: "Txertatu/Editatu Taula",
+InsertLineLbl		: "Lerroa",
+InsertLine			: "Txertatu Marra Horizontala",
+InsertSpecialCharLbl: "Karaktere Berezia",
+InsertSpecialChar	: "Txertatu Karaktere Berezia",
+InsertSmileyLbl		: "Aurpegierak",
+InsertSmiley		: "Txertatu Aurpegierak",
+About				: "FCKeditor-ri buruz",
+Bold				: "Lodia",
+Italic				: "Etzana",
+Underline			: "Azpimarratu",
+StrikeThrough		: "Marratua",
+Subscript			: "Azpi-indize",
+Superscript			: "Goi-indize",
+LeftJustify			: "Lerrokatu Ezkerrean",
+CenterJustify		: "Lerrokatu Erdian",
+RightJustify		: "Lerrokatu Eskuman",
+BlockJustify		: "Justifikatu",
+DecreaseIndent		: "Txikitu Koska",
+IncreaseIndent		: "Handitu Koska",
+Undo				: "Desegin",
+Redo				: "Berregin",
+NumberedListLbl		: "Zenbakidun Zerrenda",
+NumberedList		: "Txertatu/Kendu Zenbakidun zerrenda",
+BulletedListLbl		: "Buletdun Zerrenda",
+BulletedList		: "Txertatu/Kendu Buletdun zerrenda",
+ShowTableBorders	: "Erakutsi Taularen Ertzak",
+ShowDetails			: "Erakutsi Xehetasunak",
+Style				: "Estiloa",
+FontFormat			: "Formatoa",
+Font				: "Letra-tipoa",
+FontSize			: "Tamaina",
+TextColor			: "Testu Kolorea",
+BGColor				: "Atzeko kolorea",
+Source				: "HTML Iturburua",
+Find				: "Bilatu",
+Replace				: "Ordezkatu",
+SpellCheck			: "Ortografia",
+UniversalKeyboard	: "Teklatu Unibertsala",
+
+Form			: "Formularioa",
+Checkbox		: "Kontrol-laukia",
+RadioButton		: "Aukera-botoia",
+TextField		: "Testu Eremua",
+Textarea		: "Testu-area",
+HiddenField		: "Ezkutuko Eremua",
+Button			: "Botoia",
+SelectionField	: "Hautespen Eremua",
+ImageButton		: "Irudi Botoia",
+
+// Context Menu
+EditLink			: "Aldatu Esteka",
+InsertRow			: "Txertatu Errenkada",
+DeleteRows			: "Ezabatu Errenkadak",
+InsertColumn		: "Txertatu Zutabea",
+DeleteColumns		: "Ezabatu Zutabeak",
+InsertCell			: "Txertatu Gelaxka",
+DeleteCells			: "Kendu Gelaxkak",
+MergeCells			: "Batu Gelaxkak",
+SplitCell			: "Zatitu Gelaxka",
+CellProperties		: "Gelaxkaren Ezaugarriak",
+TableProperties		: "Taularen Ezaugarriak",
+ImageProperties		: "Irudiaren Ezaugarriak",
+
+AnchorProp			: "Ainguraren Ezaugarriak",
+ButtonProp			: "Botoiaren Ezaugarriak",
+CheckboxProp		: "Kontrol-laukiko Ezaugarriak",
+HiddenFieldProp		: "Ezkutuko Eremuaren Ezaugarriak",
+RadioButtonProp		: "Aukera-botoiaren Ezaugarriak",
+ImageButtonProp		: "Irudi Botoiaren Ezaugarriak",
+TextFieldProp		: "Testu Eremuaren Ezaugarriak",
+SelectionFieldProp	: "Hautespen Eremuaren Ezaugarriak",
+TextareaProp		: "Testu-arearen Ezaugarriak",
+FormProp			: "Formularioaren Ezaugarriak",
+
+FontFormats			: "Arrunta;Formateatua;Helbidea;Izenburua 1;Izenburua 2;Izenburua 3;Izenburua 4;Izenburua 5;Izenburua 6;Paragrafoa (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "XHTML Prozesatzen. Itxaron mesedez...",
+Done				: "Eginda",
+PasteWordConfirm	: "Itsatsi nahi duzun textua Wordetik hartua dela dirudi. Itsatsi baino lehen garbitu nahi duzu?",
+NotCompatiblePaste	: "Komando hau Internet Explorer 5.5 bertsiorako edo ondorengoentzako erabilgarria dago. Garbitu gabe itsatsi nahi duzu?",
+UnknownToolbarItem	: "Ataza barrako elementu ezezaguna \"%1\"",
+UnknownCommand		: "Komando izen ezezaguna \"%1\"",
+NotImplemented		: "Komando ez inplementatua",
+UnknownToolbarSet	: "Ataza barra \"%1\" taldea ez da existitzen",
+
+// Dialogs
+DlgBtnOK			: "Ados",
+DlgBtnCancel		: "Utzi",
+DlgBtnClose			: "Itxi",
+DlgBtnBrowseServer	: "Zerbitzaria arakatu",
+DlgAdvancedTag		: "Aurreratua",
+DlgOpOther			: "&lt;Bestelakoak&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;Ezarri gabe&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Hizkuntzaren Norabidea",
+DlgGenLangDirLtr	: "Ezkerretik Eskumara(LTR)",
+DlgGenLangDirRtl	: "Eskumatik Ezkerrera (RTL)",
+DlgGenLangCode		: "Hizkuntza Kodea",
+DlgGenAccessKey		: "Sarbide-gakoa",
+DlgGenName			: "Izena",
+DlgGenTabIndex		: "Tabulazio Indizea",
+DlgGenLongDescr		: "URL Deskribapen Luzea",
+DlgGenClass			: "Estilo-orriko Klaseak",
+DlgGenTitle			: "Izenburua",
+DlgGenContType		: "Eduki Mota (Content Type)",
+DlgGenLinkCharset	: "Estekatutako Karaktere Multzoa",
+DlgGenStyle			: "Estiloa",
+
+// Image Dialog
+DlgImgTitle			: "Irudi Ezaugarriak",
+DlgImgInfoTab		: "Irudi informazioa",
+DlgImgBtnUpload		: "Zerbitzarira bidalia",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Gora Kargatu",
+DlgImgAlt			: "Textu Alternatiboa",
+DlgImgWidth			: "Zabalera",
+DlgImgHeight		: "Altuera",
+DlgImgLockRatio		: "Erlazioa Blokeatu",
+DlgBtnResetSize		: "Tamaina Berrezarri",
+DlgImgBorder		: "Ertza",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Lerrokatu",
+DlgImgAlignLeft		: "Ezkerrera",
+DlgImgAlignAbsBottom: "Abs Behean",
+DlgImgAlignAbsMiddle: "Abs Erdian",
+DlgImgAlignBaseline	: "Oinan",
+DlgImgAlignBottom	: "Behean",
+DlgImgAlignMiddle	: "Erdian",
+DlgImgAlignRight	: "Eskuman",
+DlgImgAlignTextTop	: "Testua Goian",
+DlgImgAlignTop		: "Goian",
+DlgImgPreview		: "Aurrebista",
+DlgImgAlertUrl		: "Mesedez Irudiaren URLa idatzi",
+DlgImgLinkTab		: "Esteka",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Esteka",
+DlgLnkInfoTab		: "Estekaren Informazioa",
+DlgLnkTargetTab		: "Helburua",
+
+DlgLnkType			: "Esteka Mota",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Aingura horrialde honentan",
+DlgLnkTypeEMail		: "ePosta",
+DlgLnkProto			: "Protokoloa",
+DlgLnkProtoOther	: "&lt;Beste batzuk&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Aingura bat hautatu",
+DlgLnkAnchorByName	: "Aingura izenagatik",
+DlgLnkAnchorById	: "Elementuaren ID-gatik",
+DlgLnkNoAnchors		: "&lt;Ez daude aingurak eskuragarri dokumentuan&gt;",
+DlgLnkEMail			: "ePosta Helbidea",
+DlgLnkEMailSubject	: "Mezuaren Gaia",
+DlgLnkEMailBody		: "Mezuaren Gorputza",
+DlgLnkUpload		: "Gora kargatu",
+DlgLnkBtnUpload		: "Zerbitzarira bidali",
+
+DlgLnkTarget		: "Target (Helburua)",
+DlgLnkTargetFrame	: "&lt;marko&gt;",
+DlgLnkTargetPopup	: "&lt;popup lehioa&gt;",
+DlgLnkTargetBlank	: "Lehio Berria (_blank)",
+DlgLnkTargetParent	: "Lehio Gurasoa (_parent)",
+DlgLnkTargetSelf	: "Lehio Berdina (_self)",
+DlgLnkTargetTop		: "Goiko Lehioa (_top)",
+DlgLnkTargetFrameName	: "Marko Helburuaren Izena",
+DlgLnkPopWinName	: "Popup Lehioaren Izena",
+DlgLnkPopWinFeat	: "Popup Lehioaren Ezaugarriak",
+DlgLnkPopResize		: "Tamaina Aldakorra",
+DlgLnkPopLocation	: "Kokaleku Barra",
+DlgLnkPopMenu		: "Menu Barra",
+DlgLnkPopScroll		: "Korritze Barrak",
+DlgLnkPopStatus		: "Egoera Barra",
+DlgLnkPopToolbar	: "Tresna Barra",
+DlgLnkPopFullScrn	: "Pantaila Osoa (IE)",
+DlgLnkPopDependent	: "Menpekoa (Netscape)",
+DlgLnkPopWidth		: "Zabalera",
+DlgLnkPopHeight		: "Altuera",
+DlgLnkPopLeft		: "Ezkerreko  Posizioa",
+DlgLnkPopTop		: "Goiko Posizioa",
+
+DlnLnkMsgNoUrl		: "Mesedez URL esteka idatzi",
+DlnLnkMsgNoEMail	: "Mesedez ePosta helbidea idatzi",
+DlnLnkMsgNoAnchor	: "Mesedez aingura bat aukeratu",
+
+// Color Dialog
+DlgColorTitle		: "Kolore Aukeraketa",
+DlgColorBtnClear	: "Garbitu",
+DlgColorHighlight	: "Nabarmendu",
+DlgColorSelected	: "Aukeratuta",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Aurpegiera Sartu",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Karaktere Berezia Aukeratu",
+
+// Table Dialog
+DlgTableTitle		: "Taularen Ezaugarriak",
+DlgTableRows		: "Lerroak",
+DlgTableColumns		: "Zutabeak",
+DlgTableBorder		: "Ertzaren Zabalera",
+DlgTableAlign		: "Lerrokatu",
+DlgTableAlignNotSet	: "<Ezarri gabe>",
+DlgTableAlignLeft	: "Ezkerrean",
+DlgTableAlignCenter	: "Erdian",
+DlgTableAlignRight	: "Eskuman",
+DlgTableWidth		: "Zabalera",
+DlgTableWidthPx		: "pixel",
+DlgTableWidthPc		: "ehuneko",
+DlgTableHeight		: "Altuera",
+DlgTableCellSpace	: "Gelaxka arteko tartea",
+DlgTableCellPad		: "Gelaxken betegarria",
+DlgTableCaption		: "Epigrafea",
+
+// Table Cell Dialog
+DlgCellTitle		: "Gelaxken Ezaugarriak",
+DlgCellWidth		: "Zabalera",
+DlgCellWidthPx		: "pixel",
+DlgCellWidthPc		: "ehuneko",
+DlgCellHeight		: "Altuera",
+DlgCellWordWrap		: "Itzulbira",
+DlgCellWordWrapNotSet	: "&lt;Ezarri gabe&gt;",
+DlgCellWordWrapYes	: "Bai",
+DlgCellWordWrapNo	: "Ez",
+DlgCellHorAlign		: "Horizontal Alignment",
+DlgCellHorAlignNotSet	: "&lt;Ezarri gabe&gt;",
+DlgCellHorAlignLeft	: "Ezkerrean",
+DlgCellHorAlignCenter	: "Erdian",
+DlgCellHorAlignRight: "Eskuman",
+DlgCellVerAlign		: "Lerrokatu Bertikalki",
+DlgCellVerAlignNotSet	: "&lt;Ezarri gabe&gt;",
+DlgCellVerAlignTop	: "Goian",
+DlgCellVerAlignMiddle	: "Erdian",
+DlgCellVerAlignBottom	: "Behean",
+DlgCellVerAlignBaseline	: "Oinan",
+DlgCellRowSpan		: "Lerroak Hedatu",
+DlgCellCollSpan		: "Zutabeak Hedatu",
+DlgCellBackColor	: "Atzeko Kolorea",
+DlgCellBorderColor	: "Ertzako Kolorea",
+DlgCellBtnSelect	: "Aukertau...",
+
+// Find Dialog
+DlgFindTitle		: "Bilaketa",
+DlgFindFindBtn		: "Bilatu",
+DlgFindNotFoundMsg	: "Idatzitako testua ez da topatu.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Ordeztu",
+DlgReplaceFindLbl		: "Zer bilatu:",
+DlgReplaceReplaceLbl	: "Zerekin ordeztu:",
+DlgReplaceCaseChk		: "Maiuskula/minuskula",
+DlgReplaceReplaceBtn	: "Ordeztu",
+DlgReplaceReplAllBtn	: "Ordeztu Guztiak",
+DlgReplaceWordChk		: "Esaldi osoa bilatu",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Zure web nabigatzailearen segurtasun ezarpenak testuak automatikoki itsastea ez dute baimentzen. Mesedez teklatua erabili ezazu (Ctrl+V).",
+PasteErrorCut	: "Zure web nabigatzailearen segurtasun ezarpenak testuak automatikoki moztea ez dute baimentzen. Mesedez teklatua erabili ezazu (Ctrl+X).",
+PasteErrorCopy	: "Zure web nabigatzailearen segurtasun ezarpenak testuak automatikoki kopiatzea ez dute baimentzen. Mesedez teklatua erabili ezazu (Ctrl+C).",
+
+PasteAsText		: "Testu Arrunta bezala Itsatsi",
+PasteFromWord	: "Word-etik itsatsi",
+
+DlgPasteMsg		: "Editoreak ezin du atomatikoki testua itsatsi zure nabigatzailearen <STRONG>segurtasun neurriengatik</STRONG>.<BR>Mesedez, itsatsi ezazu ondorengo kutxan teklatuaren bidez (<STRONG>Ctrl+V</STRONG>) eta <STRONG>Ados</STRONG> botoian klik egin.",
+
+// Color Picker
+ColorAutomatic	: "Automatikoa",
+ColorMoreColors	: "Kolore gehiago...",
+
+// Document Properties
+DocProps		: "Dokumentuaren Ezarpenak",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Ainguraren Ezaugarriak",
+DlgAnchorName		: "Ainguraren Izena",
+DlgAnchorErrorName	: "Idatzi ainguraren izena",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Ez dago hiztegian",
+DlgSpellChangeTo		: "Honekin ordezkatu",
+DlgSpellBtnIgnore		: "Ezikusi",
+DlgSpellBtnIgnoreAll	: "Denak Ezikusi",
+DlgSpellBtnReplace		: "Ordezkatu",
+DlgSpellBtnReplaceAll	: "Denak Ordezkatu",
+DlgSpellBtnUndo			: "Desegin",
+DlgSpellNoSuggestions	: "- Iradokizunik ez -",
+DlgSpellProgress		: "Zuzenketa ortografikoa martxan...",
+DlgSpellNoMispell		: "Zuzenketa ortografikoa bukatuta: Akatsik ez",
+DlgSpellNoChanges		: "Zuzenketa ortografikoa bukatuta: Ez da ezer aldatu",
+DlgSpellOneChange		: "Zuzenketa ortografikoa bukatuta: Hitz bat aldatu da",
+DlgSpellManyChanges		: "Zuzenketa ortografikoa bukatuta: %1 hitz aldatu dira",
+
+IeSpellDownload			: "Zuzentzaile ortografikoa ez dago instalatuta. Deskargatu nahi duzu?",
+
+// Button Dialog
+DlgButtonText	: "Testua (Balorea)",
+DlgButtonType	: "Mota",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Izena",
+DlgCheckboxValue	: "Balorea",
+DlgCheckboxSelected	: "Hautatuta",
+
+// Form Dialog
+DlgFormName		: "Izena",
+DlgFormAction	: "Ekintza",
+DlgFormMethod	: "Method",
+
+// Select Field Dialog
+DlgSelectName		: "Izena",
+DlgSelectValue		: "Balorea",
+DlgSelectSize		: "Tamaina",
+DlgSelectLines		: "lerro kopurura",
+DlgSelectChkMulti	: "Hautaketa anitzak baimendu",
+DlgSelectOpAvail	: "Aukera Eskuragarriak",
+DlgSelectOpText		: "Testua",
+DlgSelectOpValue	: "Balorea",
+DlgSelectBtnAdd		: "Gehitu",
+DlgSelectBtnModify	: "Aldatu",
+DlgSelectBtnUp		: "Gora",
+DlgSelectBtnDown	: "Behera",
+DlgSelectBtnSetValue : "Aukeratutako balorea ezarri",
+DlgSelectBtnDelete	: "Ezabatu",
+
+// Textarea Dialog
+DlgTextareaName	: "Izena",
+DlgTextareaCols	: "Zutabeak",
+DlgTextareaRows	: "Lerroak",
+
+// Text Field Dialog
+DlgTextName			: "Izena",
+DlgTextValue		: "Balorea",
+DlgTextCharWidth	: "Zabalera",
+DlgTextMaxChars		: "Zenbat karaktere gehienez",
+DlgTextType			: "Mota",
+DlgTextTypeText		: "Testua",
+DlgTextTypePass		: "Pasahitza",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Izena",
+DlgHiddenValue	: "Balorea",
+
+// Bulleted List Dialog
+BulletedListProp	: "Buletdun Zerrendaren Ezarpenak",
+NumberedListProp	: "Zenbakidun Zerrendaren Ezarpenak",
+DlgLstType			: "Mota",
+DlgLstTypeCircle	: "Zirkulua",
+DlgLstTypeDisk		: "Diskoa",
+DlgLstTypeSquare	: "Karratua",
+DlgLstTypeNumbers	: "Zenbakiak (1, 2, 3)",
+DlgLstTypeLCase		: "Letra xeheak (a, b, c)",
+DlgLstTypeUCase		: "Letra larriak (A, B, C)",
+DlgLstTypeSRoman	: "Erromatar zenbaki zeheak (i, ii, iii)",
+DlgLstTypeLRoman	: "Erromatar zenbaki larriak (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Orokorra",
+DlgDocBackTab		: "Atzekaldea",
+DlgDocColorsTab		: "Koloreak eta Marjinak",
+DlgDocMetaTab		: "Meta Informazioa",
+
+DlgDocPageTitle		: "Orriaren Izenburua",
+DlgDocLangDir		: "Hizkuntzaren Norabidea",
+DlgDocLangDirLTR	: "Ezkerretik eskumara (LTR)",
+DlgDocLangDirRTL	: "Eskumatik ezkerrera (RTL)",
+DlgDocLangCode		: "Hizkuntzaren Kodea",
+DlgDocCharSet		: "Karaktere Multzoaren Kodeketa",
+DlgDocCharSetOther	: "Beste Karaktere Multzoaren Kodeketa",
+
+DlgDocDocType		: "Document Type Goiburua",
+DlgDocDocTypeOther	: "Beste Document Type Goiburua",
+DlgDocIncXHTML		: "XHTML Ezarpenak",
+DlgDocBgColor		: "Atzeko Kolorea",
+DlgDocBgImage		: "Atzeko Irudiaren URL-a",
+DlgDocBgNoScroll	: "Korritze gabeko Atzekaldea",
+DlgDocCText			: "Testua",
+DlgDocCLink			: "Estekak",
+DlgDocCVisited		: "Bisitatutako Estekak",
+DlgDocCActive		: "Esteka Aktiboa",
+DlgDocMargins		: "Orrialdearen marjinak",
+DlgDocMaTop			: "Goian",
+DlgDocMaLeft		: "Ezkerrean",
+DlgDocMaRight		: "Eskuman",
+DlgDocMaBottom		: "Behean",
+DlgDocMeIndex		: "Dokumentuaren Gako-hitzak (komarekin bananduta)",
+DlgDocMeDescr		: "Dokumentuaren Deskribapena",
+DlgDocMeAuthor		: "Egilea",
+DlgDocMeCopy		: "Copyright",
+DlgDocPreview		: "Aurrebista",
+
+// Templates Dialog
+Templates			: "Txantiloiak",
+DlgTemplatesTitle	: "Eduki Txantiloiak",
+DlgTemplatesSelMsg	: "Mesedez txantiloia aukeratu editorean kargatzeko<br>(orain dauden edukiak galduko dira):",
+DlgTemplatesLoading	: "Txantiloiak kargatzen. Itxaron mesedez...",
+DlgTemplatesNoTpl	: "(Ez dago definitutako txantiloirik)",
+
+// About Dialog
+DlgAboutAboutTab	: "Honi buruz",
+DlgAboutBrowserInfoTab	: "Nabigatzailearen Informazioa",
+DlgAboutVersion		: "bertsioa",
+DlgAboutLicense		: "GNU Lesser General Public License Lizentziapean",
+DlgAboutInfo		: "Informazio gehiago eskuratzeko hona joan"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/fa.js soojung/libs/fckeditor/editor/lang/fa.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/fa.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/fa.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fa.js
+ * 	Persian language file.
+ * 
+ * File Authors:
+ * 		Hamed Taj-Abadi (hamed@ranginkaman.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "rtl",
+
+ToolbarCollapse		: "بستن منوابزار",
+ToolbarExpand		: "بازکردن منوابزار",
+
+// Toolbar Items and Context Menu
+Save				: "ذخيره",
+NewPage				: "جديد",
+Preview				: "پيش نمايش",
+Cut					: "برش",
+Copy				: "کپی",
+Paste				: "چسباندن",
+PasteText			: "چسباندن به عنوان متن ساده",
+PasteWord			: "چسباندن از WORD",
+Print				: "چاپ",
+SelectAll			: "انتخاب همه",
+RemoveFormat		: "برداشتن فرمت",
+InsertLinkLbl		: "لينک",
+InsertLink			: "درج/ويرايش لينک",
+RemoveLink			: "برداشتن لينک",
+Anchor				: "درج/ويرايش لنگر",
+InsertImageLbl		: "تصوير",
+InsertImage			: "درج/ويرايش تصوير",
+InsertTableLbl		: "جدول",
+InsertTable			: "درج/ويرايش جدول",
+InsertLineLbl		: "خط",
+InsertLine			: "درج خط افقی",
+InsertSpecialCharLbl: "شناسه ويژه",
+InsertSpecialChar	: "درج شناسه ويژه",
+InsertSmileyLbl		: "خندانک",
+InsertSmiley		: "درج خندانک",
+About				: "درباره FCKeditor",
+Bold				: "پررنگ",
+Italic				: "ايتاليک",
+Underline			: "زيرخط",
+StrikeThrough		: "ميان خط",
+Subscript			: "انديس پائين",
+Superscript			: "انديس بالا",
+LeftJustify			: "چپ چين",
+CenterJustify		: "وسط چين",
+RightJustify		: "راست چين",
+BlockJustify		: "بلوک چين",
+DecreaseIndent		: "کاهش تورفتگی",
+IncreaseIndent		: "افزايش تورفتگی",
+Undo				: "واچيدن",
+Redo				: "بازچيدن",
+NumberedListLbl		: "فهرست عددی",
+NumberedList		: "درج/برداشتن فهرست عددی",
+BulletedListLbl		: "فهرست نقطه ای",
+BulletedList		: "درج/برداشتن فهرست نقطه ای",
+ShowTableBorders	: "نمايش لبه جدول",
+ShowDetails			: "نمايش جزئيات",
+Style				: "سبک",
+FontFormat			: "فرمت",
+Font				: "قلم",
+FontSize			: "اندازه",
+TextColor			: "رنگ متن",
+BGColor				: "رنگ پس زمينه",
+Source				: "منبع",
+Find				: "جستجو",
+Replace				: "جايگزينی",
+SpellCheck			: "کنترل املا",
+UniversalKeyboard	: "صفحه کليد جهانی",
+
+Form			: "فرم",
+Checkbox		: "دکمه گزينه ای",
+RadioButton		: "دکمه راديويی",
+TextField		: "فيلد متنی",
+Textarea		: "ناحيه متنی",
+HiddenField		: "فيلد پنهان",
+Button			: "دکمه",
+SelectionField	: "فيلد انتخابی",
+ImageButton		: "دکمه تصويری",
+
+// Context Menu
+EditLink			: "ويرايش لينک",
+InsertRow			: "درج سطر",
+DeleteRows			: "حذف سطرها",
+InsertColumn		: "درج ستون",
+DeleteColumns		: "حذف ستونها",
+InsertCell			: "درج سلول",
+DeleteCells			: "حذف سلولها",
+MergeCells			: "ادغام سلولها",
+SplitCell			: "تفکيک سلول",
+CellProperties		: "ويژگيهای سلول",
+TableProperties		: "ويژگيهای جدول",
+ImageProperties		: "ويژگيهای تصوير",
+
+AnchorProp			: "ويژگيهای لنگر",
+ButtonProp			: "ويژگيهای دکمه",
+CheckboxProp		: "ويژگيهای دکمه گزينه ای",
+HiddenFieldProp		: "ويژگيهای فيلد پنهان",
+RadioButtonProp		: "ويژگيهای دکمه راديويی",
+ImageButtonProp		: "ويژگيهای دکمه تصويری",
+TextFieldProp		: "ويژگيهای فيلد متنی",
+SelectionFieldProp	: "ويژگيهای فيلد انتخابی",
+TextareaProp		: "ويژگيهای ناحيه متنی",
+FormProp			: "ويژگيهای فرم",
+
+FontFormats			: "نرمال;فرمت شده;آدرس;سرنويس 1;سرنويس 2;سرنويس 3;سرنويس 4;سرنويس 5;سرنويس 6;بند;(DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "پردازش XHTML. لطفا صبر کنيد...",
+Done				: "انجام شد",
+PasteWordConfirm	: "متنی که می خواهيد بچسبانيد به نظر از WORD کپی شده است. آيا مايليد قبل از چسباندن آنرا تميز کنيد؟ ",
+NotCompatiblePaste	: "اين فرمان برای مرورگر Internet Explorer از نگارش 5.5 يا بالاتر در دسترس است. آيا مايليد بدون تميز کردن متن را بچسبانيد؟",
+UnknownToolbarItem	: "فقره منوابزار ناشناخته \"%1\"",
+UnknownCommand		: "نام دستور ناشناخته \"%1\"",
+NotImplemented		: "دستور اجرا نشد",
+UnknownToolbarSet	: "مجموعه منوابزار \"%1\" وجود ندارد",
+
+// Dialogs
+DlgBtnOK			: "تائيد",
+DlgBtnCancel		: "انصراف",
+DlgBtnClose			: "بستن",
+DlgBtnBrowseServer	: "فهرست نمايی سرور",
+DlgAdvancedTag		: "پيشرفته",
+DlgOpOther			: "&lt;غيره&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;تعين نشده&gt;",
+DlgGenId			: "کد",
+DlgGenLangDir		: "جهت نمای زبان",
+DlgGenLangDirLtr	: "چپ به راست (LTR)",
+DlgGenLangDirRtl	: "راست به چپ (RTL)",
+DlgGenLangCode		: "کد زبان",
+DlgGenAccessKey		: "کليد دستيابی",
+DlgGenName			: "نام",
+DlgGenTabIndex		: "انديس برگه",
+DlgGenLongDescr		: "URL توضيح طولانی",
+DlgGenClass			: "کلاسهای استايل شيت",
+DlgGenTitle			: "عنوان کمکی",
+DlgGenContType		: "نوع محتوی کمکی",
+DlgGenLinkCharset	: "مجموعه نويسه منبع لينک شده",
+DlgGenStyle			: "سبک",
+
+// Image Dialog
+DlgImgTitle			: "ويژگيهای تصوير",
+DlgImgInfoTab		: "اطلاعات تصوير",
+DlgImgBtnUpload		: "به سرور ارسال کن",
+DlgImgURL			: "URL",
+DlgImgUpload		: "انتقال به سرور",
+DlgImgAlt			: "متن جايگزين",
+DlgImgWidth			: "پهنا",
+DlgImgHeight		: "درازا",
+DlgImgLockRatio		: "قفل کردن نسبت",
+DlgBtnResetSize		: "بازنشانی اندازه",
+DlgImgBorder		: "لبه",
+DlgImgHSpace		: "فاصله افقی",
+DlgImgVSpace		: "فاصله عمودی",
+DlgImgAlign			: "چينش",
+DlgImgAlignLeft		: "چپ",
+DlgImgAlignAbsBottom: "پائين مطلق",
+DlgImgAlignAbsMiddle: "وسط مطلق",
+DlgImgAlignBaseline	: "خط پايه",
+DlgImgAlignBottom	: "پائين",
+DlgImgAlignMiddle	: "وسط",
+DlgImgAlignRight	: "راست",
+DlgImgAlignTextTop	: "متن بالا",
+DlgImgAlignTop		: "بالا",
+DlgImgPreview		: "پيش نمايش",
+DlgImgAlertUrl		: "لطفا URL تصوير را انتخاب کنيد",
+DlgImgLinkTab		: "لينک",
+
+// Link Dialog
+DlgLnkWindowTitle	: "لينک",
+DlgLnkInfoTab		: "اطلاعات لينک",
+DlgLnkTargetTab		: "مقصد",
+
+DlgLnkType			: "نوع لينک",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "پيوند در صفحه جاری",
+DlgLnkTypeEMail		: "پست الکترونيکی",
+DlgLnkProto			: "پروتکل",
+DlgLnkProtoOther	: "&lt;غيره&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "يک پيوند انتخاب کنيد",
+DlgLnkAnchorByName	: "با نام پيوند",
+DlgLnkAnchorById	: "با کد المان",
+DlgLnkNoAnchors		: "&lt;در اين سند پيوندی موجود نيست&gt;",
+DlgLnkEMail			: "آدرس پست الکترونيکی",
+DlgLnkEMailSubject	: "موضوع پيام",
+DlgLnkEMailBody		: "متن پيام",
+DlgLnkUpload		: "انتقال به سرور",
+DlgLnkBtnUpload		: "به سرور ارسال کن",
+
+DlgLnkTarget		: "مقصد",
+DlgLnkTargetFrame	: "&lt;فريم&gt;",
+DlgLnkTargetPopup	: "&lt;پنجره پاپاپ&gt;",
+DlgLnkTargetBlank	: "پنجره جديد (_blank)",
+DlgLnkTargetParent	: "پنجره والد (_parent)",
+DlgLnkTargetSelf	: "همان پنجره (_self)",
+DlgLnkTargetTop		: "بالاترين پنجره (_top)",
+DlgLnkTargetFrameName	: "نام فريم مقصد",
+DlgLnkPopWinName	: "نام پنجره پاپاپ",
+DlgLnkPopWinFeat	: "خصوصيات پنجره پاپاپ",
+DlgLnkPopResize		: "قابل تغيراندازه",
+DlgLnkPopLocation	: "نوار موقعيت",
+DlgLnkPopMenu		: "نوار منو",
+DlgLnkPopScroll		: "نوارهای طومار",
+DlgLnkPopStatus		: "نوار وضعيت",
+DlgLnkPopToolbar	: "نوارابزار",
+DlgLnkPopFullScrn	: "تمام صفحه (IE)",
+DlgLnkPopDependent	: "وابسته (Netscape)",
+DlgLnkPopWidth		: "پهنا",
+DlgLnkPopHeight		: "درازا",
+DlgLnkPopLeft		: "موقعيت چپ",
+DlgLnkPopTop		: "موقعيت بالا",
+
+DlnLnkMsgNoUrl		: "لطفا URL لينک را وارد کنيد",
+DlnLnkMsgNoEMail	: "لطفا آدرس ايميل را وارد کنيد",
+DlnLnkMsgNoAnchor	: "لطفا پيوندی انتخاب کنيد",
+
+// Color Dialog
+DlgColorTitle		: "انتخاب رنگ",
+DlgColorBtnClear	: "پاک کردن",
+DlgColorHighlight	: "هايلايت",
+DlgColorSelected	: "انتخاب شده",
+
+// Smiley Dialog
+DlgSmileyTitle		: "درج  خندانک",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "انتخاب شناسه های ويژه",
+
+// Table Dialog
+DlgTableTitle		: "ويژگيهای جدول",
+DlgTableRows		: "سطرها",
+DlgTableColumns		: "ستونها",
+DlgTableBorder		: "اندازه لبه",
+DlgTableAlign		: "چينش",
+DlgTableAlignNotSet	: "<تعين نشده>",
+DlgTableAlignLeft	: "چپ",
+DlgTableAlignCenter	: "وسط",
+DlgTableAlignRight	: "راست",
+DlgTableWidth		: "پهنا",
+DlgTableWidthPx		: "پيکسل",
+DlgTableWidthPc		: "درصد",
+DlgTableHeight		: "درازا",
+DlgTableCellSpace	: "فاصله ميان سلولها",
+DlgTableCellPad		: "فاصله پرشده در سلول",
+DlgTableCaption		: "عنوان",
+
+// Table Cell Dialog
+DlgCellTitle		: "ويژگيهای سلول",
+DlgCellWidth		: "پهنا",
+DlgCellWidthPx		: "پيکسل",
+DlgCellWidthPc		: "درصد",
+DlgCellHeight		: "درازا",
+DlgCellWordWrap		: "شکستن کلمات",
+DlgCellWordWrapNotSet	: "&lt;تعين نشده&gt;",
+DlgCellWordWrapYes	: "بله",
+DlgCellWordWrapNo	: "خير",
+DlgCellHorAlign		: "چينش افقی",
+DlgCellHorAlignNotSet	: "&lt;تعين نشده&gt;",
+DlgCellHorAlignLeft	: "چپ",
+DlgCellHorAlignCenter	: "وسط",
+DlgCellHorAlignRight: "راست",
+DlgCellVerAlign		: "چينش عمودی",
+DlgCellVerAlignNotSet	: "&lt;تعين نشده&gt;",
+DlgCellVerAlignTop	: "بالا",
+DlgCellVerAlignMiddle	: "ميان",
+DlgCellVerAlignBottom	: "پائين",
+DlgCellVerAlignBaseline	: "خط پايه",
+DlgCellRowSpan		: "گستردگی سطرها",
+DlgCellCollSpan		: "گستردگی ستونها",
+DlgCellBackColor	: "رنگ پس زمينه",
+DlgCellBorderColor	: "رنگ لبه",
+DlgCellBtnSelect	: "انتخاب کنيد...",
+
+// Find Dialog
+DlgFindTitle		: "يافتن",
+DlgFindFindBtn		: "يافتن",
+DlgFindNotFoundMsg	: "متن مورد نظر يافت نشد.",
+
+// Replace Dialog
+DlgReplaceTitle			: "جايگزينی",
+DlgReplaceFindLbl		: "چه چيز را می يابيد:",
+DlgReplaceReplaceLbl	: "جايگزينی با:",
+DlgReplaceCaseChk		: "انطباق قالب",
+DlgReplaceReplaceBtn	: "جايگزينی",
+DlgReplaceReplAllBtn	: "جايگزينی همه موارد",
+DlgReplaceWordChk		: "انطباق کلمه کامل",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "تنظيمات امنيتی مرورگر شما اجازه نمی دهد که ويرايشگر به طور خودکار عملکردهای چسباندن کلمات را انجام دهد. لطفا از کلمه کليدی مرتبط با اينکار را استفاده کنيد (Ctrl+V).",
+PasteErrorCut	: "تنظيمات امنيتی مرورگر شما اجازه نمی دهد که ويرايشگر به طور خودکار عملکردهای برش کلمات را انجام دهد. لطفا از کلمه کليدی مرتبط با اينکار را استفاده کنيد (Ctrl+X).",
+PasteErrorCopy	: "تنظيمات امنيتی مرورگر شما اجازه نمی دهد که ويرايشگر به طور خودکار عملکردهای کپی کردن کلمات را انجام دهد. لطفا از کلمه کليدی مرتبط با اينکار را استفاده کنيد (Ctrl+C).",
+
+PasteAsText		: "چسباندن به عنوان متن ساده",
+PasteFromWord	: "چسباندن از Word",
+
+DlgPasteMsg		: "به خاطر <STRONG>تنظيمات امنيتی</STRONG> مرورگر شما، ويرايشگر نتوانست به طور خودکار عملکرد چسباندن را به انجام برساند.<BR>لطفا به کمک کليد  (<STRONG>Ctrl+V</STRONG>) متن را درون جهبه زير بچسبانيد و دکمه <STRONG>تائيد</STRONG> را فشار دهيد.",
+
+// Color Picker
+ColorAutomatic	: "خودکار",
+ColorMoreColors	: "رنگهای بيشتر...",
+
+// Document Properties
+DocProps		: "ويژگيهای سند",
+
+// Anchor Dialog
+DlgAnchorTitle		: "ويژگيهای لنگر",
+DlgAnchorName		: "نام لنگر",
+DlgAnchorErrorName	: "لطفا نام لنگر را وارد کنيد",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "در واژه نامه موجود نيست",
+DlgSpellChangeTo		: "تغير به",
+DlgSpellBtnIgnore		: "چشم پوشی",
+DlgSpellBtnIgnoreAll	: "چشم پوشی همه",
+DlgSpellBtnReplace		: "جايگزينی",
+DlgSpellBtnReplaceAll	: "جايگزينی همه",
+DlgSpellBtnUndo			: "واچينش",
+DlgSpellNoSuggestions	: "- پيشنهادی نيست -",
+DlgSpellProgress		: "کنترل املا در حال انجام...",
+DlgSpellNoMispell		: "کنترل املا انجام شد. هيچ غلط املائی يافت نشد",
+DlgSpellNoChanges		: "کنترل املا انجام شد. هيچ کلمه ای تغير نيافت",
+DlgSpellOneChange		: "کنترل املا انجام شد. يک کلمه تغير يافت",
+DlgSpellManyChanges		: "کنترل املا انجام شد. %1 کلمه تغير يافت",
+
+IeSpellDownload			: "کنترل کننده املا نصب نشده است. آيا مايليد آنرا هم اکنون دريافت کنيد؟",
+
+// Button Dialog
+DlgButtonText	: "متن (مقدار)",
+DlgButtonType	: "نوع",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "نام",
+DlgCheckboxValue	: "مقدار",
+DlgCheckboxSelected	: "برگزيده",
+
+// Form Dialog
+DlgFormName		: "نام",
+DlgFormAction	: "اقدام",
+DlgFormMethod	: "متد",
+
+// Select Field Dialog
+DlgSelectName		: "نام",
+DlgSelectValue		: "مقدار",
+DlgSelectSize		: "اندازه",
+DlgSelectLines		: "خطوط",
+DlgSelectChkMulti	: "انتخاب چند گزينه ای مجاز",
+DlgSelectOpAvail	: "گزينه های موجود",
+DlgSelectOpText		: "متن",
+DlgSelectOpValue	: "مقدار",
+DlgSelectBtnAdd		: "اضافه",
+DlgSelectBtnModify	: "ويرايش",
+DlgSelectBtnUp		: "بالا",
+DlgSelectBtnDown	: "پائين",
+DlgSelectBtnSetValue : "تنظيم به عنوان مقدار برگزيده",
+DlgSelectBtnDelete	: "حذف",
+
+// Textarea Dialog
+DlgTextareaName	: "نام",
+DlgTextareaCols	: "ستونها",
+DlgTextareaRows	: "سطرها",
+
+// Text Field Dialog
+DlgTextName			: "نام",
+DlgTextValue		: "مقدار",
+DlgTextCharWidth	: "پهنای شناسه",
+DlgTextMaxChars		: "بيشينه شناسه",
+DlgTextType			: "نوع",
+DlgTextTypeText		: "متن",
+DlgTextTypePass		: "کلمه عبور",
+
+// Hidden Field Dialog
+DlgHiddenName	: "نام",
+DlgHiddenValue	: "مقدار",
+
+// Bulleted List Dialog
+BulletedListProp	: "ويژگيهای فهرست دکمه ای",
+NumberedListProp	: "ويژگيهای فهرست عددی",
+DlgLstType			: "نوع",
+DlgLstTypeCircle	: "دايره",
+DlgLstTypeDisk		: "قرص",
+DlgLstTypeSquare	: "مربع",
+DlgLstTypeNumbers	: "شماره ها (1، 2، 3)",
+DlgLstTypeLCase		: "حروف کوچک (a، b، c)",
+DlgLstTypeUCase		: "حروف بزرگ (A، B، C)",
+DlgLstTypeSRoman	: "ارقام يونانی کوچک (i، ii، iii)",
+DlgLstTypeLRoman	: "ارقام يونانی بزرگ (I، II، III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "عمومی",
+DlgDocBackTab		: "پس زمينه",
+DlgDocColorsTab		: "رنگها و حاشيه ها",
+DlgDocMetaTab		: "فراداده",
+
+DlgDocPageTitle		: "عنوان صفحه",
+DlgDocLangDir		: "جهت زبان",
+DlgDocLangDirLTR	: "چپ به راست (LTF(",
+DlgDocLangDirRTL	: "راست به چپ (RTL(",
+DlgDocLangCode		: "کد زبان",
+DlgDocCharSet		: "رمزگذاری نويسه",
+DlgDocCharSetOther	: "رمزگذاری نويسه های ديگر",
+
+DlgDocDocType		: "عنوان نوع سند",
+DlgDocDocTypeOther	: "عنوان نوع سند های ديگر",
+DlgDocIncXHTML		: "شامل تعاريف XHTML",
+DlgDocBgColor		: "رنگ پس زمينه",
+DlgDocBgImage		: "URL تصوير پس زمينه",
+DlgDocBgNoScroll	: "پس زمينه غير طوماری",
+DlgDocCText			: "متن",
+DlgDocCLink			: "لينک",
+DlgDocCVisited		: "لينک مشاهده شده",
+DlgDocCActive		: "لينک فعال",
+DlgDocMargins		: "حاشيه صفحه",
+DlgDocMaTop			: "رو",
+DlgDocMaLeft		: "چپ",
+DlgDocMaRight		: "راست",
+DlgDocMaBottom		: "زير",
+DlgDocMeIndex		: "کلمات کليدی انديس کردن سند (با کاما جدا شوند)",
+DlgDocMeDescr		: "سند",
+DlgDocMeAuthor		: "نويسنده",
+DlgDocMeCopy		: "کپی رايت",
+DlgDocPreview		: "پيش نمايش",
+
+// Templates Dialog
+Templates			: "الگوها",
+DlgTemplatesTitle	: "الگوهای محتويات",
+DlgTemplatesSelMsg	: "لطفا الگوی مورد نظر را برای باز کردن در ويرايشگر انتخاب نمائيد<br>(محتويات اصلی از دست خواهند رفت):",
+DlgTemplatesLoading	: "بارگذاری فهرست الگوها. لطفا صبر کنيد...",
+DlgTemplatesNoTpl	: "(الگوئی تعريف نشده است)",
+
+// About Dialog
+DlgAboutAboutTab	: "درباره",
+DlgAboutBrowserInfoTab	: "اطلاعات مرورگر",
+DlgAboutVersion		: "نگارش",
+DlgAboutLicense		: "ليسانس تحت توافقنامه GNU Lesser General Public License",
+DlgAboutInfo		: "برای اطلاعات بيشتر به آدرس زير برويد"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/fcklanguagemanager.js soojung/libs/fckeditor/editor/lang/fcklanguagemanager.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/fcklanguagemanager.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/fcklanguagemanager.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,65 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fcklanguagemanager.js
+ * 	This file list all available languages in the editor.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+var FCKLanguageManager = new Object() ;
+
+FCKLanguageManager.AvailableLanguages = 
+{
+	'ar'		: 'Arabic',
+	'bg'		: 'Bulgarian',
+	'bs'		: 'Bosnian',
+	'ca'		: 'Catalan',
+	'cs'		: 'Czech',
+	'da'		: 'Danish',
+	'de'		: 'German',
+	'el'		: 'Greek',
+	'en'		: 'English',
+	'en-au'		: 'English (Australia)',
+	'en-uk'		: 'English (United Kingdom)',
+	'eo'		: 'Esperanto',
+	'es'		: 'Spanish',
+	'et'		: 'Estonian',
+	'eu'		: 'Basque',
+	'fa'		: 'Persian',
+	'fi'		: 'Finnish',
+	'fr'		: 'French',
+	'gl'		: 'Galician',
+	'he'		: 'Hebrew',
+	'hr'		: 'Croatian',
+	'hu'		: 'Hungarian',
+	'it'		: 'Italian',
+	'ja'		: 'Japanese',
+	'ko'		: 'Korean',
+	'lt'		: 'Lithuanian',
+	'nl'		: 'Dutch',
+	'no'		: 'Norwegian',
+	'pl'		: 'Polish',
+	'pt'		: 'Portuguese (Portugal)',
+	'pt-br'		: 'Portuguese (Brazil)',
+	'ro'		: 'Romanian',
+	'ru'		: 'Russian',
+	'sk'		: 'Slovak',
+	'sl'		: 'Slovenian',
+	'sr'		: 'Serbian (Cyrillic)',
+	'sr-latn'	: 'Serbian (Latin)',
+	'sv'		: 'Swedish',
+	'th'		: 'Thai',
+	'tr'		: 'Turkish',
+	'uk'		: 'Ukrainian',
+	'zh'		: 'Chinese Traditional',
+	'zh-cn'		: 'Chinese Simplified'
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/fi.js soojung/libs/fckeditor/editor/lang/fi.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/fi.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/fi.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fi.js
+ * 	Finnish language file.
+ * 
+ * File Authors:
+ * 		Marko Korhonen (marko.korhonen@datafisher.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Piilota työkalurivi",
+ToolbarExpand		: "Näytä työkalurivi",
+
+// Toolbar Items and Context Menu
+Save				: "Tallenna",
+NewPage				: "Tyhjennä",
+Preview				: "Esikatsele",
+Cut					: "Leikkaa",
+Copy				: "Kopioi",
+Paste				: "Liitä",
+PasteText			: "Liitä tekstinä",
+PasteWord			: "Liitä Wordista",
+Print				: "Tulosta",
+SelectAll			: "Valitse kaikki",
+RemoveFormat		: "Poista muotoilu",
+InsertLinkLbl		: "Linkki",
+InsertLink			: "Lisää linkki/muokkaa linkkiä",
+RemoveLink			: "Poista linkki",
+Anchor				: "Lisää ankkuri/muokkaa ankkuria",
+InsertImageLbl		: "Kuva",
+InsertImage			: "Lisää kuva/muokkaa kuvaa",
+InsertTableLbl		: "Taulu",
+InsertTable			: "Lisää taulu/muokkaa taulua",
+InsertLineLbl		: "Murtoviiva",
+InsertLine			: "Lisää murtoviiva",
+InsertSpecialCharLbl: "Erikoismerkki",
+InsertSpecialChar	: "Lisää erikoismerkki",
+InsertSmileyLbl		: "Hymiö",
+InsertSmiley		: "Lisää hymiö",
+About				: "FCKeditorista",
+Bold				: "Lihavoitu",
+Italic				: "Kursivoitu",
+Underline			: "Alleviivattu",
+StrikeThrough		: "Yliviivattu",
+Subscript			: "Alaindeksi",
+Superscript			: "Yläindeksi",
+LeftJustify			: "Tasaa vasemmat reunat",
+CenterJustify		: "Keskitä",
+RightJustify		: "Tasaa oikeat reunat",
+BlockJustify		: "Tasaa molemmat reunat",
+DecreaseIndent		: "Pienennä sisennystä",
+IncreaseIndent		: "Suurenna sisennystä",
+Undo				: "Kumoa",
+Redo				: "Toista",
+NumberedListLbl		: "Numerointi",
+NumberedList		: "Lisää/poista numerointi",
+BulletedListLbl		: "Luottelomerkit",
+BulletedList		: "Lisää/poista luottelomerkit",
+ShowTableBorders	: "Näytä taulun rajat",
+ShowDetails			: "Näytä muotoilu",
+Style				: "Tyyli",
+FontFormat			: "Muotoilu",
+Font				: "Fontti",
+FontSize			: "Koko",
+TextColor			: "Tekstiväri",
+BGColor				: "Taustaväri",
+Source				: "Koodi",
+Find				: "Etsi",
+Replace				: "Korvaa",
+SpellCheck			: "Tarkista oikeinkirjoitus",
+UniversalKeyboard	: "Universaali näppäimistö",
+
+Form			: "Lomake",
+Checkbox		: "Valintaruutu",
+RadioButton		: "Radiopainike",
+TextField		: "Tekstikenttä",
+Textarea		: "Tekstilaatikko",
+HiddenField		: "Piilokenttä",
+Button			: "Painike",
+SelectionField	: "Valintakenttä",
+ImageButton		: "Kuvapainike",
+
+// Context Menu
+EditLink			: "Muokkaa linkkiä",
+InsertRow			: "Lisää rivi",
+DeleteRows			: "Poista rivit",
+InsertColumn		: "Lisää sarake",
+DeleteColumns		: "Poista sarakkeet",
+InsertCell			: "Lisää solu",
+DeleteCells			: "Poista solut",
+MergeCells			: "Yhdistä solut",
+SplitCell			: "Jaa solu",
+CellProperties		: "Solun ominaisuudet",
+TableProperties		: "Taulun ominaisuudet",
+ImageProperties		: "Kuvan ominaisuudet",
+
+AnchorProp			: "Ankkurin ominaisuudet",
+ButtonProp			: "Painikkeen ominaisuudet",
+CheckboxProp		: "Valintaruudun ominaisuudet",
+HiddenFieldProp		: "Piilokentän ominaisuudet",
+RadioButtonProp		: "Radiopainikkeen ominaisuudet",
+ImageButtonProp		: "Kuvapainikkeen ominaisuudet",
+TextFieldProp		: "Tekstikentän ominaisuudet",
+SelectionFieldProp	: "Valintakentän ominaisuudet",
+TextareaProp		: "Tekstilaatikon ominaisuudet",
+FormProp			: "Lomakkeen ominaisuudet",
+
+FontFormats			: "Normaali;Muotoiltu;Osoite;Otsikko 1;Otsikko 2;Otsikko 3;Otsikko 4;Otsikko 5;Otsikko 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Prosessoidaan XHTML:ää. Odota hetki...",
+Done				: "Valmis",
+PasteWordConfirm	: "Teksti, jonka haluat liittää, näyttää olevan kopioitu Wordista. Haluatko puhdistaa sen ennen liittämistä?",
+NotCompatiblePaste	: "Tämä komento toimii vain Internet Explorer 5.5:ssa tai uudemmassa. Haluatko liittää ilman puhdistusta?",
+UnknownToolbarItem	: "Tuntemanton työkalu \"%1\"",
+UnknownCommand		: "Tuntematon komento \"%1\"",
+NotImplemented		: "Komentoa ei ole liitetty sovellukseen",
+UnknownToolbarSet	: "Työkalukokonaisuus \"%1\" ei ole olemassa",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Peruuta",
+DlgBtnClose			: "Sulje",
+DlgBtnBrowseServer	: "Selaa palvelinta",
+DlgAdvancedTag		: "Lisäominaisuudet",
+DlgOpOther			: "Muut",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;ei asetettu&gt;",
+DlgGenId			: "Tunniste",
+DlgGenLangDir		: "Kielen suunta",
+DlgGenLangDirLtr	: "Vasemmalta oikealle (LTR)",
+DlgGenLangDirRtl	: "Oikealta vasemmalle (RTL)",
+DlgGenLangCode		: "Kielikoodi",
+DlgGenAccessKey		: "Pikanäppäin",
+DlgGenName			: "Nimi",
+DlgGenTabIndex		: "Tabulaattori indeksi",
+DlgGenLongDescr		: "Pitkän kuvauksen URL",
+DlgGenClass			: "Tyyliluokat",
+DlgGenTitle			: "Avustava otsikko",
+DlgGenContType		: "Avustava sisällön tyyppi",
+DlgGenLinkCharset	: "Linkitetty kirjaimisto",
+DlgGenStyle			: "Tyyli",
+
+// Image Dialog
+DlgImgTitle			: "Kuvan ominaisuudet",
+DlgImgInfoTab		: "Kuvan tiedot",
+DlgImgBtnUpload		: "Lähetä palvelimelle",
+DlgImgURL			: "Osoite",
+DlgImgUpload		: "Lisää kuva",
+DlgImgAlt			: "Kuvateksti",
+DlgImgWidth			: "Leveys",
+DlgImgHeight		: "Korkeus",
+DlgImgLockRatio		: "Lukitse suhteet",
+DlgBtnResetSize		: "Alkuperäinen koko",
+DlgImgBorder		: "Raja",
+DlgImgHSpace		: "Vaakatila",
+DlgImgVSpace		: "Pystytila",
+DlgImgAlign			: "Kohdistus",
+DlgImgAlignLeft		: "Vasemmalle",
+DlgImgAlignAbsBottom: "Aivan alas",
+DlgImgAlignAbsMiddle: "Aivan keskelle",
+DlgImgAlignBaseline	: "Alas (teksti)",
+DlgImgAlignBottom	: "Alas",
+DlgImgAlignMiddle	: "Keskelle",
+DlgImgAlignRight	: "Oikealle",
+DlgImgAlignTextTop	: "Ylös (teksti)",
+DlgImgAlignTop		: "Ylös",
+DlgImgPreview		: "Esikatselu",
+DlgImgAlertUrl		: "Kirjoita kuvan osoite (URL)",
+DlgImgLinkTab		: "Linkki",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Linkki",
+DlgLnkInfoTab		: "Linkin tiedot",
+DlgLnkTargetTab		: "Kohde",
+
+DlgLnkType			: "Linkkityyppi",
+DlgLnkTypeURL		: "Osoite",
+DlgLnkTypeAnchor	: "Ankkuri tässä sivussa",
+DlgLnkTypeEMail		: "Sähköposti",
+DlgLnkProto			: "Protokolla",
+DlgLnkProtoOther	: "&lt;muu&gt;",
+DlgLnkURL			: "Osoite",
+DlgLnkAnchorSel		: "Valitse ankkuri",
+DlgLnkAnchorByName	: "Ankkurin nimen mukaan",
+DlgLnkAnchorById	: "Ankkurin ID:n mukaan",
+DlgLnkNoAnchors		: "&lt;Ei ankkureita tässä dokumentissa&gt;",
+DlgLnkEMail			: "Sähköpostiosoite",
+DlgLnkEMailSubject	: "Aihe",
+DlgLnkEMailBody		: "Viesti",
+DlgLnkUpload		: "Lisää tiedosto",
+DlgLnkBtnUpload		: "Lähetä palvelimelle",
+
+DlgLnkTarget		: "Kohde",
+DlgLnkTargetFrame	: "&lt;kehys&gt;",
+DlgLnkTargetPopup	: "&lt;popup ikkuna&gt;",
+DlgLnkTargetBlank	: "Uusi ikkuna (_blank)",
+DlgLnkTargetParent	: "Emoikkuna (_parent)",
+DlgLnkTargetSelf	: "Sama ikkuna (_self)",
+DlgLnkTargetTop		: "Päällimmäisin ikkuna (_top)",
+DlgLnkTargetFrameName	: "Kohdekehyksen nimi",
+DlgLnkPopWinName	: "Popup ikkunan nimi",
+DlgLnkPopWinFeat	: "Popup ikkunan ominaisuudet",
+DlgLnkPopResize		: "Venytettävä",
+DlgLnkPopLocation	: "Osoiterivi",
+DlgLnkPopMenu		: "Valikkorivi",
+DlgLnkPopScroll		: "Vierityspalkit",
+DlgLnkPopStatus		: "Tilarivi",
+DlgLnkPopToolbar	: "Vakiopainikkeet",
+DlgLnkPopFullScrn	: "Täysi ikkuna (IE)",
+DlgLnkPopDependent	: "Riippuva (Netscape)",
+DlgLnkPopWidth		: "Leveys",
+DlgLnkPopHeight		: "Korkeus",
+DlgLnkPopLeft		: "Vasemmalta (px)",
+DlgLnkPopTop		: "Ylhäältä (px)",
+
+DlnLnkMsgNoUrl		: "Linkille on kirjoitettava URL",
+DlnLnkMsgNoEMail	: "Kirjoita sähköpostiosoite",
+DlnLnkMsgNoAnchor	: "Valitse ankkuri",
+
+// Color Dialog
+DlgColorTitle		: "Valitse väri",
+DlgColorBtnClear	: "Tyhjennä",
+DlgColorHighlight	: "Kohdalla",
+DlgColorSelected	: "Valittu",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Lisää hymiö",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Valitse erikoismerkki",
+
+// Table Dialog
+DlgTableTitle		: "Taulun ominaisuudet",
+DlgTableRows		: "Rivit",
+DlgTableColumns		: "Sarakkeet",
+DlgTableBorder		: "Rajan paksuus",
+DlgTableAlign		: "Kohdistus",
+DlgTableAlignNotSet	: "<ei asetettu>",
+DlgTableAlignLeft	: "Vasemmalle",
+DlgTableAlignCenter	: "Keskelle",
+DlgTableAlignRight	: "Oikealle",
+DlgTableWidth		: "Leveys",
+DlgTableWidthPx		: "pikseliä",
+DlgTableWidthPc		: "prosenttia",
+DlgTableHeight		: "Korkeus",
+DlgTableCellSpace	: "Solujen väli",
+DlgTableCellPad		: "Solujen sisennys",
+DlgTableCaption		: "Otsikko",
+
+// Table Cell Dialog
+DlgCellTitle		: "Solun ominaisuudet",
+DlgCellWidth		: "Leveys",
+DlgCellWidthPx		: "pikseliä",
+DlgCellWidthPc		: "prosenttia",
+DlgCellHeight		: "Korkeus",
+DlgCellWordWrap		: "Tekstikierrätys",
+DlgCellWordWrapNotSet	: "<Ei asetettu>",
+DlgCellWordWrapYes	: "Kyllä",
+DlgCellWordWrapNo	: "Ei",
+DlgCellHorAlign		: "Vaakakohdistus",
+DlgCellHorAlignNotSet	: "<Ei asetettu>",
+DlgCellHorAlignLeft	: "Vasemmalle",
+DlgCellHorAlignCenter	: "Keskelle",
+DlgCellHorAlignRight: "Oikealle",
+DlgCellVerAlign		: "Pystykohdistus",
+DlgCellVerAlignNotSet	: "<Ei asetettu>",
+DlgCellVerAlignTop	: "Ylös",
+DlgCellVerAlignMiddle	: "Keskelle",
+DlgCellVerAlignBottom	: "Alas",
+DlgCellVerAlignBaseline	: "Tekstin alas",
+DlgCellRowSpan		: "Rivin jatkuvuus",
+DlgCellCollSpan		: "Sarakkeen jatkuvuus",
+DlgCellBackColor	: "Taustaväri",
+DlgCellBorderColor	: "Rajan väri",
+DlgCellBtnSelect	: "Valitse...",
+
+// Find Dialog
+DlgFindTitle		: "Etsi",
+DlgFindFindBtn		: "Etsi",
+DlgFindNotFoundMsg	: "Etsittyä tekstiä ei löytynyt.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Korvaa",
+DlgReplaceFindLbl		: "Etsi mitä:",
+DlgReplaceReplaceLbl	: "Korvaa tällä:",
+DlgReplaceCaseChk		: "Sama kirjainkoko",
+DlgReplaceReplaceBtn	: "Korvaa",
+DlgReplaceReplAllBtn	: "Korvaa kaikki",
+DlgReplaceWordChk		: "Koko sana",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Selaimesi turva-asetukset eivät salli editorin toteuttaa liittämistä. Käytä näppäimistöä liittämiseen (Ctrl+V).",
+PasteErrorCut	: "Selaimesi turva-asetukset eivät salli editorin toteuttaa leikkaamista. Käytä näppäimistöä leikkaamiseen (Ctrl+X).",
+PasteErrorCopy	: "Selaimesi turva-asetukset eivät salli editorin toteuttaa kopioimista. Käytä näppäimistöä kopioimiseen (Ctrl+C).",
+
+PasteAsText		: "Liitä tekstinä",
+PasteFromWord	: "Liitä Wordista",
+
+DlgPasteMsg		: "Editori ei voinut toteuttaa liittämistä selaimesi <STRONG>turva-asetusten</STRONG> takia.<BR>Suorita liittäminen käyttäen näppäimistöä (<STRONG>Ctrl+V</STRONG>) ja valitse <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automaattinen",
+ColorMoreColors	: "Lisää värejä...",
+
+// Document Properties
+DocProps		: "Dokumentin ominaisuudet",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Ankkurin ominaisuudet",
+DlgAnchorName		: "Nimi",
+DlgAnchorErrorName	: "Ankkurille on kirjoitettava nimi",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Ei sanakirjassa",
+DlgSpellChangeTo		: "Vaihda",
+DlgSpellBtnIgnore		: "Jätä huomioimatta",
+DlgSpellBtnIgnoreAll	: "Jätä kaikki huomioimatta",
+DlgSpellBtnReplace		: "Korvaa",
+DlgSpellBtnReplaceAll	: "Korvaa kaikki",
+DlgSpellBtnUndo			: "Kumoa",
+DlgSpellNoSuggestions	: "Ei ehdotuksia",
+DlgSpellProgress		: "Tarkistus käynnissä...",
+DlgSpellNoMispell		: "Tarkistus valmis: Ei virheitä",
+DlgSpellNoChanges		: "Tarkistus valmis: Yhtään sanaa ei muutettu",
+DlgSpellOneChange		: "Tarkistus valmis: Yksi sana muutettiin",
+DlgSpellManyChanges		: "Tarkistus valmis: %1 sanaa muutettiin",
+
+IeSpellDownload			: "Oikeinkirjoituksen tarkistusta ei ole asennettu. Haluatko ladata sen nyt?",
+
+// Button Dialog
+DlgButtonText	: "Teksti (arvo)",
+DlgButtonType	: "Tyyppi",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Nimi",
+DlgCheckboxValue	: "Arvo",
+DlgCheckboxSelected	: "Valittu",
+
+// Form Dialog
+DlgFormName		: "Nimi",
+DlgFormAction	: "Toiminto",
+DlgFormMethod	: "Tapa",
+
+// Select Field Dialog
+DlgSelectName		: "Nimi",
+DlgSelectValue		: "Arvo",
+DlgSelectSize		: "Koko",
+DlgSelectLines		: "Rivit",
+DlgSelectChkMulti	: "Salli usea valinta",
+DlgSelectOpAvail	: "Ominaisuudet",
+DlgSelectOpText		: "Teksti",
+DlgSelectOpValue	: "Arvo",
+DlgSelectBtnAdd		: "Lisää",
+DlgSelectBtnModify	: "Muuta",
+DlgSelectBtnUp		: "Ylös",
+DlgSelectBtnDown	: "Alas",
+DlgSelectBtnSetValue : "Aseta valituksi",
+DlgSelectBtnDelete	: "Poista",
+
+// Textarea Dialog
+DlgTextareaName	: "Nimi",
+DlgTextareaCols	: "Sarakkeita",
+DlgTextareaRows	: "Rivejä",
+
+// Text Field Dialog
+DlgTextName			: "Nimi",
+DlgTextValue		: "Arvo",
+DlgTextCharWidth	: "Leveys",
+DlgTextMaxChars		: "Maksimi merkkimäärä",
+DlgTextType			: "Tyyppi",
+DlgTextTypeText		: "Teksti",
+DlgTextTypePass		: "Salasana",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Nimi",
+DlgHiddenValue	: "Arvo",
+
+// Bulleted List Dialog
+BulletedListProp	: "Luettelon ominaisuudet",
+NumberedListProp	: "Numeroinnin ominaisuudet",
+DlgLstType			: "Tyyppi",
+DlgLstTypeCircle	: "Kehä",
+DlgLstTypeDisk		: "Ympyrä",
+DlgLstTypeSquare	: "Neliö",
+DlgLstTypeNumbers	: "Numerot (1, 2, 3)",
+DlgLstTypeLCase		: "Pienet kirjaimet (a, b, c)",
+DlgLstTypeUCase		: "Isot kirjaimet (A, B, C)",
+DlgLstTypeSRoman	: "Pienet roomalaiset numerot (i, ii, iii)",
+DlgLstTypeLRoman	: "Isot roomalaiset numerot (Ii, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Yleiset",
+DlgDocBackTab		: "Tausta",
+DlgDocColorsTab		: "Värit ja marginaalit",
+DlgDocMetaTab		: "Meta-tieto",
+
+DlgDocPageTitle		: "Sivun nimi",
+DlgDocLangDir		: "Kielen suunta",
+DlgDocLangDirLTR	: "Vasemmalta oikealle (LTR)",
+DlgDocLangDirRTL	: "Oikealta vasemmalle (RTL)",
+DlgDocLangCode		: "Kielikoodi",
+DlgDocCharSet		: "Merkistäkoodaus",
+DlgDocCharSetOther	: "Muu merkistäkoodaus",
+
+DlgDocDocType		: "Dokumentin tyyppi",
+DlgDocDocTypeOther	: "Muu dokumentin tyyppi",
+DlgDocIncXHTML		: "Lisää XHTML julistukset",
+DlgDocBgColor		: "Taustaväri",
+DlgDocBgImage		: "Taustakuva",
+DlgDocBgNoScroll	: "Paikallaanpysyvä tausta",
+DlgDocCText			: "Teksti",
+DlgDocCLink			: "Linkki",
+DlgDocCVisited		: "Vierailtu linkki",
+DlgDocCActive		: "Aktiivinen linkki",
+DlgDocMargins		: "Sivun marginaalit",
+DlgDocMaTop			: "Ylä",
+DlgDocMaLeft		: "Vasen",
+DlgDocMaRight		: "Oikea",
+DlgDocMaBottom		: "Ala",
+DlgDocMeIndex		: "Hakusanat (pilkulla erotettuna)",
+DlgDocMeDescr		: "Kuvaus",
+DlgDocMeAuthor		: "Tekijä",
+DlgDocMeCopy		: "Tekijänoikeudet",
+DlgDocPreview		: "Esikatselu",
+
+// Templates Dialog
+Templates			: "Pohjat",
+DlgTemplatesTitle	: "Sisältöpohjat",
+DlgTemplatesSelMsg	: "Valitse pohja editoriin<br>(aiempi sisältö menetetään):",
+DlgTemplatesLoading	: "Ladataan listaa pohjista. Hetkinen...",
+DlgTemplatesNoTpl	: "(Ei määriteltyjä pohjia)",
+
+// About Dialog
+DlgAboutAboutTab	: "Editorista",
+DlgAboutBrowserInfoTab	: "Selaimen tiedot",
+DlgAboutVersion		: "versio",
+DlgAboutLicense		: "Lisenssi: GNU Lesser General Public License",
+DlgAboutInfo		: "Lisää tietoa osoitteesta"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/fr.js soojung/libs/fckeditor/editor/lang/fr.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/fr.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/fr.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fr.js
+ * 	French language file.
+ * 
+ * File Authors:
+ * 		Hubert Garrido (liane@users.sourceforge.net)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Masquer Outils",
+ToolbarExpand		: "Afficher Outils",
+
+// Toolbar Items and Context Menu
+Save				: "Enregistrer",
+NewPage				: "Nouvelle Page",
+Preview				: "Prévisualisation",
+Cut					: "Couper",
+Copy				: "Copier",
+Paste				: "Coller",
+PasteText			: "Coller comme texte",
+PasteWord			: "Coller de Word",
+Print				: "Imprimer",
+SelectAll			: "Tout sélectionner",
+RemoveFormat		: "Supprimer Format",
+InsertLinkLbl		: "Lien",
+InsertLink			: "Insérer/Modifier Lien",
+RemoveLink			: "Supprimer Lien",
+Anchor				: "Insérer/Modifier Ancre",
+InsertImageLbl		: "Image",
+InsertImage			: "Insérer/Modifier Image",
+InsertTableLbl		: "Tableau",
+InsertTable			: "Insérer/Modifier Tableau",
+InsertLineLbl		: "Séparateur",
+InsertLine			: "Insérer Séparateur",
+InsertSpecialCharLbl: "Caractère Spécial",
+InsertSpecialChar	: "Insérer Caractère Spécial",
+InsertSmileyLbl		: "Smiley",
+InsertSmiley		: "Insérer Smiley",
+About				: "A propos de FCKeditor",
+Bold				: "Gras",
+Italic				: "Italique",
+Underline			: "Souligné",
+StrikeThrough		: "Barré",
+Subscript			: "Indice",
+Superscript			: "Exposant",
+LeftJustify			: "Aligné à Gauche",
+CenterJustify		: "Centré",
+RightJustify		: "Aligné à Droite",
+BlockJustify		: "Texte Justifié",
+DecreaseIndent		: "Diminuer le Retrait",
+IncreaseIndent		: "Augmenter le Retrait",
+Undo				: "Annuler",
+Redo				: "Refaire",
+NumberedListLbl		: "Liste Numérotée",
+NumberedList		: "Insérer/Supprimer Liste Numérotée",
+BulletedListLbl		: "Liste à puces",
+BulletedList		: "Insérer/Supprimer Liste à puces",
+ShowTableBorders	: "Afficher Bordures de Tableau",
+ShowDetails			: "Afficher Caractères Invisibles",
+Style				: "Style",
+FontFormat			: "Format",
+Font				: "Police",
+FontSize			: "Taille",
+TextColor			: "Couleur de Caractère",
+BGColor				: "Couleur de Fond",
+Source				: "Source",
+Find				: "Chercher",
+Replace				: "Remplacer",
+SpellCheck			: "Orthographe",
+UniversalKeyboard	: "Clavier Universel",
+
+Form			: "Formulaire",
+Checkbox		: "Case à cocher",
+RadioButton		: "Bouton Radio",
+TextField		: "Champ Texte",
+Textarea		: "Zone Texte",
+HiddenField		: "Champ caché",
+Button			: "Bouton",
+SelectionField	: "Liste/Menu",
+ImageButton		: "Bouton Image",
+
+// Context Menu
+EditLink			: "Modifier Lien",
+InsertRow			: "Insérer une Ligne",
+DeleteRows			: "Supprimer des Lignes",
+InsertColumn		: "Insérer une Colonne",
+DeleteColumns		: "Supprimer des Colonnes",
+InsertCell			: "Insérer une Cellule",
+DeleteCells			: "Supprimer des Cellules",
+MergeCells			: "Fusionner les Cellules",
+SplitCell			: "Scinder les Cellules",
+CellProperties		: "Propriétés de Cellule",
+TableProperties		: "Propriétés de Tableau",
+ImageProperties		: "Propriétés d'Image",
+
+AnchorProp			: "Propriétés d'Ancre",
+ButtonProp			: "Propriétés de Bouton",
+CheckboxProp		: "Propriétés de Case à Cocher",
+HiddenFieldProp		: "Propriétés de Champ Caché",
+RadioButtonProp		: "Propriétés de Bouton Radio",
+ImageButtonProp		: "Propriétés de Bouton Image",
+TextFieldProp		: "Propriétés de Champ Texte",
+SelectionFieldProp	: "Propriétés de Liste/Menu",
+TextareaProp		: "Propriétés de Zone Texte",
+FormProp			: "Propriétés de Formulaire",
+
+FontFormats			: "Normal;Formatted;Address;Titre 1;Titre 2;Titre 3;Titre 4;Titre 5;Titre 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Calcul XHTML. Veuillez patienter...",
+Done				: "Terminé",
+PasteWordConfirm	: "Le texte à coller semble provenir de Word. Désirez-vous le nettoyer avant de coller?",
+NotCompatiblePaste	: "Cette commande nécessite Internet Explorer version 5.5 minimum. Souhaitez-vous coller sans nettoyage?",
+UnknownToolbarItem	: "Elément de barre d'outil inconnu \"%1\"",
+UnknownCommand		: "Nom de commande inconnu \"%1\"",
+NotImplemented		: "Commande non encore écrite",
+UnknownToolbarSet	: "La barre d'outils \"%1\" n'existe pas",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Annuler",
+DlgBtnClose			: "Fermer",
+DlgBtnBrowseServer	: "Parcourir le Serveur",
+DlgAdvancedTag		: "Avancé",
+DlgOpOther			: "&lt;Autre&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;Par Défaut&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Sens d'Ecriture",
+DlgGenLangDirLtr	: "Gauche vers Droite (LTR)",
+DlgGenLangDirRtl	: "Droite vers Gauche (RTL)",
+DlgGenLangCode		: "Code Langue",
+DlgGenAccessKey		: "Equivalent Clavier",
+DlgGenName			: "Nom",
+DlgGenTabIndex		: "Ordre de Tabulation",
+DlgGenLongDescr		: "URL de Description Longue",
+DlgGenClass			: "Classes de Feuilles de Style",
+DlgGenTitle			: "Titre Indicatif",
+DlgGenContType		: "Type de Contenu Indicatif",
+DlgGenLinkCharset	: "Encodage de Caractère de la cible",
+DlgGenStyle			: "Style",
+
+// Image Dialog
+DlgImgTitle			: "Propriétés d'Image",
+DlgImgInfoTab		: "Informations sur l'Image",
+DlgImgBtnUpload		: "Envoyer au Serveur",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Upload",
+DlgImgAlt			: "Texte de Remplacement",
+DlgImgWidth			: "Largeur",
+DlgImgHeight		: "Hauteur",
+DlgImgLockRatio		: "Garder proportions",
+DlgBtnResetSize		: "Taille Originale",
+DlgImgBorder		: "Bordure",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Alignement",
+DlgImgAlignLeft		: "Gauche",
+DlgImgAlignAbsBottom: "Abs Bas",
+DlgImgAlignAbsMiddle: "Abs Milieu",
+DlgImgAlignBaseline	: "Bas du texte",
+DlgImgAlignBottom	: "Bas",
+DlgImgAlignMiddle	: "Milieu",
+DlgImgAlignRight	: "Droite",
+DlgImgAlignTextTop	: "Haut du texte",
+DlgImgAlignTop		: "Haut",
+DlgImgPreview		: "Prévisualisation",
+DlgImgAlertUrl		: "Veuillez saisir l'URL de l'image",
+DlgImgLinkTab		: "Lien",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Propriétés de Lien",
+DlgLnkInfoTab		: "Informations sur le Lien",
+DlgLnkTargetTab		: "Destination",
+
+DlgLnkType			: "Type de Lien",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Ancre dans cette page",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocole",
+DlgLnkProtoOther	: "&lt;autre&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Sélectionner une Ancre",
+DlgLnkAnchorByName	: "Par Nom d'Ancre",
+DlgLnkAnchorById	: "Par Id d'Elément",
+DlgLnkNoAnchors		: "&lt;Pas d'ancre disponible dans le document&gt;",
+DlgLnkEMail			: "Adresse E-Mail",
+DlgLnkEMailSubject	: "Sujet du Message",
+DlgLnkEMailBody		: "Corps du Message",
+DlgLnkUpload		: "Upload",
+DlgLnkBtnUpload		: "Envoyer au Serveur",
+
+DlgLnkTarget		: "Destination",
+DlgLnkTargetFrame	: "&lt;cadre&gt;",
+DlgLnkTargetPopup	: "&lt;fenêtre popup&gt;",
+DlgLnkTargetBlank	: "Nouvelle Fenêtre (_blank)",
+DlgLnkTargetParent	: "Fenêtre Mère (_parent)",
+DlgLnkTargetSelf	: "Même Fenêtre (_self)",
+DlgLnkTargetTop		: "Fenêtre Supérieure (_top)",
+DlgLnkTargetFrameName	: "Nom du Cadre de Destination",
+DlgLnkPopWinName	: "Nom de la Fenêtre Popup",
+DlgLnkPopWinFeat	: "Caractéristiques de la Fenêtre Popup",
+DlgLnkPopResize		: "Taille Modifiable",
+DlgLnkPopLocation	: "Barre d'Adresses",
+DlgLnkPopMenu		: "Barre de Menu",
+DlgLnkPopScroll		: "Barres de Défilement",
+DlgLnkPopStatus		: "Barre d'Etat",
+DlgLnkPopToolbar	: "Barre d'Outils",
+DlgLnkPopFullScrn	: "Plein Ecran (IE)",
+DlgLnkPopDependent	: "Dépendante (Netscape)",
+DlgLnkPopWidth		: "Largeur",
+DlgLnkPopHeight		: "Hauteur",
+DlgLnkPopLeft		: "Position Gauche",
+DlgLnkPopTop		: "Position Haut",
+
+DlnLnkMsgNoUrl		: "Veuillez saisir l'URL",
+DlnLnkMsgNoEMail	: "Veuillez saisir l'adresse e-mail",
+DlnLnkMsgNoAnchor	: "Veuillez sélectionner une ancre",
+
+// Color Dialog
+DlgColorTitle		: "Sélectionner",
+DlgColorBtnClear	: "Effacer",
+DlgColorHighlight	: "Highlight",
+DlgColorSelected	: "Sélectionné",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Insérer Smiley",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Insérer Caractère Spécial",
+
+// Table Dialog
+DlgTableTitle		: "Propriétés de Tableau",
+DlgTableRows		: "Lignes",
+DlgTableColumns		: "Colonnes",
+DlgTableBorder		: "Bordure",
+DlgTableAlign		: "Alignement",
+DlgTableAlignNotSet	: "<Par Défaut>",
+DlgTableAlignLeft	: "Gauche",
+DlgTableAlignCenter	: "Centré",
+DlgTableAlignRight	: "Droite",
+DlgTableWidth		: "Largeur",
+DlgTableWidthPx		: "pixels",
+DlgTableWidthPc		: "pourcentage",
+DlgTableHeight		: "Hauteur",
+DlgTableCellSpace	: "Espacement",
+DlgTableCellPad		: "Contour",
+DlgTableCaption		: "Titre",
+
+// Table Cell Dialog
+DlgCellTitle		: "Propriétés de cellule",
+DlgCellWidth		: "Largeur",
+DlgCellWidthPx		: "pixels",
+DlgCellWidthPc		: "pourcentage",
+DlgCellHeight		: "Hauteur",
+DlgCellWordWrap		: "Retour à la ligne",
+DlgCellWordWrapNotSet	: "<Par Défaut>",
+DlgCellWordWrapYes	: "Oui",
+DlgCellWordWrapNo	: "Non",
+DlgCellHorAlign		: "Alignement Horizontal",
+DlgCellHorAlignNotSet	: "<Par Défaut>",
+DlgCellHorAlignLeft	: "Gauche",
+DlgCellHorAlignCenter	: "Centré",
+DlgCellHorAlignRight: "Droite",
+DlgCellVerAlign		: "Alignement Vertical",
+DlgCellVerAlignNotSet	: "<Par Défaut>",
+DlgCellVerAlignTop	: "Haut",
+DlgCellVerAlignMiddle	: "Milieu",
+DlgCellVerAlignBottom	: "Bas",
+DlgCellVerAlignBaseline	: "Bas du texte",
+DlgCellRowSpan		: "Lignes Fusionnées",
+DlgCellCollSpan		: "Colonnes Fusionnées",
+DlgCellBackColor	: "Fond",
+DlgCellBorderColor	: "Bordure",
+DlgCellBtnSelect	: "Choisir...",
+
+// Find Dialog
+DlgFindTitle		: "Chercher",
+DlgFindFindBtn		: "Chercher",
+DlgFindNotFoundMsg	: "Le texte indiqué est introuvable.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Remplacer",
+DlgReplaceFindLbl		: "Rechercher:",
+DlgReplaceReplaceLbl	: "Remplacer par:",
+DlgReplaceCaseChk		: "Respecter la casse",
+DlgReplaceReplaceBtn	: "Remplacer",
+DlgReplaceReplAllBtn	: "Tout remplacer",
+DlgReplaceWordChk		: "Mot entier",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Les paramètres de sécurité de votre navigateur empêchent l'éditeur de coller automatiquement vos données. Veuillez utiliser les équivalents claviers (Ctrl+V).",
+PasteErrorCut	: "Les paramètres de sécurité de votre navigateur empêchent l'éditeur de couper automatiquement vos données. Veuillez utiliser les équivalents claviers (Ctrl+X).",
+PasteErrorCopy	: "Les paramètres de sécurité de votre navigateur empêchent l'éditeur de copier automatiquement vos données. Veuillez utiliser les équivalents claviers (Ctrl+C).",
+
+PasteAsText		: "Coller comme texte",
+PasteFromWord	: "Coller à partir de Word",
+
+DlgPasteMsg		: "L'éditeur n'a pu coller automatiquement vos données à cause des <STRONG>paramètres de sécurité</STRONG> de votre navigateur.<BR>Veuillez coller dans la zone suivante en utilisant le clavier (<STRONG>Ctrl+V</STRONG>) et cliquez sur <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatique",
+ColorMoreColors	: "Plus de Couleurs...",
+
+// Document Properties
+DocProps		: "Propriétés du Document",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Propriétés de l'Ancre",
+DlgAnchorName		: "Nom de l'Ancre",
+DlgAnchorErrorName	: "Veuillez saisir le nom de l'ancre",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Pas dans le dictionnaire",
+DlgSpellChangeTo		: "Changer en",
+DlgSpellBtnIgnore		: "Ignorer",
+DlgSpellBtnIgnoreAll	: "Ignorer Tout",
+DlgSpellBtnReplace		: "Remplacer",
+DlgSpellBtnReplaceAll	: "Remplacer Tout",
+DlgSpellBtnUndo			: "Annuler",
+DlgSpellNoSuggestions	: "- Aucune suggestion -",
+DlgSpellProgress		: "Vérification d'orthographe en cours...",
+DlgSpellNoMispell		: "Vérification d'orthographe terminée: Aucune erreur trouvée",
+DlgSpellNoChanges		: "Vérification d'orthographe terminée: Pas de modifications",
+DlgSpellOneChange		: "Vérification d'orthographe terminée: Un mot modifié",
+DlgSpellManyChanges		: "Vérification d'orthographe terminée: %1 mots modifiés",
+
+IeSpellDownload			: "Le Correcteur n'est pas installé. Souhaitez-vous le télécharger maintenant?",
+
+// Button Dialog
+DlgButtonText	: "Texte (Valeur)",
+DlgButtonType	: "Type",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Nom",
+DlgCheckboxValue	: "Valeur",
+DlgCheckboxSelected	: "Sélectionné",
+
+// Form Dialog
+DlgFormName		: "Nom",
+DlgFormAction	: "Action",
+DlgFormMethod	: "Méthode",
+
+// Select Field Dialog
+DlgSelectName		: "Nom",
+DlgSelectValue		: "Valeur",
+DlgSelectSize		: "Taille",
+DlgSelectLines		: "lignes",
+DlgSelectChkMulti	: "Sélection multiple",
+DlgSelectOpAvail	: "Options Disponibles",
+DlgSelectOpText		: "Texte",
+DlgSelectOpValue	: "Valeur",
+DlgSelectBtnAdd		: "Ajouter",
+DlgSelectBtnModify	: "Modifier",
+DlgSelectBtnUp		: "Monter",
+DlgSelectBtnDown	: "Descendre",
+DlgSelectBtnSetValue : "Valeur sélectionnée",
+DlgSelectBtnDelete	: "Supprimer",
+
+// Textarea Dialog
+DlgTextareaName	: "Nom",
+DlgTextareaCols	: "Colonnes",
+DlgTextareaRows	: "Lignes",
+
+// Text Field Dialog
+DlgTextName			: "Nom",
+DlgTextValue		: "Valeur",
+DlgTextCharWidth	: "Largeur en Caractères",
+DlgTextMaxChars		: "Nombre Maximum de Caractères",
+DlgTextType			: "Type",
+DlgTextTypeText		: "Texte",
+DlgTextTypePass		: "Mot de Passe",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Nom",
+DlgHiddenValue	: "Valeur",
+
+// Bulleted List Dialog
+BulletedListProp	: "Propriétés de Liste à puces",
+NumberedListProp	: "Propriétés de Numérotée",
+DlgLstType			: "Type",
+DlgLstTypeCircle	: "Cercle",
+DlgLstTypeDisk		: "Disque",
+DlgLstTypeSquare	: "Carré",
+DlgLstTypeNumbers	: "Nombres (1, 2, 3)",
+DlgLstTypeLCase		: "Lettres Minuscules (a, b, c)",
+DlgLstTypeUCase		: "Lettres Majuscules (A, B, C)",
+DlgLstTypeSRoman	: "Chiffres Romains Minuscules (i, ii, iii)",
+DlgLstTypeLRoman	: "Chiffres Romains Majuscules (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Général",
+DlgDocBackTab		: "Fond",
+DlgDocColorsTab		: "Couleurs et Marges",
+DlgDocMetaTab		: "Métadonnées",
+
+DlgDocPageTitle		: "Titre de la Page",
+DlgDocLangDir		: "Sens d'Ecriture",
+DlgDocLangDirLTR	: "Gauche vers Droite (LTR)",
+DlgDocLangDirRTL	: "Droite vers Gauche (RTL)",
+DlgDocLangCode		: "Code Langue",
+DlgDocCharSet		: "Encodage de Caractère",
+DlgDocCharSetOther	: "Autre Encodage de Caractère",
+
+DlgDocDocType		: "Type de Document",
+DlgDocDocTypeOther	: "Autre Type de Document",
+DlgDocIncXHTML		: "Inclure les déclarations XHTML",
+DlgDocBgColor		: "Couleur de Fond",
+DlgDocBgImage		: "Image de Fond",
+DlgDocBgNoScroll	: "Image fixe sans défilement",
+DlgDocCText			: "Texte",
+DlgDocCLink			: "Lien",
+DlgDocCVisited		: "Lien Visité",
+DlgDocCActive		: "Lien Activé",
+DlgDocMargins		: "Marges",
+DlgDocMaTop			: "Haut",
+DlgDocMaLeft		: "Gauche",
+DlgDocMaRight		: "Droite",
+DlgDocMaBottom		: "Bas",
+DlgDocMeIndex		: "Mots Clés (séparés par des virgules)",
+DlgDocMeDescr		: "Description",
+DlgDocMeAuthor		: "Auteur",
+DlgDocMeCopy		: "Copyright",
+DlgDocPreview		: "Prévisualisation",
+
+// Templates Dialog
+Templates			: "Modèles",
+DlgTemplatesTitle	: "Modèles de Contenu",
+DlgTemplatesSelMsg	: "Veuillez sélectionner le modèle à ouvrir dans l'éditeur<br>(le contenu actuel sera remplacé):",
+DlgTemplatesLoading	: "Chargement de la liste des modèles. Veuillez patienter...",
+DlgTemplatesNoTpl	: "(Aucun modèle disponible)",
+
+// About Dialog
+DlgAboutAboutTab	: "A propos de",
+DlgAboutBrowserInfoTab	: "Navigateur",
+DlgAboutVersion		: "version",
+DlgAboutLicense		: "License selon les termes de GNU Lesser General Public License",
+DlgAboutInfo		: "Pour plus d'informations, aller à"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/gl.js soojung/libs/fckeditor/editor/lang/gl.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/gl.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/gl.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: gl.js
+ * 	Galician language file.
+ * 
+ * File Authors:
+ * 		Fernando Riveiro Lopez
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Ocultar Ferramentas",
+ToolbarExpand		: "Mostrar Ferramentas",
+
+// Toolbar Items and Context Menu
+Save				: "Gardar",
+NewPage				: "Nova Páxina",
+Preview				: "Vista Previa",
+Cut					: "Cortar",
+Copy				: "Copiar",
+Paste				: "Pegar",
+PasteText			: "Pegar como texto plano",
+PasteWord			: "Pegar dende Word",
+Print				: "Imprimir",
+SelectAll			: "Seleccionar todo",
+RemoveFormat		: "Eliminar Formato",
+InsertLinkLbl		: "Ligazón",
+InsertLink			: "Inserir/Editar Ligazón",
+RemoveLink			: "Eliminar Ligazón",
+Anchor				: "Inserir/Editar Referencia",
+InsertImageLbl		: "Imaxe",
+InsertImage			: "Inserir/Editar Imaxe",
+InsertTableLbl		: "Tabla",
+InsertTable			: "Inserir/Editar Tabla",
+InsertLineLbl		: "Liña",
+InsertLine			: "Inserir Liña Horizontal",
+InsertSpecialCharLbl: "Carácter Special",
+InsertSpecialChar	: "Inserir Carácter Especial",
+InsertSmileyLbl		: "Smiley",
+InsertSmiley		: "Inserir Smiley",
+About				: "Acerca de FCKeditor",
+Bold				: "Negrita",
+Italic				: "Cursiva",
+Underline			: "Sub-raiado",
+StrikeThrough		: "Tachado",
+Subscript			: "Subíndice",
+Superscript			: "Superíndice",
+LeftJustify			: "Aliñar á Esquerda",
+CenterJustify		: "Centrado",
+RightJustify		: "Aliñar á Dereita",
+BlockJustify		: "Xustificado",
+DecreaseIndent		: "Disminuir Sangría",
+IncreaseIndent		: "Aumentar Sangría",
+Undo				: "Desfacer",
+Redo				: "Refacer",
+NumberedListLbl		: "Lista Numerada",
+NumberedList		: "Inserir/Eliminar Lista Numerada",
+BulletedListLbl		: "Marcas",
+BulletedList		: "Inserir/Eliminar Marcas",
+ShowTableBorders	: "Mostrar Bordes das Taboas",
+ShowDetails			: "Mostrar Marcas Parágrafo",
+Style				: "Estilo",
+FontFormat			: "Formato",
+Font				: "Tipo",
+FontSize			: "Tamaño",
+TextColor			: "Cor do Texto",
+BGColor				: "Cor do Fondo",
+Source				: "Código Fonte",
+Find				: "Procurar",
+Replace				: "Substituir",
+SpellCheck			: "Corrección Ortográfica",
+UniversalKeyboard	: "Teclado Universal",
+
+Form			: "Formulario",
+Checkbox		: "Cadro de Verificación",
+RadioButton		: "Botón de Radio",
+TextField		: "Campo de Texto",
+Textarea		: "Área de Texto",
+HiddenField		: "Campo Oculto",
+Button			: "Botón",
+SelectionField	: "Campo de Selección",
+ImageButton		: "Botón de Imaxe",
+
+// Context Menu
+EditLink			: "Editar Ligazón",
+InsertRow			: "Inserir Fila",
+DeleteRows			: "Borrar Filas",
+InsertColumn		: "Inserir Columna",
+DeleteColumns		: "Borrar Columnas",
+InsertCell			: "Inserir Cela",
+DeleteCells			: "Borrar Cela",
+MergeCells			: "Unir Celas",
+SplitCell			: "Partir Celas",
+CellProperties		: "Propriedades da Cela",
+TableProperties		: "Propriedades da Taboa",
+ImageProperties		: "Propriedades Imaxe",
+
+AnchorProp			: "Propriedades da Referencia",
+ButtonProp			: "Propriedades do Botón",
+CheckboxProp		: "Propriedades do Cadro de Verificación",
+HiddenFieldProp		: "Propriedades do Campo Oculto",
+RadioButtonProp		: "Propriedades do Botón de Radio",
+ImageButtonProp		: "Propriedades do Botón de Imaxe",
+TextFieldProp		: "Propriedades do Campo de Texto",
+SelectionFieldProp	: "Propriedades do Campo de Selección",
+TextareaProp		: "Propriedades da Área de Texto",
+FormProp			: "Propriedades do Formulario",
+
+FontFormats			: "Normal;Formateado;Enderezo;Enacabezado 1;Encabezado 2;Encabezado 3;Encabezado 4;Encabezado 5;Encabezado 6;Paragraph (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "Procesando XHTML. Por facor, agarde...",
+Done				: "Feiro",
+PasteWordConfirm	: "Parece que o texto que quere pegar está copiado do Word.¿Quere limpar o formato antes de pegalo?",
+NotCompatiblePaste	: "Este comando está disponible para Internet Explorer versión 5.5 ou superior. ¿Quere pegalo sen limpar o formato?",
+UnknownToolbarItem	: "Ítem de ferramentas descoñecido \"%1\"",
+UnknownCommand		: "Nome de comando descoñecido \"%1\"",
+NotImplemented		: "Comando non implementado",
+UnknownToolbarSet	: "O conxunto de ferramentas \"%1\" non existe",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Cancelar",
+DlgBtnClose			: "Pechar",
+DlgBtnBrowseServer	: "Navegar no Servidor",
+DlgAdvancedTag		: "Advanzado",
+DlgOpOther			: "&lt;Outro&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;non definido&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Orientación do Idioma",
+DlgGenLangDirLtr	: "Esquerda a Dereita (LTR)",
+DlgGenLangDirRtl	: "Dereita a Esquerda (RTL)",
+DlgGenLangCode		: "Código do Idioma",
+DlgGenAccessKey		: "Chave de Acceso",
+DlgGenName			: "Nome",
+DlgGenTabIndex		: "Índice de Tabulación",
+DlgGenLongDescr		: "Descrición Completa da URL",
+DlgGenClass			: "Clases da Folla de Estilos",
+DlgGenTitle			: "Título",
+DlgGenContType		: "Tipo de Contido",
+DlgGenLinkCharset	: "Fonte de Caracteres Vinculado",
+DlgGenStyle			: "Estilo",
+
+// Image Dialog
+DlgImgTitle			: "Propriedades da Imaxe",
+DlgImgInfoTab		: "Información da Imaxe",
+DlgImgBtnUpload		: "Enviar ó Servidor",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Carregar",
+DlgImgAlt			: "Texto Alternativo",
+DlgImgWidth			: "Largura",
+DlgImgHeight		: "Altura",
+DlgImgLockRatio		: "Proporcional",
+DlgBtnResetSize		: "Tamaño Orixinal",
+DlgImgBorder		: "Límite",
+DlgImgHSpace		: "Esp. Horiz.",
+DlgImgVSpace		: "Esp. Vert.",
+DlgImgAlign			: "Aliñamento",
+DlgImgAlignLeft		: "Esquerda",
+DlgImgAlignAbsBottom: "Abs Inferior",
+DlgImgAlignAbsMiddle: "Abs Centro",
+DlgImgAlignBaseline	: "Liña Base",
+DlgImgAlignBottom	: "Pé",
+DlgImgAlignMiddle	: "Centro",
+DlgImgAlignRight	: "Dereita",
+DlgImgAlignTextTop	: "Tope do Texto",
+DlgImgAlignTop		: "Tope",
+DlgImgPreview		: "Vista Previa",
+DlgImgAlertUrl		: "Por favor, escriba a URL da imaxe",
+DlgImgLinkTab		: "Ligazón",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Ligazón",
+DlgLnkInfoTab		: "Información da Ligazón",
+DlgLnkTargetTab		: "Referencia a esta páxina",
+
+DlgLnkType			: "Tipo de Ligazón",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Referencia nesta páxina",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocolo",
+DlgLnkProtoOther	: "&lt;outro&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Seleccionar unha Referencia",
+DlgLnkAnchorByName	: "Por Nome de Referencia",
+DlgLnkAnchorById	: "Por Element Id",
+DlgLnkNoAnchors		: "&lt;Non hai referencias disponibles no documento&gt;",
+DlgLnkEMail			: "Enderezo de E-Mail",
+DlgLnkEMailSubject	: "Asunto do Mensaxe",
+DlgLnkEMailBody		: "Corpo do Mensaxe",
+DlgLnkUpload		: "Carregar",
+DlgLnkBtnUpload		: "Enviar ó servidor",
+
+DlgLnkTarget		: "Destino",
+DlgLnkTargetFrame	: "&lt;frame&gt;",
+DlgLnkTargetPopup	: "&lt;Xanela Emerxente&gt;",
+DlgLnkTargetBlank	: "Nova Xanela (_blank)",
+DlgLnkTargetParent	: "Xanela Pai (_parent)",
+DlgLnkTargetSelf	: "Mesma Xanela (_self)",
+DlgLnkTargetTop		: "Xanela Primaria (_top)",
+DlgLnkTargetFrameName	: "Nome do Marco Destino",
+DlgLnkPopWinName	: "Nome da Xanela Emerxente",
+DlgLnkPopWinFeat	: "Características da Xanela Emerxente",
+DlgLnkPopResize		: "Axustable",
+DlgLnkPopLocation	: "Barra de Localización",
+DlgLnkPopMenu		: "Barra de Menú",
+DlgLnkPopScroll		: "Barras de Desplazamento",
+DlgLnkPopStatus		: "Barra de Estado",
+DlgLnkPopToolbar	: "Barra de Ferramentas",
+DlgLnkPopFullScrn	: "A Toda Pantalla (IE)",
+DlgLnkPopDependent	: "Dependente (Netscape)",
+DlgLnkPopWidth		: "Largura",
+DlgLnkPopHeight		: "Altura",
+DlgLnkPopLeft		: "Posición Esquerda",
+DlgLnkPopTop		: "Posición dende Arriba",
+
+DlnLnkMsgNoUrl		: "Por favor, escriba a ligazón URL",
+DlnLnkMsgNoEMail	: "Por favor, escriba o enderezo de e-mail",
+DlnLnkMsgNoAnchor	: "Por favor, seleccione un destino",
+
+// Color Dialog
+DlgColorTitle		: "Seleccionar Color",
+DlgColorBtnClear	: "Nengunha",
+DlgColorHighlight	: "Destacado",
+DlgColorSelected	: "Seleccionado",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Inserte un Smiley",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Seleccione Caracter Especial",
+
+// Table Dialog
+DlgTableTitle		: "Propiedades da Taboa",
+DlgTableRows		: "Filas",
+DlgTableColumns		: "Columnas",
+DlgTableBorder		: "Tamaño do Borde",
+DlgTableAlign		: "Aliñamento",
+DlgTableAlignNotSet	: "<Non Definido>",
+DlgTableAlignLeft	: "Esquerda",
+DlgTableAlignCenter	: "Centro",
+DlgTableAlignRight	: "Ereita",
+DlgTableWidth		: "Largura",
+DlgTableWidthPx		: "pixels",
+DlgTableWidthPc		: "percent",
+DlgTableHeight		: "Altura",
+DlgTableCellSpace	: "Marxe entre Celas",
+DlgTableCellPad		: "Marxe interior",
+DlgTableCaption		: "Título",
+
+// Table Cell Dialog
+DlgCellTitle		: "Propriedades da Cela",
+DlgCellWidth		: "Largura",
+DlgCellWidthPx		: "pixels",
+DlgCellWidthPc		: "percent",
+DlgCellHeight		: "Altura",
+DlgCellWordWrap		: "Axustar Liñas",
+DlgCellWordWrapNotSet	: "&lt;Non Definido&gt;",
+DlgCellWordWrapYes	: "Si",
+DlgCellWordWrapNo	: "Non",
+DlgCellHorAlign		: "Aliñamento Horizontal",
+DlgCellHorAlignNotSet	: "&lt;Non definido&gt;",
+DlgCellHorAlignLeft	: "Esquerda",
+DlgCellHorAlignCenter	: "Centro",
+DlgCellHorAlignRight: "Dereita",
+DlgCellVerAlign		: "Aliñamento Vertical",
+DlgCellVerAlignNotSet	: "&lt;Non definido&gt;",
+DlgCellVerAlignTop	: "Arriba",
+DlgCellVerAlignMiddle	: "Medio",
+DlgCellVerAlignBottom	: "Abaixo",
+DlgCellVerAlignBaseline	: "Liña de Base",
+DlgCellRowSpan		: "Ocupar Filas",
+DlgCellCollSpan		: "Ocupar Columnas",
+DlgCellBackColor	: "Color de Fondo",
+DlgCellBorderColor	: "Color de Borde",
+DlgCellBtnSelect	: "Seleccionar...",
+
+// Find Dialog
+DlgFindTitle		: "Procurar",
+DlgFindFindBtn		: "Procurar",
+DlgFindNotFoundMsg	: "Non te atopou o texto indicado.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Substituir",
+DlgReplaceFindLbl		: "Texto a procurar:",
+DlgReplaceReplaceLbl	: "Substituir con:",
+DlgReplaceCaseChk		: "Coincidir Mai./min.",
+DlgReplaceReplaceBtn	: "Substituir",
+DlgReplaceReplAllBtn	: "Substitiur Todo",
+DlgReplaceWordChk		: "Coincidir con toda a palabra",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Os axustes de seguridade do seu navegador non permiten que o editor realice automáticamente as tarefas de pegado. Por favor, use o teclado para iso (Ctrl+V).",
+PasteErrorCut	: "Os axustes de seguridade do seu navegador non permiten que o editor realice automáticamente as tarefas de corte. Por favor, use o teclado para iso (Ctrl+X).",
+PasteErrorCopy	: "Os axustes de seguridade do seu navegador non permiten que o editor realice automáticamente as tarefas de copia. Por favor, use o teclado para iso (Ctrl+C).",
+
+PasteAsText		: "Pegar como texto plano",
+PasteFromWord	: "Pegar dende Word",
+
+DlgPasteMsg		: "O editor non pode executar automáticamente o pegado debido ós <STRONG>axustes de seguridade</STRONG> do seu navegador.<BR>Por favor, pegue dentro do seguinte cadro usando o atallo de teclado (<STRONG>Ctrl+V</STRONG>) e pulse <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automático",
+ColorMoreColors	: "Máis Cores...",
+
+// Document Properties
+DocProps		: "Propriedades do Documento",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Propriedades da Referencia",
+DlgAnchorName		: "Nome da Referencia",
+DlgAnchorErrorName	: "Por favor, escriba o nome da referencia",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Non está no diccionario",
+DlgSpellChangeTo		: "Cambiar a",
+DlgSpellBtnIgnore		: "Ignorar",
+DlgSpellBtnIgnoreAll	: "Ignorar Todas",
+DlgSpellBtnReplace		: "Substituir",
+DlgSpellBtnReplaceAll	: "Substituir Todas",
+DlgSpellBtnUndo			: "Desfacer",
+DlgSpellNoSuggestions	: "- Sen candidatos -",
+DlgSpellProgress		: "Corrección ortográfica en progreso...",
+DlgSpellNoMispell		: "Corrección ortográfica rematada: Non se atoparon erros",
+DlgSpellNoChanges		: "Corrección ortográfica rematada: Non se substituiu nengunha verba",
+DlgSpellOneChange		: "Corrección ortográfica rematada: Unha verba substituida",
+DlgSpellManyChanges		: "Corrección ortográfica rematada: %1 verbas substituidas",
+
+IeSpellDownload			: "O corrector ortográfico non está instalado. ¿Quere descargalo agora?",
+
+// Button Dialog
+DlgButtonText	: "Texto (Valor)",
+DlgButtonType	: "Tipo",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Nome",
+DlgCheckboxValue	: "Valor",
+DlgCheckboxSelected	: "Seleccionado",
+
+// Form Dialog
+DlgFormName		: "Nome",
+DlgFormAction	: "Acción",
+DlgFormMethod	: "Método",
+
+// Select Field Dialog
+DlgSelectName		: "Nome",
+DlgSelectValue		: "Valor",
+DlgSelectSize		: "Tamaño",
+DlgSelectLines		: "liñas",
+DlgSelectChkMulti	: "Permitir múltiples seleccións",
+DlgSelectOpAvail	: "Opcións Disponibles",
+DlgSelectOpText		: "Texto",
+DlgSelectOpValue	: "Valor",
+DlgSelectBtnAdd		: "Engadir",
+DlgSelectBtnModify	: "Modificar",
+DlgSelectBtnUp		: "Subir",
+DlgSelectBtnDown	: "Baixar",
+DlgSelectBtnSetValue : "Definir como valor por defecto",
+DlgSelectBtnDelete	: "Borrar",
+
+// Textarea Dialog
+DlgTextareaName	: "Nome",
+DlgTextareaCols	: "Columnas",
+DlgTextareaRows	: "Filas",
+
+// Text Field Dialog
+DlgTextName			: "Nome",
+DlgTextValue		: "Valor",
+DlgTextCharWidth	: "Tamaño do Caracter",
+DlgTextMaxChars		: "Máximo de Caracteres",
+DlgTextType			: "Tipo",
+DlgTextTypeText		: "Texto",
+DlgTextTypePass		: "Chave",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Nome",
+DlgHiddenValue	: "Valor",
+
+// Bulleted List Dialog
+BulletedListProp	: "Propriedades das Marcas",
+NumberedListProp	: "Propriedades da Lista de Numeración",
+DlgLstType			: "Tipo",
+DlgLstTypeCircle	: "Círculo",
+DlgLstTypeDisk		: "Disco",
+DlgLstTypeSquare	: "Cuadrado",
+DlgLstTypeNumbers	: "Números (1, 2, 3)",
+DlgLstTypeLCase		: "Letras Minúsculas (a, b, c)",
+DlgLstTypeUCase		: "Letras Maiúsculas (A, B, C)",
+DlgLstTypeSRoman	: "Números Romanos en minúscula (i, ii, iii)",
+DlgLstTypeLRoman	: "Números Romanos en Maiúscula (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Xeral",
+DlgDocBackTab		: "Fondo",
+DlgDocColorsTab		: "Cores e Marxes",
+DlgDocMetaTab		: "Meta Data",
+
+DlgDocPageTitle		: "Título da Páxina",
+DlgDocLangDir		: "Orientación do Idioma",
+DlgDocLangDirLTR	: "Esquerda a Dereita (LTR)",
+DlgDocLangDirRTL	: "Dereita a Esquerda (RTL)",
+DlgDocLangCode		: "Código de Idioma",
+DlgDocCharSet		: "Codificación do Xogo de Caracteres",
+DlgDocCharSetOther	: "Outra Codificación do Xogo de Caracteres",
+
+DlgDocDocType		: "Encabezado do Tipo de Documento",
+DlgDocDocTypeOther	: "Outro Encabezado do Tipo de Documento",
+DlgDocIncXHTML		: "Incluir Declaracións XHTML",
+DlgDocBgColor		: "Cor de Fondo",
+DlgDocBgImage		: "URL da Imaxe de Fondo",
+DlgDocBgNoScroll	: "Fondo Fixo",
+DlgDocCText			: "Texto",
+DlgDocCLink			: "Ligazóns",
+DlgDocCVisited		: "Ligazón Visitada",
+DlgDocCActive		: "Ligazón Activa",
+DlgDocMargins		: "Marxes da Páxina",
+DlgDocMaTop			: "Arriba",
+DlgDocMaLeft		: "Esquerda",
+DlgDocMaRight		: "Dereita",
+DlgDocMaBottom		: "Abaixo",
+DlgDocMeIndex		: "Palabras Chave de Indexación do Documento (separadas por comas)",
+DlgDocMeDescr		: "Descripción do Documento",
+DlgDocMeAuthor		: "Autor",
+DlgDocMeCopy		: "Copyright",
+DlgDocPreview		: "Vista Previa",
+
+// Templates Dialog
+Templates			: "Plantillas",
+DlgTemplatesTitle	: "Plantillas de Contido",
+DlgTemplatesSelMsg	: "Por favor, seleccione a plantilla a abrir no editor<br>(o contido actual perderase):",
+DlgTemplatesLoading	: "Cargando listado de plantillas. Por favor, espere...",
+DlgTemplatesNoTpl	: "(Non hai plantillas definidas)",
+
+// About Dialog
+DlgAboutAboutTab	: "Acerca de",
+DlgAboutBrowserInfoTab	: "Información do Navegador",
+DlgAboutVersion		: "versión",
+DlgAboutLicense		: "Licencia concedida baixo os termos da GNU Lesser General Public License",
+DlgAboutInfo		: "Para máis información visitar:"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/he.js soojung/libs/fckeditor/editor/lang/he.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/he.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/he.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: he.js
+ * 	Hebrew language file.
+ * 
+ * File Authors:
+ * 		Ophir Radnitz (ophir@liqweed.net)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "rtl",
+
+ToolbarCollapse		: "כיווץ סרגל הכלים",
+ToolbarExpand		: "פתיחת סרגל הכלים",
+
+// Toolbar Items and Context Menu
+Save				: "שמירה",
+NewPage				: "דף חדש",
+Preview				: "תצוגה מקדימה",
+Cut					: "גזירה",
+Copy				: "העתקה",
+Paste				: "הדבקה",
+PasteText			: "הדבקה כטקסט פשוט",
+PasteWord			: "הדבקה מ-Word",
+Print				: "הדפסה",
+SelectAll			: "בחירת הכל",
+RemoveFormat		: "הסרת העיצוב",
+InsertLinkLbl		: "קישור",
+InsertLink			: "הוספת/עריכת קישור",
+RemoveLink			: "הסרת הקישור",
+Anchor				: "Insert/Edit Anchor",	//MISSING
+InsertImageLbl		: "תמונה",
+InsertImage			: "הוספת/עריכת תמונה",
+InsertTableLbl		: "טבלה",
+InsertTable			: "הוספת/עריכת טבלה",
+InsertLineLbl		: "קו",
+InsertLine			: "הוספת קו אופקי",
+InsertSpecialCharLbl: "תו מיוחד",
+InsertSpecialChar	: "הוספת תו מיוחד",
+InsertSmileyLbl		: "סמיילי",
+InsertSmiley		: "הוספת סמיילי",
+About				: "אודות FCKeditor",
+Bold				: "מודגש",
+Italic				: "נטוי",
+Underline			: "קו תחתון",
+StrikeThrough		: "כתיב מחוק",
+Subscript			: "כתיב תחתון",
+Superscript			: "כתיב עליון",
+LeftJustify			: "יישור לשמאל",
+CenterJustify		: "מרכוז",
+RightJustify		: "יישור לימין",
+BlockJustify		: "יישור לשוליים",
+DecreaseIndent		: "הקטנת אינדנטציה",
+IncreaseIndent		: "הגדלת אינדנטציה",
+Undo				: "ביטול צעד אחרון",
+Redo				: "חזרה על צעד אחרון",
+NumberedListLbl		: "רשימה ממוספרת",
+NumberedList		: "הוספת/הסרת רשימה ממוספרת",
+BulletedListLbl		: "רשימת נקודות",
+BulletedList		: "הוספת/הסרת רשימת נקודות",
+ShowTableBorders	: "הצגת מסגרת הטבלה",
+ShowDetails			: "הצגת פרטים",
+Style				: "סגנון",
+FontFormat			: "עיצוב",
+Font				: "גופן",
+FontSize			: "גודל",
+TextColor			: "צבע טקסט",
+BGColor				: "צבע רקע",
+Source				: "מקור",
+Find				: "חיפוש",
+Replace				: "החלפה",
+SpellCheck			: "Check Spell",	//MISSING
+UniversalKeyboard	: "Universal Keyboard",	//MISSING
+
+Form			: "Form",	//MISSING
+Checkbox		: "Checkbox",	//MISSING
+RadioButton		: "Radio Button",	//MISSING
+TextField		: "Text Field",	//MISSING
+Textarea		: "Textarea",	//MISSING
+HiddenField		: "Hidden Field",	//MISSING
+Button			: "Button",	//MISSING
+SelectionField	: "Selection Field",	//MISSING
+ImageButton		: "Image Button",	//MISSING
+
+// Context Menu
+EditLink			: "עריכת קישור",
+InsertRow			: "הוספת שורה",
+DeleteRows			: "מחיקת שורות",
+InsertColumn		: "הוספת עמודה",
+DeleteColumns		: "מחיקת עמודות",
+InsertCell			: "הוספת תא",
+DeleteCells			: "מחיקת תאים",
+MergeCells			: "מיזוג תאים",
+SplitCell			: "פיצול תאים",
+CellProperties		: "תכונות התא",
+TableProperties		: "תכונות הטבלה",
+ImageProperties		: "תכונות התמונה",
+
+AnchorProp			: "Anchor Properties",	//MISSING
+ButtonProp			: "Button Properties",	//MISSING
+CheckboxProp		: "Checkbox Properties",	//MISSING
+HiddenFieldProp		: "Hidden Field Properties",	//MISSING
+RadioButtonProp		: "Radio Button Properties",	//MISSING
+ImageButtonProp		: "Image Button Properties",	//MISSING
+TextFieldProp		: "Text Field Properties",	//MISSING
+SelectionFieldProp	: "Selection Field Properties",	//MISSING
+TextareaProp		: "Textarea Properties",	//MISSING
+FormProp			: "Form Properties",	//MISSING
+
+FontFormats			: "נורמלי;קוד;כתובת;כותרת;כותרת 2;כותרת 3;כותרת 4;כותרת 5;כותרת 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "מעבד XHTML, נא להמתין...",
+Done				: "המשימה הושלמה",
+PasteWordConfirm	: "נראה הטקסט שבכוונתך להדביק מקורו בקובץ Word. האם ברצונך לנקות אותו טרם ההדבקה?",
+NotCompatiblePaste	: "פעולה זו זמינה לדפדפן Internet Explorer מגירסא 5.5 ומעלה. האם להמשיך בהדבקה ללא הניקוי?",
+UnknownToolbarItem	: "פריט לא ידוע בסרגל הכלים \"%1\"",
+UnknownCommand		: "שם פעולה לא ידוע \"%1\"",
+NotImplemented		: "הפקודה לא מיושמת",
+UnknownToolbarSet	: "ערכת סרגל הכלים \"%1\" לא קיימת",
+
+// Dialogs
+DlgBtnOK			: "אישור",
+DlgBtnCancel		: "ביטול",
+DlgBtnClose			: "סגירה",
+DlgBtnBrowseServer	: "Browse Server",	//MISSING
+DlgAdvancedTag		: "אפשרויות מתקדמות",
+DlgOpOther			: "&lt;Other&gt;",	//MISSING
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;לא נקבע&gt;",
+DlgGenId			: "זיהוי (Id)",
+DlgGenLangDir		: "כיוון שפה",
+DlgGenLangDirLtr	: "שמאל לימין (LTR)",
+DlgGenLangDirRtl	: "ימין לשמאל (RTL)",
+DlgGenLangCode		: "קוד שפה",
+DlgGenAccessKey		: "מקש גישה",
+DlgGenName			: "שם",
+DlgGenTabIndex		: "מספר טאב",
+DlgGenLongDescr		: "קישור לתיאור מפורט",
+DlgGenClass			: "Stylesheet Classes",
+DlgGenTitle			: "כותרת מוצעת",
+DlgGenContType		: "Content Type מוצע",
+DlgGenLinkCharset	: "קידוד המשאב המקושר",
+DlgGenStyle			: "סגנון",
+
+// Image Dialog
+DlgImgTitle			: "תכונות התמונה",
+DlgImgInfoTab		: "מידע על התמונה",
+DlgImgBtnUpload		: "שליחה לשרת",
+DlgImgURL			: "כתובת (URL)",
+DlgImgUpload		: "העלאה",
+DlgImgAlt			: "טקסט חלופי",
+DlgImgWidth			: "רוחב",
+DlgImgHeight		: "גובה",
+DlgImgLockRatio		: "נעילת היחס",
+DlgBtnResetSize		: "איפוס הגודל",
+DlgImgBorder		: "מסגרת",
+DlgImgHSpace		: "מרווח אופקי",
+DlgImgVSpace		: "מרווח אנכי",
+DlgImgAlign			: "יישור",
+DlgImgAlignLeft		: "לשמאל",
+DlgImgAlignAbsBottom: "לתחתית האבסולוטית",
+DlgImgAlignAbsMiddle: "מרכוז אבסולוטי",
+DlgImgAlignBaseline	: "לקו התחתית",
+DlgImgAlignBottom	: "לתחתית",
+DlgImgAlignMiddle	: "לאמצע",
+DlgImgAlignRight	: "לימין",
+DlgImgAlignTextTop	: "לראש הטקסט",
+DlgImgAlignTop		: "למעלה",
+DlgImgPreview		: "תצוגה מקדימה",
+DlgImgAlertUrl		: "נא להקליד את כתובת התמונה",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "קישור",
+DlgLnkInfoTab		: "מידע על הקישור",
+DlgLnkTargetTab		: "מטרה",
+
+DlgLnkType			: "סוג קישור",
+DlgLnkTypeURL		: "כתובת (URL)",
+DlgLnkTypeAnchor	: "עוגן בעמוד זה",
+DlgLnkTypeEMail		: "דוא''ל",
+DlgLnkProto			: "פרוטוקול",
+DlgLnkProtoOther	: "&lt;אחר&gt;",
+DlgLnkURL			: "כתובת (URL)",
+DlgLnkAnchorSel		: "בחירת עוגן",
+DlgLnkAnchorByName	: "עפ''י שם העוגן",
+DlgLnkAnchorById	: "עפ''י זיהוי (Id) הרכיב",
+DlgLnkNoAnchors		: "&lt;אין עוגנים זמינים בדף&gt;",
+DlgLnkEMail			: "כתובת הדוא''ל",
+DlgLnkEMailSubject	: "נושא ההודעה",
+DlgLnkEMailBody		: "גוף ההודעה",
+DlgLnkUpload		: "העלאה",
+DlgLnkBtnUpload		: "שליחה לשרת",
+
+DlgLnkTarget		: "מטרה",
+DlgLnkTargetFrame	: "&lt;frame&gt;",
+DlgLnkTargetPopup	: "&lt;חלון קופץ&gt;",
+DlgLnkTargetBlank	: "חלון חדש (_blank)",
+DlgLnkTargetParent	: "חלון האב (_parent)",
+DlgLnkTargetSelf	: "באותו החלון (_self)",
+DlgLnkTargetTop		: "חלון ראשי (_top)",
+DlgLnkTargetFrameName	: "Target Frame Name",	//MISSING
+DlgLnkPopWinName	: "שם החלון הקופץ",
+DlgLnkPopWinFeat	: "תכונות החלון הקופץ",
+DlgLnkPopResize		: "בעל גודל ניתן לשינוי",
+DlgLnkPopLocation	: "סרגל כתובת",
+DlgLnkPopMenu		: "סרגל תפריט",
+DlgLnkPopScroll		: "ניתן לגלילה",
+DlgLnkPopStatus		: "סרגל חיווי",
+DlgLnkPopToolbar	: "סרגל הכלים",
+DlgLnkPopFullScrn	: "מסך מלא (IE)",
+DlgLnkPopDependent	: "תלוי (Netscape)",
+DlgLnkPopWidth		: "רוחב",
+DlgLnkPopHeight		: "גובה",
+DlgLnkPopLeft		: "מיקום צד שמאל",
+DlgLnkPopTop		: "מיקום צד עליון",
+
+DlnLnkMsgNoUrl		: "נא להקליד את כתובת הקישור (URL)",
+DlnLnkMsgNoEMail	: "נא להקליד את כתובת הדוא''ל",
+DlnLnkMsgNoAnchor	: "נא לבחור עוגן במסמך",
+
+// Color Dialog
+DlgColorTitle		: "בחירת צבע",
+DlgColorBtnClear	: "איפוס",
+DlgColorHighlight	: "נוכחי",
+DlgColorSelected	: "נבחר",
+
+// Smiley Dialog
+DlgSmileyTitle		: "הוספת סמיילי",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "בחירת תו מיוחד",
+
+// Table Dialog
+DlgTableTitle		: "תכונות טבלה",
+DlgTableRows		: "שורות",
+DlgTableColumns		: "עמודות",
+DlgTableBorder		: "גודל מסגרת",
+DlgTableAlign		: "יישור",
+DlgTableAlignNotSet	: "<לא נקבע>",
+DlgTableAlignLeft	: "שמאל",
+DlgTableAlignCenter	: "מרכז",
+DlgTableAlignRight	: "ימין",
+DlgTableWidth		: "רוחב",
+DlgTableWidthPx		: "פיקסלים",
+DlgTableWidthPc		: "אחוז",
+DlgTableHeight		: "גובה",
+DlgTableCellSpace	: "מרווח תא",
+DlgTableCellPad		: "ריפוד תא",
+DlgTableCaption		: "כיתוב",
+
+// Table Cell Dialog
+DlgCellTitle		: "תכונות תא",
+DlgCellWidth		: "רוחב",
+DlgCellWidthPx		: "פיקסלים",
+DlgCellWidthPc		: "אחוז",
+DlgCellHeight		: "גובה",
+DlgCellWordWrap		: "גלילת שורות",
+DlgCellWordWrapNotSet	: "<לא נקבע>",
+DlgCellWordWrapYes	: "כן",
+DlgCellWordWrapNo	: "לא",
+DlgCellHorAlign		: "יישור אופקי",
+DlgCellHorAlignNotSet	: "<לא נקבע>",
+DlgCellHorAlignLeft	: "שמאל",
+DlgCellHorAlignCenter	: "מרכז",
+DlgCellHorAlignRight: "ימין",
+DlgCellVerAlign		: "יישור אנכי",
+DlgCellVerAlignNotSet	: "<לא נקבע>",
+DlgCellVerAlignTop	: "למעלה",
+DlgCellVerAlignMiddle	: "לאמצע",
+DlgCellVerAlignBottom	: "לתחתית",
+DlgCellVerAlignBaseline	: "קו תחתית",
+DlgCellRowSpan		: "טווח שורות",
+DlgCellCollSpan		: "טווח עמודות",
+DlgCellBackColor	: "צבע רקע",
+DlgCellBorderColor	: "צבע מסגרת",
+DlgCellBtnSelect	: "בחירה...",
+
+// Find Dialog
+DlgFindTitle		: "חיפוש",
+DlgFindFindBtn		: "חיפוש",
+DlgFindNotFoundMsg	: "הטקסט המבוקש לא נמצא.",
+
+// Replace Dialog
+DlgReplaceTitle			: "החלפה",
+DlgReplaceFindLbl		: "חיפוש מחרוזת:",
+DlgReplaceReplaceLbl	: "החלפה במחרוזת:",
+DlgReplaceCaseChk		: "התאמת סוג אותיות (Case)",
+DlgReplaceReplaceBtn	: "החלפה",
+DlgReplaceReplAllBtn	: "החלפה בכל העמוד",
+DlgReplaceWordChk		: "התאמה למילה המלאה",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "הגדרות האבטחה בדפדפן שלך לא מאפשרות לעורך לבצע פעולות הדבקה אוטומטיות. יש להשתמש במקלדת לשם כך (Ctrl+V).",
+PasteErrorCut	: "הגדרות האבטחה בדפדפן שלך לא מאפשרות לעורך לבצע פעולות גזירה  אוטומטיות. יש להשתמש במקלדת לשם כך (Ctrl+X).",
+PasteErrorCopy	: "הגדרות האבטחה בדפדפן שלך לא מאפשרות לעורך לבצע פעולות העתקה אוטומטיות. יש להשתמש במקלדת לשם כך (Ctrl+C).",
+
+PasteAsText		: "הדבקה כטקסט פשוט",
+PasteFromWord	: "הדבקה מ-Word",
+
+DlgPasteMsg		: "העורך לא הצליח לבצע הדבקה אוטומטית בגלל<STRONG>הגדרות האבטחה</STRONG> של הדפדפן שלך.<BR>נא להדביק לתוך התיבה הבאה באמצעות המקלדת (<STRONG>Ctrl+V</STRONG>) וללחוץ על <STRONG>אישור</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "אוטומטי",
+ColorMoreColors	: "צבעים נוספים...",
+
+// Document Properties
+DocProps		: "Document Properties",	//MISSING
+
+// Anchor Dialog
+DlgAnchorTitle		: "Anchor Properties",	//MISSING
+DlgAnchorName		: "Anchor Name",	//MISSING
+DlgAnchorErrorName	: "Please type the anchor name",	//MISSING
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Not in dictionary",	//MISSING
+DlgSpellChangeTo		: "Change to",	//MISSING
+DlgSpellBtnIgnore		: "Ignore",	//MISSING
+DlgSpellBtnIgnoreAll	: "Ignore All",	//MISSING
+DlgSpellBtnReplace		: "Replace",	//MISSING
+DlgSpellBtnReplaceAll	: "Replace All",	//MISSING
+DlgSpellBtnUndo			: "Undo",	//MISSING
+DlgSpellNoSuggestions	: "- No suggestions -",	//MISSING
+DlgSpellProgress		: "Spell check in progress...",	//MISSING
+DlgSpellNoMispell		: "Spell check complete: No misspellings found",	//MISSING
+DlgSpellNoChanges		: "Spell check complete: No words changed",	//MISSING
+DlgSpellOneChange		: "Spell check complete: One word changed",	//MISSING
+DlgSpellManyChanges		: "Spell check complete: %1 words changed",	//MISSING
+
+IeSpellDownload			: "Spell checker not installed. Do you want to download it now?",	//MISSING
+
+// Button Dialog
+DlgButtonText	: "Text (Value)",	//MISSING
+DlgButtonType	: "Type",	//MISSING
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Name",	//MISSING
+DlgCheckboxValue	: "Value",	//MISSING
+DlgCheckboxSelected	: "Selected",	//MISSING
+
+// Form Dialog
+DlgFormName		: "Name",	//MISSING
+DlgFormAction	: "Action",	//MISSING
+DlgFormMethod	: "Method",	//MISSING
+
+// Select Field Dialog
+DlgSelectName		: "Name",	//MISSING
+DlgSelectValue		: "Value",	//MISSING
+DlgSelectSize		: "Size",	//MISSING
+DlgSelectLines		: "lines",	//MISSING
+DlgSelectChkMulti	: "Allow multiple selections",	//MISSING
+DlgSelectOpAvail	: "Available Options",	//MISSING
+DlgSelectOpText		: "Text",	//MISSING
+DlgSelectOpValue	: "Value",	//MISSING
+DlgSelectBtnAdd		: "Add",	//MISSING
+DlgSelectBtnModify	: "Modify",	//MISSING
+DlgSelectBtnUp		: "Up",	//MISSING
+DlgSelectBtnDown	: "Down",	//MISSING
+DlgSelectBtnSetValue : "Set as selected value",	//MISSING
+DlgSelectBtnDelete	: "Delete",	//MISSING
+
+// Textarea Dialog
+DlgTextareaName	: "Name",	//MISSING
+DlgTextareaCols	: "Columns",	//MISSING
+DlgTextareaRows	: "Rows",	//MISSING
+
+// Text Field Dialog
+DlgTextName			: "Name",	//MISSING
+DlgTextValue		: "Value",	//MISSING
+DlgTextCharWidth	: "Character Width",	//MISSING
+DlgTextMaxChars		: "Maximum Characters",	//MISSING
+DlgTextType			: "Type",	//MISSING
+DlgTextTypeText		: "Text",	//MISSING
+DlgTextTypePass		: "Password",	//MISSING
+
+// Hidden Field Dialog
+DlgHiddenName	: "Name",	//MISSING
+DlgHiddenValue	: "Value",	//MISSING
+
+// Bulleted List Dialog
+BulletedListProp	: "Bulleted List Properties",	//MISSING
+NumberedListProp	: "Numbered List Properties",	//MISSING
+DlgLstType			: "Type",	//MISSING
+DlgLstTypeCircle	: "Circle",	//MISSING
+DlgLstTypeDisk		: "Disk",	//MISSING
+DlgLstTypeSquare	: "Square",	//MISSING
+DlgLstTypeNumbers	: "Numbers (1, 2, 3)",	//MISSING
+DlgLstTypeLCase		: "Lowercase Letters (a, b, c)",	//MISSING
+DlgLstTypeUCase		: "Uppercase Letters (A, B, C)",	//MISSING
+DlgLstTypeSRoman	: "Small Roman Numerals (i, ii, iii)",	//MISSING
+DlgLstTypeLRoman	: "Large Roman Numerals (I, II, III)",	//MISSING
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",	//MISSING
+DlgDocBackTab		: "Background",	//MISSING
+DlgDocColorsTab		: "Colors and Margins",	//MISSING
+DlgDocMetaTab		: "Meta Data",	//MISSING
+
+DlgDocPageTitle		: "Page Title",	//MISSING
+DlgDocLangDir		: "Language Direction",	//MISSING
+DlgDocLangDirLTR	: "Left to Right (LTR)",	//MISSING
+DlgDocLangDirRTL	: "Right to Left (RTL)",	//MISSING
+DlgDocLangCode		: "Language Code",	//MISSING
+DlgDocCharSet		: "Character Set Encoding",	//MISSING
+DlgDocCharSetOther	: "Other Character Set Encoding",	//MISSING
+
+DlgDocDocType		: "Document Type Heading",	//MISSING
+DlgDocDocTypeOther	: "Other Document Type Heading",	//MISSING
+DlgDocIncXHTML		: "Include XHTML Declarations",	//MISSING
+DlgDocBgColor		: "Background Color",	//MISSING
+DlgDocBgImage		: "Background Image URL",	//MISSING
+DlgDocBgNoScroll	: "Nonscrolling Background",	//MISSING
+DlgDocCText			: "Text",	//MISSING
+DlgDocCLink			: "Link",	//MISSING
+DlgDocCVisited		: "Visited Link",	//MISSING
+DlgDocCActive		: "Active Link",	//MISSING
+DlgDocMargins		: "Page Margins",	//MISSING
+DlgDocMaTop			: "Top",	//MISSING
+DlgDocMaLeft		: "Left",	//MISSING
+DlgDocMaRight		: "Right",	//MISSING
+DlgDocMaBottom		: "Bottom",	//MISSING
+DlgDocMeIndex		: "Document Indexing Keywords (comma separated)",	//MISSING
+DlgDocMeDescr		: "Document Description",	//MISSING
+DlgDocMeAuthor		: "Author",	//MISSING
+DlgDocMeCopy		: "Copyright",	//MISSING
+DlgDocPreview		: "Preview",	//MISSING
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "About",	//MISSING
+DlgAboutBrowserInfoTab	: "Browser Info",	//MISSING
+DlgAboutVersion		: "גירסא",
+DlgAboutLicense		: "ברשיון תחת תנאי GNU Lesser General Public License",
+DlgAboutInfo		: "מידע נוסף ניתן למצוא כאן:"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/hr.js soojung/libs/fckeditor/editor/lang/hr.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/hr.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/hr.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: hr.js
+ * 	Croatian language file.
+ * 
+ * File Authors:
+ * 		Alex Varga (avarga@globaldizajn.hr)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Smanji trake s alatima",
+ToolbarExpand		: "Proširi trake s alatima",
+
+// Toolbar Items and Context Menu
+Save				: "Snimi",
+NewPage				: "Nova stranica",
+Preview				: "Pregledaj",
+Cut					: "Izreži",
+Copy				: "Kopiraj",
+Paste				: "Zalijepi",
+PasteText			: "Zalijepi kao čisti tekst",
+PasteWord			: "Zalijepi iz Worda",
+Print				: "Ispiši",
+SelectAll			: "Odaberi sve",
+RemoveFormat		: "Ukloni formatiranje",
+InsertLinkLbl		: "Link",
+InsertLink			: "Ubaci/promjeni link",
+RemoveLink			: "Ukloni link",
+Anchor				: "Ubaci/promjeni sidro",
+InsertImageLbl		: "Slika",
+InsertImage			: "Ubaci/promjeni sliku",
+InsertTableLbl		: "Tablica",
+InsertTable			: "Ubaci/promjeni tablicu",
+InsertLineLbl		: "Linija",
+InsertLine			: "Ubaci vodoravnu liniju",
+InsertSpecialCharLbl: "Posebni karakteri",
+InsertSpecialChar	: "Ubaci posebne karaktere",
+InsertSmileyLbl		: "Smješko",
+InsertSmiley		: "Ubaci smješka",
+About				: "O FCKeditoru",
+Bold				: "Podebljaj",
+Italic				: "Ukosi",
+Underline			: "Podcrtano",
+StrikeThrough		: "Precrtano",
+Subscript			: "Subscript",
+Superscript			: "Superscript",
+LeftJustify			: "Lijevo poravnanje",
+CenterJustify		: "Središnje poravnanje",
+RightJustify		: "Desno poravnanje",
+BlockJustify		: "Blok poravnanje",
+DecreaseIndent		: "Pomakni ulijevo",
+IncreaseIndent		: "Pomakni udesno",
+Undo				: "Poništi",
+Redo				: "Ponovi",
+NumberedListLbl		: "Brojčana lista",
+NumberedList		: "Ubaci/ukloni brojčanu listu",
+BulletedListLbl		: "Obična lista",
+BulletedList		: "Ubaci/ukloni običnu listu",
+ShowTableBorders	: "Prikaži okvir tablice",
+ShowDetails			: "Prikaži detalje",
+Style				: "Stil",
+FontFormat			: "Format",
+Font				: "Font",
+FontSize			: "Veličina",
+TextColor			: "Boja teksta",
+BGColor				: "Boja pozadine",
+Source				: "K&ocirc;d",
+Find				: "Pronađi",
+Replace				: "Zamijeni",
+SpellCheck			: "Provjeri pravopis",
+UniversalKeyboard	: "Univerzalna tipkovnica",
+
+Form			: "Form",
+Checkbox		: "Checkbox",
+RadioButton		: "Radio Button",
+TextField		: "Text Field",
+Textarea		: "Textarea",
+HiddenField		: "Hidden Field",
+Button			: "Button",
+SelectionField	: "Selection Field",
+ImageButton		: "Image Button",
+
+// Context Menu
+EditLink			: "Promjeni link",
+InsertRow			: "Ubaci red",
+DeleteRows			: "Izbriši redove",
+InsertColumn		: "Ubaci kolonu",
+DeleteColumns		: "Izbriši kolone",
+InsertCell			: "Ubaci ćelije",
+DeleteCells			: "Izbriši ćelije",
+MergeCells			: "Spoji ćelije",
+SplitCell			: "Razdvoji ćelije",
+CellProperties		: "Svojstva ćelije",
+TableProperties		: "Svojstva tablice",
+ImageProperties		: "Svojstva slike",
+
+AnchorProp			: "Svojstva sidra",
+ButtonProp			: "Image Button svojstva",
+CheckboxProp		: "Checkbox svojstva",
+HiddenFieldProp		: "Hidden Field svojstva",
+RadioButtonProp		: "Radio Button svojstva",
+ImageButtonProp		: "Image Button svojstva",
+TextFieldProp		: "Text Field svojstva",
+SelectionFieldProp	: "Selection svojstva",
+TextareaProp		: "Textarea svojstva",
+FormProp			: "Form svojstva",
+
+FontFormats			: "Normal;Formatirano;Adresa;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Obrađujem XHTML. Molimo pričekajte...",
+Done				: "Završio",
+PasteWordConfirm	: "Tekst koji želite zalijepiti čini se da je kopiran iz Worda. Želite li prije očistiti tekst?",
+NotCompatiblePaste	: "Ova naredba je dostupna samo u Internet Exploreru 5.5 ili novijem. Želite li nastaviti bez čišćenja?",
+UnknownToolbarItem	: "Nepoznati član trake s alatima \"%1\"",
+UnknownCommand		: "Nepoznata naredba \"%1\"",
+NotImplemented		: "Naredba nije implementirana",
+UnknownToolbarSet	: "Traka s alatima \"%1\" ne postoji",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Poništi",
+DlgBtnClose			: "Zatvori",
+DlgBtnBrowseServer	: "Pretraži server",
+DlgAdvancedTag		: "Napredno",
+DlgOpOther			: "&lt;Drugo&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;nije postavljeno&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Smjer jezika",
+DlgGenLangDirLtr	: "S lijeva na desno (LTR)",
+DlgGenLangDirRtl	: "S desna na lijevo (RTL)",
+DlgGenLangCode		: "K&ocirc;d jezika",
+DlgGenAccessKey		: "Pristupna tipka",
+DlgGenName			: "Naziv",
+DlgGenTabIndex		: "Tab Indeks",
+DlgGenLongDescr		: "Dugački opis URL",
+DlgGenClass			: "Stylesheet klase",
+DlgGenTitle			: "Advisory naslov",
+DlgGenContType		: "Advisory vrsta sadržaja",
+DlgGenLinkCharset	: "Linked Resource Charset",
+DlgGenStyle			: "Stil",
+
+// Image Dialog
+DlgImgTitle			: "Svojstva slika",
+DlgImgInfoTab		: "Info slike",
+DlgImgBtnUpload		: "Pošalji na server",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Pošalji",
+DlgImgAlt			: "Alternativni tekst",
+DlgImgWidth			: "Širina",
+DlgImgHeight		: "Visina",
+DlgImgLockRatio		: "Zaključaj odnos",
+DlgBtnResetSize		: "Obriši veličinu",
+DlgImgBorder		: "Okvir",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Poravnaj",
+DlgImgAlignLeft		: "Lijevo",
+DlgImgAlignAbsBottom: "Abs dolje",
+DlgImgAlignAbsMiddle: "Abs sredina",
+DlgImgAlignBaseline	: "Bazno",
+DlgImgAlignBottom	: "Dolje",
+DlgImgAlignMiddle	: "Sredina",
+DlgImgAlignRight	: "Desno",
+DlgImgAlignTextTop	: "Vrh teksta",
+DlgImgAlignTop		: "Vrh",
+DlgImgPreview		: "Pregledaj",
+DlgImgAlertUrl		: "Unesite URL slike",
+DlgImgLinkTab		: "Link",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Link",
+DlgLnkInfoTab		: "Link Info",
+DlgLnkTargetTab		: "Meta",
+
+DlgLnkType			: "Link vrsta",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Sidro na ovoj stranici",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protokol",
+DlgLnkProtoOther	: "&lt;drugo&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Odaberi sidro",
+DlgLnkAnchorByName	: "Po nazivu sidra",
+DlgLnkAnchorById	: "Po Id elementa",
+DlgLnkNoAnchors		: "&lt;Nema dostupnih sidra&gt;",
+DlgLnkEMail			: "E-Mail adresa",
+DlgLnkEMailSubject	: "Naslov",
+DlgLnkEMailBody		: "Sadržaj poruke",
+DlgLnkUpload		: "Pošalji",
+DlgLnkBtnUpload		: "Pošalji na server",
+
+DlgLnkTarget		: "Meta",
+DlgLnkTargetFrame	: "&lt;okvir&gt;",
+DlgLnkTargetPopup	: "&lt;popup prozor&gt;",
+DlgLnkTargetBlank	: "Novi prozor (_blank)",
+DlgLnkTargetParent	: "Roditeljski prozor (_parent)",
+DlgLnkTargetSelf	: "Isti prozor (_self)",
+DlgLnkTargetTop		: "Vršni prozor (_top)",
+DlgLnkTargetFrameName	: "Ime ciljnog okvira",
+DlgLnkPopWinName	: "Naziv popup prozora",
+DlgLnkPopWinFeat	: "Mogućnosti popup prozora",
+DlgLnkPopResize		: "Promjenjljive veličine",
+DlgLnkPopLocation	: "Traka za lokaciju",
+DlgLnkPopMenu		: "Izborna traka",
+DlgLnkPopScroll		: "Scroll traka",
+DlgLnkPopStatus		: "Statusna traka",
+DlgLnkPopToolbar	: "Traka s alatima",
+DlgLnkPopFullScrn	: "Cijeli ekran (IE)",
+DlgLnkPopDependent	: "Ovisno (Netscape)",
+DlgLnkPopWidth		: "Širina",
+DlgLnkPopHeight		: "Visina",
+DlgLnkPopLeft		: "Lijeva pozicija",
+DlgLnkPopTop		: "Gornja pozicija",
+
+DlnLnkMsgNoUrl		: "Molimo upišite URL link",
+DlnLnkMsgNoEMail	: "Molimo upišite e-mail adresu",
+DlnLnkMsgNoAnchor	: "Molimo odaberite sidro",
+
+// Color Dialog
+DlgColorTitle		: "Odaberite boju",
+DlgColorBtnClear	: "Obriši",
+DlgColorHighlight	: "Osvijetli",
+DlgColorSelected	: "Odaberi",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Ubaci smješka",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Odaberite posebni karakter",
+
+// Table Dialog
+DlgTableTitle		: "Svojstva tablice",
+DlgTableRows		: "Redova",
+DlgTableColumns		: "Kolona",
+DlgTableBorder		: "Veličina okvira",
+DlgTableAlign		: "Poravnanje",
+DlgTableAlignNotSet	: "<nije postavljeno>",
+DlgTableAlignLeft	: "Lijevo",
+DlgTableAlignCenter	: "Središnje",
+DlgTableAlignRight	: "Desno",
+DlgTableWidth		: "Širina",
+DlgTableWidthPx		: "piksela",
+DlgTableWidthPc		: "postotaka",
+DlgTableHeight		: "Visina",
+DlgTableCellSpace	: "Prostornost ćelija",
+DlgTableCellPad		: "Razmak ćelija",
+DlgTableCaption		: "Naslov",
+
+// Table Cell Dialog
+DlgCellTitle		: "Svojstva ćelije",
+DlgCellWidth		: "Širina",
+DlgCellWidthPx		: "piksela",
+DlgCellWidthPc		: "postotaka",
+DlgCellHeight		: "Visina",
+DlgCellWordWrap		: "Word Wrap",
+DlgCellWordWrapNotSet	: "<nije postavljeno>",
+DlgCellWordWrapYes	: "Da",
+DlgCellWordWrapNo	: "Ne",
+DlgCellHorAlign		: "Vodoravno poravnanje",
+DlgCellHorAlignNotSet	: "<nije postavljeno>",
+DlgCellHorAlignLeft	: "Lijevo",
+DlgCellHorAlignCenter	: "Središnje",
+DlgCellHorAlignRight: "Desno",
+DlgCellVerAlign		: "Okomito poravnanje",
+DlgCellVerAlignNotSet	: "<nije postavljeno>",
+DlgCellVerAlignTop	: "Gornje",
+DlgCellVerAlignMiddle	: "Srednišnje",
+DlgCellVerAlignBottom	: "Donje",
+DlgCellVerAlignBaseline	: "Bazno",
+DlgCellRowSpan		: "Spajanje redova",
+DlgCellCollSpan		: "Spajanje kolona",
+DlgCellBackColor	: "Boja pozadine",
+DlgCellBorderColor	: "Boja okvira",
+DlgCellBtnSelect	: "Odaberi...",
+
+// Find Dialog
+DlgFindTitle		: "Pronađi",
+DlgFindFindBtn		: "Pronađi",
+DlgFindNotFoundMsg	: "Traženi tekst nije pronađen.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Zamijeni",
+DlgReplaceFindLbl		: "Pronađi:",
+DlgReplaceReplaceLbl	: "Zamijeni sa:",
+DlgReplaceCaseChk		: "Usporedi mala/velika slova",
+DlgReplaceReplaceBtn	: "Zamijeni",
+DlgReplaceReplAllBtn	: "Zamijeni sve",
+DlgReplaceWordChk		: "Usporedi cijele riječi",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Sigurnosne postavke Vašeg pretraživača ne dozvoljavaju operacije automatskog ljepljenja. Molimo koristite kraticu na tipkovnici (Ctrl+V).",
+PasteErrorCut	: "Sigurnosne postavke Vašeg pretraživača ne dozvoljavaju operacije automatskog izrezivanja. Molimo koristite kraticu na tipkovnici (Ctrl+X).",
+PasteErrorCopy	: "Sigurnosne postavke Vašeg pretraživača ne dozvoljavaju operacije automatskog kopiranja. Molimo koristite kraticu na tipkovnici (Ctrl+C).",
+
+PasteAsText		: "Zalijepi kao čisti tekst",
+PasteFromWord	: "Zalijepi iz Worda",
+
+DlgPasteMsg		: "Editor nije mogao automatski zalijepiti zbog  <STRONG>sigurnosnih postavki</STRONG> Vašeg pretraživača.<BR>Molimo zalijepite unutar sljedeće kocke koristeći tipkovnicu (<STRONG>Ctrl+V</STRONG>) i pritisnite na <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatski",
+ColorMoreColors	: "Više boja...",
+
+// Document Properties
+DocProps		: "Svojstva dokumenta",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Svojstva sidra",
+DlgAnchorName		: "Ime sidra",
+DlgAnchorErrorName	: "Molimo unesite ime sidra",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Nije u rječniku",
+DlgSpellChangeTo		: "Promjeni u",
+DlgSpellBtnIgnore		: "Zanemari",
+DlgSpellBtnIgnoreAll	: "Zanemari sve",
+DlgSpellBtnReplace		: "Zamijeni",
+DlgSpellBtnReplaceAll	: "Zamijeni sve",
+DlgSpellBtnUndo			: "Vrati",
+DlgSpellNoSuggestions	: "-Nema preporuke-",
+DlgSpellProgress		: "Provjera u tijeku...",
+DlgSpellNoMispell		: "Provjera završena: Nema greaka",
+DlgSpellNoChanges		: "Provjera završena: Nije napravljena promjena",
+DlgSpellOneChange		: "Provjera završena: Jedna riječ promjenjena",
+DlgSpellManyChanges		: "Provjera završena: Promjenjeno %1 riječi",
+
+IeSpellDownload			: "Provjera pravopisa nije instalirana. Želite li skinuti provjeru pravopisa?",
+
+// Button Dialog
+DlgButtonText	: "Tekst (vrijednost)",
+DlgButtonType	: "Vrsta",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Ime",
+DlgCheckboxValue	: "Vrijednost",
+DlgCheckboxSelected	: "Odabrano",
+
+// Form Dialog
+DlgFormName		: "Ime",
+DlgFormAction	: "Akcija",
+DlgFormMethod	: "Metoda",
+
+// Select Field Dialog
+DlgSelectName		: "Ime",
+DlgSelectValue		: "Vrijednost",
+DlgSelectSize		: "Veličina",
+DlgSelectLines		: "linija",
+DlgSelectChkMulti	: "Dozvoli višestruki odabir",
+DlgSelectOpAvail	: "Dostupne opcije",
+DlgSelectOpText		: "Tekst",
+DlgSelectOpValue	: "Vrijednost",
+DlgSelectBtnAdd		: "Dodaj",
+DlgSelectBtnModify	: "Promjeni",
+DlgSelectBtnUp		: "Gore",
+DlgSelectBtnDown	: "Dolje",
+DlgSelectBtnSetValue : "Postavi kao odabranu vrijednost",
+DlgSelectBtnDelete	: "Obriši",
+
+// Textarea Dialog
+DlgTextareaName	: "Ime",
+DlgTextareaCols	: "Kolona",
+DlgTextareaRows	: "Redova",
+
+// Text Field Dialog
+DlgTextName			: "Ime",
+DlgTextValue		: "Vrijednost",
+DlgTextCharWidth	: "irina",
+DlgTextMaxChars		: "Najviše karaktera",
+DlgTextType			: "Vrsta",
+DlgTextTypeText		: "Tekst",
+DlgTextTypePass		: "Šifra",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Ime",
+DlgHiddenValue	: "Vrijednost",
+
+// Bulleted List Dialog
+BulletedListProp	: "Svojstva liste",
+NumberedListProp	: "Svojstva brojčane liste",
+DlgLstType			: "Vrsta",
+DlgLstTypeCircle	: "Krug",
+DlgLstTypeDisk		: "Disk",
+DlgLstTypeSquare	: "Kvadrat",
+DlgLstTypeNumbers	: "Brojevi (1, 2, 3)",
+DlgLstTypeLCase		: "Mala slova (a, b, c)",
+DlgLstTypeUCase		: "Velika slova (A, B, C)",
+DlgLstTypeSRoman	: "Male rimske brojke (i, ii, iii)",
+DlgLstTypeLRoman	: "Velike rimske brojke (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Općenito",
+DlgDocBackTab		: "Pozadina",
+DlgDocColorsTab		: "Boje i margine",
+DlgDocMetaTab		: "Meta Data",
+
+DlgDocPageTitle		: "Naslov stranice",
+DlgDocLangDir		: "Smjer jezika",
+DlgDocLangDirLTR	: "S lijeva na desno",
+DlgDocLangDirRTL	: "S desna na lijevo",
+DlgDocLangCode		: "K&ocirc;d jezika",
+DlgDocCharSet		: "Enkodiranje znakova",
+DlgDocCharSetOther	: "Ostalo enkodiranje znakova",
+
+DlgDocDocType		: "Zaglavlje vrste dokumenta",
+DlgDocDocTypeOther	: "Ostalo zaglavlje vrste dokumenta",
+DlgDocIncXHTML		: "Ubaci XHTML deklaracije",
+DlgDocBgColor		: "Boja pozadine",
+DlgDocBgImage		: "URL slike pozadine",
+DlgDocBgNoScroll	: "Pozadine se ne pomiče",
+DlgDocCText			: "Tekst",
+DlgDocCLink			: "Link",
+DlgDocCVisited		: "Posjećeni link",
+DlgDocCActive		: "Aktivni link",
+DlgDocMargins		: "Margine stranice",
+DlgDocMaTop			: "Vrh",
+DlgDocMaLeft		: "Lijevo",
+DlgDocMaRight		: "Desno",
+DlgDocMaBottom		: "Dolje",
+DlgDocMeIndex		: "Ključne riječi dokumenta (odvojene zarezom)",
+DlgDocMeDescr		: "Opis dokumenta",
+DlgDocMeAuthor		: "Autor",
+DlgDocMeCopy		: "Autorska prava",
+DlgDocPreview		: "Pregledaj",
+
+// Templates Dialog
+Templates			: "Predlošci",
+DlgTemplatesTitle	: "Predlošci sadržaja",
+DlgTemplatesSelMsg	: "Molimo odaberite predložak koji želite otvoriti<br>(stvarni sadržaj će biti izgubljen):",
+DlgTemplatesLoading	: "Učitavam listu predložaka. Molimo pričekajte...",
+DlgTemplatesNoTpl	: "(Nema definiranih predložaka)",
+
+// About Dialog
+DlgAboutAboutTab	: "O FCKEditoru",
+DlgAboutBrowserInfoTab	: "Podaci o pretraživaču",
+DlgAboutVersion		: "inačica",
+DlgAboutLicense		: "Licencirano pod uvjetima GNU Lesser General Public License",
+DlgAboutInfo		: "Za više informacija posjetite"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/hu.js soojung/libs/fckeditor/editor/lang/hu.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/hu.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/hu.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: hu.js
+ * 	Hungarian language file.
+ * 
+ * File Authors:
+ * 		Varga Zsolt (meridian@netteszt.hu)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Egyszerû eszköztár",
+ToolbarExpand		: "Bõvített eszköztár",
+
+// Toolbar Items and Context Menu
+Save				: "Mentés",
+NewPage				: "Új oldal",
+Preview				: "Elõnézet",
+Cut					: "Kivágás",
+Copy				: "Másolás",
+Paste				: "Beillesztés",
+PasteText			: "Beillesztés formázatlan szövegként",
+PasteWord			: "Beillesztés Wordbõl",
+Print				: "Nyomtatás",
+SelectAll			: "Minden kijelölése",
+RemoveFormat		: "Formázás törlése",
+InsertLinkLbl		: "Hivatkozás",
+InsertLink			: "Hivatkozás beillesztése/módosítása",
+RemoveLink			: "Hivatkozás törlése",
+Anchor				: "Horgony beillesztése/szerkesztése",
+InsertImageLbl		: "Kép",
+InsertImage			: "Kép beillesztése/módosítása",
+InsertTableLbl		: "Táblázat",
+InsertTable			: "Táblázat beillesztése/módosítása",
+InsertLineLbl		: "Vonal",
+InsertLine			: "Elválasztóvonal beillesztése",
+InsertSpecialCharLbl: "Speciális karakter",
+InsertSpecialChar	: "Speciális karakter beillesztése",
+InsertSmileyLbl		: "Hangulatjelek",
+InsertSmiley		: "Hangulatjelek beillesztése",
+About				: "FCKeditor névjegy",
+Bold				: "Félkövér",
+Italic				: "Dõlt",
+Underline			: "Aláhúzott",
+StrikeThrough		: "Áthúzott",
+Subscript			: "Alsó index",
+Superscript			: "Felsõ index",
+LeftJustify			: "Balra",
+CenterJustify		: "Középre",
+RightJustify		: "Jobbra",
+BlockJustify		: "Sorkizárt",
+DecreaseIndent		: "Behúzás csökkentése",
+IncreaseIndent		: "Behúzás növelése",
+Undo				: "Visszavonás",
+Redo				: "Ismétlés",
+NumberedListLbl		: "Számozás",
+NumberedList		: "Számozás beillesztése/törlése",
+BulletedListLbl		: "Felsorolás",
+BulletedList		: "Felsorolás beillesztése/törlése",
+ShowTableBorders	: "Táblázat szegély mutatása",
+ShowDetails			: "Részletek mutatása",
+Style				: "Stílus",
+FontFormat			: "Formátum",
+Font				: "Betûtipus",
+FontSize			: "Méret",
+TextColor			: "Betûszín",
+BGColor				: "Háttérszín",
+Source				: "Forráskód",
+Find				: "Keresés",
+Replace				: "Csere",
+SpellCheck			: "Helyesírásellenőrzés",
+UniversalKeyboard	: "Általános billentyűzet",
+
+Form			: "Űrlap",
+Checkbox		: "Jelölőnégyzet",
+RadioButton		: "Választógomb",
+TextField		: "Szövegmező",
+Textarea		: "Szövegterület",
+HiddenField		: "Rejtettmező",
+Button			: "Gomb",
+SelectionField	: "Választómező",
+ImageButton		: "Képgomb",
+
+// Context Menu
+EditLink			: "Hivatkozás módosítása",
+InsertRow			: "Sor beszúrása",
+DeleteRows			: "Sor(ok) törlése",
+InsertColumn		: "Oszlop beszúrása",
+DeleteColumns		: "Oszlop(ok) törlése",
+InsertCell			: "Cella beszúrása",
+DeleteCells			: "Cellák törlése",
+MergeCells			: "Cellák egyesítése",
+SplitCell			: "Cellák szétválasztása",
+CellProperties		: "Cellák tulajdonsága",
+TableProperties		: "Táblázat tulajdonsága",
+ImageProperties		: "Kép tulajdonsága",
+
+AnchorProp			: "Horgony(ok) tulajdonsága(i)",
+ButtonProp			: "Gomb(ok) tulajdonsága(i) ",
+CheckboxProp		: "Jelölőnégyzet(ek) tulajdonsága(i)",
+HiddenFieldProp		: "Rejtettmező(k) tulajdonsága(i)",
+RadioButtonProp		: "Választógomb(ok) tulajdonsága(i)",
+ImageButtonProp		: "Képgomb(ok) tulajdonsága(i)",
+TextFieldProp		: "Szövegmező(k) tulajdonsága(i)",
+SelectionFieldProp	: "Választómező(k) tulajdonsága(i)",
+TextareaProp		: "Szövegterület(ek) tulajdonsága(i)",
+FormProp			: "Űrlap(ok) tulajdonsága(i)",
+
+FontFormats			: "Normál;Formázott;Címsor;Fejléc 1;Fejléc 2;Fejléc 3;Fejléc 4;Fejléc 5;Fejléc 6;Bekezdés (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "XHTML feldolgozása. Kérem várjon...",
+Done				: "Kész",
+PasteWordConfirm	: "A szöveg amit be szeretnél illeszteni úgy néz ki Word-bõl van másolva. Do you want to clean it before pasting?",
+NotCompatiblePaste	: "Ez a parancs csak Internet Explorer 5.5 verziótól használható (Firefox rulez). Do you want to paste without cleaning?",
+UnknownToolbarItem	: "Ismeretlen eszköztár elem \"%1\"",
+UnknownCommand		: "Ismeretlen parancs \"%1\"",
+NotImplemented		: "A parancs nincs beágyazva",
+UnknownToolbarSet	: "Eszközkészlet beállítás \"%1\" nem létezik",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Mégsem",
+DlgBtnClose			: "Bezárás",
+DlgBtnBrowseServer	: "Szerver tallózása",
+DlgAdvancedTag		: "Haladó",
+DlgOpOther			: "Egyéb",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;nincs beállítva&gt;",
+DlgGenId			: "Azonosító",
+DlgGenLangDir		: "Nyelv útmutató",
+DlgGenLangDirLtr	: "Balról jobbra",
+DlgGenLangDirRtl	: "Jobbról balra",
+DlgGenLangCode		: "Nyelv kód",
+DlgGenAccessKey		: "Elérési kulcs",
+DlgGenName			: "Név",
+DlgGenTabIndex		: "Tabulátor index",
+DlgGenLongDescr		: "Hosszú URL",
+DlgGenClass			: "Stíluskészlet",
+DlgGenTitle			: "Advisory Title",
+DlgGenContType		: "Advisory Content Type",
+DlgGenLinkCharset	: "Hivatkozott kódlap készlet",
+DlgGenStyle			: "Stílus",
+
+// Image Dialog
+DlgImgTitle			: "Kép tulajdonsága",
+DlgImgInfoTab		: "Kép információ",
+DlgImgBtnUpload		: "Küldés a szervernek",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Feltöltés",
+DlgImgAlt			: "Buborék szöveg",
+DlgImgWidth			: "Szélesség",
+DlgImgHeight		: "Magasság",
+DlgImgLockRatio		: "Arány megtartása",
+DlgBtnResetSize		: "Eredeti méret",
+DlgImgBorder		: "Keret",
+DlgImgHSpace		: "Vízsz. táv",
+DlgImgVSpace		: "Függ. táv",
+DlgImgAlign			: "Igazítás",
+DlgImgAlignLeft		: "Bal",
+DlgImgAlignAbsBottom: "Legaljára",
+DlgImgAlignAbsMiddle: "Közepére",
+DlgImgAlignBaseline	: "Baseline",
+DlgImgAlignBottom	: "Aljára",
+DlgImgAlignMiddle	: "Középre",
+DlgImgAlignRight	: "Jobbra",
+DlgImgAlignTextTop	: "Szöveg tetjére",
+DlgImgAlignTop		: "Tetejére",
+DlgImgPreview		: "Elõnézet",
+DlgImgAlertUrl		: "Töltse ki a kép URL-ét",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Hivatkozás",
+DlgLnkInfoTab		: "Hivatkozás információ",
+DlgLnkTargetTab		: "Cél",
+
+DlgLnkType			: "Hivatkozás tipusa",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Horgony az oldalon",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protokoll",
+DlgLnkProtoOther	: "&lt;más&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Horgony választása",
+DlgLnkAnchorByName	: "Horgony név szerint",
+DlgLnkAnchorById	: "Azonosító szerint elõsorban ",
+DlgLnkNoAnchors		: "&lt;Nincs horgony a dokumentumban&gt;",
+DlgLnkEMail			: "E-Mail cím",
+DlgLnkEMailSubject	: "Üzenet tárgya",
+DlgLnkEMailBody		: "Üzenet",
+DlgLnkUpload		: "Feltöltés",
+DlgLnkBtnUpload		: "Küldés a szerverhez",
+
+DlgLnkTarget		: "Cél",
+DlgLnkTargetFrame	: "&lt;keret&gt;",
+DlgLnkTargetPopup	: "&lt;felugró ablak&gt;",
+DlgLnkTargetBlank	: "Új ablak (_blank)",
+DlgLnkTargetParent	: "Szülõ ablak (_parent)",
+DlgLnkTargetSelf	: "Azonos ablak (_self)",
+DlgLnkTargetTop		: "Legfelsõ ablak (_top)",
+DlgLnkTargetFrameName	: "Cél frame neve",
+DlgLnkPopWinName	: "Felugró ablak neve",
+DlgLnkPopWinFeat	: "Felugró ablak jellemzõi",
+DlgLnkPopResize		: "Méretezhetõ",
+DlgLnkPopLocation	: "Location Bar",
+DlgLnkPopMenu		: "Menü sor",
+DlgLnkPopScroll		: "Gördítõsáv",
+DlgLnkPopStatus		: "Állapotsor",
+DlgLnkPopToolbar	: "Eszköztár",
+DlgLnkPopFullScrn	: "Teljes képernyõ (IE)",
+DlgLnkPopDependent	: "Netscape sajátosság",
+DlgLnkPopWidth		: "Szélesség",
+DlgLnkPopHeight		: "Magasság",
+DlgLnkPopLeft		: "Bal pozíció",
+DlgLnkPopTop		: "Felsõ pozíció",
+
+DlnLnkMsgNoUrl		: "Adja meg a hivatkozás URL-ét",
+DlnLnkMsgNoEMail	: "Adja meg az e-mail címet",
+DlnLnkMsgNoAnchor	: "Válasszon egy horgonyt",
+
+// Color Dialog
+DlgColorTitle		: "Szinválasztás",
+DlgColorBtnClear	: "Törlés",
+DlgColorHighlight	: "Világos rész",
+DlgColorSelected	: "Választott",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Hangulatjel beszúrása",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Speciális karakter választása",
+
+// Table Dialog
+DlgTableTitle		: "Táblázat tulajdonságai",
+DlgTableRows		: "Sorok",
+DlgTableColumns		: "Oszlopok",
+DlgTableBorder		: "Szegélyméret",
+DlgTableAlign		: "Igazítás",
+DlgTableAlignNotSet	: "<Nincs beállítva>",
+DlgTableAlignLeft	: "Bal",
+DlgTableAlignCenter	: "Közép",
+DlgTableAlignRight	: "Jobb",
+DlgTableWidth		: "Szélesség",
+DlgTableWidthPx		: "képpontok",
+DlgTableWidthPc		: "százalék",
+DlgTableHeight		: "Magasság",
+DlgTableCellSpace	: "Cell spacing",
+DlgTableCellPad		: "Cell padding",
+DlgTableCaption		: "Felirat",
+
+// Table Cell Dialog
+DlgCellTitle		: "Cella tulajdonságai",
+DlgCellWidth		: "Szélesség",
+DlgCellWidthPx		: "képpontok",
+DlgCellWidthPc		: "százalék",
+DlgCellHeight		: "Height",
+DlgCellWordWrap		: "Sortörés",
+DlgCellWordWrapNotSet	: "&lt;Nincs beállítva&gt;",
+DlgCellWordWrapYes	: "Igen",
+DlgCellWordWrapNo	: "Nem",
+DlgCellHorAlign		: "Vízszintes igazítás",
+DlgCellHorAlignNotSet	: "&lt;Nincs beállítva&gt;",
+DlgCellHorAlignLeft	: "Bal",
+DlgCellHorAlignCenter	: "Közép",
+DlgCellHorAlignRight: "Jobb",
+DlgCellVerAlign		: "Függõleges igazítás",
+DlgCellVerAlignNotSet	: "&lt;Nincs beállítva&gt;",
+DlgCellVerAlignTop	: "Tetejére",
+DlgCellVerAlignMiddle	: "Középre",
+DlgCellVerAlignBottom	: "Aljára",
+DlgCellVerAlignBaseline	: "Egyvonalba",
+DlgCellRowSpan		: "Sorok egyesítése",
+DlgCellCollSpan		: "Oszlopok egyesítése",
+DlgCellBackColor	: "Háttérszín",
+DlgCellBorderColor	: "Szegélyszín",
+DlgCellBtnSelect	: "Kiválasztás...",
+
+// Find Dialog
+DlgFindTitle		: "Keresés",
+DlgFindFindBtn		: "Keresés",
+DlgFindNotFoundMsg	: "A keresett szöveg nem található.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Csere",
+DlgReplaceFindLbl		: "Keresendõ:",
+DlgReplaceReplaceLbl	: "Cserélendõ:",
+DlgReplaceCaseChk		: "Találatok",
+DlgReplaceReplaceBtn	: "Csere",
+DlgReplaceReplAllBtn	: "Összes cseréje",
+DlgReplaceWordChk		: "Egész dokumentumban",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "A böngészõ biztonsági beállításai nem engedélyezik a szerkesztõnek, hogy végrehatjsa a beillesztés mûveletet.Használja az alábbi billentyûzetkombinációt (Ctrl+V).",
+PasteErrorCut	: "A böngészõ biztonsági beállításai nem engedélyezik a szerkesztõnek, hogy végrehatjsa a kivágás mûveletet.Használja az alábbi billentyûzetkombinációt (Ctrl+X).",
+PasteErrorCopy	: "A böngészõ biztonsági beállításai nem engedélyezik a szerkesztõnek, hogy végrehatjsa a másolás mûveletet.Használja az alábbi billentyûzetkombinációt (Ctrl+X).",
+
+PasteAsText		: "Beillesztés formázatlan szövegként",
+PasteFromWord	: "Beillesztés Wordbõl",
+
+DlgPasteMsg		: "A szerkesztõ nem képes végrehajtani a beillesztési mûveletet a bõngészõ <STRONG>biztonsági beállításai</STRONG> miatt.<BR>Másolja be az alábbi mezõbe a (<STRONG>Ctrl+V</STRONG>) billentyûzetkombinációval és kattintson <STRONG>OK</STRONG> gombra.",
+
+// Color Picker
+ColorAutomatic	: "Automatikus",
+ColorMoreColors	: "Több szín...",
+
+// Document Properties
+DocProps		: "Dokumentum tulajdonsága",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Horgony tulajdonsága",
+DlgAnchorName		: "Horgony neve",
+DlgAnchorErrorName	: "Kérem adja meg a horgony nevét",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Nincs a könyvtárban",
+DlgSpellChangeTo		: "Átváltás",
+DlgSpellBtnIgnore		: "Kihagyja",
+DlgSpellBtnIgnoreAll	: "Összeset kihagyja",
+DlgSpellBtnReplace		: "Csere",
+DlgSpellBtnReplaceAll	: "Összes cseréje",
+DlgSpellBtnUndo			: "Visszavonás",
+DlgSpellNoSuggestions	: "Nincs feltevés",
+DlgSpellProgress		: "Helyesírásellenőrzés folyamatban...",
+DlgSpellNoMispell		: "Helyesírásellenőrzés kész: Nem találtam hibát",
+DlgSpellNoChanges		: "Helyesírásellenőrzés kész: Nincs változtatott szó",
+DlgSpellOneChange		: "Helyesírásellenőrzés kész: Egy szó cserélve",
+DlgSpellManyChanges		: "Helyesírásellenőrzés kész: %1 szó cserélve",
+
+IeSpellDownload			: "A helyesírásellenőrző nincs telepítve. Szeretné letölteni most?",
+
+// Button Dialog
+DlgButtonText	: "Szöveg (Érték)",
+DlgButtonType	: "Típus",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Név",
+DlgCheckboxValue	: "Érték",
+DlgCheckboxSelected	: "Választott",
+
+// Form Dialog
+DlgFormName		: "Név",
+DlgFormAction	: "Esemény",
+DlgFormMethod	: "Metódus",
+
+// Select Field Dialog
+DlgSelectName		: "Név",
+DlgSelectValue		: "Érték",
+DlgSelectSize		: "Méret",
+DlgSelectLines		: "sorok",
+DlgSelectChkMulti	: "Engedi a többszörös kiválasztást",
+DlgSelectOpAvail	: "Elérhető opciók",
+DlgSelectOpText		: "Szöveg",
+DlgSelectOpValue	: "Érték",
+DlgSelectBtnAdd		: "Bővít",
+DlgSelectBtnModify	: "Módosít",
+DlgSelectBtnUp		: "Fel",
+DlgSelectBtnDown	: "Le",
+DlgSelectBtnSetValue : "Beállítja a kiválasztott értéket",
+DlgSelectBtnDelete	: "Töröl",
+
+// Textarea Dialog
+DlgTextareaName	: "Név",
+DlgTextareaCols	: "Oszlopok",
+DlgTextareaRows	: "Sorok",
+
+// Text Field Dialog
+DlgTextName			: "Név",
+DlgTextValue		: "Érték",
+DlgTextCharWidth	: "Karakter szélesség",
+DlgTextMaxChars		: "Maximum karakterek",
+DlgTextType			: "Típus",
+DlgTextTypeText		: "Szöveg",
+DlgTextTypePass		: "Jelszó",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Név",
+DlgHiddenValue	: "Érték",
+
+// Bulleted List Dialog
+BulletedListProp	: "Felsorolás tulajdonságai",
+NumberedListProp	: "Számozás tulajdonságai",
+DlgLstType			: "Típus",
+DlgLstTypeCircle	: "Ciklus",
+DlgLstTypeDisk		: "Lemez",
+DlgLstTypeSquare	: "Négyzet",
+DlgLstTypeNumbers	: "Számok (1, 2, 3)",
+DlgLstTypeLCase		: "Kisbetűs (a, b, c)",
+DlgLstTypeUCase		: "Nagybetűs (a, b, c)",
+DlgLstTypeSRoman	: "Kis római számok (i, ii, iii)",
+DlgLstTypeLRoman	: "Nagy római számok (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Általános",
+DlgDocBackTab		: "Háttér",
+DlgDocColorsTab		: "Színek és margók",
+DlgDocMetaTab		: "Meta adatok",
+
+DlgDocPageTitle		: "Oldalcím",
+DlgDocLangDir		: "Nyelv utasítás",
+DlgDocLangDirLTR	: "Balról jobbra (LTR)",
+DlgDocLangDirRTL	: "Jobbról balra (RTL)",
+DlgDocLangCode		: "Nyelv kód",
+DlgDocCharSet		: "Karakterkódolás",
+DlgDocCharSetOther	: "Más karakterkódolás",
+
+DlgDocDocType		: "Dokumentum címsor típus",
+DlgDocDocTypeOther	: "Más dokumentum címsor típus",
+DlgDocIncXHTML		: "XHTML elemeket tartalmaz",
+DlgDocBgColor		: "Háttérszín",
+DlgDocBgImage		: "Háttérkép cím",
+DlgDocBgNoScroll	: "Nem gördíthető háttér",
+DlgDocCText			: "Szöveg",
+DlgDocCLink			: "Cím",
+DlgDocCVisited		: "Látogatott cím",
+DlgDocCActive		: "Aktív cím",
+DlgDocMargins		: "Oldal margók",
+DlgDocMaTop			: "Felső",
+DlgDocMaLeft		: "Bal",
+DlgDocMaRight		: "Jobb",
+DlgDocMaBottom		: "Felül",
+DlgDocMeIndex		: "Dokumentum keresőszavak (vesszővel elválasztva)",
+DlgDocMeDescr		: "Dokumentum leírás",
+DlgDocMeAuthor		: "Szerző",
+DlgDocMeCopy		: "Szerzői jog",
+DlgDocPreview		: "Előnézet",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "About",
+DlgAboutBrowserInfoTab	: "Böngésző információ",
+DlgAboutVersion		: "verzió",
+DlgAboutLicense		: "GNU Lesser General Public License szabadalom alá tartozik",
+DlgAboutInfo		: "További információkért menjen"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/it.js soojung/libs/fckeditor/editor/lang/it.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/it.js	2004-12-27 20:50:33.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/it.js	2005-06-11 10:32:44.000000000 +0900
@@ -1,207 +1,453 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: it.js
- * 	Italian language file.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-27 19:26:03
- * 
- * File Authors:
- * 		Simone Chiaretta
- */
-
-var FCKLang =
-{
-// Language direction : "ltr" (left to right) or "rtl" (right to left).
-"Dir"				: "ltr",
-
-// Toolbar Items and Context Menu
-"Cut"				: "Taglia",
-"Copy"				: "Copia",
-"Paste"				: "Incolla",
-"PasteText"			: "Incolla come testo semplice",
-"PasteWord"			: "Incolla da Word",
-"Find"				: "Cerca",
-"SelectAll"			: "Seleziona tutto",
-"RemoveFormat"		: "Rimuovi formattazione",
-"InsertLink"		: "Inserisci/Modifica Link",
-"RemoveLink"		: "Rimuovi Link",
-"InsertImage"		: "Inserisci/Modifica immagine",
-"InsertTable"		: "Inserisci/Modifica tabella",
-"InsertLine"		: "Inserisci linea orizzontale",
-"InsertSpecialChar"	: "Inserisci carattere speciale",
-"InsertSmiley"		: "Inserisci emoticon",
-"About"				: "Informazioni su FCKeditor",
-
-"Bold"				: "Grassetto",
-"Italic"			: "Corsivo",
-"Underline"			: "Sottolinea",
-"StrikeThrough"		: "Barrato",
-"Subscript"			: "Pedice",
-"Superscript"		: "Apice",
-"LeftJustify"		: "Allinea a sinistra",
-"CenterJustify"		: "Centra",
-"RightJustify"		: "Allinea a destra",
-"BlockJustify"		: "Giustifica",
-"DecreaseIndent"	: "Aumenta rientro",
-"IncreaseIndent"	: "Riduci rientro",
-"Undo"				: "Annulla",
-"Redo"				: "Ripeti",
-"NumberedList"		: "Elenco numerato",
-"BulletedList"		: "Elenco puntato",
-
-"ShowTableBorders"	: "Mostra i bordi delle tabelle",
-"ShowDetails"		: "Mostra dettagli",
-
-"FontStyle"			: "Stile",
-"FontFormat"		: "Formato",
-"Font"				: "Font",
-"FontSize"			: "Dimensione",
-"TextColor"			: "Colore del testo",
-"BGColor"			: "Colore dello sfondo",
-"Source"			: "Sorgente",
-
-// Context Menu
-
-"EditLink"			: "Modifica link",
-"InsertRow"			: "Aggiungi righa",
-"DeleteRows"		: "Elimina righa",
-"InsertColumn"		: "Aggiungi colonna",
-"DeleteColumns"		: "Elimina colonna",
-"InsertCell"		: "Aggiungi cella",
-"DeleteCells"		: "Elimina cella",
-"MergeCells"		: "Unisci celle",
-"SplitCell"			: "Dividi cella",
-"CellProperties"	: "Proprietà della cella",
-"TableProperties"	: "Proprietà della tabella",
-"ImageProperties"	: "Proprietà dell'immagine",
-
-// Alerts and Messages
-
-"ProcessingXHTML"	: "Elaborazione del XHTML. Attendere prego...",
-"Done"				: "Completata",
-"PasteWordConfirm"	: "Il testo da incollare sembra provenire da Word. Desidera pulirlo prima di incollare?",
-"NotCompatiblePaste": "Questa funzione è disponibile soltanto sui browser Internet Explorer versione 5.5 in poi. Desidera incollare il testo senza pulirlo?",
-
-// Dialogs
-"DlgBtnOK"			: "OK",
-"DlgBtnCancel"		: "Annulla",
-"DlgBtnClose"		: "Chiudi",
-
-// Image Dialog
-"DlgImgTitleInsert"	: "Inserisci immagine",
-"DlgImgTitleEdit"	: "Modifica immagine",
-"DlgImgBtnUpload"	: "Invia al server",
-"DlgImgURL"			: "Indirizzo (URL)",
-"DlgImgUpload"		: "Upload",
-"DlgImgBtnBrowse"	: "Cerca sul server",
-"DlgImgAlt"			: "Testo alternativo",
-"DlgImgWidth"		: "Larghezza",
-"DlgImgHeight"		: "Altezza",
-"DlgImgLockRatio"	: "Blocca proporzioni",
-"DlgBtnResetSize"	: "Reimposta dimensioni",
-"DlgImgBorder"		: "Bordo",
-"DlgImgHSpace"		: "HSpace",
-"DlgImgVSpace"		: "VSpace",
-"DlgImgAlign"		: "Allineamento",
-"DlgImgAlignLeft"	: "Sinistra",
-"DlgImgAlignAbsBottom"	: "Abs in basso",
-"DlgImgAlignAbsMiddle"	: "Abs in mezzo",
-"DlgImgAlignBaseline"	: "Linea base",
-"DlgImgAlignBottom"	: "In basso",
-"DlgImgAlignMiddle"	: "In mezzo",
-"DlgImgAlignRight"	: "Destra",
-"DlgImgAlignTextTop": "Top testo",
-"DlgImgAlignTop"	: "In alto",
-"DlgImgPreview"		: "Anteprima",
-"DlgImgMsgWrongExt"	: "Sono consentiti soltanto i seguenti tipi di file:\n\n" + FCKConfig.ImageUploadAllowedExtensions + "\n\nOperazione annullata.",
-"DlgImgAlertSelect"	: "Selezionare il file da fare upload.",
-
-// Link Dialog
-"DlgLnkWindowTitle"	: "Link",
-"DlgLnkURL"			: "Indirizzo (URL)",
-"DlgLnkUpload"		: "Upload",
-"DlgLnkTarget"		: "Destinazione",
-"DlgLnkTargetNotSet": "<Non impostata>",
-"DlgLnkTargetBlank"	: "Nuova finestra (_blank)",
-"DlgLnkTargetParent": "Finestra padre (_parent)",
-"DlgLnkTargetSelf"	: "Stessa finestra (_self)",
-"DlgLnkTargetTop"	: "Finestra superiore (_top)",
-"DlgLnkTitle"		: "Titolo",
-"DlgLnkBtnUpload"	: "Invia al server",
-"DlgLnkBtnBrowse"	: "Cerca sul server",
-"DlgLnkMsgWrongExtA": "Sono consentiti soltanto i seguenti tipi di file:\n\n" + FCKConfig.ImageUploadAllowedExtensions + "\n\nOperazione annullata.",
-"DlgLnkMsgWrongExtD": "Non sono consentiti i seguenti tipi di file:\n\n" + FCKConfig.ImageUploadAllowedExtensions + "\n\nOperazione annullata.",
-
-// Color Dialog
-"DlgColorTitle"		: "Seleziona il colore",
-"DlgColorBtnClear"	: "Pulisci",
-"DlgColorHighlight"	: "Attivo",
-"DlgColorSelected"	: "Selezionato",
-
-// Smiley Dialog
-"DlgSmileyTitle"	: "Inserisci emoticon",
-
-// Special Character Dialog
-"DlgSpecialCharTitle"	: "Inserisci carattere speciale",
-
-// Table Dialog
-"DlgTableTitleInsert"	: "Inserisci tabella",
-"DlgTableTitleEdit"	: "Modifica tabella",
-"DlgTableRows"		: "Righe",
-"DlgTableColumns"	: "Colonne",
-"DlgTableBorder"	: "Bordo",
-"DlgTableAlign"		: "Allineamento",
-"DlgTableAlignNotSet"	: "<Non impostato>",
-"DlgTableAlignLeft"	: "Sinistra",
-"DlgTableAlignCenter"	: "Centrato",
-"DlgTableAlignRight": "Destra",
-"DlgTableWidth"		: "Larghezza",
-"DlgTableHeight"	: "Altezza",
-"DlgTableCellSpace"	: "Spazio celle",
-"DlgTableCellPad"	: "Margini celle",
-"DlgTableCaption"	: "Etichetta",
-"DlgTableWidthPx"	: "pixels",
-"DlgTableWidthPc"	: "percento",
-
-// Table Cell Dialog
-"DlgCellTitle"		: "Proprietà della cella",
-"DlgCellWidth"		: "Larghezza",
-"DlgCellWidthPx"	: "pixels",
-"DlgCellWidthPc"	: "percento",
-"DlgCellHeight"		: "Altezza",
-"DlgCellWordWrap"	: "Vai a capo",
-"DlgCellWordWrapNotSet"	: "<Default>",
-"DlgCellWordWrapYes": "Sì",
-"DlgCellWordWrapNo"	: "No",
-"DlgCellHorAlign"	: "Allineamento orizzontale",
-"DlgCellHorAlignNotSet"	: "<Non impostato>",
-"DlgCellHorAlignLeft"	: "Sinistra",
-"DlgCellHorAlignCenter"	: "Centrato",
-"DlgCellHorAlignRight"	: "Destra",
-"DlgCellVerAlign"	: "Allineamento verticale",
-"DlgCellVerAlignNotSet"	: "<Non impostato>",
-"DlgCellVerAlignTop"	: "Sopra",
-"DlgCellVerAlignMiddle"	: "In mezzo",
-"DlgCellVerAlignBottom"	: "Sotto",
-"DlgCellVerAlignBaseline"	: "Linea base",
-"DlgCellRowSpan"	: "Row span",
-"DlgCellCollSpan"	: "Coll span",
-"DlgCellBackColor"	: "Colore di sfondo",
-"DlgCellBorderColor": "Colore del bordo",
-"DlgCellBtnSelect"	: "Seleziona...",
-
-// About Dialog
-"DlgAboutVersion"	: "versione",
-"DlgAboutLicense"	: "Rilasciato sotto la licensa GNU Lesser General Public License",
-"DlgAboutInfo"		: "Per maggiori informazioni visitare"
-}
-
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: it.js
+ * 	Italian language file.
+ * 
+ * File Authors:
+ * 		Simone Chiaretta (simone@piyosailing.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Nasconti la barra degli strumenti",
+ToolbarExpand		: "Mostra la barra degli strumenti",
+
+// Toolbar Items and Context Menu
+Save				: "Salva",
+NewPage				: "Nuova pagina vuota",
+Preview				: "Anteprima",
+Cut					: "Taglia",
+Copy				: "Copia",
+Paste				: "Incolla",
+PasteText			: "Incolla come testo semplice",
+PasteWord			: "Incolla da Word",
+Print				: "Stampa",
+SelectAll			: "Seleziona tutto",
+RemoveFormat		: "Elimina formattazione",
+InsertLinkLbl		: "Collegamento",
+InsertLink			: "Inserisci/Modifica collegamento",
+RemoveLink			: "Elimina collegamento",
+Anchor				: "Inserisci/Modifica Ancora",
+InsertImageLbl		: "Immagine",
+InsertImage			: "Inserisci/Modifica immagine",
+InsertTableLbl		: "Tabella",
+InsertTable			: "Inserisci/Modifica tabella",
+InsertLineLbl		: "Riga orizzontale",
+InsertLine			: "Inserisci riga orizzontale",
+InsertSpecialCharLbl: "Caratteri speciali",
+InsertSpecialChar	: "Inserisci carattere speciale",
+InsertSmileyLbl		: "Emoticon",
+InsertSmiley		: "Inserisci emoticon",
+About				: "Informazioni su FCKeditor",
+Bold				: "Grassetto",
+Italic				: "Corsivo",
+Underline			: "Sottolineato",
+StrikeThrough		: "Barrato",
+Subscript			: "Pedice",
+Superscript			: "Apice",
+LeftJustify			: "Allinea a sinistra",
+CenterJustify		: "Centra",
+RightJustify		: "Allinea a destra",
+BlockJustify		: "Giustifica",
+DecreaseIndent		: "Riduci rientro",
+IncreaseIndent		: "Aumenta rientro",
+Undo				: "Annulla",
+Redo				: "Ripristina",
+NumberedListLbl		: "Elenco numerato",
+NumberedList		: "Inserisci/Modifica elenco numerato",
+BulletedListLbl		: "Elenco puntato",
+BulletedList		: "Inserisci/Modifica elenco puntato",
+ShowTableBorders	: "Mostra bordi tabelle",
+ShowDetails			: "Mostra dettagli",
+Style				: "Stile",
+FontFormat			: "Formato",
+Font				: "Font",
+FontSize			: "Dimensione",
+TextColor			: "Colore testo",
+BGColor				: "Colore sfondo",
+Source				: "Codice",
+Find				: "Trova",
+Replace				: "Sostituisci",
+SpellCheck			: "Correttore ortografico",
+UniversalKeyboard	: "Tastiera univerale",
+
+Form			: "Modulo",
+Checkbox		: "Checkbox",
+RadioButton		: "Radio Button",
+TextField		: "Campo di testo",
+Textarea		: "Area di testo",
+HiddenField		: "Campo nascosto",
+Button			: "Bottone",
+SelectionField	: "Menu di selezione",
+ImageButton		: "Bottone immagine",
+
+// Context Menu
+EditLink			: "Modifica collegamento",
+InsertRow			: "Inserisci riga",
+DeleteRows			: "Elimina righe",
+InsertColumn		: "Inserisci colonna",
+DeleteColumns		: "Elimina colonne",
+InsertCell			: "Inserisci cella",
+DeleteCells			: "Elimina celle",
+MergeCells			: "Unisce celle",
+SplitCell			: "Dividi celle",
+CellProperties		: "Proprietà cella",
+TableProperties		: "Proprietà tabella",
+ImageProperties		: "Proprietà immagine",
+
+AnchorProp			: "Proprietà ancora",
+ButtonProp			: "Proprietà bottone",
+CheckboxProp		: "Proprietà checkbox",
+HiddenFieldProp		: "Proprietà campo nascosto",
+RadioButtonProp		: "Proprietà radio button",
+ImageButtonProp		: "Proprietà bottone immagine",
+TextFieldProp		: "Proprietà campo di testo",
+SelectionFieldProp	: "Proprietà menu di selezione",
+TextareaProp		: "Proprietà area di testo",
+FormProp			: "Proprietà modulo",
+
+FontFormats			: "Normale;Formattato;Indirizzo;Titolo 1;Titolo 2;Titolo 3;Titolo 4;Titolo 5;Titolo 6;Paragrafo (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "Elaborazione XHTML in corso. Attendere prego...",
+Done				: "Completato",
+PasteWordConfirm	: "Il testo da incollare sembra provenire da Word. Desideri pulirlo prima di incollare?",
+NotCompatiblePaste	: "Questa funzione è disponibile solo per Internet Explorer 5.5 o superiore. Desideri incollare il testo senza pulirlo?",
+UnknownToolbarItem	: "Elemento della barra strumenti sconosciuto \"%1\"",
+UnknownCommand		: "Comando sconosciuto \"%1\"",
+NotImplemented		: "Commando non implementato",
+UnknownToolbarSet	: "La barra di strumenti \"%1\" non esiste",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Annulla",
+DlgBtnClose			: "Chiudi",
+DlgBtnBrowseServer	: "Cerca sul server",
+DlgAdvancedTag		: "Avanzate",
+DlgOpOther			: "&lt;Altro&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;non impostato&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Direzione scrittura",
+DlgGenLangDirLtr	: "Da Sinistra a Destra (LTR)",
+DlgGenLangDirRtl	: "Da Destra a Sinistra (RTL)",
+DlgGenLangCode		: "Codice Lingua",
+DlgGenAccessKey		: "Scorciatoria<br>da tastiera",
+DlgGenName			: "Nome",
+DlgGenTabIndex		: "Ordine di tabulazione",
+DlgGenLongDescr		: "URL descrizione estesa",
+DlgGenClass			: "Nome classe CSS",
+DlgGenTitle			: "Titolo",
+DlgGenContType		: "Tipo della risorsa collegata",
+DlgGenLinkCharset	: "Set di caretteri della risorsa collegata",
+DlgGenStyle			: "Stile",
+
+// Image Dialog
+DlgImgTitle			: "Proprietà immagine",
+DlgImgInfoTab		: "Informazioni immagine",
+DlgImgBtnUpload		: "Invia al server",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Carica",
+DlgImgAlt			: "Testo alternativo",
+DlgImgWidth			: "Larghezza",
+DlgImgHeight		: "Altezza",
+DlgImgLockRatio		: "Blocca rapporto",
+DlgBtnResetSize		: "Reimposta dimensione",
+DlgImgBorder		: "Bordo",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Allineamento",
+DlgImgAlignLeft		: "Sinistra",
+DlgImgAlignAbsBottom: "In basso assoluto",
+DlgImgAlignAbsMiddle: "Centrato assoluto",
+DlgImgAlignBaseline	: "Linea base",
+DlgImgAlignBottom	: "In Basso",
+DlgImgAlignMiddle	: "Centrato",
+DlgImgAlignRight	: "Destra",
+DlgImgAlignTextTop	: "In alto al testo",
+DlgImgAlignTop		: "In Alto",
+DlgImgPreview		: "Anteprima",
+DlgImgAlertUrl		: "Inserisci il tipo di URL per l'immagine",
+DlgImgLinkTab		: "Collegamento",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Collegamento",
+DlgLnkInfoTab		: "Informazioni collegamento",
+DlgLnkTargetTab		: "Destinazione",
+
+DlgLnkType			: "Tipo di Collegamento",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Ancora nella pagina",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocollo",
+DlgLnkProtoOther	: "&lt;altro&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Scegli Ancora",
+DlgLnkAnchorByName	: "Per Nome",
+DlgLnkAnchorById	: "Per id elemento",
+DlgLnkNoAnchors		: "&lt;Nessuna ancora disponibile nel documento&gt;",
+DlgLnkEMail			: "Indirizzo E-Mail",
+DlgLnkEMailSubject	: "Oggetto del messaggio",
+DlgLnkEMailBody		: "Corpo del messaggio",
+DlgLnkUpload		: "Carica",
+DlgLnkBtnUpload		: "Invia al Server",
+
+DlgLnkTarget		: "Destinazione",
+DlgLnkTargetFrame	: "&lt;riquadro&gt;",
+DlgLnkTargetPopup	: "&lt;finestra popup&gt;",
+DlgLnkTargetBlank	: "Nuova finestra (_blank)",
+DlgLnkTargetParent	: "Finestra padre (_parent)",
+DlgLnkTargetSelf	: "Stessa finestra (_self)",
+DlgLnkTargetTop		: "Finestra superiore (_top)",
+DlgLnkTargetFrameName	: "Nome del riquadro di destinazione",
+DlgLnkPopWinName	: "Nome finestra popup",
+DlgLnkPopWinFeat	: "Caratteristiche finestra popup",
+DlgLnkPopResize		: "Ridimensionabile",
+DlgLnkPopLocation	: "Barra degli indirizzi",
+DlgLnkPopMenu		: "Barra del menu",
+DlgLnkPopScroll		: "Barre di scorrimento",
+DlgLnkPopStatus		: "Barra di stato",
+DlgLnkPopToolbar	: "Barra degli strumenti",
+DlgLnkPopFullScrn	: "A tutto schermo (IE)",
+DlgLnkPopDependent	: "Dipendente (Netscape)",
+DlgLnkPopWidth		: "Larghezza",
+DlgLnkPopHeight		: "Altezza",
+DlgLnkPopLeft		: "Posizione da sinistra",
+DlgLnkPopTop		: "Posizione dall'alto",
+
+DlnLnkMsgNoUrl		: "Devi inserire l'URL del collegamento",
+DlnLnkMsgNoEMail	: "Devi inserire un'indirizzo e-mail",
+DlnLnkMsgNoAnchor	: "Devi selezionare un'ancora",
+
+// Color Dialog
+DlgColorTitle		: "Seleziona colore",
+DlgColorBtnClear	: "Vuota",
+DlgColorHighlight	: "Evidenziato",
+DlgColorSelected	: "Selezionato",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Inserisci emoticon",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Seleziona carattere speciale",
+
+// Table Dialog
+DlgTableTitle		: "Proprietà tabella",
+DlgTableRows		: "Righe",
+DlgTableColumns		: "Colonne",
+DlgTableBorder		: "Dimensione bordo",
+DlgTableAlign		: "Allineamento",
+DlgTableAlignNotSet	: "&lt;non impostato&gt;",
+DlgTableAlignLeft	: "Sinistra",
+DlgTableAlignCenter	: "Centrato",
+DlgTableAlignRight	: "Destra",
+DlgTableWidth		: "Larghezza",
+DlgTableWidthPx		: "pixel",
+DlgTableWidthPc		: "percento",
+DlgTableHeight		: "Altezza",
+DlgTableCellSpace	: "Spaziatura celle",
+DlgTableCellPad		: "Padding celle",
+DlgTableCaption		: "Intestazione",
+
+// Table Cell Dialog
+DlgCellTitle		: "Proprietà cella",
+DlgCellWidth		: "Larghezza",
+DlgCellWidthPx		: "pixel",
+DlgCellWidthPc		: "percento",
+DlgCellHeight		: "Altezza",
+DlgCellWordWrap		: "A capo automatico",
+DlgCellWordWrapNotSet	: "&lt;non impostato&gt;",
+DlgCellWordWrapYes	: "Si",
+DlgCellWordWrapNo	: "No",
+DlgCellHorAlign		: "Allineamento orizzontale",
+DlgCellHorAlignNotSet	: "&lt;non impostato&gt;",
+DlgCellHorAlignLeft	: "Sinistra",
+DlgCellHorAlignCenter	: "Centrato",
+DlgCellHorAlignRight: "Destra",
+DlgCellVerAlign		: "Allineamento verticale",
+DlgCellVerAlignNotSet	: "&lt;non impostato&gt;",
+DlgCellVerAlignTop	: "In Alto",
+DlgCellVerAlignMiddle	: "Centrato",
+DlgCellVerAlignBottom	: "In Basso",
+DlgCellVerAlignBaseline	: "Linea base",
+DlgCellRowSpan		: "Righe occupate",
+DlgCellCollSpan		: "Colonne occupate",
+DlgCellBackColor	: "Colore sfondo",
+DlgCellBorderColor	: "Colore bordo",
+DlgCellBtnSelect	: "Scegli...",
+
+// Find Dialog
+DlgFindTitle		: "Trova",
+DlgFindFindBtn		: "Trova",
+DlgFindNotFoundMsg	: "L'elemento cercato non è stato trovato.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Sostituisci",
+DlgReplaceFindLbl		: "Trova:",
+DlgReplaceReplaceLbl	: "Sostituisci con:",
+DlgReplaceCaseChk		: "Maiuscole/minuscole",
+DlgReplaceReplaceBtn	: "Sostituisci",
+DlgReplaceReplAllBtn	: "Sostituisci tutto",
+DlgReplaceWordChk		: "Solo parole intere",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Le impostazioni di sicurezza del browser non permettono di incollare automaticamente il testo. Usa la tastiera (Ctrl+V).",
+PasteErrorCut	: "Le impostazioni di sicurezza del browser non permettono di tagliare automaticamente il testo. Usa la tastiera (Ctrl+X).",
+PasteErrorCopy	: "Le impostazioni di sicurezza del browser non permettono di copiare automaticamente il testo. Usa la tastiera (Ctrl+C).",
+
+PasteAsText		: "Incolla come testo semplice",
+PasteFromWord	: "Incolla da Word",
+
+DlgPasteMsg		: "Impossibile incollare automaticamente a causa delle <STRONG>impostazioni di sicurezza</STRONG> del browser.<BR>Incolla nel riquadro sottostante (<STRONG>Ctrl+V</STRONG>) e premi <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatico",
+ColorMoreColors	: "Altri colori...",
+
+// Document Properties
+DocProps		: "Proprietà del Documento",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Proprietà ancora",
+DlgAnchorName		: "Nome ancora",
+DlgAnchorErrorName	: "Inserici il nome dell'ancora",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Non nel dizionario",
+DlgSpellChangeTo		: "Cambia in",
+DlgSpellBtnIgnore		: "Ignora",
+DlgSpellBtnIgnoreAll	: "Ignora tutto",
+DlgSpellBtnReplace		: "Cambia",
+DlgSpellBtnReplaceAll	: "Cambia tutto",
+DlgSpellBtnUndo			: "Annulla",
+DlgSpellNoSuggestions	: "- Nessun suggerimento -",
+DlgSpellProgress		: "Controllo ortografico in corso",
+DlgSpellNoMispell		: "Controllo ortografico completato: nessun errore trovato",
+DlgSpellNoChanges		: "Controllo ortografico completato: nessuna parola cambiata",
+DlgSpellOneChange		: "Controllo ortografico completato: 1 parola cambiata",
+DlgSpellManyChanges		: "Controllo ortografico completato: %1 parole cambiate",
+
+IeSpellDownload			: "Contollo ortografico non installato. Lo vuoi scaricare ora?",
+
+// Button Dialog
+DlgButtonText	: "Testo (Value)",
+DlgButtonType	: "Tipo",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Nome",
+DlgCheckboxValue	: "Valore",
+DlgCheckboxSelected	: "Selezionato",
+
+// Form Dialog
+DlgFormName		: "Nome",
+DlgFormAction	: "Azione",
+DlgFormMethod	: "Metodo",
+
+// Select Field Dialog
+DlgSelectName		: "Nome",
+DlgSelectValue		: "Valore",
+DlgSelectSize		: "Dimensione",
+DlgSelectLines		: "righe",
+DlgSelectChkMulti	: "Permetti selezione multipla",
+DlgSelectOpAvail	: "Opzioni disponibili",
+DlgSelectOpText		: "Testo",
+DlgSelectOpValue	: "Valore",
+DlgSelectBtnAdd		: "Aggiungi",
+DlgSelectBtnModify	: "Modifica",
+DlgSelectBtnUp		: "Su",
+DlgSelectBtnDown	: "Giù",
+DlgSelectBtnSetValue : "Imposta come predefinito",
+DlgSelectBtnDelete	: "Rimuovi",
+
+// Textarea Dialog
+DlgTextareaName	: "Nome",
+DlgTextareaCols	: "Colonne",
+DlgTextareaRows	: "Righe",
+
+// Text Field Dialog
+DlgTextName			: "Nome",
+DlgTextValue		: "Valore",
+DlgTextCharWidth	: "Larghezza",
+DlgTextMaxChars		: "Numero massimo di caratteri",
+DlgTextType			: "Tipo",
+DlgTextTypeText		: "Testo",
+DlgTextTypePass		: "Password",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Nome",
+DlgHiddenValue	: "Valore",
+
+// Bulleted List Dialog
+BulletedListProp	: "Proprietà lista puntata",
+NumberedListProp	: "Proprietà lista numerata",
+DlgLstType			: "Tipo",
+DlgLstTypeCircle	: "Tondo",
+DlgLstTypeDisk		: "Disco",
+DlgLstTypeSquare	: "Quadrato",
+DlgLstTypeNumbers	: "Numeri (1, 2, 3)",
+DlgLstTypeLCase		: "Caratteri minuscoli (a, b, c)",
+DlgLstTypeUCase		: "Caratteri maiuscoli (A, B, C)",
+DlgLstTypeSRoman	: "Numeri Romani minuscoli (i, ii, iii)",
+DlgLstTypeLRoman	: "Numeri Romani maiuscoli (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Genarale",
+DlgDocBackTab		: "Sfondo",
+DlgDocColorsTab		: "Colori e margini",
+DlgDocMetaTab		: "Meta Data",
+
+DlgDocPageTitle		: "Titolo pagina",
+DlgDocLangDir		: "Direzione scrittura",
+DlgDocLangDirLTR	: "Da Sinistra a Destra (LTR)",
+DlgDocLangDirRTL	: "Da Destra a Sinistra (RTL)",
+DlgDocLangCode		: "Codice Lingua",
+DlgDocCharSet		: "Set di caretteri",
+DlgDocCharSetOther	: "Altro set di caretteri",
+
+DlgDocDocType		: "Intestazione DocType",
+DlgDocDocTypeOther	: "Altra intestazione DocType",
+DlgDocIncXHTML		: "Includi dichiarazione XHTML",
+DlgDocBgColor		: "Colore di sfondo",
+DlgDocBgImage		: "Immagine di sfondo",
+DlgDocBgNoScroll	: "Sfondo fissato",
+DlgDocCText			: "Testo",
+DlgDocCLink			: "Collegamento",
+DlgDocCVisited		: "Collegamento visitato",
+DlgDocCActive		: "Collegamento attivo",
+DlgDocMargins		: "Margini",
+DlgDocMaTop			: "In Alto",
+DlgDocMaLeft		: "A Sinistra",
+DlgDocMaRight		: "A Destra",
+DlgDocMaBottom		: "In Basso",
+DlgDocMeIndex		: "Chiavi di indicizzazione documento (separate da virgola)",
+DlgDocMeDescr		: "Descrizione documento",
+DlgDocMeAuthor		: "Autore",
+DlgDocMeCopy		: "Copyright",
+DlgDocPreview		: "Anteprima",
+
+// Templates Dialog
+Templates			: "Modelli",
+DlgTemplatesTitle	: "Contenuto dei modelli",
+DlgTemplatesSelMsg	: "Seleziona il modello da aprire nell'editor<br>(il contenuto attuale verrà eliminato):",
+DlgTemplatesLoading	: "Caricamento modelli in corso. Attendere prego...",
+DlgTemplatesNoTpl	: "(Nessun modello definito)",
+
+// About Dialog
+DlgAboutAboutTab	: "Informazioni",
+DlgAboutBrowserInfoTab	: "Informazioni Browser",
+DlgAboutVersion		: "versione",
+DlgAboutLicense		: "Rilasciato sotto la licensa GNU Lesser General Public License",
+DlgAboutInfo		: "Localizzazione in Italiano realizzata da Simone Chiaretta<br /><a target=\"_blank\" href=\"http://www.piyosailing.com/S/\">www.piyosailing.com</a><br /><br />Per maggiori informazioni visitare"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/ja.js soojung/libs/fckeditor/editor/lang/ja.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/ja.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/ja.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: ja.js
+ * 	English language file.
+ * 
+ * File Authors:
+ * 		Takashi Yamaguchi (jack@omakase.net)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "ツールバーを隠す",
+ToolbarExpand		: "ツールバーを表示",
+
+// Toolbar Items and Context Menu
+Save				: "保存",
+NewPage				: "新しいページ",
+Preview				: "プレビュー",
+Cut					: "切り取り",
+Copy				: "コピー",
+Paste				: "貼り付け",
+PasteText			: "プレーンテキスト貼り付け",
+PasteWord			: "ワード文章から貼り付け",
+Print				: "印刷",
+SelectAll			: "すべて選択",
+RemoveFormat		: "フォーマット削除",
+InsertLinkLbl		: "リンク",
+InsertLink			: "リンク挿入/編集",
+RemoveLink			: "リンク削除",
+Anchor				: "アンカー挿入/編集",
+InsertImageLbl		: "イメージ",
+InsertImage			: "イメージ挿入/編集",
+InsertTableLbl		: "テーブル",
+InsertTable			: "テーブル挿入/編集",
+InsertLineLbl		: "ライン",
+InsertLine			: "横罫線",
+InsertSpecialCharLbl: "特殊文字",
+InsertSpecialChar	: "特殊文字挿入",
+InsertSmileyLbl		: "絵文字",
+InsertSmiley		: "絵文字挿入",
+About				: "FCKeditorヘルプ",
+Bold				: "太字",
+Italic				: "斜体",
+Underline			: "下線",
+StrikeThrough		: "打ち消し線",
+Subscript			: "添え字",
+Superscript			: "上付き文字",
+LeftJustify			: "左揃え",
+CenterJustify		: "中央揃え",
+RightJustify		: "右揃え",
+BlockJustify		: "両端揃え",
+DecreaseIndent		: "インデント解除",
+IncreaseIndent		: "インデント",
+Undo				: "元に戻す",
+Redo				: "やり直し",
+NumberedListLbl		: "段落番号",
+NumberedList		: "段落番号の追加/削除",
+BulletedListLbl		: "箇条書き",
+BulletedList		: "箇条書きの追加/削除",
+ShowTableBorders	: "テーブルボーダー表示",
+ShowDetails			: "詳細表示",
+Style				: "スタイル",
+FontFormat			: "フォーマット",
+Font				: "フォント",
+FontSize			: "サイズ",
+TextColor			: "テキスト色",
+BGColor				: "背景色",
+Source				: "ソース",
+Find				: "検索",
+Replace				: "置き換え",
+SpellCheck			: "スペルチェック",
+UniversalKeyboard	: "ユニバーサル・キーボード",
+
+Form			: "フォーム",
+Checkbox		: "チェックボックス",
+RadioButton		: "ラジオボタン",
+TextField		: "１行テキスト",
+Textarea		: "テキストエリア",
+HiddenField		: "不可視フィールド",
+Button			: "ボタン",
+SelectionField	: "選択フィールド",
+ImageButton		: "画像ボタン",
+
+// Context Menu
+EditLink			: "リンク編集",
+InsertRow			: "行挿入",
+DeleteRows			: "行削除",
+InsertColumn		: "列挿入",
+DeleteColumns		: "列削除",
+InsertCell			: "セル挿入",
+DeleteCells			: "セル削除",
+MergeCells			: "セル結合",
+SplitCell			: "セル分割",
+CellProperties		: "セル プロパティ",
+TableProperties		: "テーブル プロパティ",
+ImageProperties		: "イメージ プロパティ",
+
+AnchorProp			: "アンカー プロパティ",
+ButtonProp			: "ボタン プロパティ",
+CheckboxProp		: "チェックボックス プロパティ",
+HiddenFieldProp		: "不可視フィールド プロパティ",
+RadioButtonProp		: "ラジオボタン プロパティ",
+ImageButtonProp		: "画像ボタン プロパティ",
+TextFieldProp		: "１行テキスト プロパティ",
+SelectionFieldProp	: "選択フィールド プロパティ",
+TextareaProp		: "テキストエリア プロパティ",
+FormProp			: "フォーム プロパティ",
+
+FontFormats			: "Normal;Formatted;Address;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6;Paragraph (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "XHTML処理中. しばらくお待ちください...",
+Done				: "完了",
+PasteWordConfirm	: "貼り付けを行うテキストは、ワード文章からコピーされようとしています。貼り付ける前にクリーニングを行いますか？",
+NotCompatiblePaste	: "このコマンドはインターネット・エクスプローラーバージョン5.5以上で利用可能です。クリーニングしないで貼り付けを行いますか？",
+UnknownToolbarItem	: "未知のツールバー項目 \"%1\"",
+UnknownCommand		: "未知のコマンド名 \"%1\"",
+NotImplemented		: "コマンドはインプリメントされませんでした。",
+UnknownToolbarSet	: "ツールバー設定 \"%1\" 存在しません。",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "キャンセル",
+DlgBtnClose			: "閉じる",
+DlgBtnBrowseServer	: "サーバーブラウザー",
+DlgAdvancedTag		: "高度な設定",
+DlgOpOther			: "&lt;その他&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;なし&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "文字表記の方向",
+DlgGenLangDirLtr	: "左から右 (LTR)",
+DlgGenLangDirRtl	: "右から左 (RTL)",
+DlgGenLangCode		: "言語コード",
+DlgGenAccessKey		: "アクセスキー",
+DlgGenName			: "Name属性",
+DlgGenTabIndex		: "タブインデックス",
+DlgGenLongDescr		: "longdesc属性(長文説明)",
+DlgGenClass			: "スタイルシートクラス",
+DlgGenTitle			: "Title属性",
+DlgGenContType		: "Content Type属性",
+DlgGenLinkCharset	: "リンクcharset属性",
+DlgGenStyle			: "スタイルシート",
+
+// Image Dialog
+DlgImgTitle			: "イメージ プロパティ",
+DlgImgInfoTab		: "イメージ 情報",
+DlgImgBtnUpload		: "サーバーに送信",
+DlgImgURL			: "URL",
+DlgImgUpload		: "アップロード",
+DlgImgAlt			: "代替テキスト",
+DlgImgWidth			: "幅",
+DlgImgHeight		: "高さ",
+DlgImgLockRatio		: "ロック比率",
+DlgBtnResetSize		: "サイズリセット",
+DlgImgBorder		: "ボーダー",
+DlgImgHSpace		: "横間隔",
+DlgImgVSpace		: "縦間隔",
+DlgImgAlign			: "行揃え",
+DlgImgAlignLeft		: "左",
+DlgImgAlignAbsBottom: "下部(絶対的)",
+DlgImgAlignAbsMiddle: "中央(絶対的)",
+DlgImgAlignBaseline	: "ベースライン",
+DlgImgAlignBottom	: "下",
+DlgImgAlignMiddle	: "中央",
+DlgImgAlignRight	: "右",
+DlgImgAlignTextTop	: "テキスト上部",
+DlgImgAlignTop		: "上",
+DlgImgPreview		: "プレビュー",
+DlgImgAlertUrl		: "イメージのURLを入力してください。",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "ハイパーリンク",
+DlgLnkInfoTab		: "ハイパーリンク 情報",
+DlgLnkTargetTab		: "ターゲット",
+
+DlgLnkType			: "リンクタイプ",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "このページのアンカー",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "プロトコル",
+DlgLnkProtoOther	: "&lt;その他&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "アンカーを選択",
+DlgLnkAnchorByName	: "アンカー名",
+DlgLnkAnchorById	: "エレメントID",
+DlgLnkNoAnchors		: "&lt;ドキュメントにおいて利用可能なアンカーはありません。&gt;",
+DlgLnkEMail			: "E-Mail アドレス",
+DlgLnkEMailSubject	: "件名",
+DlgLnkEMailBody		: "本文",
+DlgLnkUpload		: "アップロード",
+DlgLnkBtnUpload		: "サーバーに送信",
+
+DlgLnkTarget		: "ターゲット",
+DlgLnkTargetFrame	: "&lt;フレーム&gt;",
+DlgLnkTargetPopup	: "&lt;ポップアップウィンドウ&gt;",
+DlgLnkTargetBlank	: "新しいウィンドウ (_blank)",
+DlgLnkTargetParent	: "親ウィンドウ (_parent)",
+DlgLnkTargetSelf	: "同じウィンドウ (_self)",
+DlgLnkTargetTop		: "最上位ウィンドウ (_top)",
+DlgLnkTargetFrameName	: "目的のフレーム名",
+DlgLnkPopWinName	: "ポップアップウィンドウ名",
+DlgLnkPopWinFeat	: "ポップアップウィンドウ特徴",
+DlgLnkPopResize		: "リサイズ可能",
+DlgLnkPopLocation	: "ロケーションバー",
+DlgLnkPopMenu		: "メニューバー",
+DlgLnkPopScroll		: "スクロールバー",
+DlgLnkPopStatus		: "ステータスバー",
+DlgLnkPopToolbar	: "ツールバー",
+DlgLnkPopFullScrn	: "全画面モード(IE)",
+DlgLnkPopDependent	: "開いたウィンドウに連動して閉じる (Netscape)",
+DlgLnkPopWidth		: "幅",
+DlgLnkPopHeight		: "高さ",
+DlgLnkPopLeft		: "左端からの座標で指定",
+DlgLnkPopTop		: "上端からの座標で指定",
+
+DlnLnkMsgNoUrl		: "リンクURLを入力してください。",
+DlnLnkMsgNoEMail	: "メールアドレスを入力してください。",
+DlnLnkMsgNoAnchor	: "アンカーを選択してください。",
+
+// Color Dialog
+DlgColorTitle		: "色選択",
+DlgColorBtnClear	: "クリア",
+DlgColorHighlight	: "ハイライト",
+DlgColorSelected	: "選択色",
+
+// Smiley Dialog
+DlgSmileyTitle		: "顔文字挿入",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "特殊文字選択",
+
+// Table Dialog
+DlgTableTitle		: "テーブル プロパティ",
+DlgTableRows		: "行",
+DlgTableColumns		: "列",
+DlgTableBorder		: "ボーダーサイズ",
+DlgTableAlign		: "キャプションの整列",
+DlgTableAlignNotSet	: "<なし>",
+DlgTableAlignLeft	: "左",
+DlgTableAlignCenter	: "中央",
+DlgTableAlignRight	: "右",
+DlgTableWidth		: "テーブル幅",
+DlgTableWidthPx		: "ピクセル",
+DlgTableWidthPc		: "パーセント",
+DlgTableHeight		: "テーブル高さ",
+DlgTableCellSpace	: "セル内余白",
+DlgTableCellPad		: "セル内間隔",
+DlgTableCaption		: "ｷｬﾌﾟｼｮﾝ",
+
+// Table Cell Dialog
+DlgCellTitle		: "セル プロパティ",
+DlgCellWidth		: "幅",
+DlgCellWidthPx		: "ピクセル",
+DlgCellWidthPc		: "パーセント",
+DlgCellHeight		: "高さ",
+DlgCellWordWrap		: "折り返し",
+DlgCellWordWrapNotSet	: "&lt;なし&gt;",
+DlgCellWordWrapYes	: "Yes",
+DlgCellWordWrapNo	: "No",
+DlgCellHorAlign		: "セル横の整列",
+DlgCellHorAlignNotSet	: "&lt;なし&gt;",
+DlgCellHorAlignLeft	: "左",
+DlgCellHorAlignCenter	: "中央",
+DlgCellHorAlignRight: "右",
+DlgCellVerAlign		: "セル縦の整列",
+DlgCellVerAlignNotSet	: "&lt;なし&gt;",
+DlgCellVerAlignTop	: "上",
+DlgCellVerAlignMiddle	: "中央",
+DlgCellVerAlignBottom	: "下",
+DlgCellVerAlignBaseline	: "ベースライン",
+DlgCellRowSpan		: "縦幅(行数)",
+DlgCellCollSpan		: "横幅(列数)",
+DlgCellBackColor	: "背景色",
+DlgCellBorderColor	: "ボーダーカラー",
+DlgCellBtnSelect	: "選択...",
+
+// Find Dialog
+DlgFindTitle		: "検索",
+DlgFindFindBtn		: "検索",
+DlgFindNotFoundMsg	: "指定された文字列は見つかりませんでした。",
+
+// Replace Dialog
+DlgReplaceTitle			: "置き換え",
+DlgReplaceFindLbl		: "検索する文字列:",
+DlgReplaceReplaceLbl	: "置換えする文字列:",
+DlgReplaceCaseChk		: "部分一致",
+DlgReplaceReplaceBtn	: "置換え",
+DlgReplaceReplAllBtn	: "すべて置換え",
+DlgReplaceWordChk		: "単語単位で一致",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "ブラウザーのセキュリティ設定によりエディタの貼り付け操作が自動で実行することができません。実行するには手動でキーボードの(Ctrl+V)を使用してください。",
+PasteErrorCut	: "ブラウザーのセキュリティ設定によりエディタの切り取り操作が自動で実行することができません。実行するには手動でキーボードの(Ctrl+X)を使用してください。",
+PasteErrorCopy	: "ブラウザーのセキュリティ設定によりエディタのコピー操作が自動で実行することができません。実行するには手動でキーボードの(Ctrl+C)を使用してください。",
+
+PasteAsText		: "プレーンテキスト貼り付け",
+PasteFromWord	: "ワード文章から貼り付け",
+
+DlgPasteMsg		: "ブラウザーの<STRONG>セキュリティ設定</STRONG>によりエディタの貼り付け操作が自動で実行することができません。<BR>実行するには手動でキーボードの(<STRONG>Ctrl+V</STRONG>)を実行して<STRONG>OK</STRONG>を押してください。",
+
+// Color Picker
+ColorAutomatic	: "自動",
+ColorMoreColors	: "その他の色...",
+
+// Document Properties
+DocProps		: "文書 プロパティ",
+
+// Anchor Dialog
+DlgAnchorTitle		: "アンカー プロパティ",
+DlgAnchorName		: "アンカー名",
+DlgAnchorErrorName	: "アンカー名を必ず入力してください。",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "辞書にありません",
+DlgSpellChangeTo		: "変更",
+DlgSpellBtnIgnore		: "無視",
+DlgSpellBtnIgnoreAll	: "すべて無視",
+DlgSpellBtnReplace		: "置換",
+DlgSpellBtnReplaceAll	: "すべて置換",
+DlgSpellBtnUndo			: "やり直し",
+DlgSpellNoSuggestions	: "- 該当なし -",
+DlgSpellProgress		: "スペルチェック処理中...",
+DlgSpellNoMispell		: "スペルチェック完了: スペルの誤りはありませんでした",
+DlgSpellNoChanges		: "スペルチェック完了: 語句は変更されませんでした",
+DlgSpellOneChange		: "スペルチェック完了: １語句変更されました",
+DlgSpellManyChanges		: "スペルチェック完了: %1 語句変更されました",
+
+IeSpellDownload			: "スペルチェッカーがインストールされていません。今すぐダウンロードしますか?",
+
+// Button Dialog
+DlgButtonText	: "テキスト (値)",
+DlgButtonType	: "タイプ",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "名前",
+DlgCheckboxValue	: "値",
+DlgCheckboxSelected	: "選択済み",
+
+// Form Dialog
+DlgFormName		: "フォーム名",
+DlgFormAction	: "アクション",
+DlgFormMethod	: "メソッド",
+
+// Select Field Dialog
+DlgSelectName		: "名前",
+DlgSelectValue		: "値",
+DlgSelectSize		: "サイズ",
+DlgSelectLines		: "行",
+DlgSelectChkMulti	: "複数項目選択を許可",
+DlgSelectOpAvail	: "利用可能なオプション",
+DlgSelectOpText		: "選択項目名",
+DlgSelectOpValue	: "選択項目値",
+DlgSelectBtnAdd		: "追加",
+DlgSelectBtnModify	: "編集",
+DlgSelectBtnUp		: "上へ",
+DlgSelectBtnDown	: "下へ",
+DlgSelectBtnSetValue : "選択した値を設定",
+DlgSelectBtnDelete	: "削除",
+
+// Textarea Dialog
+DlgTextareaName	: "名前",
+DlgTextareaCols	: "列",
+DlgTextareaRows	: "行",
+
+// Text Field Dialog
+DlgTextName			: "名前",
+DlgTextValue		: "値",
+DlgTextCharWidth	: "サイズ",
+DlgTextMaxChars		: "最大長",
+DlgTextType			: "タイプ",
+DlgTextTypeText		: "テキスト",
+DlgTextTypePass		: "パスワード入力",
+
+// Hidden Field Dialog
+DlgHiddenName	: "名前",
+DlgHiddenValue	: "値",
+
+// Bulleted List Dialog
+BulletedListProp	: "箇条書き プロパティ",
+NumberedListProp	: "段落番号 プロパティ",
+DlgLstType			: "タイプ",
+DlgLstTypeCircle	: "白丸",
+DlgLstTypeDisk		: "黒丸",
+DlgLstTypeSquare	: "四角",
+DlgLstTypeNumbers	: "アラビア数字 (1, 2, 3)",
+DlgLstTypeLCase		: "英字小文字 (a, b, c)",
+DlgLstTypeUCase		: "英字大文字 (A, B, C)",
+DlgLstTypeSRoman	: "ローマ数字小文字 (i, ii, iii)",
+DlgLstTypeLRoman	: "ローマ数字大文字 (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "全般",
+DlgDocBackTab		: "背景",
+DlgDocColorsTab		: "色とマージン",
+DlgDocMetaTab		: "メタデータ",
+
+DlgDocPageTitle		: "ページタイトル",
+DlgDocLangDir		: "言語文字表記の方向",
+DlgDocLangDirLTR	: "左から右に文字表記します(LTR)",
+DlgDocLangDirRTL	: "右から左に文字表記します(RTL)",
+DlgDocLangCode		: "言語コード",
+DlgDocCharSet		: "文字セット符号化",
+DlgDocCharSetOther	: "他の文字セット符号化",
+
+DlgDocDocType		: "文書タイプヘッダー",
+DlgDocDocTypeOther	: "その他文書タイプヘッダー",
+DlgDocIncXHTML		: "XHTML宣言をインクルード",
+DlgDocBgColor		: "背景色",
+DlgDocBgImage		: "背景画像 URL",
+DlgDocBgNoScroll	: "スクロールしない背景",
+DlgDocCText			: "テキスト",
+DlgDocCLink			: "リンク",
+DlgDocCVisited		: "アクセス済みリンク",
+DlgDocCActive		: "アクセス中リンク",
+DlgDocMargins		: "ページ・マージン",
+DlgDocMaTop			: "上部",
+DlgDocMaLeft		: "左",
+DlgDocMaRight		: "右",
+DlgDocMaBottom		: "下部",
+DlgDocMeIndex		: "文書のキーワード(カンマ区切り)",
+DlgDocMeDescr		: "文書の概要",
+DlgDocMeAuthor		: "文書の作者",
+DlgDocMeCopy		: "文書の著作権",
+DlgDocPreview		: "プレビュー",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "バージョン情報",
+DlgAboutBrowserInfoTab	: "ブラウザ情報",
+DlgAboutVersion		: "バージョン",
+DlgAboutLicense		: "Licensed under the terms of the GNU Lesser General Public License",
+DlgAboutInfo		: "より詳しい情報はこちらで"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/ko.js soojung/libs/fckeditor/editor/lang/ko.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/ko.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/ko.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: ko.js
+ * 	Korean language file.
+ * 
+ * File Authors:
+ * 		Taehwan Kwag (thkwag@nate.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "툴바 감추기",
+ToolbarExpand		: "툴바 보이기",
+
+// Toolbar Items and Context Menu
+Save				: "저장하기",
+NewPage				: "새 문서",
+Preview				: "미리보기",
+Cut					: "잘라내기",
+Copy				: "복사하기",
+Paste				: "붙여넣기",
+PasteText			: "텍스트로 붙여넣기",
+PasteWord			: "MS Word 형식에서 붙여넣기",
+Print				: "인쇄하기",
+SelectAll			: "전체선택",
+RemoveFormat		: "포맷 지우기",
+InsertLinkLbl		: "링크",
+InsertLink			: "링크 삽입/변경",
+RemoveLink			: "링크 삭제",
+Anchor				: "책갈피 삽입/변경",
+InsertImageLbl		: "이미지",
+InsertImage			: "이미지 삽입/변경",
+InsertTableLbl		: "표",
+InsertTable			: "표 삽입/변경",
+InsertLineLbl		: "수평선",
+InsertLine			: "수평선 삽입",
+InsertSpecialCharLbl: "특수문자 삽입",
+InsertSpecialChar	: "특수문자 삽입",
+InsertSmileyLbl		: "아이콘",
+InsertSmiley		: "아이콘 삽입",
+About				: "FCKeditor에 대하여",
+Bold				: "진하게",
+Italic				: "이텔릭",
+Underline			: "밑줄",
+StrikeThrough		: "취소선",
+Subscript			: "아래 첨자",
+Superscript			: "위 첨자",
+LeftJustify			: "왼쪽 정렬",
+CenterJustify		: "가운데 정렬",
+RightJustify		: "오른쪽 정렬",
+BlockJustify		: "양쪽 맞춤",
+DecreaseIndent		: "내어쓰기",
+IncreaseIndent		: "들여쓰기",
+Undo				: "취소",
+Redo				: "재실행",
+NumberedListLbl		: "순서있는 목록",
+NumberedList		: "순서있는 목록",
+BulletedListLbl		: "순서없는 목록",
+BulletedList		: "순서없는 목록",
+ShowTableBorders	: "표 테두리 보기",
+ShowDetails			: "문서기호 보기",
+Style				: "스타일",
+FontFormat			: "포맷",
+Font				: "폰트",
+FontSize			: "글자 크기",
+TextColor			: "글자 색상",
+BGColor				: "배경 색상",
+Source				: "소스",
+Find				: "찾기",
+Replace				: "바꾸기",
+SpellCheck			: "철자검사",
+UniversalKeyboard	: "다국어 입력기",
+
+Form			: "폼",
+Checkbox		: "체크박스",
+RadioButton		: "라디오버튼",
+TextField		: "입력필드",
+Textarea		: "입력영역",
+HiddenField		: "숨김필드",
+Button			: "버튼",
+SelectionField	: "펼침목록",
+ImageButton		: "이미지버튼",
+
+// Context Menu
+EditLink			: "링크 수정",
+InsertRow			: "가로줄 삽입",
+DeleteRows			: "가로줄 삭제",
+InsertColumn		: "세로줄 삽입",
+DeleteColumns		: "세로줄 삭제",
+InsertCell			: "셀 삽입",
+DeleteCells			: "셀 삭제",
+MergeCells			: "셀 합치기",
+SplitCell			: "셀 나누기",
+CellProperties		: "셀 속성",
+TableProperties		: "표 속성",
+ImageProperties		: "이미지 속성",
+
+AnchorProp			: "책갈피 속성",
+ButtonProp			: "버튼 속성",
+CheckboxProp		: "체크박스 속성",
+HiddenFieldProp		: "숨김필드 속성",
+RadioButtonProp		: "라디오버튼 속성",
+ImageButtonProp		: "이미지버튼 속성",
+TextFieldProp		: "입력필드 속성",
+SelectionFieldProp	: "펼침목록 속성",
+TextareaProp		: "입력영역 속성",
+FormProp			: "폼 속성",
+
+FontFormats			: "Normal;Formatted;Address;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "XHTML 처리중. 잠시만 기다려주십시요.",
+Done				: "완료",
+PasteWordConfirm	: "붙여넣기 할 텍스트는 MS Word에서 복사한 것입니다. 붙여넣기 전에 MS Word 포멧을 삭제하시겠습니까?",
+NotCompatiblePaste	: "이 명령은 인터넷익스플로러 5.5 버전 이상에서만 작동합니다. 포멧을 삭제하지 않고 붙여넣기 하시겠습니까?",
+UnknownToolbarItem	: "알수없는 툴바입니다. : \"%1\"",
+UnknownCommand		: "알수없는 기능입니다. : \"%1\"",
+NotImplemented		: "기능이 실행되지 않았습니다.",
+UnknownToolbarSet	: "툴바 설정이 없습니다. : \"%1\"",
+
+// Dialogs
+DlgBtnOK			: "예",
+DlgBtnCancel		: "아니오",
+DlgBtnClose			: "닫기",
+DlgBtnBrowseServer	: "서버 보기",
+DlgAdvancedTag		: "자세히",
+DlgOpOther			: "&lt;기타&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;설정되지 않음&gt;",
+DlgGenId			: "ID",
+DlgGenLangDir		: "쓰기 방향",
+DlgGenLangDirLtr	: "왼쪽에서 오른쪽 (LTR)",
+DlgGenLangDirRtl	: "오른쪽에서 왼쪽 (RTL)",
+DlgGenLangCode		: "언어 코드",
+DlgGenAccessKey		: "엑세스 키",
+DlgGenName			: "Name",
+DlgGenTabIndex		: "탭 순서",
+DlgGenLongDescr		: "URL 설명",
+DlgGenClass			: "Stylesheet Classes",
+DlgGenTitle			: "Advisory Title",
+DlgGenContType		: "Advisory Content Type",
+DlgGenLinkCharset	: "Linked Resource Charset",
+DlgGenStyle			: "Style",
+
+// Image Dialog
+DlgImgTitle			: "이미지 설정",
+DlgImgInfoTab		: "이미지 정보",
+DlgImgBtnUpload		: "서버로 전송",
+DlgImgURL			: "URL",
+DlgImgUpload		: "업로드",
+DlgImgAlt			: "이미지 설명",
+DlgImgWidth			: "너비",
+DlgImgHeight		: "높이",
+DlgImgLockRatio		: "비율 유지",
+DlgBtnResetSize		: "원래 크기로",
+DlgImgBorder		: "테두리",
+DlgImgHSpace		: "수평여백",
+DlgImgVSpace		: "수직여백",
+DlgImgAlign			: "정렬",
+DlgImgAlignLeft		: "왼쪽",
+DlgImgAlignAbsBottom: "줄아래(Abs Bottom)",
+DlgImgAlignAbsMiddle: "줄중간(Abs Middle)",
+DlgImgAlignBaseline	: "기준선",
+DlgImgAlignBottom	: "아래",
+DlgImgAlignMiddle	: "중간",
+DlgImgAlignRight	: "오른쪽",
+DlgImgAlignTextTop	: "글자위(Text Top)",
+DlgImgAlignTop		: "위",
+DlgImgPreview		: "미리보기",
+DlgImgAlertUrl		: "이미지 URL을 입력하십시요",
+DlgImgLinkTab		: "링크",
+
+// Link Dialog
+DlgLnkWindowTitle	: "링크",
+DlgLnkInfoTab		: "링크 정보",
+DlgLnkTargetTab		: "타겟",
+
+DlgLnkType			: "링크 종류",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "책갈피",
+DlgLnkTypeEMail		: "이메일",
+DlgLnkProto			: "프로토콜",
+DlgLnkProtoOther	: "&lt;기타&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "책갈피 선택",
+DlgLnkAnchorByName	: "책갈피 이름",
+DlgLnkAnchorById	: "책갈피 ID",
+DlgLnkNoAnchors		: "&lt;문서에 책갈피가 없습니다.&gt;",
+DlgLnkEMail			: "이메일 주소",
+DlgLnkEMailSubject	: "제목",
+DlgLnkEMailBody		: "내용",
+DlgLnkUpload		: "업로드",
+DlgLnkBtnUpload		: "서버로 전송",
+
+DlgLnkTarget		: "타겟",
+DlgLnkTargetFrame	: "&lt;프레임&gt;",
+DlgLnkTargetPopup	: "&lt;팝업창&gt;",
+DlgLnkTargetBlank	: "새 창 (_blank)",
+DlgLnkTargetParent	: "부모 창 (_parent)",
+DlgLnkTargetSelf	: "현재 창 (_self)",
+DlgLnkTargetTop		: "최 상위 창 (_top)",
+DlgLnkTargetFrameName	: "타겟 프레임 이름",
+DlgLnkPopWinName	: "팝업창 이름",
+DlgLnkPopWinFeat	: "팝업창 설정",
+DlgLnkPopResize		: "크기조정",
+DlgLnkPopLocation	: "주소표시줄",
+DlgLnkPopMenu		: "메뉴바",
+DlgLnkPopScroll		: "스크롤바",
+DlgLnkPopStatus		: "상태바",
+DlgLnkPopToolbar	: "툴바",
+DlgLnkPopFullScrn	: "전체화면 (IE)",
+DlgLnkPopDependent	: "Dependent (Netscape)",
+DlgLnkPopWidth		: "너비",
+DlgLnkPopHeight		: "높이",
+DlgLnkPopLeft		: "왼쪽 위치",
+DlgLnkPopTop		: "윗쪽 위치",
+
+DlnLnkMsgNoUrl		: "링크 URL을 입력하십시요.",
+DlnLnkMsgNoEMail	: "이메일주소를 입력하십시요.",
+DlnLnkMsgNoAnchor	: "책갈피명을 입력하십시요.",
+
+// Color Dialog
+DlgColorTitle		: "색상 선택",
+DlgColorBtnClear	: "지우기",
+DlgColorHighlight	: "현재",
+DlgColorSelected	: "선택됨",
+
+// Smiley Dialog
+DlgSmileyTitle		: "아이콘 삽입",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "특수문자 선택",
+
+// Table Dialog
+DlgTableTitle		: "표 설정",
+DlgTableRows		: "가로줄",
+DlgTableColumns		: "세로줄",
+DlgTableBorder		: "테두리 크기",
+DlgTableAlign		: "정렬",
+DlgTableAlignNotSet	: "<설정되지 않음>",
+DlgTableAlignLeft	: "왼쪽",
+DlgTableAlignCenter	: "가운데",
+DlgTableAlignRight	: "오른쪽",
+DlgTableWidth		: "너비",
+DlgTableWidthPx		: "픽셀",
+DlgTableWidthPc		: "퍼센트",
+DlgTableHeight		: "높이",
+DlgTableCellSpace	: "셀 간격",
+DlgTableCellPad		: "셀 여백",
+DlgTableCaption		: "캡션",
+
+// Table Cell Dialog
+DlgCellTitle		: "셀 설정",
+DlgCellWidth		: "너비",
+DlgCellWidthPx		: "픽셀",
+DlgCellWidthPc		: "퍼센트",
+DlgCellHeight		: "높이",
+DlgCellWordWrap		: "워드랩",
+DlgCellWordWrapNotSet	: "<설정되지 않음>",
+DlgCellWordWrapYes	: "예",
+DlgCellWordWrapNo	: "아니오",
+DlgCellHorAlign		: "수평 정렬",
+DlgCellHorAlignNotSet	: "<설정되지 않음>",
+DlgCellHorAlignLeft	: "왼쪽",
+DlgCellHorAlignCenter	: "가운데",
+DlgCellHorAlignRight: "오른쪽",
+DlgCellVerAlign		: "수직 정렬",
+DlgCellVerAlignNotSet	: "<설정되지 않음>",
+DlgCellVerAlignTop	: "위",
+DlgCellVerAlignMiddle	: "중간",
+DlgCellVerAlignBottom	: "아래",
+DlgCellVerAlignBaseline	: "기준선",
+DlgCellRowSpan		: "세로 합치기",
+DlgCellCollSpan		: "가로 합치기",
+DlgCellBackColor	: "배경 색상",
+DlgCellBorderColor	: "테두리 색상",
+DlgCellBtnSelect	: "선택",
+
+// Find Dialog
+DlgFindTitle		: "찾기",
+DlgFindFindBtn		: "찾기",
+DlgFindNotFoundMsg	: "문자열을 찾을 수 없습니다.",
+
+// Replace Dialog
+DlgReplaceTitle			: "바꾸기",
+DlgReplaceFindLbl		: "찾을 문자열:",
+DlgReplaceReplaceLbl	: "바꿀 문자열:",
+DlgReplaceCaseChk		: "대소문자 구분",
+DlgReplaceReplaceBtn	: "바꾸기",
+DlgReplaceReplAllBtn	: "모두 바꾸기",
+DlgReplaceWordChk		: "온전한 단어",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "브라우저의 보안설정때문에 붙여넣기 기능을 실행할 수 없습니다. 키보드 명령을 사용하십시요. (Ctrl+V).",
+PasteErrorCut	: "브라우저의 보안설정때문에 잘라내기 기능을 실행할 수 없습니다. 키보드 명령을 사용하십시요. (Ctrl+X).",
+PasteErrorCopy	: "브라우저의 보안설정때문에 복사하기 기능을 실행할 수 없습니다. 키보드 명령을 사용하십시요.  (Ctrl+C).",
+
+PasteAsText		: "텍스트로 붙여넣기",
+PasteFromWord	: "MS Word 형식에서 붙여넣기",
+
+DlgPasteMsg		: "브라우저의 <STRONG>보안설정/STRONG> 때문에 붙여넣기 할 수 없습니다. <BR>키보드 명령(<STRONG>Ctrl+V</STRONG>)을 이용하여 붙여넣은 다음 <STRONG>예</STRONG>버튼을 클릭하십시요.",
+
+// Color Picker
+ColorAutomatic	: "기본색상",
+ColorMoreColors	: "색상선택...",
+
+// Document Properties
+DocProps		: "문서 속성",
+
+// Anchor Dialog
+DlgAnchorTitle		: "책갈피 속성",
+DlgAnchorName		: "책갈피 이름",
+DlgAnchorErrorName	: "책갈피 이름을 입력하십시요.",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "사전에 없는 단어",
+DlgSpellChangeTo		: "변경할 단어",
+DlgSpellBtnIgnore		: "건너뜀",
+DlgSpellBtnIgnoreAll	: "모두 건너뜀",
+DlgSpellBtnReplace		: "변경",
+DlgSpellBtnReplaceAll	: "모두 변경",
+DlgSpellBtnUndo			: "취소",
+DlgSpellNoSuggestions	: "- 추천단어 없음 -",
+DlgSpellProgress		: "철자검사를 진행중입니다...",
+DlgSpellNoMispell		: "철자검사 완료: 잘못된 철자가 없습니다.",
+DlgSpellNoChanges		: "철자검사 완료: 변경된 단어가 없습니다.",
+DlgSpellOneChange		: "철자검사 완료: 단어가 변경되었습니다.",
+DlgSpellManyChanges		: "철자검사 완료: %1 단어가 변경되었습니다.",
+
+IeSpellDownload			: "철자 검사기가 철치되지 않았습니다. 지금 다운로드하시겠습니까?",
+
+// Button Dialog
+DlgButtonText	: "버튼글자(값)",
+DlgButtonType	: "버튼종류",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "이름",
+DlgCheckboxValue	: "값",
+DlgCheckboxSelected	: "선택됨",
+
+// Form Dialog
+DlgFormName		: "폼이름",
+DlgFormAction	: "실행경로(Action)",
+DlgFormMethod	: "방법(Method)",
+
+// Select Field Dialog
+DlgSelectName		: "이름",
+DlgSelectValue		: "값",
+DlgSelectSize		: "세로크기",
+DlgSelectLines		: "줄",
+DlgSelectChkMulti	: "여러항목 선택 허용",
+DlgSelectOpAvail	: "선택옵션",
+DlgSelectOpText		: "이름",
+DlgSelectOpValue	: "값",
+DlgSelectBtnAdd		: "추가",
+DlgSelectBtnModify	: "변경",
+DlgSelectBtnUp		: "위로",
+DlgSelectBtnDown	: "아래로",
+DlgSelectBtnSetValue : "선택된것으로 설정",
+DlgSelectBtnDelete	: "삭제",
+
+// Textarea Dialog
+DlgTextareaName	: "이름",
+DlgTextareaCols	: "칸수",
+DlgTextareaRows	: "줄수",
+
+// Text Field Dialog
+DlgTextName			: "이름",
+DlgTextValue		: "값",
+DlgTextCharWidth	: "글자 너비",
+DlgTextMaxChars		: "최대 글자수",
+DlgTextType			: "종류",
+DlgTextTypeText		: "문자열",
+DlgTextTypePass		: "비밀번호",
+
+// Hidden Field Dialog
+DlgHiddenName	: "이름",
+DlgHiddenValue	: "값",
+
+// Bulleted List Dialog
+BulletedListProp	: "순서없는 목록 속성",
+NumberedListProp	: "순서있는 목록 속성",
+DlgLstType			: "종류",
+DlgLstTypeCircle	: "원(Circle)",
+DlgLstTypeDisk		: "둥근점(Disk)",
+DlgLstTypeSquare	: "네모점(Square)",
+DlgLstTypeNumbers	: "번호 (1, 2, 3)",
+DlgLstTypeLCase		: "소문자 (a, b, c)",
+DlgLstTypeUCase		: "대문자 (A, B, C)",
+DlgLstTypeSRoman	: "로마자 수문자 (i, ii, iii)",
+DlgLstTypeLRoman	: "로마자 대문자 (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "일반",
+DlgDocBackTab		: "배경",
+DlgDocColorsTab		: "색상 및 여백",
+DlgDocMetaTab		: "메타데이터",
+
+DlgDocPageTitle		: "페이지명",
+DlgDocLangDir		: "문자 쓰기방향",
+DlgDocLangDirLTR	: "왼쪽에서 오른쪽 (LTR)",
+DlgDocLangDirRTL	: "오른쪽에서 왼쪽 (RTL)",
+DlgDocLangCode		: "언어코드",
+DlgDocCharSet		: "캐릭터셋 인코딩",
+DlgDocCharSetOther	: "다른 캐릭터셋 인코딩",
+
+DlgDocDocType		: "문서 헤드",
+DlgDocDocTypeOther	: "다른 문서헤드",
+DlgDocIncXHTML		: "XHTML 문서정의 포함",
+DlgDocBgColor		: "배경색상",
+DlgDocBgImage		: "배경이미지 URL",
+DlgDocBgNoScroll	: "스크롤되지않는 배경",
+DlgDocCText			: "텍스트",
+DlgDocCLink			: "링크",
+DlgDocCVisited		: "방문한 링크(Visited)",
+DlgDocCActive		: "활성화된 링크(Active)",
+DlgDocMargins		: "페이지 여백",
+DlgDocMaTop			: "위",
+DlgDocMaLeft		: "왼쪽",
+DlgDocMaRight		: "오른쪽",
+DlgDocMaBottom		: "아래",
+DlgDocMeIndex		: "문서 키워드 (콤마로 구분)",
+DlgDocMeDescr		: "문서 설명",
+DlgDocMeAuthor		: "작성자",
+DlgDocMeCopy		: "저작권",
+DlgDocPreview		: "미리보기",
+
+// Templates Dialog
+Templates			: "템플릿",
+DlgTemplatesTitle	: "내용 템플릿",
+DlgTemplatesSelMsg	: "에디터에서 사용할 템플릿을 선택하십시요.<br>(지금까지 작성된 내용은 사라집니다.):",
+DlgTemplatesLoading	: "템플릿 목록을 불러오는중입니다. 잠시만 기다려주십시요.",
+DlgTemplatesNoTpl	: "(템플릿이 없습니다.)",
+
+// About Dialog
+DlgAboutAboutTab	: "About",
+DlgAboutBrowserInfoTab	: "브라우저 정보",
+DlgAboutVersion		: "버전",
+DlgAboutLicense		: "Licensed under the terms of the GNU Lesser General Public License",
+DlgAboutInfo		: "For further information go to"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/lt.js soojung/libs/fckeditor/editor/lang/lt.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/lt.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/lt.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: lt.js
+ * 	Lithuanian language file.
+ * 
+ * File Authors:
+ * 		Tauras Paliulis (tauras.paliulis@tauras.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Sutraukti mygtukų juostą",
+ToolbarExpand		: "Išplėsti mygtukų juostą",
+
+// Toolbar Items and Context Menu
+Save				: "Išsaugoti",
+NewPage				: "Naujas puslapis",
+Preview				: "Peržiūra",
+Cut					: "Iškirpti",
+Copy				: "Kopijuoti",
+Paste				: "Įdėti",
+PasteText			: "Įdėti kaip gryną tekstą",
+PasteWord			: "Įdėti iš Word",
+Print				: "Spausdinti",
+SelectAll			: "Pažymėti viską",
+RemoveFormat		: "Panaikinti formatą",
+InsertLinkLbl		: "Nuoroda",
+InsertLink			: "Įterpti/taisyti nuorodą",
+RemoveLink			: "Panaikinti nuorodą",
+Anchor				: "Įterpti/modifikuoti žymę",
+InsertImageLbl		: "Vaizdas",
+InsertImage			: "Įterpti/taisyti vaizdą",
+InsertTableLbl		: "Lentelė",
+InsertTable			: "Įterpti/taisyti lentelę",
+InsertLineLbl		: "Linija",
+InsertLine			: "Įterpti horizontalią liniją",
+InsertSpecialCharLbl: "Spec. simbolis",
+InsertSpecialChar	: "Įterpti specialų simbolį",
+InsertSmileyLbl		: "Veideliai",
+InsertSmiley		: "Įterpti veidelį",
+About				: "Apie FCKeditor",
+Bold				: "Pusjuodis",
+Italic				: "Kursyvas",
+Underline			: "Pabrauktas",
+StrikeThrough		: "Perbrauktas",
+Subscript			: "Apatinis indeksas",
+Superscript			: "Viršutinis indeksas",
+LeftJustify			: "Lygiuoti kairę",
+CenterJustify		: "Centruoti",
+RightJustify		: "Lygiuoti dešinę",
+BlockJustify		: "Lygiuoti abi puses",
+DecreaseIndent		: "Sumažinti įtrauką",
+IncreaseIndent		: "Padidinti įtrauką",
+Undo				: "Atšaukti",
+Redo				: "Atstatyti",
+NumberedListLbl		: "Numeruotas sąrašas",
+NumberedList		: "Įterpti/Panaikinti numeruotą sąrašą",
+BulletedListLbl		: "Suženklintas sąrašas",
+BulletedList		: "Įterpti/Panaikinti suženklintą sąrašą",
+ShowTableBorders	: "Rodyti lentelės rėmus",
+ShowDetails			: "Rodyti detales",
+Style				: "Stilius",
+FontFormat			: "Šrifto formatas",
+Font				: "Šriftas",
+FontSize			: "Šrifto dydis",
+TextColor			: "Teksto spalva",
+BGColor				: "Fono spalva",
+Source				: "Šaltinis",
+Find				: "Rasti",
+Replace				: "Pakeisti",
+SpellCheck			: "Rašybos tikrinimas",
+UniversalKeyboard	: "Universali klaviatūra",
+
+Form			: "Forma",
+Checkbox		: "Žymimasis langelis",
+RadioButton		: "Žymimoji akutė",
+TextField		: "Teksto laukas",
+Textarea		: "Teksto sritis",
+HiddenField		: "Nerodomas laukas",
+Button			: "Mygtukas",
+SelectionField	: "Atrankos laukas",
+ImageButton		: "Vaizdinis mygtukas",
+
+// Context Menu
+EditLink			: "Taisyti nuorodą",
+InsertRow			: "Įterpti eilutę",
+DeleteRows			: "Šalinti eilutes",
+InsertColumn		: "Įterpti stulpelį",
+DeleteColumns		: "Šalinti stulpelius",
+InsertCell			: "Įterpti langelį",
+DeleteCells			: "Šalinti langelius",
+MergeCells			: "Sujungti langelius",
+SplitCell			: "Skaidyti langelius",
+CellProperties		: "Langelio savybės",
+TableProperties		: "Lentelės savybės",
+ImageProperties		: "Vaizdo savybės",
+
+AnchorProp			: "Žymės savybės",
+ButtonProp			: "Mygtuko savybės",
+CheckboxProp		: "Žymimojo langelio savybės",
+HiddenFieldProp		: "Nerodomo lauko savybės",
+RadioButtonProp		: "Žymimosios akutės savybės",
+ImageButtonProp		: "Vaizdinio mygtuko savybės",
+TextFieldProp		: "Teksto lauko savybės",
+SelectionFieldProp	: "Atrankos lauko savybės",
+TextareaProp		: "Teksto srities savybės",
+FormProp			: "Formos savybės",
+
+FontFormats			: "Normalus;Formuotas;Kreipinio;Antraštinis 1;Antraštinis 2;Antraštinis 3;Antraštinis 4;Antraštinis 5;Antraštinis 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Apdorojamas XHTML. Prašome palaukti...",
+Done				: "Baigta",
+PasteWordConfirm	: "Įdedamas tekstas yra panašus į kopiją iš Word. Ar Jūs norite prieš įdėjimą išvalyti jį?",
+NotCompatiblePaste	: "Ši komanda yra prieinama tik per Internet Explorer 5.5 ar aukštesnę versiją. Ar Jūs norite įterpti be valymo?",
+UnknownToolbarItem	: "Nežinomas mygtukų juosta elementas \"%1\"",
+UnknownCommand		: "Nežinomas komandos vardas \"%1\"",
+NotImplemented		: "Komanda nėra įgyvendinta",
+UnknownToolbarSet	: "Mygtukų juostos rinkinys \"%1\" neegzistuoja",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Nutraukti",
+DlgBtnClose			: "Uždaryti",
+DlgBtnBrowseServer	: "Naršyti po serverį",
+DlgAdvancedTag		: "Papildomas",
+DlgOpOther			: "&lt;Kita&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;nėra nustatyta&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Teksto kryptis",
+DlgGenLangDirLtr	: "Iš kairės į dešinę (LTR)",
+DlgGenLangDirRtl	: "Iš dešinės į kairę (RTL)",
+DlgGenLangCode		: "Kalbos kodas",
+DlgGenAccessKey		: "Prieigos raktas",
+DlgGenName			: "Vardas",
+DlgGenTabIndex		: "Tabuliavimo indeksas",
+DlgGenLongDescr		: "Ilgas aprašymas URL",
+DlgGenClass			: "Stilių lentelės klasės",
+DlgGenTitle			: "Konsultacinė antraštė",
+DlgGenContType		: "Konsultacinio turinio tipas",
+DlgGenLinkCharset	: "Susietų išteklių simbolių lentelė",
+DlgGenStyle			: "Stilius",
+
+// Image Dialog
+DlgImgTitle			: "Vaizdo savybės",
+DlgImgInfoTab		: "Vaizdo informacija",
+DlgImgBtnUpload		: "Siųsti į serverį",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Nusiųsti",
+DlgImgAlt			: "Alternatyvus Tekstas",
+DlgImgWidth			: "Plotis",
+DlgImgHeight		: "Aukštis",
+DlgImgLockRatio		: "Išlaikyti proporciją",
+DlgBtnResetSize		: "Atstatyti dydį",
+DlgImgBorder		: "Rėmelis",
+DlgImgHSpace		: "Hor.Erdvė",
+DlgImgVSpace		: "Vert.Erdvė",
+DlgImgAlign			: "Lygiuoti",
+DlgImgAlignLeft		: "Kairę",
+DlgImgAlignAbsBottom: "Absoliučią apačią",
+DlgImgAlignAbsMiddle: "Absoliutų vidurį",
+DlgImgAlignBaseline	: "Apatinę liniją",
+DlgImgAlignBottom	: "Apačią",
+DlgImgAlignMiddle	: "Vidurį",
+DlgImgAlignRight	: "Dešinę",
+DlgImgAlignTextTop	: "Teksto viršūnę",
+DlgImgAlignTop		: "Viršūnę",
+DlgImgPreview		: "Peržiūra",
+DlgImgAlertUrl		: "Prašome įvesti vaizdo URL",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Nuoroda",
+DlgLnkInfoTab		: "Nuorodos informacija",
+DlgLnkTargetTab		: "Paskirtis",
+
+DlgLnkType			: "Nuorodos tipas",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Žymė šiame puslapyje",
+DlgLnkTypeEMail		: "El.paštas",
+DlgLnkProto			: "Protokolas",
+DlgLnkProtoOther	: "&lt;kitas&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Pasirinkite žymę",
+DlgLnkAnchorByName	: "Pagal žymės vardą",
+DlgLnkAnchorById	: "Pagal žymės Id",
+DlgLnkNoAnchors		: "&lt;Šiame dokumente žymių nėra&gt;",
+DlgLnkEMail			: "El.pašto adresas",
+DlgLnkEMailSubject	: "Žinutės tema",
+DlgLnkEMailBody		: "Žinutės turinys",
+DlgLnkUpload		: "Siųsti",
+DlgLnkBtnUpload		: "Siųsti į serverį",
+
+DlgLnkTarget		: "Paskirties vieta",
+DlgLnkTargetFrame	: "&lt;kadras&gt;",
+DlgLnkTargetPopup	: "&lt;išskleidžiamas langas&gt;",
+DlgLnkTargetBlank	: "Naujas langas (_blank)",
+DlgLnkTargetParent	: "Pirminis langas (_parent)",
+DlgLnkTargetSelf	: "Tas pats langas (_self)",
+DlgLnkTargetTop		: "Svarbiausias langas (_top)",
+DlgLnkTargetFrameName	: "Paskirties kadro vardas",
+DlgLnkPopWinName	: "Paskirties lango vardas",
+DlgLnkPopWinFeat	: "Išskleidžiamo lango savybės",
+DlgLnkPopResize		: "Keičiamas dydis",
+DlgLnkPopLocation	: "Adreso juosta",
+DlgLnkPopMenu		: "Meniu juosta",
+DlgLnkPopScroll		: "Slinkties juostos",
+DlgLnkPopStatus		: "Būsenos juosta",
+DlgLnkPopToolbar	: "Mygtukų juosta",
+DlgLnkPopFullScrn	: "Visas ekranas (IE)",
+DlgLnkPopDependent	: "Priklausomas (Netscape)",
+DlgLnkPopWidth		: "Plotis",
+DlgLnkPopHeight		: "Aukštis",
+DlgLnkPopLeft		: "Kairė pozicija",
+DlgLnkPopTop		: "Viršutinė pozicija",
+
+DlnLnkMsgNoUrl		: "Prašome įvesti nuorodos URL",
+DlnLnkMsgNoEMail	: "Prašome įvesti el.pašto adresą",
+DlnLnkMsgNoAnchor	: "Prašome pasirinkti žymę",
+
+// Color Dialog
+DlgColorTitle		: "Pasirinkite spalvą",
+DlgColorBtnClear	: "Trinti",
+DlgColorHighlight	: "Paryškinta",
+DlgColorSelected	: "Pažymėta",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Įterpti veidelį",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Pasirinkite specialų simbolį",
+
+// Table Dialog
+DlgTableTitle		: "Lentelės savybės",
+DlgTableRows		: "Eilutės",
+DlgTableColumns		: "Stulpeliai",
+DlgTableBorder		: "Rėmelio dydis",
+DlgTableAlign		: "Lygiuoti",
+DlgTableAlignNotSet	: "<Nenustatyta>",
+DlgTableAlignLeft	: "Kairę",
+DlgTableAlignCenter	: "Centrą",
+DlgTableAlignRight	: "Dešinę",
+DlgTableWidth		: "Plotis",
+DlgTableWidthPx		: "taškais",
+DlgTableWidthPc		: "procentais",
+DlgTableHeight		: "Aukštis",
+DlgTableCellSpace	: "Tarpas tarp langelių",
+DlgTableCellPad		: "Trapas nuo langelio rėmo iki teksto",
+DlgTableCaption		: "Antraštė",
+
+// Table Cell Dialog
+DlgCellTitle		: "Langelio savybės",
+DlgCellWidth		: "Plotis",
+DlgCellWidthPx		: "taškais",
+DlgCellWidthPc		: "procentais",
+DlgCellHeight		: "Aukštis",
+DlgCellWordWrap		: "Teksto laužymas",
+DlgCellWordWrapNotSet	: "<Nenustatyta>",
+DlgCellWordWrapYes	: "Taip",
+DlgCellWordWrapNo	: "Ne",
+DlgCellHorAlign		: "Horizontaliai lygiuoti",
+DlgCellHorAlignNotSet	: "<Nenustatyta>",
+DlgCellHorAlignLeft	: "Kairę",
+DlgCellHorAlignCenter	: "Centrą",
+DlgCellHorAlignRight: "Dešinę",
+DlgCellVerAlign		: "Vertikaliai lygiuoti",
+DlgCellVerAlignNotSet	: "<Nenustatyta>",
+DlgCellVerAlignTop	: "Viršų",
+DlgCellVerAlignMiddle	: "Vidurį",
+DlgCellVerAlignBottom	: "Apačią",
+DlgCellVerAlignBaseline	: "Apatinę liniją",
+DlgCellRowSpan		: "Eilučių apjungimas",
+DlgCellCollSpan		: "Stulpelių apjungimas",
+DlgCellBackColor	: "Fono spalva",
+DlgCellBorderColor	: "Rėmelio spalva",
+DlgCellBtnSelect	: "Pažymėti...",
+
+// Find Dialog
+DlgFindTitle		: "Paieška",
+DlgFindFindBtn		: "Surasti",
+DlgFindNotFoundMsg	: "Nurodytas tekstas nerastas.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Pakeisti",
+DlgReplaceFindLbl		: "Surasti tekstą:",
+DlgReplaceReplaceLbl	: "Pakeisti tekstu:",
+DlgReplaceCaseChk		: "Skirti didžiąsias ir mažąsias raides",
+DlgReplaceReplaceBtn	: "Pakeisti",
+DlgReplaceReplAllBtn	: "Pakeisti viską",
+DlgReplaceWordChk		: "Atitikti pilną žodį",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Jūsų naršyklės saugumo nustatymai neleidžia redaktoriui automatiškai įvykdyti įdėjimo operacijų. Tam prašome naudoti klaviatūrą (Ctrl+V).",
+PasteErrorCut	: "Jūsų naršyklės saugumo nustatymai neleidžia redaktoriui automatiškai įvykdyti iškirpimo operacijų. Tam prašome naudoti klaviatūrą (Ctrl+X).",
+PasteErrorCopy	: "Jūsų naršyklės saugumo nustatymai neleidžia redaktoriui automatiškai įvykdyti kopijavimo operacijų. Tam prašome naudoti klaviatūrą (Ctrl+C).",
+
+PasteAsText		: "Įdėti kaip gryną tekstą",
+PasteFromWord	: "Įdėti iš Word",
+
+DlgPasteMsg		: "Redaktorius nesugeba automatiškai įvykdyti įdėjimo dėl <STRONG>saugumo nustatymų</STRONG> jūsų naršyklėje.<BR>Prašome įdėti tekstą šiame langelyje naudojantis klaviatūra (<STRONG>Ctrl+V</STRONG>) ir paspauskite <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatinis",
+ColorMoreColors	: "Daugiau spalvų...",
+
+// Document Properties
+DocProps		: "Dokumento savybės",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Žymės savybės",
+DlgAnchorName		: "Žymės vardas",
+DlgAnchorErrorName	: "Prašome įvesti žymės vardą",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Žodyne nerastas",
+DlgSpellChangeTo		: "Pakeisti į",
+DlgSpellBtnIgnore		: "Ignoruoti",
+DlgSpellBtnIgnoreAll	: "Ignoruoti visus",
+DlgSpellBtnReplace		: "Pakeisti",
+DlgSpellBtnReplaceAll	: "Pakeisti visus",
+DlgSpellBtnUndo			: "Atšaukti",
+DlgSpellNoSuggestions	: "- Nėra pasiūlymų -",
+DlgSpellProgress		: "Vyksta rašybos tikrinimas...",
+DlgSpellNoMispell		: "Rašybos tikrinimas baigtas: Nerasta rašybos klaidų",
+DlgSpellNoChanges		: "Rašybos tikrinimas baigtas: Nėra pakeistų žodžių",
+DlgSpellOneChange		: "Rašybos tikrinimas baigtas: Vienas žodis pakeistas",
+DlgSpellManyChanges		: "Rašybos tikrinimas baigtas: Pakeista %1 žodžių",
+
+IeSpellDownload			: "Rašybos tikrinimas neinstaliuotas. Ar Jūs norite jį dabar atsisiųsti?",
+
+// Button Dialog
+DlgButtonText	: "Tekstas (Reikšmė)",
+DlgButtonType	: "Tipas",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Vardas",
+DlgCheckboxValue	: "Reikšmė",
+DlgCheckboxSelected	: "Pažymėtas",
+
+// Form Dialog
+DlgFormName		: "Vardas",
+DlgFormAction	: "Veiksmas",
+DlgFormMethod	: "Metodas",
+
+// Select Field Dialog
+DlgSelectName		: "Vardas",
+DlgSelectValue		: "Reikšmė",
+DlgSelectSize		: "Dydis",
+DlgSelectLines		: "eilučių",
+DlgSelectChkMulti	: "Leisti daugeriopą atranką",
+DlgSelectOpAvail	: "Galimos parinktys",
+DlgSelectOpText		: "Tekstas",
+DlgSelectOpValue	: "Reikšmė",
+DlgSelectBtnAdd		: "Įtraukti",
+DlgSelectBtnModify	: "Modifikuoti",
+DlgSelectBtnUp		: "Aukštyn",
+DlgSelectBtnDown	: "Žemyn",
+DlgSelectBtnSetValue : "Laikyti pažymėta reikšme",
+DlgSelectBtnDelete	: "Trinti",
+
+// Textarea Dialog
+DlgTextareaName	: "Vardas",
+DlgTextareaCols	: "Ilgis",
+DlgTextareaRows	: "Plotis",
+
+// Text Field Dialog
+DlgTextName			: "Vardas",
+DlgTextValue		: "Reikšmė",
+DlgTextCharWidth	: "Ilgis simboliais",
+DlgTextMaxChars		: "Maksimalus simbolių skaičius",
+DlgTextType			: "Tipas",
+DlgTextTypeText		: "Tekstas",
+DlgTextTypePass		: "Slaptažodis",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Vardas",
+DlgHiddenValue	: "Reikšmė",
+
+// Bulleted List Dialog
+BulletedListProp	: "Suženklinto sąrašo savybės",
+NumberedListProp	: "Numeruoto sąrašo savybės",
+DlgLstType			: "Tipas",
+DlgLstTypeCircle	: "Apskritimas",
+DlgLstTypeDisk		: "Diskas",
+DlgLstTypeSquare	: "Kvadratas",
+DlgLstTypeNumbers	: "Skaičiai (1, 2, 3)",
+DlgLstTypeLCase		: "Mažosios raidės (a, b, c)",
+DlgLstTypeUCase		: "Didžiosios raidės (A, B, C)",
+DlgLstTypeSRoman	: "Romėnų mažieji skaičiai (i, ii, iii)",
+DlgLstTypeLRoman	: "Romėnų didieji skaičiai (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Bendros savybės",
+DlgDocBackTab		: "Fonas",
+DlgDocColorsTab		: "Spalvos ir kraštinės",
+DlgDocMetaTab		: "Meta duomenys",
+
+DlgDocPageTitle		: "Puslapio antraštė",
+DlgDocLangDir		: "Kalbos kryptis",
+DlgDocLangDirLTR	: "Iš kairės į dešinę (LTR)",
+DlgDocLangDirRTL	: "Iš dešinės į kairę (RTL)",
+DlgDocLangCode		: "Kalbos kodas",
+DlgDocCharSet		: "Simbolių kodavimo lentelė",
+DlgDocCharSetOther	: "Kita simbolių kodavimo lentelė",
+
+DlgDocDocType		: "Dokumento tipo antraštė",
+DlgDocDocTypeOther	: "Kita dokumento tipo antraštė",
+DlgDocIncXHTML		: "Įtraukti XHTML deklaracijas",
+DlgDocBgColor		: "Fono spalva",
+DlgDocBgImage		: "Fono paveikslėlio nuoroda (URL)",
+DlgDocBgNoScroll	: "Neslenkantis fonas",
+DlgDocCText			: "Tekstas",
+DlgDocCLink			: "Nuoroda",
+DlgDocCVisited		: "Aplankyta nuoroda",
+DlgDocCActive		: "Aktyvi nuoroda",
+DlgDocMargins		: "Puslapio kraštinės",
+DlgDocMaTop			: "Viršuje",
+DlgDocMaLeft		: "Kairėje",
+DlgDocMaRight		: "Dešinėje",
+DlgDocMaBottom		: "Apačioje",
+DlgDocMeIndex		: "Dokumento indeksavimo raktiniai žodžiai (atskirti kableliais)",
+DlgDocMeDescr		: "Dokumento apibūdinimas",
+DlgDocMeAuthor		: "Autorius",
+DlgDocMeCopy		: "Autorinės teisės",
+DlgDocPreview		: "Peržiūra",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "Apie",
+DlgAboutBrowserInfoTab	: "Naršyklės informacija",
+DlgAboutVersion		: "versija",
+DlgAboutLicense		: "Licencijuota pagal GNU mažesnės atsakomybės pagrindinės viešos licencijos sąlygas",
+DlgAboutInfo		: "Papildomą informaciją galima gauti"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/nl.js soojung/libs/fckeditor/editor/lang/nl.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/nl.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/nl.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: nl.js
+ * 	Dutch language file.
+ * 
+ * File Authors:
+ * 		Bram Crins (bcrins@realdesign.nl)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Menubalk inklappen",
+ToolbarExpand		: "Menubalk uitklappen",
+
+// Toolbar Items and Context Menu
+Save				: "Opslaan",
+NewPage				: "Nieuwe pagina",
+Preview				: "Voorbeeld",
+Cut					: "Knippen",
+Copy				: "Kopiëren",
+Paste				: "Plakken",
+PasteText			: "Plakken als pure tekst",
+PasteWord			: "Plakken Word-gegevens",
+Print				: "Printen",
+SelectAll			: "Alles selecteren",
+RemoveFormat		: "Verwijderen opmaak",
+InsertLinkLbl		: "Link",
+InsertLink			: "Invoegen/Wijzigen link",
+RemoveLink			: "Verwijderen link",
+Anchor				: "Interne link",
+InsertImageLbl		: "Afbeelding",
+InsertImage			: "Invoegen/Wijzigen afbeelding",
+InsertTableLbl		: "Tabel",
+InsertTable			: "Invoegen/Wijzigen tabel",
+InsertLineLbl		: "Lijn",
+InsertLine			: "Invoegen horizontale lijn",
+InsertSpecialCharLbl: "Speciale tekens",
+InsertSpecialChar	: "Speciaal teken invoegen",
+InsertSmileyLbl		: "Emoticon",
+InsertSmiley		: "Emoticon invoegen",
+About				: "Over FCKeditor",
+Bold				: "Vet",
+Italic				: "Schuingedrukt",
+Underline			: "Onderstreept",
+StrikeThrough		: "Doorhalen",
+Subscript			: "Subscript",
+Superscript			: "Superscript",
+LeftJustify			: "Links uitlijnen",
+CenterJustify		: "Centreren",
+RightJustify		: "Rechts uitlijnen",
+BlockJustify		: "Uitvullen",
+DecreaseIndent		: "Oplopenend",
+IncreaseIndent		: "Aflopend",
+Undo				: "Ongedaan maken",
+Redo				: "Opnieuw",
+NumberedListLbl		: "Genummerde lijst",
+NumberedList		: "Invoegen/Verwijderen genummerde lijst",
+BulletedListLbl		: "Opsomming",
+BulletedList		: "Invoegen/Verwijderen opsomming",
+ShowTableBorders	: "Randen tabel weergeven",
+ShowDetails			: "Details weergeven",
+Style				: "Stijl",
+FontFormat			: "Opmaak",
+Font				: "Lettertype",
+FontSize			: "Grootte",
+TextColor			: "Tekst kleur",
+BGColor				: "Achtergrond kleur",
+Source				: "Code",
+Find				: "Zoeken",
+Replace				: "Vervangen",
+SpellCheck			: "Spellings controle",
+UniversalKeyboard	: "Universeel toetsenbord",
+
+Form			: "Formulier",
+Checkbox		: "Aanvink vakje",
+RadioButton		: "Selectie vakje",
+TextField		: "Tekstveld",
+Textarea		: "Tekstveld (groot)",
+HiddenField		: "Verborgen veld",
+Button			: "Knop",
+SelectionField	: "Selectieveld",
+ImageButton		: "Grafische knop",
+
+// Context Menu
+EditLink			: "Link wijzigen",
+InsertRow			: "Rij invoegen",
+DeleteRows			: "Rijen verwijderen",
+InsertColumn		: "Kolom invoegen",
+DeleteColumns		: "Kolommen verwijderen",
+InsertCell			: "Cel",
+DeleteCells			: "Cellen verwijderen",
+MergeCells			: "Cellen samenvoegen",
+SplitCell			: "Cellen splitsen",
+CellProperties		: "Eigenschappen cel",
+TableProperties		: "Eigenschappen tabel",
+ImageProperties		: "Eigenschappen afbeelding",
+
+AnchorProp			: "Eigenschappen interne link",
+ButtonProp			: "Eigenschappen knop",
+CheckboxProp		: "Eigenschappen aanvink vakje",
+HiddenFieldProp		: "Eigenschappen verborgen veld",
+RadioButtonProp		: "Eigenschappen selectie vakje",
+ImageButtonProp		: "Eigenschappen grafische knop",
+TextFieldProp		: "Eigenschappen tekstveld",
+SelectionFieldProp	: "Eigenschappen selectieveld",
+TextareaProp		: "Eigenschappen tekstveld (groot)",
+FormProp			: "Eigenschappen formulier",
+
+FontFormats			: "Normaal;Met opmaak;Adres;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Verwerken XHTML. Even geduld aub...",
+Done				: "Klaar",
+PasteWordConfirm	: "De tekst die je plakt lijkt gekopiëerd uit Word. Wil je de tekst opschonen voordat er geplakt wordt?",
+NotCompatiblePaste	: "Deze opdracht is beschikbaar voor Internet Explorer versie 5.5 of hoger. Wil je plakken zonder opschonen?",
+UnknownToolbarItem	: "Onbekende item op menubalk \"%1\"",
+UnknownCommand		: "Onbekende opdracht naam \"%1\"",
+NotImplemented		: "Opdracht niet geïmplementeerd.",
+UnknownToolbarSet	: "Menubalk \"%1\" bestaat niet.",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Annuleren",
+DlgBtnClose			: "Afsluiten",
+DlgBtnBrowseServer	: "Bladeren op server",
+DlgAdvancedTag		: "Geavanceerd",
+DlgOpOther			: "&lt;Anders&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;niet ingevuld&gt;",
+DlgGenId			: "Kenmerk",
+DlgGenLangDir		: "Richting taal",
+DlgGenLangDirLtr	: "Links naar Rechts (LTR)",
+DlgGenLangDirRtl	: "Rechts naar Links (RTL)",
+DlgGenLangCode		: "Code taal",
+DlgGenAccessKey		: "Toegangs toets",
+DlgGenName			: "Naam",
+DlgGenTabIndex		: "Tab Index",
+DlgGenLongDescr		: "Lange omschrijving URL",
+DlgGenClass			: "Stylesheet Klassen",
+DlgGenTitle			: "Advisory titel",
+DlgGenContType		: "Advisory Content type",
+DlgGenLinkCharset	: "Gelinkte bron karakterset",
+DlgGenStyle			: "Stijl",
+
+// Image Dialog
+DlgImgTitle			: "Eigenschappen afbeelding",
+DlgImgInfoTab		: "Informatie afbeelding",
+DlgImgBtnUpload		: "Naar server verzenden",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Upload",
+DlgImgAlt			: "Alternatieve tekst",
+DlgImgWidth			: "Breedte",
+DlgImgHeight		: "Hoogte",
+DlgImgLockRatio		: "Afmetingen vergrendelen",
+DlgBtnResetSize		: "Afmetingen resetten",
+DlgImgBorder		: "Rand",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Uitlijning",
+DlgImgAlignLeft		: "Links",
+DlgImgAlignAbsBottom: "Abs beneden",
+DlgImgAlignAbsMiddle: "Abs midden",
+DlgImgAlignBaseline	: "Basislijn",
+DlgImgAlignBottom	: "Beneden",
+DlgImgAlignMiddle	: "Midden",
+DlgImgAlignRight	: "Rechts",
+DlgImgAlignTextTop	: "Tekst boven",
+DlgImgAlignTop		: "Boven",
+DlgImgPreview		: "Voorbeeld",
+DlgImgAlertUrl		: "Geeft de URL van de afbeelding",
+DlgImgLinkTab		: "Link",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Link",
+DlgLnkInfoTab		: "Informatie link",
+DlgLnkTargetTab		: "Doel",
+
+DlgLnkType			: "Type link",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Interne link in pagina",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocol",
+DlgLnkProtoOther	: "&lt;anders&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Kies een interne link",
+DlgLnkAnchorByName	: "Op naam interne link",
+DlgLnkAnchorById	: "Op kenmerk interne link",
+DlgLnkNoAnchors		: "&lt;Geen interne links in document gevonden.&gt;",
+DlgLnkEMail			: "E-Mail adres",
+DlgLnkEMailSubject	: "Onderwerp bericht",
+DlgLnkEMailBody		: "Inhoud bericht",
+DlgLnkUpload		: "Upload",
+DlgLnkBtnUpload		: "Naar de server versturen.",
+
+DlgLnkTarget		: "Doel",
+DlgLnkTargetFrame	: "&lt;frame&gt;",
+DlgLnkTargetPopup	: "&lt;popup window&gt;",
+DlgLnkTargetBlank	: "Nieuw venster (_blank)",
+DlgLnkTargetParent	: "Ouder venster (_parent)",
+DlgLnkTargetSelf	: "Zelfde venster (_self)",
+DlgLnkTargetTop		: "Browser venster (_top)",
+DlgLnkTargetFrameName	: "Naam doelframe",
+DlgLnkPopWinName	: "Naam popup venster",
+DlgLnkPopWinFeat	: "Instellingen popup venster",
+DlgLnkPopResize		: "Grootte wijzigen",
+DlgLnkPopLocation	: "Locatie menu",
+DlgLnkPopMenu		: "Menu balk",
+DlgLnkPopScroll		: "Schuifbalken",
+DlgLnkPopStatus		: "Statusbalk",
+DlgLnkPopToolbar	: "Menubalk",
+DlgLnkPopFullScrn	: "Volledig scherm (IE)",
+DlgLnkPopDependent	: "Afhankelijk (Netscape)",
+DlgLnkPopWidth		: "Breedte",
+DlgLnkPopHeight		: "Hoogte",
+DlgLnkPopLeft		: "Positie links",
+DlgLnkPopTop		: "Positie top",
+
+DlnLnkMsgNoUrl		: "Geeft de link van de URL",
+DlnLnkMsgNoEMail	: "Geef een e-mail adres",
+DlnLnkMsgNoAnchor	: "Selecteer een interne link",
+
+// Color Dialog
+DlgColorTitle		: "Selecteer kleur",
+DlgColorBtnClear	: "Opschonen",
+DlgColorHighlight	: "Accentueren",
+DlgColorSelected	: "Geselecteerd",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Invoegen smiley",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Selecteer speciaal karakter",
+
+// Table Dialog
+DlgTableTitle		: "Eigenschappen tabel",
+DlgTableRows		: "Rijen",
+DlgTableColumns		: "Kolommen",
+DlgTableBorder		: "Breedte rand",
+DlgTableAlign		: "Uitlijning",
+DlgTableAlignNotSet	: "<Niet ingegven>",
+DlgTableAlignLeft	: "Links",
+DlgTableAlignCenter	: "Centreren",
+DlgTableAlignRight	: "Rechts",
+DlgTableWidth		: "Breedte",
+DlgTableWidthPx		: "pixels",
+DlgTableWidthPc		: "procent",
+DlgTableHeight		: "Hoogte",
+DlgTableCellSpace	: "Afstand tussen cellen",
+DlgTableCellPad		: "Afstand vanaf rand cel",
+DlgTableCaption		: "Naam",
+
+// Table Cell Dialog
+DlgCellTitle		: "Eigenschappen cel",
+DlgCellWidth		: "Breedte",
+DlgCellWidthPx		: "pixels",
+DlgCellWidthPc		: "procent",
+DlgCellHeight		: "Hoogte",
+DlgCellWordWrap		: "Afbreken woorden",
+DlgCellWordWrapNotSet	: "<Niet ingegeven>",
+DlgCellWordWrapYes	: "Ja",
+DlgCellWordWrapNo	: "Nee",
+DlgCellHorAlign		: "Horizontale uitlijning",
+DlgCellHorAlignNotSet	: "<Niet ingegeven>",
+DlgCellHorAlignLeft	: "Links",
+DlgCellHorAlignCenter	: "Centreren",
+DlgCellHorAlignRight: "Rechts",
+DlgCellVerAlign		: "Verticale uitlijning",
+DlgCellVerAlignNotSet	: "<Niet ingegeven>",
+DlgCellVerAlignTop	: "Boven",
+DlgCellVerAlignMiddle	: "Midden",
+DlgCellVerAlignBottom	: "Beneden",
+DlgCellVerAlignBaseline	: "Basislijn",
+DlgCellRowSpan		: "Overkoepeling rijen",
+DlgCellCollSpan		: "Overkoepeling kolommen",
+DlgCellBackColor	: "Kleur achterrond",
+DlgCellBorderColor	: "Kleur rand",
+DlgCellBtnSelect	: "Selecteren...",
+
+// Find Dialog
+DlgFindTitle		: "Vinden",
+DlgFindFindBtn		: "Vinden",
+DlgFindNotFoundMsg	: "De opgegeven tekst is niet gevonden.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Vervangen",
+DlgReplaceFindLbl		: "Zoeken naar:",
+DlgReplaceReplaceLbl	: "Vervangen met:",
+DlgReplaceCaseChk		: "Hoofdlettergevoelig",
+DlgReplaceReplaceBtn	: "Vervangen",
+DlgReplaceReplAllBtn	: "Alles vervangen",
+DlgReplaceWordChk		: "Hele woord moet voorkomen",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "De beveiligingsinstelling van de browser verhinderen het automatisch plakken. Gebruik Ctrl+V op het toetsenbord.",
+PasteErrorCut	: "De beveiligingsinstelling van de browser verhinderen het automatisch knippen. Gebruik Ctrl+X op het toetsenbord.",
+PasteErrorCopy	: "De beveiligingsinstelling van de browser verhinderen het automatisch kopieëren. Gebruik Ctrl+C op het toetsenbord.",
+
+PasteAsText		: "Plakken als platte tekst",
+PasteFromWord	: "Plakken van Word-gegevens",
+
+DlgPasteMsg		: "De <STRONG>beveiligingsinstelling</STRONG> van de browser verhinderen het automatisch plakken. <BR>Plak de data in de volgende pagina door gebruik te maken van toetsenbord(<STRONG>Ctrl+V</STRONG>).  Klik hierna op <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatisch",
+ColorMoreColors	: "Meer kleuren...",
+
+// Document Properties
+DocProps		: "Eigenschappen document",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Eigenschappen interne link",
+DlgAnchorName		: "Naam interne link",
+DlgAnchorErrorName	: "Geef de naam van de interne link op",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Niet in het woordenboek",
+DlgSpellChangeTo		: "Wijzig in",
+DlgSpellBtnIgnore		: "Negeren",
+DlgSpellBtnIgnoreAll	: "Alles negeren",
+DlgSpellBtnReplace		: "Vervangen",
+DlgSpellBtnReplaceAll	: "Alles vervangen",
+DlgSpellBtnUndo			: "Ongedaan maken",
+DlgSpellNoSuggestions	: "-Geen suggesties-",
+DlgSpellProgress		: "Bezig met spellingscontrole...",
+DlgSpellNoMispell		: "Klaar met spellingscontrole: Geen fouten gevonden",
+DlgSpellNoChanges		: "Klaar met spellingscontrole: Geen woorden aangepast",
+DlgSpellOneChange		: "Klaar met spellingscontrole: 1 woord aangepast",
+DlgSpellManyChanges		: "Klaar met spellingscontrole: %1 woorden aangepast",
+
+IeSpellDownload			: "Spellingscontrole niet geïnstalleerd. Wil je deze nu downloaden?",
+
+// Button Dialog
+DlgButtonText	: "Tekst (waarde)",
+DlgButtonType	: "Soort",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Naam",
+DlgCheckboxValue	: "Waarde",
+DlgCheckboxSelected	: "Geselecteerd",
+
+// Form Dialog
+DlgFormName		: "Naam",
+DlgFormAction	: "Actie",
+DlgFormMethod	: "Methode",
+
+// Select Field Dialog
+DlgSelectName		: "Naam",
+DlgSelectValue		: "Waarde",
+DlgSelectSize		: "Grootte",
+DlgSelectLines		: "Regels",
+DlgSelectChkMulti	: "Gecombineerde selecties toestaan",
+DlgSelectOpAvail	: "Beschikbare opties",
+DlgSelectOpText		: "Tekst",
+DlgSelectOpValue	: "Waarde",
+DlgSelectBtnAdd		: "Toevoegen",
+DlgSelectBtnModify	: "Wijzigen",
+DlgSelectBtnUp		: "Omhoog",
+DlgSelectBtnDown	: "Omlaag",
+DlgSelectBtnSetValue : "Als geselecteerde waarde instellen",
+DlgSelectBtnDelete	: "Verwijderen",
+
+// Textarea Dialog
+DlgTextareaName	: "Naam",
+DlgTextareaCols	: "Kolommen",
+DlgTextareaRows	: "Rijen",
+
+// Text Field Dialog
+DlgTextName			: "Naam",
+DlgTextValue		: "Waarde",
+DlgTextCharWidth	: "Breedte karakter",
+DlgTextMaxChars		: "Maximum aantal karakters",
+DlgTextType			: "Soort",
+DlgTextTypeText		: "Tekst",
+DlgTextTypePass		: "Wachtwoord",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Naam",
+DlgHiddenValue	: "Waarde",
+
+// Bulleted List Dialog
+BulletedListProp	: "Eigenschappen opsommingslijst",
+NumberedListProp	: "Eigenschappen genummerde opsommingslijst",
+DlgLstType			: "Soort",
+DlgLstTypeCircle	: "Cirkel",
+DlgLstTypeDisk		: "Schijf",
+DlgLstTypeSquare	: "Vierkant",
+DlgLstTypeNumbers	: "Nummerks (1, 2, 3)",
+DlgLstTypeLCase		: "Kleine letters (a, b, c)",
+DlgLstTypeUCase		: "Hoofdletters (A, B, C)",
+DlgLstTypeSRoman	: "Klein romeins (i, ii, iii)",
+DlgLstTypeLRoman	: "Groot romeins (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Algemeen",
+DlgDocBackTab		: "Achtergrond",
+DlgDocColorsTab		: "Kleuring en marges",
+DlgDocMetaTab		: "Meta data",
+
+DlgDocPageTitle		: "Titel pagina",
+DlgDocLangDir		: "Richting taal",
+DlgDocLangDirLTR	: "Links naar rechts",
+DlgDocLangDirRTL	: "Rechts naar links",
+DlgDocLangCode		: "Taalcode",
+DlgDocCharSet		: "Karakterset-encoding",
+DlgDocCharSetOther	: "Andere karakterset-encoding",
+
+DlgDocDocType		: "Opschrift document soort",
+DlgDocDocTypeOther	: "Ander opschrift document soort",
+DlgDocIncXHTML		: "XHTML declaraties meenemen",
+DlgDocBgColor		: "Achtergrond kleur",
+DlgDocBgImage		: "URL achtergrondplaatje",
+DlgDocBgNoScroll	: "Gefixeerde achtergrond",
+DlgDocCText			: "Tekst",
+DlgDocCLink			: "Link",
+DlgDocCVisited		: "Bezochte link",
+DlgDocCActive		: "Active link",
+DlgDocMargins		: "Afstandsinstellingen document",
+DlgDocMaTop			: "Top",
+DlgDocMaLeft		: "Links",
+DlgDocMaRight		: "Rechts",
+DlgDocMaBottom		: "Bodem",
+DlgDocMeIndex		: "Trefwoorden betreffende document (komma gescheiden)",
+DlgDocMeDescr		: "Beschrijving document",
+DlgDocMeAuthor		: "Auteur",
+DlgDocMeCopy		: "Copyright",
+DlgDocPreview		: "Voorbeeld",
+
+// Templates Dialog
+Templates			: "Sjablonen",
+DlgTemplatesTitle	: "Inhoud sjabonen",
+DlgTemplatesSelMsg	: "Selecteer een sjabloon die in de editor geopend moet worden. (De actuele inhoud gaat verloren.):",
+DlgTemplatesLoading	: "Bezig met laden sjabonen. Even geduld aub...",
+DlgTemplatesNoTpl	: "(Geen sjablonen gedefiniëerd)",
+
+// About Dialog
+DlgAboutAboutTab	: "Over",
+DlgAboutBrowserInfoTab	: "Browser informatie",
+DlgAboutVersion		: "Versie",
+DlgAboutLicense		: "Gelicenceerd onder de condities van de GNU Lesser General Public License",
+DlgAboutInfo		: "Voor meer informatie ga naar "
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/no.js soojung/libs/fckeditor/editor/lang/no.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/no.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/no.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: no.js
+ * 	Norwegian language file.
+ * 
+ * File Authors:
+ * 		Martin Kronstad (www.siteman.no) (martin.kronstad@broadpark.no)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Skjul verktøylinje",
+ToolbarExpand		: "Vis verktøylinje",
+
+// Toolbar Items and Context Menu
+Save				: "Lagre",
+NewPage				: "Ny Side",
+Preview				: "Forhåndsvis",
+Cut					: "Klipp ut",
+Copy				: "Kopier",
+Paste				: "Lim inn",
+PasteText			: "Lim inn som ren tekst",
+PasteWord			: "Lim inn fra Word",
+Print				: "Skriv ut",
+SelectAll			: "Velg alle",
+RemoveFormat		: "Fjern format",
+InsertLinkLbl		: "Lenke",
+InsertLink			: "Sett inn/Rediger lenke",
+RemoveLink			: "Fjern lenke",
+Anchor				: "Sett inn/Rediger anker",
+InsertImageLbl		: "Bilde",
+InsertImage			: "Sett inn/Rediger bilde",
+InsertTableLbl		: "Tabell",
+InsertTable			: "Sett inn/Rediger tabell",
+InsertLineLbl		: "Linje",
+InsertLine			: "Sett inn horisontal linje",
+InsertSpecialCharLbl: "Spesielt tegn",
+InsertSpecialChar	: "Sett inn spesielt tegn",
+InsertSmileyLbl		: "Smil",
+InsertSmiley		: "Sett inn smil",
+About				: "Om FCKeditor",
+Bold				: "Fet",
+Italic				: "Kursiv",
+Underline			: "Understrek",
+StrikeThrough		: "Gjennomstrek",
+Subscript			: "Senket skrift",
+Superscript			: "Hevet skrift",
+LeftJustify			: "Venstrejuster",
+CenterJustify		: "Midtjuster",
+RightJustify		: "Høyrejuster",
+BlockJustify		: "Blokkjuster",
+DecreaseIndent		: "Senk nivå",
+IncreaseIndent		: "Øk nivå",
+Undo				: "Angre",
+Redo				: "Gjør om",
+NumberedListLbl		: "Numrert liste",
+NumberedList		: "Sett inn/Fjern numrert liste",
+BulletedListLbl		: "Uordnet liste",
+BulletedList		: "Sett inn/Fjern uordnet liste",
+ShowTableBorders	: "Vis tabellrammer",
+ShowDetails			: "Vis detaljer",
+Style				: "Stil",
+FontFormat			: "Format",
+Font				: "Skrift",
+FontSize			: "Størrelse",
+TextColor			: "Tekstfarge",
+BGColor				: "Bakgrunnsfarge",
+Source				: "Kilde",
+Find				: "Finn",
+Replace				: "Erstatt",
+SpellCheck			: "Stavekontroll",
+UniversalKeyboard	: "Universelt tastatur",
+
+Form			: "Skjema",
+Checkbox		: "Sjekkboks",
+RadioButton		: "Radioknapp",
+TextField		: "Tekstfelt",
+Textarea		: "Tekstområde",
+HiddenField		: "Skjult felt",
+Button			: "Knapp",
+SelectionField	: "Dropdown meny",
+ImageButton		: "Bildeknapp",
+
+// Context Menu
+EditLink			: "Rediger lenke",
+InsertRow			: "Sett inn rad",
+DeleteRows			: "Slett rader",
+InsertColumn		: "Sett inn kolonne",
+DeleteColumns		: "Slett kolonner",
+InsertCell			: "Sett inn celle",
+DeleteCells			: "Slett celler",
+MergeCells			: "Slå sammen celler",
+SplitCell			: "Splitt celler",
+CellProperties		: "Celleegenskaper",
+TableProperties		: "Tabellegenskaper",
+ImageProperties		: "Bildeegenskaper",
+
+AnchorProp			: "Ankeregenskaper",
+ButtonProp			: "Knappegenskaper",
+CheckboxProp		: "Sjekkboksegenskaper",
+HiddenFieldProp		: "Skjult felt egenskaper",
+RadioButtonProp		: "Radioknappegenskaper",
+ImageButtonProp		: "Bildeknappegenskaper",
+TextFieldProp		: "Tekstfeltegenskaper",
+SelectionFieldProp	: "Dropdown menyegenskaper",
+TextareaProp		: "Tekstfeltegenskaper",
+FormProp			: "Skjemaegenskaper",
+
+FontFormats			: "Normal;Formatert;Adresse;Tittel 1;Tittel 2;Tittel 3;Tittel 4;Tittel 5;Tittel 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Lager XHTML. Vennligst vent...",
+Done				: "Ferdig",
+PasteWordConfirm	: "Teksten du prøver å lime inn ser ut som om den kommer fra word , du bør rense den før du limer inn , vil du gjøre dette?",
+NotCompatiblePaste	: "Denne kommandoen er tilgjenglig kun for Internet Explorer version 5.5 eller bedre. Vil du fortsette uten å rense?(Du kan lime inn som ren tekst)",
+UnknownToolbarItem	: "Ukjent menyvalg \"%1\"",
+UnknownCommand		: "Ukjent kommando \"%1\"",
+NotImplemented		: "Kommando ikke ennå implimentert",
+UnknownToolbarSet	: "Verktøylinjesett \"%1\" finnes ikke",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Avbryt",
+DlgBtnClose			: "Lukk",
+DlgBtnBrowseServer	: "Bla igjennom server",
+DlgAdvancedTag		: "Avansert",
+DlgOpOther			: "&lt;Annet&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;ikke satt&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Språkretning",
+DlgGenLangDirLtr	: "Venstre til høyre (VTH)",
+DlgGenLangDirRtl	: "Høyre til venstre (HTV)",
+DlgGenLangCode		: "Språk kode",
+DlgGenAccessKey		: "Aksessknapp",
+DlgGenName			: "Navn",
+DlgGenTabIndex		: "Tab Indeks",
+DlgGenLongDescr		: "Utvidet beskrivelse",
+DlgGenClass			: "Stilarkklasser",
+DlgGenTitle			: "Tittel",
+DlgGenContType		: "Type",
+DlgGenLinkCharset	: "Lenket språkkart",
+DlgGenStyle			: "Stil",
+
+// Image Dialog
+DlgImgTitle			: "Bildeegenskaper",
+DlgImgInfoTab		: "Bildeinformasjon",
+DlgImgBtnUpload		: "Send det til serveren",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Last opp",
+DlgImgAlt			: "Alternativ tekst",
+DlgImgWidth			: "Bredde",
+DlgImgHeight		: "Høyde",
+DlgImgLockRatio		: "Lås forhold",
+DlgBtnResetSize		: "Tilbakestill størrelse",
+DlgImgBorder		: "Ramme",
+DlgImgHSpace		: "HMarg",
+DlgImgVSpace		: "VMarg",
+DlgImgAlign			: "Juster",
+DlgImgAlignLeft		: "Venstre",
+DlgImgAlignAbsBottom: "Abs bunn",
+DlgImgAlignAbsMiddle: "Abs midten",
+DlgImgAlignBaseline	: "Bunnlinje",
+DlgImgAlignBottom	: "Bunn",
+DlgImgAlignMiddle	: "Midten",
+DlgImgAlignRight	: "Høyre",
+DlgImgAlignTextTop	: "Tekst topp",
+DlgImgAlignTop		: "Topp",
+DlgImgPreview		: "Forhåndsvis",
+DlgImgAlertUrl		: "Vennligst skriv bildeurlen",
+DlgImgLinkTab		: "Lenke",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Lenke",
+DlgLnkInfoTab		: "Lenkeinfo",
+DlgLnkTargetTab		: "Mål",
+
+DlgLnkType			: "Lenketype",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Bokmerk denne siden",
+DlgLnkTypeEMail		: "E-Post",
+DlgLnkProto			: "Protokoll",
+DlgLnkProtoOther	: "&lt;annet&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Velg ett anker",
+DlgLnkAnchorByName	: "Anker etter navn",
+DlgLnkAnchorById	: "Element etter ID",
+DlgLnkNoAnchors		: "&lt;Ingen anker i dokumentet&gt;",
+DlgLnkEMail			: "E-Post Addresse",
+DlgLnkEMailSubject	: "Meldingsemne",
+DlgLnkEMailBody		: "Melding",
+DlgLnkUpload		: "Last opp",
+DlgLnkBtnUpload		: "Send til server",
+
+DlgLnkTarget		: "Mål",
+DlgLnkTargetFrame	: "&lt;ramme&gt;",
+DlgLnkTargetPopup	: "&lt;popup vindu&gt;",
+DlgLnkTargetBlank	: "Nytt vindu (_blank)",
+DlgLnkTargetParent	: "Foreldre vindu (_parent)",
+DlgLnkTargetSelf	: "Samme vindu (_self)",
+DlgLnkTargetTop		: "Hele vindu (_top)",
+DlgLnkTargetFrameName	: "Målramme",
+DlgLnkPopWinName	: "Popup vindus navn",
+DlgLnkPopWinFeat	: "Popup vindus egenskaper",
+DlgLnkPopResize		: "Endre størrelse",
+DlgLnkPopLocation	: "Adresselinje",
+DlgLnkPopMenu		: "Menylinje",
+DlgLnkPopScroll		: "Scrollbar",
+DlgLnkPopStatus		: "Statuslinje",
+DlgLnkPopToolbar	: "Verktøylinje",
+DlgLnkPopFullScrn	: "Full skjerm (IE)",
+DlgLnkPopDependent	: "Avhenging (Netscape)",
+DlgLnkPopWidth		: "Bredde",
+DlgLnkPopHeight		: "Høyde",
+DlgLnkPopLeft		: "Venstre posisjon",
+DlgLnkPopTop		: "Topp posisjon",
+
+DlnLnkMsgNoUrl		: "Vennligst skriv inn lenkens url",
+DlnLnkMsgNoEMail	: "Vennligst skriv inn e-postadressen",
+DlnLnkMsgNoAnchor	: "Vennligst velg ett anker",
+
+// Color Dialog
+DlgColorTitle		: "Velg farge",
+DlgColorBtnClear	: "Tøm",
+DlgColorHighlight	: "Marker",
+DlgColorSelected	: "Velg",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Sett inn smil",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Velg spesielt tegn",
+
+// Table Dialog
+DlgTableTitle		: "Tabellegenskaper",
+DlgTableRows		: "Rader",
+DlgTableColumns		: "Kolonner",
+DlgTableBorder		: "Rammestørrelse",
+DlgTableAlign		: "Justering",
+DlgTableAlignNotSet	: "<Ikke satt>",
+DlgTableAlignLeft	: "Venstre",
+DlgTableAlignCenter	: "Midtjuster",
+DlgTableAlignRight	: "Høyre",
+DlgTableWidth		: "Bredde",
+DlgTableWidthPx		: "pixler",
+DlgTableWidthPc		: "prosent",
+DlgTableHeight		: "Høyde",
+DlgTableCellSpace	: "Celle marg",
+DlgTableCellPad		: "Celle polstring",
+DlgTableCaption		: "Tittel",
+
+// Table Cell Dialog
+DlgCellTitle		: "Celle egenskaper",
+DlgCellWidth		: "Bredde",
+DlgCellWidthPx		: "pixeler",
+DlgCellWidthPc		: "prosent",
+DlgCellHeight		: "Høyde",
+DlgCellWordWrap		: "Tekstbrytning",
+DlgCellWordWrapNotSet	: "<Ikke satt>",
+DlgCellWordWrapYes	: "Ja",
+DlgCellWordWrapNo	: "Nei",
+DlgCellHorAlign		: "Horisontal justering",
+DlgCellHorAlignNotSet	: "<Ikke satt>",
+DlgCellHorAlignLeft	: "Venstre",
+DlgCellHorAlignCenter	: "Midtjuster",
+DlgCellHorAlignRight: "Høyre",
+DlgCellVerAlign		: "Vertikal justering",
+DlgCellVerAlignNotSet	: "<Ikke satt>",
+DlgCellVerAlignTop	: "Topp",
+DlgCellVerAlignMiddle	: "Midten",
+DlgCellVerAlignBottom	: "Bunn",
+DlgCellVerAlignBaseline	: "Bunnlinje",
+DlgCellRowSpan		: "Radspenn",
+DlgCellCollSpan		: "Kolonnespenn",
+DlgCellBackColor	: "Bakgrunnsfarge",
+DlgCellBorderColor	: "Rammefarge",
+DlgCellBtnSelect	: "Velg...",
+
+// Find Dialog
+DlgFindTitle		: "Finn",
+DlgFindFindBtn		: "Finn",
+DlgFindNotFoundMsg	: "Den spesifiserte teksten ble ikke funnet.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Erstatt",
+DlgReplaceFindLbl		: "Finn hva:",
+DlgReplaceReplaceLbl	: "Erstatt med:",
+DlgReplaceCaseChk		: "Riktig case",
+DlgReplaceReplaceBtn	: "Erstatt",
+DlgReplaceReplAllBtn	: "Erstatt alle",
+DlgReplaceWordChk		: "Finn hele ordet",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Din nettlesers sikkerhetsinstillinger tillater ikke automatisk innliming av tekst. Vennligst brukt snareveien (Ctrl+V).",
+PasteErrorCut	: "Din nettlesers sikkerhetsinstillinger tillater ikke automatisk klipping av tekst. Vennligst brukt snareveien (Ctrl+X).",
+PasteErrorCopy	: "Din nettlesers sikkerhetsinstillinger tillater ikke automatisk kopiering av tekst. Vennligst brukt snareveien (Ctrl+C).",
+
+PasteAsText		: "Lim inn som ren tekst",
+PasteFromWord	: "Lim inn fra word",
+
+DlgPasteMsg		: "Programmet kan ikke lime inn tekst på grunn av din nettlesers <STRONG>sikkerhetsinstillinger</STRONG>.<BR>Vennligst lim inn teksten i boksen nedenfor med tastatursnareveien. (<STRONG>Ctrl+V</STRONG>) og trykk <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatisk",
+ColorMoreColors	: "Flere farger...",
+
+// Document Properties
+DocProps		: "Dokumentegenskaper",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Ankeregenskaper",
+DlgAnchorName		: "Ankernavn",
+DlgAnchorErrorName	: "Vennligst skriv inn ankernavnet",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Ikke i ordboken",
+DlgSpellChangeTo		: "Endre til",
+DlgSpellBtnIgnore		: "Ignorer",
+DlgSpellBtnIgnoreAll	: "Ignorer alle",
+DlgSpellBtnReplace		: "Erstatt",
+DlgSpellBtnReplaceAll	: "Erstatt alle",
+DlgSpellBtnUndo			: "Angre",
+DlgSpellNoSuggestions	: "- ingen forslag -",
+DlgSpellProgress		: "Stavekontroll pågår...",
+DlgSpellNoMispell		: "Stavekontroll fullført: ingen feilstavinger funnet",
+DlgSpellNoChanges		: "Stavekontroll fullført: ingen ord endret",
+DlgSpellOneChange		: "Stavekontroll fullført: Ett ord endret",
+DlgSpellManyChanges		: "Stavekontroll fullført: %1 ord endret",
+
+IeSpellDownload			: "Stavekontroll ikke installert, vil du laste den ned nå?",
+
+// Button Dialog
+DlgButtonText	: "Tekst",
+DlgButtonType	: "Type",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Navn",
+DlgCheckboxValue	: "Verdi",
+DlgCheckboxSelected	: "Valgt",
+
+// Form Dialog
+DlgFormName		: "Navn",
+DlgFormAction	: "Handling",
+DlgFormMethod	: "Metode",
+
+// Select Field Dialog
+DlgSelectName		: "Navn",
+DlgSelectValue		: "Verdi",
+DlgSelectSize		: "Størrelse",
+DlgSelectLines		: "Linjer",
+DlgSelectChkMulti	: "Tillat flervalg",
+DlgSelectOpAvail	: "Tilgjenglige alternativer",
+DlgSelectOpText		: "Tekst",
+DlgSelectOpValue	: "Verdi",
+DlgSelectBtnAdd		: "Legg til",
+DlgSelectBtnModify	: "Endre",
+DlgSelectBtnUp		: "Opp",
+DlgSelectBtnDown	: "Ned",
+DlgSelectBtnSetValue : "Sett som valgt",
+DlgSelectBtnDelete	: "Slett",
+
+// Textarea Dialog
+DlgTextareaName	: "Navn",
+DlgTextareaCols	: "Kolonner",
+DlgTextareaRows	: "Rader",
+
+// Text Field Dialog
+DlgTextName			: "Navn",
+DlgTextValue		: "verdi",
+DlgTextCharWidth	: "Tegnbredde",
+DlgTextMaxChars		: "Maks antall tegn",
+DlgTextType			: "Type",
+DlgTextTypeText		: "Tekst",
+DlgTextTypePass		: "Passord",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Navn",
+DlgHiddenValue	: "Verdi",
+
+// Bulleted List Dialog
+BulletedListProp	: "Uordnet listeegenskaper",
+NumberedListProp	: "Ordnet listeegenskaper",
+DlgLstType			: "Type",
+DlgLstTypeCircle	: "Sirkel",
+DlgLstTypeDisk		: "Disk",
+DlgLstTypeSquare	: "Firkant",
+DlgLstTypeNumbers	: "Numre(1, 2, 3)",
+DlgLstTypeLCase		: "Små bokstaver (a, b, c)",
+DlgLstTypeUCase		: "Store bokstaver(A, B, C)",
+DlgLstTypeSRoman	: "Små romerske tall(i, ii, iii)",
+DlgLstTypeLRoman	: "Store romerske tall(I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Generalt",
+DlgDocBackTab		: "Bakgrunn",
+DlgDocColorsTab		: "Farger og marginer",
+DlgDocMetaTab		: "Meta Data",
+
+DlgDocPageTitle		: "Sidetittel",
+DlgDocLangDir		: "Språkretning",
+DlgDocLangDirLTR	: "Venstre til høyre (LTR)",
+DlgDocLangDirRTL	: "Høyre til venstre (RTL)",
+DlgDocLangCode		: "Språkkode",
+DlgDocCharSet		: "Tegnsett",
+DlgDocCharSetOther	: "Annet tegnsett",
+
+DlgDocDocType		: "Dokumenttype header",
+DlgDocDocTypeOther	: "Annet dokumenttype header",
+DlgDocIncXHTML		: "Inkulder XHTML deklarasjon",
+DlgDocBgColor		: "Bakgrunnsfarge",
+DlgDocBgImage		: "Bakgrunnsbilde url",
+DlgDocBgNoScroll	: "Ikke scroll bakgrunnsbilde",
+DlgDocCText			: "Tekst",
+DlgDocCLink			: "Link",
+DlgDocCVisited		: "Besøkt lenke",
+DlgDocCActive		: "Aktiv lenke",
+DlgDocMargins		: "Sidemargin",
+DlgDocMaTop			: "Topp",
+DlgDocMaLeft		: "Venstre",
+DlgDocMaRight		: "Høyre",
+DlgDocMaBottom		: "Bunn",
+DlgDocMeIndex		: "Dokument nøkkelord (kommaseparert)",
+DlgDocMeDescr		: "Dokumentbeskrivelse",
+DlgDocMeAuthor		: "Forfatter",
+DlgDocMeCopy		: "Kopirett",
+DlgDocPreview		: "Forhåndsvising",
+
+// Templates Dialog
+Templates			: "Maler",
+DlgTemplatesTitle	: "Innholdsmaler",
+DlgTemplatesSelMsg	: "Velg malen du vil åpne<br>(innholdet du har skrevet blir tapt!):",
+DlgTemplatesLoading	: "Laster malliste. Vennligst vent...",
+DlgTemplatesNoTpl	: "(Ingen maler definert)",
+
+// About Dialog
+DlgAboutAboutTab	: "Om",
+DlgAboutBrowserInfoTab	: "Nettleserinfo",
+DlgAboutVersion		: "versjon",
+DlgAboutLicense		: "Lisensiert under GNU Lesser General Public License",
+DlgAboutInfo		: "Oversatt av Siteman DA<br /><a target=\"_blank\" href=\"http://www.siteman.no\">www.siteman.no</a><br /><br />For mer informasjon gå til"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/pl.js soojung/libs/fckeditor/editor/lang/pl.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/pl.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/pl.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,454 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: pl.js
+ * 	Polish language file.
+ * 
+ * File Authors:
+ * 		Jakub Boesche (jboesche@gazeta.pl)
+ * 		Maciej Bochynski (maciej.bochynski@lubman.pl)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Zwiń pasek narzędzi",
+ToolbarExpand		: "Rozwiń pasek narzędzi",
+
+// Toolbar Items and Context Menu
+Save				: "Zapisz",
+NewPage				: "Nowa strona",
+Preview				: "Podgląd",
+Cut					: "Wytnij",
+Copy				: "Kopiuj",
+Paste				: "Wklej",
+PasteText			: "Wklej jako czysty tekst",
+PasteWord			: "Wklej z Worda",
+Print				: "Drukuj",
+SelectAll			: "Zaznacz wszystko",
+RemoveFormat		: "Usuń formatowanie",
+InsertLinkLbl		: "Hiperłącze",
+InsertLink			: "Wstaw/edytuj hiperłącze",
+RemoveLink			: "Usuń hiperłącze",
+Anchor				: "Wstaw/edytuj kotwicę",
+InsertImageLbl		: "Obrazek",
+InsertImage			: "Wstaw/edytuj obrazek",
+InsertTableLbl		: "Tabela",
+InsertTable			: "Wstaw/edytuj tabelę",
+InsertLineLbl		: "Linia pozioma",
+InsertLine			: "Wstaw poziomą linię",
+InsertSpecialCharLbl: "Znak specjalny",
+InsertSpecialChar	: "Wstaw znak specjalny",
+InsertSmileyLbl		: "Emotikona",
+InsertSmiley		: "Wstaw emotikonę",
+About				: "O programie FCKeditor",
+Bold				: "Pogrubienie",
+Italic				: "Kursywa",
+Underline			: "Podkreślenie",
+StrikeThrough		: "Przekreślenie",
+Subscript			: "Indeks dolny",
+Superscript			: "Indeks górny",
+LeftJustify			: "Wyrównaj do lewej",
+CenterJustify		: "Wyrównaj do środka",
+RightJustify		: "Wyrównaj do prawej",
+BlockJustify		: "Wyrównaj do lewej i prawej",
+DecreaseIndent		: "Zmniejsz wcięcie",
+IncreaseIndent		: "Zwiększ wcięcie",
+Undo				: "Cofnij",
+Redo				: "Ponów",
+NumberedListLbl		: "Lista numerowana",
+NumberedList		: "Wstaw/usuń numerowanie listy",
+BulletedListLbl		: "Lista wypunktowana",
+BulletedList		: "Wstaw/usuń wypunktowanie listy",
+ShowTableBorders	: "Pokazuj ramkę tabeli",
+ShowDetails			: "Pokaż szczegóły",
+Style				: "Styl",
+FontFormat			: "Format",
+Font				: "Czcionka",
+FontSize			: "Rozmiar",
+TextColor			: "Kolor tekstu",
+BGColor				: "Kolor tła",
+Source				: "Źródło dokumentu",
+Find				: "Znajdź",
+Replace				: "Zamień",
+SpellCheck			: "Sprawdź pisownię",
+UniversalKeyboard	: "Klawiatura Uniwersalna",
+
+Form			: "Formularz",
+Checkbox		: "Checkbox",
+RadioButton		: "Pole wyboru",
+TextField		: "Pole tekstowe",
+Textarea		: "Obszar tekstowy",
+HiddenField		: "Pole ukryte",
+Button			: "Przycisk",
+SelectionField	: "Lista wyboru",
+ImageButton		: "Przycisk obrazek",
+
+// Context Menu
+EditLink			: "Edytuj hiperłącze",
+InsertRow			: "Wstaw wiersz",
+DeleteRows			: "Usuń wiersze",
+InsertColumn		: "Wstaw kolumnę",
+DeleteColumns		: "Usuń kolumny",
+InsertCell			: "Wstaw komórkę",
+DeleteCells			: "Usuń komórki",
+MergeCells			: "Połącz komórki",
+SplitCell			: "Podziel komórkę",
+CellProperties		: "Właściwości komórki",
+TableProperties		: "Właściwości tabeli",
+ImageProperties		: "Właściwości obrazka",
+
+AnchorProp			: "Właściwości kotwicy",
+ButtonProp			: "Właściwości przycisku",
+CheckboxProp		: "Checkbox - właściwości",
+HiddenFieldProp		: "Właściwości pola ukrytego",
+RadioButtonProp		: "Właściwości pola wyboru",
+ImageButtonProp		: "Właściwości przycisku obrazka",
+TextFieldProp		: "Właściwości pola tekstowego",
+SelectionFieldProp	: "Właściwości listy wyboru",
+TextareaProp		: "Właściwości obszaru tekstowego",
+FormProp			: "Właściwości formularza",
+
+FontFormats			: "Normalny;Tekst sformatowany;Adres;Nagłówek 1;Nagłówek 2;Nagłówek 3;Nagłówek 4;Nagłówek 5;Nagłówek 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Przetwarzanie XHTML. Proszę czekać...",
+Done				: "Gotowe",
+PasteWordConfirm	: "Tekst, który chcesz wkleić, prawdopodobnie pochodzi z programu Word. Czy chcesz go wyczyścic przed wklejeniem?",
+NotCompatiblePaste	: "Ta funkcja jest dostępna w programie Internet Explorer w wersji 5.5 lub wyższej. Czy chcesz wkleić tekst bez czyszczenia?",
+UnknownToolbarItem	: "Nieznany element paska narzędzi \"%1\"",
+UnknownCommand		: "Nieznana komenda \"%1\"",
+NotImplemented		: "Komenda niezaimplementowana",
+UnknownToolbarSet	: "Pasek narzędzi \"%1\" nie istnieje",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Anuluj",
+DlgBtnClose			: "Zamknij",
+DlgBtnBrowseServer	: "Przeglądaj",
+DlgAdvancedTag		: "Zaawansowane",
+DlgOpOther			: "&lt;Inny&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;nieustawione&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Kierunek tekstu",
+DlgGenLangDirLtr	: "Od lewej do prawej (LTR)",
+DlgGenLangDirRtl	: "Od prawej do lewej (RTL)",
+DlgGenLangCode		: "Kod języka",
+DlgGenAccessKey		: "Klawisz dostępu",
+DlgGenName			: "Nazwa",
+DlgGenTabIndex		: "Indeks tabeli",
+DlgGenLongDescr		: "Long Description URL",
+DlgGenClass			: "Stylesheet Classes",
+DlgGenTitle			: "Advisory Title",
+DlgGenContType		: "Advisory Content Type",
+DlgGenLinkCharset	: "Linked Resource Charset",
+DlgGenStyle			: "Styl",
+
+// Image Dialog
+DlgImgTitle			: "Właściwości obrazka",
+DlgImgInfoTab		: "Informacje o obrazku",
+DlgImgBtnUpload		: "Syślij",
+DlgImgURL			: "Adres URL",
+DlgImgUpload		: "Wyślij",
+DlgImgAlt			: "Tekst zastępczy",
+DlgImgWidth			: "Szerokość",
+DlgImgHeight		: "Wysokość",
+DlgImgLockRatio		: "Zablokuj proporcje",
+DlgBtnResetSize		: "Przywróć rozmiar",
+DlgImgBorder		: "Ramka",
+DlgImgHSpace		: "Odstęp poziomy",
+DlgImgVSpace		: "Odstęp pionowy",
+DlgImgAlign			: "Wyrównaj",
+DlgImgAlignLeft		: "Do lewej",
+DlgImgAlignAbsBottom: "Do dołu",
+DlgImgAlignAbsMiddle: "Do środka w pionie",
+DlgImgAlignBaseline	: "Do linii bazowej",
+DlgImgAlignBottom	: "Do dołu",
+DlgImgAlignMiddle	: "Do środka",
+DlgImgAlignRight	: "Do prawej",
+DlgImgAlignTextTop	: "Do góry tekstu",
+DlgImgAlignTop		: "Do góry",
+DlgImgPreview		: "Podgląd",
+DlgImgAlertUrl		: "Podaj adres obrazka.",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Hiperłącze",
+DlgLnkInfoTab		: "Informacje ",
+DlgLnkTargetTab		: "Cel",
+
+DlgLnkType			: "Typ hiperłącza",
+DlgLnkTypeURL		: "Adres URL",
+DlgLnkTypeAnchor	: "Odnośnik wewnątrz strony",
+DlgLnkTypeEMail		: "Adres e-mail",
+DlgLnkProto			: "Protokół",
+DlgLnkProtoOther	: "&lt;inny&gt;",
+DlgLnkURL			: "Adres URL",
+DlgLnkAnchorSel		: "Wybierz etykietę",
+DlgLnkAnchorByName	: "Wg etykiety",
+DlgLnkAnchorById	: "Wg identyfikatora elementu",
+DlgLnkNoAnchors		: "&lt;W dokumencie nie zdefiniowano żadnych etykiet&gt;",
+DlgLnkEMail			: "Adres e-mail",
+DlgLnkEMailSubject	: "Temat",
+DlgLnkEMailBody		: "Treść",
+DlgLnkUpload		: "Upload",
+DlgLnkBtnUpload		: "Wyślij",
+
+DlgLnkTarget		: "Cel",
+DlgLnkTargetFrame	: "&lt;ramka&gt;",
+DlgLnkTargetPopup	: "&lt;wyskakujące okno&gt;",
+DlgLnkTargetBlank	: "Nowe okno (_blank)",
+DlgLnkTargetParent	: "Okno nadrzędne (_parent)",
+DlgLnkTargetSelf	: "To samo okno (_self)",
+DlgLnkTargetTop		: "Okno najwyższe w hierarchii (_top)",
+DlgLnkTargetFrameName	: "Nazwa Ramki Docelowej",
+DlgLnkPopWinName	: "Nazwa wyskakującego okna",
+DlgLnkPopWinFeat	: "Właściwości wyskakującego okna",
+DlgLnkPopResize		: "Możliwa zmiana rozmiaru",
+DlgLnkPopLocation	: "Pasek adresu",
+DlgLnkPopMenu		: "Pasek menu",
+DlgLnkPopScroll		: "Paski przewijania",
+DlgLnkPopStatus		: "Pasek statusu",
+DlgLnkPopToolbar	: "Pasek narzędzi",
+DlgLnkPopFullScrn	: "Pełny ekran (IE)",
+DlgLnkPopDependent	: "Okno zależne (Netscape)",
+DlgLnkPopWidth		: "Szerokość",
+DlgLnkPopHeight		: "Wysokość",
+DlgLnkPopLeft		: "Pozycja w poziomie",
+DlgLnkPopTop		: "Pozycja w pionie",
+
+DlnLnkMsgNoUrl		: "Podaj adres URL",
+DlnLnkMsgNoEMail	: "Podaj adres e-mail",
+DlnLnkMsgNoAnchor	: "Wybierz etykietę",
+
+// Color Dialog
+DlgColorTitle		: "Wybierz kolor",
+DlgColorBtnClear	: "Wyczyść",
+DlgColorHighlight	: "Podgląd",
+DlgColorSelected	: "Wybrane",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Wstaw emotikonę",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Wybierz znak specjalny",
+
+// Table Dialog
+DlgTableTitle		: "Właściwości tabeli",
+DlgTableRows		: "Liczba wierszy",
+DlgTableColumns		: "Liczba kolumn",
+DlgTableBorder		: "Grubość ramki",
+DlgTableAlign		: "Wyrównanie",
+DlgTableAlignNotSet	: "<brak ustawień>",
+DlgTableAlignLeft	: "Do lewej",
+DlgTableAlignCenter	: "Do środka",
+DlgTableAlignRight	: "Do prawej",
+DlgTableWidth		: "Szerokość",
+DlgTableWidthPx		: "piksele",
+DlgTableWidthPc		: "%",
+DlgTableHeight		: "Wysokość",
+DlgTableCellSpace	: "Odstęp pomiędzy komórkami",
+DlgTableCellPad		: "Margines wewnętrzny komórek",
+DlgTableCaption		: "Tytuł",
+
+// Table Cell Dialog
+DlgCellTitle		: "Właściwości komórki",
+DlgCellWidth		: "Szerokość",
+DlgCellWidthPx		: "piksele",
+DlgCellWidthPc		: "%",
+DlgCellHeight		: "Wysokość",
+DlgCellWordWrap		: "Zawijanie tekstu",
+DlgCellWordWrapNotSet	: "<brak ustawień>",
+DlgCellWordWrapYes	: "Tak",
+DlgCellWordWrapNo	: "Nie",
+DlgCellHorAlign		: "Wyrównanie poziome",
+DlgCellHorAlignNotSet	: "<brak ustawień>",
+DlgCellHorAlignLeft	: "Do lewej",
+DlgCellHorAlignCenter	: "Do środka",
+DlgCellHorAlignRight: "Do prawej",
+DlgCellVerAlign		: "Wyrównanie pionowe",
+DlgCellVerAlignNotSet	: "<brak ustawień>",
+DlgCellVerAlignTop	: "Do góry",
+DlgCellVerAlignMiddle	: "Do środka",
+DlgCellVerAlignBottom	: "Do dołu",
+DlgCellVerAlignBaseline	: "Do linii bazowej",
+DlgCellRowSpan		: "Zajętość wierszy",
+DlgCellCollSpan		: "Zajętość kolumn",
+DlgCellBackColor	: "Kolor tła",
+DlgCellBorderColor	: "Kolor ramki",
+DlgCellBtnSelect	: "Wybierz...",
+
+// Find Dialog
+DlgFindTitle		: "Znajdź",
+DlgFindFindBtn		: "Znajdź",
+DlgFindNotFoundMsg	: "Nie znaleziono szukanego hasła.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Zamień",
+DlgReplaceFindLbl		: "Znajdź:",
+DlgReplaceReplaceLbl	: "Zastąp przez:",
+DlgReplaceCaseChk		: "Uwzględnij wielkość liter",
+DlgReplaceReplaceBtn	: "Zastąp",
+DlgReplaceReplAllBtn	: "Zastąp wszystko",
+DlgReplaceWordChk		: "Całe słowa",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Ustawienia bezpieczeństwa Twojej przeglądarki nie pozwalają na automatyczne wklejanie tekstu. Użyj skrótu klawiszowego Ctrl+V.",
+PasteErrorCut	: "Ustawienia bezpieczeństwa Twojej przeglądarki nie pozwalają na automatyczne wycinanie tekstu. Użyj skrótu klawiszowego Ctrl+X.",
+PasteErrorCopy	: "Ustawienia bezpieczeństwa Twojej przeglądarki nie pozwalają na automatyczne kopiowanie tekstu. Użyj skrótu klawiszowego Ctrl+C.",
+
+PasteAsText		: "Wklej jako czysty tekst",
+PasteFromWord	: "Wklej z Worda",
+
+DlgPasteMsg		: "Automatyczne wklejenie tekstu nie było możliwe z powodu <STRONG>restrykcyjnych</STRONG> ustawień bezpieczeństwa Twojej przeglądarki.<BR>Wklej tekst w poniższe pole używając skrótu klawiszowego (<STRONG>Ctrl+V</STRONG>) i wciśnij <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatycznie",
+ColorMoreColors	: "Więcej kolorów...",
+
+// Document Properties
+DocProps		: "Właściwości dokumentu",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Właściwości kotwicy",
+DlgAnchorName		: "Nazwa kotwicy",
+DlgAnchorErrorName	: "Wpisz nazwę kotwicy",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Słowa nie ma w słowniku",
+DlgSpellChangeTo		: "Zmień na",
+DlgSpellBtnIgnore		: "Ignoruj",
+DlgSpellBtnIgnoreAll	: "Ignoruj wszystkie",
+DlgSpellBtnReplace		: "Zmień",
+DlgSpellBtnReplaceAll	: "Zmień wszystkie",
+DlgSpellBtnUndo			: "Undo",
+DlgSpellNoSuggestions	: "- Brak sugestii -",
+DlgSpellProgress		: "Trwa sprawdzanie ...",
+DlgSpellNoMispell		: "Sprawdzanie zakończone: nie znaleziono błędów",
+DlgSpellNoChanges		: "Sprawdzanie zakończone: nie zmieniono żadnego słowa",
+DlgSpellOneChange		: "Sprawdzanie zakończone: zmieniono jedno słowo",
+DlgSpellManyChanges		: "Sprawdzanie zakończone: zmieniono %l słów",
+
+IeSpellDownload			: "Słownik nie jest zainstalowany. Chcesz go ściągnąć?",
+
+// Button Dialog
+DlgButtonText	: "Tekst (Wartość)",
+DlgButtonType	: "Typ",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Nazwa",
+DlgCheckboxValue	: "Wartość",
+DlgCheckboxSelected	: "Zaznaczony",
+
+// Form Dialog
+DlgFormName		: "Nazwa",
+DlgFormAction	: "Akcja",
+DlgFormMethod	: "Metoda",
+
+// Select Field Dialog
+DlgSelectName		: "Nazwa",
+DlgSelectValue		: "Wartość",
+DlgSelectSize		: "Rozmiar",
+DlgSelectLines		: "linii",
+DlgSelectChkMulti	: "Wielokrotny wybór",
+DlgSelectOpAvail	: "Dostępne opcje",
+DlgSelectOpText		: "Tekst",
+DlgSelectOpValue	: "Wartość",
+DlgSelectBtnAdd		: "Dodaj",
+DlgSelectBtnModify	: "Zmień",
+DlgSelectBtnUp		: "Do góry",
+DlgSelectBtnDown	: "Do dołu",
+DlgSelectBtnSetValue : "Ustaw wartość zaznaczoną",
+DlgSelectBtnDelete	: "Usuń",
+
+// Textarea Dialog
+DlgTextareaName	: "Nazwa",
+DlgTextareaCols	: "Kolumnu",
+DlgTextareaRows	: "Wiersze",
+
+// Text Field Dialog
+DlgTextName			: "Nazwa",
+DlgTextValue		: "Wartość",
+DlgTextCharWidth	: "Szerokość w znakach",
+DlgTextMaxChars		: "Max. szerokość",
+DlgTextType			: "Typ",
+DlgTextTypeText		: "Tekst",
+DlgTextTypePass		: "Hasło",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Nazwa",
+DlgHiddenValue	: "Wartość",
+
+// Bulleted List Dialog
+BulletedListProp	: "Właściwości listy punktowanej",
+NumberedListProp	: "Właściwości listy numerowanej",
+DlgLstType			: "Typ",
+DlgLstTypeCircle	: "Koło",
+DlgLstTypeDisk		: "Dysk",
+DlgLstTypeSquare	: "Kwadrat",
+DlgLstTypeNumbers	: "Cyfry (1, 2, 3)",
+DlgLstTypeLCase		: "Małe litery (a, b, c)",
+DlgLstTypeUCase		: "Duże litery (A, B, C)",
+DlgLstTypeSRoman	: "Numeracja rzymska (i, ii, iii)",
+DlgLstTypeLRoman	: "Numeracja rzymska (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Ogólne",
+DlgDocBackTab		: "Tło",
+DlgDocColorsTab		: "Kolory i marginesy",
+DlgDocMetaTab		: "Meta Dane",
+
+DlgDocPageTitle		: "Tytuł strony",
+DlgDocLangDir		: "Kierunek pisania",
+DlgDocLangDirLTR	: "Od lewej do prawej (LTR)",
+DlgDocLangDirRTL	: "Od prawej do lewej (RTL)",
+DlgDocLangCode		: "Kod języka",
+DlgDocCharSet		: "Kodowanie znaków",
+DlgDocCharSetOther	: "Inne kodowanie znaków",
+
+DlgDocDocType		: "Nagłowek typu dokumentu",
+DlgDocDocTypeOther	: "Inny typ dokumentu",
+DlgDocIncXHTML		: "Dołącz deklarację XHTML",
+DlgDocBgColor		: "Kolor tła",
+DlgDocBgImage		: "Obrazek tła",
+DlgDocBgNoScroll	: "Tło nieruchome",
+DlgDocCText			: "Tekst",
+DlgDocCLink			: "Hiperłącze",
+DlgDocCVisited		: "Odwiedzane hiperłącze",
+DlgDocCActive		: "Aktywne hiperłącze",
+DlgDocMargins		: "Marginesy strony",
+DlgDocMaTop			: "Górny",
+DlgDocMaLeft		: "Lewy",
+DlgDocMaRight		: "Prawy",
+DlgDocMaBottom		: "Dolny",
+DlgDocMeIndex		: "Słowa kluczowe (oddzielone przecinkami)",
+DlgDocMeDescr		: "Opis dokumentu",
+DlgDocMeAuthor		: "Autor",
+DlgDocMeCopy		: "Copyright",
+DlgDocPreview		: "Podgląd",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "O ...",
+DlgAboutBrowserInfoTab	: "O przeglądarce",
+DlgAboutVersion		: "wersja",
+DlgAboutLicense		: "na licencji GNU Lesser General Public License",
+DlgAboutInfo		: "Więcej informacji uzyskasz pod adresem"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/pt-br.js soojung/libs/fckeditor/editor/lang/pt-br.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/pt-br.js	2004-12-27 20:50:33.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/pt-br.js	2005-06-11 10:32:44.000000000 +0900
@@ -1,202 +1,453 @@
-/*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: pt-br.js
- * 	Portuguese language file.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-06-04 09:28:44
- * 
- * File Authors:
- * 		Alexandre Mendonça Lima (amlima@unitech.com.br)
- */
-
-var FCKLang =
-{
-// Language direction : "ltr" (left to right) or "rtl" (right to left).
-"Dir"				: "ltr",
-
-// Toolbar Items and Context Menu
-"Cut"				: "Recortar" ,
-"Copy"				: "Copiar" ,
-"Paste"				: "Colar" ,
-"PasteText"			: "Colar como Texto Puro" ,
-"PasteWord"			: "Colar do Microsoft Word" ,
-"Find"				: "Localizar" ,
-"SelectAll"			: "Selecionar Tudo" ,
-"RemoveFormat"		: "Remover Formatação" ,
-"InsertLink"		: "Inserir/Editar Link" ,
-"RemoveLink"		: "Remover Link" ,
-"InsertImage"		: "Inserir/Editar Imagem" ,
-"InsertTable"		: "Inserir/Editar Tabela" ,
-"InsertLine"		: "Inserir Linha Horizontal" ,
-"InsertSpecialChar"	: "Inserir Caracter Especial" ,
-"InsertSmiley"		: "Inserir Carinha" ,
-"About"				: "About FCKeditor" ,
-"Bold"				: "Negrito" ,
-"Italic"			: "Itálico" ,
-"Underline"			: "Sublinhado" ,
-"StrikeThrough"		: "Riscado" ,
-"Subscript"			: "Subscrito" ,
-"Superscript"		: "Superscrito" ,
-"LeftJustify"		: "Alinhamento à Esquerda" ,
-"CenterJustify"		: "Alinhamento ao Centro" ,
-"RightJustify"		: "Alinhamento à Direita" ,
-"BlockJustify"		: "Alinhamento Justificado" ,
-"DecreaseIndent"	: "Diminuir Identação" ,
-"IncreaseIndent"	: "Aumentar Identação" ,
-"Undo"				: "Desfazer" ,
-"Redo"				: "Refazer" ,
-"NumberedList"		: "Lista Numerada" ,
-"BulletedList"		: "Lista Marcada" ,
-"ShowTableBorders"	: "Exibir Bordas da Tabela" ,
-"ShowDetails"		: "Exibir Detalhes" ,
-"FontStyle"			: "Estilo da Fonte" ,
-"FontFormat"		: "Formatação da Fonte" ,
-"Font"				: "Fonte" ,
-"FontSize"			: "Tamanho da Fonte" ,
-"TextColor"			: "Cor do Texto" ,
-"BGColor"			: "Cor do Fundo do Texto" ,
-"Source"			: "Código-Fonte" ,
-
-// Context Menu
-"EditLink"			: "Editar Link" ,
-"InsertRow"			: "Inserir Linha" ,
-"DeleteRows"		: "Apagar Linhas" ,
-"InsertColumn"		: "Inserir Coluna" ,
-"DeleteColumns"		: "Apagar Colunas" ,
-"InsertCell"		: "Inserir células" ,
-"DeleteCells"		: "Apagar células" ,
-"MergeCells"		: "Mesclar células" ,
-"SplitCell"			: "Dividir célula" ,
-"CellProperties"	: "Propriedades da Célula" ,
-"TableProperties"	: "Propriedades da Tabela" ,
-"ImageProperties"	: "Propriedades da Imagem" ,
-
-// Alerts and Messages
-"ProcessingXHTML"	: "Processando XHTML. Por favor, aguarde..." ,
-"Done"				: "Concluído" ,
-"PasteWordConfirm"	: "O texto que você quer colar parece ser copiado do Microsoft Word. Deseja limpar formatação antes de colar?" ,
-"NotCompatiblePaste": "Este comando está disponível para Internet Explorer 5.5 ou superior. Deseja colar sem formatação?" ,
-
-// Dialogs
-"DlgBtnOK"			: "OK" ,
-"DlgBtnCancel"		: "Cancelar" ,
-"DlgBtnClose"		: "Fechar" ,
-
-// Image Dialog
-"DlgImgTitleInsert"	: "Inserir Imagem" ,
-"DlgImgTitleEdit"	: "Editar Imagem" ,
-"DlgImgBtnUpload"	: "Enviar para o servidor" ,
-"DlgImgURL"			: "URL" ,
-"DlgImgUpload"		: "Enviar" ,
-"DlgImgBtnBrowse"	: "Navegar no Servidor" ,
-"DlgImgAlt"			: "Texto Alternativo" ,
-"DlgImgWidth"		: "Largura" ,
-"DlgImgHeight"		: "Altura" ,
-"DlgImgLockRatio"	: "Travar Proporção" ,
-"DlgBtnResetSize"	: "Tamanho Padrão" ,
-"DlgImgBorder"		: "Borda" ,
-"DlgImgHSpace"		: "Espaçamento Horizontal" ,
-"DlgImgVSpace"		: "Espaçamento Vertical" ,
-"DlgImgAlign"			: "Alinhamento" ,
-"DlgImgAlignLeft"		: "Esquerda" ,
-"DlgImgAlignAbsBottom"	: "Abaixo Absoluto" ,
-"DlgImgAlignAbsMiddle"	: "Meio Absoluto" ,
-"DlgImgAlignBaseline"	: "Linha de Base" ,
-"DlgImgAlignBottom"	: "Abaixo" ,
-"DlgImgAlignMiddle"	: "Meio" ,
-"DlgImgAlignRight"	: "Direita" ,
-"DlgImgAlignTextTop": "Topo do Texto" ,
-"DlgImgAlignTop"	: "Topo" ,
-"DlgImgPreview"		: "Prever Imagem" ,
-"DlgImgMsgWrongExt"	: "Infelizmente, somente o envio dos seguintes tipos de arquivos são permitidos:\n\n" + FCKConfig.ImageUploadAllowedExtensions + "\n\nOperação cancelada." ,
-"DlgImgAlertSelect"	: "Por favor, selecione uma imagem para enviar." ,
-
-// Link Dialog
-"DlgLnkWindowTitle"	: "Link" ,
-"DlgLnkURL"			: "URL" ,
-"DlgLnkUpload"		: "Enviar" ,
-"DlgLnkTarget"		: "Alvo" ,
-"DlgLnkTargetNotSet": "<nenhum>" ,
-"DlgLnkTargetBlank"	: "Nova Janela (_blank)" ,
-"DlgLnkTargetParent": "Janela Pai (_parent)" ,
-"DlgLnkTargetSelf"	: "Mesma Janela (_self)" ,
-"DlgLnkTargetTop"	: "Janela superiora (_top)" ,
-"DlgLnkTitle"		: "Título" ,
-"DlgLnkBtnUpload"	: "Enviar para o Servidor" ,
-"DlgLnkBtnBrowse"	: "Navegar no Servidor" ,
-"DlgLnkMsgWrongExtA": "Infelizmente, somente o envio dos seguintes tipos de arquivos são permitidos:\n\n" + FCKConfig.LinkUploadAllowedExtensions + "\n\nOperação cancelada." ,
-"DlgLnkMsgWrongExtD": "Infelizmente, somente o envio dos seguintes tipos de arquivos são permitidos:\n\n" + FCKConfig.LinkUploadDeniedExtensions + "\n\nOperação cancelada." ,
-
-// Color Dialog
-"DlgColorTitle"		: "Selecionar Cor" ,
-"DlgColorBtnClear"	: "Limpar" ,
-"DlgColorHighlight"	: "Destacar" ,
-"DlgColorSelected"	: "Selecionado" ,
-
-// Smiley Dialog
-"DlgSmileyTitle"	: "Inserir uma Carinha" ,
-
-// Special Character Dialog
-"DlgSpecialCharTitle"	: "Inserir Caracter Especial" ,
-
-// Table Dialog
-"DlgTableTitleInsert"	: "Inserir Tabela" ,
-"DlgTableTitleEdit"		: "Editar Tabela" ,
-"DlgTableRows"			: "Linhas" ,
-"DlgTableColumns"		: "Colunas" ,
-"DlgTableBorder"		: "Tamanho da Borda" ,
-"DlgTableAlign"			: "Alinhamento" ,
-"DlgTableAlignNotSet"	: "<nenhum>" ,
-"DlgTableAlignLeft"		: "Esquerda" ,
-"DlgTableAlignCenter"	: "Centro" ,
-"DlgTableAlignRight"	: "Direita" ,
-"DlgTableWidth"			: "Largura" ,
-"DlgTableWidthPx"		: "pixels" ,
-"DlgTableWidthPc"		: "porcentagem" ,
-"DlgTableHeight"		: "Altura" ,
-"DlgTableCellSpace"		: "Espaçamento da Célula" ,
-"DlgTableCellPad"		: "Padding da Célula" ,
-"DlgTableCaption"		: "Cabeçalho" ,
-
-// Table Cell Dialog
-"DlgCellTitle"			: "Propriedades da Célula" ,
-"DlgCellWidth"			: "Largura" ,
-"DlgCellWidthPx"		: "pixels" ,
-"DlgCellWidthPc"		: "porcentagem" ,
-"DlgCellHeight"			: "Altura" ,
-"DlgCellWordWrap"		: "Quebrar Texto" ,
-"DlgCellWordWrapNotSet"	: "<nenhum>" ,
-"DlgCellWordWrapYes"	: "Sim" ,
-"DlgCellWordWrapNo"		: "Não" ,
-"DlgCellHorAlign"		: "Alinhamento Horizontal" ,
-"DlgCellHorAlignNotSet"	: "<nenhum>" ,
-"DlgCellHorAlignLeft"	: "Esquerda" ,
-"DlgCellHorAlignCenter"	: "Centro" ,
-"DlgCellHorAlignRight"	: "Direita" ,
-"DlgCellVerAlign"		: "Alinhamento Vertical" ,
-"DlgCellVerAlignNotSet"	: "<nenhum>" ,
-"DlgCellVerAlignTop"	: "Topo" ,
-"DlgCellVerAlignMiddle"	: "Meio" ,
-"DlgCellVerAlignBottom"	: "Abaixo" ,
-"DlgCellVerAlignBaseline"	: "Linha de Base" ,
-"DlgCellRowSpan"		: "Rows Span" ,
-"DlgCellCollSpan"		: "Columns Span" ,
-"DlgCellBackColor"		: "Cor do Fundo da Célula" ,
-"DlgCellBorderColor"	: "Cor da Borda" ,
-"DlgCellBtnSelect"		: "Selecionar..." ,
-
-// About Dialog
-"DlgAboutVersion"	: "versão" ,
-"DlgAboutLicense"	: "Licenciado sob os termos da Licença Geral Pública GNU" ,
-"DlgAboutInfo"		: "Para maiores informações, vá para "
-}
-
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: pt-br.js
+ * 	Brazilian Portuguese language file.
+ * 
+ * File Authors:
+ * 		Carlos Alberto Tomatis Loth (carlos.loth@conectait.com.br)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Ocultar Barra de Ferramentas",
+ToolbarExpand		: "Exibir Barra de Ferramentas",
+
+// Toolbar Items and Context Menu
+Save				: "Salvar",
+NewPage				: "Novo",
+Preview				: "Visualizar",
+Cut					: "Recortar",
+Copy				: "Copiar",
+Paste				: "Colar",
+PasteText			: "Colar como Texto sem Formatação",
+PasteWord			: "Colar do Word",
+Print				: "Imprimir",
+SelectAll			: "Selecionar Tudo",
+RemoveFormat		: "Remover Formatação",
+InsertLinkLbl		: "Hiperlink",
+InsertLink			: "Inserir/Editar Hiperlink",
+RemoveLink			: "Remover Hiperlink",
+Anchor				: "Inserir/Editar Âncora",
+InsertImageLbl		: "Figura",
+InsertImage			: "Inserir/Editar Figura",
+InsertTableLbl		: "Tabela",
+InsertTable			: "Inserir/Editar Tabela",
+InsertLineLbl		: "Linha",
+InsertLine			: "Inserir Linha Horizontal",
+InsertSpecialCharLbl: "Caracteres Especiais",
+InsertSpecialChar	: "Inserir Caractere Especial",
+InsertSmileyLbl		: "Emoticon",
+InsertSmiley		: "Inserir Emoticon",
+About				: "Sobre FCKeditor",
+Bold				: "Negrito",
+Italic				: "Itálico",
+Underline			: "Sublinhado",
+StrikeThrough		: "Tachado",
+Subscript			: "Subscrito",
+Superscript			: "Sobrescrito",
+LeftJustify			: "Alinhar Esquerda",
+CenterJustify		: "Centralizar",
+RightJustify		: "Alinhar Direita",
+BlockJustify		: "Justificado",
+DecreaseIndent		: "Diminuir Recuo",
+IncreaseIndent		: "Aumentar Recuo",
+Undo				: "Desfazer",
+Redo				: "Refazer",
+NumberedListLbl		: "Numeração",
+NumberedList		: "Inserir/Remover Numeração",
+BulletedListLbl		: "Marcadores",
+BulletedList		: "Inserir/Remover Marcadores",
+ShowTableBorders	: "Exibir Bordas da Tabela",
+ShowDetails			: "Exibir Detalhes",
+Style				: "Estilo",
+FontFormat			: "Formatação",
+Font				: "Fonte",
+FontSize			: "Tamanho",
+TextColor			: "Cor do Texto",
+BGColor				: "Cor do Plano de Fundo",
+Source				: "Código-Fonte",
+Find				: "Localizar",
+Replace				: "Substituir",
+SpellCheck			: "Verificar Ortografia",
+UniversalKeyboard	: "Teclado Universal",
+
+Form			: "Formulário",
+Checkbox		: "Caixa de Seleção",
+RadioButton		: "Botão de Opção",
+TextField		: "Caixa de Texto",
+Textarea		: "Área de Texto",
+HiddenField		: "Campo Oculto",
+Button			: "Botão",
+SelectionField	: "Caixa de Listagem",
+ImageButton		: "Botão de Imagem",
+
+// Context Menu
+EditLink			: "Editar Hiperlink",
+InsertRow			: "Inserir Linha",
+DeleteRows			: "Remover Linhas",
+InsertColumn		: "Inserir Coluna",
+DeleteColumns		: "Remover Colunas",
+InsertCell			: "Inserir Células",
+DeleteCells			: "Remover Células",
+MergeCells			: "Mesclar Células",
+SplitCell			: "Dividir Célular",
+CellProperties		: "Formatar Célula",
+TableProperties		: "Formatar Tabela",
+ImageProperties		: "Formatar Figura",
+
+AnchorProp			: "Formatar Âncora",
+ButtonProp			: "Formatar Botão",
+CheckboxProp		: "Formatar Caixa de Seleção",
+HiddenFieldProp		: "Formatar Campo Oculto",
+RadioButtonProp		: "Formatar Botão de Opção",
+ImageButtonProp		: "Formatar Botão de Imagem",
+TextFieldProp		: "Formatar Caixa de Texto",
+SelectionFieldProp	: "Formatar Caixa de Listagem",
+TextareaProp		: "Formatar Área de Texto",
+FormProp			: "Formatar Formulário",
+
+FontFormats			: "Normal;Formatado;Endereço;Título 1;Título 2;Título 3;Título 4;Título 5;Título 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Processando XHTML. Por favor, aguarde...",
+Done				: "Pronto",
+PasteWordConfirm	: "O texto que você deseja colar parece ter sido copiado do Word. Você gostaria de remover a formatação antes de colar?",
+NotCompatiblePaste	: "Este comando está disponível para o navegador Internet Explorer 5.5 ou superior. Você gostaria de colar sem remover a formatação?",
+UnknownToolbarItem	: "O item da barra de ferramentas \"%1\" não é reconhecido",
+UnknownCommand		: "O comando \"%1\" não é reconhecido",
+NotImplemented		: "O comando não foi implementado",
+UnknownToolbarSet	: "A barra de ferramentas \"%1\" não existe",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Cancelar",
+DlgBtnClose			: "Fechar",
+DlgBtnBrowseServer	: "Localizar no Servidor",
+DlgAdvancedTag		: "Avançado",
+DlgOpOther			: "&lt;Outros&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;não ajustado&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Direção do idioma",
+DlgGenLangDirLtr	: "Esquerda para Direita (LTR)",
+DlgGenLangDirRtl	: "Direita para Esquerda (RTL)",
+DlgGenLangCode		: "Idioma",
+DlgGenAccessKey		: "Chave de Acesso",
+DlgGenName			: "Nome",
+DlgGenTabIndex		: "Índice de Tabulação",
+DlgGenLongDescr		: "Descrição da URL",
+DlgGenClass			: "Classe de Folhas de Estilo",
+DlgGenTitle			: "Título",
+DlgGenContType		: "Tipo de Conteúdo",
+DlgGenLinkCharset	: "Conjunto de Caracteres do Hiperlink",
+DlgGenStyle			: "Estilos",
+
+// Image Dialog
+DlgImgTitle			: "Formatar Figura",
+DlgImgInfoTab		: "Informações da Figura",
+DlgImgBtnUpload		: "Enviar para o Servidor",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Submeter",
+DlgImgAlt			: "Texto Alternativo",
+DlgImgWidth			: "Largura",
+DlgImgHeight		: "Altura",
+DlgImgLockRatio		: "Manter proporções",
+DlgBtnResetSize		: "Redefinir para o Tamanho Original",
+DlgImgBorder		: "Borda",
+DlgImgHSpace		: "Horizontal",
+DlgImgVSpace		: "Vertical",
+DlgImgAlign			: "Alinhamento",
+DlgImgAlignLeft		: "Esquerda",
+DlgImgAlignAbsBottom: "Inferior Absoluto",
+DlgImgAlignAbsMiddle: "Centralizado Absoluto",
+DlgImgAlignBaseline	: "Baseline",
+DlgImgAlignBottom	: "Inferior",
+DlgImgAlignMiddle	: "Centralizado",
+DlgImgAlignRight	: "Direita",
+DlgImgAlignTextTop	: "Superior Absoluto",
+DlgImgAlignTop		: "Superior",
+DlgImgPreview		: "Visualização",
+DlgImgAlertUrl		: "Por favor, digite o URL da figura.",
+DlgImgLinkTab		: "Hiperlink",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Hiperlink",
+DlgLnkInfoTab		: "Informações do hiperlink",
+DlgLnkTargetTab		: "Informações de destino",
+
+DlgLnkType			: "Tipo de hiperlink",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Âncora nesta página",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocolo",
+DlgLnkProtoOther	: "&lt;outro&gt;",
+DlgLnkURL			: "URL do hiperlink",
+DlgLnkAnchorSel		: "Selecione uma âncora",
+DlgLnkAnchorByName	: "Pelo Nome da âncora",
+DlgLnkAnchorById	: "Pelo Id do Elemento",
+DlgLnkNoAnchors		: "&lt;Não há âncoras disponíveis neste documento&gt;",
+DlgLnkEMail			: "Endereço E-Mail",
+DlgLnkEMailSubject	: "Assunto da Mensagem",
+DlgLnkEMailBody		: "Corpo da Mesagem",
+DlgLnkUpload		: "Enviar ao Servidor",
+DlgLnkBtnUpload		: "Enviar ao Servidor",
+
+DlgLnkTarget		: "Destino",
+DlgLnkTargetFrame	: "&lt;quadro&gt;",
+DlgLnkTargetPopup	: "&lt;janela popup&gt;",
+DlgLnkTargetBlank	: "Nova Janela (_blank)",
+DlgLnkTargetParent	: "Janela Pai (_parent)",
+DlgLnkTargetSelf	: "Mesma Janela (_self)",
+DlgLnkTargetTop		: "Janela Superior (_top)",
+DlgLnkTargetFrameName	: "Nome do Frame de Destino",
+DlgLnkPopWinName	: "Nome da Janela Pop-up",
+DlgLnkPopWinFeat	: "Atributos da Janela Pop-up",
+DlgLnkPopResize		: "Redimensionável",
+DlgLnkPopLocation	: "Barra de Endereços",
+DlgLnkPopMenu		: "Barra de Menus",
+DlgLnkPopScroll		: "Barras de Rolagem",
+DlgLnkPopStatus		: "Barra de Status",
+DlgLnkPopToolbar	: "Barra de Ferramentas",
+DlgLnkPopFullScrn	: "Modo Tela Cheia (IE)",
+DlgLnkPopDependent	: "Dependente (Netscape)",
+DlgLnkPopWidth		: "Largura",
+DlgLnkPopHeight		: "Altura",
+DlgLnkPopLeft		: "Esquerda",
+DlgLnkPopTop		: "Superior",
+
+DlnLnkMsgNoUrl		: "Por favor, digite o endereço do Hiperlink",
+DlnLnkMsgNoEMail	: "Por favor, digite o endereço de e-mail",
+DlnLnkMsgNoAnchor	: "Por favor, selecione uma âncora",
+
+// Color Dialog
+DlgColorTitle		: "Selecione uma Cor",
+DlgColorBtnClear	: "Limpar",
+DlgColorHighlight	: "Visualização",
+DlgColorSelected	: "Selecionada",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Inserir Emoticon",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Selecione um Caractere Especial",
+
+// Table Dialog
+DlgTableTitle		: "Formatar Tabela",
+DlgTableRows		: "Linhas",
+DlgTableColumns		: "Colunas",
+DlgTableBorder		: "Borda",
+DlgTableAlign		: "Alinhamento",
+DlgTableAlignNotSet	: "<Não ajustado>",
+DlgTableAlignLeft	: "Esquerda",
+DlgTableAlignCenter	: "Centralizado",
+DlgTableAlignRight	: "Direita",
+DlgTableWidth		: "Largura",
+DlgTableWidthPx		: "pixels",
+DlgTableWidthPc		: "%",
+DlgTableHeight		: "Altura",
+DlgTableCellSpace	: "Espaçamento",
+DlgTableCellPad		: "Enchimento",
+DlgTableCaption		: "Legenda",
+
+// Table Cell Dialog
+DlgCellTitle		: "Formatar célula",
+DlgCellWidth		: "Largura",
+DlgCellWidthPx		: "pixels",
+DlgCellWidthPc		: "%",
+DlgCellHeight		: "Altura",
+DlgCellWordWrap		: "Quebra de Linha",
+DlgCellWordWrapNotSet	: "<Não ajustado>",
+DlgCellWordWrapYes	: "Sim",
+DlgCellWordWrapNo	: "Não",
+DlgCellHorAlign		: "Alinhamento Horizontal",
+DlgCellHorAlignNotSet	: "<Não ajustado>",
+DlgCellHorAlignLeft	: "Esquerda",
+DlgCellHorAlignCenter	: "Centralizado",
+DlgCellHorAlignRight: "Direita",
+DlgCellVerAlign		: "Alinhamento Vertical",
+DlgCellVerAlignNotSet	: "<Não ajustado>",
+DlgCellVerAlignTop	: "Superior",
+DlgCellVerAlignMiddle	: "Centralizado",
+DlgCellVerAlignBottom	: "Inferior",
+DlgCellVerAlignBaseline	: "Baseline",
+DlgCellRowSpan		: "Transpor Linhas",
+DlgCellCollSpan		: "Transpor Colunas",
+DlgCellBackColor	: "Cor do Plano de Fundo",
+DlgCellBorderColor	: "Cor da Borda",
+DlgCellBtnSelect	: "Selecionar...",
+
+// Find Dialog
+DlgFindTitle		: "Localizar...",
+DlgFindFindBtn		: "Localizar",
+DlgFindNotFoundMsg	: "O texto especificado não foi encontrado.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Substituir",
+DlgReplaceFindLbl		: "Procurar por:",
+DlgReplaceReplaceLbl	: "Substituir por:",
+DlgReplaceCaseChk		: "Coincidir Maiúsculas/Minúsculas",
+DlgReplaceReplaceBtn	: "Substituir",
+DlgReplaceReplAllBtn	: "Substituir Tudo",
+DlgReplaceWordChk		: "Coincidir a palavra inteira",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "As configurações de segurança do seu navegador não permitem que o editor excute operações de colar automaticamente. Por favor, utilize o teclado para colar (Ctrl+V).",
+PasteErrorCut	: "As configurações de segurança do seu navegador não permitem que o editor excute operações de recortar automaticamente. Por favor, utilize o teclado para recortar (Ctrl+X).",
+PasteErrorCopy	: "As configurações de segurança do seu navegador não permitem que o editor excute operações de copiar automaticamente. Por favor, utilize o teclado para copiar (Ctrl+C).",
+
+PasteAsText		: "Colar como Texto sem Formatação",
+PasteFromWord	: "Colar do Word",
+
+DlgPasteMsg		: "Não foi possível execurar o comando colar automaticamente devido às <STRONG>configurações de segurança</STRONG> seu navegador.<BR>Cole o conteúdo desejado dentro da seguinte caixa texto utilizando a tecla de atalho (<STRONG>Ctrl+V</STRONG>) e clique em <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automático",
+ColorMoreColors	: "Mais Cores...",
+
+// Document Properties
+DocProps		: "Propriedades Documento",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Formatar Âncora",
+DlgAnchorName		: "Nome da Âncora",
+DlgAnchorErrorName	: "Por favor, digite o nome da âncora",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Não encontrada",
+DlgSpellChangeTo		: "Alterar para",
+DlgSpellBtnIgnore		: "Ignorar uma vez",
+DlgSpellBtnIgnoreAll	: "Ignorar Todas",
+DlgSpellBtnReplace		: "Alterar",
+DlgSpellBtnReplaceAll	: "Alterar Todas",
+DlgSpellBtnUndo			: "Desfazer",
+DlgSpellNoSuggestions	: "-sem sugestões de ortografia-",
+DlgSpellProgress		: "Verificação ortográfica em andamento...",
+DlgSpellNoMispell		: "Verificação ortográfica encerrada: Não foram encontrados erros de ortografia",
+DlgSpellNoChanges		: "Verificação ortográfica encerrada: Não houve alterações",
+DlgSpellOneChange		: "Verificação ortográfica encerrada: Uma palavra foi alterada",
+DlgSpellManyChanges		: "Verificação ortográfica encerrada: %1 foram alteradas",
+
+IeSpellDownload			: "A verificação ortográfica não foi instalada. Você gostaria de realizar o download agora?",
+
+// Button Dialog
+DlgButtonText	: "Texto (Valor)",
+DlgButtonType	: "Tipo",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Nome",
+DlgCheckboxValue	: "Valor",
+DlgCheckboxSelected	: "Selecionado",
+
+// Form Dialog
+DlgFormName		: "Nome",
+DlgFormAction	: "Action",
+DlgFormMethod	: "Método",
+
+// Select Field Dialog
+DlgSelectName		: "Nome",
+DlgSelectValue		: "Valor",
+DlgSelectSize		: "Tamanho",
+DlgSelectLines		: "linhas",
+DlgSelectChkMulti	: "Permitir múltiplas seleções",
+DlgSelectOpAvail	: "Opções disponíveis",
+DlgSelectOpText		: "Texto",
+DlgSelectOpValue	: "Valor",
+DlgSelectBtnAdd		: "Adicionar",
+DlgSelectBtnModify	: "Modificar",
+DlgSelectBtnUp		: "Para cima",
+DlgSelectBtnDown	: "Para baixo",
+DlgSelectBtnSetValue : "Definir como selecionado",
+DlgSelectBtnDelete	: "Remover",
+
+// Textarea Dialog
+DlgTextareaName	: "Nome",
+DlgTextareaCols	: "Colunas",
+DlgTextareaRows	: "Linhas",
+
+// Text Field Dialog
+DlgTextName			: "Nome",
+DlgTextValue		: "Valor",
+DlgTextCharWidth	: "Comprimento (em caracteres)",
+DlgTextMaxChars		: "Número Máximo de Caracteres",
+DlgTextType			: "Tipo",
+DlgTextTypeText		: "Texto",
+DlgTextTypePass		: "Senha",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Nome",
+DlgHiddenValue	: "Valor",
+
+// Bulleted List Dialog
+BulletedListProp	: "Formatar Marcadores",
+NumberedListProp	: "Formatar Numeração",
+DlgLstType			: "Tipo",
+DlgLstTypeCircle	: "Círculo",
+DlgLstTypeDisk		: "Disco",
+DlgLstTypeSquare	: "Quadrado",
+DlgLstTypeNumbers	: "Números (1, 2, 3)",
+DlgLstTypeLCase		: "Letras Minúsculas (a, b, c)",
+DlgLstTypeUCase		: "Letras Maiúsculas (A, B, C)",
+DlgLstTypeSRoman	: "Números Romanos Minúsculos (i, ii, iii)",
+DlgLstTypeLRoman	: "Números Romanos Maiúsculos (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Geral",
+DlgDocBackTab		: "Plano de Fundo",
+DlgDocColorsTab		: "Cores e Margens",
+DlgDocMetaTab		: "Meta Dados",
+
+DlgDocPageTitle		: "Título da Página",
+DlgDocLangDir		: "Direção do Idioma",
+DlgDocLangDirLTR	: "Esquerda para Direita (LTR)",
+DlgDocLangDirRTL	: "Direita para Esquerda (RTL)",
+DlgDocLangCode		: "Código do Idioma",
+DlgDocCharSet		: "Codificação de Caracteres",
+DlgDocCharSetOther	: "Outra Codificação de Caracteres",
+
+DlgDocDocType		: "Cabeçalho Tipo de Documento",
+DlgDocDocTypeOther	: "Other Document Type Heading",
+DlgDocIncXHTML		: "Incluir Declarações XHTML",
+DlgDocBgColor		: "Cor do Plano de Fundo",
+DlgDocBgImage		: "URL da Imagem de Plano de Fundo",
+DlgDocBgNoScroll	: "Plano de Fundo Fixo",
+DlgDocCText			: "Texto",
+DlgDocCLink			: "Hiperlink",
+DlgDocCVisited		: "Hiperlink Visitado",
+DlgDocCActive		: "Hiperlink Ativo",
+DlgDocMargins		: "Margens da Página",
+DlgDocMaTop			: "Superior",
+DlgDocMaLeft		: "Inferior",
+DlgDocMaRight		: "Direita",
+DlgDocMaBottom		: "Inferior",
+DlgDocMeIndex		: "Palavras-chave de Indexação do Documento (separadas por vírgula)",
+DlgDocMeDescr		: "Descrição do Documento",
+DlgDocMeAuthor		: "Autor",
+DlgDocMeCopy		: "Direitos Autorais",
+DlgDocPreview		: "Visualizar",
+
+// Templates Dialog
+Templates			: "Modelos de layout",
+DlgTemplatesTitle	: "Modelo de layout do conteúdo",
+DlgTemplatesSelMsg	: "Selecione um modelo de layout para ser aberto no editor<br>(o conteúdo atual será perdido):",
+DlgTemplatesLoading	: "Carregando a lista de modelos de layout. Aguarde...",
+DlgTemplatesNoTpl	: "(Não foram definidos modelos de layout)",
+
+// About Dialog
+DlgAboutAboutTab	: "Sobre",
+DlgAboutBrowserInfoTab	: "Informações do Navegador",
+DlgAboutVersion		: "versão",
+DlgAboutLicense		: "Licenciado sobre os termos da GNU Lesser General Public License",
+DlgAboutInfo		: "Para maiores informações visite"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/pt.js soojung/libs/fckeditor/editor/lang/pt.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/pt.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/pt.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: pt.js
+ * 	Portuguese language file.
+ * 
+ * File Authors:
+ * 		Francisco Pereira (fjpereira@netcabo.pt)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Fechar Barra",
+ToolbarExpand		: "Expandir Barra",
+
+// Toolbar Items and Context Menu
+Save				: "Guardar",
+NewPage				: "Nova Página",
+Preview				: "Pré-visualizar",
+Cut					: "Cortar",
+Copy				: "Copiar",
+Paste				: "Colar",
+PasteText			: "Colar como texto não formatado",
+PasteWord			: "Colar do Word",
+Print				: "Imprimir",
+SelectAll			: "Seleccionar Tudo",
+RemoveFormat		: "Eliminar Formato",
+InsertLinkLbl		: "Hiperligação",
+InsertLink			: "Inserir/Editar Hiperligação",
+RemoveLink			: "Eliminar Hiperligação",
+Anchor				: " Inserir/Editar Âncora",
+InsertImageLbl		: "Imagem",
+InsertImage			: "Inserir/Editar Imagem",
+InsertTableLbl		: "Tabela",
+InsertTable			: "Inserir/Editar Tabela",
+InsertLineLbl		: "Linha",
+InsertLine			: "Inserir Linha Horizontal",
+InsertSpecialCharLbl: "Caracter Especial",
+InsertSpecialChar	: "Inserir Caracter Especial",
+InsertSmileyLbl		: "Emoticons",
+InsertSmiley		: "Inserir Emoticons",
+About				: "Acerca do FCKeditor",
+Bold				: "Negrito",
+Italic				: "Itálico",
+Underline			: "Sublinhado",
+StrikeThrough		: "Rasurado",
+Subscript			: "Superior à Linha",
+Superscript			: "Inferior à Linha",
+LeftJustify			: "Alinhar à Esquerda",
+CenterJustify		: "Alinhar ao Centro",
+RightJustify		: "Alinhar à Direita",
+BlockJustify		: "Justificado",
+DecreaseIndent		: "Diminuir Avanço",
+IncreaseIndent		: "Aumentar Avanço",
+Undo				: "Anular",
+Redo				: "Repetir",
+NumberedListLbl		: "Numeração",
+NumberedList		: "Inserir/Eliminar Numeração",
+BulletedListLbl		: "Marcas",
+BulletedList		: "Inserir/Eliminar Marcas",
+ShowTableBorders	: "Mostrar Limites da Tabelas",
+ShowDetails			: "Mostrar Parágrafo",
+Style				: "Estilo",
+FontFormat			: "Formato",
+Font				: "Tipo de Letra",
+FontSize			: "Tamanho",
+TextColor			: "Cor do Texto",
+BGColor				: "Cor de Fundo",
+Source				: "Fonte",
+Find				: "Procurar",
+Replace				: "Substituir",
+SpellCheck			: "Verificação Ortográfica",
+UniversalKeyboard	: "Teclado Universal",
+
+Form			: "Formulário",
+Checkbox		: "Caixa de Verificação",
+RadioButton		: "Botão de Opção",
+TextField		: "Campo de Texto",
+Textarea		: "Área de Texto",
+HiddenField		: "Campo Escondido",
+Button			: "Botão",
+SelectionField	: "Caixa de Combinação",
+ImageButton		: "Botão de Imagem",
+
+// Context Menu
+EditLink			: "Editar Hiperligação",
+InsertRow			: "Inserir Linha",
+DeleteRows			: "Eliminar Linhas",
+InsertColumn		: "Inserir Coluna",
+DeleteColumns		: "Eliminar Coluna",
+InsertCell			: "Inserir Célula",
+DeleteCells			: "Eliminar Célula",
+MergeCells			: "Unir Células",
+SplitCell			: "Dividir Célula",
+CellProperties		: "Propriedades da Célula",
+TableProperties		: "Propriedades da Tabela",
+ImageProperties		: "Propriedades da Imagem",
+
+AnchorProp			: "Propriedades da Âncora",
+ButtonProp			: "Propriedades do Botão",
+CheckboxProp		: "Propriedades da Caixa de Verificação",
+HiddenFieldProp		: "Propriedades do Campo Escondido",
+RadioButtonProp		: "Propriedades do Botão de Opção",
+ImageButtonProp		: " Propriedades do Botão de imagens",
+TextFieldProp		: "Propriedades do Campo de Texto",
+SelectionFieldProp	: "Propriedades da Caixa de Combinação",
+TextareaProp		: "Propriedades da Área de Texto",
+FormProp			: "Propriedades do Formulário",
+
+FontFormats			: "Normal;Formatado;Endereço;Título 1;Título 2;Título 3;Título 4;Título 5;Título 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "A Processar XHTML. Por favor, espere...",
+Done				: "Concluído",
+PasteWordConfirm	: "O texto que deseja parece ter sido copiado do Word. Deseja limpar a formatação antes de colar?",
+NotCompatiblePaste	: "Este comando só está disponível para Internet Explorer versão 5.5 ou superior. Deseja colar sem limpar a formatação?",
+UnknownToolbarItem	: "Item de barra desconhecido \"%1\"",
+UnknownCommand		: "Nome de comando desconhecido \"%1\"",
+NotImplemented		: "Comando não implementado",
+UnknownToolbarSet	: "Nome de barra \"%1\" não definido",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Cancelar",
+DlgBtnClose			: "Fechar",
+DlgBtnBrowseServer	: "Navegar no Servidor",
+DlgAdvancedTag		: "Avançado",
+DlgOpOther			: "&lt;Outro&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;Não definido&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Orientação de idioma",
+DlgGenLangDirLtr	: "Esquerda à Direita (LTR)",
+DlgGenLangDirRtl	: "Direita a Esquerda (RTL)",
+DlgGenLangCode		: "Código de Idioma",
+DlgGenAccessKey		: "Chave de Acesso",
+DlgGenName			: "Nome",
+DlgGenTabIndex		: "Índice de Tubulação",
+DlgGenLongDescr		: "Descrição Completa do URL",
+DlgGenClass			: "Classes de Estilo de Folhas Classes",
+DlgGenTitle			: "Título",
+DlgGenContType		: "Tipo de Conteúdo",
+DlgGenLinkCharset	: "Fonte de caracteres vinculado",
+DlgGenStyle			: "Estilo",
+
+// Image Dialog
+DlgImgTitle			: "Propriedades da Imagem",
+DlgImgInfoTab		: "Informação da Imagem",
+DlgImgBtnUpload		: "Enviar para o Servidor",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Carregar",
+DlgImgAlt			: "Texto Alternativo",
+DlgImgWidth			: "Largura",
+DlgImgHeight		: "Altura",
+DlgImgLockRatio		: "Proporcional",
+DlgBtnResetSize		: "Tamanho Original",
+DlgImgBorder		: "Limite",
+DlgImgHSpace		: "Esp.Horiz",
+DlgImgVSpace		: "Esp.Vert",
+DlgImgAlign			: "Alinhamento",
+DlgImgAlignLeft		: "Esquerda",
+DlgImgAlignAbsBottom: "Abs inferior",
+DlgImgAlignAbsMiddle: "Abs centro",
+DlgImgAlignBaseline	: "Linha de base",
+DlgImgAlignBottom	: "Fundo",
+DlgImgAlignMiddle	: "Centro",
+DlgImgAlignRight	: "Direita",
+DlgImgAlignTextTop	: "Topo do texto",
+DlgImgAlignTop		: "Topo",
+DlgImgPreview		: "Pré-visualizar",
+DlgImgAlertUrl		: "Por favor introduza o URL da imagem",
+DlgImgLinkTab		: "Hiperligação",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Hiperligação",
+DlgLnkInfoTab		: "Informação de Hiperligação",
+DlgLnkTargetTab		: "Destino",
+
+DlgLnkType			: "Tipo de Hiperligação",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Referência a esta página",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocolo",
+DlgLnkProtoOther	: "&lt;outro&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Seleccionar una referência",
+DlgLnkAnchorByName	: "Por Nome de Referência",
+DlgLnkAnchorById	: "Por ID de elemento",
+DlgLnkNoAnchors		: "&lt;Não há referências disponíveis no documento&gt;",
+DlgLnkEMail			: "Endereço de E-Mail",
+DlgLnkEMailSubject	: "Título de Mensagem",
+DlgLnkEMailBody		: "Corpo da Mensagem",
+DlgLnkUpload		: "Carregar",
+DlgLnkBtnUpload		: "Enviar ao Servidor",
+
+DlgLnkTarget		: "Destino",
+DlgLnkTargetFrame	: "&lt;Frame&gt;",
+DlgLnkTargetPopup	: "&lt;Janela de popup&gt;",
+DlgLnkTargetBlank	: "Nova Janela(_blank)",
+DlgLnkTargetParent	: "Janela Pai (_parent)",
+DlgLnkTargetSelf	: "Mesma janela (_self)",
+DlgLnkTargetTop		: "Janela primaria (_top)",
+DlgLnkTargetFrameName	: "Nome do Frame Destino",
+DlgLnkPopWinName	: "Nome da Janela de Popup",
+DlgLnkPopWinFeat	: "Características de Janela de Popup",
+DlgLnkPopResize		: "Ajustável",
+DlgLnkPopLocation	: "Barra de localização",
+DlgLnkPopMenu		: "Barra de Menu",
+DlgLnkPopScroll		: "Barras de deslocamento",
+DlgLnkPopStatus		: "Barra de Estado",
+DlgLnkPopToolbar	: "Barra de Ferramentas",
+DlgLnkPopFullScrn	: "Janela Completa (IE)",
+DlgLnkPopDependent	: "Dependente (Netscape)",
+DlgLnkPopWidth		: "Largura",
+DlgLnkPopHeight		: "Altura",
+DlgLnkPopLeft		: "Posição Esquerda",
+DlgLnkPopTop		: "Posição Direita",
+
+DlnLnkMsgNoUrl		: "Por favor insira a hiperligação URL",
+DlnLnkMsgNoEMail	: "Por favor insira o endereço de e-mail",
+DlnLnkMsgNoAnchor	: "Por favor seleccione uma referência",
+
+// Color Dialog
+DlgColorTitle		: "Seleccionar Cor",
+DlgColorBtnClear	: "Nenhuma",
+DlgColorHighlight	: "Destacado",
+DlgColorSelected	: "Seleccionado",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Inserir um Emoticon",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Seleccione um caracter especial",
+
+// Table Dialog
+DlgTableTitle		: "Propriedades da Tabela",
+DlgTableRows		: "Linhas",
+DlgTableColumns		: "Colunas",
+DlgTableBorder		: "Tamanho do Limite",
+DlgTableAlign		: "Alinhamento",
+DlgTableAlignNotSet	: "<Não definido>",
+DlgTableAlignLeft	: "Esquerda",
+DlgTableAlignCenter	: "Centrado",
+DlgTableAlignRight	: "Direita",
+DlgTableWidth		: "Largura",
+DlgTableWidthPx		: "pixeis",
+DlgTableWidthPc		: "percentagem",
+DlgTableHeight		: "Altura",
+DlgTableCellSpace	: "Esp. e/células",
+DlgTableCellPad		: "Esp. interior",
+DlgTableCaption		: "Título",
+
+// Table Cell Dialog
+DlgCellTitle		: "Propriedades da Célula",
+DlgCellWidth		: "Largura",
+DlgCellWidthPx		: "pixeis",
+DlgCellWidthPc		: "percentagem",
+DlgCellHeight		: "Altura",
+DlgCellWordWrap		: "Moldar Texto",
+DlgCellWordWrapNotSet	: "<Não definido>",
+DlgCellWordWrapYes	: "Sim",
+DlgCellWordWrapNo	: "Não",
+DlgCellHorAlign		: "Alinhamento Horizontal",
+DlgCellHorAlignNotSet	: "<Não definido>",
+DlgCellHorAlignLeft	: "Esquerda",
+DlgCellHorAlignCenter	: "Centrado",
+DlgCellHorAlignRight: "Direita",
+DlgCellVerAlign		: "Alinhamento Vertical",
+DlgCellVerAlignNotSet	: "<Não definido>",
+DlgCellVerAlignTop	: "Topo",
+DlgCellVerAlignMiddle	: "Médio",
+DlgCellVerAlignBottom	: "Fundi",
+DlgCellVerAlignBaseline	: "Linha de Base",
+DlgCellRowSpan		: "Unir Linhas",
+DlgCellCollSpan		: "Unir Colunas",
+DlgCellBackColor	: "Cor do Fundo",
+DlgCellBorderColor	: "Cor do Limite",
+DlgCellBtnSelect	: "Seleccione...",
+
+// Find Dialog
+DlgFindTitle		: "Procurar",
+DlgFindFindBtn		: "Procurar",
+DlgFindNotFoundMsg	: "O texto especificado não foi encontrado.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Substituir",
+DlgReplaceFindLbl		: "Texto a Procurar:",
+DlgReplaceReplaceLbl	: "Substituir por:",
+DlgReplaceCaseChk		: "Maiúsculas/Minúsculas",
+DlgReplaceReplaceBtn	: "Substituir",
+DlgReplaceReplAllBtn	: "Substituir Tudo",
+DlgReplaceWordChk		: "Coincidir com toda a palavra",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "A configuração de segurança do navegador não permite a execução automática de operações de colar. Por favor use o teclado (Ctrl+V).",
+PasteErrorCut	: "A configuração de segurança do navegador não permite a execução automática de operações de cortar. Por favor use o teclado (Ctrl+X).",
+PasteErrorCopy	: "A configuração de segurança do navegador não permite a execução automática de operações de copiar. Por favor use o teclado (Ctrl+C).",
+
+PasteAsText		: "Colar como Texto Simples",
+PasteFromWord	: "Colar do Word",
+
+DlgPasteMsg		: "O editor não pode executar automaticamente o colar devido à <STRONG>configuração de segurança</STRONG> do navegador.<BR>Por favor cole dentro do seguinte quadro usando o teclado (<STRONG>Ctrl+V</STRONG>) e pressione <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automático",
+ColorMoreColors	: "Mais Cores...",
+
+// Document Properties
+DocProps		: "Propriedades do Documento",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Propriedades da Âncora",
+DlgAnchorName		: "Nome da Âncora",
+DlgAnchorErrorName	: "Por favor, introduza o nome da âncora",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Não está num directório",
+DlgSpellChangeTo		: "Mudar para",
+DlgSpellBtnIgnore		: "Ignorar",
+DlgSpellBtnIgnoreAll	: "Ignorar Tudo",
+DlgSpellBtnReplace		: "Substituir",
+DlgSpellBtnReplaceAll	: "Substituir Tudo",
+DlgSpellBtnUndo			: "Anular",
+DlgSpellNoSuggestions	: "- Sem sugestões -",
+DlgSpellProgress		: "Verificação ortográfica em progresso…",
+DlgSpellNoMispell		: "Verificação ortográfica completa: não foram encontrados erros",
+DlgSpellNoChanges		: "Verificação ortográfica completa: não houve alteração de palavras",
+DlgSpellOneChange		: "Verificação ortográfica completa: uma palavra alterada",
+DlgSpellManyChanges		: "Verificação ortográfica completa: %1 palavras alteradas",
+
+IeSpellDownload			: " Verificação ortográfica não instalada. Quer descarregar agora?",
+
+// Button Dialog
+DlgButtonText	: "Texto (Valor)",
+DlgButtonType	: "Tipo",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Nome",
+DlgCheckboxValue	: "Valor",
+DlgCheckboxSelected	: "Seleccionado",
+
+// Form Dialog
+DlgFormName		: "Nome",
+DlgFormAction	: "Acção",
+DlgFormMethod	: "Método",
+
+// Select Field Dialog
+DlgSelectName		: "Nome",
+DlgSelectValue		: "Valor",
+DlgSelectSize		: "Tamanho",
+DlgSelectLines		: "linhas",
+DlgSelectChkMulti	: "Permitir selecções múltiplas",
+DlgSelectOpAvail	: "Opções Possíveis",
+DlgSelectOpText		: "Texto",
+DlgSelectOpValue	: "Valor",
+DlgSelectBtnAdd		: "Adicionar",
+DlgSelectBtnModify	: "Modificar",
+DlgSelectBtnUp		: "Para cima",
+DlgSelectBtnDown	: "Para baixo",
+DlgSelectBtnSetValue : "Definir um valor por defeito",
+DlgSelectBtnDelete	: "Apagar",
+
+// Textarea Dialog
+DlgTextareaName	: "Nome",
+DlgTextareaCols	: "Colunas",
+DlgTextareaRows	: "Linhas",
+
+// Text Field Dialog
+DlgTextName			: "Nome",
+DlgTextValue		: "Valor",
+DlgTextCharWidth	: "Tamanho do caracter",
+DlgTextMaxChars		: "Nr. Máximo de Caracteres",
+DlgTextType			: "Tipo",
+DlgTextTypeText		: "Texto",
+DlgTextTypePass		: "Palavra-chave",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Nome",
+DlgHiddenValue	: "Valor",
+
+// Bulleted List Dialog
+BulletedListProp	: "Propriedades da Marca",
+NumberedListProp	: "Propriedades da Numeração",
+DlgLstType			: "Tipo",
+DlgLstTypeCircle	: "Circulo",
+DlgLstTypeDisk		: "Disco",
+DlgLstTypeSquare	: "Quadrado",
+DlgLstTypeNumbers	: "Números (1, 2, 3)",
+DlgLstTypeLCase		: "Letras Minúsculas (a, b, c)",
+DlgLstTypeUCase		: "Letras Maiúsculas (A, B, C)",
+DlgLstTypeSRoman	: "Numeração Romana em Minúsculas (i, ii, iii)",
+DlgLstTypeLRoman	: "Numeração Romana em Maiúsculas (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Geral",
+DlgDocBackTab		: "Fundo",
+DlgDocColorsTab		: "Cores e Margens",
+DlgDocMetaTab		: "Meta Data",
+
+DlgDocPageTitle		: "Título da Página",
+DlgDocLangDir		: "Orientação de idioma",
+DlgDocLangDirLTR	: "Esquerda à Direita (LTR)",
+DlgDocLangDirRTL	: "Direita à Esquerda (RTL)",
+DlgDocLangCode		: "Código de Idioma",
+DlgDocCharSet		: "Codificação de Caracteres",
+DlgDocCharSetOther	: "Outra Codificação de Caracteres",
+
+DlgDocDocType		: "Tipo de Cabeçalho do Documento",
+DlgDocDocTypeOther	: "Outro Tipo de Cabeçalho do Documento",
+DlgDocIncXHTML		: "Incluir Declarações XHTML",
+DlgDocBgColor		: "Cor de Fundo",
+DlgDocBgImage		: "Caminho para a Imagem de Fundo",
+DlgDocBgNoScroll	: "Fundo Fixo",
+DlgDocCText			: "Texto",
+DlgDocCLink			: "Hiperligação",
+DlgDocCVisited		: "Hiperligação Visitada",
+DlgDocCActive		: "Hiperligação Activa",
+DlgDocMargins		: "Margem das Páginas",
+DlgDocMaTop			: "Topo",
+DlgDocMaLeft		: "Esquerda",
+DlgDocMaRight		: "Direita",
+DlgDocMaBottom		: "Fundo",
+DlgDocMeIndex		: "Palavras de Indexação do Documento (separadas por virgula)",
+DlgDocMeDescr		: "Descrição do Documento",
+DlgDocMeAuthor		: "Autor",
+DlgDocMeCopy		: "Direitos de Autor",
+DlgDocPreview		: "Pré-visualizar",
+
+// Templates Dialog
+Templates			: "Modelos",
+DlgTemplatesTitle	: "Modelo de Conteúdo",
+DlgTemplatesSelMsg	: "Por favor, seleccione o modelo a abrir no editor<br>(o conteúdo actual será perdido):",
+DlgTemplatesLoading	: "A carregar a lista de modelos. Aguarde por favor...",
+DlgTemplatesNoTpl	: "(Sem modelos definidos)",
+
+// About Dialog
+DlgAboutAboutTab	: "Acerca",
+DlgAboutBrowserInfoTab	: "Informação do Nevegador",
+DlgAboutVersion		: "versão",
+DlgAboutLicense		: "Licenciado segundo os términos de GNU Lesser General Public License",
+DlgAboutInfo		: "Para mais informações por favor dirija-se a"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/ro.js soojung/libs/fckeditor/editor/lang/ro.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/ro.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/ro.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,454 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: ro.js
+ * 	Romanian language file.
+ * 
+ * File Authors:
+ * 		Adrian Nicoara
+ * 		Ionut Traian Popa
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Ascunde bara cu opţiuni",
+ToolbarExpand		: "Expandează bara cu opţiuni",
+
+// Toolbar Items and Context Menu
+Save				: "Salvează",
+NewPage				: "Pagină nouă",
+Preview				: "Previzualizare",
+Cut					: "Taie",
+Copy				: "Copiază",
+Paste				: "Adaugă",
+PasteText			: "Adaugă ca text simplu",
+PasteWord			: "Adaugă din Word",
+Print				: "Printează",
+SelectAll			: "Selectează tot",
+RemoveFormat		: "Înlătură formatarea",
+InsertLinkLbl		: "Link (Legătură web)",
+InsertLink			: "Inserează/Editează link (legătură web)",
+RemoveLink			: "Înlătură link (legătură web)",
+Anchor				: "Inserează/Editează ancoră",
+InsertImageLbl		: "Imagine",
+InsertImage			: "Inserează/Editează imagine",
+InsertTableLbl		: "Tabel",
+InsertTable			: "Inserează/Editează tabel",
+InsertLineLbl		: "Linie",
+InsertLine			: "Inserează linie orizontă",
+InsertSpecialCharLbl: "Caracter special",
+InsertSpecialChar	: "Inserează caracter special",
+InsertSmileyLbl		: "Figură expresivă (Emoticon)",
+InsertSmiley		: "Inserează Figură expresivă (Emoticon)",
+About				: "Despre FCKeditor",
+Bold				: "Îngroşat (bold)",
+Italic				: "Înclinat (italic)",
+Underline			: "Subliniat (underline)",
+StrikeThrough		: "Tăiat (strike through)",
+Subscript			: "Indice (subscript)",
+Superscript			: "Putere (superscript)",
+LeftJustify			: "Aliniere la stânga",
+CenterJustify		: "Aliniere centrală",
+RightJustify		: "Aliniere la dreapta",
+BlockJustify		: "Aliniere în bloc (Block Justify)",
+DecreaseIndent		: "Scade indentarea",
+IncreaseIndent		: "Creşte indentarea",
+Undo				: "Starea anterioară (undo)",
+Redo				: "Starea ulterioară (redo)",
+NumberedListLbl		: "Listă numerotată",
+NumberedList		: "Inserează/Şterge listă numerotată",
+BulletedListLbl		: "Listă cu puncte",
+BulletedList		: "Inserează/Şterge listă cu puncte",
+ShowTableBorders	: "Arată marginile tabelului",
+ShowDetails			: "Arată detalii",
+Style				: "Stil",
+FontFormat			: "Formatare",
+Font				: "Font",
+FontSize			: "Mărime",
+TextColor			: "Culoarea textului",
+BGColor				: "Coloarea fundalului",
+Source				: "Sursa",
+Find				: "Găseşte",
+Replace				: "Înlocuieşte",
+SpellCheck			: "Verifică text",
+UniversalKeyboard	: "Tastatură universală",
+
+Form			: "Formular (Form)",
+Checkbox		: "Bifă (Checkbox)",
+RadioButton		: "Buton radio (RadioButton)",
+TextField		: "Câmp text (TextField)",
+Textarea		: "Suprafaţă text (Textarea)",
+HiddenField		: "Câmp ascuns (HiddenField)",
+Button			: "Buton",
+SelectionField	: "Câmp selecţie (SelectionField)",
+ImageButton		: "Buton imagine (ImageButton)",
+
+// Context Menu
+EditLink			: "Editează Link",
+InsertRow			: "Inserează Row",
+DeleteRows			: "Şterge Rows",
+InsertColumn		: "Inserează Column",
+DeleteColumns		: "Şterge Columns",
+InsertCell			: "Inserează Cell",
+DeleteCells			: "Şterge celule",
+MergeCells			: "Uneşte celule",
+SplitCell			: "Împarte celulă",
+CellProperties		: "Proprietăţile celulei",
+TableProperties		: "Proprietăţile tabelului",
+ImageProperties		: "Proprietăţile imaginii",
+
+AnchorProp			: "Proprietăţi ancoră",
+ButtonProp			: "Proprietăţi buton",
+CheckboxProp		: "Proprietăţi bifă (Checkbox)",
+HiddenFieldProp		: "Proprietăţi câmp ascuns (Hidden Field)",
+RadioButtonProp		: "Proprietăţi buton radio (Radio Button)",
+ImageButtonProp		: "Proprietăţi buton imagine (Image Button)",
+TextFieldProp		: "Proprietăţi câmp text (Text Field)",
+SelectionFieldProp	: "Proprietăţi câmp selecţie (Selection Field)",
+TextareaProp		: "Proprietăţi suprafaţă text (Textarea)",
+FormProp			: "Proprietăţi formular (Form)",
+
+FontFormats			: "Normal;Formatat;Adresa;Titlu 1;Titlu 2;Titlu 3;Titlu 4;Titlu 5;Titlu 6;Paragraf (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "Procesăm XHTML. Vă rugăm aşteptaţi...",
+Done				: "Am terminat",
+PasteWordConfirm	: "Textul pe care doriţi să-l adăugaţi pare a fi formatat pentru Word. Doriţi să-l curăţaţi de această formatare înainte de a-l adăuga?",
+NotCompatiblePaste	: "Această facilitate e disponibilă doar pentru Microsoft Internet Explorer, versiunea 5.5 sau ulterioară. Vreţi să-l adăugaţi fără a-i fi înlăturat formatarea?",
+UnknownToolbarItem	: "Obiectul \"%1\" din bara cu opţiuni necunoscut",
+UnknownCommand		: "Comanda \"%1\" necunoscută",
+NotImplemented		: "Comandă neimplementată",
+UnknownToolbarSet	: "Grupul din bara cu opţiuni \"%1\" nu există",
+
+// Dialogs
+DlgBtnOK			: "Bine",
+DlgBtnCancel		: "Anulare",
+DlgBtnClose			: "Închidere",
+DlgBtnBrowseServer	: "Răsfoieşte server",
+DlgAdvancedTag		: "Avansat",
+DlgOpOther			: "&lt;Altul&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;nesetat&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Direcţia cuvintelor",
+DlgGenLangDirLtr	: "stânga-dreapta (LTR)",
+DlgGenLangDirRtl	: "dreapta-stânga (RTL)",
+DlgGenLangCode		: "Codul limbii",
+DlgGenAccessKey		: "Tasta de acces",
+DlgGenName			: "Nume",
+DlgGenTabIndex		: "Indexul tabului",
+DlgGenLongDescr		: "Descrierea lungă URL",
+DlgGenClass			: "Clasele cu stilul paginii (CSS)",
+DlgGenTitle			: "Titlul consultativ",
+DlgGenContType		: "Tipul consultativ al titlului",
+DlgGenLinkCharset	: "Setul de caractere al resursei legate",
+DlgGenStyle			: "Stil",
+
+// Image Dialog
+DlgImgTitle			: "Proprietăţile imaginii",
+DlgImgInfoTab		: "Informaţii despre imagine",
+DlgImgBtnUpload		: "Trimite la server",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Încarcă",
+DlgImgAlt			: "Text alternativ",
+DlgImgWidth			: "Lăţime",
+DlgImgHeight		: "Înălţime",
+DlgImgLockRatio		: "Păstrează proporţiile",
+DlgBtnResetSize		: "Resetează mărimea",
+DlgImgBorder		: "Margine",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Aliniere",
+DlgImgAlignLeft		: "Stânga",
+DlgImgAlignAbsBottom: "Jos absolut (Abs Bottom)",
+DlgImgAlignAbsMiddle: "Mijloc absolut (Abs Middle)",
+DlgImgAlignBaseline	: "Linia de jos (Baseline)",
+DlgImgAlignBottom	: "Jos",
+DlgImgAlignMiddle	: "Mijloc",
+DlgImgAlignRight	: "Dreapta",
+DlgImgAlignTextTop	: "Text sus",
+DlgImgAlignTop		: "Sus",
+DlgImgPreview		: "Previzualizare",
+DlgImgAlertUrl		: "Vă rugăm să scrieţi URL-ul imaginii",
+DlgImgLinkTab		: "Link (Legătură web)",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Link (Legătură web)",
+DlgLnkInfoTab		: "Informaţii despre link (Legătură web)",
+DlgLnkTargetTab		: "Ţintă (Target)",
+
+DlgLnkType			: "Tipul link-ului (al legăturii web)",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Ancoră în această pagină",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protocol",
+DlgLnkProtoOther	: "&lt;altul&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Selectaţi o ancoră",
+DlgLnkAnchorByName	: "după numele ancorei",
+DlgLnkAnchorById	: "după Id-ul elementului",
+DlgLnkNoAnchors		: "&lt;Nici o ancoră disponibilă în document&gt;",
+DlgLnkEMail			: "Adresă de e-mail",
+DlgLnkEMailSubject	: "Subiectul mesajului",
+DlgLnkEMailBody		: "Conţinutul mesajului",
+DlgLnkUpload		: "Încarcă",
+DlgLnkBtnUpload		: "Trimite la server",
+
+DlgLnkTarget		: "Ţintă (Target)",
+DlgLnkTargetFrame	: "&lt;frame&gt;",
+DlgLnkTargetPopup	: "&lt;fereastra popup&gt;",
+DlgLnkTargetBlank	: "Fereastră nouă (_blank)",
+DlgLnkTargetParent	: "Fereastra părinte (_parent)",
+DlgLnkTargetSelf	: "Aceeaşi fereastră (_self)",
+DlgLnkTargetTop		: "Fereastra din topul ierarhiei (_top)",
+DlgLnkTargetFrameName	: "Numele frame-ului ţintă",
+DlgLnkPopWinName	: "Numele ferestrei popup",
+DlgLnkPopWinFeat	: "Proprietăţile ferestrei popup",
+DlgLnkPopResize		: "Scalabilă",
+DlgLnkPopLocation	: "Bara de locaţie",
+DlgLnkPopMenu		: "Bara de meniu",
+DlgLnkPopScroll		: "Scroll Bars",
+DlgLnkPopStatus		: "Bara de status",
+DlgLnkPopToolbar	: "Bara de opţiuni",
+DlgLnkPopFullScrn	: "Tot ecranul (Full Screen)(IE)",
+DlgLnkPopDependent	: "Dependent (Netscape)",
+DlgLnkPopWidth		: "Lăţime",
+DlgLnkPopHeight		: "Înălţime",
+DlgLnkPopLeft		: "Poziţia la stânga",
+DlgLnkPopTop		: "Poziţia la dreapta",
+
+DlnLnkMsgNoUrl		: "Vă rugăm să scrieţi URL-ul",
+DlnLnkMsgNoEMail	: "Vă rugăm să scrieţi adresa de e-mail",
+DlnLnkMsgNoAnchor	: "Vă rugăm să selectaţi o ancoră",
+
+// Color Dialog
+DlgColorTitle		: "Selectează culoare",
+DlgColorBtnClear	: "Curăţă",
+DlgColorHighlight	: "Subliniază (Highlight)",
+DlgColorSelected	: "Selectat",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Inserează o figură expresivă (Emoticon)",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Selectează caracter special",
+
+// Table Dialog
+DlgTableTitle		: "Proprietăţile tabelului",
+DlgTableRows		: "Linii",
+DlgTableColumns		: "Coloane",
+DlgTableBorder		: "Mărimea marginii",
+DlgTableAlign		: "Aliniament",
+DlgTableAlignNotSet	: "<Nesetat>",
+DlgTableAlignLeft	: "Stânga",
+DlgTableAlignCenter	: "Centru",
+DlgTableAlignRight	: "Dreapta",
+DlgTableWidth		: "Lăţime",
+DlgTableWidthPx		: "pixeli",
+DlgTableWidthPc		: "procente",
+DlgTableHeight		: "Înălţime",
+DlgTableCellSpace	: "Spaţiu între celule",
+DlgTableCellPad		: "Spaţiu în cadrul celulei",
+DlgTableCaption		: "Titlu (Caption)",
+
+// Table Cell Dialog
+DlgCellTitle		: "Proprietăţile celulei",
+DlgCellWidth		: "Lăţime",
+DlgCellWidthPx		: "pixeli",
+DlgCellWidthPc		: "procente",
+DlgCellHeight		: "Înălţime",
+DlgCellWordWrap		: "Desparte cuvintele (Wrap)",
+DlgCellWordWrapNotSet	: "&lt;Nesetat&gt;",
+DlgCellWordWrapYes	: "Da",
+DlgCellWordWrapNo	: "Nu",
+DlgCellHorAlign		: "Aliniament orizontal",
+DlgCellHorAlignNotSet	: "&lt;Nesetat&gt;",
+DlgCellHorAlignLeft	: "Stânga",
+DlgCellHorAlignCenter	: "Centru",
+DlgCellHorAlignRight: "Dreapta",
+DlgCellVerAlign		: "Aliniament vertical",
+DlgCellVerAlignNotSet	: "&lt;Nesetat&gt;",
+DlgCellVerAlignTop	: "Sus",
+DlgCellVerAlignMiddle	: "Mijloc",
+DlgCellVerAlignBottom	: "Jos",
+DlgCellVerAlignBaseline	: "Linia de jos (Baseline)",
+DlgCellRowSpan		: "Lungimea în linii (Span)",
+DlgCellCollSpan		: "Lungimea în coloane (Span)",
+DlgCellBackColor	: "Culoarea fundalului",
+DlgCellBorderColor	: "Culoarea marginii",
+DlgCellBtnSelect	: "Selectaţi...",
+
+// Find Dialog
+DlgFindTitle		: "Găseşte",
+DlgFindFindBtn		: "Găseşte",
+DlgFindNotFoundMsg	: "Textul specificat nu a fost găsit.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Replace",
+DlgReplaceFindLbl		: "Găseşte:",
+DlgReplaceReplaceLbl	: "Înlocuieşte cu:",
+DlgReplaceCaseChk		: "Deosebeşte majuscule de minuscule (Match case)",
+DlgReplaceReplaceBtn	: "Înlocuieşte",
+DlgReplaceReplAllBtn	: "Înlocuieşte tot",
+DlgReplaceWordChk		: "Doar cuvintele întregi",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Setările de securitate ale navigatorului (browser) pe care îl folosiţi nu permit editorului să execute automat operaţiunea de adăugare. Vă rugăm folosiţi tastatura (Ctrl+V).",
+PasteErrorCut	: "Setările de securitate ale navigatorului (browser) pe care îl folosiţi nu permit editorului să execute automat operaţiunea de tăiere. Vă rugăm folosiţi tastatura (Ctrl+X).",
+PasteErrorCopy	: "Setările de securitate ale navigatorului (browser) pe care îl folosiţi nu permit editorului să execute automat operaţiunea de copiere. Vă rugăm folosiţi tastatura (Ctrl+C).",
+
+PasteAsText		: "Adaugă ca text simplu (Plain Text)",
+PasteFromWord	: "Adaugă din Word",
+
+DlgPasteMsg		: "Editor nu a putut executa automat adăugarea din cauza <STRONG>setărilor de securitate</STRONG> ale navigatorului (browser) dvs.<BR>Vă rugăm adăugaţi inăuntrul casuţei folosind tastatura (<STRONG>Ctrl+V</STRONG>) şi apăsaţi <STRONG>Bine</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatic",
+ColorMoreColors	: "Mai multe culori...",
+
+// Document Properties
+DocProps		: "Proprietăţile documentului",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Proprietăţile ancorei",
+DlgAnchorName		: "Numele ancorei",
+DlgAnchorErrorName	: "Vă rugăm scrieţi numele ancorei",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Nu e în dicţionar",
+DlgSpellChangeTo		: "Schimbă în",
+DlgSpellBtnIgnore		: "Ignoră",
+DlgSpellBtnIgnoreAll	: "Ignoră toate",
+DlgSpellBtnReplace		: "Înlocuieşte",
+DlgSpellBtnReplaceAll	: "Înlocuieşte tot",
+DlgSpellBtnUndo			: "Starea anterioară (undo)",
+DlgSpellNoSuggestions	: "- Fără sugestii -",
+DlgSpellProgress		: "Verificarea textului în desfăşurare...",
+DlgSpellNoMispell		: "Verificarea textului terminată: Nici o greşeală găsită",
+DlgSpellNoChanges		: "Verificarea textului terminată: Nici un cuvânt modificat",
+DlgSpellOneChange		: "Verificarea textului terminată: Un cuvânt modificat",
+DlgSpellManyChanges		: "Verificarea textului terminată: 1% cuvinte modificate",
+
+IeSpellDownload			: "Spell checker not installed. Do you want to download it now?",
+
+// Button Dialog
+DlgButtonText	: "Text (Valoare)",
+DlgButtonType	: "Tip",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Nume",
+DlgCheckboxValue	: "Valoare",
+DlgCheckboxSelected	: "Selectat",
+
+// Form Dialog
+DlgFormName		: "Nume",
+DlgFormAction	: "Acţiune",
+DlgFormMethod	: "Metodă",
+
+// Select Field Dialog
+DlgSelectName		: "Nume",
+DlgSelectValue		: "Valoare",
+DlgSelectSize		: "Mărime",
+DlgSelectLines		: "linii",
+DlgSelectChkMulti	: "Permite selecţii multiple",
+DlgSelectOpAvail	: "Opţiuni disponibile",
+DlgSelectOpText		: "Text",
+DlgSelectOpValue	: "Valoare",
+DlgSelectBtnAdd		: "Adaugă",
+DlgSelectBtnModify	: "Modifică",
+DlgSelectBtnUp		: "Sus",
+DlgSelectBtnDown	: "Jos",
+DlgSelectBtnSetValue : "Setează ca valoare selectată",
+DlgSelectBtnDelete	: "Şterge",
+
+// Textarea Dialog
+DlgTextareaName	: "Nume",
+DlgTextareaCols	: "Coloane",
+DlgTextareaRows	: "Linii",
+
+// Text Field Dialog
+DlgTextName			: "Nume",
+DlgTextValue		: "Valoare",
+DlgTextCharWidth	: "Lărgimea caracterului",
+DlgTextMaxChars		: "Caractere maxime",
+DlgTextType			: "Tip",
+DlgTextTypeText		: "Text",
+DlgTextTypePass		: "Parolă",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Nume",
+DlgHiddenValue	: "Valoare",
+
+// Bulleted List Dialog
+BulletedListProp	: "Proprietăţile listei punctate (Bulleted List)",
+NumberedListProp	: "Proprietăţile listei numerotate (Numbered List)",
+DlgLstType			: "Tip",
+DlgLstTypeCircle	: "Cerc",
+DlgLstTypeDisk		: "Disc",
+DlgLstTypeSquare	: "Pătrat",
+DlgLstTypeNumbers	: "Numere (1, 2, 3)",
+DlgLstTypeLCase		: "Minuscule-litere mici (a, b, c)",
+DlgLstTypeUCase		: "Majuscule (A, B, C)",
+DlgLstTypeSRoman	: "Cifre romane mici (i, ii, iii)",
+DlgLstTypeLRoman	: "Cifre romane mari (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",
+DlgDocBackTab		: "Fundal",
+DlgDocColorsTab		: "Culori si margini",
+DlgDocMetaTab		: "Meta Data",
+
+DlgDocPageTitle		: "Titlul paginii",
+DlgDocLangDir		: "Descrierea limbii",
+DlgDocLangDirLTR	: "stânga-dreapta (LTR)",
+DlgDocLangDirRTL	: "dreapta-stânga (RTL)",
+DlgDocLangCode		: "Codul limbii",
+DlgDocCharSet		: "Encoding setului de caractere",
+DlgDocCharSetOther	: "Alt encoding al setului de caractere",
+
+DlgDocDocType		: "Document Type Heading",
+DlgDocDocTypeOther	: "Alt Document Type Heading",
+DlgDocIncXHTML		: "Include declaraţii XHTML",
+DlgDocBgColor		: "Culoarea fundalului (Background Color)",
+DlgDocBgImage		: "URL-ul imaginii din fundal (Background Image URL)",
+DlgDocBgNoScroll	: "Fundal neflotant, fix (Nonscrolling Background)",
+DlgDocCText			: "Text",
+DlgDocCLink			: "Link (Legătură web)",
+DlgDocCVisited		: "Link (Legătură web) vizitat",
+DlgDocCActive		: "Link (Legătură web) activ",
+DlgDocMargins		: "Marginile paginii",
+DlgDocMaTop			: "Sus",
+DlgDocMaLeft		: "Stânga",
+DlgDocMaRight		: "Dreapta",
+DlgDocMaBottom		: "Jos",
+DlgDocMeIndex		: "Cuvinte cheie după care se va indexa documentul (separate prin virgulă)",
+DlgDocMeDescr		: "Descrierea documentului",
+DlgDocMeAuthor		: "Autor",
+DlgDocMeCopy		: "Drepturi de autor",
+DlgDocPreview		: "Previzualizare",
+
+// Templates Dialog
+Templates			: "Template-uri (şabloane)",
+DlgTemplatesTitle	: "Template-uri (şabloane) de conţinut",
+DlgTemplatesSelMsg	: "Vă rugăm selectaţi template-ul (şablonul) ce se va deschide în editor<br>(conţinutul actual va fi pierdut):",
+DlgTemplatesLoading	: "Se încarcă lista cu template-uri (şabloane). Vă rugăm aşteptaţi...",
+DlgTemplatesNoTpl	: "(Nici un template (şablon) definit)",
+
+// About Dialog
+DlgAboutAboutTab	: "Despre",
+DlgAboutBrowserInfoTab	: "Informaţii browser",
+DlgAboutVersion		: "versiune",
+DlgAboutLicense		: "Licenţiat sub termenii GNU Lesser General Public License",
+DlgAboutInfo		: "Pentru informaţii amănunţite, vizitaţi"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/ru.js soojung/libs/fckeditor/editor/lang/ru.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/ru.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/ru.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: ru.js
+ * 	Russian language file.
+ * 
+ * File Authors:
+ * 		Andrey Grebnev (andrey.grebnev@blandware.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Свернуть панель инструментов",
+ToolbarExpand		: "Развернуть панель инструментов",
+
+// Toolbar Items and Context Menu
+Save				: "Сохранить",
+NewPage				: "Новая страница",
+Preview				: "Предварительный просмотр",
+Cut					: "Вырезать",
+Copy				: "Копировать",
+Paste				: "Вставить",
+PasteText			: "Вставить только текст",
+PasteWord			: "Вставить из Word",
+Print				: "Печать",
+SelectAll			: "Выделить все",
+RemoveFormat		: "Убрать форматирование",
+InsertLinkLbl		: "Ссылка",
+InsertLink			: "Вставить/Редактировать ссылку",
+RemoveLink			: "Убрать ссылку",
+Anchor				: "Вставить/Редактировать якорь",
+InsertImageLbl		: "Изображение",
+InsertImage			: "Вставить/Редактировать изображение",
+InsertTableLbl		: "Таблица",
+InsertTable			: "Вставить/Редактировать таблицу",
+InsertLineLbl		: "Линия",
+InsertLine			: "Вставить горизонтальную линию",
+InsertSpecialCharLbl: "Специальный символ",
+InsertSpecialChar	: "Вставить специальный символ",
+InsertSmileyLbl		: "Смайлик",
+InsertSmiley		: "Вставить смайлик",
+About				: "О FCKeditor",
+Bold				: "Жирный",
+Italic				: "Курсив",
+Underline			: "Подчеркнутый",
+StrikeThrough		: "Зачеркнутый",
+Subscript			: "Подстрочный индекс",
+Superscript			: "Надстрочный индекс",
+LeftJustify			: "По левому краю",
+CenterJustify		: "По центру",
+RightJustify		: "По правому краю",
+BlockJustify		: "По ширине",
+DecreaseIndent		: "Уменьшить отступ",
+IncreaseIndent		: "Увеличить отступ",
+Undo				: "Отменить",
+Redo				: "Повторить",
+NumberedListLbl		: "Нумерованный список",
+NumberedList		: "Вставить/Удалить нумерованный список",
+BulletedListLbl		: "Маркированный список",
+BulletedList		: "Вставить/Удалить маркированный список",
+ShowTableBorders	: "Показать бордюры таблицы",
+ShowDetails			: "Показать детали",
+Style				: "Стиль",
+FontFormat			: "Форматирование",
+Font				: "Шрифт",
+FontSize			: "Размер",
+TextColor			: "Цвет текста",
+BGColor				: "Цвет фона",
+Source				: "Источник",
+Find				: "Найти",
+Replace				: "Заменить",
+SpellCheck			: "Проверить орфографию",
+UniversalKeyboard	: "Универсальная клавиатура",
+
+Form			: "Форма",
+Checkbox		: "Флаговая кнопка",
+RadioButton		: "Кнопка выбора",
+TextField		: "Текстовое поле",
+Textarea		: "Текстовая область",
+HiddenField		: "Скрытое поле",
+Button			: "Кнопка",
+SelectionField	: "Список",
+ImageButton		: "Кнопка с изображением",
+
+// Context Menu
+EditLink			: "Вставить ссылку",
+InsertRow			: "Вставить строку",
+DeleteRows			: "Удалить строки",
+InsertColumn		: "Вставить колонку",
+DeleteColumns		: "Удалить колонки",
+InsertCell			: "Вставить ячейку",
+DeleteCells			: "Удалить ячейки",
+MergeCells			: "Соединить ячейки",
+SplitCell			: "Разбить ячейку",
+CellProperties		: "Свойства ячейки",
+TableProperties		: "Свойства таблицы",
+ImageProperties		: "Свойства изображения",
+
+AnchorProp			: "Свойства якоря",
+ButtonProp			: "Свойства кнопки",
+CheckboxProp		: "Свойства флаговой кнопки",
+HiddenFieldProp		: "Свойства скрытого поля",
+RadioButtonProp		: "Свойства кнопки выбора",
+ImageButtonProp		: "Свойства кнопки с изображением",
+TextFieldProp		: "Свойства текстового поля",
+SelectionFieldProp	: "Свойства списка",
+TextareaProp		: "Свойства текстовой области",
+FormProp			: "Свойства формы",
+
+FontFormats			: "Нормальный;Форматированный;Адрес;Заголовок 1;Заголовок 2;Заголовок 3;Заголовок 4;Заголовок 5;Заголовок 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Обработка XHTML. Пожалуйста подождите...",
+Done				: "Сделано",
+PasteWordConfirm	: "Текст, который вы хотите вставить, похож на копируемый из Word. Вы хотите очистить его перед вставкой?",
+NotCompatiblePaste	: "Эта команда доступна для Internet Explorer версии 5.5 или выше. Вы хотите вставить без очистки?",
+UnknownToolbarItem	: "Не известный элемент панели инструментов \"%1\"",
+UnknownCommand		: "Не известное имя команды \"%1\"",
+NotImplemented		: "Команда не реализована",
+UnknownToolbarSet	: "Панель инструментов \"%1\" не существует",
+
+// Dialogs
+DlgBtnOK			: "ОК",
+DlgBtnCancel		: "Отмена",
+DlgBtnClose			: "Закрыть",
+DlgBtnBrowseServer	: "Просмотреть на сервере",
+DlgAdvancedTag		: "Расширенный",
+DlgOpOther			: "&lt;Другое&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;не определено&gt;",
+DlgGenId			: "Идентификатор",
+DlgGenLangDir		: "Направление языка",
+DlgGenLangDirLtr	: "Слева на право (LTR)",
+DlgGenLangDirRtl	: "Справа на лево (RTL)",
+DlgGenLangCode		: "Язык",
+DlgGenAccessKey		: "Горячая клавиша",
+DlgGenName			: "Имя",
+DlgGenTabIndex		: "Последовательность перехода",
+DlgGenLongDescr		: "Длинное описание URL",
+DlgGenClass			: "Класс CSS",
+DlgGenTitle			: "Заголовок",
+DlgGenContType		: "Тип содержимого",
+DlgGenLinkCharset	: "Кодировка",
+DlgGenStyle			: "Стиль CSS",
+
+// Image Dialog
+DlgImgTitle			: "Свойства изображения",
+DlgImgInfoTab		: "Информация о изображении",
+DlgImgBtnUpload		: "Послать на сервер",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Закачать",
+DlgImgAlt			: "Альтернативный текст",
+DlgImgWidth			: "Ширина",
+DlgImgHeight		: "Высота",
+DlgImgLockRatio		: "Сохранять пропорции",
+DlgBtnResetSize		: "Сбросить размер",
+DlgImgBorder		: "Бордюр",
+DlgImgHSpace		: "Горизонтальный отступ",
+DlgImgVSpace		: "Вертикальный отступ",
+DlgImgAlign			: "Выравнивание",
+DlgImgAlignLeft		: "По левому краю",
+DlgImgAlignAbsBottom: "Абс понизу",
+DlgImgAlignAbsMiddle: "Абс посередине",
+DlgImgAlignBaseline	: "По базовой линии",
+DlgImgAlignBottom	: "Понизу",
+DlgImgAlignMiddle	: "Посередине",
+DlgImgAlignRight	: "По правому краю",
+DlgImgAlignTextTop	: "Текст наверху",
+DlgImgAlignTop		: "По верху",
+DlgImgPreview		: "Предварительный просмотр",
+DlgImgAlertUrl		: "Пожалуйста введите URL изображения",
+DlgImgLinkTab		: "Ссылка",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Ссылка",
+DlgLnkInfoTab		: "Информация ссылки",
+DlgLnkTargetTab		: "Цель",
+
+DlgLnkType			: "Тип ссылки",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Якорь на эту страницу",
+DlgLnkTypeEMail		: "Эл. почта",
+DlgLnkProto			: "Протокол",
+DlgLnkProtoOther	: "&lt;другое&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Выберите якорь",
+DlgLnkAnchorByName	: "По имени якоря",
+DlgLnkAnchorById	: "По идентификатору элемента",
+DlgLnkNoAnchors		: "&lt;Нет якорей доступных в этом документе&gt;",
+DlgLnkEMail			: "Адрес эл. почты",
+DlgLnkEMailSubject	: "Заголовок сообщения",
+DlgLnkEMailBody		: "Тело сообщения",
+DlgLnkUpload		: "Закачать",
+DlgLnkBtnUpload		: "Послать на сервер",
+
+DlgLnkTarget		: "Цель",
+DlgLnkTargetFrame	: "&lt;фрейм&gt;",
+DlgLnkTargetPopup	: "&lt;всплывающее окно&gt;",
+DlgLnkTargetBlank	: "Новое окно (_blank)",
+DlgLnkTargetParent	: "Родительское окно (_parent)",
+DlgLnkTargetSelf	: "Тоже окно (_self)",
+DlgLnkTargetTop		: "Самое верхнее окно (_top)",
+DlgLnkTargetFrameName	: "Имя целевого фрейма",
+DlgLnkPopWinName	: "Имя всплывающего окна",
+DlgLnkPopWinFeat	: "Свойства всплывающего окна",
+DlgLnkPopResize		: "Изменяющееся в размерах",
+DlgLnkPopLocation	: "Панель локации",
+DlgLnkPopMenu		: "Панель меню",
+DlgLnkPopScroll		: "Полосы прокрутки",
+DlgLnkPopStatus		: "Строка состояния",
+DlgLnkPopToolbar	: "Панель инструментов",
+DlgLnkPopFullScrn	: "Полный экран (IE)",
+DlgLnkPopDependent	: "Зависимый (Netscape)",
+DlgLnkPopWidth		: "Ширина",
+DlgLnkPopHeight		: "Высота",
+DlgLnkPopLeft		: "Позиция слева",
+DlgLnkPopTop		: "Позиция сверху",
+
+DlnLnkMsgNoUrl		: "Пожалуйста введите URL ссылки",
+DlnLnkMsgNoEMail	: "Пожалуйста введите адрес эл. почты",
+DlnLnkMsgNoAnchor	: "Пожалуйста выберете якорь",
+
+// Color Dialog
+DlgColorTitle		: "Выберите цвет",
+DlgColorBtnClear	: "Очистить",
+DlgColorHighlight	: "Подсвеченный",
+DlgColorSelected	: "Выбранный",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Вставить смайлик",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Выберите специальный символ",
+
+// Table Dialog
+DlgTableTitle		: "Свойства таблицы",
+DlgTableRows		: "Строки",
+DlgTableColumns		: "Колонки",
+DlgTableBorder		: "Размер бордюра",
+DlgTableAlign		: "Выравнивание",
+DlgTableAlignNotSet	: "<Не уст.>",
+DlgTableAlignLeft	: "Слева",
+DlgTableAlignCenter	: "По центру",
+DlgTableAlignRight	: "Справа",
+DlgTableWidth		: "Ширина",
+DlgTableWidthPx		: "пикселей",
+DlgTableWidthPc		: "процентов",
+DlgTableHeight		: "Высота",
+DlgTableCellSpace	: "Промежуток (spacing)",
+DlgTableCellPad		: "Отступ (padding)",
+DlgTableCaption		: "Заголовок",
+
+// Table Cell Dialog
+DlgCellTitle		: "Свойства ячейки",
+DlgCellWidth		: "Ширина",
+DlgCellWidthPx		: "пикселей",
+DlgCellWidthPc		: "процентов",
+DlgCellHeight		: "Высота",
+DlgCellWordWrap		: "Заворачивание текста",
+DlgCellWordWrapNotSet	: "<Не уст.>",
+DlgCellWordWrapYes	: "Да",
+DlgCellWordWrapNo	: "Нет",
+DlgCellHorAlign		: "Гор. выравнивание",
+DlgCellHorAlignNotSet	: "<Не уст.>",
+DlgCellHorAlignLeft	: "Слева",
+DlgCellHorAlignCenter	: "По центру",
+DlgCellHorAlignRight: "Справа",
+DlgCellVerAlign		: "Верт. выравнивание",
+DlgCellVerAlignNotSet	: "<Не уст.>",
+DlgCellVerAlignTop	: "Сверху",
+DlgCellVerAlignMiddle	: "Посередине",
+DlgCellVerAlignBottom	: "Снизу",
+DlgCellVerAlignBaseline	: "По базовой линии",
+DlgCellRowSpan		: "Диапазон строк (span)",
+DlgCellCollSpan		: "Диапазон колонок (span)",
+DlgCellBackColor	: "Цвет фона",
+DlgCellBorderColor	: "Цвет бордюра",
+DlgCellBtnSelect	: "Выберите...",
+
+// Find Dialog
+DlgFindTitle		: "Найти",
+DlgFindFindBtn		: "Найти",
+DlgFindNotFoundMsg	: "Указанный текст не найден.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Заменить",
+DlgReplaceFindLbl		: "Найти:",
+DlgReplaceReplaceLbl	: "Заменить на:",
+DlgReplaceCaseChk		: "Учитывать регистр",
+DlgReplaceReplaceBtn	: "Заменить",
+DlgReplaceReplAllBtn	: "Заменить все",
+DlgReplaceWordChk		: "Совпадение целых слов",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Настройки безопасности вашего браузера не позволяют редактору автоматически выполнять операции вставки. Пожалуйста используйте клавиатуру для этого (Ctrl+V).",
+PasteErrorCut	: "Настройки безопасности вашего браузера не позволяют редактору автоматически выполнять операции вырезания. Пожалуйста используйте клавиатуру для этого (Ctrl+X).",
+PasteErrorCopy	: "Настройки безопасности вашего браузера не позволяют редактору автоматически выполнять операции копирования. Пожалуйста используйте клавиатуру для этого (Ctrl+C).",
+
+PasteAsText		: "Вставить только текст",
+PasteFromWord	: "Вставить из Word",
+
+DlgPasteMsg		: "Редактор не может автоматически выполнить операцию вставки, по причине <STRONG>настроек безопасности</STRONG> вашего браузера.<BR>Пожалуйста вставьте текст в следующее поле ввода, используя клавиатуру (<STRONG>Ctrl+V</STRONG>) и нажмите <STRONG>ОК</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Автоматический",
+ColorMoreColors	: "Цвета...",
+
+// Document Properties
+DocProps		: "Свойства документа",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Свойства якоря",
+DlgAnchorName		: "Имя якоря",
+DlgAnchorErrorName	: "Пожалуйста введите имя якоря",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Нет в словаре",
+DlgSpellChangeTo		: "Заменить на",
+DlgSpellBtnIgnore		: "Игнорировать",
+DlgSpellBtnIgnoreAll	: "Игнорировать все",
+DlgSpellBtnReplace		: "Заменить",
+DlgSpellBtnReplaceAll	: "Заменить все",
+DlgSpellBtnUndo			: "Отменить",
+DlgSpellNoSuggestions	: "- Нет предположений -",
+DlgSpellProgress		: "Идет проверка орфографии...",
+DlgSpellNoMispell		: "Проверка орфографии закончена: ошибок не найдено",
+DlgSpellNoChanges		: "Проверка орфографии закончена: ни одного слова не изменено",
+DlgSpellOneChange		: "Проверка орфографии закончена: одно слово изменено",
+DlgSpellManyChanges		: "Проверка орфографии закончена: 1% слов изменен",
+
+IeSpellDownload			: "Модуль проверки орфографии не установлен. Хотите скачать его сейчас?",
+
+// Button Dialog
+DlgButtonText	: "Текст (Значение)",
+DlgButtonType	: "Тип",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Имя",
+DlgCheckboxValue	: "Значение",
+DlgCheckboxSelected	: "Выбранная",
+
+// Form Dialog
+DlgFormName		: "Имя",
+DlgFormAction	: "Действие",
+DlgFormMethod	: "Метод",
+
+// Select Field Dialog
+DlgSelectName		: "Имя",
+DlgSelectValue		: "Значение",
+DlgSelectSize		: "Размер",
+DlgSelectLines		: "линии",
+DlgSelectChkMulti	: "Разрешить множественный выбор",
+DlgSelectOpAvail	: "Доступные варианты",
+DlgSelectOpText		: "Текст",
+DlgSelectOpValue	: "Значение",
+DlgSelectBtnAdd		: "Добавить",
+DlgSelectBtnModify	: "Модифицировать",
+DlgSelectBtnUp		: "Вверх",
+DlgSelectBtnDown	: "Вниз",
+DlgSelectBtnSetValue : "Установить как выбранное значение",
+DlgSelectBtnDelete	: "Удалить",
+
+// Textarea Dialog
+DlgTextareaName	: "Имя",
+DlgTextareaCols	: "Колонки",
+DlgTextareaRows	: "Строки",
+
+// Text Field Dialog
+DlgTextName			: "Имя",
+DlgTextValue		: "Значение",
+DlgTextCharWidth	: "Ширина",
+DlgTextMaxChars		: "Макс. кол-во символов",
+DlgTextType			: "Тип",
+DlgTextTypeText		: "Текст",
+DlgTextTypePass		: "Пароль",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Имя",
+DlgHiddenValue	: "Значение",
+
+// Bulleted List Dialog
+BulletedListProp	: "Свойства маркированного списка",
+NumberedListProp	: "Свойства нумерованного списка",
+DlgLstType			: "Тип",
+DlgLstTypeCircle	: "Круг",
+DlgLstTypeDisk		: "Диск",
+DlgLstTypeSquare	: "Квадрат",
+DlgLstTypeNumbers	: "Номера (1, 2, 3)",
+DlgLstTypeLCase		: "Буквы нижнего регистра (a, b, c)",
+DlgLstTypeUCase		: "Буквы верхнего регистра (A, B, C)",
+DlgLstTypeSRoman	: "Малые римские буквы (i, ii, iii)",
+DlgLstTypeLRoman	: "Большие римские буквы (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Общие",
+DlgDocBackTab		: "Задний фон",
+DlgDocColorsTab		: "Цвета и отступы",
+DlgDocMetaTab		: "Мета данные",
+
+DlgDocPageTitle		: "Заголовок страницы",
+DlgDocLangDir		: "Направление текста",
+DlgDocLangDirLTR	: "Слева на право (LTR)",
+DlgDocLangDirRTL	: "Справа на лево (RTL)",
+DlgDocLangCode		: "Код языка",
+DlgDocCharSet		: "Кодировка набора символов",
+DlgDocCharSetOther	: "Другая кодировка набора символов",
+
+DlgDocDocType		: "Заголовок типа документа",
+DlgDocDocTypeOther	: "Другой заголовок типа документа",
+DlgDocIncXHTML		: "Включить XHTML объявления",
+DlgDocBgColor		: "Цвет фона",
+DlgDocBgImage		: "URL изображения фона",
+DlgDocBgNoScroll	: "Нескроллируемый фон",
+DlgDocCText			: "Текст",
+DlgDocCLink			: "Ссылка",
+DlgDocCVisited		: "Посещенная ссылка",
+DlgDocCActive		: "Активная ссылка",
+DlgDocMargins		: "Отступы страницы",
+DlgDocMaTop			: "Верхний",
+DlgDocMaLeft		: "Левый",
+DlgDocMaRight		: "Правый",
+DlgDocMaBottom		: "Нижний",
+DlgDocMeIndex		: "Ключевые слова документа (разделенные запятой)",
+DlgDocMeDescr		: "Описание документа",
+DlgDocMeAuthor		: "Автор",
+DlgDocMeCopy		: "Авторские права",
+DlgDocPreview		: "Предварительный просмотр",
+
+// Templates Dialog
+Templates			: "Шаблоны",
+DlgTemplatesTitle	: "Шаблоны содержимого",
+DlgTemplatesSelMsg	: "Пожалуйста выберете шаблон для открытия в редакторе<br>(текущее содержимое будет потеряно):",
+DlgTemplatesLoading	: "Загрузка списка шаблонов. Пожалуйста подождите...",
+DlgTemplatesNoTpl	: "(Ни одного шаблона не определено)",
+
+// About Dialog
+DlgAboutAboutTab	: "О программе",
+DlgAboutBrowserInfoTab	: "Информация браузера",
+DlgAboutVersion		: "Версия",
+DlgAboutLicense		: "Лицензировано в соответствии с условиями GNU Lesser General Public License",
+DlgAboutInfo		: "Для большей информации, посетите"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/sk.js soojung/libs/fckeditor/editor/lang/sk.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/sk.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/sk.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: sk.js
+ * 	Slovak language file.
+ * 
+ * File Authors:
+ * 		Samuel Szabo (samuel@nanete.sk)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Skryť panel nástrojov",
+ToolbarExpand		: "Zobraziť panel nástrojov",
+
+// Toolbar Items and Context Menu
+Save				: "Uložit",
+NewPage				: "Nová stránka",
+Preview				: "Náhľed",
+Cut					: "Vystrihnúť",
+Copy				: "Kopírovať",
+Paste				: "Vložiť",
+PasteText			: "Vložiť ako čistý text",
+PasteWord			: "Vložiť z Wordu",
+Print				: "Tlač",
+SelectAll			: "Vybrať všetko",
+RemoveFormat		: "Odstrániť formátovanie",
+InsertLinkLbl		: "Odkaz",
+InsertLink			: "Vložiť/zmeniť odkaz",
+RemoveLink			: "Odstrániť odkaz",
+Anchor				: "Vložiť/zmeniť kotvu",
+InsertImageLbl		: "Obrázok",
+InsertImage			: "Vložiť/zmeniť obrazok",
+InsertTableLbl		: "Tabuľka",
+InsertTable			: "Vložiť/zmeniť tabulku",
+InsertLineLbl		: "Čiara",
+InsertLine			: "Vložiť vodorovnú čiara",
+InsertSpecialCharLbl: "Speciálne znaky",
+InsertSpecialChar	: "Vložiť špeciálne znaky",
+InsertSmileyLbl		: "Smajlíky",
+InsertSmiley		: "Vložiť smajlíka",
+About				: "O aplikáci FCKeditor",
+Bold				: "Tučné",
+Italic				: "Kurzíva",
+Underline			: "Podčiarknuté",
+StrikeThrough		: "Prečiarknuté",
+Subscript			: "Dolný index",
+Superscript			: "Horný index",
+LeftJustify			: "Zarovnať vľavo",
+CenterJustify		: "Zarovnať na stred",
+RightJustify		: "Zarovnať vpravo",
+BlockJustify		: "Zarovnať do bloku",
+DecreaseIndent		: "Zmenšiť odsadenie",
+IncreaseIndent		: "Zvětšiť odsadenie",
+Undo				: "Späť",
+Redo				: "Znovu",
+NumberedListLbl		: "Číslovanie",
+NumberedList		: "Vložiť/odstrániť číslovaný zoznam",
+BulletedListLbl		: "Odrážky",
+BulletedList		: "Vloži/odstranit odrážky",
+ShowTableBorders	: "Zobraziť okraje tabuliek",
+ShowDetails			: "Zobraziť podrobnosti",
+Style				: "Štýl",
+FontFormat			: "Formát",
+Font				: "Písmo",
+FontSize			: "Veľkost",
+TextColor			: "Farba textu",
+BGColor				: "Farba pozadia",
+Source				: "Zdroj",
+Find				: "Hľadať",
+Replace				: "Nahradiť",
+SpellCheck			: "Kontrola pravopisu",
+UniversalKeyboard	: "Univerzálna klávesnica",
+
+Form			: "Formulár",
+Checkbox		: "Zaškrtávacie políčko",
+RadioButton		: "Prepínač",
+TextField		: "Textové pole",
+Textarea		: "Textová oblasť",
+HiddenField		: "Skryté pole",
+Button			: "Tlačítko",
+SelectionField	: "Rozbaľovací zoznam",
+ImageButton		: "Obrázkové tlačítko",
+
+// Context Menu
+EditLink			: "Zmeniť odkaz",
+InsertRow			: "Vložiť riadok",
+DeleteRows			: "Zmazať riadok",
+InsertColumn		: "Vložiť stĺpec",
+DeleteColumns		: "Zmazať stĺpec",
+InsertCell			: "Vložiť bunku",
+DeleteCells			: "Zmazať bunky",
+MergeCells			: "Zlúčiť bunky",
+SplitCell			: "Rozdeliť bunku",
+CellProperties		: "Vlastnosti bunky",
+TableProperties		: "Vlastnosti tabulky",
+ImageProperties		: "Vlastnosti obrázka",
+
+AnchorProp			: "Vlastnosti kotvy",
+ButtonProp			: "Vlastnosti tlačítka",
+CheckboxProp		: "Vlastnosti zaškrtávacieho políčka",
+HiddenFieldProp		: "Vlastnosti skrytého poľa",
+RadioButtonProp		: "Vlastnosti prepínača",
+ImageButtonProp		: "Vlastnosti obrázkového tlačítka",
+TextFieldProp		: "Vlastnosti textového pola",
+SelectionFieldProp	: "Vlastnosti rozbaľovacieho zoznamu",
+TextareaProp		: "Vlastnosti textové oblasti",
+FormProp			: "Vlastnosti formulára",
+
+FontFormats			: "Normálny;Formátovaný;Adresa;Nadpis 1;Nadpis 2;Nadpis 3;Nadpis 4;Nadpis 5;Nadpis 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Prebieha spracovanie XHTML. Prosím čakejte...",
+Done				: "Dokončené.",
+PasteWordConfirm	: "Vyzerá to tak, že vkladaný text je kopírovaný z Wordu. Chcete ho pred vložením vyčistiť?",
+NotCompatiblePaste	: "Tento príkaz je dostupný len v prehliadači Internet Explorer verzie 5.5 alebo vyššej. Chcete vložiť text bez vyčistenia?",
+UnknownToolbarItem	: "Neznáma položka panela nástrojov \"%1\"",
+UnknownCommand		: "Neznámy príkaz \"%1\"",
+NotImplemented		: "Príkaz nie je implementovaný",
+UnknownToolbarSet	: "Panel nástrojov \"%1\" neexistuje",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Zrušiť",
+DlgBtnClose			: "Zavrieť",
+DlgBtnBrowseServer	: "Prechádzať server",
+DlgAdvancedTag		: "Rozšírené",
+DlgOpOther			: "&lt;Ďalšie&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;nenastavené&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Orientácia jazyka",
+DlgGenLangDirLtr	: "Zľava doprava (LTR)",
+DlgGenLangDirRtl	: "Zprava doľava (RTL)",
+DlgGenLangCode		: "Kód jazyka",
+DlgGenAccessKey		: "Prístupový kľúč",
+DlgGenName			: "Meno",
+DlgGenTabIndex		: "Poradie prvku",
+DlgGenLongDescr		: "Dlhý popis URL",
+DlgGenClass			: "Trieda štýlu",
+DlgGenTitle			: "Pomocný titulok",
+DlgGenContType		: "Pomocný typ obsahu",
+DlgGenLinkCharset	: "Priradená znaková sada",
+DlgGenStyle			: "Štýl",
+
+// Image Dialog
+DlgImgTitle			: "Vlastnosti obrázku",
+DlgImgInfoTab		: "Informácie o obrázku",
+DlgImgBtnUpload		: "Odoslať na server",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Odoslať",
+DlgImgAlt			: "Alternatívny text",
+DlgImgWidth			: "Šírka",
+DlgImgHeight		: "Výška",
+DlgImgLockRatio		: "Zámok",
+DlgBtnResetSize		: "Pôvodná veľkosť",
+DlgImgBorder		: "Okraje",
+DlgImgHSpace		: "H-medzera",
+DlgImgVSpace		: "V-medzera",
+DlgImgAlign			: "Zarovnanie",
+DlgImgAlignLeft		: "Vľevo",
+DlgImgAlignAbsBottom: "Úplne dole",
+DlgImgAlignAbsMiddle: "Do stredu",
+DlgImgAlignBaseline	: "Na základňu",
+DlgImgAlignBottom	: "Dole",
+DlgImgAlignMiddle	: "Na stred",
+DlgImgAlignRight	: "Vpravo",
+DlgImgAlignTextTop	: "Na horný okraj textu",
+DlgImgAlignTop		: "Nahor",
+DlgImgPreview		: "Náhľad",
+DlgImgAlertUrl		: "Zadajte prosím URL obrázku",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Odkaz",
+DlgLnkInfoTab		: "Informácie o odkaze",
+DlgLnkTargetTab		: "Cieľ",
+
+DlgLnkType			: "Typ odkazu",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Kotva v tejto stránke",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protokol",
+DlgLnkProtoOther	: "&lt;iný&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Vybrať kotvu",
+DlgLnkAnchorByName	: "Podľa mena kotvy",
+DlgLnkAnchorById	: "Podľa Id objektu",
+DlgLnkNoAnchors		: "&lt;V stránke žiadna kotva nie je definovaná&gt;",
+DlgLnkEMail			: "E-Mailová adresa",
+DlgLnkEMailSubject	: "Predmet správy",
+DlgLnkEMailBody		: "Telo správy",
+DlgLnkUpload		: "Odoslať",
+DlgLnkBtnUpload		: "Odoslať na server",
+
+DlgLnkTarget		: "Cieľ",
+DlgLnkTargetFrame	: "&lt;rámec&gt;",
+DlgLnkTargetPopup	: "&lt;vyskakovacie okno&gt;",
+DlgLnkTargetBlank	: "Nové okno (_blank)",
+DlgLnkTargetParent	: "Rodičovské okno (_parent)",
+DlgLnkTargetSelf	: "Rovnaké okno (_self)",
+DlgLnkTargetTop		: "Hlavné okno (_top)",
+DlgLnkTargetFrameName	: "Meno rámu cieľa",
+DlgLnkPopWinName	: "Názov vyskakovacieho okna",
+DlgLnkPopWinFeat	: "Vlastnosti vyskakovacieho okna",
+DlgLnkPopResize		: "Měnitelná velikost",
+DlgLnkPopLocation	: "Panel umístění",
+DlgLnkPopMenu		: "Panel ponuky",
+DlgLnkPopScroll		: "Posuvníky",
+DlgLnkPopStatus		: "Stavový riadok",
+DlgLnkPopToolbar	: "Panel nástrojov",
+DlgLnkPopFullScrn	: "Celá obrazovka (IE)",
+DlgLnkPopDependent	: "Závislosť (Netscape)",
+DlgLnkPopWidth		: "Šírka",
+DlgLnkPopHeight		: "Výška",
+DlgLnkPopLeft		: "Ľavý okraj",
+DlgLnkPopTop		: "Horný okraj",
+
+DlnLnkMsgNoUrl		: "Zadajte prosím URL odkazu",
+DlnLnkMsgNoEMail	: "Zadajte prosím e-mailovú adresu",
+DlnLnkMsgNoAnchor	: "Vyberte prosím kotvu",
+
+// Color Dialog
+DlgColorTitle		: "Výber farby",
+DlgColorBtnClear	: "Vymazať",
+DlgColorHighlight	: "Zvýraznená",
+DlgColorSelected	: "Vybraná",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Vkladanie smajlíkov",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Výber speciálneho znaku",
+
+// Table Dialog
+DlgTableTitle		: "Vlastnosti tabuľky",
+DlgTableRows		: "Riadky",
+DlgTableColumns		: "Stĺpce",
+DlgTableBorder		: "Ohraničenie",
+DlgTableAlign		: "Zarovnanie",
+DlgTableAlignNotSet	: "<nenastavené>",
+DlgTableAlignLeft	: "Vľavo",
+DlgTableAlignCenter	: "Na stred",
+DlgTableAlignRight	: "Vpravo",
+DlgTableWidth		: "Šírka",
+DlgTableWidthPx		: "pixelov",
+DlgTableWidthPc		: "percent",
+DlgTableHeight		: "Výška",
+DlgTableCellSpace	: "Vzdialenosť buniek",
+DlgTableCellPad		: "Odsadenie obsahu",
+DlgTableCaption		: "Popis",
+
+// Table Cell Dialog
+DlgCellTitle		: "Vlastnosti bunky",
+DlgCellWidth		: "Šírka",
+DlgCellWidthPx		: "bodov",
+DlgCellWidthPc		: "percent",
+DlgCellHeight		: "Výška",
+DlgCellWordWrap		: "Zalamovannie",
+DlgCellWordWrapNotSet	: "<nenanstavené>",
+DlgCellWordWrapYes	: "Áno",
+DlgCellWordWrapNo	: "Nie",
+DlgCellHorAlign		: "Vodorovné zarovnanie",
+DlgCellHorAlignNotSet	: "<nenastavené>",
+DlgCellHorAlignLeft	: "Vľavo",
+DlgCellHorAlignCenter	: "Na stred",
+DlgCellHorAlignRight: "Vpravo",
+DlgCellVerAlign		: "Zvyslé zarovnanie",
+DlgCellVerAlignNotSet	: "<nenastavené>",
+DlgCellVerAlignTop	: "Nahor",
+DlgCellVerAlignMiddle	: "Doprostred",
+DlgCellVerAlignBottom	: "Dole",
+DlgCellVerAlignBaseline	: "Na základňu",
+DlgCellRowSpan		: "Zlúčené riadky",
+DlgCellCollSpan		: "Zlúčené stĺpce",
+DlgCellBackColor	: "Farba pozadia",
+DlgCellBorderColor	: "Farba ohraničenia",
+DlgCellBtnSelect	: "Výber...",
+
+// Find Dialog
+DlgFindTitle		: "Hľadať",
+DlgFindFindBtn		: "Hľadať",
+DlgFindNotFoundMsg	: "Hľadaný text nebol nájdený.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Nahradiť",
+DlgReplaceFindLbl		: "Čo hľadať:",
+DlgReplaceReplaceLbl	: "Čím nahradiť:",
+DlgReplaceCaseChk		: "Rozlišovať malé/veľké písmená",
+DlgReplaceReplaceBtn	: "Nahradiť",
+DlgReplaceReplAllBtn	: "Nahradiť všetko",
+DlgReplaceWordChk		: "Len celé slová",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Bezpečnostné nastavenie Vášho prohehliadača nedovoľujú editoru spustiť funkciu pre vloženie textu zo schránky. Prosím vložte text zo schránky pomocou klávesnice (Ctrl+V).",
+PasteErrorCut	: "Bezpečnostné nastavenie Vášho prohehliadača nedovoľujú editoru spustiť funkciu pre vystrihnutie zvoleného textu do schránky. Prosím vystrihnite zvolený text do schránky pomocou klávesnice (Ctrl+X).",
+PasteErrorCopy	: "Bezpečnostné nastavenie Vášho prohehliadača nedovoľujú editoru spustiť funkciu pre kopírovánie zvoleného textu do schránky. Prosím skopírujte zvolený text do schránky pomocou klávesnice (Ctrl+C).",
+
+PasteAsText		: "Vložiť ako čistý text",
+PasteFromWord	: "Vložiť text z Wordu",
+
+DlgPasteMsg		: "<strong>Bezpečnostné nastavenie</strong> Vášho prohehliadača nedovoľujú editoru spustiť funkciu pre vloženie textu zo schránky.<br />Text zo schránky prosím vložte pomocou klávesnice do tohto poľa (<strong>Ctrl+V</strong>) a potom stlačte tlačítko <strong>OK</strong>.",
+
+// Color Picker
+ColorAutomatic	: "Automaticky",
+ColorMoreColors	: "Viac farieb...",
+
+// Document Properties
+DocProps		: "Vlastnosti dokumentu",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Vlastnosti kotvy",
+DlgAnchorName		: "Meno kotvy",
+DlgAnchorErrorName	: "Zadajte prosím meno kotvy",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Nie je v slovníku",
+DlgSpellChangeTo		: "Zmeniť na",
+DlgSpellBtnIgnore		: "Ignorovať",
+DlgSpellBtnIgnoreAll	: "Ignorovať všetko",
+DlgSpellBtnReplace		: "Prepísat",
+DlgSpellBtnReplaceAll	: "Prepísat všetko",
+DlgSpellBtnUndo			: "Späť",
+DlgSpellNoSuggestions	: "- Žiadny návrh -",
+DlgSpellProgress		: "Prebieha kontrola pravopisu...",
+DlgSpellNoMispell		: "Kontrola pravopisu dokončená: bez chyb",
+DlgSpellNoChanges		: "Kontrola pravopisu dokončená: žiadne slová nezmenené",
+DlgSpellOneChange		: "Kontrola pravopisu dokončená: zmenené jedno slovo",
+DlgSpellManyChanges		: "Kontrola pravopisu dokončená: zmenených %1 slov",
+
+IeSpellDownload			: "Kontrola pravopisu nie je naištalovaná. Chcete ju hneď stiahnuť?",
+
+// Button Dialog
+DlgButtonText	: "Text",
+DlgButtonType	: "Typ",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Názov",
+DlgCheckboxValue	: "Hodnota",
+DlgCheckboxSelected	: "Vybrané",
+
+// Form Dialog
+DlgFormName		: "Názov",
+DlgFormAction	: "Akcie",
+DlgFormMethod	: "Metóda",
+
+// Select Field Dialog
+DlgSelectName		: "Názov",
+DlgSelectValue		: "Hodnota",
+DlgSelectSize		: "Veľkosť",
+DlgSelectLines		: "riadkov",
+DlgSelectChkMulti	: "Povoliť viacnásobný výber",
+DlgSelectOpAvail	: "Dostupné možnosti",
+DlgSelectOpText		: "Text",
+DlgSelectOpValue	: "Hodnota",
+DlgSelectBtnAdd		: "Pridať",
+DlgSelectBtnModify	: "Zmeniť",
+DlgSelectBtnUp		: "Nahor",
+DlgSelectBtnDown	: "Dolu",
+DlgSelectBtnSetValue : "Nastaviť ako vybranú hodnotu",
+DlgSelectBtnDelete	: "Zmazať",
+
+// Textarea Dialog
+DlgTextareaName	: "Názov",
+DlgTextareaCols	: "Stĺpce",
+DlgTextareaRows	: "Riadky",
+
+// Text Field Dialog
+DlgTextName			: "Názov",
+DlgTextValue		: "Hodnota",
+DlgTextCharWidth	: "Šírka pola (znakov)",
+DlgTextMaxChars		: "Maximálny počet znakov",
+DlgTextType			: "Typ",
+DlgTextTypeText		: "Text",
+DlgTextTypePass		: "Heslo",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Názov",
+DlgHiddenValue	: "Hodnota",
+
+// Bulleted List Dialog
+BulletedListProp	: "Vlastnosti odrážok",
+NumberedListProp	: "Vlastnosti číslovania",
+DlgLstType			: "Typ",
+DlgLstTypeCircle	: "Krúžok",
+DlgLstTypeDisk		: "Disk",
+DlgLstTypeSquare	: "Štvorec",
+DlgLstTypeNumbers	: "Číslovanie (1, 2, 3)",
+DlgLstTypeLCase		: "Malé písmená (a, b, c)",
+DlgLstTypeUCase		: "Veľké písmená (A, B, C)",
+DlgLstTypeSRoman	: "Malé rímske číslice (i, ii, iii)",
+DlgLstTypeLRoman	: "Veľké rímske číslice (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Všeobecné",
+DlgDocBackTab		: "Pozadie",
+DlgDocColorsTab		: "Farby a okraje",
+DlgDocMetaTab		: "Meta Data",
+
+DlgDocPageTitle		: "Titulok",
+DlgDocLangDir		: "Orientácie jazyka",
+DlgDocLangDirLTR	: "Zľeva doprava (LTR)",
+DlgDocLangDirRTL	: "Zprava doľava (RTL)",
+DlgDocLangCode		: "Kód jazyka",
+DlgDocCharSet		: "Kódová stránka",
+DlgDocCharSetOther	: "Iná kódová stránka",
+
+DlgDocDocType		: "Typ záhlavia dokumentu",
+DlgDocDocTypeOther	: "Iný typ záhlavia dokumentu",
+DlgDocIncXHTML		: "Obsahuje deklarácie XHTML",
+DlgDocBgColor		: "Farba pozadia",
+DlgDocBgImage		: "URL adresa obrázku na pozadí",
+DlgDocBgNoScroll	: "Fixné pozadie",
+DlgDocCText			: "Text",
+DlgDocCLink			: "Odkaz",
+DlgDocCVisited		: "Navštívený odkaz",
+DlgDocCActive		: "Aktívny odkaz",
+DlgDocMargins		: "Okraje stránky",
+DlgDocMaTop			: "Horný",
+DlgDocMaLeft		: "Ľavý",
+DlgDocMaRight		: "Pravý",
+DlgDocMaBottom		: "Dolný",
+DlgDocMeIndex		: "Kľúčové slová pre indexovanie (oddelené čiarkou)",
+DlgDocMeDescr		: "Popis stránky",
+DlgDocMeAuthor		: "Autor",
+DlgDocMeCopy		: "Autorské práva",
+DlgDocPreview		: "Náhľad",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "O aplikáci",
+DlgAboutBrowserInfoTab	: "Informácie o prehliadači",
+DlgAboutVersion		: "verzie",
+DlgAboutLicense		: "Licencované pod pravidlami GNU Lesser General Public License",
+DlgAboutInfo		: "Viac informácií získate na"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/sl.js soojung/libs/fckeditor/editor/lang/sl.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/sl.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/sl.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: sl.js
+ * 	Slovenian language file.
+ * 
+ * File Authors:
+ * 		Boris Volarič (vol@rutka.net)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Zloži orodno vrstico",
+ToolbarExpand		: "Razširi orodno vrstico",
+
+// Toolbar Items and Context Menu
+Save				: "Shrani",
+NewPage				: "Nova stran",
+Preview				: "Predogled",
+Cut					: "Izreži",
+Copy				: "Kopiraj",
+Paste				: "Prilepi",
+PasteText			: "Prilepi kot golo besedilo",
+PasteWord			: "Prilepi iz Worda",
+Print				: "Natisni",
+SelectAll			: "Izberi vse",
+RemoveFormat		: "Odstrani oblikovanje",
+InsertLinkLbl		: "Povezava",
+InsertLink			: "Vstavi/uredi povezavo",
+RemoveLink			: "Odstrani povezavo",
+Anchor				: "Vstavi/uredi zaznamek",
+InsertImageLbl		: "Slika",
+InsertImage			: "Vstavi/uredi sliko",
+InsertTableLbl		: "Tabela",
+InsertTable			: "Vstavi/uredi tabelo",
+InsertLineLbl		: "Črta",
+InsertLine			: "Vstavi vodoravno črto",
+InsertSpecialCharLbl: "Posebni znak",
+InsertSpecialChar	: "Vstavi posebni znak",
+InsertSmileyLbl		: "Smeško",
+InsertSmiley		: "Vstavi smeška",
+About				: "O FCKeditorju",
+Bold				: "Krepko",
+Italic				: "Ležeče",
+Underline			: "Podčrtano",
+StrikeThrough		: "Prečrtano",
+Subscript			: "Podpisano",
+Superscript			: "Nadpisano",
+LeftJustify			: "Leva poravnava",
+CenterJustify		: "Sredinska poravnava",
+RightJustify		: "Desna poravnava",
+BlockJustify		: "Obojestranska poravnava",
+DecreaseIndent		: "Zmanjšaj zamik",
+IncreaseIndent		: "Povečaj zamik",
+Undo				: "Razveljavi",
+Redo				: "Ponovi",
+NumberedListLbl		: "Oštevilčen seznam",
+NumberedList		: "Vstavi/odstrani oštevilčevanje",
+BulletedListLbl		: "Označen seznam",
+BulletedList		: "Vstavi/odstrani označevanje",
+ShowTableBorders	: "Pokaži meje tabele",
+ShowDetails			: "Pokaži podrobnosti",
+Style				: "Slog",
+FontFormat			: "Oblika",
+Font				: "Pisava",
+FontSize			: "Velikost",
+TextColor			: "Barva besedila",
+BGColor				: "Barva ozadja",
+Source				: "Izvorna koda",
+Find				: "Najdi",
+Replace				: "Zamenjaj",
+SpellCheck			: "Preveri črkovanje",
+UniversalKeyboard	: "Večjezična tipkovnica",
+
+Form			: "Obrazec",
+Checkbox		: "Potrditveno polje",
+RadioButton		: "Izbirno polje",
+TextField		: "Vnosno polje",
+Textarea		: "Vnosno območje",
+HiddenField		: "Skrito polje",
+Button			: "Gumb",
+SelectionField	: "Spustni seznam",
+ImageButton		: "Gumb s sliko",
+
+// Context Menu
+EditLink			: "Uredi povezavo",
+InsertRow			: "Vstavi vrstico",
+DeleteRows			: "Izbriši vrstice",
+InsertColumn		: "Vstavi stolpec",
+DeleteColumns		: "Izbriši stolpce",
+InsertCell			: "Vstavi celico",
+DeleteCells			: "Izbriši celice",
+MergeCells			: "Združi celice",
+SplitCell			: "Razdeli celico",
+CellProperties		: "Lastnosti celice",
+TableProperties		: "Lastnosti tabele",
+ImageProperties		: "Lastnosti slike",
+
+AnchorProp			: "Lastnosti zaznamka",
+ButtonProp			: "Lastnosti gumba",
+CheckboxProp		: "Lastnosti potrditvenega polja",
+HiddenFieldProp		: "Lastnosti skritega polja",
+RadioButtonProp		: "Lastnosti izbirnega polja",
+ImageButtonProp		: "Lastnosti gumba s sliko",
+TextFieldProp		: "Lastnosti vnosnega polja",
+SelectionFieldProp	: "Lastnosti spustnega seznama",
+TextareaProp		: "Lastnosti vnosnega območja",
+FormProp			: "Lastnosti obrazca",
+
+FontFormats			: "Navaden;Oblikovan;Napis;Naslov 1;Naslov 2;Naslov 3;Naslov 4;Naslov 5;Naslov 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Obdelujem XHTML. Prosim počakajte...",
+Done				: "Narejeno",
+PasteWordConfirm	: "Izgleda, da želite prilepiti besedilo iz Worda. Ali ga želite očistiti, preden ga prilepite?",
+NotCompatiblePaste	: "Ta ukaz deluje le v Internet Explorerje različice 5.5 ali višje. Ali želite prilepiti brez čiščenja?",
+UnknownToolbarItem	: "Neznan element orodne vrstice \"%1\"",
+UnknownCommand		: "Neznano ime ukaza \"%1\"",
+NotImplemented		: "Ukaz ni izdelan",
+UnknownToolbarSet	: "Skupina orodnih vrstic \"%1\" ne obstoja",
+
+// Dialogs
+DlgBtnOK			: "V redu",
+DlgBtnCancel		: "Prekliči",
+DlgBtnClose			: "Zapri",
+DlgBtnBrowseServer	: "Prebrskaj na strežniku",
+DlgAdvancedTag		: "Napredno",
+DlgOpOther			: "&lt;Ostalo&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;ni postavljen&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Smer jezika",
+DlgGenLangDirLtr	: "Od leve proti desni (LTR)",
+DlgGenLangDirRtl	: "Od desne proti levi (RTL)",
+DlgGenLangCode		: "Oznaka jezika",
+DlgGenAccessKey		: "Vstopno geslo",
+DlgGenName			: "Ime",
+DlgGenTabIndex		: "Številka tabulatorja",
+DlgGenLongDescr		: "Dolg opis URL-ja",
+DlgGenClass			: "Razred stilne predloge",
+DlgGenTitle			: "Predlagani naslov",
+DlgGenContType		: "Predlagani tip vsebine (content-type)",
+DlgGenLinkCharset	: "Kodna tabela povezanega vira",
+DlgGenStyle			: "Slog",
+
+// Image Dialog
+DlgImgTitle			: "Lastnosti slike",
+DlgImgInfoTab		: "Podatki o sliki",
+DlgImgBtnUpload		: "Pošlji na strežnik",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Pošlji",
+DlgImgAlt			: "Nadomestno besedilo",
+DlgImgWidth			: "Širina",
+DlgImgHeight		: "Višina",
+DlgImgLockRatio		: "Zakleni razmerje",
+DlgBtnResetSize		: "Ponastavi velikost",
+DlgImgBorder		: "Obroba",
+DlgImgHSpace		: "Vodoravni razmik",
+DlgImgVSpace		: "Navpični razmik",
+DlgImgAlign			: "Poravnava",
+DlgImgAlignLeft		: "Levo",
+DlgImgAlignAbsBottom: "Popolnoma na dno",
+DlgImgAlignAbsMiddle: "Popolnoma v sredino",
+DlgImgAlignBaseline	: "Na osnovno črto",
+DlgImgAlignBottom	: "Na dno",
+DlgImgAlignMiddle	: "V sredino",
+DlgImgAlignRight	: "Desno",
+DlgImgAlignTextTop	: "Besedilo na vrh",
+DlgImgAlignTop		: "Na vrh",
+DlgImgPreview		: "Predogled",
+DlgImgAlertUrl		: "Vnesite URL slike",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Povezava",
+DlgLnkInfoTab		: "Podatki o povezavi",
+DlgLnkTargetTab		: "Cilj",
+
+DlgLnkType			: "Vrsta povezave",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Zaznamek na tej strani",
+DlgLnkTypeEMail		: "Elektronski naslov",
+DlgLnkProto			: "Protokol",
+DlgLnkProtoOther	: "&lt;drugo&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Izberi zaznamek",
+DlgLnkAnchorByName	: "Po imenu zaznamka",
+DlgLnkAnchorById	: "Po ID-ju elementa",
+DlgLnkNoAnchors		: "&lt;V tem dokumentu ni zaznamkov&gt;",
+DlgLnkEMail			: "Elektronski naslov",
+DlgLnkEMailSubject	: "Predmet sporočila",
+DlgLnkEMailBody		: "Vsebina sporočila",
+DlgLnkUpload		: "Prenesi",
+DlgLnkBtnUpload		: "Pošlji na strežnik",
+
+DlgLnkTarget		: "Cilj",
+DlgLnkTargetFrame	: "&lt;okvir&gt;",
+DlgLnkTargetPopup	: "&lt;pojavno okno&gt;",
+DlgLnkTargetBlank	: "Novo okno (_blank)",
+DlgLnkTargetParent	: "Starševsko okno (_parent)",
+DlgLnkTargetSelf	: "Isto okno (_self)",
+DlgLnkTargetTop		: "Najvišje okno (_top)",
+DlgLnkTargetFrameName	: "Ime ciljnega okvirja",
+DlgLnkPopWinName	: "Ime pojavnega okna",
+DlgLnkPopWinFeat	: "Značilnosti pojavnega okna",
+DlgLnkPopResize		: "Spremenljive velikosti",
+DlgLnkPopLocation	: "Naslovna vrstica",
+DlgLnkPopMenu		: "Menijska vrstica",
+DlgLnkPopScroll		: "Drsniki",
+DlgLnkPopStatus		: "Vrstica stanja",
+DlgLnkPopToolbar	: "Orodna vrstica",
+DlgLnkPopFullScrn	: "Celozaslonska slika (IE)",
+DlgLnkPopDependent	: "Podokno (Netscape)",
+DlgLnkPopWidth		: "Širina",
+DlgLnkPopHeight		: "Višina",
+DlgLnkPopLeft		: "Lega levo",
+DlgLnkPopTop		: "Lega na vrhu",
+
+DlnLnkMsgNoUrl		: "Vnesite URL povezave",
+DlnLnkMsgNoEMail	: "Vnesite elektronski naslov",
+DlnLnkMsgNoAnchor	: "Izberite zaznamek",
+
+// Color Dialog
+DlgColorTitle		: "Izberite barvo",
+DlgColorBtnClear	: "Počisti",
+DlgColorHighlight	: "Označi",
+DlgColorSelected	: "Izbrano",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Vstavi smeška",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Izberi posebni znak",
+
+// Table Dialog
+DlgTableTitle		: "Lastnosti tabele",
+DlgTableRows		: "Vrstice",
+DlgTableColumns		: "Stolpci",
+DlgTableBorder		: "Velikost obrobe",
+DlgTableAlign		: "Poravnava",
+DlgTableAlignNotSet	: "<Ni nastavljeno>",
+DlgTableAlignLeft	: "Levo",
+DlgTableAlignCenter	: "Sredinsko",
+DlgTableAlignRight	: "Desno",
+DlgTableWidth		: "Širina",
+DlgTableWidthPx		: "pik",
+DlgTableWidthPc		: "procentov",
+DlgTableHeight		: "Višina",
+DlgTableCellSpace	: "Razmik med celicami",
+DlgTableCellPad		: "Polnilo med celicami",
+DlgTableCaption		: "Naslov",
+
+// Table Cell Dialog
+DlgCellTitle		: "Lastnosti celice",
+DlgCellWidth		: "Širina",
+DlgCellWidthPx		: "pik",
+DlgCellWidthPc		: "procentov",
+DlgCellHeight		: "Višina",
+DlgCellWordWrap		: "Pomikanje besedila",
+DlgCellWordWrapNotSet	: "<Ni nastavljeno>",
+DlgCellWordWrapYes	: "Da",
+DlgCellWordWrapNo	: "Ne",
+DlgCellHorAlign		: "Vodoravna poravnava",
+DlgCellHorAlignNotSet	: "<Ni nastavljeno>",
+DlgCellHorAlignLeft	: "Levo",
+DlgCellHorAlignCenter	: "Sredinsko",
+DlgCellHorAlignRight: "Desno",
+DlgCellVerAlign		: "Navpična poravnava",
+DlgCellVerAlignNotSet	: "<Ni nastavljeno>",
+DlgCellVerAlignTop	: "Na vrh",
+DlgCellVerAlignMiddle	: "V sredino",
+DlgCellVerAlignBottom	: "Na dno",
+DlgCellVerAlignBaseline	: "Na osnovno črto",
+DlgCellRowSpan		: "Spojenih vrstic (row-span)",
+DlgCellCollSpan		: "Spojenih stolpcev (col-span)",
+DlgCellBackColor	: "Barva ozadja",
+DlgCellBorderColor	: "Barva obrobe",
+DlgCellBtnSelect	: "Izberi...",
+
+// Find Dialog
+DlgFindTitle		: "Najdi",
+DlgFindFindBtn		: "Najdi",
+DlgFindNotFoundMsg	: "Navedeno besedilo ni bilo najdeno.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Zamenjaj",
+DlgReplaceFindLbl		: "Najdi:",
+DlgReplaceReplaceLbl	: "Zamenjaj z:",
+DlgReplaceCaseChk		: "Razlikuj velike in male črke",
+DlgReplaceReplaceBtn	: "Zamenjaj",
+DlgReplaceReplAllBtn	: "Zamenjaj vse",
+DlgReplaceWordChk		: "Samo cele besede",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Varnostne nastavitve brskalnika ne dopuščajo samodejnega lepljenja. Uporabite kombinacijo tipk na tipkovnici (Ctrl+V).",
+PasteErrorCut	: "Varnostne nastavitve brskalnika ne dopuščajo samodejnega izrezovanja. Uporabite kombinacijo tipk na tipkovnici (Ctrl+X).",
+PasteErrorCopy	: "Varnostne nastavitve brskalnika ne dopuščajo samodejnega kopiranja. Uporabite kombinacijo tipk na tipkovnici (Ctrl+C).",
+
+PasteAsText		: "Prilepi kot golo besedilo",
+PasteFromWord	: "Prilepi iz Worda",
+
+DlgPasteMsg		: "Ni bilo mogoče izvesti lepljenja zaradi <STRONG>varnostnih nastavitev</STRONG> vašega brskalnika.<BR>Prilepite v sledeče okno s kombinacijo tipk na tipkovnici (<STRONG>Ctrl+V</STRONG>) in pritisnite <STRONG>V redu</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Samodejno",
+ColorMoreColors	: "Več barv...",
+
+// Document Properties
+DocProps		: "Lastnosti dokumenta",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Lastnosti zaznamka",
+DlgAnchorName		: "Ime zaznamka",
+DlgAnchorErrorName	: "Prosim vnesite ime zaznamka",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Ni v slovarju",
+DlgSpellChangeTo		: "Spremeni v",
+DlgSpellBtnIgnore		: "Prezri",
+DlgSpellBtnIgnoreAll	: "Prezri vse",
+DlgSpellBtnReplace		: "Zamenjaj",
+DlgSpellBtnReplaceAll	: "Zamenjaj vse",
+DlgSpellBtnUndo			: "Razveljavi",
+DlgSpellNoSuggestions	: "- Ni predlogov -",
+DlgSpellProgress		: "Preverjanje črkovanja se izvaja...",
+DlgSpellNoMispell		: "Črkovanje je končano: Brez napak",
+DlgSpellNoChanges		: "Črkovanje je končano: Nobena beseda ni bila spremenjena",
+DlgSpellOneChange		: "Črkovanje je končano: Spremenjena je bila ena beseda",
+DlgSpellManyChanges		: "Črkovanje je končano: Spremenjenih je bilo %1 besed",
+
+IeSpellDownload			: "Črkovalnik ni nameščen. Ali ga želite prenesti sedaj?",
+
+// Button Dialog
+DlgButtonText	: "Besedilo (Vrednost)",
+DlgButtonType	: "Tip",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Ime",
+DlgCheckboxValue	: "Vrednost",
+DlgCheckboxSelected	: "Izbrano",
+
+// Form Dialog
+DlgFormName		: "Ime",
+DlgFormAction	: "Akcija",
+DlgFormMethod	: "Metoda",
+
+// Select Field Dialog
+DlgSelectName		: "Ime",
+DlgSelectValue		: "Vrednost",
+DlgSelectSize		: "Velikost",
+DlgSelectLines		: "vrstic",
+DlgSelectChkMulti	: "Dovoli izbor večih vrstic",
+DlgSelectOpAvail	: "Razpoložljive izbire",
+DlgSelectOpText		: "Besedilo",
+DlgSelectOpValue	: "Vrednost",
+DlgSelectBtnAdd		: "Dodaj",
+DlgSelectBtnModify	: "Spremeni",
+DlgSelectBtnUp		: "Gor",
+DlgSelectBtnDown	: "Dol",
+DlgSelectBtnSetValue : "Postavi kot privzeto izbiro",
+DlgSelectBtnDelete	: "Izbriši",
+
+// Textarea Dialog
+DlgTextareaName	: "Ime",
+DlgTextareaCols	: "Stolpcev",
+DlgTextareaRows	: "Vrstic",
+
+// Text Field Dialog
+DlgTextName			: "Ime",
+DlgTextValue		: "Vrednost",
+DlgTextCharWidth	: "Dolžina",
+DlgTextMaxChars		: "Največje število znakov",
+DlgTextType			: "Tip",
+DlgTextTypeText		: "Besedilo",
+DlgTextTypePass		: "Geslo",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Ime",
+DlgHiddenValue	: "Vrednost",
+
+// Bulleted List Dialog
+BulletedListProp	: "Lastnosti označenega seznama",
+NumberedListProp	: "Lastnosti oštevilčenega seznama",
+DlgLstType			: "Tip",
+DlgLstTypeCircle	: "Pikica",
+DlgLstTypeDisk		: "Krožec",
+DlgLstTypeSquare	: "Kvadratek",
+DlgLstTypeNumbers	: "Številke (1, 2, 3)",
+DlgLstTypeLCase		: "Male črke (a, b, c)",
+DlgLstTypeUCase		: "Velike črke (A, B, C)",
+DlgLstTypeSRoman	: "Male rimske številke (i, ii, iii)",
+DlgLstTypeLRoman	: "Velike rimske številke (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Splošno",
+DlgDocBackTab		: "Ozadje",
+DlgDocColorsTab		: "Barve in zamiki",
+DlgDocMetaTab		: "Meta podatki",
+
+DlgDocPageTitle		: "Naslov strani",
+DlgDocLangDir		: "Smer jezika",
+DlgDocLangDirLTR	: "Od leve proti desni (LTR)",
+DlgDocLangDirRTL	: "Od desne proti levi (RTL)",
+DlgDocLangCode		: "Oznaka jezika",
+DlgDocCharSet		: "Kodna tabela",
+DlgDocCharSetOther	: "Druga kodna tabela",
+
+DlgDocDocType		: "Glava tipa dokumenta",
+DlgDocDocTypeOther	: "Druga glava tipa dokumenta",
+DlgDocIncXHTML		: "Vstavi XHTML deklaracije",
+DlgDocBgColor		: "Barva ozadja",
+DlgDocBgImage		: "URL slike za ozadje",
+DlgDocBgNoScroll	: "Nepremično ozadje",
+DlgDocCText			: "Besedilo",
+DlgDocCLink			: "Povezava",
+DlgDocCVisited		: "Obiskana povezava",
+DlgDocCActive		: "Aktivna povezava",
+DlgDocMargins		: "Zamiki strani",
+DlgDocMaTop			: "Na vrhu",
+DlgDocMaLeft		: "Levo",
+DlgDocMaRight		: "Desno",
+DlgDocMaBottom		: "Spodaj",
+DlgDocMeIndex		: "Ključne besede (ločene z vejicami)",
+DlgDocMeDescr		: "Opis strani",
+DlgDocMeAuthor		: "Avtor",
+DlgDocMeCopy		: "Avtorske pravice",
+DlgDocPreview		: "Predogled",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "Vizitka",
+DlgAboutBrowserInfoTab	: "Informacije o brskalniku",
+DlgAboutVersion		: "različica",
+DlgAboutLicense		: "Pravica za uporabo pod pogoji GNU Lesser General Public License",
+DlgAboutInfo		: "Za več informacij obiščite"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/sr-latn.js soojung/libs/fckeditor/editor/lang/sr-latn.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/sr-latn.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/sr-latn.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: sr-latn.js
+ * 	Serbian (Latin) language file.
+ * 
+ * File Authors:
+ * 		Zoran Subić (zoran@tf.zr.ac.yu)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Collapse Toolbar",	//MISSING
+ToolbarExpand		: "Expand Toolbar",	//MISSING
+
+// Toolbar Items and Context Menu
+Save				: "Sačuvaj",
+NewPage				: "Nova stranica",
+Preview				: "Izgled stranice",
+Cut					: "Iseci",
+Copy				: "Kopiraj",
+Paste				: "Zalepi",
+PasteText			: "Zalepi kao neformatiran tekst",
+PasteWord			: "Zalepi iz Worda",
+Print				: "Štampa",
+SelectAll			: "Označi sve",
+RemoveFormat		: "Ukloni formatiranje",
+InsertLinkLbl		: "Link",
+InsertLink			: "Unesi/izmeni link",
+RemoveLink			: "Ukloni link",
+Anchor				: "Insert/Edit Anchor",	//MISSING
+InsertImageLbl		: "Slika",
+InsertImage			: "Unesi/izmeni sliku",
+InsertTableLbl		: "Tabela",
+InsertTable			: "Unesi/izmeni tabelu",
+InsertLineLbl		: "Linija",
+InsertLine			: "Unesi horizontalnu liniju",
+InsertSpecialCharLbl: "Specijalni karakteri",
+InsertSpecialChar	: "Unesi specijalni karakter",
+InsertSmileyLbl		: "Smajli",
+InsertSmiley		: "Unesi smajlija",
+About				: "O FCKeditoru",
+Bold				: "Podebljano",
+Italic				: "Kurziv",
+Underline			: "Podvučeno",
+StrikeThrough		: "Precrtano",
+Subscript			: "Indeks",
+Superscript			: "Stepen",
+LeftJustify			: "Levo ravnanje",
+CenterJustify		: "Centriran tekst",
+RightJustify		: "Desno ravnanje",
+BlockJustify		: "Obostrano ravnanje",
+DecreaseIndent		: "Smanji levu marginu",
+IncreaseIndent		: "Uvećaj levu marginu",
+Undo				: "Poništi akciju",
+Redo				: "Ponovi akciju",
+NumberedListLbl		: "Nabrojiva lista",
+NumberedList		: "Unesi/ukloni nabrojivu listu",
+BulletedListLbl		: "Nenabrojiva lista",
+BulletedList		: "Unesi/ukloni nenabrojivu listu",
+ShowTableBorders	: "Prikaži okvir tabele",
+ShowDetails			: "Prikaži detalje",
+Style				: "Stil",
+FontFormat			: "Format",
+Font				: "Font",
+FontSize			: "Veličina fonta",
+TextColor			: "Boja teksta",
+BGColor				: "Boja pozadine",
+Source				: "K&ocirc;d",
+Find				: "Pretraga",
+Replace				: "Zamena",
+SpellCheck			: "Check Spell",	//MISSING
+UniversalKeyboard	: "Universal Keyboard",	//MISSING
+
+Form			: "Form",	//MISSING
+Checkbox		: "Checkbox",	//MISSING
+RadioButton		: "Radio Button",	//MISSING
+TextField		: "Text Field",	//MISSING
+Textarea		: "Textarea",	//MISSING
+HiddenField		: "Hidden Field",	//MISSING
+Button			: "Button",	//MISSING
+SelectionField	: "Selection Field",	//MISSING
+ImageButton		: "Image Button",	//MISSING
+
+// Context Menu
+EditLink			: "Izmeni link",
+InsertRow			: "Unesi red",
+DeleteRows			: "Obriši redove",
+InsertColumn		: "Unesi kolonu",
+DeleteColumns		: "Obriši kolone",
+InsertCell			: "Unesi ćelije",
+DeleteCells			: "Obriši ćelije",
+MergeCells			: "Spoj ćelije",
+SplitCell			: "Razdvoji ćelije",
+CellProperties		: "Osobine ćelije",
+TableProperties		: "Osobine tabele",
+ImageProperties		: "Osobine slike",
+
+AnchorProp			: "Anchor Properties",	//MISSING
+ButtonProp			: "Button Properties",	//MISSING
+CheckboxProp		: "Checkbox Properties",	//MISSING
+HiddenFieldProp		: "Hidden Field Properties",	//MISSING
+RadioButtonProp		: "Radio Button Properties",	//MISSING
+ImageButtonProp		: "Image Button Properties",	//MISSING
+TextFieldProp		: "Text Field Properties",	//MISSING
+SelectionFieldProp	: "Selection Field Properties",	//MISSING
+TextareaProp		: "Textarea Properties",	//MISSING
+FormProp			: "Form Properties",	//MISSING
+
+FontFormats			: "Normal;Formatirano;Adresa;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Obrađujem XHTML. Malo strpljenja...",
+Done				: "Završio",
+PasteWordConfirm	: "Tekst koji želite da nalepite kopiran je iz Worda. Da li želite da bude očišćen od formata pre lepljenja?",
+NotCompatiblePaste	: "Ova komanda je dostupna samo za Internet Explorer od verzije 5.5. Da li želite da nalepim tekst bez čišćenja?",
+UnknownToolbarItem	: "Nepoznata stavka toolbara \"%1\"",
+UnknownCommand		: "Nepoznata naredba \"%1\"",
+NotImplemented		: "Naredba nije implementirana",
+UnknownToolbarSet	: "Toolbar \"%1\" ne postoji",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Otkaži",
+DlgBtnClose			: "Zatvori",
+DlgBtnBrowseServer	: "Browse Server",	//MISSING
+DlgAdvancedTag		: "Napredni tagovi",
+DlgOpOther			: "&lt;Other&gt;",	//MISSING
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;nije postavljeno&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Smer jezika",
+DlgGenLangDirLtr	: "S leva na desno (LTR)",
+DlgGenLangDirRtl	: "S desna na levo (RTL)",
+DlgGenLangCode		: "K&ocirc;d jezika",
+DlgGenAccessKey		: "Pristupni taster",
+DlgGenName			: "Naziv",
+DlgGenTabIndex		: "Tab indeks",
+DlgGenLongDescr		: "Pun opis URL",
+DlgGenClass			: "Stylesheet klase",
+DlgGenTitle			: "Advisory naslov",
+DlgGenContType		: "Advisory vrsta sadržaja",
+DlgGenLinkCharset	: "Linked Resource Charset",
+DlgGenStyle			: "Stil",
+
+// Image Dialog
+DlgImgTitle			: "Osobine slika",
+DlgImgInfoTab		: "Info slike",
+DlgImgBtnUpload		: "Pošalji na server",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Pošalji",
+DlgImgAlt			: "Alternativni tekst",
+DlgImgWidth			: "Širina",
+DlgImgHeight		: "Visina",
+DlgImgLockRatio		: "Zaključaj odnos",
+DlgBtnResetSize		: "Resetuj veličinu",
+DlgImgBorder		: "Okvir",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Ravnanje",
+DlgImgAlignLeft		: "Levo",
+DlgImgAlignAbsBottom: "Abs dole",
+DlgImgAlignAbsMiddle: "Abs sredina",
+DlgImgAlignBaseline	: "Bazno",
+DlgImgAlignBottom	: "Dole",
+DlgImgAlignMiddle	: "Sredina",
+DlgImgAlignRight	: "Desno",
+DlgImgAlignTextTop	: "Vrh teksta",
+DlgImgAlignTop		: "Vrh",
+DlgImgPreview		: "Izgled",
+DlgImgAlertUrl		: "Unesite URL slike",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Link",
+DlgLnkInfoTab		: "Link Info",
+DlgLnkTargetTab		: "Meta",
+
+DlgLnkType			: "Vrsta linka",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Sidro na ovoj stranici",
+DlgLnkTypeEMail		: "E-Mail",
+DlgLnkProto			: "Protokol",
+DlgLnkProtoOther	: "&lt;drugo&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Odaberi sidro",
+DlgLnkAnchorByName	: "Po nazivu sidra",
+DlgLnkAnchorById	: "Po Id-ju elementa",
+DlgLnkNoAnchors		: "&lt;Nema dostupnih sidra&gt;",
+DlgLnkEMail			: "E-Mail adresa",
+DlgLnkEMailSubject	: "Naslov",
+DlgLnkEMailBody		: "Sadržaj poruke",
+DlgLnkUpload		: "Pošalji",
+DlgLnkBtnUpload		: "Pošalji na server",
+
+DlgLnkTarget		: "Meta",
+DlgLnkTargetFrame	: "&lt;okvir&gt;",
+DlgLnkTargetPopup	: "&lt;popup prozor&gt;",
+DlgLnkTargetBlank	: "Novi prozor (_blank)",
+DlgLnkTargetParent	: "Roditeljski prozor (_parent)",
+DlgLnkTargetSelf	: "Isti prozor (_self)",
+DlgLnkTargetTop		: "Prozor na vrhu (_top)",
+DlgLnkTargetFrameName	: "Target Frame Name",	//MISSING
+DlgLnkPopWinName	: "Naziv popup prozora",
+DlgLnkPopWinFeat	: "Mogućnosti popup prozora",
+DlgLnkPopResize		: "Promenljiva veličina",
+DlgLnkPopLocation	: "Lokacija",
+DlgLnkPopMenu		: "Kontekstni meni",
+DlgLnkPopScroll		: "Scroll bar",
+DlgLnkPopStatus		: "Statusna linija",
+DlgLnkPopToolbar	: "Toolbar",
+DlgLnkPopFullScrn	: "Prikaz preko celog ekrana (IE)",
+DlgLnkPopDependent	: "Zavisno (Netscape)",
+DlgLnkPopWidth		: "Širina",
+DlgLnkPopHeight		: "Visina",
+DlgLnkPopLeft		: "Od leve ivice ekrana (px)",
+DlgLnkPopTop		: "Od vrha ekrana (px)",
+
+DlnLnkMsgNoUrl		: "Please type the link URL",	//MISSING
+DlnLnkMsgNoEMail	: "Please type the e-mail address",	//MISSING
+DlnLnkMsgNoAnchor	: "Please select an anchor",	//MISSING
+
+// Color Dialog
+DlgColorTitle		: "Odaberite boju",
+DlgColorBtnClear	: "Obriši",
+DlgColorHighlight	: "Posvetli",
+DlgColorSelected	: "Odaberi",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Unesi smajlija",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Odaberite specijalni karakter",
+
+// Table Dialog
+DlgTableTitle		: "Osobine tabele",
+DlgTableRows		: "Redova",
+DlgTableColumns		: "Kolona",
+DlgTableBorder		: "Veličina okvira",
+DlgTableAlign		: "Ravnanje",
+DlgTableAlignNotSet	: "<nije postavljeno>",
+DlgTableAlignLeft	: "Levo",
+DlgTableAlignCenter	: "Sredina",
+DlgTableAlignRight	: "Desno",
+DlgTableWidth		: "Širina",
+DlgTableWidthPx		: "piksela",
+DlgTableWidthPc		: "procenata",
+DlgTableHeight		: "Visina",
+DlgTableCellSpace	: "Ćelijski prostor",
+DlgTableCellPad		: "Razmak ćelija",
+DlgTableCaption		: "Naslov tabele",
+
+// Table Cell Dialog
+DlgCellTitle		: "Osobine ćelije",
+DlgCellWidth		: "Širina",
+DlgCellWidthPx		: "piksela",
+DlgCellWidthPc		: "procenata",
+DlgCellHeight		: "Visina",
+DlgCellWordWrap		: "Deljenje reči",
+DlgCellWordWrapNotSet	: "<nije postavljeno>",
+DlgCellWordWrapYes	: "Da",
+DlgCellWordWrapNo	: "Ne",
+DlgCellHorAlign		: "Vodoravno ravnanje",
+DlgCellHorAlignNotSet	: "<nije postavljeno>",
+DlgCellHorAlignLeft	: "Levo",
+DlgCellHorAlignCenter	: "Sredina",
+DlgCellHorAlignRight: "Desno",
+DlgCellVerAlign		: "Vertikalno ravnanje",
+DlgCellVerAlignNotSet	: "<nije postavljeno>",
+DlgCellVerAlignTop	: "Gornje",
+DlgCellVerAlignMiddle	: "Sredina",
+DlgCellVerAlignBottom	: "Donje",
+DlgCellVerAlignBaseline	: "Bazno",
+DlgCellRowSpan		: "Spajanje redova",
+DlgCellCollSpan		: "Spajanje kolona",
+DlgCellBackColor	: "Boja pozadine",
+DlgCellBorderColor	: "Boja okvira",
+DlgCellBtnSelect	: "Odaberi...",
+
+// Find Dialog
+DlgFindTitle		: "Pronađi",
+DlgFindFindBtn		: "Pronađi",
+DlgFindNotFoundMsg	: "Traženi tekst nije pronađen.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Zameni",
+DlgReplaceFindLbl		: "Pronađi:",
+DlgReplaceReplaceLbl	: "Zameni sa:",
+DlgReplaceCaseChk		: "Razlikuj mala i velika slova",
+DlgReplaceReplaceBtn	: "Zameni",
+DlgReplaceReplAllBtn	: "Zameni sve",
+DlgReplaceWordChk		: "Uporedi cele reči",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Sigurnosna podešavanja Vašeg pretraživača ne dozvoljavaju operacije automatskog lepljenja teksta. Molimo Vas da koristite prečicu sa tastature (Ctrl+V).",
+PasteErrorCut	: "Sigurnosna podešavanja Vašeg pretraživača ne dozvoljavaju operacije automatskog isecanja teksta. Molimo Vas da koristite prečicu sa tastature (Ctrl+X).",
+PasteErrorCopy	: "Sigurnosna podešavanja Vašeg pretraživača ne dozvoljavaju operacije automatskog kopiranja teksta. Molimo Vas da koristite prečicu sa tastature (Ctrl+C).",
+
+PasteAsText		: "Zalepi kao čist tekst",
+PasteFromWord	: "Zalepi iz Worda",
+
+DlgPasteMsg		: "Editor nije mogao izvršiti automatsko lepljenje zbog  <STRONG>sigurnosnih postavki</STRONG> Vašeg pretraživača.<BR>Molimo da zalepite sadržaj unutar sledeće površine koristeći tastaturnu prečicu (<STRONG>Ctrl+V</STRONG>), a zatim kliknite na <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Automatski",
+ColorMoreColors	: "Više boja...",
+
+// Document Properties
+DocProps		: "Document Properties",	//MISSING
+
+// Anchor Dialog
+DlgAnchorTitle		: "Anchor Properties",	//MISSING
+DlgAnchorName		: "Anchor Name",	//MISSING
+DlgAnchorErrorName	: "Please type the anchor name",	//MISSING
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Not in dictionary",	//MISSING
+DlgSpellChangeTo		: "Change to",	//MISSING
+DlgSpellBtnIgnore		: "Ignore",	//MISSING
+DlgSpellBtnIgnoreAll	: "Ignore All",	//MISSING
+DlgSpellBtnReplace		: "Replace",	//MISSING
+DlgSpellBtnReplaceAll	: "Replace All",	//MISSING
+DlgSpellBtnUndo			: "Undo",	//MISSING
+DlgSpellNoSuggestions	: "- No suggestions -",	//MISSING
+DlgSpellProgress		: "Spell check in progress...",	//MISSING
+DlgSpellNoMispell		: "Spell check complete: No misspellings found",	//MISSING
+DlgSpellNoChanges		: "Spell check complete: No words changed",	//MISSING
+DlgSpellOneChange		: "Spell check complete: One word changed",	//MISSING
+DlgSpellManyChanges		: "Spell check complete: %1 words changed",	//MISSING
+
+IeSpellDownload			: "Spell checker not installed. Do you want to download it now?",	//MISSING
+
+// Button Dialog
+DlgButtonText	: "Text (Value)",	//MISSING
+DlgButtonType	: "Type",	//MISSING
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Name",	//MISSING
+DlgCheckboxValue	: "Value",	//MISSING
+DlgCheckboxSelected	: "Selected",	//MISSING
+
+// Form Dialog
+DlgFormName		: "Name",	//MISSING
+DlgFormAction	: "Action",	//MISSING
+DlgFormMethod	: "Method",	//MISSING
+
+// Select Field Dialog
+DlgSelectName		: "Name",	//MISSING
+DlgSelectValue		: "Value",	//MISSING
+DlgSelectSize		: "Size",	//MISSING
+DlgSelectLines		: "lines",	//MISSING
+DlgSelectChkMulti	: "Allow multiple selections",	//MISSING
+DlgSelectOpAvail	: "Available Options",	//MISSING
+DlgSelectOpText		: "Text",	//MISSING
+DlgSelectOpValue	: "Value",	//MISSING
+DlgSelectBtnAdd		: "Add",	//MISSING
+DlgSelectBtnModify	: "Modify",	//MISSING
+DlgSelectBtnUp		: "Up",	//MISSING
+DlgSelectBtnDown	: "Down",	//MISSING
+DlgSelectBtnSetValue : "Set as selected value",	//MISSING
+DlgSelectBtnDelete	: "Delete",	//MISSING
+
+// Textarea Dialog
+DlgTextareaName	: "Name",	//MISSING
+DlgTextareaCols	: "Columns",	//MISSING
+DlgTextareaRows	: "Rows",	//MISSING
+
+// Text Field Dialog
+DlgTextName			: "Name",	//MISSING
+DlgTextValue		: "Value",	//MISSING
+DlgTextCharWidth	: "Character Width",	//MISSING
+DlgTextMaxChars		: "Maximum Characters",	//MISSING
+DlgTextType			: "Type",	//MISSING
+DlgTextTypeText		: "Text",	//MISSING
+DlgTextTypePass		: "Password",	//MISSING
+
+// Hidden Field Dialog
+DlgHiddenName	: "Name",	//MISSING
+DlgHiddenValue	: "Value",	//MISSING
+
+// Bulleted List Dialog
+BulletedListProp	: "Bulleted List Properties",	//MISSING
+NumberedListProp	: "Numbered List Properties",	//MISSING
+DlgLstType			: "Type",	//MISSING
+DlgLstTypeCircle	: "Circle",	//MISSING
+DlgLstTypeDisk		: "Disk",	//MISSING
+DlgLstTypeSquare	: "Square",	//MISSING
+DlgLstTypeNumbers	: "Numbers (1, 2, 3)",	//MISSING
+DlgLstTypeLCase		: "Lowercase Letters (a, b, c)",	//MISSING
+DlgLstTypeUCase		: "Uppercase Letters (A, B, C)",	//MISSING
+DlgLstTypeSRoman	: "Small Roman Numerals (i, ii, iii)",	//MISSING
+DlgLstTypeLRoman	: "Large Roman Numerals (I, II, III)",	//MISSING
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",	//MISSING
+DlgDocBackTab		: "Background",	//MISSING
+DlgDocColorsTab		: "Colors and Margins",	//MISSING
+DlgDocMetaTab		: "Meta Data",	//MISSING
+
+DlgDocPageTitle		: "Page Title",	//MISSING
+DlgDocLangDir		: "Language Direction",	//MISSING
+DlgDocLangDirLTR	: "Left to Right (LTR)",	//MISSING
+DlgDocLangDirRTL	: "Right to Left (RTL)",	//MISSING
+DlgDocLangCode		: "Language Code",	//MISSING
+DlgDocCharSet		: "Character Set Encoding",	//MISSING
+DlgDocCharSetOther	: "Other Character Set Encoding",	//MISSING
+
+DlgDocDocType		: "Document Type Heading",	//MISSING
+DlgDocDocTypeOther	: "Other Document Type Heading",	//MISSING
+DlgDocIncXHTML		: "Include XHTML Declarations",	//MISSING
+DlgDocBgColor		: "Background Color",	//MISSING
+DlgDocBgImage		: "Background Image URL",	//MISSING
+DlgDocBgNoScroll	: "Nonscrolling Background",	//MISSING
+DlgDocCText			: "Text",	//MISSING
+DlgDocCLink			: "Link",	//MISSING
+DlgDocCVisited		: "Visited Link",	//MISSING
+DlgDocCActive		: "Active Link",	//MISSING
+DlgDocMargins		: "Page Margins",	//MISSING
+DlgDocMaTop			: "Top",	//MISSING
+DlgDocMaLeft		: "Left",	//MISSING
+DlgDocMaRight		: "Right",	//MISSING
+DlgDocMaBottom		: "Bottom",	//MISSING
+DlgDocMeIndex		: "Document Indexing Keywords (comma separated)",	//MISSING
+DlgDocMeDescr		: "Document Description",	//MISSING
+DlgDocMeAuthor		: "Author",	//MISSING
+DlgDocMeCopy		: "Copyright",	//MISSING
+DlgDocPreview		: "Preview",	//MISSING
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "About",	//MISSING
+DlgAboutBrowserInfoTab	: "Browser Info",	//MISSING
+DlgAboutVersion		: "verzija",
+DlgAboutLicense		: "Licencirano pod uslovima GNU Lesser General Public License",
+DlgAboutInfo		: "Za više informacija posetite"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/sr.js soojung/libs/fckeditor/editor/lang/sr.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/sr.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/sr.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: sr.js
+ * 	Serbian (Cyrillic) language file.
+ * 
+ * File Authors:
+ * 		Zoran Subić (zoran@tf.zr.ac.yu)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Collapse Toolbar",	//MISSING
+ToolbarExpand		: "Expand Toolbar",	//MISSING
+
+// Toolbar Items and Context Menu
+Save				: "Сачувај",
+NewPage				: "Нова страница",
+Preview				: "Изглед странице",
+Cut					: "Исеци",
+Copy				: "Копирај",
+Paste				: "Залепи",
+PasteText			: "Залепи као неформатиран текст",
+PasteWord			: "Залепи из Worda",
+Print				: "Штампа",
+SelectAll			: "Означи све",
+RemoveFormat		: "Уклони форматирање",
+InsertLinkLbl		: "Линк",
+InsertLink			: "Унеси/измени линк",
+RemoveLink			: "Уклони линк",
+Anchor				: "Insert/Edit Anchor",	//MISSING
+InsertImageLbl		: "Слика",
+InsertImage			: "Унеси/измени слику",
+InsertTableLbl		: "Табела",
+InsertTable			: "Унеси/измени табелу",
+InsertLineLbl		: "Линија",
+InsertLine			: "Унеси хоризонталну линију",
+InsertSpecialCharLbl: "Специјални карактери",
+InsertSpecialChar	: "Унеси специјални карактер",
+InsertSmileyLbl		: "Смајли",
+InsertSmiley		: "Унеси смајлија",
+About				: "О ФЦКедитору",
+Bold				: "Подебљано",
+Italic				: "Курзив",
+Underline			: "Подвучено",
+StrikeThrough		: "Прецртано",
+Subscript			: "Индекс",
+Superscript			: "Степен",
+LeftJustify			: "Лево равнање",
+CenterJustify		: "Центриран текст",
+RightJustify		: "Десно равнање",
+BlockJustify		: "Обострано равнање",
+DecreaseIndent		: "Смањи леву маргину",
+IncreaseIndent		: "Увећај леву маргину",
+Undo				: "Поништи акцију",
+Redo				: "Понови акцију",
+NumberedListLbl		: "Набројиву листу",
+NumberedList		: "Унеси/уклони набројиву листу",
+BulletedListLbl		: "Ненабројива листа",
+BulletedList		: "Унеси/уклони ненабројиву листу",
+ShowTableBorders	: "Прикажи оквир табеле",
+ShowDetails			: "Прикажи детаље",
+Style				: "Стил",
+FontFormat			: "Формат",
+Font				: "Фонт",
+FontSize			: "Величина фонта",
+TextColor			: "Боја текста",
+BGColor				: "Боја позадине",
+Source				: "K&ocirc;д",
+Find				: "Претрага",
+Replace				: "Замена",
+SpellCheck			: "Check Spell",	//MISSING
+UniversalKeyboard	: "Universal Keyboard",	//MISSING
+
+Form			: "Form",	//MISSING
+Checkbox		: "Checkbox",	//MISSING
+RadioButton		: "Radio Button",	//MISSING
+TextField		: "Text Field",	//MISSING
+Textarea		: "Textarea",	//MISSING
+HiddenField		: "Hidden Field",	//MISSING
+Button			: "Button",	//MISSING
+SelectionField	: "Selection Field",	//MISSING
+ImageButton		: "Image Button",	//MISSING
+
+// Context Menu
+EditLink			: "Промени линк",
+InsertRow			: "Унеси ред",
+DeleteRows			: "Обриши редове",
+InsertColumn		: "Унеси колону",
+DeleteColumns		: "Обриши колоне",
+InsertCell			: "Унеси ћелије",
+DeleteCells			: "Обриши ћелије",
+MergeCells			: "Спој ћелије",
+SplitCell			: "Раздвоји ћелије",
+CellProperties		: "Особине ћелије",
+TableProperties		: "Особине табеле",
+ImageProperties		: "Особине слике",
+
+AnchorProp			: "Anchor Properties",	//MISSING
+ButtonProp			: "Button Properties",	//MISSING
+CheckboxProp		: "Checkbox Properties",	//MISSING
+HiddenFieldProp		: "Hidden Field Properties",	//MISSING
+RadioButtonProp		: "Radio Button Properties",	//MISSING
+ImageButtonProp		: "Image Button Properties",	//MISSING
+TextFieldProp		: "Text Field Properties",	//MISSING
+SelectionFieldProp	: "Selection Field Properties",	//MISSING
+TextareaProp		: "Textarea Properties",	//MISSING
+FormProp			: "Form Properties",	//MISSING
+
+FontFormats			: "Normal;Formatirano;Adresa;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Обрађујем XHTML. Maлo стрпљења...",
+Done				: "Завршио",
+PasteWordConfirm	: "Текст који желите да налепите копиран је из Worda. Да ли желите да буде очишћен од формата пре лепљења?",
+NotCompatiblePaste	: "Ова команда је доступна само за Интернет Екплорер од верзије 5.5. Да ли желите да налепим текст без чишћења?",
+UnknownToolbarItem	: "Непозната ставка toolbara \"%1\"",
+UnknownCommand		: "Непозната наредба \"%1\"",
+NotImplemented		: "Наредба није имплементирана",
+UnknownToolbarSet	: "Toolbar \"%1\" не постоји",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Oткажи",
+DlgBtnClose			: "Затвори",
+DlgBtnBrowseServer	: "Browse Server",	//MISSING
+DlgAdvancedTag		: "Напредни тагови",
+DlgOpOther			: "&lt;Other&gt;",	//MISSING
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;није постављено&gt;",
+DlgGenId			: "Ид",
+DlgGenLangDir		: "Смер језика",
+DlgGenLangDirLtr	: "С лева на десно (LTR)",
+DlgGenLangDirRtl	: "С десна на лево (RTL)",
+DlgGenLangCode		: "K&ocirc;д језика",
+DlgGenAccessKey		: "Приступни тастер",
+DlgGenName			: "Назив",
+DlgGenTabIndex		: "Таб индекс",
+DlgGenLongDescr		: "Пун опис УРЛ",
+DlgGenClass			: "Stylesheet класе",
+DlgGenTitle			: "Advisory наслов",
+DlgGenContType		: "Advisory врста садржаја",
+DlgGenLinkCharset	: "Linked Resource Charset",
+DlgGenStyle			: "Стил",
+
+// Image Dialog
+DlgImgTitle			: "Особине слика",
+DlgImgInfoTab		: "Инфо слике",
+DlgImgBtnUpload		: "Пошаљи на сервер",
+DlgImgURL			: "УРЛ",
+DlgImgUpload		: "Пошаљи",
+DlgImgAlt			: "Алтернативни текст",
+DlgImgWidth			: "Ширина",
+DlgImgHeight		: "Висина",
+DlgImgLockRatio		: "Закључај однос",
+DlgBtnResetSize		: "Ресетуј величину",
+DlgImgBorder		: "Оквир",
+DlgImgHSpace		: "HSpace",
+DlgImgVSpace		: "VSpace",
+DlgImgAlign			: "Равнање",
+DlgImgAlignLeft		: "Лево",
+DlgImgAlignAbsBottom: "Abs доле",
+DlgImgAlignAbsMiddle: "Abs средина",
+DlgImgAlignBaseline	: "Базно",
+DlgImgAlignBottom	: "Доле",
+DlgImgAlignMiddle	: "Средина",
+DlgImgAlignRight	: "Десно",
+DlgImgAlignTextTop	: "Врх текста",
+DlgImgAlignTop		: "Врх",
+DlgImgPreview		: "Изглед",
+DlgImgAlertUrl		: "Унесите УРЛ слике",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Линк",
+DlgLnkInfoTab		: "Линк инфо",
+DlgLnkTargetTab		: "Мета",
+
+DlgLnkType			: "Врста линка",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Сидро на овој странициц",
+DlgLnkTypeEMail		: "Eлектронска пошта",
+DlgLnkProto			: "Протокол",
+DlgLnkProtoOther	: "&lt;друго&gt;",
+DlgLnkURL			: "УРЛ",
+DlgLnkAnchorSel		: "Одабери сидро",
+DlgLnkAnchorByName	: "По називу сидра",
+DlgLnkAnchorById	: "Пo Ид-jу елемента",
+DlgLnkNoAnchors		: "&lt;Нема доступних сидра&gt;",
+DlgLnkEMail			: "Адреса електронске поште",
+DlgLnkEMailSubject	: "Наслов",
+DlgLnkEMailBody		: "Садржај поруке",
+DlgLnkUpload		: "Пошаљи",
+DlgLnkBtnUpload		: "Пошаљи на сервер",
+
+DlgLnkTarget		: "Meтa",
+DlgLnkTargetFrame	: "&lt;оквир&gt;",
+DlgLnkTargetPopup	: "&lt;искачући прозор&gt;",
+DlgLnkTargetBlank	: "Нови прозор (_blank)",
+DlgLnkTargetParent	: "Родитељски прозор (_parent)",
+DlgLnkTargetSelf	: "Исти прозор (_self)",
+DlgLnkTargetTop		: "Прозор на врху (_top)",
+DlgLnkTargetFrameName	: "Target Frame Name",	//MISSING
+DlgLnkPopWinName	: "Назив искачућег прозора",
+DlgLnkPopWinFeat	: "Могућности искачућег прозора",
+DlgLnkPopResize		: "Променљива величина",
+DlgLnkPopLocation	: "Локација",
+DlgLnkPopMenu		: "Контекстни мени",
+DlgLnkPopScroll		: "Скрол бар",
+DlgLnkPopStatus		: "Статусна линија",
+DlgLnkPopToolbar	: "Toolbar",
+DlgLnkPopFullScrn	: "Приказ преко целог екрана (ИE)",
+DlgLnkPopDependent	: "Зависно (Netscape)",
+DlgLnkPopWidth		: "Ширина",
+DlgLnkPopHeight		: "Висина",
+DlgLnkPopLeft		: "Од леве ивице екрана (пиксела)",
+DlgLnkPopTop		: "Од врха екрана (пиксела)",
+
+DlnLnkMsgNoUrl		: "Please type the link URL",	//MISSING
+DlnLnkMsgNoEMail	: "Please type the e-mail address",	//MISSING
+DlnLnkMsgNoAnchor	: "Please select an anchor",	//MISSING
+
+// Color Dialog
+DlgColorTitle		: "Одаберите боју",
+DlgColorBtnClear	: "Обриши",
+DlgColorHighlight	: "Посветли",
+DlgColorSelected	: "Одабери",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Унеси смајлија",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Одаберите специјални карактер",
+
+// Table Dialog
+DlgTableTitle		: "Особине табеле",
+DlgTableRows		: "Редова",
+DlgTableColumns		: "Kолона",
+DlgTableBorder		: "Величина оквира",
+DlgTableAlign		: "Равнање",
+DlgTableAlignNotSet	: "<није постављено>",
+DlgTableAlignLeft	: "Лево",
+DlgTableAlignCenter	: "Средина",
+DlgTableAlignRight	: "Десно",
+DlgTableWidth		: "Ширина",
+DlgTableWidthPx		: "пиксела",
+DlgTableWidthPc		: "процената",
+DlgTableHeight		: "Висина",
+DlgTableCellSpace	: "Ћелијски простор",
+DlgTableCellPad		: "Размак ћелија",
+DlgTableCaption		: "Наслов табеле",
+
+// Table Cell Dialog
+DlgCellTitle		: "Особине ћелије",
+DlgCellWidth		: "Ширина",
+DlgCellWidthPx		: "пиксела",
+DlgCellWidthPc		: "процената",
+DlgCellHeight		: "Висина",
+DlgCellWordWrap		: "Дељење речи",
+DlgCellWordWrapNotSet	: "<није постављено>",
+DlgCellWordWrapYes	: "Да",
+DlgCellWordWrapNo	: "Не",
+DlgCellHorAlign		: "Водоравно равнање",
+DlgCellHorAlignNotSet	: "<није постављено>",
+DlgCellHorAlignLeft	: "Лево",
+DlgCellHorAlignCenter	: "Средина",
+DlgCellHorAlignRight: "Десно",
+DlgCellVerAlign		: "Вертикално равнање",
+DlgCellVerAlignNotSet	: "<није постављено>",
+DlgCellVerAlignTop	: "Горње",
+DlgCellVerAlignMiddle	: "Средина",
+DlgCellVerAlignBottom	: "Доње",
+DlgCellVerAlignBaseline	: "Базно",
+DlgCellRowSpan		: "Спајање редова",
+DlgCellCollSpan		: "Спајање колона",
+DlgCellBackColor	: "Боја позадине",
+DlgCellBorderColor	: "Боја оквира",
+DlgCellBtnSelect	: "Oдабери...",
+
+// Find Dialog
+DlgFindTitle		: "Пронађи",
+DlgFindFindBtn		: "Пронађи",
+DlgFindNotFoundMsg	: "Тражени текст није пронађен.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Замени",
+DlgReplaceFindLbl		: "Пронађи:",
+DlgReplaceReplaceLbl	: "Замени са:",
+DlgReplaceCaseChk		: "Разликуј велика и мала слова",
+DlgReplaceReplaceBtn	: "Замени",
+DlgReplaceReplAllBtn	: "Замени све",
+DlgReplaceWordChk		: "Упореди целе речи",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Сигурносна подешавања Вашег претраживача не дозвољавају операције аутоматског лепљења текста. Молимо Вас да користите пречицу са тастатуре (Ctrl+V).",
+PasteErrorCut	: "Сигурносна подешавања Вашег претраживача не дозвољавају операције аутоматског исецања текста. Молимо Вас да користите пречицу са тастатуре (Ctrl+X).",
+PasteErrorCopy	: "Сигурносна подешавања Вашег претраживача не дозвољавају операције аутоматског копирања текста. Молимо Вас да користите пречицу са тастатуре (Ctrl+C).",
+
+PasteAsText		: "Залепи као чист текст",
+PasteFromWord	: "Залепи из Worda",
+
+DlgPasteMsg		: "Едитор није могао да изврши аутоматско лепљење због <STRONG>сигурносних поставки</STRONG> Вашег претраживача.<BR>Молимо да залепите садржај унутар следеће површине користећи тастатурну пречицу (<STRONG>Ctrl+V</STRONG>), a затим кликните на <STRONG>OK</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Аутоматски",
+ColorMoreColors	: "Више боја...",
+
+// Document Properties
+DocProps		: "Document Properties",	//MISSING
+
+// Anchor Dialog
+DlgAnchorTitle		: "Anchor Properties",	//MISSING
+DlgAnchorName		: "Anchor Name",	//MISSING
+DlgAnchorErrorName	: "Please type the anchor name",	//MISSING
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Not in dictionary",	//MISSING
+DlgSpellChangeTo		: "Change to",	//MISSING
+DlgSpellBtnIgnore		: "Ignore",	//MISSING
+DlgSpellBtnIgnoreAll	: "Ignore All",	//MISSING
+DlgSpellBtnReplace		: "Replace",	//MISSING
+DlgSpellBtnReplaceAll	: "Replace All",	//MISSING
+DlgSpellBtnUndo			: "Undo",	//MISSING
+DlgSpellNoSuggestions	: "- No suggestions -",	//MISSING
+DlgSpellProgress		: "Spell check in progress...",	//MISSING
+DlgSpellNoMispell		: "Spell check complete: No misspellings found",	//MISSING
+DlgSpellNoChanges		: "Spell check complete: No words changed",	//MISSING
+DlgSpellOneChange		: "Spell check complete: One word changed",	//MISSING
+DlgSpellManyChanges		: "Spell check complete: %1 words changed",	//MISSING
+
+IeSpellDownload			: "Spell checker not installed. Do you want to download it now?",	//MISSING
+
+// Button Dialog
+DlgButtonText	: "Text (Value)",	//MISSING
+DlgButtonType	: "Type",	//MISSING
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Name",	//MISSING
+DlgCheckboxValue	: "Value",	//MISSING
+DlgCheckboxSelected	: "Selected",	//MISSING
+
+// Form Dialog
+DlgFormName		: "Name",	//MISSING
+DlgFormAction	: "Action",	//MISSING
+DlgFormMethod	: "Method",	//MISSING
+
+// Select Field Dialog
+DlgSelectName		: "Name",	//MISSING
+DlgSelectValue		: "Value",	//MISSING
+DlgSelectSize		: "Size",	//MISSING
+DlgSelectLines		: "lines",	//MISSING
+DlgSelectChkMulti	: "Allow multiple selections",	//MISSING
+DlgSelectOpAvail	: "Available Options",	//MISSING
+DlgSelectOpText		: "Text",	//MISSING
+DlgSelectOpValue	: "Value",	//MISSING
+DlgSelectBtnAdd		: "Add",	//MISSING
+DlgSelectBtnModify	: "Modify",	//MISSING
+DlgSelectBtnUp		: "Up",	//MISSING
+DlgSelectBtnDown	: "Down",	//MISSING
+DlgSelectBtnSetValue : "Set as selected value",	//MISSING
+DlgSelectBtnDelete	: "Delete",	//MISSING
+
+// Textarea Dialog
+DlgTextareaName	: "Name",	//MISSING
+DlgTextareaCols	: "Columns",	//MISSING
+DlgTextareaRows	: "Rows",	//MISSING
+
+// Text Field Dialog
+DlgTextName			: "Name",	//MISSING
+DlgTextValue		: "Value",	//MISSING
+DlgTextCharWidth	: "Character Width",	//MISSING
+DlgTextMaxChars		: "Maximum Characters",	//MISSING
+DlgTextType			: "Type",	//MISSING
+DlgTextTypeText		: "Text",	//MISSING
+DlgTextTypePass		: "Password",	//MISSING
+
+// Hidden Field Dialog
+DlgHiddenName	: "Name",	//MISSING
+DlgHiddenValue	: "Value",	//MISSING
+
+// Bulleted List Dialog
+BulletedListProp	: "Bulleted List Properties",	//MISSING
+NumberedListProp	: "Numbered List Properties",	//MISSING
+DlgLstType			: "Type",	//MISSING
+DlgLstTypeCircle	: "Circle",	//MISSING
+DlgLstTypeDisk		: "Disk",	//MISSING
+DlgLstTypeSquare	: "Square",	//MISSING
+DlgLstTypeNumbers	: "Numbers (1, 2, 3)",	//MISSING
+DlgLstTypeLCase		: "Lowercase Letters (a, b, c)",	//MISSING
+DlgLstTypeUCase		: "Uppercase Letters (A, B, C)",	//MISSING
+DlgLstTypeSRoman	: "Small Roman Numerals (i, ii, iii)",	//MISSING
+DlgLstTypeLRoman	: "Large Roman Numerals (I, II, III)",	//MISSING
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "General",	//MISSING
+DlgDocBackTab		: "Background",	//MISSING
+DlgDocColorsTab		: "Colors and Margins",	//MISSING
+DlgDocMetaTab		: "Meta Data",	//MISSING
+
+DlgDocPageTitle		: "Page Title",	//MISSING
+DlgDocLangDir		: "Language Direction",	//MISSING
+DlgDocLangDirLTR	: "Left to Right (LTR)",	//MISSING
+DlgDocLangDirRTL	: "Right to Left (RTL)",	//MISSING
+DlgDocLangCode		: "Language Code",	//MISSING
+DlgDocCharSet		: "Character Set Encoding",	//MISSING
+DlgDocCharSetOther	: "Other Character Set Encoding",	//MISSING
+
+DlgDocDocType		: "Document Type Heading",	//MISSING
+DlgDocDocTypeOther	: "Other Document Type Heading",	//MISSING
+DlgDocIncXHTML		: "Include XHTML Declarations",	//MISSING
+DlgDocBgColor		: "Background Color",	//MISSING
+DlgDocBgImage		: "Background Image URL",	//MISSING
+DlgDocBgNoScroll	: "Nonscrolling Background",	//MISSING
+DlgDocCText			: "Text",	//MISSING
+DlgDocCLink			: "Link",	//MISSING
+DlgDocCVisited		: "Visited Link",	//MISSING
+DlgDocCActive		: "Active Link",	//MISSING
+DlgDocMargins		: "Page Margins",	//MISSING
+DlgDocMaTop			: "Top",	//MISSING
+DlgDocMaLeft		: "Left",	//MISSING
+DlgDocMaRight		: "Right",	//MISSING
+DlgDocMaBottom		: "Bottom",	//MISSING
+DlgDocMeIndex		: "Document Indexing Keywords (comma separated)",	//MISSING
+DlgDocMeDescr		: "Document Description",	//MISSING
+DlgDocMeAuthor		: "Author",	//MISSING
+DlgDocMeCopy		: "Copyright",	//MISSING
+DlgDocPreview		: "Preview",	//MISSING
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "About",	//MISSING
+DlgAboutBrowserInfoTab	: "Browser Info",	//MISSING
+DlgAboutVersion		: "верзија",
+DlgAboutLicense		: "Лиценцирано под условима GNU Lesser General Public License",
+DlgAboutInfo		: "За више информација посетите"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/sv.js soojung/libs/fckeditor/editor/lang/sv.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/sv.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/sv.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: sv.js
+ * 	Swedish language file.
+ * 
+ * File Authors:
+ * 		Kristoffer Malvefors (kristoffer@intema.ws)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Dölj verktygsfält",
+ToolbarExpand		: "Visa verktygsfält",
+
+// Toolbar Items and Context Menu
+Save				: "Spara",
+NewPage				: "Ny sida",
+Preview				: "Förhandsgranska",
+Cut					: "Klipp ut",
+Copy				: "Kopiera",
+Paste				: "Klistra in",
+PasteText			: "Klistra in som text",
+PasteWord			: "Klistra in från Word",
+Print				: "Skriv ut",
+SelectAll			: "Markera allt",
+RemoveFormat		: "Radera formatering",
+InsertLinkLbl		: "Länk",
+InsertLink			: "Infoga/Editera länk",
+RemoveLink			: "Radera länk",
+Anchor				: "Infoga/Editera ankarlänk",
+InsertImageLbl		: "Bild",
+InsertImage			: "Infoga/Editera bild",
+InsertTableLbl		: "Tabell",
+InsertTable			: "Infoga/Editera tabell",
+InsertLineLbl		: "Linje",
+InsertLine			: "Infoga horisontal linje",
+InsertSpecialCharLbl: "Utökade tecken",
+InsertSpecialChar	: "Klistra in utökat tecken",
+InsertSmileyLbl		: "Smiley",
+InsertSmiley		: "Infoga Smiley",
+About				: "Om FCKeditor",
+Bold				: "Fet",
+Italic				: "Kursiv",
+Underline			: "Understruken",
+StrikeThrough		: "Genomstruken",
+Subscript			: "Nedsänkta tecken",
+Superscript			: "Upphöjda tecken",
+LeftJustify			: "Vänsterjustera",
+CenterJustify		: "Centrera",
+RightJustify		: "Högerjustera",
+BlockJustify		: "Justera till marginaler",
+DecreaseIndent		: "Minska indrag",
+IncreaseIndent		: "Öka indrag",
+Undo				: "Ångra",
+Redo				: "Gör om",
+NumberedListLbl		: "Numrerad lista",
+NumberedList		: "Infoga/Radera numrerad lista",
+BulletedListLbl		: "Punktlista",
+BulletedList		: "Infoga/Radera punktlista",
+ShowTableBorders	: "Visa tabellkant",
+ShowDetails			: "Visa radbrytningar",
+Style				: "Anpassad stil",
+FontFormat			: "Teckenformat",
+Font				: "Typsnitt",
+FontSize			: "Storlek",
+TextColor			: "Textfärg",
+BGColor				: "Bakgrundsfärg",
+Source				: "Källa",
+Find				: "Sök",
+Replace				: "Ersätt",
+SpellCheck			: "Stavningskontroll",
+UniversalKeyboard	: "Universalt tangentbord",
+
+Form			: "Formulär",
+Checkbox		: "Kryssruta",
+RadioButton		: "Alternativknapp",
+TextField		: "Textfält",
+Textarea		: "Textruta",
+HiddenField		: "Dolt fält",
+Button			: "Knapp",
+SelectionField	: "Flervalslista",
+ImageButton		: "Bildknapp",
+
+// Context Menu
+EditLink			: "Editera länk",
+InsertRow			: "Infoga rad",
+DeleteRows			: "Radera rad",
+InsertColumn		: "Infoga kolumn",
+DeleteColumns		: "Radera kolumn",
+InsertCell			: "Infoga cell",
+DeleteCells			: "Radera celler",
+MergeCells			: "Sammanfoga celler",
+SplitCell			: "Separera celler",
+CellProperties		: "Cellegenskaper",
+TableProperties		: "Tabellegenskaper",
+ImageProperties		: "Bildegenskaper",
+
+AnchorProp			: "Egenskaper för ankarlänk",
+ButtonProp			: "Egenskaper för knapp",
+CheckboxProp		: "Egenskaper för kryssruta",
+HiddenFieldProp		: "Egenskaper för dolt fält",
+RadioButtonProp		: "Egenskaper för alternativknapp",
+ImageButtonProp		: "Egenskaper för bildknapp",
+TextFieldProp		: "Egenskaper för textfält",
+SelectionFieldProp	: "Egenskaper för flervalslista",
+TextareaProp		: "Egenskaper för textruta",
+FormProp			: "Egenskaper för formulär",
+
+FontFormats			: "Normal;Formaterad;Adress;Rubrik 1;Rubrik 2;Rubrik 3;Rubrik 4;Rubrik 5;Rubrik 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Bearbetar XHTML. Var god vänta...",
+Done				: "Klar",
+PasteWordConfirm	: "Texten du vill klistra in verkar vara kopierad från Word. Vill du rensa innan du klistar in?",
+NotCompatiblePaste	: "Denna åtgärd är inte tillgängligt för Internet Explorer version 5.5 eller högre. Vill du klistra in utan att rensa?",
+UnknownToolbarItem	: "Okänt verktygsfält \"%1\"",
+UnknownCommand		: "Okänt kommando \"%1\"",
+NotImplemented		: "Kommandot finns ej",
+UnknownToolbarSet	: "Verktygsfält \"%1\" finns ej",
+
+// Dialogs
+DlgBtnOK			: "OK",
+DlgBtnCancel		: "Avbryt",
+DlgBtnClose			: "Stäng",
+DlgBtnBrowseServer	: "Bläddra på server",
+DlgAdvancedTag		: "Avancerad",
+DlgOpOther			: "Övrigt",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;ej angivet&gt;",
+DlgGenId			: "Id",
+DlgGenLangDir		: "Språkriktning",
+DlgGenLangDirLtr	: "Vänster till Höger (VTH)",
+DlgGenLangDirRtl	: "Höger till Vänster (HTV)",
+DlgGenLangCode		: "Språkkod",
+DlgGenAccessKey		: "Behörighetsnyckel",
+DlgGenName			: "Namn",
+DlgGenTabIndex		: "Tabindex",
+DlgGenLongDescr		: "URL-beskrivning",
+DlgGenClass			: "Stylesheet class",
+DlgGenTitle			: "Titel",
+DlgGenContType		: "Innehållstyp",
+DlgGenLinkCharset	: "Teckenuppställning",
+DlgGenStyle			: "Style",
+
+// Image Dialog
+DlgImgTitle			: "Bildegenskaper",
+DlgImgInfoTab		: "Bildinformation",
+DlgImgBtnUpload		: "Skicka till server",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Ladda upp",
+DlgImgAlt			: "Alternativ text",
+DlgImgWidth			: "Bredd",
+DlgImgHeight		: "Höjd",
+DlgImgLockRatio		: "Lås höjd/bredd förhållanden",
+DlgBtnResetSize		: "Återställ storlek",
+DlgImgBorder		: "Kant",
+DlgImgHSpace		: "Horis. marginal",
+DlgImgVSpace		: "Vert. marginal",
+DlgImgAlign			: "Justering",
+DlgImgAlignLeft		: "Vänster",
+DlgImgAlignAbsBottom: "Absolut nederkant",
+DlgImgAlignAbsMiddle: "Absolut centrering",
+DlgImgAlignBaseline	: "Baslinje",
+DlgImgAlignBottom	: "Nederkant",
+DlgImgAlignMiddle	: "Mitten",
+DlgImgAlignRight	: "Höger",
+DlgImgAlignTextTop	: "Text överkant",
+DlgImgAlignTop		: "Överkant",
+DlgImgPreview		: "Förhandsgranska",
+DlgImgAlertUrl		: "Var god och ange bildens URL",
+DlgImgLinkTab		: "Länk",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Länk",
+DlgLnkInfoTab		: "Länkinformation",
+DlgLnkTargetTab		: "Mål",
+
+DlgLnkType			: "Länktyp",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Ankare i sidan",
+DlgLnkTypeEMail		: "E-post",
+DlgLnkProto			: "Protokoll",
+DlgLnkProtoOther	: "&lt;övrigt&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Välj ett ankare",
+DlgLnkAnchorByName	: "efter ankarnamn",
+DlgLnkAnchorById	: "efter objektid",
+DlgLnkNoAnchors		: "&lt;Inga ankare kunde hittas&gt;",
+DlgLnkEMail			: "E-post adress",
+DlgLnkEMailSubject	: "Ämne",
+DlgLnkEMailBody		: "Innehåll",
+DlgLnkUpload		: "Ladda upp",
+DlgLnkBtnUpload		: "Skicka till servern",
+
+DlgLnkTarget		: "Mål",
+DlgLnkTargetFrame	: "&lt;ram&gt;",
+DlgLnkTargetPopup	: "&lt;popup-fönster&gt;",
+DlgLnkTargetBlank	: "Nytt fönster (_blank)",
+DlgLnkTargetParent	: "Föregående Window (_parent)",
+DlgLnkTargetSelf	: "Detta fönstret (_self)",
+DlgLnkTargetTop		: "Översta fönstret (_top)",
+DlgLnkTargetFrameName	: "Målets ramnamn",
+DlgLnkPopWinName	: "Popup-fönstrets namn",
+DlgLnkPopWinFeat	: "Popup-fönstrets egenskaper",
+DlgLnkPopResize		: "Kan ändra storlek",
+DlgLnkPopLocation	: "Adressfält",
+DlgLnkPopMenu		: "Menyfält",
+DlgLnkPopScroll		: "Scrolllista",
+DlgLnkPopStatus		: "Statusfält",
+DlgLnkPopToolbar	: "Verktygsfält",
+DlgLnkPopFullScrn	: "Helskärm (endast IE)",
+DlgLnkPopDependent	: "Beroende (endest Netscape)",
+DlgLnkPopWidth		: "Bredd",
+DlgLnkPopHeight		: "Höjd",
+DlgLnkPopLeft		: "Position från vänster",
+DlgLnkPopTop		: "Position från sidans topp",
+
+DlnLnkMsgNoUrl		: "Var god ange länkens URL",
+DlnLnkMsgNoEMail	: "Var god ange E-postadress",
+DlnLnkMsgNoAnchor	: "Var god ange ett ankare",
+
+// Color Dialog
+DlgColorTitle		: "Välj färg",
+DlgColorBtnClear	: "Rensa",
+DlgColorHighlight	: "Markera",
+DlgColorSelected	: "Vald",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Infoga en smiley",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Välj utökat tecken",
+
+// Table Dialog
+DlgTableTitle		: "Tabellegenskaper",
+DlgTableRows		: "Rader",
+DlgTableColumns		: "Kolumner",
+DlgTableBorder		: "Kantstorlek",
+DlgTableAlign		: "Justering",
+DlgTableAlignNotSet	: "<ej angivet>",
+DlgTableAlignLeft	: "Vänster",
+DlgTableAlignCenter	: "Centrerad",
+DlgTableAlignRight	: "Höger",
+DlgTableWidth		: "Bredd",
+DlgTableWidthPx		: "pixlar",
+DlgTableWidthPc		: "procent",
+DlgTableHeight		: "Höjd",
+DlgTableCellSpace	: "Cellavstånd",
+DlgTableCellPad		: "Cellutfyllnad",
+DlgTableCaption		: "Rubrik",
+
+// Table Cell Dialog
+DlgCellTitle		: "Cellegenskaper",
+DlgCellWidth		: "Bredd",
+DlgCellWidthPx		: "pixlar",
+DlgCellWidthPc		: "procent",
+DlgCellHeight		: "Höjd",
+DlgCellWordWrap		: "Automatisk radbrytning",
+DlgCellWordWrapNotSet	: "<Ej angivet>",
+DlgCellWordWrapYes	: "Ja",
+DlgCellWordWrapNo	: "Nej",
+DlgCellHorAlign		: "Horisontal justering",
+DlgCellHorAlignNotSet	: "<Ej angivet>",
+DlgCellHorAlignLeft	: "Vänster",
+DlgCellHorAlignCenter	: "Centrerad",
+DlgCellHorAlignRight: "Höger",
+DlgCellVerAlign		: "Vertikal justering",
+DlgCellVerAlignNotSet	: "<Ej angivet>",
+DlgCellVerAlignTop	: "Topp",
+DlgCellVerAlignMiddle	: "Mitten",
+DlgCellVerAlignBottom	: "Nederkant",
+DlgCellVerAlignBaseline	: "Underst",
+DlgCellRowSpan		: "Radomfång",
+DlgCellCollSpan		: "Kolumnomfång",
+DlgCellBackColor	: "Bakgrundsfärg",
+DlgCellBorderColor	: "Kantfärg",
+DlgCellBtnSelect	: "Välj...",
+
+// Find Dialog
+DlgFindTitle		: "Sök",
+DlgFindFindBtn		: "Sök",
+DlgFindNotFoundMsg	: "Angiven text kunde ej hittas.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Ersätt",
+DlgReplaceFindLbl		: "Sök efter:",
+DlgReplaceReplaceLbl	: "Ersätt med:",
+DlgReplaceCaseChk		: "Skiftläge",
+DlgReplaceReplaceBtn	: "Ersätt",
+DlgReplaceReplAllBtn	: "Ersätt alla",
+DlgReplaceWordChk		: "Inkludera hela ord",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Säkerhetsinställningar i Er webläsare tillåter inte åtgården Klistra in. Använd (Ctrl+V) istället.",
+PasteErrorCut	: "Säkerhetsinställningar i Er webläsare tillåter inte åtgården Klipp ut. Använd (Ctrl+X) istället.",
+PasteErrorCopy	: "Säkerhetsinställningar i Er webläsare tillåter inte åtgården Kopiera. Använd (Ctrl+C) istället",
+
+PasteAsText		: "Klistra in som vanlig text",
+PasteFromWord	: "Klistra in från Word",
+
+DlgPasteMsg		: "Editorn tilläts ej att Klistra in p.g.a webläsarens <STRONG>säkerhetsinställning</STRONG>.<BR>Var god och Klistra in i fältet nedan genom att använda (<STRONG>Ctrl+V</STRONG>). Klicka sen på <STRONG>OK</STRONG>",
+
+// Color Picker
+ColorAutomatic	: "Automatisk",
+ColorMoreColors	: "Fler färger...",
+
+// Document Properties
+DocProps		: "Dokumentegenskaper",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Ankaregenskaper",
+DlgAnchorName		: "Ankarnamn",
+DlgAnchorErrorName	: "Var god ange ett ankarnamn",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Saknas i ordlistan",
+DlgSpellChangeTo		: "Ändra till",
+DlgSpellBtnIgnore		: "Ignorera",
+DlgSpellBtnIgnoreAll	: "Ignorera alla",
+DlgSpellBtnReplace		: "Ersätt",
+DlgSpellBtnReplaceAll	: "Ersätt alla",
+DlgSpellBtnUndo			: "Ångra",
+DlgSpellNoSuggestions	: "- Förslag saknas -",
+DlgSpellProgress		: "Stavningskontroll pågår...",
+DlgSpellNoMispell		: "Stavningskontroll slutförd: Inga stavfel påträffades.",
+DlgSpellNoChanges		: "Stavningskontroll slutförd: Inga ord rättades.",
+DlgSpellOneChange		: "Stavningskontroll slutförd: Ett ord rättades.",
+DlgSpellManyChanges		: "Stavningskontroll slutförd: %1 ord rättades.",
+
+IeSpellDownload			: "Stavningskontrollen är ej installerad. Vill du göra det nu?",
+
+// Button Dialog
+DlgButtonText	: "Text (Värde)",
+DlgButtonType	: "Typ",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Namn",
+DlgCheckboxValue	: "Värde",
+DlgCheckboxSelected	: "Vald",
+
+// Form Dialog
+DlgFormName		: "Namn",
+DlgFormAction	: "Funktion",
+DlgFormMethod	: "Metod",
+
+// Select Field Dialog
+DlgSelectName		: "Namn",
+DlgSelectValue		: "Värde",
+DlgSelectSize		: "Storlek",
+DlgSelectLines		: "Linjer",
+DlgSelectChkMulti	: "Tillåt flerval",
+DlgSelectOpAvail	: "Befintliga val",
+DlgSelectOpText		: "Text",
+DlgSelectOpValue	: "Värde",
+DlgSelectBtnAdd		: "Lägg till",
+DlgSelectBtnModify	: "Editera",
+DlgSelectBtnUp		: "Upp",
+DlgSelectBtnDown	: "Ner",
+DlgSelectBtnSetValue : "Markera som valt värde",
+DlgSelectBtnDelete	: "Radera",
+
+// Textarea Dialog
+DlgTextareaName	: "Namn",
+DlgTextareaCols	: "Kolumner",
+DlgTextareaRows	: "Rader",
+
+// Text Field Dialog
+DlgTextName			: "Namn",
+DlgTextValue		: "Värde",
+DlgTextCharWidth	: "Teckenbredd",
+DlgTextMaxChars		: "Max antal tecken",
+DlgTextType			: "Typ",
+DlgTextTypeText		: "Text",
+DlgTextTypePass		: "Lösenord",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Namn",
+DlgHiddenValue	: "Värde",
+
+// Bulleted List Dialog
+BulletedListProp	: "Egenskaper för punktlista",
+NumberedListProp	: "Egenskaper för numrerad lista",
+DlgLstType			: "Typ",
+DlgLstTypeCircle	: "Cirkel",
+DlgLstTypeDisk		: "Skiva",
+DlgLstTypeSquare	: "Ruta",
+DlgLstTypeNumbers	: "Nummer (1, 2, 3)",
+DlgLstTypeLCase		: "Gemener (a, b, c)",
+DlgLstTypeUCase		: "Versaler (A, B, C)",
+DlgLstTypeSRoman	: "Små romerska siffror (i, ii, iii)",
+DlgLstTypeLRoman	: "Stora romerska siffror (I,II,II)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Allmän",
+DlgDocBackTab		: "Bakgrund",
+DlgDocColorsTab		: "Färg och marginal",
+DlgDocMetaTab		: "Meta data",
+
+DlgDocPageTitle		: "Sidtitel",
+DlgDocLangDir		: "Språkriktning",
+DlgDocLangDirLTR	: "Vänster till Höger",
+DlgDocLangDirRTL	: "Höger till Vänster",
+DlgDocLangCode		: "Språkkod",
+DlgDocCharSet		: "Teckenuppsättningar",
+DlgDocCharSetOther	: "Övriga teckenuppsättningar",
+
+DlgDocDocType		: "Sidhuvud",
+DlgDocDocTypeOther	: "Övriga sidhuvuden",
+DlgDocIncXHTML		: "Inkludera XHTML deklaration",
+DlgDocBgColor		: "Bakgrundsfärg",
+DlgDocBgImage		: "Bakgrundsbildens URL",
+DlgDocBgNoScroll	: "Fast bakgrund",
+DlgDocCText			: "Text",
+DlgDocCLink			: "Länk",
+DlgDocCVisited		: "Besökt länk",
+DlgDocCActive		: "Aktiv länk",
+DlgDocMargins		: "Sidmarginal",
+DlgDocMaTop			: "Topp",
+DlgDocMaLeft		: "Vänster",
+DlgDocMaRight		: "Höger",
+DlgDocMaBottom		: "Botten",
+DlgDocMeIndex		: "Sidans nyckelord",
+DlgDocMeDescr		: "Sidans beskrivning",
+DlgDocMeAuthor		: "Författare",
+DlgDocMeCopy		: "Upphovsrätt",
+DlgDocPreview		: "Förhandsgranska",
+
+// Templates Dialog
+Templates			: "Sidmallar",
+DlgTemplatesTitle	: "Sidmallar",
+DlgTemplatesSelMsg	: "Var god välj en mall att använda med editorn<br>(allt nuvarande innehåll raderas):",
+DlgTemplatesLoading	: "Laddar mallar. Var god vänta...",
+DlgTemplatesNoTpl	: "(Ingen mall är vald)",
+
+// About Dialog
+DlgAboutAboutTab	: "Om",
+DlgAboutBrowserInfoTab	: "Webläsarinfo",
+DlgAboutVersion		: "version",
+DlgAboutLicense		: "Licensierad under villkoren av GNU Lesser General Public License",
+DlgAboutInfo		: "För mer information se"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/th.js soojung/libs/fckeditor/editor/lang/th.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/th.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/th.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,454 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: th.js
+ * 	Thai language file.
+ * 
+ * File Authors:
+ * 		Audy Charin Arsakit (arsakit@gmail.com)
+ * 		Joy Piyanoot Promnuan (piyanoot@gmail.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "ซ่อนแถบเครื่องมือ",
+ToolbarExpand		: "แสดงแถบเครื่องมือ",
+
+// Toolbar Items and Context Menu
+Save				: "บันทึก",
+NewPage				: "สร้างหน้าเอกสารใหม่",
+Preview				: "ดูหน้าเอกสารตัวอย่าง",
+Cut					: "ตัด",
+Copy				: "สำเนา",
+Paste				: "วาง",
+PasteText			: "วางสำเนาจากตัวอักษรธรรมดา",
+PasteWord			: "วางสำเนาจากตัวอักษรเวิร์ด",
+Print				: "สั่งพิมพ์",
+SelectAll			: "เลือกทั้งหมด",
+RemoveFormat		: "ล้างรูปแบบ",
+InsertLinkLbl		: "ลิงค์เชื่อมโยงเว็บ อีเมล์ รูปภาพ หรือไฟล์อื่นๆ",
+InsertLink			: "แทรก/แก้ไข ลิงค์",
+RemoveLink			: "ลบ ลิงค์",
+Anchor				: "แทรก/แก้ไข Anchor",
+InsertImageLbl		: "รูปภาพ",
+InsertImage			: "แทรก/แก้ไข รูปภาพ",
+InsertTableLbl		: "ตาราง",
+InsertTable			: "แทรก/แก้ไข ตาราง",
+InsertLineLbl		: "เส้นคั่นบรรทัด",
+InsertLine			: "แทรกเส้นคั่นบรรทัด",
+InsertSpecialCharLbl: "ตัวอักษรพิเศษ",
+InsertSpecialChar	: "แทรกตัวอักษรพิเศษ",
+InsertSmileyLbl		: "รูปสื่ออารมณ์",
+InsertSmiley		: "แทรกรูปสื่ออารมณ์",
+About				: "เกี่ยวกับโปรแกรม FCKeditor",
+Bold				: "ตัวหนา",
+Italic				: "ตัวเอียง",
+Underline			: "ตัวขีดเส้นใต้",
+StrikeThrough		: "ตัวขีดเส้นทับ",
+Subscript			: "ตัวห้อย",
+Superscript			: "ตัวยก",
+LeftJustify			: "จัดชิดซ้าย",
+CenterJustify		: "จัดกึ่งกลาง",
+RightJustify		: "จัดชิดขวา",
+BlockJustify		: "จัดพอดีหน้ากระดาษ",
+DecreaseIndent		: "ลดระยะย่อหน้า",
+IncreaseIndent		: "เพิ่มระยะย่อหน้า",
+Undo				: "ยกเลิกคำสั่ง",
+Redo				: "ทำซ้ำคำสั่ง",
+NumberedListLbl		: "ลำดับรายการแบบตัวเลข",
+NumberedList		: "แทรก/แก้ไข ลำดับรายการแบบตัวเลข",
+BulletedListLbl		: "ลำดับรายการแบบสัญลักษณ์",
+BulletedList		: "แทรก/แก้ไข ลำดับรายการแบบสัญลักษณ์",
+ShowTableBorders	: "แสดงขอบของตาราง",
+ShowDetails			: "แสดงรายละเอียด",
+Style				: "ลักษณะ",
+FontFormat			: "รูปแบบ",
+Font				: "แบบอักษร",
+FontSize			: "ขนาด",
+TextColor			: "สีตัวอักษร",
+BGColor				: "สีพื้นหลัง",
+Source				: "ดูรหัส HTML",
+Find				: "ค้นหา",
+Replace				: "ค้นหาและแทนที่",
+SpellCheck			: "ตรวจการสะกดคำ",
+UniversalKeyboard	: "คีย์บอร์ดหลากภาษา",
+
+Form			: "แบบฟอร์ม",
+Checkbox		: "เช็คบ๊อก",
+RadioButton		: "เรดิโอบัตตอน",
+TextField		: "เท็กซ์ฟิลด์",
+Textarea		: "เท็กซ์แอเรีย",
+HiddenField		: "ฮิดเดนฟิลด์",
+Button			: "ปุ่ม",
+SelectionField	: "แถบตัวเลือก",
+ImageButton		: "ปุ่มแบบรูปภาพ",
+
+// Context Menu
+EditLink			: "แก้ไข ลิงค์",
+InsertRow			: "แทรกแถว",
+DeleteRows			: "ลบแถว",
+InsertColumn		: "แทรกสดมน์",
+DeleteColumns		: "ลบสดมน์",
+InsertCell			: "แทรกช่อง",
+DeleteCells			: "ลบช่อง",
+MergeCells			: "ผสานช่อง",
+SplitCell			: "แยกช่อง",
+CellProperties		: "คุณสมบัติของช่อง",
+TableProperties		: "คุณสมบัติของตาราง",
+ImageProperties		: "คุณสมบัติของรูปภาพ",
+
+AnchorProp			: "รายละเอียด Anchor",
+ButtonProp			: "รายละเอียดของ ปุ่ม",
+CheckboxProp		: "คุณสมบัติของ เช็คบ๊อก",
+HiddenFieldProp		: "คุณสมบัติของ ฮิดเดนฟิลด์",
+RadioButtonProp		: "คุณสมบัติของ เรดิโอบัตตอน",
+ImageButtonProp		: "คุณสมบัติของ ปุ่มแบบรูปภาพ",
+TextFieldProp		: "คุณสมบัติของ เท็กซ์ฟิลด์",
+SelectionFieldProp	: "คุณสมบัติของ แถบตัวเลือก",
+TextareaProp		: "คุณสมบัติของ เท็กแอเรีย",
+FormProp			: "คุณสมบัติของ แบบฟอร์ม",
+
+FontFormats			: "Normal;Formatted;Address;Heading 1;Heading 2;Heading 3;Heading 4;Heading 5;Heading 6;Paragraph (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "โปรแกรมกำลังทำงานด้วยเทคโนโลยี XHTML กรุณารอสักครู่...",
+Done				: "โปรแกรมทำงานเสร็จสมบูรณ์",
+PasteWordConfirm	: "ข้อมูลที่ท่านต้องการวางลงในแผ่นงาน ถูกจัดรูปแบบจากโปรแกรมเวิร์ด. ท่านต้องการล้างรูปแบบที่มาจากโปรแกรมเวิร์ดหรือไม่?",
+NotCompatiblePaste	: "คำสั่งนี้ทำงานในโปรแกรมท่องเว็บ Internet Explorer version รุ่น 5.5 หรือใหม่กว่าเท่านั้น. ท่านต้องการวางตัวอักษรโดยไม่ล้างรูปแบบที่มาจากโปรแกรมเวิร์ดหรือไม่?",
+UnknownToolbarItem	: "ไม่สามารถระบุปุ่มเครื่องมือได้ \"%1\"",
+UnknownCommand		: "ไม่สามารถระบุชื่อคำสั่งได้ \"%1\"",
+NotImplemented		: "ไม่สามารถใช้งานคำสั่งได้",
+UnknownToolbarSet	: "ไม่มีการติดตั้งชุดคำสั่งในแถบเครื่องมือ \"%1\" กรุณาติดต่อผู้ดูแลระบบ",
+
+// Dialogs
+DlgBtnOK			: "ตกลง",
+DlgBtnCancel		: "ยกเลิก",
+DlgBtnClose			: "ปิด",
+DlgBtnBrowseServer	: "เปิดหน้าต่างจัดการไฟล์อัพโหลด",
+DlgAdvancedTag		: "ขั้นสูง",
+DlgOpOther			: "&lt;อื่นๆ&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;ไม่ระบุ&gt;",
+DlgGenId			: "ไอดี",
+DlgGenLangDir		: "การเขียน-อ่านภาษา",
+DlgGenLangDirLtr	: "จากซ้ายไปขวา (LTR)",
+DlgGenLangDirRtl	: "จากขวามาซ้าย (RTL)",
+DlgGenLangCode		: "รหัสภาษา",
+DlgGenAccessKey		: "แอคเซส คีย์",
+DlgGenName			: "ชื่อ",
+DlgGenTabIndex		: "ลำดับของ แท็บ",
+DlgGenLongDescr		: "คำอธิบายประกอบ URL",
+DlgGenClass			: "คลาสของไฟล์กำหนดลักษณะการแสดงผล",
+DlgGenTitle			: "คำเกริ่นนำ",
+DlgGenContType		: "ชนิดของคำเกริ่นนำ",
+DlgGenLinkCharset	: "ลิงค์เชื่อมโยงไปยังชุดตัวอักษร",
+DlgGenStyle			: "ลักษณะการแสดงผล",
+
+// Image Dialog
+DlgImgTitle			: "คุณสมบัติของ รูปภาพ",
+DlgImgInfoTab		: "ข้อมูลของรูปภาพ",
+DlgImgBtnUpload		: "อัพโหลดไฟล์ไปเก็บไว้ที่เครื่องแม่ข่าย (เซิร์ฟเวอร์)",
+DlgImgURL			: "ที่อยู่อ้างอิง URL",
+DlgImgUpload		: "อัพโหลดไฟล์",
+DlgImgAlt			: "คำประกอบรูปภาพ",
+DlgImgWidth			: "ความกว้าง",
+DlgImgHeight		: "ความสูง",
+DlgImgLockRatio		: "กำหนดอัตราส่วน กว้าง-สูง แบบคงที่",
+DlgBtnResetSize		: "กำหนดรูปเท่าขนาดจริง",
+DlgImgBorder		: "ขนาดขอบรูป",
+DlgImgHSpace		: "ระยะแนวนอน",
+DlgImgVSpace		: "ระยะแนวตั้ง",
+DlgImgAlign			: "การจัดวาง",
+DlgImgAlignLeft		: "ชิดซ้าย",
+DlgImgAlignAbsBottom: "ชิดด้านล่างสุด",
+DlgImgAlignAbsMiddle: "กึ่งกลาง",
+DlgImgAlignBaseline	: "ชิดบรรทัด",
+DlgImgAlignBottom	: "ชิดด้านล่าง",
+DlgImgAlignMiddle	: "กึ่งกลางแนวตั้ง",
+DlgImgAlignRight	: "ชิดขวา",
+DlgImgAlignTextTop	: "ใต้ตัวอักษร",
+DlgImgAlignTop		: "บนสุด",
+DlgImgPreview		: "หน้าเอกสารตัวอย่าง",
+DlgImgAlertUrl		: "กรุณาระบุที่อยู่อ้างอิงออนไลน์ของไฟล์รูปภาพ (URL)",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "ลิงค์เชื่อมโยงเว็บ อีเมล์ รูปภาพ หรือไฟล์อื่นๆ",
+DlgLnkInfoTab		: "รายละเอียด",
+DlgLnkTargetTab		: "การเปิดหน้าจอ",
+
+DlgLnkType			: "ประเภทของลิงค์",
+DlgLnkTypeURL		: "ที่อยู่อ้างอิงออนไลน์ (URL)",
+DlgLnkTypeAnchor	: "จุดเชื่อมโยง (Anchor)",
+DlgLnkTypeEMail		: "ส่งอีเมล์ (E-Mail)",
+DlgLnkProto			: "โปรโตคอล",
+DlgLnkProtoOther	: "&lt;อื่นๆ&gt;",
+DlgLnkURL			: "ที่อยู่อ้างอิงออนไลน์ (URL)",
+DlgLnkAnchorSel		: "ระบุข้อมูลของจุดเชื่อมโยง (Anchor)",
+DlgLnkAnchorByName	: "ชื่อ",
+DlgLnkAnchorById	: "ไอดี",
+DlgLnkNoAnchors		: "&lt;ยังไม่มีจุดเชื่อมโยงภายในหน้าเอกสารนี้&gt;",
+DlgLnkEMail			: "อีเมล์ (E-Mail)",
+DlgLnkEMailSubject	: "หัวเรื่อง",
+DlgLnkEMailBody		: "ข้อความ",
+DlgLnkUpload		: "อัพโหลดไฟล์",
+DlgLnkBtnUpload		: "บันทึกไฟล์ไว้บนเซิร์ฟเวอร์",
+
+DlgLnkTarget		: "การเปิดหน้าลิงค์",
+DlgLnkTargetFrame	: "&lt;เปิดในเฟรม&gt;",
+DlgLnkTargetPopup	: "&lt;เปิดหน้าจอเล็ก (Pop-up)&gt;",
+DlgLnkTargetBlank	: "เปิดหน้าจอใหม่ (_blank)",
+DlgLnkTargetParent	: "เปิดในหน้าหลัก (_parent)",
+DlgLnkTargetSelf	: "เปิดในหน้าปัจจุบัน (_self)",
+DlgLnkTargetTop		: "เปิดในหน้าบนสุด (_top)",
+DlgLnkTargetFrameName	: "ชื่อทาร์เก็ตเฟรม",
+DlgLnkPopWinName	: "ระบุชื่อหน้าจอเล็ก (Pop-up)",
+DlgLnkPopWinFeat	: "คุณสมบัติของหน้าจอเล็ก (Pop-up)",
+DlgLnkPopResize		: "ปรับขนาดหน้าจอ",
+DlgLnkPopLocation	: "แสดงที่อยู่ของไฟล์",
+DlgLnkPopMenu		: "แสดงแถบเมนู",
+DlgLnkPopScroll		: "แสดงแถบเลื่อน",
+DlgLnkPopStatus		: "แสดงแถบสถานะ",
+DlgLnkPopToolbar	: "แสดงแถบเครื่องมือ",
+DlgLnkPopFullScrn	: "แสดงเต็มหน้าจอ (IE5.5++ เท่านั้น)",
+DlgLnkPopDependent	: "แสดงเต็มหน้าจอ (Netscape)",
+DlgLnkPopWidth		: "กว้าง",
+DlgLnkPopHeight		: "สูง",
+DlgLnkPopLeft		: "พิกัดซ้าย (Left Position)",
+DlgLnkPopTop		: "พิกัดบน (Top Position)",
+
+DlnLnkMsgNoUrl		: "กรุณาระบุที่อยู่อ้างอิงออนไลน์ (URL)",
+DlnLnkMsgNoEMail	: "กรุณาระบุอีเมล์ (E-mail)",
+DlnLnkMsgNoAnchor	: "กรุณาระบุจุดเชื่อมโยง (Anchor)",
+
+// Color Dialog
+DlgColorTitle		: "เลือกสี",
+DlgColorBtnClear	: "ล้างค่ารหัสสี",
+DlgColorHighlight	: "ตัวอย่างสี",
+DlgColorSelected	: "สีที่เลือก",
+
+// Smiley Dialog
+DlgSmileyTitle		: "แทรกสัญักษณ์สื่ออารมณ์",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "แทรกตัวอักษรพิเศษ",
+
+// Table Dialog
+DlgTableTitle		: "คุณสมบัติของ ตาราง",
+DlgTableRows		: "แถว",
+DlgTableColumns		: "สดมน์",
+DlgTableBorder		: "ขนาดเส้นขอบ",
+DlgTableAlign		: "การจัดตำแหน่ง",
+DlgTableAlignNotSet	: "<ไม่ระบุ>",
+DlgTableAlignLeft	: "ชิดซ้าย",
+DlgTableAlignCenter	: "กึ่งกลาง",
+DlgTableAlignRight	: "ชิดขวา",
+DlgTableWidth		: "กว้าง",
+DlgTableWidthPx		: "จุดสี",
+DlgTableWidthPc		: "เปอร์เซ็น",
+DlgTableHeight		: "สูง",
+DlgTableCellSpace	: "ระยะแนวนอนน",
+DlgTableCellPad		: "ระยะแนวตั้ง",
+DlgTableCaption		: "หัวเรื่องของตาราง",
+
+// Table Cell Dialog
+DlgCellTitle		: "คุณสมบัติของ ช่อง",
+DlgCellWidth		: "กว้าง",
+DlgCellWidthPx		: "จุดสี",
+DlgCellWidthPc		: "เปอร์เซ็น",
+DlgCellHeight		: "สูง",
+DlgCellWordWrap		: "ตัดบรรทัดอัตโนมัติ",
+DlgCellWordWrapNotSet	: "&lt;ไม่ระบุ&gt;",
+DlgCellWordWrapYes	: "ใ่ช่",
+DlgCellWordWrapNo	: "ไม่",
+DlgCellHorAlign		: "การจัดวางแนวนอน",
+DlgCellHorAlignNotSet	: "&lt;ไม่ระบุ&gt;",
+DlgCellHorAlignLeft	: "ชิดซ้าย",
+DlgCellHorAlignCenter	: "กึ่งกลาง",
+DlgCellHorAlignRight: "ชิดขวา",
+DlgCellVerAlign		: "การจัดวางแนวตั้ง",
+DlgCellVerAlignNotSet	: "&lt;ไม่ระบุ&gt;",
+DlgCellVerAlignTop	: "บนสุด",
+DlgCellVerAlignMiddle	: "กึ่งกลาง",
+DlgCellVerAlignBottom	: "ล่างสุด",
+DlgCellVerAlignBaseline	: "อิงบรรทัด",
+DlgCellRowSpan		: "จำนวนแถวที่คร่อมกัน",
+DlgCellCollSpan		: "จำนวนสดมน์ที่คร่อมกัน",
+DlgCellBackColor	: "สีพื้นหลัง",
+DlgCellBorderColor	: "สีเส้นขอบ",
+DlgCellBtnSelect	: "เลือก..",
+
+// Find Dialog
+DlgFindTitle		: "ค้นหา",
+DlgFindFindBtn		: "ค้นหา",
+DlgFindNotFoundMsg	: "ไม่พบคำที่ค้นหา.",
+
+// Replace Dialog
+DlgReplaceTitle			: "ค้นหาและแทนที่",
+DlgReplaceFindLbl		: "ค้นหาคำว่า:",
+DlgReplaceReplaceLbl	: "แทนที่ด้วย:",
+DlgReplaceCaseChk		: "ตัวโหญ่-เล็ก ต้องตรงกัน",
+DlgReplaceReplaceBtn	: "แทนที่",
+DlgReplaceReplAllBtn	: "แทนที่ทั้งหมดที่พบ",
+DlgReplaceWordChk		: "ต้องตรงกันทุกคำ",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "ไม่สามารถวางข้อความที่สำเนามาได้เนื่องจากการกำหนดค่าระดับความปลอดภัย. กรุณาใช้ปุ่มลัดเพื่อวางข้อความแทน (กดปุ่ม Ctrl และตัว V พร้อมกัน).",
+PasteErrorCut	: "ไม่สามารถตัดข้อความที่เลือกไว้ได้เนื่องจากการกำหนดค่าระดับความปลอดภัย. กรุณาใช้ปุ่มลัดเพื่อวางข้อความแทน (กดปุ่ม Ctrl และตัว X พร้อมกัน).",
+PasteErrorCopy	: "ไม่สามารถสำเนาข้อความที่เลือกไว้ได้เนื่องจากการกำหนดค่าระดับความปลอดภัย. กรุณาใช้ปุ่มลัดเพื่อวางข้อความแทน (กดปุ่ม Ctrl และตัว C พร้อมกัน).",
+
+PasteAsText		: "วางแบบตัวอักษรธรรมดา",
+PasteFromWord	: "วางแบบตัวอักษรจากโปรแกรมเวิร์ด",
+
+DlgPasteMsg		: "ไม่สามารถวางข้อความที่สำเนามาได้เนื่องจาก <STRONG>การกำหนดค่าระดับความปลอดภัย</STRONG> ในโปรแกรมท่องเว็บที่ท่านกำลังใช้อยู่.<BR>กรุณาใช้ปุ่มลัดเพื่อวางข้อความแทน (<STRONG>กดปุ่ม Ctrl และตัว V พร้อมกัน</STRONG>) และกดปุ่ม <STRONG>ตกลง</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "สีอัตโนมัติ",
+ColorMoreColors	: "เลือกสีอื่นๆ...",
+
+// Document Properties
+DocProps		: "คุณสมบัติของเอกสาร",
+
+// Anchor Dialog
+DlgAnchorTitle		: "คุณสมบัติของ Anchor",
+DlgAnchorName		: "ชื่อ Anchor",
+DlgAnchorErrorName	: "กรุณาระบุชื่อของ Anchor",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "ไม่พบในดิกชันนารี",
+DlgSpellChangeTo		: "แก้ไขเป็น",
+DlgSpellBtnIgnore		: "ยกเว้น",
+DlgSpellBtnIgnoreAll	: "ยกเว้นทั้งหมด",
+DlgSpellBtnReplace		: "แทนที่",
+DlgSpellBtnReplaceAll	: "แทนที่ทั้งหมด",
+DlgSpellBtnUndo			: "ยกเลิก",
+DlgSpellNoSuggestions	: "- ไม่มีคำแนะนำใดๆ -",
+DlgSpellProgress		: "กำลังตรวจสอบคำสะกด...",
+DlgSpellNoMispell		: "ตรวจสอบคำสะกดเสร็จสิ้น: ไม่พบคำสะกดผิด",
+DlgSpellNoChanges		: "ตรวจสอบคำสะกดเสร็จสิ้น: ไม่มีการแก้คำใดๆ",
+DlgSpellOneChange		: "ตรวจสอบคำสะกดเสร็จสิ้น: แก้ไข1คำ",
+DlgSpellManyChanges		: "ตรวจสอบคำสะกดเสร็จสิ้น:: แก้ไข %1 คำ",
+
+IeSpellDownload			: "ไม่ได้ติดตั้งระบบตรวจสอบคำสะกด. ต้องการติดตั้งไหมครับ?",
+
+// Button Dialog
+DlgButtonText	: "ข้อความ (ค่าตัวแปร)",
+DlgButtonType	: "ข้อความ",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "ชื่อ",
+DlgCheckboxValue	: "ค่าตัวแปร",
+DlgCheckboxSelected	: "เลือกเป็นค่าเริ่มต้น",
+
+// Form Dialog
+DlgFormName		: "ชื่อ",
+DlgFormAction	: "แอคชั่น",
+DlgFormMethod	: "เมธอด",
+
+// Select Field Dialog
+DlgSelectName		: "ชื่อ",
+DlgSelectValue		: "ค่าตัวแปร",
+DlgSelectSize		: "ขนาด",
+DlgSelectLines		: "บรรทัด",
+DlgSelectChkMulti	: "เลือกหลายค่าได้",
+DlgSelectOpAvail	: "รายการตัวเลือก",
+DlgSelectOpText		: "ข้อความ",
+DlgSelectOpValue	: "ค่าตัวแปร",
+DlgSelectBtnAdd		: "เพิ่ม",
+DlgSelectBtnModify	: "แก้ไข",
+DlgSelectBtnUp		: "บน",
+DlgSelectBtnDown	: "ล่าง",
+DlgSelectBtnSetValue : "เลือกเป็นค่าเริ่มต้น",
+DlgSelectBtnDelete	: "ลบ",
+
+// Textarea Dialog
+DlgTextareaName	: "ชื่อ",
+DlgTextareaCols	: "สดมภ์",
+DlgTextareaRows	: "แถว",
+
+// Text Field Dialog
+DlgTextName			: "ชื่อ",
+DlgTextValue		: "ค่าตัวแปร",
+DlgTextCharWidth	: "ความกว้าง",
+DlgTextMaxChars		: "จำนวนตัวอักษรสูงสุด",
+DlgTextType			: "ชนิด",
+DlgTextTypeText		: "ข้อความ",
+DlgTextTypePass		: "รหัสผ่าน",
+
+// Hidden Field Dialog
+DlgHiddenName	: "ชื่อ",
+DlgHiddenValue	: "ค่าตัวแปร",
+
+// Bulleted List Dialog
+BulletedListProp	: "คุณสมบัติของ บูลเล็ตลิสต์",
+NumberedListProp	: "คุณสมบัติของ นัมเบอร์ลิสต์",
+DlgLstType			: "ชนิด",
+DlgLstTypeCircle	: "รูปวงกลม",
+DlgLstTypeDisk		: "รูปดิสก์",
+DlgLstTypeSquare	: "รูปสี่เหลี่ยม",
+DlgLstTypeNumbers	: "หมายเลข (1, 2, 3)",
+DlgLstTypeLCase		: "ตัวพิมพ์เล็ก (a, b, c)",
+DlgLstTypeUCase		: "ตัวพิมพ์ใหญ่ (A, B, C)",
+DlgLstTypeSRoman	: "เลขโรมันพิมพ์เล็ก (i, ii, iii)",
+DlgLstTypeLRoman	: "เลขโรมันพิมพ์ใหญ่ (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "ลักษณะทั่วไปของเอกสาร",
+DlgDocBackTab		: "พื้นหลัง",
+DlgDocColorsTab		: "สีและระยะขอบ",
+DlgDocMetaTab		: "ข้อมูลสำหรับเสิร์ชเอนจิ้น",
+
+DlgDocPageTitle		: "ชื่อไตเติ้ล",
+DlgDocLangDir		: "การอ่านภาษา",
+DlgDocLangDirLTR	: "จากซ้ายไปขวา (LTR)",
+DlgDocLangDirRTL	: "จากขวาไปซ้าย (RTL)",
+DlgDocLangCode		: "รหัสภาษา",
+DlgDocCharSet		: "ชุดตัวอักษร",
+DlgDocCharSetOther	: "ชุดตัวอักษรอื่นๆ",
+
+DlgDocDocType		: "ประเภทของเอกสาร",
+DlgDocDocTypeOther	: "ประเภทเอกสารอื่นๆ",
+DlgDocIncXHTML		: "รวมเอา  XHTML Declarations ไว้ด้วย",
+DlgDocBgColor		: "สีพื้นหลัง",
+DlgDocBgImage		: "ที่อยู่อ้างอิงออนไลน์ของรูปพื้นหลัง (Image URL)",
+DlgDocBgNoScroll	: "พื้นหลังแบบไม่มีแถบเลื่อน",
+DlgDocCText			: "ข้อความ",
+DlgDocCLink			: "ลิงค์",
+DlgDocCVisited		: "ลิงค์ที่เคยคลิ้กแล้ว Visited Link",
+DlgDocCActive		: "ลิงค์ที่กำลังคลิ้ก Active Link",
+DlgDocMargins		: "ระยะขอบของหน้าเอกสาร",
+DlgDocMaTop			: "ด้านบน",
+DlgDocMaLeft		: "ด้านซ้าย",
+DlgDocMaRight		: "ด้านขวา",
+DlgDocMaBottom		: "ด้านล่าง",
+DlgDocMeIndex		: "คำสำคัญอธิบายเอกสาร (คั่นคำด้วย คอมม่า)",
+DlgDocMeDescr		: "ประโยคอธิบายเกี่ยวกับเอกสาร",
+DlgDocMeAuthor		: "ผู้สร้างเอกสาร",
+DlgDocMeCopy		: "สงวนลิขสิทธิ์",
+DlgDocPreview		: "ตัวอย่างหน้าเอกสาร",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "เกี่ยวกับโปรแกรม",
+DlgAboutBrowserInfoTab	: "โปรแกรมท่องเว็บที่ท่านใช้",
+DlgAboutVersion		: "รุ่น",
+DlgAboutLicense		: "สงวนลิขสิทธิ์ โดยนโยบายลิขสิทธิ์แบบ GNU Lesser General Public License",
+DlgAboutInfo		: "ข้อมูลเพิ่มเติมภาษาไทยติดต่อ</BR>นาย ชรินทร์ อาษากิจ (อู้ด)</BR><A HREF='mailto:arsakit@gmail.com'>arsakit@gmail.com</A> tel. (+66) 06-9241924</BR>หรือดาวน์โหลดรุ่นภาษาไทยได้ที่เว็บไซต์</BR><A HREF='http://www.thaimall4u.com'>www.Thaimall4u.com</A></BR>ข้อมูลเพิ่มเติมภาษาอังกฤษ กรุณาไปที่นี่"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/tr.js soojung/libs/fckeditor/editor/lang/tr.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/tr.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/tr.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: tr.js
+ * 	Turkish language file.
+ * 
+ * File Authors:
+ * 		Bogac Guven (bogacmx@yahoo.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Araç Çubugunu Kapat",
+ToolbarExpand		: "Araç Çubugunu Aç",
+
+// Toolbar Items and Context Menu
+Save				: "Kaydet",
+NewPage				: "Yeni Sayfa",
+Preview				: "Ön Izleme",
+Cut					: "Kes",
+Copy				: "Kopyala",
+Paste				: "Yapistir",
+PasteText			: "Düzyazi Olarak Yapistir",
+PasteWord			: "Word'den Yapistir",
+Print				: "Yazdir",
+SelectAll			: "Tümünü Seç",
+RemoveFormat		: "Biçimi Kaldir",
+InsertLinkLbl		: "Köprü",
+InsertLink			: "Köprü Ekle/Düzenle",
+RemoveLink			: "Köprü Kaldir",
+Anchor				: "Insert/Edit Anchor",	//MISSING
+InsertImageLbl		: "Resim",
+InsertImage			: "Resim Ekle/Düzenle",
+InsertTableLbl		: "Tablo",
+InsertTable			: "Tablo Ekle/Düzenle",
+InsertLineLbl		: "Satir",
+InsertLine			: "Yatay Satir Ekle",
+InsertSpecialCharLbl: "Özel Karakter",
+InsertSpecialChar	: "Özel Karakter Ekle",
+InsertSmileyLbl		: "Ifade",
+InsertSmiley		: "Ifade Ekle",
+About				: "FCKeditor Hakkinda",
+Bold				: "Kalin",
+Italic				: "Italik",
+Underline			: "Alti Çizgili",
+StrikeThrough		: "Üstü Çizgili",
+Subscript			: "Alt Simge",
+Superscript			: "Üst Simge",
+LeftJustify			: "Sola Dayali",
+CenterJustify		: "Ortalanmis",
+RightJustify		: "Saga Dayali",
+BlockJustify		: "Iki Kenara Yaslanmis",
+DecreaseIndent		: "Sekme Azalt",
+IncreaseIndent		: "Sekme Arttir",
+Undo				: "Geri Al",
+Redo				: "Tekrarla",
+NumberedListLbl		: "Numarali Liste",
+NumberedList		: "Numarali Liste Ekle/Kaldir",
+BulletedListLbl		: "Simgeli Liste",
+BulletedList		: "Simgeli Liste Ekle/Kaldir",
+ShowTableBorders	: "Tablo Kenarlarini Göster",
+ShowDetails			: "Detaylari Göster",
+Style				: "Stil",
+FontFormat			: "Biçim",
+Font				: "Yazi Tipi",
+FontSize			: "Boyut",
+TextColor			: "Yazi Rengi",
+BGColor				: "Arka Renk",
+Source				: "Kaynak",
+Find				: "Bul",
+Replace				: "Degistir",
+SpellCheck			: "Yazim Denetimi",
+UniversalKeyboard	: "Evrensel Klavye",
+
+Form			: "Form",
+Checkbox		: "Onay Kutusu",
+RadioButton		: "Seçenek Dügmesi",
+TextField		: "Metin Girisi",
+Textarea		: "Çok Satirli Metin",
+HiddenField		: "Gizli Veri",
+Button			: "Dügme",
+SelectionField	: "Seçim Mönüsü",
+ImageButton		: "Resimli Dügme",
+
+// Context Menu
+EditLink			: "Köprü Düzenle",
+InsertRow			: "Satir Ekle",
+DeleteRows			: "Satir Sil",
+InsertColumn		: "Sütun Ekle",
+DeleteColumns		: "Sütun Sil",
+InsertCell			: "Hücre Ekle",
+DeleteCells			: "Hücre Sil",
+MergeCells			: "Hücreleri Birlestir",
+SplitCell			: "Hücre Böl",
+CellProperties		: "Hücre Özellikleri",
+TableProperties		: "Tablo Özellikleri",
+ImageProperties		: "Resim Özellikleri",
+
+AnchorProp			: "Çapa Özellikleri",
+ButtonProp			: "Dügme Özellikleri",
+CheckboxProp		: "Onay Kutusu Özellikleri",
+HiddenFieldProp		: "Gizli Veri Özellikleri",
+RadioButtonProp		: "Seçenek Dügmesi Özellikleri",
+ImageButtonProp		: "Resimli Dügme Özellikleri",
+TextFieldProp		: "Metin Girisi Özellikleri",
+SelectionFieldProp	: "Seçim Mönüsü Özellikleri",
+TextareaProp		: "Çok Satirli Metin Özellikleri",
+FormProp			: "Form Özellikleri",
+
+FontFormats			: "Normal;Biçimli;Adres;Baslik 1;Baslik 2;Baslik 3;Baslik 4;Baslik 5;Baslik 6;Paragraf (DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "XHTML isleniyor. Lütfen bekleyin...",
+Done				: "Bitti",
+PasteWordConfirm	: "Yapistirdiginiz yazi Word'den gelmise benziyor. Yapistirmadan önce silmek ister misiniz?",
+NotCompatiblePaste	: "Bu komut Internet Explorer 5.5 ve ileriki sürümleri için mevcuttur. Temizlenmeden yapistirilmasini ister misiniz ?",
+UnknownToolbarItem	: "Bilinmeyen araç çubugu ögesi \"%1\"",
+UnknownCommand		: "Bilinmeyen komut \"%1\"",
+NotImplemented		: "Komut uyarlanamadi",
+UnknownToolbarSet	: "\"%1\" araç çubugu ögesi mevcut degil",
+
+// Dialogs
+DlgBtnOK			: "Tamam",
+DlgBtnCancel		: "Iptal",
+DlgBtnClose			: "Kapat",
+DlgBtnBrowseServer	: "Sunucuyu Gez",
+DlgAdvancedTag		: "Gelismis",
+DlgOpOther			: "&lt;Diger&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;tanimlanmamis&gt;",
+DlgGenId			: "Kimlik",
+DlgGenLangDir		: "Lisan Yönü",
+DlgGenLangDirLtr	: "Soldan Saga (LTR)",
+DlgGenLangDirRtl	: "Sagdan Sola (RTL)",
+DlgGenLangCode		: "Lisan Kodlamasi",
+DlgGenAccessKey		: "Erisim Tusu",
+DlgGenName			: "Isim",
+DlgGenTabIndex		: "Sekme Indeksi",
+DlgGenLongDescr		: "Uzun Tanimli URL",
+DlgGenClass			: "Stil Klaslari",
+DlgGenTitle			: "Danisma Basligi",
+DlgGenContType		: "Danisma Içerik Türü",
+DlgGenLinkCharset	: "Bagli Kaynak Karakter Gurubu",
+DlgGenStyle			: "Stil",
+
+// Image Dialog
+DlgImgTitle			: "Resim Özellikleri",
+DlgImgInfoTab		: "Resim Bilgisi",
+DlgImgBtnUpload		: "Sunucuya Yolla",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Karsiya Yükle",
+DlgImgAlt			: "Alternatif Yazi",
+DlgImgWidth			: "Genislik",
+DlgImgHeight		: "Yükseklik",
+DlgImgLockRatio		: "Orani Kilitle",
+DlgBtnResetSize		: "Boyutu Basa Döndür",
+DlgImgBorder		: "Kenar",
+DlgImgHSpace		: "Yatay Bosluk",
+DlgImgVSpace		: "Dikey Bosluk",
+DlgImgAlign			: "Hizalama",
+DlgImgAlignLeft		: "Sol",
+DlgImgAlignAbsBottom: "Tam Alti",
+DlgImgAlignAbsMiddle: "Tam Ortasi",
+DlgImgAlignBaseline	: "Taban Çizgisi",
+DlgImgAlignBottom	: "Alt",
+DlgImgAlignMiddle	: "Orta",
+DlgImgAlignRight	: "Sag",
+DlgImgAlignTextTop	: "Yazi Tepeye",
+DlgImgAlignTop		: "Tepe",
+DlgImgPreview		: "Ön Izleme",
+DlgImgAlertUrl		: "Lütfen resimin URL'sini yaziniz",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "Köprü",
+DlgLnkInfoTab		: "Köprü Bilgisi",
+DlgLnkTargetTab		: "Hedef",
+
+DlgLnkType			: "Köprü Türü",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Bu sayfada çapa",
+DlgLnkTypeEMail		: "E-Posta",
+DlgLnkProto			: "Protokol",
+DlgLnkProtoOther	: "&lt;diger&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Çapa Seç",
+DlgLnkAnchorByName	: "Çapa Ismi ile",
+DlgLnkAnchorById	: "Eleman Id ile",
+DlgLnkNoAnchors		: "&lt;Bu dokümanda hiç çapa yok&gt;",
+DlgLnkEMail			: "E-Posta Adresi",
+DlgLnkEMailSubject	: "Mesaj Konusu",
+DlgLnkEMailBody		: "Mesaj Vücudu",
+DlgLnkUpload		: "Karsiya Yükle",
+DlgLnkBtnUpload		: "Sunucuya Gönder",
+
+DlgLnkTarget		: "Hedef",
+DlgLnkTargetFrame	: "&lt;çerçeve&gt;",
+DlgLnkTargetPopup	: "&lt;yeni açilan pencere&gt;",
+DlgLnkTargetBlank	: "Yeni Pencere(_blank)",
+DlgLnkTargetParent	: "Anne Pencere (_parent)",
+DlgLnkTargetSelf	: "Kendi Penceresi (_self)",
+DlgLnkTargetTop		: "En Üst Pencere (_top)",
+DlgLnkTargetFrameName	: "Hedef Çerçeve Ismi",
+DlgLnkPopWinName	: "Yeni Açilan Pencere Ismi",
+DlgLnkPopWinFeat	: "Yeni Açilan Pencere Özellikleri",
+DlgLnkPopResize		: "Boyutlandirilabilir",
+DlgLnkPopLocation	: "Yer Çubugu",
+DlgLnkPopMenu		: "Mönü Çubugu",
+DlgLnkPopScroll		: "Kaydirma Çubuklari",
+DlgLnkPopStatus		: "Statü Çubugu",
+DlgLnkPopToolbar	: "Araç Çubugu",
+DlgLnkPopFullScrn	: "Tam Ekran (IE)",
+DlgLnkPopDependent	: "Bagli-Dependent- (Netscape)",
+DlgLnkPopWidth		: "Genislik",
+DlgLnkPopHeight		: "Yükseklik",
+DlgLnkPopLeft		: "Sola Göre Pozisyon",
+DlgLnkPopTop		: "Yukariya Göre Pozisyon",
+
+DlnLnkMsgNoUrl		: "Lütfen köprü URL'sini yazin",
+DlnLnkMsgNoEMail	: "Lütfen E-posta adresini yazin",
+DlnLnkMsgNoAnchor	: "Lütfen bir çapa seçin",
+
+// Color Dialog
+DlgColorTitle		: "Renk Seç",
+DlgColorBtnClear	: "Temizle",
+DlgColorHighlight	: "Belirle",
+DlgColorSelected	: "Seçilmis",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Ifade Ekle",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Özel Karakter Seç",
+
+// Table Dialog
+DlgTableTitle		: "Tablo Özellikleri",
+DlgTableRows		: "Satirlar",
+DlgTableColumns		: "Sütunlar",
+DlgTableBorder		: "Kenar Kalinligi",
+DlgTableAlign		: "Hizalama",
+DlgTableAlignNotSet	: "<Tanimlanmamis>",
+DlgTableAlignLeft	: "Sol",
+DlgTableAlignCenter	: "Merkez",
+DlgTableAlignRight	: "Sag",
+DlgTableWidth		: "Genislik",
+DlgTableWidthPx		: "piksel",
+DlgTableWidthPc		: "yüzde",
+DlgTableHeight		: "Yükseklik",
+DlgTableCellSpace	: "Izgara kalinligi",
+DlgTableCellPad		: "Izgara yazi arasi",
+DlgTableCaption		: "Baslik",
+
+// Table Cell Dialog
+DlgCellTitle		: "Hücre Özellikleri",
+DlgCellWidth		: "Genislik",
+DlgCellWidthPx		: "piksel",
+DlgCellWidthPc		: "yüzde",
+DlgCellHeight		: "Yükseklik",
+DlgCellWordWrap		: "Sözcük Kaydir",
+DlgCellWordWrapNotSet	: "&lt;Tanimlanmamis&gt;",
+DlgCellWordWrapYes	: "Evet",
+DlgCellWordWrapNo	: "Hayir",
+DlgCellHorAlign		: "Yatay Hizalama",
+DlgCellHorAlignNotSet	: "&lt;Tanimlanmamis&gt;",
+DlgCellHorAlignLeft	: "Sol",
+DlgCellHorAlignCenter	: "Merkez",
+DlgCellHorAlignRight: "Sag",
+DlgCellVerAlign		: "Dikey Hizalama",
+DlgCellVerAlignNotSet	: "&lt;Tanimlanmamis&gt;",
+DlgCellVerAlignTop	: "Tepe",
+DlgCellVerAlignMiddle	: "Orta",
+DlgCellVerAlignBottom	: "Alt",
+DlgCellVerAlignBaseline	: "Taban Çizgisi",
+DlgCellRowSpan		: "Satir Kapla",
+DlgCellCollSpan		: "Sütun Kapla",
+DlgCellBackColor	: "Arka Plan Rengi",
+DlgCellBorderColor	: "Kenar Rengi",
+DlgCellBtnSelect	: "Seç...",
+
+// Find Dialog
+DlgFindTitle		: "Bul",
+DlgFindFindBtn		: "Bul",
+DlgFindNotFoundMsg	: "Belirtilen yazi bulunamadi.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Degistir",
+DlgReplaceFindLbl		: "Aranan:",
+DlgReplaceReplaceLbl	: "Bunla degistir:",
+DlgReplaceCaseChk		: "Büyük/küçük harf duyarli",
+DlgReplaceReplaceBtn	: "Degistir",
+DlgReplaceReplAllBtn	: "Tümünü Degistir",
+DlgReplaceWordChk		: "Kelimenin tamami uysun",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Gezgin yaziliminizin güvenlik ayarlari editörün otomatik yapistirma islemine izin vermiyor. Islem için (Ctrl+V) tuslarini kullanin.",
+PasteErrorCut	: "Gezgin yaziliminizin güvenlik ayarlari editörün otomatik kesme islemine izin vermiyor. Islem için (Ctrl+X) tuslarini kullanin.",
+PasteErrorCopy	: "Gezgin yaziliminizin güvenlik ayarlari editörün otomatik kopyalama islemine izin vermiyor. Islem için (Ctrl+C) tuslarini kullanin.",
+
+PasteAsText		: "Düz Metin Olarak Yapistir",
+PasteFromWord	: "Word'den yapistir",
+
+DlgPasteMsg		: "Gezgin yaziliminizin <STRONG>güvenlik ayarlari</STRONG> editörün otomatik yapistirma islemine izin vermiyor.<BR>Lütfen yandaki kutuya klavyenin (<STRONG>Ctrl+V</STRONG>) tuslarini kullanarak yapistirin ve <STRONG>Tamam</STRONG>'a basin.",
+
+// Color Picker
+ColorAutomatic	: "Otomatik",
+ColorMoreColors	: "Diger renkler...",
+
+// Document Properties
+DocProps		: "Doküman Özellikleri",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Çapa Özellikleri",
+DlgAnchorName		: "Çapa Ismi",
+DlgAnchorErrorName	: "Lütfen çapa için isim giriniz",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Sözlükte Yok",
+DlgSpellChangeTo		: "Suna degistir:",
+DlgSpellBtnIgnore		: "Yoksay",
+DlgSpellBtnIgnoreAll	: "Tümünü Yoksay",
+DlgSpellBtnReplace		: "Degistir",
+DlgSpellBtnReplaceAll	: "Tümünü Degistir",
+DlgSpellBtnUndo			: "Geri Al",
+DlgSpellNoSuggestions	: "- Öneri Yok -",
+DlgSpellProgress		: "Yazim denetimi islemde...",
+DlgSpellNoMispell		: "Yazim denetimi tamamlandi: Yanlis yazima raslanmadi",
+DlgSpellNoChanges		: "Yazim denetimi tamamlandi: Hiçbir kelime degistirilmedi",
+DlgSpellOneChange		: "Yazim denetimi tamamlandi: Bir kelime degistirildi",
+DlgSpellManyChanges		: "Yazim denetimi tamamlandi: %1 kelime degistirildi",
+
+IeSpellDownload			: "Yazim denetimi yüklenmemis. Simdi yüklemek ister misiniz?",
+
+// Button Dialog
+DlgButtonText	: "Metin (Deger)",
+DlgButtonType	: "Tip",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Isim",
+DlgCheckboxValue	: "Deger",
+DlgCheckboxSelected	: "Seçili",
+
+// Form Dialog
+DlgFormName		: "Isim",
+DlgFormAction	: "Islem",
+DlgFormMethod	: "Metod",
+
+// Select Field Dialog
+DlgSelectName		: "Isim",
+DlgSelectValue		: "Deger",
+DlgSelectSize		: "Boyut",
+DlgSelectLines		: "satir",
+DlgSelectChkMulti	: "Çoklu seçime izin ver",
+DlgSelectOpAvail	: "Mevcut Seçenekler",
+DlgSelectOpText		: "Metin",
+DlgSelectOpValue	: "Deger",
+DlgSelectBtnAdd		: "Ekle",
+DlgSelectBtnModify	: "Düzenle",
+DlgSelectBtnUp		: "Yukari",
+DlgSelectBtnDown	: "Asagi",
+DlgSelectBtnSetValue : "Seçili deger olarak ata",
+DlgSelectBtnDelete	: "Sil",
+
+// Textarea Dialog
+DlgTextareaName	: "Isim",
+DlgTextareaCols	: "Sütunlar",
+DlgTextareaRows	: "Satirlar",
+
+// Text Field Dialog
+DlgTextName			: "Isim",
+DlgTextValue		: "Deger",
+DlgTextCharWidth	: "Karakter Genisligi",
+DlgTextMaxChars		: "En Fazla Karakter",
+DlgTextType			: "Tip",
+DlgTextTypeText		: "Metin",
+DlgTextTypePass		: "Sifre",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Isim",
+DlgHiddenValue	: "Deger",
+
+// Bulleted List Dialog
+BulletedListProp	: "Simgeli Liste Özellikleri",
+NumberedListProp	: "Numarali Liste Özellikleri",
+DlgLstType			: "Tip",
+DlgLstTypeCircle	: "Çember",
+DlgLstTypeDisk		: "Daire",
+DlgLstTypeSquare	: "Kare",
+DlgLstTypeNumbers	: "Sayilar (1, 2, 3)",
+DlgLstTypeLCase		: "Küçük Harfler (a, b, c)",
+DlgLstTypeUCase		: "Büyük Harfler (A, B, C)",
+DlgLstTypeSRoman	: "Küçük Romen Rakamlari (i, ii, iii)",
+DlgLstTypeLRoman	: "Büyük Romen Rakamlari (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Genel",
+DlgDocBackTab		: "Arka Plan",
+DlgDocColorsTab		: "Renler ve Mesafeler",
+DlgDocMetaTab		: "Tanim Bilgisi (Meta)",
+
+DlgDocPageTitle		: "Sayfa Basligi",
+DlgDocLangDir		: "Lisan Yönü",
+DlgDocLangDirLTR	: "Soldan Saga (LTR)",
+DlgDocLangDirRTL	: "Sagdan Sola (RTL)",
+DlgDocLangCode		: "Lisan Kodu",
+DlgDocCharSet		: "Karakter Kümesi Kodlamasi",
+DlgDocCharSetOther	: "Diger Karakter Kümesi Kodlamasi",
+
+DlgDocDocType		: "Doküman Türü Basligi",
+DlgDocDocTypeOther	: "Diger Doküman Türü Basligi",
+DlgDocIncXHTML		: "XHTML Bildirimlerini Dahil Et",
+DlgDocBgColor		: "Arka Plan Rengi",
+DlgDocBgImage		: "Arka Plan Resim URLsi",
+DlgDocBgNoScroll	: "Sabit Arka Plan",
+DlgDocCText			: "Metin",
+DlgDocCLink			: "Köprü",
+DlgDocCVisited		: "Görülmüs Köprü",
+DlgDocCActive		: "Aktif Köprü",
+DlgDocMargins		: "Kenar Bosluklari",
+DlgDocMaTop			: "Tepe",
+DlgDocMaLeft		: "Sol",
+DlgDocMaRight		: "Sag",
+DlgDocMaBottom		: "Alt",
+DlgDocMeIndex		: "Doküman Indeksleme Anahtar Kelimeleri (virgülle ayrilmis)",
+DlgDocMeDescr		: "Doküman Tanimi",
+DlgDocMeAuthor		: "Yazar",
+DlgDocMeCopy		: "Telif",
+DlgDocPreview		: "Ön Izleme",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "Hakkinda",
+DlgAboutBrowserInfoTab	: "Gezgin Bilgisi",
+DlgAboutVersion		: "versiyon",
+DlgAboutLicense		: "GNU Kisitli Kamu Lisansi (LGPL) kosullari altinda lisanslanmistir",
+DlgAboutInfo		: "Daha fazla bilgi için:"
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/uk.js soojung/libs/fckeditor/editor/lang/uk.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/uk.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/uk.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: uk.js
+ * 	Ukrainian language file.
+ * 
+ * File Authors:
+ * 		Alexander Pervak (pervak@gmail.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "Згорнути панель інструментів",
+ToolbarExpand		: "Розгорнути панель інструментів",
+
+// Toolbar Items and Context Menu
+Save				: "Зберегти",
+NewPage				: "Нова сторінка",
+Preview				: "Попередній перегляд",
+Cut					: "Вирізати",
+Copy				: "Копіювати",
+Paste				: "Вставити",
+PasteText			: "Вставити тільки текст",
+PasteWord			: "Вставити з Word",
+Print				: "Друк",
+SelectAll			: "Виділити все",
+RemoveFormat		: "Прибрати форматування",
+InsertLinkLbl		: "Посилання",
+InsertLink			: "Вставити/Редагувати посилання",
+RemoveLink			: "Знищити посилання",
+Anchor				: "Вставити/Редагувати якір",
+InsertImageLbl		: "Зображення",
+InsertImage			: "Вставити/Редагувати зображення",
+InsertTableLbl		: "Таблиця",
+InsertTable			: "Вставити/Редагувати таблицю",
+InsertLineLbl		: "Лінія",
+InsertLine			: "Вставити горизонтальну лінію",
+InsertSpecialCharLbl: "Спеціальний символ",
+InsertSpecialChar	: "Вставити спеціальний символ",
+InsertSmileyLbl		: "Смайлик",
+InsertSmiley		: "Вставити смайлик",
+About				: "Про FCKeditor",
+Bold				: "Жирний",
+Italic				: "Курсив",
+Underline			: "Підкреслений",
+StrikeThrough		: "Закреслений",
+Subscript			: "Підрядковий індекс",
+Superscript			: "Надрядковий индекс",
+LeftJustify			: "По лівому краю",
+CenterJustify		: "По центру",
+RightJustify		: "По правому краю",
+BlockJustify		: "По ширині",
+DecreaseIndent		: "Зменшити відступ",
+IncreaseIndent		: "Збільшити відступ",
+Undo				: "Повернути",
+Redo				: "Повторити",
+NumberedListLbl		: "Нумерований список",
+NumberedList		: "Вставити/Видалити нумерований список",
+BulletedListLbl		: "Маркований список",
+BulletedList		: "Вставити/Видалити маркований список",
+ShowTableBorders	: "Показати бордюри таблиці",
+ShowDetails			: "Показати деталі",
+Style				: "Стиль",
+FontFormat			: "Форматування",
+Font				: "Шрифт",
+FontSize			: "Розмір",
+TextColor			: "Колір тексту",
+BGColor				: "Колір фону",
+Source				: "Джерело",
+Find				: "Пошук",
+Replace				: "Заміна",
+SpellCheck			: "Перевірити орфографію",
+UniversalKeyboard	: "Універсальна клавіатура",
+
+Form			: "Форма",
+Checkbox		: "Флагова кнопка",
+RadioButton		: "Кнопка вибору",
+TextField		: "Текстове поле",
+Textarea		: "Текстова область",
+HiddenField		: "Приховане поле",
+Button			: "Кнопка",
+SelectionField	: "Список",
+ImageButton		: "Кнопка із зображенням",
+
+// Context Menu
+EditLink			: "Вставити посилання",
+InsertRow			: "Вставити строку",
+DeleteRows			: "Видалити строки",
+InsertColumn		: "Вставити колонку",
+DeleteColumns		: "Видалити колонки",
+InsertCell			: "Вставити комірку",
+DeleteCells			: "Видалити комірки",
+MergeCells			: "Об'єднати комірки",
+SplitCell			: "Роз'єднати комірку",
+CellProperties		: "Властивості комірки",
+TableProperties		: "Властивості таблиці",
+ImageProperties		: "Властивості зображення",
+
+AnchorProp			: "Властивості якоря",
+ButtonProp			: "Властивості кнопки",
+CheckboxProp		: "Властивості флагової кнопки",
+HiddenFieldProp		: "Властивості прихованого поля",
+RadioButtonProp		: "Властивості кнопки вибору",
+ImageButtonProp		: "Властивості кнопки із зображенням",
+TextFieldProp		: "Властивості текстового поля",
+SelectionFieldProp	: "Властивості списку",
+TextareaProp		: "Властивості текстової області",
+FormProp			: "Властивості форми",
+
+FontFormats			: "Нормальний;Форматований;Адреса;Заголовок 1;Заголовок 2;Заголовок 3;Заголовок 4;Заголовок 5;Заголовок 6",
+
+// Alerts and Messages
+ProcessingXHTML		: "Обробка XHTML. Зачекайте, будь ласка...",
+Done				: "Зроблено",
+PasteWordConfirm	: "Текст, що ви хочете вставити, схожий на копійований з Word. Ви хочете очистити його перед вставкою?",
+NotCompatiblePaste	: "Ця команда доступна для Internet Explorer версії 5.5 або вище. Ви хочете вставити без очищення?",
+UnknownToolbarItem	: "Невідомий елемент панелі інструментів \"%1\"",
+UnknownCommand		: "Невідоме ім'я команди \"%1\"",
+NotImplemented		: "Команда не реалізована",
+UnknownToolbarSet	: "Панель інструментів \"%1\" не існує",
+
+// Dialogs
+DlgBtnOK			: "ОК",
+DlgBtnCancel		: "Скасувати",
+DlgBtnClose			: "Зачинити",
+DlgBtnBrowseServer	: "Передивитися на сервері",
+DlgAdvancedTag		: "Розширений",
+DlgOpOther			: "&lt;Інше&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;не визначено&gt;",
+DlgGenId			: "Ідентифікатор",
+DlgGenLangDir		: "Напрямок мови",
+DlgGenLangDirLtr	: "Зліва на право (LTR)",
+DlgGenLangDirRtl	: "Зправа на ліво (RTL)",
+DlgGenLangCode		: "Мова",
+DlgGenAccessKey		: "Гаряча клавіша",
+DlgGenName			: "Им'я",
+DlgGenTabIndex		: "Послідовність переходу",
+DlgGenLongDescr		: "Довгий опис URL",
+DlgGenClass			: "Клас CSS",
+DlgGenTitle			: "Заголовок",
+DlgGenContType		: "Тип вмісту",
+DlgGenLinkCharset	: "Кодировка",
+DlgGenStyle			: "Стиль CSS",
+
+// Image Dialog
+DlgImgTitle			: "Властивості зображення",
+DlgImgInfoTab		: "Інформація про изображении",
+DlgImgBtnUpload		: "Надіслати на сервер",
+DlgImgURL			: "URL",
+DlgImgUpload		: "Закачати",
+DlgImgAlt			: "Альтернативний текст",
+DlgImgWidth			: "Ширина",
+DlgImgHeight		: "Висота",
+DlgImgLockRatio		: "Зберегти пропорції",
+DlgBtnResetSize		: "Скинути розмір",
+DlgImgBorder		: "Бордюр",
+DlgImgHSpace		: "Горизонтальний відступ",
+DlgImgVSpace		: "Вертикальний відступ",
+DlgImgAlign			: "Вирівнювання",
+DlgImgAlignLeft		: "По лівому краю",
+DlgImgAlignAbsBottom: "Абс по низу",
+DlgImgAlignAbsMiddle: "Абс по середині",
+DlgImgAlignBaseline	: "По базовій лінії",
+DlgImgAlignBottom	: "По низу",
+DlgImgAlignMiddle	: "По середині",
+DlgImgAlignRight	: "По правому краю",
+DlgImgAlignTextTop	: "Текст на верху",
+DlgImgAlignTop		: "По верху",
+DlgImgPreview		: "Попередній перегляд",
+DlgImgAlertUrl		: "Будь ласка, введіть URL зображення",
+DlgImgLinkTab		: "Посилання",
+
+// Link Dialog
+DlgLnkWindowTitle	: "Посилання",
+DlgLnkInfoTab		: "Інформація посилання",
+DlgLnkTargetTab		: "Ціль",
+
+DlgLnkType			: "Тип посилання",
+DlgLnkTypeURL		: "URL",
+DlgLnkTypeAnchor	: "Якір на цю сторінку",
+DlgLnkTypeEMail		: "Эл. пошта",
+DlgLnkProto			: "Протокол",
+DlgLnkProtoOther	: "&lt;інше&gt;",
+DlgLnkURL			: "URL",
+DlgLnkAnchorSel		: "Оберіть якір",
+DlgLnkAnchorByName	: "За ім'ям якоря",
+DlgLnkAnchorById	: "За ідентифікатором елемента",
+DlgLnkNoAnchors		: "&lt;Немає якорів доступних в цьому документі&gt;",
+DlgLnkEMail			: "Адреса ел. пошти",
+DlgLnkEMailSubject	: "Тема листа",
+DlgLnkEMailBody		: "Тіло повідомлення",
+DlgLnkUpload		: "Закачати",
+DlgLnkBtnUpload		: "Переслати на сервер",
+
+DlgLnkTarget		: "Ціль",
+DlgLnkTargetFrame	: "&lt;фрейм&gt;",
+DlgLnkTargetPopup	: "&lt;спливаюче вікно&gt;",
+DlgLnkTargetBlank	: "Нове вікно (_blank)",
+DlgLnkTargetParent	: "Батьківське вікно (_parent)",
+DlgLnkTargetSelf	: "Теж вікно (_self)",
+DlgLnkTargetTop		: "Найвище вікно (_top)",
+DlgLnkTargetFrameName	: "Ім'я целевого фрейма",
+DlgLnkPopWinName	: "Ім'я спливаючого вікна",
+DlgLnkPopWinFeat	: "Властивості спливаючого вікна",
+DlgLnkPopResize		: "Змінюється в розмірах",
+DlgLnkPopLocation	: "Панель локації",
+DlgLnkPopMenu		: "Панель меню",
+DlgLnkPopScroll		: "Полоси прокрутки",
+DlgLnkPopStatus		: "Строка статусу",
+DlgLnkPopToolbar	: "Панель інструментів",
+DlgLnkPopFullScrn	: "Повний екран (IE)",
+DlgLnkPopDependent	: "Залежний (Netscape)",
+DlgLnkPopWidth		: "Ширина",
+DlgLnkPopHeight		: "Висота",
+DlgLnkPopLeft		: "Позиція зліва",
+DlgLnkPopTop		: "Позиція зверху",
+
+DlnLnkMsgNoUrl		: "Будь ласка, занесіть URL посилання",
+DlnLnkMsgNoEMail	: "Будь ласка, занесіть адрес эл. почты",
+DlnLnkMsgNoAnchor	: "Будь ласка, оберіть якір",
+
+// Color Dialog
+DlgColorTitle		: "Оберіть колір",
+DlgColorBtnClear	: "Очистити",
+DlgColorHighlight	: "Підсвічений",
+DlgColorSelected	: "Обраний",
+
+// Smiley Dialog
+DlgSmileyTitle		: "Вставити смайлик",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "Оберіть спеціальний символ",
+
+// Table Dialog
+DlgTableTitle		: "Властивості таблиці",
+DlgTableRows		: "Строки",
+DlgTableColumns		: "Колонки",
+DlgTableBorder		: "Розмір бордюра",
+DlgTableAlign		: "Вирівнювання",
+DlgTableAlignNotSet	: "<Не вст.>",
+DlgTableAlignLeft	: "Зліва",
+DlgTableAlignCenter	: "По центру",
+DlgTableAlignRight	: "Зправа",
+DlgTableWidth		: "Ширина",
+DlgTableWidthPx		: "пікселів",
+DlgTableWidthPc		: "відсотків",
+DlgTableHeight		: "Висота",
+DlgTableCellSpace	: "Проміжок (spacing)",
+DlgTableCellPad		: "Відступ (padding)",
+DlgTableCaption		: "Заголовок",
+
+// Table Cell Dialog
+DlgCellTitle		: "Властивості комірки",
+DlgCellWidth		: "Ширина",
+DlgCellWidthPx		: "пікселів",
+DlgCellWidthPc		: "відсотків",
+DlgCellHeight		: "Висота",
+DlgCellWordWrap		: "Згортання текста",
+DlgCellWordWrapNotSet	: "<Не вст.>",
+DlgCellWordWrapYes	: "Так",
+DlgCellWordWrapNo	: "Ні",
+DlgCellHorAlign		: "Горизонтальне вирівнювання",
+DlgCellHorAlignNotSet	: "<Не вст.>",
+DlgCellHorAlignLeft	: "Зліва",
+DlgCellHorAlignCenter	: "По центру",
+DlgCellHorAlignRight: "Зправа",
+DlgCellVerAlign		: "Вертикальное вирівнювання",
+DlgCellVerAlignNotSet	: "<Не вст.>",
+DlgCellVerAlignTop	: "Зверху",
+DlgCellVerAlignMiddle	: "Посередині",
+DlgCellVerAlignBottom	: "Знизу",
+DlgCellVerAlignBaseline	: "По базовій лінії",
+DlgCellRowSpan		: "Діапазон строк (span)",
+DlgCellCollSpan		: "Діапазон колонок (span)",
+DlgCellBackColor	: "Колір фона",
+DlgCellBorderColor	: "Колір бордюра",
+DlgCellBtnSelect	: "Оберіть...",
+
+// Find Dialog
+DlgFindTitle		: "Пошук",
+DlgFindFindBtn		: "Пошук",
+DlgFindNotFoundMsg	: "Вказаний текст не знайдений.",
+
+// Replace Dialog
+DlgReplaceTitle			: "Замінити",
+DlgReplaceFindLbl		: "Шукати:",
+DlgReplaceReplaceLbl	: "Замінити на:",
+DlgReplaceCaseChk		: "Учитывать регистр",
+DlgReplaceReplaceBtn	: "Замінити",
+DlgReplaceReplAllBtn	: "Замінити все",
+DlgReplaceWordChk		: "Збіг цілих слів",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "Настройки безпеки вашого браузера не дозволяють редактору автоматично виконувати операції вставки. Будь ласка, використовуйте клавіатуру для цього (Ctrl+V).",
+PasteErrorCut	: "Настройки безпеки вашого браузера не дозволяють редактору автоматично виконувати операції вирізування. Будь ласка, використовуйте клавіатуру для цього (Ctrl+X).",
+PasteErrorCopy	: "Настройки безпеки вашого браузера не дозволяють редактору автоматично виконувати операції копіювання. Будь ласка, використовуйте клавіатуру для цього (Ctrl+C).",
+
+PasteAsText		: "Вставити тільки текст",
+PasteFromWord	: "Вставити з Word",
+
+DlgPasteMsg		: "Редактор не може автоматично виконати операцію вставки  внаслідок <STRONG>налаштування безпеки</STRONG> вашого браузера.<BR> Будь ласка, вставте текст в наступне поле введення, використовуючи клавіатуру (<STRONG>Ctrl+V</STRONG>),  і натисніть <STRONG>ОК</STRONG>.",
+
+// Color Picker
+ColorAutomatic	: "Автоматичний",
+ColorMoreColors	: "Кольори...",
+
+// Document Properties
+DocProps		: "Властивості документа",
+
+// Anchor Dialog
+DlgAnchorTitle		: "Властивості якоря",
+DlgAnchorName		: "Ім'я якоря",
+DlgAnchorErrorName	: "Будь ласка, занесіть ім'я якоря",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "Не має в словнику",
+DlgSpellChangeTo		: "Замінити на",
+DlgSpellBtnIgnore		: "Ігнорувати",
+DlgSpellBtnIgnoreAll	: "Ігнорувати все",
+DlgSpellBtnReplace		: "Замінити",
+DlgSpellBtnReplaceAll	: "Замінити все",
+DlgSpellBtnUndo			: "Назад",
+DlgSpellNoSuggestions	: "- Немає припущень -",
+DlgSpellProgress		: "Виконується перевірка орфографії...",
+DlgSpellNoMispell		: "Перевірку орфографії завершено: помилок не знайдено",
+DlgSpellNoChanges		: "Перевірку орфографії завершено: жодне слово не змінено",
+DlgSpellOneChange		: "Перевірку орфографії завершено: змінено одно слово",
+DlgSpellManyChanges		: "Перевірку орфографії завершено: 1% слів змінено",
+
+IeSpellDownload			: "Модуль перевірки орфографії не встановлено. Бажаєтн завантажити його зараз?",
+
+// Button Dialog
+DlgButtonText	: "Текст (Значення)",
+DlgButtonType	: "Тип",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "Ім'я",
+DlgCheckboxValue	: "Значення",
+DlgCheckboxSelected	: "Обрана",
+
+// Form Dialog
+DlgFormName		: "Ім'я",
+DlgFormAction	: "Дія",
+DlgFormMethod	: "Метод",
+
+// Select Field Dialog
+DlgSelectName		: "Ім'я",
+DlgSelectValue		: "Значення",
+DlgSelectSize		: "Розмір",
+DlgSelectLines		: "лінії",
+DlgSelectChkMulti	: "Дозволити обрання декількох позицій",
+DlgSelectOpAvail	: "Доступні варіанти",
+DlgSelectOpText		: "Текст",
+DlgSelectOpValue	: "Значення",
+DlgSelectBtnAdd		: "Добавити",
+DlgSelectBtnModify	: "Змінити",
+DlgSelectBtnUp		: "Вгору",
+DlgSelectBtnDown	: "Вниз",
+DlgSelectBtnSetValue : "Встановити як вибране значення",
+DlgSelectBtnDelete	: "Видалити",
+
+// Textarea Dialog
+DlgTextareaName	: "Ім'я",
+DlgTextareaCols	: "Колонки",
+DlgTextareaRows	: "Строки",
+
+// Text Field Dialog
+DlgTextName			: "Ім'я",
+DlgTextValue		: "Значення",
+DlgTextCharWidth	: "Ширина",
+DlgTextMaxChars		: "Макс. кіл-ть символів",
+DlgTextType			: "Тип",
+DlgTextTypeText		: "Текст",
+DlgTextTypePass		: "Пароль",
+
+// Hidden Field Dialog
+DlgHiddenName	: "Ім'я",
+DlgHiddenValue	: "Значення",
+
+// Bulleted List Dialog
+BulletedListProp	: "Властивості маркованого списка",
+NumberedListProp	: "Властивості нумерованного списка",
+DlgLstType			: "Тип",
+DlgLstTypeCircle	: "Коло",
+DlgLstTypeDisk		: "Диск",
+DlgLstTypeSquare	: "Квадрат",
+DlgLstTypeNumbers	: "Номери (1, 2, 3)",
+DlgLstTypeLCase		: "Літери нижнього регістра(a, b, c)",
+DlgLstTypeUCase		: "Літери ВЕРХНЬОГО РЕГІСТРА (A, B, C)",
+DlgLstTypeSRoman	: "Малі римські літери (i, ii, iii)",
+DlgLstTypeLRoman	: "Великі римські літери (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "Загальні",
+DlgDocBackTab		: "Заднє тло",
+DlgDocColorsTab		: "Кольори та відступи",
+DlgDocMetaTab		: "Мета дані",
+
+DlgDocPageTitle		: "Заголовок сторінки",
+DlgDocLangDir		: "Напрямок тексту",
+DlgDocLangDirLTR	: "Зліва на право (LTR)",
+DlgDocLangDirRTL	: "Зправа на лево (RTL)",
+DlgDocLangCode		: "Код мови",
+DlgDocCharSet		: "Кодування набору символів",
+DlgDocCharSetOther	: "Інше кодування набору символів",
+
+DlgDocDocType		: "Заголовок типу документу",
+DlgDocDocTypeOther	: "Інший заголовок типу документу",
+DlgDocIncXHTML		: "Ввімкнути XHTML оголошення",
+DlgDocBgColor		: "Колір тла",
+DlgDocBgImage		: "URL зображення тла",
+DlgDocBgNoScroll	: "Тло без прокрутки",
+DlgDocCText			: "Текст",
+DlgDocCLink			: "Посилання",
+DlgDocCVisited		: "Відвідане посилання",
+DlgDocCActive		: "Активне посилання",
+DlgDocMargins		: "Відступи сторінки",
+DlgDocMaTop			: "Верхній",
+DlgDocMaLeft		: "Лівий",
+DlgDocMaRight		: "Правий",
+DlgDocMaBottom		: "Нижній",
+DlgDocMeIndex		: "Ключові слова документа (розділені комами)",
+DlgDocMeDescr		: "Опис документа",
+DlgDocMeAuthor		: "Автор",
+DlgDocMeCopy		: "Авторські права",
+DlgDocPreview		: "Попередній перегляд",
+
+// Templates Dialog
+Templates			: "Шаблони",
+DlgTemplatesTitle	: "Шаблони змісту",
+DlgTemplatesSelMsg	: "Оберіть, будь ласка, шаблон для відкриття в редакторі<br>(поточний зміст буде втрачено):",
+DlgTemplatesLoading	: "Завантаження списку шаблонів. Зачекайте, будь ласка...",
+DlgTemplatesNoTpl	: "(Не визначено жодного шаблону)",
+
+// About Dialog
+DlgAboutAboutTab	: "Про програму",
+DlgAboutBrowserInfoTab	: "Інформація браузера",
+DlgAboutVersion		: "Версія",
+DlgAboutLicense		: "Ліцензовано згідно умовам GNU Lesser General Public License",
+DlgAboutInfo		: "Додаткову інформацію дивіться на "
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/zh-cn.js soojung/libs/fckeditor/editor/lang/zh-cn.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/zh-cn.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/zh-cn.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: zh-cn.js
+ * 	Chinese Simplified language file.
+ * 
+ * File Authors:
+ * 		NetRube (NetRube@126.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "折叠工具栏",
+ToolbarExpand		: "展开工具栏",
+
+// Toolbar Items and Context Menu
+Save				: "保存",
+NewPage				: "新建",
+Preview				: "预览",
+Cut					: "剪切",
+Copy				: "复制",
+Paste				: "粘贴",
+PasteText			: "粘贴为无格式文本",
+PasteWord			: "从 MS Word 粘贴",
+Print				: "打印",
+SelectAll			: "全选",
+RemoveFormat		: "清除格式",
+InsertLinkLbl		: "超链接",
+InsertLink			: "插入/编辑超链接",
+RemoveLink			: "取消超链接",
+Anchor				: "插入/编辑锚点链接",
+InsertImageLbl		: "图象",
+InsertImage			: "插入/编辑图象",
+InsertTableLbl		: "表格",
+InsertTable			: "插入/编辑表格",
+InsertLineLbl		: "水平线",
+InsertLine			: "插入水平线",
+InsertSpecialCharLbl: "特殊符号",
+InsertSpecialChar	: "插入特殊符号",
+InsertSmileyLbl		: "图释",
+InsertSmiley		: "插入图释",
+About				: "关于 FCKeditor",
+Bold				: "加粗",
+Italic				: "倾斜",
+Underline			: "下划线",
+StrikeThrough		: "删除线",
+Subscript			: "下标",
+Superscript			: "上标",
+LeftJustify			: "左对齐",
+CenterJustify		: "居中对齐",
+RightJustify		: "右对齐",
+BlockJustify		: "两端对齐",
+DecreaseIndent		: "减少缩进量",
+IncreaseIndent		: "增加缩进量",
+Undo				: "撤消",
+Redo				: "重做",
+NumberedListLbl		: "编号列表",
+NumberedList		: "插入/删除编号列表",
+BulletedListLbl		: "项目列表",
+BulletedList		: "插入/删除项目列表",
+ShowTableBorders	: "显示表格边框",
+ShowDetails			: "显示详细资料",
+Style				: "样式",
+FontFormat			: "格式",
+Font				: "字体",
+FontSize			: "大小",
+TextColor			: "文本颜色",
+BGColor				: "背景颜色",
+Source				: "代码",
+Find				: "查找",
+Replace				: "替换",
+SpellCheck			: "拼写检查",
+UniversalKeyboard	: "软键盘",
+
+Form			: "表单",
+Checkbox		: "复选框",
+RadioButton		: "单选按钮",
+TextField		: "单行文本",
+Textarea		: "多行文本",
+HiddenField		: "隐藏域",
+Button			: "按钮",
+SelectionField	: "列表/菜单",
+ImageButton		: "图像域",
+
+// Context Menu
+EditLink			: "编辑超链接",
+InsertRow			: "插入行",
+DeleteRows			: "删除行",
+InsertColumn		: "插入列",
+DeleteColumns		: "删除列",
+InsertCell			: "插入单元格",
+DeleteCells			: "删除单元格",
+MergeCells			: "合并单元格",
+SplitCell			: "拆分单元格",
+CellProperties		: "单元格属性",
+TableProperties		: "表格属性",
+ImageProperties		: "图象属性",
+
+AnchorProp			: "锚点链接属性",
+ButtonProp			: "按钮属性",
+CheckboxProp		: "复选框属性",
+HiddenFieldProp		: "隐藏域属性",
+RadioButtonProp		: "单选按钮属性",
+ImageButtonProp		: "图像域属性",
+TextFieldProp		: "单行文本属性",
+SelectionFieldProp	: "菜单/列表属性",
+TextareaProp		: "多行文本属性",
+FormProp			: "表单属性",
+
+FontFormats			: "普通;带格式的;地址;标题 1;标题 2;标题 3;标题 4;标题 5;标题 6;段落(DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "正在处理 XHTML，请稍等...",
+Done				: "完成",
+PasteWordConfirm	: "您要粘贴的内容好像是来自 MS Word，是否要清除 MS Word 格式后再粘贴？",
+NotCompatiblePaste	: "该命令需要 Internet Explorer 5.5 或更高版本的支持，是否按常规粘贴进行？",
+UnknownToolbarItem	: "未知工具栏项目 \"%1\"",
+UnknownCommand		: "未知命令名称 \"%1\"",
+NotImplemented		: "命令无法执行",
+UnknownToolbarSet	: "工具栏设置 \"%1\" 不存在",
+
+// Dialogs
+DlgBtnOK			: "确定",
+DlgBtnCancel		: "取消",
+DlgBtnClose			: "关闭",
+DlgBtnBrowseServer	: "浏览服务器",
+DlgAdvancedTag		: "高级",
+DlgOpOther			: "&lt;其它&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;没有设置&gt;",
+DlgGenId			: "ID",
+DlgGenLangDir		: "语言方向",
+DlgGenLangDirLtr	: "从左到右 (LTR)",
+DlgGenLangDirRtl	: "从右到左 (RTL)",
+DlgGenLangCode		: "语言代码",
+DlgGenAccessKey		: "访问键",
+DlgGenName			: "名称",
+DlgGenTabIndex		: "Tab 键次序",
+DlgGenLongDescr		: "详细说明地址",
+DlgGenClass			: "样式类",
+DlgGenTitle			: "标题",
+DlgGenContType		: "类型",
+DlgGenLinkCharset	: "编码",
+DlgGenStyle			: "样式",
+
+// Image Dialog
+DlgImgTitle			: "图象属性",
+DlgImgInfoTab		: "图象",
+DlgImgBtnUpload		: "发送到服务器上",
+DlgImgURL			: "源文件",
+DlgImgUpload		: "上传",
+DlgImgAlt			: "替换文本",
+DlgImgWidth			: "宽度",
+DlgImgHeight		: "高度",
+DlgImgLockRatio		: "锁定比例",
+DlgBtnResetSize		: "恢复尺寸",
+DlgImgBorder		: "边框大小",
+DlgImgHSpace		: "水平间距",
+DlgImgVSpace		: "垂直间距",
+DlgImgAlign			: "对齐方式",
+DlgImgAlignLeft		: "左对齐",
+DlgImgAlignAbsBottom: "绝对底边",
+DlgImgAlignAbsMiddle: "绝对居中",
+DlgImgAlignBaseline	: "基线",
+DlgImgAlignBottom	: "底边",
+DlgImgAlignMiddle	: "居中",
+DlgImgAlignRight	: "右对齐",
+DlgImgAlignTextTop	: "文本上方",
+DlgImgAlignTop		: "顶端",
+DlgImgPreview		: "预览",
+DlgImgAlertUrl		: "请输入图象地址",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "超链接",
+DlgLnkInfoTab		: "超链接信息",
+DlgLnkTargetTab		: "目标",
+
+DlgLnkType			: "超链接类型",
+DlgLnkTypeURL		: "网址",
+DlgLnkTypeAnchor	: "页内锚点链接",
+DlgLnkTypeEMail		: "电子邮件",
+DlgLnkProto			: "协议",
+DlgLnkProtoOther	: "&lt;其它&gt;",
+DlgLnkURL			: "地址",
+DlgLnkAnchorSel		: "选择一个锚点",
+DlgLnkAnchorByName	: "按锚点名称",
+DlgLnkAnchorById	: "按锚点 ID",
+DlgLnkNoAnchors		: "&lt;此文档没有可用的锚点&gt;",
+DlgLnkEMail			: "地址",
+DlgLnkEMailSubject	: "主题",
+DlgLnkEMailBody		: "内容",
+DlgLnkUpload		: "上传",
+DlgLnkBtnUpload		: "发送到服务器上",
+
+DlgLnkTarget		: "目标",
+DlgLnkTargetFrame	: "&lt;框架&gt;",
+DlgLnkTargetPopup	: "&lt;弹出窗口&gt;",
+DlgLnkTargetBlank	: "新窗口 (_blank)",
+DlgLnkTargetParent	: "父窗口 (_parent)",
+DlgLnkTargetSelf	: "本窗口 (_self)",
+DlgLnkTargetTop		: "整页 (_top)",
+DlgLnkTargetFrameName	: "目标框架名称",
+DlgLnkPopWinName	: "弹出窗口名称",
+DlgLnkPopWinFeat	: "弹出窗口属性",
+DlgLnkPopResize		: "调整大小",
+DlgLnkPopLocation	: "地址栏",
+DlgLnkPopMenu		: "菜单栏",
+DlgLnkPopScroll		: "滚动条",
+DlgLnkPopStatus		: "状态栏",
+DlgLnkPopToolbar	: "工具栏",
+DlgLnkPopFullScrn	: "全屏 (IE)",
+DlgLnkPopDependent	: "依附 (NS)",
+DlgLnkPopWidth		: "宽",
+DlgLnkPopHeight		: "高",
+DlgLnkPopLeft		: "左",
+DlgLnkPopTop		: "右",
+
+DlnLnkMsgNoUrl		: "请输入超链接地址",
+DlnLnkMsgNoEMail	: "请输入电子邮件地址",
+DlnLnkMsgNoAnchor	: "请选择一个锚点",
+
+// Color Dialog
+DlgColorTitle		: "选择颜色",
+DlgColorBtnClear	: "清除",
+DlgColorHighlight	: "预览",
+DlgColorSelected	: "选择",
+
+// Smiley Dialog
+DlgSmileyTitle		: "插入一个图释",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "选择特殊符号",
+
+// Table Dialog
+DlgTableTitle		: "表格属性",
+DlgTableRows		: "行数",
+DlgTableColumns		: "列数",
+DlgTableBorder		: "边框",
+DlgTableAlign		: "对齐",
+DlgTableAlignNotSet	: "&lt;没有设置&gt;",
+DlgTableAlignLeft	: "左对齐",
+DlgTableAlignCenter	: "居中",
+DlgTableAlignRight	: "右对齐",
+DlgTableWidth		: "宽度",
+DlgTableWidthPx		: "像素",
+DlgTableWidthPc		: "百分比",
+DlgTableHeight		: "高度",
+DlgTableCellSpace	: "间距",
+DlgTableCellPad		: "边距",
+DlgTableCaption		: "标题",
+
+// Table Cell Dialog
+DlgCellTitle		: "单元格属性",
+DlgCellWidth		: "宽度",
+DlgCellWidthPx		: "像素",
+DlgCellWidthPc		: "百分比",
+DlgCellHeight		: "高度",
+DlgCellWordWrap		: "自动换行",
+DlgCellWordWrapNotSet	: "&lt;没有设置&gt;",
+DlgCellWordWrapYes	: "是",
+DlgCellWordWrapNo	: "否",
+DlgCellHorAlign		: "水平对齐",
+DlgCellHorAlignNotSet	: "&lt;没有设置&gt;",
+DlgCellHorAlignLeft	: "左对齐",
+DlgCellHorAlignCenter	: "居中",
+DlgCellHorAlignRight: "右对齐",
+DlgCellVerAlign		: "垂直对齐",
+DlgCellVerAlignNotSet	: "&lt;没有设置&gt;",
+DlgCellVerAlignTop	: "顶端",
+DlgCellVerAlignMiddle	: "居中",
+DlgCellVerAlignBottom	: "底部",
+DlgCellVerAlignBaseline	: "基线",
+DlgCellRowSpan		: "纵跨行数",
+DlgCellCollSpan		: "横跨列数",
+DlgCellBackColor	: "背景颜色",
+DlgCellBorderColor	: "边框颜色",
+DlgCellBtnSelect	: "选择...",
+
+// Find Dialog
+DlgFindTitle		: "查找",
+DlgFindFindBtn		: "查找",
+DlgFindNotFoundMsg	: "指定文本没有找到。",
+
+// Replace Dialog
+DlgReplaceTitle			: "替换",
+DlgReplaceFindLbl		: "查找:",
+DlgReplaceReplaceLbl	: "替换:",
+DlgReplaceCaseChk		: "区分大小写",
+DlgReplaceReplaceBtn	: "替换",
+DlgReplaceReplAllBtn	: "全部替换",
+DlgReplaceWordChk		: "全字匹配",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "您的浏览器安全设置不允许编辑器自动执行粘贴操作，请使用键盘快捷键(Ctrl+V)来完成。",
+PasteErrorCut	: "您的浏览器安全设置不允许编辑器自动执行剪切操作，请使用键盘快捷键(Ctrl+X)来完成。",
+PasteErrorCopy	: "您的浏览器安全设置不允许编辑器自动执行复制操作，请使用键盘快捷键(Ctrl+C)来完成。",
+
+PasteAsText		: "粘贴为无格式文本",
+PasteFromWord	: "从 MS Word 粘贴",
+
+DlgPasteMsg		: "因为您的浏览器编辑器 <STRONG>安全设置</STRONG> 原因，不能自动执行粘贴。<BR>请使用键盘快捷键(<STRONG>Ctrl+V</STRONG>)粘贴到下面并按 <STRONG>确定</STRONG>。",
+
+// Color Picker
+ColorAutomatic	: "自动",
+ColorMoreColors	: "其它颜色...",
+
+// Document Properties
+DocProps		: "页面属性",
+
+// Anchor Dialog
+DlgAnchorTitle		: "命名锚点",
+DlgAnchorName		: "锚点名称",
+DlgAnchorErrorName	: "请输入锚点名称",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "没有在字典里",
+DlgSpellChangeTo		: "更改为",
+DlgSpellBtnIgnore		: "忽略",
+DlgSpellBtnIgnoreAll	: "全部忽略",
+DlgSpellBtnReplace		: "替换",
+DlgSpellBtnReplaceAll	: "全部替换",
+DlgSpellBtnUndo			: "撤消",
+DlgSpellNoSuggestions	: "- 没有建议 -",
+DlgSpellProgress		: "正在进行拼写检查...",
+DlgSpellNoMispell		: "拼写检查完成：没有发现拼写错误",
+DlgSpellNoChanges		: "拼写检查完成：没有更改任何单词",
+DlgSpellOneChange		: "拼写检查完成：更改了一个单词",
+DlgSpellManyChanges		: "拼写检查完成：更改了 %1 个单词",
+
+IeSpellDownload			: "拼写检查插件还没安装，你是否想现在就下载？",
+
+// Button Dialog
+DlgButtonText	: "标签(值)",
+DlgButtonType	: "类型",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "名称",
+DlgCheckboxValue	: "选定值",
+DlgCheckboxSelected	: "已勾选",
+
+// Form Dialog
+DlgFormName		: "名称",
+DlgFormAction	: "动作",
+DlgFormMethod	: "方法",
+
+// Select Field Dialog
+DlgSelectName		: "名称",
+DlgSelectValue		: "选定",
+DlgSelectSize		: "高度",
+DlgSelectLines		: "行",
+DlgSelectChkMulti	: "允许多选",
+DlgSelectOpAvail	: "列表值",
+DlgSelectOpText		: "标签",
+DlgSelectOpValue	: "值",
+DlgSelectBtnAdd		: "新增",
+DlgSelectBtnModify	: "修改",
+DlgSelectBtnUp		: "上移",
+DlgSelectBtnDown	: "下移",
+DlgSelectBtnSetValue : "设为初始化时选定",
+DlgSelectBtnDelete	: "删除",
+
+// Textarea Dialog
+DlgTextareaName	: "名称",
+DlgTextareaCols	: "字符宽度",
+DlgTextareaRows	: "行数",
+
+// Text Field Dialog
+DlgTextName			: "名称",
+DlgTextValue		: "值",
+DlgTextCharWidth	: "字符宽度",
+DlgTextMaxChars		: "最多字符数",
+DlgTextType			: "类型",
+DlgTextTypeText		: "文本",
+DlgTextTypePass		: "密码",
+
+// Hidden Field Dialog
+DlgHiddenName	: "名称",
+DlgHiddenValue	: "值",
+
+// Bulleted List Dialog
+BulletedListProp	: "项目列表属性",
+NumberedListProp	: "编号列表属性",
+DlgLstType			: "列表类型",
+DlgLstTypeCircle	: "圆圈",
+DlgLstTypeDisk		: "圆点",
+DlgLstTypeSquare	: "方块",
+DlgLstTypeNumbers	: "数字 (1, 2, 3)",
+DlgLstTypeLCase		: "小写字母 (a, b, c)",
+DlgLstTypeUCase		: "大写字母 (A, B, C)",
+DlgLstTypeSRoman	: "小写罗马数字 (i, ii, iii)",
+DlgLstTypeLRoman	: "大写罗马数字 (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "常规",
+DlgDocBackTab		: "背景",
+DlgDocColorsTab		: "颜色和边距",
+DlgDocMetaTab		: "Meta 数据",
+
+DlgDocPageTitle		: "页面标题",
+DlgDocLangDir		: "语言方向",
+DlgDocLangDirLTR	: "从左到右 (LTR)",
+DlgDocLangDirRTL	: "从右到左 (RTL)",
+DlgDocLangCode		: "语言代码",
+DlgDocCharSet		: "字符编码",
+DlgDocCharSetOther	: "其它字符编码",
+
+DlgDocDocType		: "文档类型",
+DlgDocDocTypeOther	: "其它文档类型",
+DlgDocIncXHTML		: "包含 XHTML 声明",
+DlgDocBgColor		: "背景颜色",
+DlgDocBgImage		: "背景图像",
+DlgDocBgNoScroll	: "不滚动背景图像",
+DlgDocCText			: "文本",
+DlgDocCLink			: "超链接",
+DlgDocCVisited		: "已访问的超链接",
+DlgDocCActive		: "活动超链接",
+DlgDocMargins		: "页面边距",
+DlgDocMaTop			: "上",
+DlgDocMaLeft		: "左",
+DlgDocMaRight		: "右",
+DlgDocMaBottom		: "下",
+DlgDocMeIndex		: "页面索引关键字 (用半角逗号[,]分隔)",
+DlgDocMeDescr		: "页面说明",
+DlgDocMeAuthor		: "作者",
+DlgDocMeCopy		: "版权",
+DlgDocPreview		: "预览",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "关于",
+DlgAboutBrowserInfoTab	: "浏览器信息",
+DlgAboutVersion		: "版本",
+DlgAboutLicense		: "基于 GNU 通用公共许可证授权发布 ",
+DlgAboutInfo		: "要获得更多信息请访问 "
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/lang/zh.js soojung/libs/fckeditor/editor/lang/zh.js
--- soojung-0.4.8/libs/fckeditor/editor/lang/zh.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/lang/zh.js	2005-06-11 10:27:10.000000000 +0900
@@ -0,0 +1,453 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: zh.js
+ * 	Chinese Traditional language file.
+ * 
+ * File Authors:
+ * 		NetRube (NetRube@126.com)
+ */
+
+var FCKLang =
+{
+// Language direction : "ltr" (left to right) or "rtl" (right to left).
+Dir					: "ltr",
+
+ToolbarCollapse		: "折疊工具欄",
+ToolbarExpand		: "展開工具欄",
+
+// Toolbar Items and Context Menu
+Save				: "儲存",
+NewPage				: "新建",
+Preview				: "預覽",
+Cut					: "剪切",
+Copy				: "拷貝",
+Paste				: "粘貼",
+PasteText			: "粘貼為無格式文本",
+PasteWord			: "從 MS Word 粘貼",
+Print				: "列印",
+SelectAll			: "全選",
+RemoveFormat		: "清除格式",
+InsertLinkLbl		: "超鏈結",
+InsertLink			: "插入/編輯超鏈結",
+RemoveLink			: "取消超鏈結",
+Anchor				: "插入/編輯錨點鏈結",
+InsertImageLbl		: "圖像",
+InsertImage			: "插入/編輯圖像",
+InsertTableLbl		: "表格",
+InsertTable			: "插入/編輯表格",
+InsertLineLbl		: "水平線",
+InsertLine			: "插入水平線",
+InsertSpecialCharLbl: "特殊符號",
+InsertSpecialChar	: "插入特殊符號",
+InsertSmileyLbl		: "圖釋",
+InsertSmiley		: "插入圖釋",
+About				: "關於 FCKeditor",
+Bold				: "加粗",
+Italic				: "傾斜",
+Underline			: "下劃線",
+StrikeThrough		: "刪除線",
+Subscript			: "下標",
+Superscript			: "上標",
+LeftJustify			: "左對齊",
+CenterJustify		: "居中對齊",
+RightJustify		: "右對齊",
+BlockJustify		: "兩端對齊",
+DecreaseIndent		: "減少縮進量",
+IncreaseIndent		: "增加縮進量",
+Undo				: "撤銷",
+Redo				: "重做",
+NumberedListLbl		: "編號列表",
+NumberedList		: "插入/刪除編號列表",
+BulletedListLbl		: "項目列表",
+BulletedList		: "插入/刪除項目列表",
+ShowTableBorders	: "顯示表格邊框",
+ShowDetails			: "顯示詳細資料",
+Style				: "樣式",
+FontFormat			: "格式",
+Font				: "字體",
+FontSize			: "尺寸",
+TextColor			: "文本顏色",
+BGColor				: "背景顏色",
+Source				: "代碼",
+Find				: "查找",
+Replace				: "替換",
+SpellCheck			: "拼寫檢查",
+UniversalKeyboard	: "軟鍵盤",
+
+Form			: "表單",
+Checkbox		: "核取方塊",
+RadioButton		: "單選按鈕",
+TextField		: "單行文本",
+Textarea		: "多行文本",
+HiddenField		: "隱藏域",
+Button			: "按鈕",
+SelectionField	: "列表/菜單",
+ImageButton		: "圖像域",
+
+// Context Menu
+EditLink			: "編輯超鏈結",
+InsertRow			: "插入行",
+DeleteRows			: "刪除行",
+InsertColumn		: "插入列",
+DeleteColumns		: "刪除列",
+InsertCell			: "插入單格",
+DeleteCells			: "刪除單格",
+MergeCells			: "合併單格",
+SplitCell			: "拆分單格",
+CellProperties		: "單格屬性",
+TableProperties		: "表格屬性",
+ImageProperties		: "圖像屬性",
+
+AnchorProp			: "錨點鏈結屬性",
+ButtonProp			: "按鈕屬性",
+CheckboxProp		: "核取方塊屬性",
+HiddenFieldProp		: "隱藏域屬性",
+RadioButtonProp		: "單選按鈕屬性",
+ImageButtonProp		: "圖像域屬性",
+TextFieldProp		: "單行文本屬性",
+SelectionFieldProp	: "功能表/列表屬性",
+TextareaProp		: "多行文本屬性",
+FormProp			: "表單屬性",
+
+FontFormats			: "普通;帶格式的;地址;標題 1;標題 2;標題 3;標題 4;標題 5;標題 6;段落(DIV)",
+
+// Alerts and Messages
+ProcessingXHTML		: "正在處理 XHTML，請稍等...",
+Done				: "完成",
+PasteWordConfirm	: "您要粘貼的內容好像是來自 MS Word，是否要清除 MS Word 格式後再粘貼？",
+NotCompatiblePaste	: "該命令需要 Internet Explorer 5.5 或更高版本的支持，是否按常規粘貼進行？",
+UnknownToolbarItem	: "未知工具欄項目 \"%1\"",
+UnknownCommand		: "未知命令名稱 \"%1\"",
+NotImplemented		: "命令無法執行",
+UnknownToolbarSet	: "工具欄設置 \"%1\" 不存在",
+
+// Dialogs
+DlgBtnOK			: "確定",
+DlgBtnCancel		: "取消",
+DlgBtnClose			: "關閉",
+DlgBtnBrowseServer	: "流覽伺服器",
+DlgAdvancedTag		: "進階",
+DlgOpOther			: "&lt;其他&gt;",
+
+// General Dialogs Labels
+DlgGenNotSet		: "&lt;沒有設置&gt;",
+DlgGenId			: "ID",
+DlgGenLangDir		: "語言方向",
+DlgGenLangDirLtr	: "自左到右 (LTR)",
+DlgGenLangDirRtl	: "自右到左 (RTL)",
+DlgGenLangCode		: "語言代碼",
+DlgGenAccessKey		: "訪問鍵",
+DlgGenName			: "名稱",
+DlgGenTabIndex		: "Tab 鍵次序",
+DlgGenLongDescr		: "詳細說明地址",
+DlgGenClass			: "樣式類",
+DlgGenTitle			: "標題",
+DlgGenContType		: "類型",
+DlgGenLinkCharset	: "編碼",
+DlgGenStyle			: "樣式",
+
+// Image Dialog
+DlgImgTitle			: "圖像屬性",
+DlgImgInfoTab		: "圖像",
+DlgImgBtnUpload		: "發送到伺服器上",
+DlgImgURL			: "源檔案",
+DlgImgUpload		: "上載",
+DlgImgAlt			: "替換文本",
+DlgImgWidth			: "寬度",
+DlgImgHeight		: "高度",
+DlgImgLockRatio		: "鎖定比例",
+DlgBtnResetSize		: "恢復尺寸",
+DlgImgBorder		: "邊框尺寸",
+DlgImgHSpace		: "水準間距",
+DlgImgVSpace		: "垂直間距",
+DlgImgAlign			: "對齊方式",
+DlgImgAlignLeft		: "左對齊",
+DlgImgAlignAbsBottom: "絕對底邊",
+DlgImgAlignAbsMiddle: "絕對居中",
+DlgImgAlignBaseline	: "基線",
+DlgImgAlignBottom	: "底邊",
+DlgImgAlignMiddle	: "居中",
+DlgImgAlignRight	: "右對齊",
+DlgImgAlignTextTop	: "文本上方",
+DlgImgAlignTop		: "頂端",
+DlgImgPreview		: "預覽",
+DlgImgAlertUrl		: "請輸入圖像位址",
+DlgImgLinkTab		: "Link",	//MISSING
+
+// Link Dialog
+DlgLnkWindowTitle	: "超鏈結",
+DlgLnkInfoTab		: "超鏈結資訊",
+DlgLnkTargetTab		: "目標",
+
+DlgLnkType			: "超鏈結類型",
+DlgLnkTypeURL		: "網址",
+DlgLnkTypeAnchor	: "頁內錨點鏈結",
+DlgLnkTypeEMail		: "電子郵件",
+DlgLnkProto			: "協議",
+DlgLnkProtoOther	: "&lt;其他&gt;",
+DlgLnkURL			: "地址",
+DlgLnkAnchorSel		: "選擇一個錨點",
+DlgLnkAnchorByName	: "按錨點名稱",
+DlgLnkAnchorById	: "按錨點 ID",
+DlgLnkNoAnchors		: "&lt;此文檔沒有可用的錨點&gt;",
+DlgLnkEMail			: "地址",
+DlgLnkEMailSubject	: "主題",
+DlgLnkEMailBody		: "內容",
+DlgLnkUpload		: "上载",
+DlgLnkBtnUpload		: "發送到伺服器上",
+
+DlgLnkTarget		: "目標",
+DlgLnkTargetFrame	: "&lt;框架&gt;",
+DlgLnkTargetPopup	: "&lt;彈出窗口&gt;",
+DlgLnkTargetBlank	: "新窗口 (_blank)",
+DlgLnkTargetParent	: "父窗口 (_parent)",
+DlgLnkTargetSelf	: "本窗口 (_self)",
+DlgLnkTargetTop		: "整頁 (_top)",
+DlgLnkTargetFrameName	: "目標框架名稱",
+DlgLnkPopWinName	: "彈出視窗名稱",
+DlgLnkPopWinFeat	: "彈出視窗屬性",
+DlgLnkPopResize		: "調整大小",
+DlgLnkPopLocation	: "地址欄",
+DlgLnkPopMenu		: "菜單欄",
+DlgLnkPopScroll		: "捲軸",
+DlgLnkPopStatus		: "狀態欄",
+DlgLnkPopToolbar	: "工具欄",
+DlgLnkPopFullScrn	: "全屏 (IE)",
+DlgLnkPopDependent	: "依附 (NS)",
+DlgLnkPopWidth		: "寬",
+DlgLnkPopHeight		: "高",
+DlgLnkPopLeft		: "左",
+DlgLnkPopTop		: "右",
+
+DlnLnkMsgNoUrl		: "請輸入超鏈結位址",
+DlnLnkMsgNoEMail	: "請輸入電子郵件位址",
+DlnLnkMsgNoAnchor	: "請選擇一個錨點",
+
+// Color Dialog
+DlgColorTitle		: "選擇顏色",
+DlgColorBtnClear	: "清除",
+DlgColorHighlight	: "預覽",
+DlgColorSelected	: "選擇",
+
+// Smiley Dialog
+DlgSmileyTitle		: "插入一個圖釋",
+
+// Special Character Dialog
+DlgSpecialCharTitle	: "選擇特殊符號",
+
+// Table Dialog
+DlgTableTitle		: "表格屬性",
+DlgTableRows		: "行數",
+DlgTableColumns		: "列數",
+DlgTableBorder		: "邊框",
+DlgTableAlign		: "對齊",
+DlgTableAlignNotSet	: "&lt;沒有設置&gt;",
+DlgTableAlignLeft	: "左對齊",
+DlgTableAlignCenter	: "居中",
+DlgTableAlignRight	: "右對齊",
+DlgTableWidth		: "寬度",
+DlgTableWidthPx		: "圖元",
+DlgTableWidthPc		: "百分比",
+DlgTableHeight		: "高度",
+DlgTableCellSpace	: "間距",
+DlgTableCellPad		: "邊距",
+DlgTableCaption		: "標題",
+
+// Table Cell Dialog
+DlgCellTitle		: "單格屬性",
+DlgCellWidth		: "寬度",
+DlgCellWidthPx		: "圖元",
+DlgCellWidthPc		: "百分比",
+DlgCellHeight		: "高度",
+DlgCellWordWrap		: "自動換行",
+DlgCellWordWrapNotSet	: "&lt;沒有設置&gt;",
+DlgCellWordWrapYes	: "是",
+DlgCellWordWrapNo	: "否",
+DlgCellHorAlign		: "水準對齊",
+DlgCellHorAlignNotSet	: "&lt;沒有設置&gt;",
+DlgCellHorAlignLeft	: "左對齊",
+DlgCellHorAlignCenter	: "居中",
+DlgCellHorAlignRight: "右對齊",
+DlgCellVerAlign		: "垂直對齊",
+DlgCellVerAlignNotSet	: "&lt;沒有設置&gt;",
+DlgCellVerAlignTop	: "頂端",
+DlgCellVerAlignMiddle	: "居中",
+DlgCellVerAlignBottom	: "底部",
+DlgCellVerAlignBaseline	: "基線",
+DlgCellRowSpan		: "縱跨行數",
+DlgCellCollSpan		: "橫跨列數",
+DlgCellBackColor	: "背景顏色",
+DlgCellBorderColor	: "邊框顏色",
+DlgCellBtnSelect	: "選擇...",
+
+// Find Dialog
+DlgFindTitle		: "查找",
+DlgFindFindBtn		: "查找",
+DlgFindNotFoundMsg	: "指定文本沒有找到。",
+
+// Replace Dialog
+DlgReplaceTitle			: "替換",
+DlgReplaceFindLbl		: "查找:",
+DlgReplaceReplaceLbl	: "替換:",
+DlgReplaceCaseChk		: "區分大小寫",
+DlgReplaceReplaceBtn	: "替換",
+DlgReplaceReplAllBtn	: "全部替換",
+DlgReplaceWordChk		: "全字匹配",
+
+// Paste Operations / Dialog
+PasteErrorPaste	: "您的流覽器安全設置不允許編輯器自動執行粘貼操作，請使用鍵盤快捷鍵(Ctrl+V)來完成。",
+PasteErrorCut	: "您的流覽器安全設置不允許編輯器自動執行剪切操作，請使用鍵盤快捷鍵(Ctrl+X)來完成。",
+PasteErrorCopy	: "您的流覽器安全設置不允許編輯器自動執行複製操作，請使用鍵盤快捷鍵(Ctrl+C)來完成。",
+
+PasteAsText		: "粘貼為無格式文本",
+PasteFromWord	: "從 MS Word 粘貼",
+
+DlgPasteMsg		: "因為您的流覽器編輯器 <STRONG>安全設置</STRONG> 原因，不能自動執行粘貼。<BR>請使用鍵盤快捷鍵(<STRONG>Ctrl+V</STRONG>)粘貼到下面並按 <STRONG>確定</STRONG>。",
+
+// Color Picker
+ColorAutomatic	: "自動",
+ColorMoreColors	: "其他顏色...",
+
+// Document Properties
+DocProps		: "頁面屬性",
+
+// Anchor Dialog
+DlgAnchorTitle		: "命名錨點",
+DlgAnchorName		: "錨點名稱",
+DlgAnchorErrorName	: "請輸入錨點名稱",
+
+// Speller Pages Dialog
+DlgSpellNotInDic		: "沒有在字典裏",
+DlgSpellChangeTo		: "更改為",
+DlgSpellBtnIgnore		: "忽略",
+DlgSpellBtnIgnoreAll	: "全部忽略",
+DlgSpellBtnReplace		: "替換",
+DlgSpellBtnReplaceAll	: "全部替換",
+DlgSpellBtnUndo			: "撤銷",
+DlgSpellNoSuggestions	: "- 沒有建議 -",
+DlgSpellProgress		: "正在進行拼寫檢查...",
+DlgSpellNoMispell		: "拼寫檢查完成：沒有發現拼寫錯誤",
+DlgSpellNoChanges		: "拼寫檢查完成：沒有更改任何單詞",
+DlgSpellOneChange		: "拼寫檢查完成：更改了一個單詞",
+DlgSpellManyChanges		: "拼寫檢查完成：更改了 %1 個單詞",
+
+IeSpellDownload			: "拼寫檢查插件還沒安裝，你是否想現在就下載？",
+
+// Button Dialog
+DlgButtonText	: "標籤(值)",
+DlgButtonType	: "類型",
+
+// Checkbox and Radio Button Dialogs
+DlgCheckboxName		: "名稱",
+DlgCheckboxValue	: "選定值",
+DlgCheckboxSelected	: "已勾選",
+
+// Form Dialog
+DlgFormName		: "名稱",
+DlgFormAction	: "動作",
+DlgFormMethod	: "方法",
+
+// Select Field Dialog
+DlgSelectName		: "名稱",
+DlgSelectValue		: "選定",
+DlgSelectSize		: "高度",
+DlgSelectLines		: "行",
+DlgSelectChkMulti	: "允許多選",
+DlgSelectOpAvail	: "列表值",
+DlgSelectOpText		: "標籤",
+DlgSelectOpValue	: "值",
+DlgSelectBtnAdd		: "新增",
+DlgSelectBtnModify	: "修改",
+DlgSelectBtnUp		: "上移",
+DlgSelectBtnDown	: "下移",
+DlgSelectBtnSetValue : "設為初始化時選定",
+DlgSelectBtnDelete	: "移除",
+
+// Textarea Dialog
+DlgTextareaName	: "名稱",
+DlgTextareaCols	: "字元寬度",
+DlgTextareaRows	: "行數",
+
+// Text Field Dialog
+DlgTextName			: "名稱",
+DlgTextValue		: "值",
+DlgTextCharWidth	: "字元寬度",
+DlgTextMaxChars		: "最多字元數",
+DlgTextType			: "類型",
+DlgTextTypeText		: "文本",
+DlgTextTypePass		: "密碼",
+
+// Hidden Field Dialog
+DlgHiddenName	: "名稱",
+DlgHiddenValue	: "值",
+
+// Bulleted List Dialog
+BulletedListProp	: "項目列表屬性",
+NumberedListProp	: "編號列表屬性",
+DlgLstType			: "列表類型",
+DlgLstTypeCircle	: "圓圈",
+DlgLstTypeDisk		: "圓點",
+DlgLstTypeSquare	: "方塊",
+DlgLstTypeNumbers	: "數字 (1, 2, 3)",
+DlgLstTypeLCase		: "小寫字母 (a, b, c)",
+DlgLstTypeUCase		: "大寫字母 (A, B, C)",
+DlgLstTypeSRoman	: "小寫羅馬數字 (i, ii, iii)",
+DlgLstTypeLRoman	: "大寫羅馬數字 (I, II, III)",
+
+// Document Properties Dialog
+DlgDocGeneralTab	: "常規",
+DlgDocBackTab		: "背景",
+DlgDocColorsTab		: "顏色和邊距",
+DlgDocMetaTab		: "Meta 資料",
+
+DlgDocPageTitle		: "頁面標題",
+DlgDocLangDir		: "語言方向",
+DlgDocLangDirLTR	: "從左到右 (LTR)",
+DlgDocLangDirRTL	: "從右到左 (RTL)",
+DlgDocLangCode		: "語言代碼",
+DlgDocCharSet		: "字元編碼",
+DlgDocCharSetOther	: "其他字元編碼",
+
+DlgDocDocType		: "文檔類型",
+DlgDocDocTypeOther	: "其他文檔類型",
+DlgDocIncXHTML		: "包含 XHTML 聲明",
+DlgDocBgColor		: "背景顏色",
+DlgDocBgImage		: "背景圖像",
+DlgDocBgNoScroll	: "不滾動背景圖像",
+DlgDocCText			: "文本",
+DlgDocCLink			: "超鏈結",
+DlgDocCVisited		: "已訪問的超鏈結",
+DlgDocCActive		: "活動超鏈結",
+DlgDocMargins		: "頁面邊距",
+DlgDocMaTop			: "上",
+DlgDocMaLeft		: "左",
+DlgDocMaRight		: "右",
+DlgDocMaBottom		: "下",
+DlgDocMeIndex		: "頁面索引關鍵字 (用半形逗號[,]分隔)",
+DlgDocMeDescr		: "頁面說明",
+DlgDocMeAuthor		: "作者",
+DlgDocMeCopy		: "版權",
+DlgDocPreview		: "預覽",
+
+// Templates Dialog
+Templates			: "Templates",	//MISSING
+DlgTemplatesTitle	: "Content Templates",	//MISSING
+DlgTemplatesSelMsg	: "Please select the template to open in the editor<br>(the actual contents will be lost):",	//MISSING
+DlgTemplatesLoading	: "Loading templates list. Please wait...",	//MISSING
+DlgTemplatesNoTpl	: "(No templates defined)",	//MISSING
+
+// About Dialog
+DlgAboutAboutTab	: "關於",
+DlgAboutBrowserInfoTab	: "流覽器資訊",
+DlgAboutVersion		: "版本",
+DlgAboutLicense		: "基於 GNU 通用公共許可證授權發佈 ",
+DlgAboutInfo		: "要獲得更多資訊請訪問 "
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/plugins/placeholder/fck_placeholder.html soojung/libs/fckeditor/editor/plugins/placeholder/fck_placeholder.html
--- soojung-0.4.8/libs/fckeditor/editor/plugins/placeholder/fck_placeholder.html	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/plugins/placeholder/fck_placeholder.html	2005-06-11 10:27:23.000000000 +0900
@@ -0,0 +1,92 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_placeholder.html
+ * 	Placeholder Plugin.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<html>
+	<head>
+		<title>Placeholder Properties</title>
+		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+		<meta content="noindex, nofollow" name="robots">
+		<script language="javascript">
+
+var oEditor = window.parent.InnerDialogLoaded() ;
+var FCKLang = oEditor.FCKLang ;
+var FCKPlaceholders = oEditor.FCKPlaceholders ;
+
+window.onload = function ()
+{
+	// First of all, translate the dialog box texts
+	oEditor.FCKLanguageManager.TranslatePage( document ) ;
+	
+	LoadSelected() ;
+	
+	// Show the "Ok" button.
+	window.parent.SetOkButton( true ) ;	
+}
+
+var eSelected = oEditor.FCKSelection.GetSelectedElement() ;
+
+function LoadSelected()
+{
+	if ( !eSelected )
+		return ;
+
+	if ( eSelected.tagName == 'SPAN' && eSelected._fckplaceholder )
+		txtName.value = eSelected._fckplaceholder ;
+	else
+		eSelected == null ;
+}
+
+function Ok()
+{
+	if ( eSelected && eSelected._fckplaceholder == document.getElementById('txtName').value )
+		return true ;
+
+	if ( document.getElementById('txtName').value.length == 0 )
+	{
+		alert( FCKLang.PlaceholderErrNoName ) ;
+		return false ;
+	}
+	
+	if ( FCKPlaceholders.Exist( document.getElementById('txtName').value ) )
+	{
+		alert( FCKLang.PlaceholderErrNameInUse ) ;
+		return false ;
+	}
+
+	FCKPlaceholders.Add( txtName.value ) ;
+	return true ;
+}
+
+		</script>
+	</head>
+	<body scroll="no" style="OVERFLOW: hidden">
+		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+			<tr>
+				<td>
+					<table cellSpacing="0" cellPadding="0" align="center" border="0">
+						<tr>
+							<td>
+								<span fckLang="PlaceholderDlgName">Placeholder Name</span><br>
+								<input id="txtName" type="text">
+							</td>
+						</tr>
+					</table>
+				</td>
+			</tr>
+		</table>
+	</body>
+</html>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/plugins/placeholder/fckplugin.js soojung/libs/fckeditor/editor/plugins/placeholder/fckplugin.js
--- soojung-0.4.8/libs/fckeditor/editor/plugins/placeholder/fckplugin.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/plugins/placeholder/fckplugin.js	2005-06-11 10:27:23.000000000 +0900
@@ -0,0 +1,175 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fckplugin.js
+ * 	Plugin to insert "Placeholders" in the editor.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+// Register the related command.
+FCKCommands.RegisterCommand( 'Placeholder', new FCKDialogCommand( 'Placeholder', FCKLang.PlaceholderDlgTitle, FCKPlugins.Items['placeholder'].Path + 'fck_placeholder.html', 340, 170 ) ) ;
+
+// Create the "Plaholder" toolbar button.
+var oPlaceholderItem = new FCKToolbarButton( 'Placeholder', FCKLang.PlaceholderBtn ) ;
+oPlaceholderItem.IconPath = FCKPlugins.Items['placeholder'].Path + 'placeholder.gif' ;
+FCKToolbarItems.RegisterItem( 'Placeholder', oPlaceholderItem ) ;
+
+
+// The object used for all Placeholder operations.
+var FCKPlaceholders = new Object() ;
+
+// Add a new placeholder at the actual selection.
+FCKPlaceholders.Add = function( name )
+{
+	var oSpan = FCK.CreateElement( 'SPAN' ) ;
+	this.SetupSpan( oSpan, name ) ;
+}
+
+FCKPlaceholders.SetupSpan = function( span, name )
+{
+	span.innerHTML = '[[ ' + name + ' ]]' ;
+
+	span.style.backgroundColor = '#ffff00' ;
+	span.style.color = '#000000' ;
+
+	if ( FCKBrowserInfo.IsGecko )
+		span.style.cursor = 'default' ;
+
+	span._fckplaceholder = name ;
+	span.contentEditable = false ;
+
+	// To avoid it to be resized.
+	span.onresizestart = function()
+	{
+		FCK.EditorWindow.event.returnValue = false ;
+		return false ;
+	}
+}
+
+// On Gecko we must do this trick so the user select all the SPAN when clicking on it.
+FCKPlaceholders._SetupClickListener = function()
+{
+	FCKPlaceholders._ClickListener = function( e )
+	{
+		if ( e.target.tagName == 'SPAN' && e.target._fckplaceholder )
+			FCKSelection.SelectNode( e.target ) ;
+	}
+
+	FCK.EditorDocument.addEventListener( 'click', FCKPlaceholders._ClickListener, true ) ;
+}
+
+// Open the Placeholder dialog on double click.
+FCKPlaceholders.OnDoubleClick = function( span )
+{
+	if ( span.tagName == 'SPAN' && span._fckplaceholder )
+		FCKCommands.GetCommand( 'Placeholder' ).Execute() ;
+}
+
+FCK.RegisterDoubleClickHandler( FCKPlaceholders.OnDoubleClick, 'SPAN' ) ;
+
+// Check if a Placholder name is already in use.
+FCKPlaceholders.Exist = function( name )
+{
+	var aSpans = FCK.EditorDocument.getElementsByTagName( 'SPAN' )
+
+	for ( var i = 0 ; i < aSpans.length ; i++ )
+	{
+		if ( aSpans[i]._fckplaceholder == name )
+			return true ;
+	}
+}
+
+if ( FCKBrowserInfo.IsIE )
+{
+	FCKPlaceholders.Redraw = function()
+	{
+		var aPlaholders = FCK.EditorDocument.body.innerText.match( /\[\[[^\[\]]+\]\]/g ) ;
+		if ( !aPlaholders )
+			return ;
+
+		var oRange = FCK.EditorDocument.body.createTextRange() ;
+
+		for ( var i = 0 ; i < aPlaholders.length ; i++ )
+		{
+			if ( oRange.findText( aPlaholders[i] ) )
+			{
+				var sName = aPlaholders[i].match( /\[\[\s*([^\]]*?)\s*\]\]/ )[1] ;
+				oRange.pasteHTML( '<span style="color: #000000; background-color: #ffff00" contenteditable="false" _fckplaceholder="' + sName + '">' + aPlaholders[i] + '</span>' ) ;
+			}
+		}
+	}
+}
+else
+{
+	FCKPlaceholders.Redraw = function()
+	{
+		var oInteractor = FCK.EditorDocument.createTreeWalker( FCK.EditorDocument.body, NodeFilter.SHOW_TEXT, FCKPlaceholders._AcceptNode, true ) ;
+
+		var	aNodes = new Array() ;
+
+		while ( oNode = oInteractor.nextNode() )
+		{
+			aNodes[ aNodes.length ] = oNode ;
+		}
+
+		for ( var n = 0 ; n < aNodes.length ; n++ )
+		{
+			var aPieces = aNodes[n].nodeValue.split( /(\[\[[^\[\]]+\]\])/g ) ;
+
+			for ( var i = 0 ; i < aPieces.length ; i++ )
+			{
+				if ( aPieces[i].length > 0 )
+				{
+					if ( aPieces[i].indexOf( '[[' ) == 0 )
+					{
+						var sName = aPieces[i].match( /\[\[\s*([^\]]*?)\s*\]\]/ )[1] ;
+
+						var oSpan = FCK.EditorDocument.createElement( 'span' ) ;
+						FCKPlaceholders.SetupSpan( oSpan, sName ) ;
+
+						aNodes[n].parentNode.insertBefore( oSpan, aNodes[n] ) ;
+					}
+					else
+						aNodes[n].parentNode.insertBefore( FCK.EditorDocument.createTextNode( aPieces[i] ) , aNodes[n] ) ;
+				}
+			}
+
+			aNodes[n].parentNode.removeChild( aNodes[n] ) ;
+		}
+		
+		FCKPlaceholders._SetupClickListener() ;
+	}
+
+	FCKPlaceholders._AcceptNode = function( node )
+	{
+		if ( /\[\[[^\[\]]+\]\]/.test( node.nodeValue ) )
+			return NodeFilter.FILTER_ACCEPT ;
+		else
+			return NodeFilter.FILTER_SKIP ;
+	}
+}
+
+FCK.Events.AttachEvent( 'OnAfterSetHTML', FCKPlaceholders.Redraw ) ;
+
+// The "Redraw" method must be called on startup.
+FCKPlaceholders.Redraw() ;
+
+// We must process the SPAN tags to replace then with the real resulting value of the placeholder.
+FCKXHtml.TagProcessors['span'] = function( node, htmlNode )
+{
+	if ( htmlNode._fckplaceholder )
+		node = FCKXHtml.XML.createTextNode( '[[' + htmlNode._fckplaceholder + ']]' ) ;
+	else
+		FCKXHtml._AppendChildNodes( node, htmlNode, false ) ;
+
+	return node ;
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/plugins/placeholder/lang/en.js soojung/libs/fckeditor/editor/plugins/placeholder/lang/en.js
--- soojung-0.4.8/libs/fckeditor/editor/plugins/placeholder/lang/en.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/plugins/placeholder/lang/en.js	2005-06-11 10:27:22.000000000 +0900
@@ -0,0 +1,21 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: en.js
+ * 	Placholder English language file.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+FCKLang.PlaceholderBtn			= 'Insert/Edit Placeholder' ;
+FCKLang.PlaceholderDlgTitle		= 'Placeholder Properties' ;
+FCKLang.PlaceholderDlgName		= 'Placeholder Name' ;
+FCKLang.PlaceholderErrNoName	= 'Please type the placeholder name' ;
+FCKLang.PlaceholderErrNameInUse	= 'The specified name is already in use' ;
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/plugins/placeholder/lang/fr.js soojung/libs/fckeditor/editor/plugins/placeholder/lang/fr.js
--- soojung-0.4.8/libs/fckeditor/editor/plugins/placeholder/lang/fr.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/plugins/placeholder/lang/fr.js	2005-06-11 10:27:22.000000000 +0900
@@ -0,0 +1,21 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fr.js
+ * 	Placholder Italian language file.
+ * 
+ * File Authors:
+ * 		Hubert Garrido (liane@users.sourceforge.net)
+ */
+FCKLang.PlaceholderBtn			= 'Insérer/Modifier Substitut' ;
+FCKLang.PlaceholderDlgTitle		= 'Propriétés de Substitut' ;
+FCKLang.PlaceholderDlgName		= 'Nom de Substitut' ;
+FCKLang.PlaceholderErrNoName	= 'Veuillez saisir le nom de Substitut' ;
+FCKLang.PlaceholderErrNameInUse	= 'Ce nom est déjà utilisé' ;
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/plugins/placeholder/lang/it.js soojung/libs/fckeditor/editor/plugins/placeholder/lang/it.js
--- soojung-0.4.8/libs/fckeditor/editor/plugins/placeholder/lang/it.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/plugins/placeholder/lang/it.js	2005-06-11 10:27:22.000000000 +0900
@@ -0,0 +1,21 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: it.js
+ * 	Placholder Italian language file.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+FCKLang.PlaceholderBtn			= 'Aggiungi/Modifica Placeholder' ;
+FCKLang.PlaceholderDlgTitle		= 'Proprietà del Placeholder' ;
+FCKLang.PlaceholderDlgName		= 'Nome del Placeholder' ;
+FCKLang.PlaceholderErrNoName	= 'Digitare il nome del placeholder' ;
+FCKLang.PlaceholderErrNameInUse	= 'Il nome inserito è già in uso' ;
Binary files soojung-0.4.8/libs/fckeditor/editor/plugins/placeholder/placeholder.gif and soojung/libs/fckeditor/editor/plugins/placeholder/placeholder.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/plugins/tablecommands/fckplugin.js soojung/libs/fckeditor/editor/plugins/tablecommands/fckplugin.js
--- soojung-0.4.8/libs/fckeditor/editor/plugins/tablecommands/fckplugin.js	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/editor/plugins/tablecommands/fckplugin.js	2005-06-11 10:27:25.000000000 +0900
@@ -0,0 +1,26 @@
+﻿/*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fckplugin.js
+ * 	This plugin register the required Toolbar items to be able to insert the
+ * 	toolbar commands in the toolbar.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+FCKToolbarItems.RegisterItem( 'TableInsertRow'		, new FCKToolbarButton( 'TableInsertRow'	, FCKLang.InsertRow ) ) ;
+FCKToolbarItems.RegisterItem( 'TableDeleteRows'		, new FCKToolbarButton( 'TableDeleteRows'	, FCKLang.DeleteRows ) ) ;
+FCKToolbarItems.RegisterItem( 'TableInsertColumn'	, new FCKToolbarButton( 'TableInsertColumn'	, FCKLang.InsertColumn ) ) ;
+FCKToolbarItems.RegisterItem( 'TableDeleteColumns'	, new FCKToolbarButton( 'TableDeleteColumns', FCKLang.DeleteColumns ) ) ;
+FCKToolbarItems.RegisterItem( 'TableInsertCell'		, new FCKToolbarButton( 'TableInsertCell'	, FCKLang.InsertCell ) ) ;
+FCKToolbarItems.RegisterItem( 'TableDeleteCells'	, new FCKToolbarButton( 'TableDeleteCells'	, FCKLang.DeleteCells ) ) ;
+FCKToolbarItems.RegisterItem( 'TableMergeCells'		, new FCKToolbarButton( 'TableMergeCells'	, FCKLang.MergeCells ) ) ;
+FCKToolbarItems.RegisterItem( 'TableSplitCell'		, new FCKToolbarButton( 'TableSplitCell'	, FCKLang.SplitCell ) ) ;
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/skins/default/fck_contextmenu.css soojung/libs/fckeditor/editor/skins/default/fck_contextmenu.css
--- soojung-0.4.8/libs/fckeditor/editor/skins/default/fck_contextmenu.css	2004-12-27 20:50:27.000000000 +0900
+++ soojung/libs/fckeditor/editor/skins/default/fck_contextmenu.css	2005-06-11 10:32:46.000000000 +0900
@@ -1,148 +1,243 @@
 /*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_contextmenu.css
- * 	Styles used by the context menu and panels.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-08-20 16:19:52
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_contextmenu.css
+ * 	Styles used by the context menu and panels.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-.CM_ContextMenu, .CM_ContextMenu *
-{
-	font-size: 11px;
-	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
-}
-
-.CM_ContextMenu
-{
-	border: 1px solid #8f8f73;
-	padding: 2px;
-	background-color: #ffffff;
-}
-
-.CM_Option, .CM_Over, .CM_Disabled
-{
-	padding: 0px 3px;
-	height: 18px;
-	cursor: default;
-}
-
-.CM_Option, .CM_Over
-{
-	cursor: hand;
-}
-
-.CM_Option .CM_Icon, .CM_Disabled .CM_Icon, .CM_Separator .CM_Icon
-{
-	background-color: #e3e3c7;
-}
-
-.CM_Option .CM_Icon IMG
-{
-	filter: alpha(opacity=70);
-	-moz-opacity: 0.70;
-}
-
-.CM_Disabled .CM_Icon IMG, .CM_Disabled .CM_Label
-{
-	filter: gray() alpha(opacity=30);
-	-moz-opacity: 0.30;
-}
-
-.CM_Option .CM_Label, .CM_Over .CM_Label
-{
-	padding: 1px 10px 1px 3px;
-}
-
-.CM_Over
-{
-	color: #fff;
-	background-color: #8f8f73;
-}
-
-.CM_Over .CM_Icon
-{
-	background-color: #737357;
-}
-
-.CM_Separator TD
-{
-	height: 3px;
-}
-
-.CM_Separator .CM_Label DIV
-{
-	border-top: #b9b99d 1px solid;
-	margin-left: 2px;
-	margin-right: 3px;
-}
-
-/*
-	### Panel Styles
-*/
-
-.FCK_Panel
-{
-	border: #8f8f73 1px solid;
-	float: left;
-	padding: 2px;
-	background-color: #ffffff;
-	position: absolute ;
-}
-
-.FCK_Panel, .FCK_Panel TD
-{
-	font-family: 'Microsoft Sans Serif', Tahoma, Arial, Verdana, Sans-Serif;
-	font-size: 11px;
-}
-
-/*
-	### Color Selector Panel
-*/
-
-.ColorBoxBorder
-{
-	border: #808080 1px solid;
-	clear: none;
-	position: static;
-}
-
-.ColorBox
-{
-	clear: none;
-	font-size: 1px;
-	width: 10px;
-	position: static;
-	height: 10px;
-}
-
-.ColorDeselected, .ColorSelected
-{
-	cursor: default;
-}
-
-.ColorDeselected
-{
-	border: #ffffff 1px solid;
-	padding: 2px;
-	float: left;
-}
-
-.ColorSelected
-{
-	border: #330066 1px solid;
-	padding: 2px;
-	float: left;
-	background-color: #c4cdd6;
+ */
+
+.CM_ContextMenu, .CM_ContextMenu *
+{
+	font-size: 11px;
+	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
+}
+
+.CM_ContextMenu
+{
+	border: 1px solid #8f8f73;
+	padding: 2px;
+	background-color: #ffffff;
+}
+
+.CM_Option, .CM_Over, .CM_Disabled
+{
+	padding: 0px 3px;
+	height: 18px;
+	cursor: default;
+}
+
+.CM_Option, .CM_Over
+{
+	cursor: hand;
+}
+
+.CM_Option .CM_Icon, .CM_Disabled .CM_Icon, .CM_Separator .CM_Icon
+{
+	background-color: #e3e3c7;
+}
+
+.CM_Option .CM_Icon IMG
+{
+	filter: alpha(opacity=70);
+	-moz-opacity:0.70;
+}
+
+.CM_Disabled 
+{
+	background-color: #ffffff;
+}
+
+.CM_Disabled .CM_Icon IMG, .CM_Disabled .CM_Label
+{
+	filter: gray() alpha(opacity=30);
+	-moz-opacity:0.30;
+}
+
+.CM_Option .CM_Label, .CM_Over .CM_Label
+{
+	padding: 1px 10px 1px 3px;
+}
+
+.CM_Over
+{
+	color: #fff;
+	background-color: #8f8f73;
+}
+
+.CM_Over .CM_Icon
+{
+	background-color: #737357;
+}
+
+.CM_Separator TD
+{
+	height: 3px;
+}
+
+.CM_Separator .CM_Label DIV
+{
+	border-top: #b9b99d 1px solid;
+	margin-left: 2px;
+	margin-right: 3px;
+}
+
+/*
+	### Panel Styles
+*/
+
+.FCK_Panel
+{
+	border: #8f8f73 1px solid;
+	padding: 2px;
+	background-color: #ffffff;
+}
+
+.FCK_Panel, .FCK_Panel TD
+{
+	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
+	font-size: 11px;
+}
+
+/*
+	### Color Selector Panel
+*/
+
+.ColorBoxBorder
+{
+	border: #808080 1px solid;
+	position: static;
+}
+
+.ColorBox
+{
+	font-size: 1px;
+	width: 10px;
+	position: static;
+	height: 10px;
+}
+
+.ColorDeselected, .ColorSelected
+{
+	cursor: default;
+}
+
+.ColorDeselected
+{
+	border: #ffffff 1px solid;
+	padding: 2px;
+	float: left;
+}
+
+.ColorSelected
+{
+	border: #330066 1px solid;
+	padding: 2px;
+	float: left;
+	background-color: #c4cdd6;
+}
+
+/*
+	### Special Combos
+*/
+
+.SC_Panel
+{
+	overflow-y: auto;
+	white-space: nowrap;
+	cursor: default;
+}
+
+.SC_Item, .SC_ItemSelected
+{
+	margin-top: 2px;
+	margin-bottom: 2px;
+	background-position: left center;
+	padding-left: 11px;
+	padding-right: 3px;
+	padding-top: 2px;
+	padding-bottom: 2px;
+	text-overflow: ellipsis;
+	overflow: hidden;
+	width: 100%;
+	background-repeat: no-repeat;
+	border: #dddddd 1px solid;
+}
+
+.SC_Item *, .SC_ItemSelected *
+{
+	margin-top: 0px;
+	margin-bottom: 0px;
+}
+
+.SC_ItemSelected
+{
+	border: #9a9afb 1px solid;
+	background-image: url(images/toolbar.arrowright.gif);
+}
+
+.SC_ItemOver
+{
+	border: #316ac5 1px solid;
+}
+
+.SC_Field
+{
+	border: #b7b7a6 1px solid;
+	cursor: default;
+}
+
+.SC_FieldCaption
+{
+	overflow: visible;
+	padding-right: 5px;
+	padding-left: 5px;
+	filter: alpha(opacity=70);
+	-moz-opacity:0.75;
+	height: 23px;
+	background-color: #efefde;
+}
+
+.SC_FieldLabel
+{
+	white-space: nowrap;
+	padding: 2px;
+	width: 100%;
+	cursor: default;
+	background-color: #ffffff;
+	text-overflow: ellipsis;
+	overflow: hidden;
+}
+
+.SC_FieldButton
+{
+	background-position: center center;
+	background-image: url(images/toolbar.buttonarrow.gif);
+	border-left: #b7b7a6 1px solid;
+	width: 14px;
+	background-repeat: no-repeat;
+}
+
+.SC_FieldDisabled .SC_FieldButton, .SC_FieldDisabled .SC_FieldCaption
+{
+	filter: gray() alpha(opacity=30);
+	-moz-opacity:0.30;
+}
+
+.SC_FieldOver
+{
+	border: #316ac5 1px solid;
+}
+
+.SC_FieldOver .SC_FieldButton
+{
+	border-left: #316ac5 1px solid;
 }
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/skins/default/fck_dialog.css soojung/libs/fckeditor/editor/skins/default/fck_dialog.css
--- soojung-0.4.8/libs/fckeditor/editor/skins/default/fck_dialog.css	2004-12-27 20:50:27.000000000 +0900
+++ soojung/libs/fckeditor/editor/skins/default/fck_dialog.css	2005-06-11 10:32:46.000000000 +0900
@@ -1,120 +1,129 @@
 /*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_dialog.css
- * 	Styles used by the dialog boxes.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:54
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_dialog.css
+ * 	Styles used by the dialog boxes.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-body
-{
-	margin: 0px;
-	padding: 10px;
-	background-color: #f1f1e3;
-}
-
-body, td, input, select, textarea
-{
-	font-size: 11px;
-	font-family: 'Microsoft Sans Serif' , Arial, Helvetica, Verdana;
-}
-
-.PopupBody
-{
-	margin: 0px;
-	padding: 0px;
-}
-
-.PopupTitle
-{
-	font-weight: bold;
-	font-size: 14pt;
-	color: #737357;
-	background-color: #e3e3c7;
-	padding: 3px 10px 3px 10px;
-}
-
-.PopupButtons
-{
-	border-top: #d5d59d 1px solid;
-	background-color: #e3e3c7;
-	padding: 7px 10px 7px 10px;
-}
-
-.Button
-{
-	border-right: #737357 1px solid;
-	border-top: #737357 1px solid;
-	border-left: #737357 1px solid;
-	color: #3b3b1f;
-	border-bottom: #737357 1px solid;
-	background-color: #c7c78f;
-}
-
-.DarkBackground
-{
-	background-color: #d7d79f;
-}
-
-.LightBackground
-{
-	background-color: #ffffbe;
-}
-
-.PopupTitleBorder
-{
-	border-bottom: #d5d59d 1px solid;
-}
-
-.PopupTabArea
-{
-	color: #737357;
-	background-color: #e3e3c7;
-}
-
-.PopupTabEmptyArea
-{
-	padding-left: 10px ;
-	border-bottom: #d5d59d 1px solid;
-}
-
-.PopupTab, .PopupTabSelected
-{
-	border-right: #d5d59d 1px solid;
-	border-top: #d5d59d 1px solid;
-	border-left: #d5d59d 1px solid;
-	padding-right: 5px;
-	padding-left: 5px;
-	padding-bottom: 3px;
-	padding-top: 3px;
-	color: #737357;
-}
-
-.PopupTab
-{
-	margin-top: 1px;
-	border-bottom: #d5d59d 1px solid;
-	cursor: pointer;
-	cursor: hand;
-}
-
-.PopupTabSelected
-{
-	font-weight:bold;
-	cursor: default;
-	padding-top: 4px;
-	border-bottom: #f1f1e3 1px solid;
-	background-color: #f1f1e3;
+ */
+
+body
+{
+	margin: 0px;
+	padding: 10px;
+}
+
+body, td, input, select, textarea
+{
+	font-size: 11px;
+	font-family: 'Microsoft Sans Serif' , Arial, Helvetica, Verdana;
+}
+
+body, .BackColor
+{
+	background-color: #f1f1e3;
+}
+
+.PopupBody
+{
+	margin: 0px;
+	padding: 0px;
+}
+
+.PopupTitle
+{
+	font-weight: bold;
+	font-size: 14pt;
+	color: #737357;
+	background-color: #e3e3c7;
+	padding: 3px 10px 3px 10px;
+}
+
+.PopupButtons
+{
+	border-top: #d5d59d 1px solid;
+	background-color: #e3e3c7;
+	padding: 7px 10px 7px 10px;
+}
+
+.Button
+{
+	border-right: #737357 1px solid;
+	border-top: #737357 1px solid;
+	border-left: #737357 1px solid;
+	color: #3b3b1f;
+	border-bottom: #737357 1px solid;
+	background-color: #c7c78f;
+}
+
+.DarkBackground
+{
+	background-color: #d7d79f;
+}
+
+.LightBackground
+{
+	background-color: #ffffbe;
+}
+
+.PopupTitleBorder
+{
+	border-bottom: #d5d59d 1px solid;
+}
+
+.PopupTabArea
+{
+	color: #737357;
+	background-color: #e3e3c7;
+}
+
+.PopupTabEmptyArea
+{
+	padding-left: 10px ;
+	border-bottom: #d5d59d 1px solid;
+}
+
+.PopupTab, .PopupTabSelected
+{
+	border-right: #d5d59d 1px solid;
+	border-top: #d5d59d 1px solid;
+	border-left: #d5d59d 1px solid;
+	padding-right: 5px;
+	padding-left: 5px;
+	padding-bottom: 3px;
+	padding-top: 3px;
+	color: #737357;
+}
+
+.PopupTab
+{
+	margin-top: 1px;
+	border-bottom: #d5d59d 1px solid;
+	cursor: pointer;
+	cursor: hand;
+}
+
+.PopupTabSelected
+{
+	font-weight:bold;
+	cursor: default;
+	padding-top: 4px;
+	border-bottom: #f1f1e3 1px solid;
+	background-color: #f1f1e3;
+}
+
+.PopupSelectionBox
+{
+	border: #ff9933 1px solid;
+	background-color: #fffacd;
+	cursor: pointer;
+	cursor: hand;
 }
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/skins/default/fck_editor.css soojung/libs/fckeditor/editor/skins/default/fck_editor.css
--- soojung-0.4.8/libs/fckeditor/editor/skins/default/fck_editor.css	2004-12-27 20:50:27.000000000 +0900
+++ soojung/libs/fckeditor/editor/skins/default/fck_editor.css	2005-06-11 10:32:46.000000000 +0900
@@ -1,152 +1,143 @@
 /*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_editor.css
- * 	Styles used by the editor IFRAME and Toolbar.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-08-20 13:53:25
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_editor.css
+ * 	Styles used by the editor IFRAME and Toolbar.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-/*@import url( fck_contextmenu.css ) ;*/
-
-/*
-	### Basic Editor IFRAME Styles.
-*/
-
-body
-{
-	padding: 1px 1px 1px 1px;
-	margin: 0px 0px 0px 0px;
-}
-
-#eEditorArea, .Source
-{
-	border: #696969 1px solid;
-}
-
-#eSourceField
-{
-	border: none;
-	padding: 5px;
-	font-family: Monospace;
-}
-
-/* 
-	### Toolbar Styles
-*/
-
-.TB_ToolbarSet, .TB_Expand, .TB_Collapse
-{
-	background-color: #efefde;
-}
-
-.TB_End
-{
-	display: none;
-}
-
-.TB_ExpandImg
-{
-	background-image: url(images/toolbar.expand.gif);
-	background-repeat: no-repeat;
-}
-
-.TB_CollapseImg
-{
-	background-image: url(images/toolbar.collapse.gif);
-	background-repeat: no-repeat;
-}
-
-.TB_ToolbarSet
-{
-	border-top: #efefde 1px outset;
-	border-bottom: #efefde 1px outset;
-}
-
-.TB_ToolbarSet, .TB_ToolbarSet *
-{
-	font-size: 11px;
-	cursor: default;
-	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
-}
-
-.TB_Expand, .TB_Collapse
-{
-	padding: 2px 2px 2px 2px;
-	border: #efefde 1px outset;
-}
-
-.TB_Collapse
-{
-	border: #efefde 1px outset;
-	width: 5px;
-}
-
-.TB_Button_On, .TB_Button_Off, .TB_Button_Disabled, .TB_Combo_Off, .TB_Combo_Disabled
-{
-	border: #efefde 1px solid;
-	height: 21px;
-}
-
-.TB_Button_On
-{
-	border-color: #316ac5;
-	background-color: #c1d2ee;
-}
-
-.TB_Button_Off, .TB_Combo_Off
-{
-	filter: alpha(opacity=70);
-	-moz-opacity: 0.70;
-}
-
-.TB_Button_Disabled, .TB_Combo_Disabled
-{
-	filter: gray() alpha(opacity=30);
-	-moz-opacity: 0.30;
-}
-
-.TB_Icon DIV
-{
-	width: 21px;
-	height: 21px;
-	background-position: 50% 50%;
-	background-repeat: no-repeat;
-}
-
-.TB_Text
-{
-	height: 21px;
-	padding-right: 5px;
-}
-
-.TB_ButtonArrow
-{
-	padding-right: 3px;
-}
-
-.TB_ButtonType_Icon .TB_Text
-{
-	display: none;
-}
-
-.TB_ButtonType_Text .TB_Icon
-{
-	display: none;
-}
-
-.TB_ButtonType_Text .TB_Text
-{
-	padding-left: 5px;
+ */
+
+/*
+	### Basic Editor IFRAME Styles.
+*/
+
+body
+{
+	padding: 1px 1px 1px 1px;
+	margin: 0px 0px 0px 0px;
+}
+
+#eWysiwygCell, .Source
+{
+	border: #696969 1px solid;
+}
+
+#eSourceField
+{
+	border: none;
+	padding: 5px;
+	font-family: Monospace;
+}
+
+/*
+	### Toolbar Styles
+*/
+
+.TB_ToolbarSet, .TB_Expand, .TB_Collapse
+{
+	background-color: #efefde;
+}
+
+.TB_End
+{
+	display: none;
+}
+
+.TB_ExpandImg
+{
+	background-image: url(images/toolbar.expand.gif);
+	background-repeat: no-repeat;
+}
+
+.TB_CollapseImg
+{
+	background-image: url(images/toolbar.collapse.gif);
+	background-repeat: no-repeat;
+}
+
+.TB_ToolbarSet
+{
+	border-top: #efefde 1px outset;
+	border-bottom: #efefde 1px outset;
+}
+
+.TB_ToolbarSet, .TB_ToolbarSet *
+{
+	font-size: 11px;
+	cursor: default;
+	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
+}
+
+.TB_Expand, .TB_Collapse
+{
+	padding: 2px 2px 2px 2px;
+	border: #efefde 1px outset;
+}
+
+.TB_Collapse
+{
+	border: #efefde 1px outset;
+	width: 5px;
+}
+
+.TB_Button_On, .TB_Button_Off, .TB_Button_Disabled, .TB_Combo_Off, .TB_Combo_Disabled
+{
+	border: #efefde 1px solid;
+	height: 21px;
+}
+
+.TB_Button_On
+{
+	border-color: #316ac5;
+	background-color: #c1d2ee;
+}
+
+.TB_Button_Off, .TB_Combo_Off
+{
+	filter: alpha(opacity=70);
+	-moz-opacity: 0.70;
+	background-color: #efefde;
+}
+
+.TB_Button_Disabled, .TB_Combo_Disabled
+{
+	filter: gray() alpha(opacity=30);
+	-moz-opacity: 0.30;
+}
+
+.TB_Button_On_Over, .TB_Button_Off_Over
+{
+	background-color: #dff1ff;
+}
+
+.TB_Icon DIV
+{
+	width: 21px;
+	height: 21px;
+	background-position: 50% 50%;
+	background-repeat: no-repeat;
+}
+
+.TB_Text
+{
+	height: 21px;
+	padding-right: 5px;
+}
+
+.TB_ButtonArrow
+{
+	padding-right: 3px;
+}
+
+.TB_Break
+{
+	height: 23px;
 }
\ No newline at end of file
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/images/toolbar.arrowright.gif and soojung/libs/fckeditor/editor/skins/default/images/toolbar.arrowright.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/about.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/about.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/anchor.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/anchor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/bgcolor.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/bgcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/bold.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/bold.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/bulletedlist.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/bulletedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.about.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.about.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.bgcolor.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.bgcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.bold.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.bold.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.cell.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.cell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.copy.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.copy.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.cut.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.cut.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.find.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.find.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.image.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.image.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.indent.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.indent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.inserthorizontalrule.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.inserthorizontalrule.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.insertorderedlist.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.insertorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.insertunorderedlist.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.insertunorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.italic.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.italic.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.justifycenter.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.justifycenter.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.justifyfull.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.justifyfull.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.justifyleft.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.justifyleft.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.justifyright.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.justifyright.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.link.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.link.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.newpage.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.newpage.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.outdent.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.outdent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.paste.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.paste.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.pastetext.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.pastetext.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.pasteword.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.pasteword.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.preview.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.preview.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.print.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.print.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.redo.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.redo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.removeformat.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.removeformat.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.save.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.save.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.selectall.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.selectall.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.showdetails.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.showdetails.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.showtableborders.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.showtableborders.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.smiley.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.smiley.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.source.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.source.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.specialchar.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.specialchar.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.spellcheck.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.spellcheck.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.strikethrough.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.strikethrough.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.subscript.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.subscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.superscript.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.superscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.table.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.table.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.tabledeletecells.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.tabledeletecells.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.tabledeletecolumns.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.tabledeletecolumns.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.tabledeleterows.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.tabledeleterows.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.tableinsertcell.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.tableinsertcell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.tableinsertcolumn.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.tableinsertcolumn.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.tableinsertrow.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.tableinsertrow.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.tablemergecells.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.tablemergecells.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.tablesplitcell.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.tablesplitcell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.textcolor.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.textcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.underline.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.underline.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.undo.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.undo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.unlink.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.unlink.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/button.unorderedlist.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/button.unorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/checkbox.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/checkbox.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/copy.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/copy.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/cut.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/cut.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/docprops.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/docprops.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/find.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/find.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/form.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/form.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/hiddenfield.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/hiddenfield.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/image.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/image.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/imagebutton.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/imagebutton.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/indent.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/indent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/inserthorizontalrule.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/inserthorizontalrule.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/insertorderedlist.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/insertorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/insertunorderedlist.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/insertunorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/italic.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/italic.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/justifycenter.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/justifycenter.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/justifyfull.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/justifyfull.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/justifyleft.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/justifyleft.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/justifyright.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/justifyright.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/link.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/link.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/newpage.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/newpage.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/numberedlist.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/numberedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/outdent.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/outdent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/paste.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/paste.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/pastetext.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/pastetext.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/pasteword.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/pasteword.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/preview.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/preview.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/print.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/print.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/radio.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/radio.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/redo.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/redo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/removeformat.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/removeformat.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/replace.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/replace.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/save.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/save.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/select.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/select.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/selectall.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/selectall.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/showdetails.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/showdetails.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/showtableborders.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/showtableborders.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/smiley.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/smiley.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/source.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/source.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/specialchar.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/specialchar.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/spellcheck.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/spellcheck.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/strikethrough.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/strikethrough.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/subscript.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/subscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/superscript.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/superscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/table.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/table.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/tablecell.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/tablecell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/tabledeletecells.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/tabledeletecells.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/tabledeletecolumns.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/tabledeletecolumns.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/tabledeleterows.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/tabledeleterows.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/tableinsertcell.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/tableinsertcell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/tableinsertcolumn.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/tableinsertcolumn.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/tableinsertrow.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/tableinsertrow.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/tablemergecells.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/tablemergecells.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/tablesplitcell.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/tablesplitcell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/templates.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/templates.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/textarea.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/textarea.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/textcolor.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/textcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/textfield.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/textfield.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/underline.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/underline.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/undo.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/undo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/universalkey.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/universalkey.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/unlink.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/unlink.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/default/toolbar/unorderedlist.gif and soojung/libs/fckeditor/editor/skins/default/toolbar/unorderedlist.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/skins/office2003/fck_contextmenu.css soojung/libs/fckeditor/editor/skins/office2003/fck_contextmenu.css
--- soojung-0.4.8/libs/fckeditor/editor/skins/office2003/fck_contextmenu.css	2004-12-27 20:50:26.000000000 +0900
+++ soojung/libs/fckeditor/editor/skins/office2003/fck_contextmenu.css	2005-06-11 10:32:45.000000000 +0900
@@ -1,89 +1,248 @@
 /*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_contextmenu.css
- * 	Styles used by the context menu.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:54
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_contextmenu.css
+ * 	Styles used by the context menu.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-.CM_ContextMenu, .CM_ContextMenu *
-{
-	font-size: 11px;
-	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
-}
-
-.CM_ContextMenu
-{
-	border: 1px solid #8f8f73;
-	padding: 2px;
-	background-color: #f7f8fd;
-}
-
-.CM_Option, .CM_Over, .CM_Disabled
-{
-	padding: 0px 3px;
-	height: 18px;
-	cursor: default;
-}
-
-.CM_Option, .CM_Over
-{
-	cursor: hand;
-}
-
-.CM_Option .CM_Icon, .CM_Disabled .CM_Icon, .CM_Separator .CM_Icon
-{
-	background-color: #d6dff7;
-}
-
-.CM_Option .CM_Icon IMG
-{
-	filter: alpha(opacity=70);
-	-moz-opacity: 0.70;
-}
-
-.CM_Disabled .CM_Icon IMG, .CM_Disabled .CM_Label
-{
-	filter: gray() alpha(opacity=30);
-	-moz-opacity: 0.30;
-}
-
-.CM_Option .CM_Label, .CM_Over .CM_Label
-{
-	padding: 1px 10px 1px 3px;
-}
-
-.CM_Over
-{
-	color: #fff;
-	background-color: #7096FA;
-}
-
-.CM_Over .CM_Icon
-{
-	background-color: #466ca6;
-}
-
-.CM_Separator TD
-{
-	height: 3px;
-}
-
-.CM_Separator .CM_Label DIV
-{
-	border-top: #b9b99d 1px solid;
-	margin-left: 2px;
-	margin-right: 3px;
+ */
+
+.CM_ContextMenu, .CM_ContextMenu *
+{
+	font-size: 11px;
+	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
+}
+
+.CM_ContextMenu
+{
+	border: 1px solid #8f8f73;
+	padding: 2px;
+	background-color: #f7f8fd;
+}
+
+.CM_Option, .CM_Over, .CM_Disabled
+{
+	padding: 0px 3px;
+	height: 18px;
+	cursor: default;
+}
+
+.CM_Option, .CM_Over
+{
+	cursor: hand;
+}
+
+.CM_Option .CM_Icon, .CM_Disabled .CM_Icon, .CM_Separator .CM_Icon
+{
+	background-color: #d6dff7;
+}
+
+.CM_Option .CM_Icon IMG
+{
+	filter: alpha(opacity=70);
+	-moz-opacity: 0.70;
+}
+
+.CM_Disabled 
+{
+	background-color: #ffffff;
+}
+
+.CM_Disabled .CM_Icon IMG, .CM_Disabled .CM_Label
+{
+	filter: gray() alpha(opacity=30);
+	-moz-opacity: 0.30;
+}
+
+.CM_Option .CM_Label, .CM_Over .CM_Label
+{
+	padding: 1px 10px 1px 3px;
+}
+
+.CM_Over
+{
+	color: #ffffff;
+	background-color: #7096FA;
+}
+
+.CM_Over .CM_Icon
+{
+	background-color: #466ca6;
+}
+
+.CM_Separator TD
+{
+	height: 3px;
+}
+
+.CM_Separator .CM_Label DIV
+{
+	border-top: #b9b99d 1px solid;
+	margin-left: 2px;
+	margin-right: 3px;
+}
+
+/*
+	### Panel Styles
+*/
+
+.FCK_Panel
+{
+	border: #8f8f73 1px solid;
+	padding: 2px;
+	background-color: #f7f8fd;
+}
+
+.FCK_Panel, .FCK_Panel TD
+{
+	font-family: 'Microsoft Sans Serif', Tahoma, Arial, Verdana, Sans-Serif;
+	font-size: 11px;
+}
+
+/*
+	### Color Selector Panel
+*/
+
+.ColorBoxBorder
+{
+	border: #808080 1px solid;
+	position: static;
+}
+
+.ColorBox
+{
+	font-size: 1px;
+	width: 10px;
+	position: static;
+	height: 10px;
+}
+
+.ColorDeselected, .ColorSelected
+{
+	cursor: default;
+}
+
+.ColorDeselected
+{
+	border: #ffffff 1px solid;
+	padding: 2px;
+	float: left;
+}
+
+.ColorSelected *
+{
+	color: #ffffff;
+}
+
+.ColorSelected 
+{
+	border: #7096FA 1px solid;
+	padding: 2px;
+	float: left;
+	background-color: #7096FA;
+}
+
+/*
+	### Special Combos
+*/
+
+.SC_Panel
+{
+	overflow-y: auto;
+	white-space: nowrap;
+	cursor: default;
+}
+
+.SC_Item, .SC_ItemSelected
+{
+	margin-top: 2px;
+	margin-bottom: 2px;
+	background-position: left center;
+	padding-left: 11px;
+	padding-right: 3px;
+	padding-top: 2px;
+	padding-bottom: 2px;
+	text-overflow: ellipsis;
+	overflow: hidden;
+	width: 100%;
+	background-repeat: no-repeat;
+	border: #dddddd 1px solid;
+}
+
+.SC_Item *, .SC_ItemSelected *
+{
+	margin-top: 0px;
+	margin-bottom: 0px;
+}
+
+.SC_ItemSelected
+{
+	border: #9a9afb 1px solid;
+	background-image: url(images/toolbar.arrowright.gif);
+}
+
+.SC_ItemOver
+{
+	border: #316ac5 1px solid;
+}
+
+.SC_Field
+{
+	border: #b7b7a6 1px solid;
+	cursor: default;
+}
+
+.SC_FieldCaption
+{
+	overflow: visible;
+	padding-right: 5px;
+	padding-left: 5px;
+	filter: alpha(opacity=70); 
+	-moz-opacity:0.75;
+	height: 23px;
+	background-color: #f7f8fd;
+}
+
+.SC_FieldLabel
+{
+	white-space: nowrap;
+	padding: 2px;
+	width: 100%;
+	cursor: default;
+	background-color: #ffffff;
+	text-overflow: ellipsis;
+	overflow: hidden;
+}
+
+.SC_FieldButton
+{
+	background-position: center center;
+	background-image: url(images/toolbar.buttonarrow.gif);
+	border-left: #b7b7a6 1px solid;
+	width: 14px;
+	background-repeat: no-repeat;
+}
+
+.SC_FieldDisabled .SC_FieldButton, .SC_FieldDisabled .SC_FieldCaption
+{
+	filter: gray() alpha(opacity=30); 
+	-moz-opacity:0.30;
+}
+
+.SC_FieldOver
+{
+	border: #316ac5 1px solid;
+}
+
+.SC_FieldOver .SC_FieldButton
+{
+	border-left: #316ac5 1px solid;
 }
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/skins/office2003/fck_dialog.css soojung/libs/fckeditor/editor/skins/office2003/fck_dialog.css
--- soojung-0.4.8/libs/fckeditor/editor/skins/office2003/fck_dialog.css	2004-12-27 20:50:26.000000000 +0900
+++ soojung/libs/fckeditor/editor/skins/office2003/fck_dialog.css	2005-06-11 10:32:45.000000000 +0900
@@ -1,117 +1,127 @@
 /*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_dialog.css
- * 	Styles used by the dialog boxes.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:54
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_dialog.css
+ * 	Styles used by the dialog boxes.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-body
-{
-	margin: 0px;
-	padding: 10px;
-	background-color: #f7f8fd;
-}
-
-body, td, input, select, textarea
-{
-	font-size: 11px;
-	font-family: 'Microsoft Sans Serif' , Arial, Helvetica, Verdana;
-}
-
-.PopupBody
-{
-	margin: 0px;
-	padding: 0px;
-}
-
-.PopupTitle
-{
-	font-weight: bold;
-	font-size: 14pt;
-	color: #0e3460;
-	background-color: #8cb2fd;
-	padding: 3px 10px 3px 10px;
-}
-
-.PopupButtons
-{
-	border-top: #466ca6 1px solid;
-	background-color: #8cb2fd;
-	padding: 7px 10px 7px 10px;
-}
-
-.Button
-{
-	border: #1c3460 1px solid;
-	color: #000a28;
-	background-color: #7096d3;
-}
-
-.DarkBackground
-{
-	background-color: #d7d79f;
-}
-
-.LightBackground
-{
-	background-color: #ffffbe;
-}
-
-.PopupTitleBorder
-{
-	border-bottom: #d5d59d 1px solid;
-}
-
-.PopupTabArea
-{
-	color: #0e3460;
-	background-color: #8cb2fd;
-}
-
-.PopupTabEmptyArea
-{
-	padding-left: 10px ;
-	border-bottom: #466ca6 1px solid;
-}
-
-.PopupTab, .PopupTabSelected
-{
-	border-right: #466ca6 1px solid;
-	border-top: #466ca6 1px solid;
-	border-left: #466ca6 1px solid;
-	padding-right: 5px;
-	padding-left: 5px;
-	padding-bottom: 3px;
-	padding-top: 3px;
-	color: #0e3460;
-}
-
-.PopupTab
-{
-	margin-top: 1px;
-	border-bottom: #466ca6 1px solid;
-	cursor: pointer;
-	cursor: hand;
-}
-
-.PopupTabSelected
-{
-	font-weight:bold;
-	cursor: default;
-	padding-top: 4px;
-	border-bottom: #f7f8fd 1px solid;
-	background-color: #f7f8fd;
+ */
+
+body
+{
+	margin: 0px;
+	padding: 10px;
+	background-color: #f7f8fd;
+}
+
+body, td, input, select, textarea
+{
+	font-size: 11px;
+	font-family: 'Microsoft Sans Serif' , Arial, Helvetica, Verdana;
+}
+
+body, .BackColor
+{
+	background-color: #f7f8fd;
+}
+
+.PopupBody
+{
+	margin: 0px;
+	padding: 0px;
+}
+
+.PopupTitle
+{
+	font-weight: bold;
+	font-size: 14pt;
+	color: #0e3460;
+	background-color: #8cb2fd;
+	padding: 3px 10px 3px 10px;
+}
+
+.PopupButtons
+{
+	border-top: #466ca6 1px solid;
+	background-color: #8cb2fd;
+	padding: 7px 10px 7px 10px;
+}
+
+.Button
+{
+	border: #1c3460 1px solid;
+	color: #000a28;
+	background-color: #7096d3;
+}
+
+.DarkBackground
+{
+	background-color: #d7d79f;
+}
+
+.LightBackground
+{
+	background-color: #ffffbe;
+}
+
+.PopupTitleBorder
+{
+	border-bottom: #d5d59d 1px solid;
+}
+
+.PopupTabArea
+{
+	color: #0e3460;
+	background-color: #8cb2fd;
+}
+
+.PopupTabEmptyArea
+{
+	padding-left: 10px ;
+	border-bottom: #466ca6 1px solid;
+}
+
+.PopupTab, .PopupTabSelected
+{
+	border-right: #466ca6 1px solid;
+	border-top: #466ca6 1px solid;
+	border-left: #466ca6 1px solid;
+	padding-right: 5px;
+	padding-left: 5px;
+	padding-bottom: 3px;
+	padding-top: 3px;
+	color: #0e3460;
+}
+
+.PopupTab
+{
+	margin-top: 1px;
+	border-bottom: #466ca6 1px solid;
+	cursor: pointer;
+	cursor: hand;
+}
+
+.PopupTabSelected
+{
+	font-weight:bold;
+	cursor: default;
+	padding-top: 4px;
+	border-bottom: #f7f8fd 1px solid;
+	background-color: #f7f8fd;
+}
+
+.PopupSelectionBox
+{
+	border: #1e90ff 1px solid;
+	background-color: #add8e6;
+	cursor: pointer;
+	cursor: hand;
 }
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/skins/office2003/fck_editor.css soojung/libs/fckeditor/editor/skins/office2003/fck_editor.css
--- soojung-0.4.8/libs/fckeditor/editor/skins/office2003/fck_editor.css	2004-12-27 20:50:26.000000000 +0900
+++ soojung/libs/fckeditor/editor/skins/office2003/fck_editor.css	2005-06-11 10:32:45.000000000 +0900
@@ -1,150 +1,136 @@
 /*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_editor.css
- * 	Styles used by the editor IFRAME and Toolbar.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:54
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_editor.css
+ * 	Styles used by the editor IFRAME and Toolbar.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
  * 		Aziz Oraij (aziz@oraij.com)
- */
-
-@import url( fck_contextmenu.css ) ;
-
-/*
-	### Basic Editor IFRAME Styles.
-*/
-
-body
-{
-	padding: 1px 1px 1px 1px;
-	margin: 0px 0px 0px 0px;
-}
-
-#eEditorArea, .Source
-{
-	border: #696969 1px solid;
-}
-
-#eSourceField
-{
-	border: none;
-	padding: 5px;
-	font-family: Monospace;
-}
-
-/* 
-	### Toolbar Styles
-*/
-
-.TB_ToolbarSet, .TB_Expand, .TB_Collapse
-{
-	background-color: #f7f8fd;
-}
-
-.TB_Toolbar
-{
-	background-color: #d6dff7;
-	background-image: url(images/toolbar.bg.gif);
-	background-repeat: repeat-x;
-}
-
-.TB_ExpandImg
-{
-	background-image: url(images/toolbar.expand.gif);
-	background-repeat: no-repeat;
-}
-
-.TB_CollapseImg
-{
-	background-image: url(images/toolbar.collapse.gif);
-	background-repeat: no-repeat;
-}
-
-.TB_ToolbarSet
-{
-	border-top: #efefde 1px outset;
-	border-bottom: #efefde 1px outset;
-}
-
-.TB_ToolbarSet, .TB_ToolbarSet *
-{
-	font-size: 11px;
-	cursor: default;
-	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
-}
-
-.TB_Expand, .TB_Collapse
-{
-	padding: 2px 2px 2px 2px;
-	border: #efefde 1px outset;
-}
-
-.TB_Collapse
-{
-	border: #efefde 1px outset;
-	width: 5px;
-}
-
-.TB_Button_On, .TB_Button_Off, .TB_Button_Disabled, .TB_Combo_Off, .TB_Combo_Disabled
-{
-	border: #efefde 1px solid;
-	height: 21px;
-}
-
-.TB_Button_On
-{
-	border-color: #316ac5;
-	background-color: #c1d2ee;
-}
-
-.TB_Button_Off, .TB_Combo_Off
-{
-	filter: alpha(opacity=70);
-	-moz-opacity: 0.70;
-}
-
-.TB_Button_Disabled, .TB_Combo_Disabled
-{
-	filter: gray() alpha(opacity=30);
-	-moz-opacity: 0.30;
-}
-
-.TB_Icon DIV
-{
-	width: 21px;
-	height: 21px;
-	background-position: 50% 50%;
-	background-repeat: no-repeat;
-}
-
-.TB_Text
-{
-	height: 21px;
-	padding-right: 5px;
-}
-
-.TB_ButtonType_Icon .TB_Text
-{
-	display: none;
-}
-
-.TB_ButtonType_Text .TB_Icon
-{
-	display: none;
-}
-
-.TB_ButtonType_Text .TB_Text
-{
-	padding-left: 5px;
+ */
+
+/*
+	### Basic Editor IFRAME Styles.
+*/
+
+body
+{
+	padding: 1px 1px 1px 1px;
+	margin: 0px 0px 0px 0px;
+}
+
+#eWysiwygCell, .Source
+{
+	border: #696969 1px solid;
+}
+
+#eSourceField
+{
+	border: none;
+	padding: 5px;
+	font-family: Monospace;
+}
+
+/*
+	### Toolbar Styles
+*/
+
+.TB_ToolbarSet, .TB_Expand, .TB_Collapse
+{
+	background-color: #f7f8fd;
+}
+
+.TB_Toolbar
+{
+	background-color: #d6dff7;
+	background-image: url(images/toolbar.bg.gif);
+	background-repeat: repeat-x;
+}
+
+.TB_ExpandImg
+{
+	background-image: url(images/toolbar.expand.gif);
+	background-repeat: no-repeat;
+}
+
+.TB_CollapseImg
+{
+	background-image: url(images/toolbar.collapse.gif);
+	background-repeat: no-repeat;
+}
+
+.TB_ToolbarSet
+{
+	border-top: #efefde 1px outset;
+	border-bottom: #efefde 1px outset;
+}
+
+.TB_ToolbarSet, .TB_ToolbarSet *
+{
+	font-size: 11px;
+	cursor: default;
+	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
+}
+
+.TB_Expand, .TB_Collapse
+{
+	padding: 2px 2px 2px 2px;
+	border: #efefde 1px outset;
+}
+
+.TB_Collapse
+{
+	border: #efefde 1px outset;
+	width: 5px;
+}
+
+.TB_Button_On, .TB_Button_Off, .TB_Button_Disabled, .TB_Combo_Off, .TB_Combo_Disabled
+{
+	border: #efefde 1px solid;
+	height: 21px;
+}
+
+.TB_Button_On
+{
+	border-color: #316ac5;
+	background-color: #c1d2ee;
+}
+
+.TB_Button_Off, .TB_Combo_Off
+{
+	filter: alpha(opacity=70);
+	-moz-opacity: 0.70;
+	background-color: #f7f8fd;
+}
+
+.TB_Button_Disabled, .TB_Combo_Disabled
+{
+	filter: gray() alpha(opacity=30);
+	-moz-opacity: 0.30;
+}
+
+.TB_Icon DIV
+{
+	width: 21px;
+	height: 21px;
+	background-position: 50% 50%;
+	background-repeat: no-repeat;
+}
+
+.TB_Text
+{
+	height: 21px;
+	padding-right: 5px;
+}
+
+.TB_Break
+{
+	height: 23px;
 }
\ No newline at end of file
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/images/toolbar.arrowright.gif and soojung/libs/fckeditor/editor/skins/office2003/images/toolbar.arrowright.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/images/toolbar.buttonarrow.gif and soojung/libs/fckeditor/editor/skins/office2003/images/toolbar.buttonarrow.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/about.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/about.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/anchor.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/anchor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/bgcolor.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/bgcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/bold.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/bold.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/bulletedlist.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/bulletedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.about.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.about.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.anchor.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.anchor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.bgcolor.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.bgcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.bold.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.bold.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.button.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.button.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.checkbox.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.checkbox.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.copy.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.copy.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.cut.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.cut.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.find.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.find.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.flash.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.flash.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.fontstyleadv.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.fontstyleadv.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.form.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.form.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.hidden.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.hidden.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.image.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.image.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.imagebutton.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.imagebutton.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.indent.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.indent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.input.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.input.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.inserthorizontalrule.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.inserthorizontalrule.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.insertorderedlist.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.insertorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.insertunorderedlist.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.insertunorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.italic.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.italic.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.justifycenter.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.justifycenter.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.justifyfull.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.justifyfull.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.justifyleft.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.justifyleft.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.justifyright.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.justifyright.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.link.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.link.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.mail.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.mail.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.new.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.new.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.newpage.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.newpage.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.open.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.open.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.outdent.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.outdent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.paste.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.paste.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.pastetext.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.pastetext.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.pasteword.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.pasteword.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.preview.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.preview.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.print.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.print.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.radio.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.radio.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.redo.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.redo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.removeformat.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.removeformat.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.replace.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.replace.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.save.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.save.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.select.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.select.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.selectall.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.selectall.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.showdetails.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.showdetails.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.showtableborders.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.showtableborders.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.smiley.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.smiley.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.source.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.source.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.specialchar.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.specialchar.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.spellcheck.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.spellcheck.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.strikethrough.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.strikethrough.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.subscript.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.subscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.superscript.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.superscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.table.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.table.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.textarea.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.textarea.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.textcolor.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.textcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.underline.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.underline.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.undo.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.undo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.universalkey.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.universalkey.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/button.unlink.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/button.unlink.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/checkbox.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/checkbox.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/copy.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/copy.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/cut.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/cut.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/docprops.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/docprops.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/find.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/find.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/flash.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/flash.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/fontstyleadv.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/fontstyleadv.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/form.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/form.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/hidden.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/hidden.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/hiddenfield.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/hiddenfield.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/image.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/image.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/imagebutton.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/imagebutton.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/indent.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/indent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/input.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/input.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/inserthorizontalrule.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/inserthorizontalrule.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/insertorderedlist.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/insertorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/insertunorderedlist.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/insertunorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/italic.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/italic.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/justifycenter.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/justifycenter.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/justifyfull.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/justifyfull.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/justifyleft.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/justifyleft.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/justifyright.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/justifyright.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/link.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/link.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/mail.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/mail.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/new.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/new.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/newpage.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/newpage.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/numberedlist.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/numberedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/open.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/open.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/outdent.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/outdent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/paste.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/paste.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/pastetext.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/pastetext.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/pasteword.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/pasteword.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/preview.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/preview.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/print.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/print.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/radio.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/radio.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/redo.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/redo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/removeformat.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/removeformat.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/replace.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/replace.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/save.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/save.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/select.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/select.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/selectall.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/selectall.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/showdetails.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/showdetails.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/showtableborders.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/showtableborders.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/smiley.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/smiley.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/source.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/source.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/specialchar.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/specialchar.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/spellcheck.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/spellcheck.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/strikethrough.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/strikethrough.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/subscript.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/subscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/superscript.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/superscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/table.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/table.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/tablecell.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/tablecell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/tabledeletecells.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/tabledeletecells.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/tabledeletecolumns.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/tabledeletecolumns.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/tabledeleterows.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/tabledeleterows.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/tableinsertcell.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/tableinsertcell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/tableinsertcolumn.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/tableinsertcolumn.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/tableinsertrow.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/tableinsertrow.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/tablemergecells.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/tablemergecells.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/tablesplitcell.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/tablesplitcell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/templates.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/templates.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/textarea.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/textarea.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/textcolor.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/textcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/textfield.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/textfield.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/underline.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/underline.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/undo.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/undo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/universalkey.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/universalkey.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/unlink.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/unlink.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/office2003/toolbar/unorderedlist.gif and soojung/libs/fckeditor/editor/skins/office2003/toolbar/unorderedlist.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/editor/skins/silver/fck_contextmenu.css soojung/libs/fckeditor/editor/skins/silver/fck_contextmenu.css
--- soojung-0.4.8/libs/fckeditor/editor/skins/silver/fck_contextmenu.css	2004-12-27 20:50:31.000000000 +0900
+++ soojung/libs/fckeditor/editor/skins/silver/fck_contextmenu.css	2005-06-11 10:32:44.000000000 +0900
@@ -1,89 +1,245 @@
 /*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_contextmenu.css
- * 	Styles used by the context menu.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:55
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_contextmenu.css
+ * 	Styles used by the context menu.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-.CM_ContextMenu, .CM_ContextMenu *
-{
-	font-size: 11px;
-	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
-}
-
-.CM_ContextMenu
-{
-	border: 1px solid #8f8f73;
-	padding: 2px;
-	background-color: #f7f7f7;
-}
-
-.CM_Option, .CM_Over, .CM_Disabled
-{
-	padding: 0px 3px;
-	height: 18px;
-	cursor: default;
-}
-
-.CM_Option, .CM_Over
-{
-	cursor: hand;
-}
-
-.CM_Option .CM_Icon, .CM_Disabled .CM_Icon, .CM_Separator .CM_Icon
-{
-	background-color: #dedede;
-}
-
-.CM_Option .CM_Icon IMG
-{
-	filter: alpha(opacity=70);
-	-moz-opacity: 0.70;
-}
-
-.CM_Disabled .CM_Icon IMG, .CM_Disabled .CM_Label
-{
-	filter: gray() alpha(opacity=30);
-	-moz-opacity: 0.30;
-}
-
-.CM_Option .CM_Label, .CM_Over .CM_Label
-{
-	padding: 1px 10px 1px 3px;
-}
-
-.CM_Over
-{
-	color: #fff;
-	background-color: #8a857d;
-}
-
-.CM_Over .CM_Icon
-{
-	background-color: #6c6761;
-}
-
-.CM_Separator TD
-{
-	height: 3px;
-}
-
-.CM_Separator .CM_Label DIV
-{
-	border-top: #b9b99d 1px solid;
-	margin-left: 2px;
-	margin-right: 3px;
-}
+ */
+
+.CM_ContextMenu, .CM_ContextMenu *
+{
+	font-size: 11px;
+	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
+}
+
+.CM_ContextMenu
+{
+	border: 1px solid #8f8f73;
+	padding: 2px;
+	background-color: #f7f7f7;
+}
+
+.CM_Option, .CM_Over, .CM_Disabled
+{
+	padding: 0px 3px;
+	height: 18px;
+	cursor: default;
+}
+
+.CM_Option, .CM_Over
+{
+	cursor: hand;
+}
+
+.CM_Option .CM_Icon, .CM_Disabled .CM_Icon, .CM_Separator .CM_Icon
+{
+	background-color: #dedede;
+}
+
+.CM_Option .CM_Icon IMG
+{
+	filter: alpha(opacity=70);
+	-moz-opacity: 0.70;
+}
+
+.CM_Disabled 
+{
+	background-color: #ffffff;
+}
+
+.CM_Disabled .CM_Icon IMG, .CM_Disabled .CM_Label
+{
+	filter: gray() alpha(opacity=30);
+	-moz-opacity: 0.30;
+}
+
+.CM_Option .CM_Label, .CM_Over .CM_Label
+{
+	padding: 1px 10px 1px 3px;
+}
+
+.CM_Over
+{
+	color: #ffffff;
+	background-color: #8a857d;
+}
+
+.CM_Over .CM_Icon
+{
+	background-color: #6c6761;
+}
+
+.CM_Separator TD
+{
+	height: 3px;
+}
+
+.CM_Separator .CM_Label DIV
+{
+	border-top: #b9b99d 1px solid;
+	margin-left: 2px;
+	margin-right: 3px;
+}
+
+/*
+	### Panel Styles
+*/
+
+.FCK_Panel
+{
+	border: #8f8f73 1px solid;
+	padding: 2px;
+	background-color: #ffffff;
+}
+
+.FCK_Panel, .FCK_Panel TD
+{
+	font-family: 'Microsoft Sans Serif', Tahoma, Arial, Verdana, Sans-Serif;
+	font-size: 11px;
+}
+
+/*
+	### Color Selector Panel
+*/
+
+.ColorBoxBorder
+{
+	border: #808080 1px solid;
+	position: static;
+}
+
+.ColorBox
+{
+	font-size: 1px;
+	width: 10px;
+	position: static;
+	height: 10px;
+}
+
+.ColorDeselected, .ColorSelected
+{
+	cursor: default;
+}
+
+.ColorDeselected
+{
+	border: #ffffff 1px solid;
+	padding: 2px;
+	float: left;
+}
+
+.ColorSelected
+{
+	border: #316ac5 1px solid;
+	padding: 2px;
+	float: left;
+	background-color: #c1d2ee;
+}
+
+/*
+	### Special Combos
+*/
+
+.SC_Panel
+{
+	overflow-y: auto;
+	white-space: nowrap;
+	cursor: default;
+}
+
+.SC_Item, .SC_ItemSelected
+{
+	margin-top: 2px;
+	margin-bottom: 2px;
+	background-position: left center;
+	padding-left: 11px;
+	padding-right: 3px;
+	padding-top: 2px;
+	padding-bottom: 2px;
+	text-overflow: ellipsis;
+	overflow: hidden;
+	width: 100%;
+	background-repeat: no-repeat;
+	border: #dddddd 1px solid;
+}
+
+.SC_Item *, .SC_ItemSelected *
+{
+	margin-top: 0px;
+	margin-bottom: 0px;
+}
+
+.SC_ItemSelected
+{
+	border: #9a9afb 1px solid;
+	background-image: url(images/toolbar.arrowright.gif);
+}
+
+.SC_ItemOver
+{
+	border: #316ac5 1px solid;
+}
+
+.SC_Field
+{
+	border: #b7b7a6 1px solid;
+	cursor: default;
+	margin-top: 4px ;
+}
+
+.SC_FieldCaption
+{
+	padding-top: 4px ;
+	overflow: visible;
+	padding-right: 5px;
+	padding-left: 5px;
+	filter: alpha(opacity=70);
+	-moz-opacity:0.75;
+	height: 23px;
+	background-color: #f7f7f7;
+}
+
+.SC_FieldLabel
+{
+	white-space: nowrap;
+	padding: 2px;
+	width: 100%;
+	cursor: default;
+	background-color: #ffffff;
+	text-overflow: ellipsis;
+	overflow: hidden;
+}
+
+.SC_FieldButton
+{
+	background-position: center center;
+	background-image: url(images/toolbar.buttonarrow.gif);
+	border-left: #b7b7a6 1px solid;
+	width: 14px;
+	background-repeat: no-repeat;
+}
+
+.SC_FieldDisabled .SC_FieldButton, .SC_FieldDisabled .SC_FieldCaption
+{
+	filter: gray() alpha(opacity=30);
+	-moz-opacity:0.30;
+}
+
+.SC_FieldOver
+{
+	border: #316ac5 1px solid;
+}
+
+.SC_FieldOver .SC_FieldButton
+{
+	border-left: #316ac5 1px solid;
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/skins/silver/fck_dialog.css soojung/libs/fckeditor/editor/skins/silver/fck_dialog.css
--- soojung-0.4.8/libs/fckeditor/editor/skins/silver/fck_dialog.css	2004-12-27 20:50:31.000000000 +0900
+++ soojung/libs/fckeditor/editor/skins/silver/fck_dialog.css	2005-06-11 10:32:44.000000000 +0900
@@ -1,120 +1,130 @@
 /*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_dialog.css
- * 	Styles used by the dialog boxes.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:55
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_dialog.css
+ * 	Styles used by the dialog boxes.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
- */
-
-body
-{
-	margin: 0px;
-	padding: 10px;
-	background-color: #f7f7f7;
-}
-
-body, td, input, select, textarea
-{
-	font-size: 11px;
-	font-family: 'Microsoft Sans Serif' , Arial, Helvetica, Verdana;
-}
-
-.PopupBody
-{
-	margin: 0px;
-	padding: 0px;
-}
-
-.PopupTitle
-{
-	padding-right: 10px;
-	padding-left: 10px;
-	font-weight: bold;
-	font-size: 14pt;
-	padding-bottom: 3px;
-	color: #504845;
-	padding-top: 3px;
-	background-color: #dedede;
-}
-
-.PopupButtons
-{
-	border-top: #cec6b5 1px solid;
-	background-color: #DEDEDE;
-	padding: 7px 10px 7px 10px;
-}
-
-.Button
-{
-	border: #7a7261 1px solid;
-	color: #504845;
-	background-color: #cec6b5;
-}
-
-.DarkBackground
-{
-	background-color: #d7d79f;
-}
-
-.LightBackground
-{
-	background-color: #ffffbe;
-}
-
-.PopupTitleBorder
-{
-	border-bottom: #cec6b5 1px solid;
-}
-
-.PopupTabArea
-{
-	color: #504845;
-	background-color: #DEDEDE;
-}
-
-.PopupTabEmptyArea
-{
-	padding-left: 10px ;
-	border-bottom: #cec6b5 1px solid;
-}
-
-.PopupTab, .PopupTabSelected
-{
-	border-right: #cec6b5 1px solid;
-	border-top: #cec6b5 1px solid;
-	border-left: #cec6b5 1px solid;
-	padding-right: 5px;
-	padding-left: 5px;
-	padding-bottom: 3px;
-	padding-top: 3px;
-	color: #504845;
-}
-
-.PopupTab
-{
-	margin-top: 1px;
-	border-bottom: #cec6b5 1px solid;
-	cursor: pointer;
-	cursor: hand;
-}
-
-.PopupTabSelected
-{
-	font-weight:bold;
-	cursor: default;
-	padding-top: 4px;
-	border-bottom: #f1f1e3 1px solid;
-	background-color: #f7f7f7;
+ */
+
+body
+{
+	margin: 0px;
+	padding: 10px;
+	background-color: #f7f7f7;
+}
+
+body, td, input, select, textarea
+{
+	font-size: 11px;
+	font-family: 'Microsoft Sans Serif' , Arial, Helvetica, Verdana;
+}
+
+body, .BackColor
+{
+	background-color: #f7f7f7;
+}
+
+.PopupBody
+{
+	margin: 0px;
+	padding: 0px;
+}
+
+.PopupTitle
+{
+	padding-right: 10px;
+	padding-left: 10px;
+	font-weight: bold;
+	font-size: 14pt;
+	padding-bottom: 3px;
+	color: #504845;
+	padding-top: 3px;
+	background-color: #dedede;
+}
+
+.PopupButtons
+{
+	border-top: #cec6b5 1px solid;
+	background-color: #DEDEDE;
+	padding: 7px 10px 7px 10px;
+}
+
+.Button
+{
+	border: #7a7261 1px solid;
+	color: #504845;
+	background-color: #cec6b5;
+}
+
+.DarkBackground
+{
+	background-color: #d7d79f;
+}
+
+.LightBackground
+{
+	background-color: #ffffbe;
+}
+
+.PopupTitleBorder
+{
+	border-bottom: #cec6b5 1px solid;
+}
+
+.PopupTabArea
+{
+	color: #504845;
+	background-color: #DEDEDE;
+}
+
+.PopupTabEmptyArea
+{
+	padding-left: 10px ;
+	border-bottom: #cec6b5 1px solid;
+}
+
+.PopupTab, .PopupTabSelected
+{
+	border-right: #cec6b5 1px solid;
+	border-top: #cec6b5 1px solid;
+	border-left: #cec6b5 1px solid;
+	padding-right: 5px;
+	padding-left: 5px;
+	padding-bottom: 3px;
+	padding-top: 3px;
+	color: #504845;
+}
+
+.PopupTab
+{
+	margin-top: 1px;
+	border-bottom: #cec6b5 1px solid;
+	cursor: pointer;
+	cursor: hand;
+}
+
+.PopupTabSelected
+{
+	font-weight:bold;
+	cursor: default;
+	padding-top: 4px;
+	border-bottom: #f1f1e3 1px solid;
+	background-color: #f7f7f7;
+}
+
+.PopupSelectionBox
+{
+	border: #a9a9a9 1px solid;
+	background-color: #dcdcdc;
+	cursor: pointer;
+	cursor: hand;
 }
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/editor/skins/silver/fck_editor.css soojung/libs/fckeditor/editor/skins/silver/fck_editor.css
--- soojung-0.4.8/libs/fckeditor/editor/skins/silver/fck_editor.css	2004-12-27 20:50:31.000000000 +0900
+++ soojung/libs/fckeditor/editor/skins/silver/fck_editor.css	2005-06-11 10:32:44.000000000 +0900
@@ -1,167 +1,152 @@
 /*
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fck_editor.css
- * 	Styles used by the editor IFRAME and Toolbar.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:55
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fck_editor.css
+ * 	Styles used by the editor IFRAME and Toolbar.
+ * 
+ * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
  * 		gazou[Fr]
- */
-
-@import url( fck_contextmenu.css ) ;
-
-/*
-	### Basic Editor IFRAME Styles.
-*/
-
-body
-{
-	padding: 1px 1px 1px 1px;
-	margin: 0px 0px 0px 0px;
-}
-
-#eEditorArea, .Source
-{
-	border: #696969 1px solid;
-}
-
-#eSourceField
-{
-	border: none;
-	padding: 5px;
-	font-family: Monospace;
-}
-
-/* 
-	### Toolbar Styles
-*/
-
-.TB_ToolbarSet, .TB_Expand, .TB_Collapse
-{
-	background-color: #f7f7f7;
-}
-
-.TB_End
-{
-	display: none;
-}
-
-.TB_ExpandImg
-{
-	background-image: url(images/toolbar.expand.gif);
-	background-repeat: no-repeat;
-}
-
-.TB_CollapseImg
-{
-	background-image: url(images/toolbar.collapse.gif);
-	background-repeat: no-repeat;
-}
-
-.TB_ToolbarSet
-{
-	padding: 1px;
-	border-top: #efefde 1px outset;
-	border-bottom: #efefde 1px outset;
-}
-
-.TB_ToolbarSet, .TB_ToolbarSet *
-{
-	font-size: 11px;
-	cursor: default;
-	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
-}
-
-.TB_Expand, .TB_Collapse
-{
-	padding: 2px 2px 2px 2px;
-	border: #efefde 1px outset;
-}
-
-.TB_Collapse
-{
-	border: #efefde 1px outset;
-	width: 5px;
-}
-
-.TB_Button_On, .TB_Button_Off, .TB_Button_Disabled
-{
-	padding: 1px ;
-	margin: 1px ;
-	height: 21px;
-}
-
-.TB_Combo_Off, .TB_Combo_Disabled
-{
-	padding: 1px ;
-	margin: 2px ;
-	height: 21px;
-}
-
-.TB_Button_On, .TB_Button_Off, .TB_Button_Disabled
-{
-	border: #cec6b5 1px solid;
-}
-
-.TB_Button_On
-{
-	border-color: #316ac5;
-	background-color: #c1d2ee;
-}
-
-.TB_Button_Off
-{
-	background: #efefef url(images/toolbar.buttonbg.gif) repeat-x;
-}
-
-.TB_Button_Off, .TB_Combo_Off
-{
-	filter: alpha(opacity=70);
-	-moz-opacity: 0.70;
-}
-
-.TB_Button_Disabled, .TB_Combo_Disabled
-{
-	filter: gray() alpha(opacity=30);
-	-moz-opacity: 0.30;
-}
-
-.TB_Icon DIV
-{
-	width: 21px;
-	height: 21px;
-	background-position: 50% 50%;
-	background-repeat: no-repeat;
-}
-
-.TB_Text
-{
-	height: 21px;
-	padding-right: 5px;
-}
-
-.TB_ButtonType_Icon .TB_Text
-{
-	display: none;
-}
-
-.TB_ButtonType_Text .TB_Icon
-{
-	display: none;
-}
-
-.TB_ButtonType_Text .TB_Text
-{
-	padding-left: 5px;
+ */
+
+/*
+	### Basic Editor IFRAME Styles.
+*/
+
+body
+{
+	padding: 1px 1px 1px 1px;
+	margin: 0px 0px 0px 0px;
+}
+
+#eWysiwygCell, .Source
+{
+	border: #696969 1px solid;
+}
+
+#eSourceField
+{
+	border: none;
+	padding: 5px;
+	font-family: Monospace;
+}
+
+/* 
+	### Toolbar Styles
+*/
+
+.TB_ToolbarSet, .TB_Expand, .TB_Collapse
+{
+	background-color: #f7f7f7;
+}
+
+.TB_End
+{
+	display: none;
+}
+
+.TB_ExpandImg
+{
+	background-image: url(images/toolbar.expand.gif);
+	background-repeat: no-repeat;
+}
+
+.TB_CollapseImg
+{
+	background-image: url(images/toolbar.collapse.gif);
+	background-repeat: no-repeat;
+}
+
+.TB_ToolbarSet
+{
+	padding: 1px;
+	border-top: #efefde 1px outset;
+	border-bottom: #efefde 1px outset;
+}
+
+.TB_ToolbarSet, .TB_ToolbarSet *
+{
+	font-size: 11px;
+	cursor: default;
+	font-family: 'Microsoft Sans Serif' , Tahoma, Arial, Verdana, Sans-Serif;
+}
+
+.TB_Expand, .TB_Collapse
+{
+	padding: 2px 2px 2px 2px;
+	border: #efefde 1px outset;
+}
+
+.TB_Collapse
+{
+	border: #efefde 1px outset;
+	width: 5px;
+}
+
+.TB_Button_On, .TB_Button_Off, .TB_Button_Disabled
+{
+	padding: 1px ;
+	margin: 1px ;
+	height: 21px;
+}
+
+.TB_Combo_Off, .TB_Combo_Disabled
+{
+	padding: 1px ;
+	margin: 2px ;
+	height: 21px;
+}
+
+.TB_Button_On, .TB_Button_Off, .TB_Button_Disabled
+{
+	border: #cec6b5 1px solid;
+}
+
+.TB_Button_On
+{
+	border-color: #316ac5;
+	background-color: #c1d2ee;
+}
+
+.TB_Button_Off
+{
+	background: #efefef url(images/toolbar.buttonbg.gif) repeat-x;
+}
+
+.TB_Button_Off, .TB_Combo_Off
+{
+	filter: alpha(opacity=70);
+	-moz-opacity: 0.70;
+}
+
+.TB_Button_Disabled, .TB_Combo_Disabled
+{
+	filter: gray() alpha(opacity=30);
+	-moz-opacity: 0.30;
+}
+
+.TB_Icon DIV
+{
+	width: 21px;
+	height: 21px;
+	background-position: 50% 50%;
+	background-repeat: no-repeat;
+}
+
+.TB_Text
+{
+	height: 21px;
+	padding-right: 5px;
+}
+
+.TB_Break
+{
+	height: 23px;
 }
\ No newline at end of file
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/images/toolbar.arrowright.gif and soojung/libs/fckeditor/editor/skins/silver/images/toolbar.arrowright.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/images/toolbar.buttonarrow.gif and soojung/libs/fckeditor/editor/skins/silver/images/toolbar.buttonarrow.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/about.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/about.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/anchor.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/anchor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/bgcolor.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/bgcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/bold.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/bold.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/bulletedlist.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/bulletedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.about.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.about.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.bgcolor.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.bgcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.bold.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.bold.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.copy.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.copy.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.cut.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.cut.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.find.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.find.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.image.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.image.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.indent.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.indent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.inserthorizontalrule.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.inserthorizontalrule.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.insertorderedlist.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.insertorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.insertunorderedlist.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.insertunorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.italic.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.italic.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.justifycenter.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.justifycenter.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.justifyfull.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.justifyfull.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.justifyleft.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.justifyleft.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.justifyright.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.justifyright.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.link.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.link.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.newpage.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.newpage.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.outdent.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.outdent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.paste.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.paste.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.pastetext.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.pastetext.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.pasteword.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.pasteword.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.preview.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.preview.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.print.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.print.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.redo.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.redo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.removeformat.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.removeformat.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.save.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.save.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.selectall.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.selectall.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.showdetails.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.showdetails.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.showtableborders.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.showtableborders.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.smiley.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.smiley.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.source.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.source.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.specialchar.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.specialchar.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.spellcheck.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.spellcheck.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.strikethrough.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.strikethrough.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.subscript.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.subscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.superscript.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.superscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.table.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.table.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.textcolor.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.textcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.underline.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.underline.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.undo.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.undo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.unlink.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.unlink.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/button.unorderedlist.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/button.unorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/checkbox.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/checkbox.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/copy.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/copy.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/cut.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/cut.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/docprops.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/docprops.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/find.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/find.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/form.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/form.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/hiddenfield.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/hiddenfield.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/image.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/image.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/imagebutton.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/imagebutton.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/indent.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/indent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/inserthorizontalrule.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/inserthorizontalrule.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/insertorderedlist.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/insertorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/insertunorderedlist.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/insertunorderedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/italic.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/italic.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/justifycenter.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/justifycenter.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/justifyfull.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/justifyfull.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/justifyleft.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/justifyleft.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/justifyright.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/justifyright.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/link.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/link.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/newpage.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/newpage.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/numberedlist.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/numberedlist.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/outdent.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/outdent.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/paste.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/paste.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/pastetext.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/pastetext.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/pasteword.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/pasteword.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/preview.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/preview.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/print.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/print.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/radio.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/radio.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/redo.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/redo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/removeformat.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/removeformat.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/replace.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/replace.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/save.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/save.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/select.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/select.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/selectall.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/selectall.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/showdetails.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/showdetails.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/showtableborders.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/showtableborders.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/smiley.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/smiley.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/source.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/source.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/specialchar.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/specialchar.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/spellcheck.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/spellcheck.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/strikethrough.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/strikethrough.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/subscript.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/subscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/superscript.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/superscript.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/table.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/table.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/tablecell.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/tablecell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/tabledeletecells.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/tabledeletecells.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/tabledeletecolumns.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/tabledeletecolumns.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/tabledeleterows.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/tabledeleterows.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/tableinsertcell.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/tableinsertcell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/tableinsertcolumn.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/tableinsertcolumn.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/tableinsertrow.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/tableinsertrow.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/tablemergecells.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/tablemergecells.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/tablesplitcell.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/tablesplitcell.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/templates.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/templates.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/textarea.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/textarea.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/textcolor.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/textcolor.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/textfield.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/textfield.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/underline.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/underline.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/undo.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/undo.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/universalkey.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/universalkey.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/unlink.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/unlink.gif differ
Binary files soojung-0.4.8/libs/fckeditor/editor/skins/silver/toolbar/unorderedlist.gif and soojung/libs/fckeditor/editor/skins/silver/toolbar/unorderedlist.gif differ
diff -urN soojung-0.4.8/libs/fckeditor/fckconfig.js soojung/libs/fckeditor/fckconfig.js
--- soojung-0.4.8/libs/fckeditor/fckconfig.js	2004-12-27 20:50:30.000000000 +0900
+++ soojung/libs/fckeditor/fckconfig.js	2005-06-11 10:27:11.000000000 +0900
@@ -1,6 +1,6 @@
-/*
+﻿/*
  * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
  * 
  * Licensed under the terms of the GNU Lesser General Public License:
  * 		http://www.opensource.org/licenses/lgpl-license.php
@@ -10,105 +10,122 @@
  * 
  * File Name: fckconfig.js
  * 	Editor configuration settings.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-08-30 23:27:01
+ * 	See the documentation for more info.
  * 
  * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
  */
 
-// Custom Configurations (leave blank to ignore)
-FCKConfig.CustomConfigurationsPath = '' ;	// '/fckeditor.config.js' ;
+FCKConfig.CustomConfigurationsPath = '' ;
+
+FCKConfig.EditorAreaCSS = FCKConfig.BasePath + 'css/fck_editorarea.css' ;
+
+FCKConfig.DocType = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">' ;
+
+FCKConfig.BaseHref = '' ;
+
+FCKConfig.FullPage = false ;
 
-// Enables the debug window
 FCKConfig.Debug = false ;
 
-// Set the path for the skin files to use.
 FCKConfig.SkinPath = FCKConfig.BasePath + 'skins/default/' ;
 
-// Language settings
-FCKConfig.AutoDetectLanguage = true ;
-FCKConfig.DefaultLanguage    = "en" ;
+FCKConfig.PluginsPath = FCKConfig.BasePath + 'plugins/' ;
+
+// FCKConfig.Plugins.Add( 'placeholder', 'en,it' ) ;
+
+FCKConfig.AutoDetectLanguage	= true ;
+FCKConfig.DefaultLanguage		= 'en' ;
+FCKConfig.ContentLangDirection	= 'ltr' ;
 
-// Enable XHTML support
 FCKConfig.EnableXHTML		= true ;
 FCKConfig.EnableSourceXHTML	= true ;
 
-// Tells Gecko browsers to use SPAN instead of <B>, <I> and <U>.
-FCKConfig.GeckoUseSPAN = true ;
-
-// Force the editor to get the focus on startup (page load).
-FCKConfig.StartupFocus = true ;
+FCKConfig.ProcessHTMLEntities	= true ;
+FCKConfig.IncludeLatinEntities	= true ;
+FCKConfig.IncludeGreekEntities	= true ;
+
+FCKConfig.FillEmptyBlocks	= true ;
+
+FCKConfig.FormatSource		= true ;
+FCKConfig.FormatOutput		= true ;
+FCKConfig.FormatIndentator	= '    ' ;
 
-// Cut and Paste options
+FCKConfig.GeckoUseSPAN	= true ;
+FCKConfig.StartupFocus	= false ;
 FCKConfig.ForcePasteAsPlainText	= false ;
-
-// Link: Target Windows
-FCKConfig.LinkShowTargets = true ;
-FCKConfig.LinkTargets = '_blank;_parent;_self;_top' ;
-FCKConfig.LinkDefaultTarget = '' ;
-
+FCKConfig.ForceSimpleAmpersand	= false ;
+FCKConfig.TabSpaces		= 0 ;
+FCKConfig.ShowBorders	= true ;
+FCKConfig.UseBROnCarriageReturn	= false ;
 FCKConfig.ToolbarStartExpanded	= true ;
 FCKConfig.ToolbarCanCollapse	= true ;
 
-//##
-//## Toolbar Buttons Sets
-//##
-FCKConfig.ToolbarSets = new Object() ;
 FCKConfig.ToolbarSets["Default"] = [
-	['Source','-','Save','NewPage','Preview'],
-	['Cut','Copy','Paste','PasteText','PasteWord','-','Print'/*,'SpellCheck'*/],
-	['Undo','Redo',/*'-','Find','Replace',*/'-','SelectAll','RemoveFormat'],
+	['Source','DocProps','-','Save','NewPage','Preview','-','Templates'],
+	['Cut','Copy','Paste','PasteText','PasteWord','-','Print','SpellCheck'],
+	['Undo','Redo','-','Find','Replace','-','SelectAll','RemoveFormat'],
 	['Bold','Italic','Underline','StrikeThrough','-','Subscript','Superscript'],
 	['OrderedList','UnorderedList','-','Outdent','Indent'],
 	['JustifyLeft','JustifyCenter','JustifyRight','JustifyFull'],
-	['Link','Unlink'/*,'Anchor'*/],
-	['Image','Table','Rule','SpecialChar'/*,'UniversalKey'*/,'Smiley'],
-	/*['Form','Checkbox','Radio','Input','Textarea','Select','Button','ImageButton','Hidden']*/
-	/*['ShowTableBorders','ShowDetails','-','Zoom'],*/
-	[/*'FontStyleAdv','-','FontStyle','-',*/'FontFormat','-','FontName','-','FontSize'],
+	['Link','Unlink','Anchor'],
+	['Image','Table','Rule','Smiley','SpecialChar','UniversalKey'],
+	['Form','Checkbox','Radio','TextField','Textarea','Select','Button','ImageButton','HiddenField'],
+	'/',
+	['Style','FontFormat','FontName','FontSize'],
 	['TextColor','BGColor'],
 	['About']
 ] ;
+
 FCKConfig.ToolbarSets["Basic"] = [
 	['Bold','Italic','-','OrderedList','UnorderedList','-','Link','Unlink','-','About']
 ] ;
 
-// Font Colors
+FCKConfig.ContextMenu = ['Generic','Link','Anchor','Image','Select','Textarea','Checkbox','Radio','TextField','HiddenField','ImageButton','Button','BulletedList','NumberedList','TableCell','Table','Form'] ;
+
 FCKConfig.FontColors = '000000,993300,333300,003300,003366,000080,333399,333333,800000,FF6600,808000,808080,008080,0000FF,666699,808080,FF0000,FF9900,99CC00,339966,33CCCC,3366FF,800080,999999,FF00FF,FFCC00,FFFF00,00FF00,00FFFF,00CCFF,993366,C0C0C0,FF99CC,FFCC99,FFFF99,CCFFCC,CCFFFF,99CCFF,CC99FF,FFFFFF' ;
 
-// Font Names
-FCKConfig.FontNames = 'Arial;Comic Sans MS;Courier New;Tahoma;Times New Roman;Verdana' ;
+FCKConfig.FontNames		= 'Arial;Comic Sans MS;Courier New;Tahoma;Times New Roman;Verdana' ;
+FCKConfig.FontSizes		= '1/xx-small;2/x-small;3/small;4/medium;5/large;6/x-large;7/xx-large' ;
+FCKConfig.FontFormats	= 'p;div;pre;address;h1;h2;h3;h4;h5;h6' ;
+
+FCKConfig.StylesXmlPath		= FCKConfig.EditorPath + 'fckstyles.xml' ;
+FCKConfig.TemplatesXmlPath	= FCKConfig.EditorPath + 'fcktemplates.xml' ;
+
+FCKConfig.SpellChecker			= 'ieSpell' ;	// 'ieSpell' | 'SpellerPages'
+FCKConfig.IeSpellDownloadUrl	= 'http://www.iespell.com/rel/ieSpellSetup211325.exe' ;
+
+FCKConfig.MaxUndoLevels = 15 ;
+
+FCKConfig.LinkDlgHideTarget		= false ;
+FCKConfig.LinkDlgHideAdvanced	= false ;
+
+FCKConfig.ImageDlgHideLink		= false ;
+FCKConfig.ImageDlgHideAdvanced	= false ;
 
-// Link Browsing
 FCKConfig.LinkBrowser = true ;
-FCKConfig.LinkBrowserURL = FCKConfig.BasePath + "filemanager/browser/default/browser.html?Connector=connectors/aspx/connector.aspx" ;
+FCKConfig.LinkBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Connector=connectors/asp/connector.asp' ;
+//FCKConfig.LinkBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Connector=connectors/asp/connector.asp&ServerPath=/CustomFiles/' ;
+// ASP.Net		// FCKConfig.LinkBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Connector=connectors/aspx/connector.aspx' ;
+// ColdFusion	// FCKConfig.LinkBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Connector=connectors/cfm/connector.cfm' ;
+// Perl			// FCKConfig.LinkBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Connector=connectors/perl/connector.cgi' ;
+// PHP			// FCKConfig.LinkBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Connector=connectors/php/connector.php' ;
+// PHP - mcpuk	// FCKConfig.LinkBrowserURL = FCKConfig.BasePath + 'filemanager/browser/mcpuk/browser.html?Connector=connectors/php/connector.php' ;
 FCKConfig.LinkBrowserWindowWidth	= screen.width * 0.7 ;	// 70%
 FCKConfig.LinkBrowserWindowHeight	= screen.height * 0.7 ;	// 70%
 
-// Link Upload
-FCKConfig.LinkUpload = false ;
-FCKConfig.LinkUploadURL = FCKConfig.BasePath + "filemanager/upload/aspx/upload.aspx" ;
-FCKConfig.LinkUploadWindowWidth		= 300 ;
-FCKConfig.LinkUploadWindowHeight	= 150 ;
-FCKConfig.LinkUploadAllowedExtensions	= "*" ;		// * or empty for all
-FCKConfig.LinkUploadDeniedExtensions	= ".exe .asp .php .aspx .js .cfm .dll" ;	// empty for no one
-
-// Image Browsing
 FCKConfig.ImageBrowser = true ;
-FCKConfig.ImageBrowserURL = FCKConfig.BasePath + "filemanager/browser/default/browser.html?Type=Image&Connector=connectors/aspx/connector.aspx" ;
+FCKConfig.ImageBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Type=Image&Connector=connectors/asp/connector.asp' ;
+// ASP.Net		// FCKConfig.ImageBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Type=Image&Connector=connectors/aspx/connector.aspx' ;
+// ColdFusion	// FCKConfig.ImageBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Type=Image&Connector=connectors/cfm/connector.cfm' ;
+// Perl			// FCKConfig.ImageBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Type=Image&Connector=connectors/perl/connector.cgi' ;
+// PHP			// FCKConfig.ImageBrowserURL = FCKConfig.BasePath + 'filemanager/browser/default/browser.html?Type=Image&Connector=connectors/php/connector.php' ;
+// PHP - mcpuk	// FCKConfig.ImageBrowserURL = FCKConfig.BasePath + 'filemanager/browser/mcpuk/browser.html?Type=Image&Connector=connectors/php/connector.php' ;
 FCKConfig.ImageBrowserWindowWidth  = screen.width * 0.7 ;	// 70% ;
 FCKConfig.ImageBrowserWindowHeight = screen.height * 0.7 ;	// 70% ;
 
-// Smiley Dialog
-FCKConfig.SmileyPath	= FCKConfig.BasePath + "images/smiley/msn/" ;
-FCKConfig.SmileyImages	= ["regular_smile.gif","sad_smile.gif","wink_smile.gif","teeth_smile.gif","confused_smile.gif","tounge_smile.gif","embaressed_smile.gif","omg_smile.gif","whatchutalkingabout_smile.gif","angry_smile.gif","angel_smile.gif","shades_smile.gif","devil_smile.gif","cry_smile.gif","lightbulb.gif","thumbs_down.gif","thumbs_up.gif","heart.gif","broken_heart.gif","kiss.gif","envelope.gif"] ;
+FCKConfig.SmileyPath	= FCKConfig.BasePath + 'images/smiley/msn/' ;
+FCKConfig.SmileyImages	= ['regular_smile.gif','sad_smile.gif','wink_smile.gif','teeth_smile.gif','confused_smile.gif','tounge_smile.gif','embaressed_smile.gif','omg_smile.gif','whatchutalkingabout_smile.gif','angry_smile.gif','angel_smile.gif','shades_smile.gif','devil_smile.gif','cry_smile.gif','lightbulb.gif','thumbs_down.gif','thumbs_up.gif','heart.gif','broken_heart.gif','kiss.gif','envelope.gif'] ;
 FCKConfig.SmileyColumns = 8 ;
 FCKConfig.SmileyWindowWidth		= 320 ;
-FCKConfig.SmileyWindowHeight	= 240 ;
-
-//**
-// Load the custom configurations file
-if ( FCKConfig.CustomConfigurationsPath.length > 0 )
-	FCKScriptLoader.AddScript( FCKConfig.CustomConfigurationsPath ) ;
\ No newline at end of file
+FCKConfig.SmileyWindowHeight	= 240 ;
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/fckeditor.asp soojung/libs/fckeditor/fckeditor.asp
--- soojung-0.4.8/libs/fckeditor/fckeditor.asp	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/fckeditor.asp	2005-06-11 10:27:11.000000000 +0900
@@ -0,0 +1,179 @@
+﻿<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fckeditor.asp
+ * 	This is the integration file for ASP.
+ * 
+ * 	It defines the FCKeditor class that can be used to create editor
+ * 	instances in ASP pages on server side.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<%
+Class FCKeditor
+
+	private sBasePath
+	private sInstanceName
+	private sWidth
+	private sHeight
+	private sToolbarSet
+	private sValue
+
+	private oConfig
+
+	Private Sub Class_Initialize()
+		sBasePath		= "/FCKeditor/"
+		sWidth			= "100%"
+		sHeight			= "200"
+		sToolbarSet		= "Default"
+		sValue			= ""
+
+		Set oConfig = CreateObject("Scripting.Dictionary")
+	End Sub
+
+	Public Property Let BasePath( basePathValue )
+		sBasePath = basePathValue
+	End Property
+
+	Public Property Let InstanceName( instanceNameValue )
+		sInstanceName = instanceNameValue
+	End Property
+
+	Public Property Let Width( widthValue )
+		sWidth = widthValue
+	End Property
+
+	Public Property Let Height( heightValue )
+		sHeight = heightValue
+	End Property
+
+	Public Property Let ToolbarSet( toolbarSetValue )
+		sToolbarSet = toolbarSetValue
+	End Property
+
+	Public Property Let Value( newValue )
+		sValue = newValue
+	End Property
+
+	Public Property Let Config( configKey, configValue )
+		oConfig.Add configKey, configValue
+	End Property
+
+	Public Function Create( instanceName )
+
+		Response.Write "<div>"
+
+		If IsCompatible() Then
+
+			Dim sLink
+			sLink = sBasePath & "editor/fckeditor.html?InstanceName=" + instanceName
+
+			If (sToolbarSet & "") <> "" Then
+				sLink = sLink + "&amp;Toolbar=" & sToolbarSet
+			End If
+
+			' Render the linked hidden field.
+			Response.Write "<input type=""hidden"" id=""" & instanceName & """ name=""" & instanceName & """ value=""" & Server.HTMLEncode( sValue ) & """ />"
+
+			' Render the configurations hidden field.
+			Response.Write "<input type=""hidden"" id=""" & instanceName & "___Config"" value=""" & GetConfigFieldString() & """ />"
+
+			' Render the editor IFRAME.
+			Response.Write "<iframe id=""" & instanceName & "___Frame"" src=""" & sLink & """ width=""" & sWidth & """ height=""" & sHeight & """ frameborder=""no"" scrolling=""no""></iframe>"
+
+		Else
+
+			Dim sWidthCSS, sHeightCSS
+
+			If InStr( sWidth, "%" ) > 0  Then
+				sWidthCSS = sWidth
+			Else
+				sWidthCSS = sWidth & "px"
+			End If
+
+			If InStr( sHeight, "%" ) > 0  Then
+				sHeightCSS = sHeight
+			Else
+				sHeightCSS = sHeight & "px"
+			End If
+
+			Response.Write "<textarea name=""" & instanceName & """ rows=""4"" cols=""40"" style=""width: " & sWidthCSS & "; height: " & sHeightCSS & """ wrap=""virtual"">" & Server.HTMLEncode( sValue ) & "</textarea>"
+
+		End If
+
+		Response.Write "</div>"
+
+	End Function
+
+	Private Function IsCompatible()
+
+		Dim sAgent
+		sAgent = Request.ServerVariables("HTTP_USER_AGENT")
+
+		Dim iVersion
+
+		If InStr(sAgent, "MSIE") > 0 AND InStr(sAgent, "mac") <= 0  AND InStr(sAgent, "Opera") <= 0 Then
+			iVersion = CInt( ToNumericFormat( Mid(sAgent, InStr(sAgent, "MSIE") + 5, 3) ) )
+			IsCompatible = ( iVersion >= 5.5 )
+		ElseIf InStr(sAgent, "Gecko/") > 0 Then
+			iVersion = CLng( Mid( sAgent, InStr( sAgent, "Gecko/" ) + 6, 8 ) )
+			IsCompatible = ( iVersion >= 20030210 )
+		Else
+			IsCompatible = False
+		End If
+
+	End Function
+
+	' By Agrotic
+	' On ASP, when converting string to numbers, the number decimal separator is localized
+	' so 5.5 will not work on systems were the separator is "," and vice versa.
+	Private Function ToNumericFormat( numberStr )
+
+		If IsNumeric( "5.5" ) Then
+			ToNumericFormat = Replace( numberStr, ",", ".")
+		Else
+			ToNumericFormat = Replace( numberStr, ".", ",")
+		End If
+
+	End Function
+
+	Private Function GetConfigFieldString()
+
+		Dim sParams
+
+		Dim bFirst
+		bFirst = True
+
+		Dim sKey
+		For Each sKey in oConfig
+
+			If bFirst = False Then
+				sParams = sParams & "&amp;"
+			Else
+				bFirst = False
+			End If
+
+			sParams = sParams & EncodeConfig( sKey ) & "=" & EncodeConfig( oConfig(sKey) )
+
+		Next
+
+		GetConfigFieldString = sParams
+
+	End Function
+	
+	Private Function EncodeConfig( valueToEncode )
+		EncodeConfig = Replace( valueToEncode, "&", "%26" )
+		EncodeConfig = Replace( EncodeConfig , "=", "%3D" )
+		EncodeConfig = Replace( EncodeConfig , """", "%22" )
+	End Function
+
+End Class
+%>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/fckeditor.cfc soojung/libs/fckeditor/fckeditor.cfc
--- soojung-0.4.8/libs/fckeditor/fckeditor.cfc	2004-12-27 20:50:30.000000000 +0900
+++ soojung/libs/fckeditor/fckeditor.cfc	2005-06-11 10:27:11.000000000 +0900
@@ -1,185 +1,223 @@
-<cfcomponent output="no" displayname="FCKEditor" hint="Create an instance of the FCKEditor.">
+<cfcomponent output="false" displayname="FCKEditor" hint="Create an instance of the FCKEditor.">
 <!---
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fckeditor.cfc
- * 	ColdFusion MX integration. 
- * 	Note this CFC is created for use only with Coldfusion MX and above.
- * 	For older version, check the fckeditor.cfm.
- * 
- * 	Syntax: 
- * 
- * 	<cfscript>
- * 			fckEditor = createObject("component", "fckEditorV2/fckeditor");
- * 			fckEditor.instanceName="myEditor";
- * 			fckEditor.basePath="/fckEditorV2/";
- * 			fckEditor.value="This is my <strong>initial</strong> html text.";
- * 			fckEditor.width="100%";
- * 			fckEditor.height="200";
- * 	 	// ... additional parameters ...
- * 			fckEditor.create(); // create instance now.
- * 	</cfscript>
- * 
- * 	See your macromedia coldfusion mx documentation for more info.
- * 
- * 	*** Note: 
- * 	Do not use path names with a "." (dot) in the name. This is a coldfusion 
- * 	limitation with the cfc invocation.
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-27 12:39:32
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fckeditor.cfc
+ * 	ColdFusion MX integration. 
+ * 	Note this CFC is created for use only with Coldfusion MX and above.
+ * 	For older version, check the fckeditor.cfm.
+ * 
+ * 	Syntax: 
+ * 
+ * 	<cfscript>
+ * 			fckEditor = createObject("component", "fckEditorV2/fckeditor");
+ * 			fckEditor.instanceName="myEditor";
+ * 			fckEditor.basePath="/fckEditorV2/";
+ * 			fckEditor.value="This is my <strong>initial</strong> html text.";
+ * 			fckEditor.width="100%";
+ * 			fckEditor.height="200";
+ * 		 	// ... additional parameters ...
+ * 			fckEditor.create(); // create instance now.
+ * 	</cfscript>
+ * 
+ * 	See your macromedia coldfusion mx documentation for more info.
+ * 
+ * 	*** Note: 
+ * 	Do not use path names with a "." (dot) in the name. This is a coldfusion 
+ * 	limitation with the cfc invocation.
+ * 
+ * File Authors:
  * 		Hendrik Kramer (hk@lwd.de)
 --->
-<cffunction 
-	name="create" 
-	access="public" 
-	output="Yes" 
-	returntype="void" 
-	hint="Initialize the FCKEditor instance."
->
-
-	<cfparam name="this.instanceName" type="string" />
-	<cfparam name="this.width" type="string" default="100%" />
-	<cfparam name="this.height" type="string" default="200" />
-	<cfparam name="this.toolbarSet" type="string" default="Default" />
-	<cfparam name="this.value" type="string" default="" />
-	<cfparam name="this.basePath" type="string" default="/fckeditor/" />
-	<cfparam name="this.checkBrowser" type="boolean" default="true" />
-	<cfparam name="this.config" type="struct" default="#structNew()#" />
-
-	<cfscript>
-		// display the html editor or a plain textarea?
-		if( isCompatibleBrowser() )
-			showHTMLEditor();
-		else
-			showTextArea();
-	</cfscript>
-
-</cffunction>
-
-<cffunction
-	name="isCompatibleBrowser"
-	access="private"
-	output="no"
-	returnType="boolean"
-	hint="Check browser compatibility via HTTP_USER_AGENT, if checkBrowser is true"
->
-
-	<cfscript>
-		var sAgent = lCase( cgi.HTTP_USER_AGENT );
-		var stResult = "";
-		var sBrowserVersion = "";
-
-		// do not check if argument "checkBrowser" is false
-		if( not this.checkBrowser )
-			return true;
-
-		// check for Internet Explorer ( >= 5.5 )
-		if( find( "msie", sAgent ) and not find( "mac", sAgent ) and not find( "opera", sAgent ) )
-		{
-			// try to extract IE version
-			stResult = reFind( "msie ([5-9]\.[0-9])", sAgent, 1, true );
-			if( arrayLen( stResult.pos ) eq 2 )
-			{
-				// get IE Version
-				sBrowserVersion = mid( sAgent, stResult.pos[2], stResult.len[2] );
-				return ( sBrowserVersion GTE 5.5 );
-			}
-		}
-		// check for Gecko ( >= 20030210+ )
-		else if( find( "gecko", sAgent ) )
-		{
-			// try to extract Gecko version date
-			stResult = reFind( "gecko/(200[3-9][0-1][0-9][0-3][0-9])", sAgent, 1, true );
-			if( arrayLen( stResult.pos ) eq 2 )
-			{
-				// get Gecko build (i18n date)
-				sBrowserVersion = mid( sAgent, stResult.pos[2], stResult.len[2] );
-				return ( sBrowserVersion GTE 20030210 );
-			}
-		}
-
-		return false;
-	</cfscript>
-</cffunction>
-
-<cffunction
-	name="showTextArea"
-	access="private"
-	output="yes"
-	returnType="void"
-	hint="Create a textarea field for non-compatible browsers."
->
-
-	<cfscript>
-		var width = this.width;
-		var height = this.height;
-		
-		// append unit "px" for numeric width and/or height values
-		if( isNumeric( width ) )
-			width = width & "px";
-		if( isNumeric( height ) )
-			height = height & "px";
-	</cfscript>
-
-	<cfoutput>
-	<div>
-	<textarea name="#this.instanceName#" rows="4" cols="40" style="WIDTH: #width#; HEIGHT: #height#" wrap="virtual">#HTMLEditFormat(this.value)#</textarea>
-	</div>
-	</cfoutput>
-
-</cffunction>
-
-<cffunction
-	name="showHTMLEditor"
-	access="private"
-	output="yes"
-	returnType="void"
-	hint="Create the html editor instance for compatible browsers."
->
-	
-	<cfscript>
-		var sConfig = "";
-		var sURL = "";
-		var basePath = this.basePath;
-		
-		// try to fix the basePath, if ending slash is missing
-		if( len( basePath) and right( basePath, 1 ) is not "/" )
-			basePath = basePath & "/";
-
-		// construct the url
-		sURL = basePath & "editor/fckeditor.html?InstanceName=" & this.instanceName;
-
-		// append toolbarset name to the url
-		if( len( this.toolbarSet ) )
-			sURL = sURL & "&Toolbar=" & this.toolbarSet;
-
-		// create configuration string: Key1=Value1&Key2=Value2&... (Key/Value:HTML encoded)
-		for( key in this.config )
-		{
-			if( len( sConfig ) )
-				sConfig = sConfig & '&';
-			sConfig = sConfig & HTMLEditFormat(key) & '=' & HTMLEditFormat(this.config[key]);
-		}
-	</cfscript>
-
-	<cfoutput>
-	<div>
-	<input type="hidden" id="#this.instanceName#" name="#this.instanceName#" value="#HTMLEditFormat(this.value)#" />
-	<input type="hidden" id="#this.instanceName#___Config" value="#sConfig#" />
-	<iframe id="#this.instanceName#___Frame" src="#sURL#" width="#this.width#" height="#this.height#" frameborder="no" scrolling="no"></iframe>
-	</div>
-	</cfoutput>
-
-</cffunction>
-
+<cffunction 
+	name="create" 
+	access="public" 
+	output="true" 
+	returntype="void" 
+	hint="Initialize the FCKEditor instance."
+>
+
+	<cfparam name="this.instanceName" type="string" />
+	<cfparam name="this.width" type="string" default="100%" />
+	<cfparam name="this.height" type="string" default="200" />
+	<cfparam name="this.toolbarSet" type="string" default="Default" />
+	<cfparam name="this.value" type="string" default="" />
+	<cfparam name="this.basePath" type="string" default="/fckeditor/" />
+	<cfparam name="this.checkBrowser" type="boolean" default="true" />
+	<cfparam name="this.config" type="struct" default="#structNew()#" />
+
+	<cfscript>
+	// display the html editor or a plain textarea?
+	if( isCompatible() )
+		showHTMLEditor();
+	else
+		showTextArea();
+	</cfscript>
+
+</cffunction>
+
+<cffunction
+	name="isCompatible"
+	access="private"
+	output="false"
+	returnType="boolean"
+	hint="Check browser compatibility via HTTP_USER_AGENT, if checkBrowser is true"
+>
+
+	<cfscript>
+	var sAgent = lCase( cgi.HTTP_USER_AGENT );
+	var stResult = "";
+	var sBrowserVersion = "";
+
+	// do not check if argument "checkBrowser" is false
+	if( not this.checkBrowser )
+		return true;
+
+	// check for Internet Explorer ( >= 5.5 )
+	if( find( "msie", sAgent ) and not find( "mac", sAgent ) and not find( "opera", sAgent ) )
+	{
+		// try to extract IE version
+		stResult = reFind( "msie ([5-9]\.[0-9])", sAgent, 1, true );
+		if( arrayLen( stResult.pos ) eq 2 )
+		{
+			// get IE Version
+			sBrowserVersion = mid( sAgent, stResult.pos[2], stResult.len[2] );
+			return ( sBrowserVersion GTE 5.5 );
+		}
+	}
+	// check for Gecko ( >= 20030210+ )
+	else if( find( "gecko/", sAgent ) )
+	{
+		// try to extract Gecko version date
+		stResult = reFind( "gecko/(200[3-9][0-1][0-9][0-3][0-9])", sAgent, 1, true );
+		if( arrayLen( stResult.pos ) eq 2 )
+		{
+			// get Gecko build (i18n date)
+			sBrowserVersion = mid( sAgent, stResult.pos[2], stResult.len[2] );
+			return ( sBrowserVersion GTE 20030210 );
+		}
+	}
+
+	return false;
+	</cfscript>
+</cffunction>
+
+<cffunction
+	name="showTextArea"
+	access="private"
+	output="true"
+	returnType="void"
+	hint="Create a textarea field for non-compatible browsers."
+>
+
+	<cfscript>
+	// append unit "px" for numeric width and/or height values
+	if( isNumeric( this.width ) )
+		this.width = this.width & "px";
+	if( isNumeric( this.height ) )
+		this.height = this.height & "px";
+	</cfscript>
+
+	<cfoutput>
+	<div>
+	<textarea name="#this.instanceName#" rows="4" cols="40" style="WIDTH: #width#; HEIGHT: #height#" wrap="virtual">#HTMLEditFormat(this.value)#</textarea>
+	</div>
+	</cfoutput>
+
+</cffunction>
+
+<cffunction
+	name="showHTMLEditor"
+	access="private"
+	output="true"
+	returnType="void"
+	hint="Create the html editor instance for compatible browsers."
+>
+	
+	<cfscript>
+	var sURL = "";
+	
+	// try to fix the basePath, if ending slash is missing
+	if( len( this.basePath) and right( this.basePath, 1 ) is not "/" )
+		this.basePath = this.basePath & "/";
+
+	// construct the url
+	sURL = this.basePath & "editor/fckeditor.html?InstanceName=" & this.instanceName;
+
+	// append toolbarset name to the url
+	if( len( this.toolbarSet ) )
+		sURL = sURL & "&amp;Toolbar=" & this.toolbarSet;
+	</cfscript>
+
+	<cfoutput>
+	<div>
+	<input type="hidden" id="#this.instanceName#" name="#this.instanceName#" value="#HTMLEditFormat(this.value)#" />
+	<input type="hidden" id="#this.instanceName#___Config" value="#GetConfigFieldString()#" />
+	<iframe id="#this.instanceName#___Frame" src="#sURL#" width="#this.width#" height="#this.height#" frameborder="no" scrolling="no"></iframe>
+	</div>
+	</cfoutput>
+
+</cffunction>
+
+<cffunction
+	name="GetConfigFieldString"
+	access="private"
+	output="false"
+	returnType="string"
+	hint="Create configuration string: Key1=Value1&Key2=Value2&... (Key/Value:HTML encoded)"
+>
+
+	<cfscript>
+	var sParams = "";
+	var key = "";
+	var fieldValue = "";
+	var fieldLabel = "";
+	var lConfigKeys = "";
+	var iPos = "";
+	
+	/**
+	 * CFML doesn't store casesensitive names for structure keys, but the configuration names must be casesensitive for js.
+	 * So we need to find out the correct case for the configuration keys.
+	 * We "fix" this by comparing the caseless configuration keys to a list of all available configuration options in the correct case.
+	 * changed 20041206 hk@lwd.de (improvements are welcome!)
+	 */
+	lConfigKeys = lConfigKeys & "CustomConfigurationsPath,EditorAreaCSS,DocType,BaseHref,FullPage,Debug,SkinPath,PluginsPath,AutoDetectLanguage,DefaultLanguage,ContentLangDirection,EnableXHTML,EnableSourceXHTML,ProcessHTMLEntities,IncludeLatinEntities,IncludeGreekEntities";
+	lConfigKeys = lConfigKeys & ",FillEmptyBlocks,FormatSource,FormatOutput,FormatIndentator,GeckoUseSPAN,StartupFocus,ForcePasteAsPlainText,ForceSimpleAmpersand,TabSpaces,ShowBorders,UseBROnCarriageReturn";
+	lConfigKeys = lConfigKeys & ",ToolbarStartExpanded,ToolbarCanCollapse,ToolbarSets,ContextMenu,FontColors,FontNames,FontSizes,FontFormats,StylesXmlPath,SpellChecker,IeSpellDownloadUrl,MaxUndoLevels";
+	lConfigKeys = lConfigKeys & ",LinkBrowser,LinkBrowserURL,LinkBrowserWindowWidth,LinkBrowserWindowHeight";
+	lConfigKeys = lConfigKeys & ",LinkUpload,LinkUploadURL,LinkUploadWindowWidth,LinkUploadWindowHeight,LinkUploadAllowedExtensions,LinkUploadDeniedExtensions";
+	lConfigKeys = lConfigKeys & ",ImageBrowser,ImageBrowserURL,ImageBrowserWindowWidth,ImageBrowserWindowHeight,SmileyPath,SmileyImages,SmileyColumns,SmileyWindowWidth,SmileyWindowHeight";
+	
+	for( key in this.config )
+	{
+		iPos = listFindNoCase( lConfigKeys, key );
+		if( iPos GT 0 )
+		{
+			if( len( sParams ) )
+				sParams = sParams & "&amp;";
+
+			fieldValue = this.config[key];
+			fieldName = listGetAt( lConfigKeys, iPos );
+			
+			// set all boolean possibilities in CFML to true/false values
+			if( isBoolean( fieldValue) and fieldValue )
+				fieldValue = "true";
+			else if( isBoolean( fieldValue) )
+				fieldValue = "false";
+		
+			sParams = sParams & HTMLEditFormat( fieldName ) & '=' & HTMLEditFormat( fieldValue );
+		}
+	}
+	return sParams;
+	</cfscript>
+
+</cffunction>
+
 </cfcomponent>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/fckeditor.cfm soojung/libs/fckeditor/fckeditor.cfm
--- soojung-0.4.8/libs/fckeditor/fckeditor.cfm	2004-12-27 20:50:30.000000000 +0900
+++ soojung/libs/fckeditor/fckeditor.cfm	2005-06-11 10:27:11.000000000 +0900
@@ -1,148 +1,170 @@
-<cfsetting enablecfoutputonly="Yes">
+<cfsetting enablecfoutputonly="Yes">
 <!---
- * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
- * 
- * Licensed under the terms of the GNU Lesser General Public License:
- * 		http://www.opensource.org/licenses/lgpl-license.php
- * 
- * For further information visit:
- * 		http://www.fckeditor.net/
- * 
- * File Name: fckeditor.cfm
- * 	ColdFusion integration. 
- * 	Note this module is created for use with Coldfusion 4.52 and above.
- * 	For a cfc version for coldfusion mx check the fckeditor.cfc.
- * 
- * 	Syntax: 
- * 
- * 	<cfmodule name="path/to/cfc/fckeditor" 
- * 		instanceName="myEditor"
- * 		toolbarSet="..."
- * 		width="..."
- * 		height="..:"
- * 		value="..."
- * 		config="..." 
- * 	>
- * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-27 12:24:11
- * 
- * File Authors:
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fckeditor.cfm
+ * 	ColdFusion integration. 
+ * 	Note this module is created for use with Coldfusion 4.52 and above.
+ * 	For a cfc version for coldfusion mx check the fckeditor.cfc.
+ * 
+ * 	Syntax: 
+ * 
+ * 	<cfmodule name="path/to/cfc/fckeditor" 
+ * 		instanceName="myEditor"
+ * 		toolbarSet="..."
+ * 		width="..."
+ * 		height="..:"
+ * 		value="..."
+ * 		config="..." 
+ * 	>
+ * 
+ * File Authors:
  * 		Hendrik Kramer (hk@lwd.de)
 --->
-<!--- ::
-	 * 	Attribute validation
-	:: --->
-<cfparam name="attributes.instanceName" type="string">
-<cfparam name="attributes.width" 		type="string" default="100%">
-<cfparam name="attributes.height" 		type="string" default="200">
-<cfparam name="attributes.toolbarSet" 	type="string" default="Default">
-<cfparam name="attributes.value" 		type="string" default="">
-<cfparam name="attributes.basePath" 	type="string" default="/fckeditor/">
-<cfparam name="attributes.checkBrowser" type="boolean" default="true">
-<cfparam name="attributes.config" 		type="struct" default="#structNew()#">
-
-<!--- ::
-	 * check browser compatibility via HTTP_USER_AGENT, if checkBrowser is true
-	:: --->
-<cfif attributes.checkBrowser>
-
-	<cfscript>
-	sAgent = lCase( cgi.HTTP_USER_AGENT );
-	isCompatibleBrowser = false;
-
-	// check for Internet Explorer ( >= 5.5 )
-	if( find( "msie", sAgent ) and not find( "mac", sAgent ) and not find( "opera", sAgent ) )
-	{
-		// try to extract IE version
-		stResult = reFind( "msie ([5-9]\.[0-9])", sAgent, 1, true );
-		if( arrayLen( stResult.pos ) eq 2 )
-		{
-			// get IE Version
-			sBrowserVersion = mid( sAgent, stResult.pos[2], stResult.len[2] );
-			if( sBrowserVersion GTE 5.5 )
-				isCompatibleBrowser = true;
-		}
-	}
-	// check for Gecko ( >= 20030210+ )
-	else if( find( "gecko", sAgent ) )
-	{
-		// try to extract Gecko version date
-		stResult = reFind( "gecko/(200[3-9][0-1][0-9][0-3][0-9])", sAgent, 1, true );
-		if( arrayLen( stResult.pos ) eq 2 )
-		{
-			// get Gecko build (i18n date)
-			sBrowserVersion = mid( sAgent, stResult.pos[2], stResult.len[2] );
-			if( sBrowserVersion GTE 20030210 )
-				isCompatibleBrowser = true;
-		}
-	}
-	</cfscript>
-
-<cfelse>
-	<!--- :: If we should not check browser compatibility, assume true :: --->
-	<cfset isCompatibleBrowser = true>
-</cfif>
-
-
-<cfif isCompatibleBrowser>
-
-	<!--- ::
-		 * show html editor area for compatible browser
-		:: --->
-
-	<cfscript>
-		// try to fix the basePath, if ending slash is missing
-		if( len( attributes.basePath) and right( attributes.basePath, 1 ) is not "/" )
-			attributes.basePath = attributes.basePath & "/";
-
-		// construct the url
-		sURL = attributes.basePath & "editor/fckeditor.html?InstanceName=" & attributes.instanceName;
-
-		// append toolbarset name to the url
-		if( len( attributes.toolbarSet ) )
-			sURL = sURL & "&Toolbar=" & attributes.toolbarSet;
-
-		// create configuration string: Key1=Value1&Key2=Value2&... (Key/Value:HTML encoded)
-		sConfig = "";
-
-		for( key in attributes.config )
-		{
-			if( len( sConfig ) )
-				sConfig = sConfig & '&';
-			sConfig = sConfig & HTMLEditFormat( key ) & '=' & HTMLEditFormat( attributes.config[key] );
-		}
-	</cfscript>
-
-	<cfoutput>
-	<div>
-	<input type="hidden" id="#attributes.instanceName#" name="#attributes.instanceName#" value="#HTMLEditFormat(attributes.value)#" />
-	<input type="hidden" id="#attributes.instanceName#___Config" value="#sConfig#" />
-	<iframe id="#attributes.instanceName#___Frame" src="#sURL#" width="#attributes.width#" height="#attributes.height#" frameborder="no" scrolling="no"></iframe>
-	</div>
-	</cfoutput>
-
-<cfelse>
-
-	<!--- ::
-		 * show	plain textarea for non compatible browser
-		:: --->
-
-	<cfscript>
-		// append unit "px" for numeric width and/or height values
-		if( isNumeric( attributes.width ) )
-			attributes.width = attributes.width & "px";
-		if( isNumeric( attributes.height ) )
-			attributes.height = attributes.height & "px";
-	</cfscript>
-
-	<cfoutput>
-	<div>
-	<textarea name="#attributes.instanceName#" rows="4" cols="40" style="WIDTH: #width#; HEIGHT: #height#" wrap="virtual">#HTMLEditFormat(attributes.value)#</textarea>
-	</div>
-	</cfoutput>	
-
-</cfif>
-
-<cfsetting enablecfoutputonly="No">
+<!--- ::
+	 * 	Attribute validation
+	:: --->
+<cfparam name="attributes.instanceName" type="string">
+<cfparam name="attributes.width" 		type="string" default="100%">
+<cfparam name="attributes.height" 		type="string" default="200">
+<cfparam name="attributes.toolbarSet" 	type="string" default="Default">
+<cfparam name="attributes.value" 		type="string" default="">
+<cfparam name="attributes.basePath" 	type="string" default="/fckeditor/">
+<cfparam name="attributes.checkBrowser" type="boolean" default="true">
+<cfparam name="attributes.config" 		type="struct" default="#structNew()#">
+
+<!--- ::
+	 * check browser compatibility via HTTP_USER_AGENT, if checkBrowser is true
+	:: --->
+	
+<cfscript>
+if( attributes.checkBrowser )
+{
+	sAgent = lCase( cgi.HTTP_USER_AGENT );
+	isCompatibleBrowser = false;
+
+	// check for Internet Explorer ( >= 5.5 )
+	if( find( "msie", sAgent ) and not find( "mac", sAgent ) and not find( "opera", sAgent ) )
+	{
+		// try to extract IE version
+		stResult = reFind( "msie ([5-9]\.[0-9])", sAgent, 1, true );
+		if( arrayLen( stResult.pos ) eq 2 )
+		{
+			// get IE Version
+			sBrowserVersion = mid( sAgent, stResult.pos[2], stResult.len[2] );
+			if( sBrowserVersion GTE 5.5 )
+				isCompatibleBrowser = true;
+		}
+	}
+	// check for Gecko ( >= 20030210+ )
+	else if( find( "gecko/", sAgent ) )
+	{
+		// try to extract Gecko version date
+		stResult = reFind( "gecko/(200[3-9][0-1][0-9][0-3][0-9])", sAgent, 1, true );
+		if( arrayLen( stResult.pos ) eq 2 )
+		{
+			// get Gecko build (i18n date)
+			sBrowserVersion = mid( sAgent, stResult.pos[2], stResult.len[2] );
+			if( sBrowserVersion GTE 20030210 )
+				isCompatibleBrowser = true;
+		}
+	}
+}
+else
+{
+	// If we should not check browser compatibility, assume true
+	isCompatibleBrowser = true;
+}
+</cfscript>
+
+<cfif isCompatibleBrowser>
+
+	<!--- ::
+		 * show html editor area for compatible browser
+		:: --->
+
+	<cfscript>
+		// try to fix the basePath, if ending slash is missing
+		if( len( attributes.basePath) and right( attributes.basePath, 1 ) is not "/" )
+			attributes.basePath = attributes.basePath & "/";
+
+		// construct the url
+		sURL = attributes.basePath & "editor/fckeditor.html?InstanceName=" & attributes.instanceName;
+
+		// append toolbarset name to the url
+		if( len( attributes.toolbarSet ) )
+			sURL = sURL & "&amp;Toolbar=" & attributes.toolbarSet;
+
+		// create configuration string: Key1=Value1&Key2=Value2&... (Key/Value:HTML encoded)
+
+		/**
+		 * CFML doesn't store casesensitive names for structure keys, but the configuration names must be casesensitive for js. 
+		 * So we need to find out the correct case for the configuration keys.
+		 * We "fix" this by comparing the caseless configuration keys to a list of all available configuration options in the correct case.
+		 * changed 20041206 hk@lwd.de (improvements are welcome!)
+		 */
+		lConfigKeys = "";
+		lConfigKeys = lConfigKeys & "CustomConfigurationsPath,EditorAreaCSS,DocType,BaseHref,FullPage,Debug,SkinPath,PluginsPath,AutoDetectLanguage,DefaultLanguage,ContentLangDirection,EnableXHTML,EnableSourceXHTML,ProcessHTMLEntities,IncludeLatinEntities,IncludeGreekEntities";
+		lConfigKeys = lConfigKeys & ",FillEmptyBlocks,FormatSource,FormatOutput,FormatIndentator,GeckoUseSPAN,StartupFocus,ForcePasteAsPlainText,ForceSimpleAmpersand,TabSpaces,ShowBorders,UseBROnCarriageReturn";
+		lConfigKeys = lConfigKeys & ",ToolbarStartExpanded,ToolbarCanCollapse,ToolbarSets,ContextMenu,FontColors,FontNames,FontSizes,FontFormats,StylesXmlPath,SpellChecker,IeSpellDownloadUrl,MaxUndoLevels";
+		lConfigKeys = lConfigKeys & ",LinkBrowser,LinkBrowserURL,LinkBrowserWindowWidth,LinkBrowserWindowHeight";
+		lConfigKeys = lConfigKeys & ",LinkUpload,LinkUploadURL,LinkUploadWindowWidth,LinkUploadWindowHeight,LinkUploadAllowedExtensions,LinkUploadDeniedExtensions";
+		lConfigKeys = lConfigKeys & ",ImageBrowser,ImageBrowserURL,ImageBrowserWindowWidth,ImageBrowserWindowHeight,SmileyPath,SmileyImages,SmileyColumns,SmileyWindowWidth,SmileyWindowHeight";
+		
+		sConfig = "";
+		
+		for( key in attributes.config )
+		{
+			iPos = listFindNoCase( lConfigKeys, key );
+			if( iPos GT 0 )
+			{
+				if( len( sConfig ) )
+					sConfig = sConfig & "&amp;";
+	
+				fieldValue = attributes.config[key];
+				fieldName = listGetAt( lConfigKeys, iPos );
+				
+				sConfig = sConfig & HTMLEditFormat( fieldName ) & '=' & HTMLEditFormat( fieldValue );
+			}
+		}
+	</cfscript>
+
+	<cfoutput>
+	<div>
+	<input type="hidden" id="#attributes.instanceName#" name="#attributes.instanceName#" value="#HTMLEditFormat(attributes.value)#" />
+	<input type="hidden" id="#attributes.instanceName#___Config" value="#sConfig#" />
+	<iframe id="#attributes.instanceName#___Frame" src="#sURL#" width="#attributes.width#" height="#attributes.height#" frameborder="no" scrolling="no"></iframe>
+	</div>
+	</cfoutput>
+
+<cfelse>
+
+	<!--- ::
+		 * show	plain textarea for non compatible browser
+		:: --->
+
+	<cfscript>
+		// append unit "px" for numeric width and/or height values
+		if( isNumeric( attributes.width ) )
+			attributes.width = attributes.width & "px";
+		if( isNumeric( attributes.height ) )
+			attributes.height = attributes.height & "px";
+	</cfscript>
+
+	<!--- Fixed Bug ##1075166. hk@lwd.de 20041206 --->
+	<cfoutput>
+	<div>
+	<textarea name="#attributes.instanceName#" rows="4" cols="40" style="WIDTH: #attributes.width#; HEIGHT: #attributes.height#" wrap="virtual">#HTMLEditFormat(attributes.value)#</textarea>
+	</div>
+	</cfoutput>	
+
+</cfif>
+
+<cfsetting enablecfoutputonly="No"><cfexit method="exittag">
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/fckeditor.js soojung/libs/fckeditor/fckeditor.js
--- soojung-0.4.8/libs/fckeditor/fckeditor.js	2004-12-27 20:50:30.000000000 +0900
+++ soojung/libs/fckeditor/fckeditor.js	2005-06-11 10:27:11.000000000 +0900
@@ -1,6 +1,6 @@
-/*
+﻿/*
  * FCKeditor - The text editor for internet
- * Copyright (C) 2003-2004 Frederico Caldeira Knabben
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
  * 
  * Licensed under the terms of the GNU Lesser General Public License:
  * 		http://www.opensource.org/licenses/lgpl-license.php
@@ -10,14 +10,11 @@
  * 
  * File Name: fckeditor.js
  * 	This is the integration file for JavaScript.
- * 	
+ * 
  * 	It defines the FCKeditor class that can be used to create editor
  * 	instances in a HTML page in the client side. For server side
  * 	operations, use the specific integration system.
  * 
- * Version:  2.0 Beta 2
- * Modified: 2004-05-31 23:07:55
- * 
  * File Authors:
  * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
  */
@@ -51,10 +48,10 @@
 	}
 
 	document.write( '<div>' ) ;
-	
+
 	if ( !this.CheckBrowser || this._IsCompatibleBrowser() )
 	{
-		document.write( '<input type="hidden" id="' + this.InstanceName + '" name="' + this.InstanceName + '" value="' + this._HTMLEncode( this.Value ) + '">' ) ;
+		document.write( '<input type="hidden" id="' + this.InstanceName + '" name="' + this.InstanceName + '" value="' + this._HTMLEncode( this.Value ) + '" />' ) ;
 		document.write( this._GetConfigHtml() ) ;
 		document.write( this._GetIFrameHtml() ) ;
 	}
@@ -72,7 +69,17 @@
 {
 	if ( !this.CheckBrowser || this._IsCompatibleBrowser() )
 	{
-		var oTextarea = document.getElementsByName( this.InstanceName )[0] ;
+		var oTextarea = document.getElementById( this.InstanceName ) ;
+		
+		if ( !oTextarea )
+			oTextarea = document.getElementsByName( this.InstanceName )[0] ;
+		
+		if ( !oTextarea || oTextarea.tagName != 'TEXTAREA' )
+		{
+			alert( 'Error: The TEXTAREA id "' + this.InstanceName + '" was not found' ) ;
+			return ;
+		}
+
 		oTextarea.style.display = 'none' ;
 		this._InsertHtmlBefore( this._GetConfigHtml(), oTextarea ) ;
 		this._InsertHtmlBefore( this._GetIFrameHtml(), oTextarea ) ;
@@ -97,11 +104,11 @@
 	var sConfig = '' ;
 	for ( var o in this.Config )
 	{
-		if ( sConfig.length > 0 ) sConfig += '&' ;
-		sConfig += this._HTMLEncode(o) + '=' + this._HTMLEncode( this.Config[o] ) ;
+		if ( sConfig.length > 0 ) sConfig += '&amp;' ;
+		sConfig += escape(o) + '=' + escape( this.Config[o] ) ;
 	}
 
-	return '<input type="hidden" id="' + this.InstanceName + '___Config" value="' + sConfig + '">' ;
+	return '<input type="hidden" id="' + this.InstanceName + '___Config" value="' + sConfig + '" />' ;
 }
 
 FCKeditor.prototype._GetIFrameHtml = function()
@@ -149,12 +156,12 @@
 {
 	if ( typeof( text ) != "string" )
 		text = text.toString() ;
-	
+
 	text = text.replace(/&/g, "&amp;") ;
 	text = text.replace(/"/g, "&quot;") ;
 	text = text.replace(/</g, "&lt;") ;
 	text = text.replace(/>/g, "&gt;") ;
-	text = text.replace(/'/g, "&#146;") ;
+	text = text.replace(/'/g, "&#39;") ;
 
 	return text ;
-}
+}
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/fckeditor.php soojung/libs/fckeditor/fckeditor.php
--- soojung-0.4.8/libs/fckeditor/fckeditor.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/fckeditor.php	2005-06-11 10:27:11.000000000 +0900
@@ -0,0 +1,147 @@
+<?php /*
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fckeditor.php
+ * 	This is the integration file for PHP.
+ * 	
+ * 	It defines the FCKeditor class that can be used to create editor
+ * 	instances in PHP pages on server side.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+ */
+
+class FCKeditor
+{
+	var $InstanceName ;
+	var $BasePath ;
+	var $Width ;
+	var $Height ;
+	var $ToolbarSet ;
+	var $Value ;
+	var $Config ;
+
+	function FCKeditor( $instanceName )
+	{
+		$this->InstanceName	= $instanceName ;
+		$this->BasePath		= '/FCKeditor/' ;
+		$this->Width		= '100%' ;
+		$this->Height		= '200' ;
+		$this->ToolbarSet	= 'Default' ;
+		$this->Value		= '' ;
+
+		$this->Config		= array() ;
+	}
+
+	function Create()
+	{
+		echo $this->CreateHtml() ;
+	}
+	
+	function CreateHtml()
+	{
+		$HtmlValue = htmlspecialchars( $this->Value ) ;
+
+		$Html = '<div>' ;
+		
+		if ( $this->IsCompatible() )
+		{
+			$Link = "{$this->BasePath}editor/fckeditor.html?InstanceName={$this->InstanceName}" ;
+			
+			if ( $this->ToolbarSet != '' )
+				$Link .= "&amp;Toolbar={$this->ToolbarSet}" ;
+
+			// Render the linked hidden field.
+			$Html .= "<input type=\"hidden\" id=\"{$this->InstanceName}\" name=\"{$this->InstanceName}\" value=\"{$HtmlValue}\" />" ;
+
+			// Render the configurations hidden field.
+			$Html .= "<input type=\"hidden\" id=\"{$this->InstanceName}___Config\" value=\"" . $this->GetConfigFieldString() . "\" />" ;
+
+			// Render the editor IFRAME.
+			$Html .= "<iframe id=\"{$this->InstanceName}___Frame\" src=\"{$Link}\" width=\"{$this->Width}\" height=\"{$this->Height}\" frameborder=\"no\" scrolling=\"no\"></iframe>" ;
+		}
+		else
+		{
+			if ( strpos( $this->Width, '%' ) === false )
+				$WidthCSS = $this->Width . 'px' ;
+			else
+				$WidthCSS = $this->Width ;
+
+			if ( strpos( $this->Height, '%' ) === false )
+				$HeightCSS = $this->Height . 'px' ;
+			else
+				$HeightCSS = $this->Height ;
+
+			$Html .= "<textarea name=\"{$this->InstanceName}\" rows=\"4\" cols=\"40\" style=\"width: {$WidthCSS}; height: {$HeightCSS}\" wrap=\"virtual\">{$HtmlValue}</textarea>" ;
+		}
+
+		$Html .= '</div>' ;
+		
+		return $Html ;
+	}
+
+	function IsCompatible()
+	{
+		global $HTTP_USER_AGENT ;
+
+		if ( isset( $HTTP_USER_AGENT ) )
+			$sAgent = $HTTP_USER_AGENT ;
+		else
+			$sAgent = $_SERVER['HTTP_USER_AGENT'] ;
+
+		if ( strpos($sAgent, 'MSIE') !== false && strpos($sAgent, 'mac') === false && strpos($sAgent, 'Opera') === false )
+		{
+			$iVersion = (float)substr($sAgent, strpos($sAgent, 'MSIE') + 5, 3) ;
+			return ($iVersion >= 5.5) ;
+		}
+		else if ( strpos($sAgent, 'Gecko/') !== false )
+		{
+			$iVersion = (int)substr($sAgent, strpos($sAgent, 'Gecko/') + 6, 8) ;
+			return ($iVersion >= 20030210) ;
+		}
+		else
+			return false ;
+	}
+
+	function GetConfigFieldString()
+	{
+		$sParams = '' ;
+		$bFirst = true ;
+
+		foreach ( $this->Config as $sKey => $sValue )
+		{
+			if ( $bFirst == false )
+				$sParams .= '&amp;' ;
+			else
+				$bFirst = false ;
+			
+			if ( $sValue === true )
+				$sParams .= $this->EncodeConfig( $sKey ) . '=true' ;
+			else if ( $sValue === false )
+				$sParams .= $this->EncodeConfig( $sKey ) . '=false' ;
+			else
+				$sParams .= $this->EncodeConfig( $sKey ) . '=' . $this->EncodeConfig( $sValue ) ;
+		}
+		
+		return $sParams ;
+	}
+
+	function EncodeConfig( $valueToEncode )
+	{
+		$chars = array( 
+			'&' => '%26', 
+			'=' => '%3D', 
+			'"' => '%22' ) ;
+
+		return strtr( $valueToEncode,  $chars ) ;
+	}
+}
+
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/fckeditor.pl soojung/libs/fckeditor/fckeditor.pl
--- soojung-0.4.8/libs/fckeditor/fckeditor.pl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/fckeditor.pl	2005-06-11 10:27:11.000000000 +0900
@@ -0,0 +1,133 @@
+#####
+#  FCKeditor - The text editor for internet
+#  Copyright (C) 2003-2005 Frederico Caldeira Knabben
+#  
+#  Licensed under the terms of the GNU Lesser General Public License:
+#  		http://www.opensource.org/licenses/lgpl-license.php
+#  
+#  For further information visit:
+#  		http://www.fckeditor.net/
+#  
+#  File Name: fckeditor.pl
+#  	This is the integration file for Perl.
+#  
+#  File Authors:
+#  		Takashi Yamaguchi (jack@omakase.net)
+#####
+
+#my $InstanceName;
+#my $BasePath;
+#my $Width;
+#my $Height;
+#my $ToolbarSet;
+#my $Value;
+#my %Config;
+
+sub FCKeditor
+{
+
+	local($instanceName) = @_;
+	$InstanceName	= $instanceName;
+	$BasePath		= '/FCKeditor/';
+	$Width			= '100%';
+	$Height			= '200';
+	$ToolbarSet		= 'Default';
+	$Value			= '';
+}
+
+sub Create
+{
+	print &CreateHtml();
+}
+
+sub specialchar_cnv
+{
+
+	local($ch) = @_;
+
+	$ch =~ s/&/&amp;/g;		# &
+	$ch =~ s/\"/&quot;/g;	#"
+	$ch =~ s/\'/&#39;/g;	# '
+	$ch =~ s/</&lt;/g;		# <
+	$ch =~ s/>/&gt;/g;		# >
+	return($ch);
+}
+
+sub CreateHtml
+{
+
+	$HtmlValue = &specialchar_cnv($Value);
+	$Html = '<div>' ;
+	if(&IsCompatible()) {
+		$Link = $BasePath . "editor/fckeditor.html?InstanceName=$InstanceName";
+		if($ToolbarSet ne '') {
+			$Link .= "&amp;Toolbar=$ToolbarSet";
+		}
+		#// Render the linked hidden field.
+		$Html .= "<input type=\"hidden\" id=\"$InstanceName\" name=\"$InstanceName\" value=\"$HtmlValue\" />" ;
+
+		#// Render the configurations hidden field.
+		$cfgstr = &GetConfigFieldString();
+		$wk = $InstanceName."___Config";
+		$Html .= "<input type=\"hidden\" id=\"$wk\" value=\"$cfgstr\" />" ;
+
+		#// Render the editor IFRAME.
+		$wk = $InstanceName."___Frame";
+		$Html .= "<iframe id=\"$wk\" src=\"$Link\" width=\"$Width\" height=\"$Height\" frameborder=\"no\" scrolling=\"no\"></iframe>";
+	} else {
+		if($Width =~ /\%/g){
+			$WidthCSS = $Width;
+		} else {
+			$WidthCSS = $Width . 'px';
+		}
+		if($Height =~ /\%/g){
+			$HeightCSS = $Height;
+		} else {
+			$HeightCSS = $Height . 'px';
+		}
+		$Html .= "<textarea name=\"$InstanceName\" rows=\"4\" cols=\"40\" style=\"width: $WidthCSS; height: $HeightCSS\" wrap=\"virtual\">$HtmlValue</textarea>";
+	}
+	$Html .= '</div>';
+	return($Html);
+}
+
+sub IsCompatible
+{
+
+	$sAgent = $ENV{'HTTP_USER_AGENT'};
+	if(($sAgent =~ /MSIE/i) && !($sAgent =~ /mac/i) && !($sAgent =~ /Opera/i)) {
+		$iVersion = substr($sAgent,index($sAgent,'MSIE') + 5,3);
+		return($iVersion >= 5.5) ;
+	} elsif($sAgent =~ /Gecko\//i) {
+		$iVersion = substr($sAgent,index($sAgent,'Gecko/') + 6,8);
+		return($iVersion >= 20030210) ;
+	} else {
+		return(1);
+	}
+}
+
+sub GetConfigFieldString
+{
+	$sParams = '';
+	$bFirst = 0;
+	foreach $sKey (keys %Config) {
+		$sValue = $Config{$sKey};
+		if($bFirst == 1) {
+			$sParams .= '&amp;';
+		} else {
+			$bFirst = 1;
+		}
+		$k = &specialchar_cnv($sKey);
+		$v = &specialchar_cnv($sValue);
+		if($sValue eq "true") {
+			$sParams .= "$k=true";
+		} elsif($sValue eq "false") {
+			$sParams .= "$k=false";
+		} else {
+			$sParams .= "$k=$v";
+		}
+	}
+	return($sParams);
+}
+
+1;
diff -urN soojung-0.4.8/libs/fckeditor/fckstyles.xml soojung/libs/fckeditor/fckstyles.xml
--- soojung-0.4.8/libs/fckeditor/fckstyles.xml	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/fckstyles.xml	2005-06-11 10:27:11.000000000 +0900
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<!--
+ * FCKeditor - The text editor for internet
+ * Copyright (C) 2003-2005 Frederico Caldeira Knabben
+ * 
+ * Licensed under the terms of the GNU Lesser General Public License:
+ * 		http://www.opensource.org/licenses/lgpl-license.php
+ * 
+ * For further information visit:
+ * 		http://www.fckeditor.net/
+ * 
+ * File Name: fckstyles.xml
+ * 	This is the sample style definitions file. It makes the styles combo
+ * 	completely customizable.
+ * 	See FCKConfig.StylesXmlPath in the configuration file.
+ * 
+ * File Authors:
+ * 		Frederico Caldeira Knabben (fredck@fckeditor.net)
+-->
+<Styles>
+	<Style name="Image on Left" element="img">
+		<Attribute name="style" value="padding: 5px; margin-right: 5px" />
+		<Attribute name="border" value="2" />
+		<Attribute name="align" value="left" />
+	</Style>
+	<Style name="Image on Right" element="img">
+		<Attribute name="style" value="padding: 5px; margin-left: 5px" />
+		<Attribute name="border" value="2" />
+		<Attribute name="align" value="right" />
+	</Style>
+	<Style name="Custom Bold" element="span">
+		<Attribute name="style" value="font-weight: bold;" />
+	</Style>
+	<Style name="Custom Italic" element="em" />
+	<Style name="Title" element="span">
+		<Attribute name="class" value="Title" />
+	</Style>
+	<Style name="Code" element="span">
+		<Attribute name="class" value="Code" />
+	</Style>
+	<Style name="Title H3" element="h3" />
+	<Style name="Custom Ruler" element="hr">
+		<Attribute name="size" value="1" />
+		<Attribute name="color" value="#ff0000" />
+	</Style>
+</Styles>
\ No newline at end of file
diff -urN soojung-0.4.8/libs/fckeditor/fcktemplates.xml soojung/libs/fckeditor/fcktemplates.xml
--- soojung-0.4.8/libs/fckeditor/fcktemplates.xml	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/fckeditor/fcktemplates.xml	2005-06-11 10:27:11.000000000 +0900
@@ -0,0 +1,78 @@
+<?xml version="1.0" encoding="utf-8" ?>
+<Templates imagesBasePath="fck_template/images/">
+	<Template title="Image and Title" image="template1.gif">
+		<Description>One main image with a title and text that surround the image.</Description>
+		<Html>
+			<![CDATA[
+				<img style="MARGIN-RIGHT: 10px" height="100" alt="" width="100" align="left"/>
+				<h3>Type the title here</h3>
+				Type the text here
+			]]>
+		</Html>
+	</Template>
+	<Template title="Strange Template" image="template2.gif">
+		<Description>A template that defines two colums, each one with a title, and some text.</Description>
+		<Html>
+			<![CDATA[
+				<table cellspacing="0" cellpadding="0" width="100%" border="0">
+					<tbody>
+						<tr>
+							<td width="50%">
+							<h3>Title 1</h3>
+							</td>
+							<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </td>
+							<td width="50%">
+							<h3>Title 2</h3>
+							</td>
+						</tr>
+						<tr>
+							<td>Text 1</td>
+							<td>&nbsp;</td>
+							<td>Text 2</td>
+						</tr>
+					</tbody>
+				</table>
+				More text goes here.
+			]]>
+		</Html>
+	</Template>
+	<Template title="Text and Table" image="template3.gif">
+		<Description>A title with some text and a table.</Description>
+		<Html>
+			<![CDATA[
+				<div style="WIDTH: 80%">
+				<h3>Title goes here</h3>
+				<p>
+				<table style="FLOAT: right" cellspacing="0" cellpadding="0" width="150" border="1">
+					<tbody>
+						<tr>
+							<td align="center" colspan="3"><strong>Table title</strong></td>
+						</tr>
+						<tr>
+							<td>&nbsp;</td>
+							<td>&nbsp;</td>
+							<td>&nbsp;</td>
+						</tr>
+						<tr>
+							<td>&nbsp;</td>
+							<td>&nbsp;</td>
+							<td>&nbsp;</td>
+						</tr>
+						<tr>
+							<td>&nbsp;</td>
+							<td>&nbsp;</td>
+							<td>&nbsp;</td>
+						</tr>
+						<tr>
+							<td>&nbsp;</td>
+							<td>&nbsp;</td>
+							<td>&nbsp;</td>
+						</tr>
+					</tbody>
+				</table>
+				Type the text here</p>
+				</div>
+			]]>
+		</Html>
+	</Template>
+</Templates>
diff -urN soojung-0.4.8/libs/fckeditor/license.txt soojung/libs/fckeditor/license.txt
--- soojung-0.4.8/libs/fckeditor/license.txt	2004-12-27 20:50:30.000000000 +0900
+++ soojung/libs/fckeditor/license.txt	2005-06-11 10:27:11.000000000 +0900
@@ -146,7 +146,7 @@
 on the Library (independent of the use of the Library in a tool for
 writing it).  Whether that is true depends on what the Library does
 and what the program that uses the Library does.
-  
+
   1. You may copy and distribute verbatim copies of the Library's
 complete source code as you receive it, in any medium, provided that
 you conspicuously and appropriately publish on each copy an
diff -urN soojung-0.4.8/libs/sajax-0.10/Sajax.php soojung/libs/sajax-0.10/Sajax.php
--- soojung-0.4.8/libs/sajax-0.10/Sajax.php	1970-01-01 09:00:00.000000000 +0900
+++ soojung/libs/sajax-0.10/Sajax.php	2005-06-16 19:52:51.000000000 +0900
@@ -0,0 +1,231 @@
+<?php	
+if (!isset($SAJAX_INCLUDED)) {
+
+	/*  
+	 * GLOBALS AND DEFAULTS
+	 *
+	 */ 
+	$sajax_debug_mode = 0;
+	$sajax_export_list = array();
+	$sajax_request_type = "GET";
+	$sajax_remote_uri = "";
+	
+	/*
+	 * CODE
+	 *
+	 */ 
+	function sajax_init() {
+	}
+	
+	function sajax_get_my_uri() {
+		global $REQUEST_URI;
+		
+		return $REQUEST_URI;
+	}
+	
+	$sajax_remote_uri = sajax_get_my_uri();
+
+	function sajax_handle_client_request() {
+		global $sajax_export_list;
+		
+		$mode = "";
+		
+		if (! empty($_GET["rs"])) 
+			$mode = "get";
+		
+		if (!empty($_POST["rs"]))
+			$mode = "post";
+			
+		if (empty($mode)) 
+			return;
+
+		if ($mode == "get") {
+			// Bust cache in the head
+			header ("Expires: Mon, 26 Jul 1997 05:00:00 GMT");    // Date in the past
+			header ("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
+			// always modified
+			header ("Cache-Control: no-cache, must-revalidate");  // HTTP/1.1
+			header ("Pragma: no-cache");                          // HTTP/1.0
+			$func_name = $_GET["rs"];
+			if (! empty($_GET["rsargs"])) 
+				$args = $_GET["rsargs"];
+			else
+				$args = array();
+		}
+		else {
+			$func_name = $_POST["rs"];
+			if (! empty($_POST["rsargs"])) 
+				$args = $_POST["rsargs"];
+			else
+				$args = array();
+		}
+		
+		if (! in_array($func_name, $sajax_export_list))
+			echo "-:$func_name not callable";
+		else {
+			echo "+:";
+			$result = call_user_func_array($func_name, $args);
+			echo $result;
+		}
+		exit;
+	}
+	
+	function sajax_get_common_js() {
+		global $sajax_debug_mode;
+		global $sajax_request_type;
+		global $sajax_remote_uri;
+		
+		$t = strtoupper($sajax_request_type);
+		if ($t != "GET" && $t != "POST") 
+			return "// Invalid type: $t.. \n\n";
+		
+		ob_start();
+		?>
+		
+		// remote scripting library
+		// (c) copyright 2005 modernmethod, inc
+		var sajax_debug_mode = <?php echo $sajax_debug_mode ? "true" : "false"; ?>;
+		var sajax_request_type = "<?php echo $t; ?>";
+		
+		function sajax_debug(text) {
+			if (sajax_debug_mode)
+				alert("RSD: " + text)
+		}
+ 		function sajax_init_object() {
+ 			sajax_debug("sajax_init_object() called..")
+ 			
+ 			var A;
+			try {
+				A=new ActiveXObject("Msxml2.XMLHTTP");
+			} catch (e) {
+				try {
+					A=new ActiveXObject("Microsoft.XMLHTTP");
+				} catch (oc) {
+					A=null;
+				}
+			}
+			if(!A && typeof XMLHttpRequest != "undefined")
+				A = new XMLHttpRequest();
+			if (!A)
+				sajax_debug("Could not create connection object.");
+			return A;
+		}
+		function sajax_do_call(func_name, args) {
+			var i, x, n;
+			var uri;
+			var post_data;
+			
+			uri = "<?php echo $sajax_remote_uri; ?>";
+			if (sajax_request_type == "GET") {
+				if (uri.indexOf("?") == -1) 
+					uri = uri + "?rs=" + escape(func_name);
+				else
+					uri = uri + "&rs=" + escape(func_name);
+				for (i = 0; i < args.length-1; i++) 
+					uri = uri + "&rsargs[]=" + escape(args[i]);
+				uri = uri + "&rsrnd=" + new Date().getTime();
+				post_data = null;
+			} else {
+				post_data = "rs=" + escape(func_name);
+				for (i = 0; i < args.length-1; i++) 
+					post_data = post_data + "&rsargs[]=" + escape(args[i]);
+			}
+			
+			x = sajax_init_object();
+			x.open(sajax_request_type, uri, true);
+			if (sajax_request_type == "POST") {
+				x.setRequestHeader("Method", "POST " + uri + " HTTP/1.1");
+				x.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
+			}
+			x.onreadystatechange = function() {
+				if (x.readyState != 4) 
+					return;
+				sajax_debug("received " + x.responseText);
+				
+				var status;
+				var data;
+				status = x.responseText.charAt(0);
+				data = x.responseText.substring(2);
+				if (status == "-") 
+					alert("Error: " + data);
+				else  
+					args[args.length-1](data);
+			}
+			x.send(post_data);
+			sajax_debug(func_name + " uri = " + uri + "/post = " + post_data);
+			sajax_debug(func_name + " waiting..");
+			delete x;
+		}
+		
+		<?php
+		$html = ob_get_contents();
+		ob_end_clean();
+		return $html;
+	}
+	
+	function sajax_show_common_js() {
+		echo sajax_get_common_js();
+	}
+	
+	// javascript escape a value
+	function sajax_esc($val)
+	{
+		return str_replace('"', '\\\\"', $val);
+	}
+
+	function sajax_get_one_stub($func_name) {
+		ob_start();	
+		?>
+		
+		// wrapper for <?php echo $func_name; ?>
+		
+		function x_<?php echo $func_name; ?>() {
+			sajax_do_call("<?php echo $func_name; ?>",
+				x_<?php echo $func_name; ?>.arguments);
+		}
+		
+		<?php
+		$html = ob_get_contents();
+		ob_end_clean();
+		return $html;
+	}
+	
+	function sajax_show_one_stub($func_name) {
+		echo sajax_get_one_stub($func_name);
+	}
+	
+	function sajax_export() {
+		global $sajax_export_list;
+		
+		$n = func_num_args();
+		for ($i = 0; $i < $n; $i++) {
+			$sajax_export_list[] = func_get_arg($i);
+		}
+	}
+	
+	$sajax_js_has_been_shown = 0;
+	function sajax_get_javascript()
+	{
+		global $sajax_js_has_been_shown;
+		global $sajax_export_list;
+		
+		$html = "";
+		if (! $sajax_js_has_been_shown) {
+			$html .= sajax_get_common_js();
+			$sajax_js_has_been_shown = 1;
+		}
+		foreach ($sajax_export_list as $func) {
+			$html .= sajax_get_one_stub($func);
+		}
+		return $html;
+	}
+	
+	function sajax_show_javascript()
+	{
+		echo sajax_get_javascript();
+	}
+
+	
+	$SAJAX_INCLUDED = 1;
+}
+?>
diff -urN soojung-0.4.8/post.php soojung/post.php
--- soojung-0.4.8/post.php	2005-04-19 22:20:58.000000000 +0900
+++ soojung/post.php	2005-06-16 19:50:48.000000000 +0900
@@ -131,6 +131,37 @@
 
 $template = new AdminTemplate;
 
+if (isset($title) == false) {
+  $title = $_POST["title"];
+}
+if (isset($date) == false && isset($_POST["date"])) {
+  $date = strtotime($_POST["date"]);
+}
+if (isset($format) == false) {
+  $format = $_POST["format"];
+}
+if (isset($category) == false) {
+  $category = $_POST["category"];
+}
+if (isset($body) == false) {
+  $body = $_POST["body"];
+}
+if (isset($_POST["SECRET"]) && $_POST["SECRET"] == "true") {
+  $template->assign("secret", true);
+}
+if (isset($_POST["NO_COMMENT"]) && $_POST["NO_COMMENT"] == "true") {
+  $template->assign("no_comment", true);
+}
+if (isset($_POST["NO_TRACKBACK"]) && $_POST["NO_TRACKBACK"] == "true") {
+  $template->assign("no_trackback", true);
+}
+if (isset($_POST["STATIC"]) && $_POST["STATIC"] == "true") {
+  $template->assign("static", true);
+}
+if (isset($_POST["NO_RSS"]) && $_POST["NO_RSS"] == "true") {
+  $template->assign("no_rss", true);
+}
+
 $template->assign("title", $title);
 if (isset($preview_body)) {
 $template->assign("preview", $preview_body);
diff -urN soojung-0.4.8/settings.php soojung/settings.php
--- soojung-0.4.8/settings.php	2005-04-27 21:50:50.000000000 +0900
+++ soojung/settings.php	2005-06-16 19:50:48.000000000 +0900
@@ -1,11 +1,11 @@
 <?php
 
-$soojung_version = '0.4.8';
+$soojung_version = '0.4.9';
 setlocale(LC_TIME, "C");
 
 header("Content-type: text/html; charset=utf-8");
 if (!file_exists("config.php")) {
-  echo "please execute install.php first.";
+  echo "please execute <a href=\"install.php\">install.php</a> first.";
   exit;
 }
 
@@ -32,6 +32,8 @@
 include_once("classes/UserTemplate.class.php");
 include_once("classes/AdminTemplate.class.php");
 
+include_once("libs/sajax-0.10/Sajax.php");
+
 if (get_magic_quotes_gpc()) {
   function stripslashes_deep($value) {
     $value = is_array($value) ?
@@ -66,10 +68,7 @@
   }
 }
 
-
-$counter = new Counter();
-$counter->update();
 Soojung::addReferer();
 
 # vim: ts=8 sw=2 sts=2 noet
-?>
+?>
\ No newline at end of file
diff -urN soojung-0.4.8/templates/acid/header.tpl soojung/templates/acid/header.tpl
--- soojung-0.4.8/templates/acid/header.tpl	2005-03-01 02:01:20.000000000 +0900
+++ soojung/templates/acid/header.tpl	2005-05-12 03:18:47.000000000 +0900
@@ -105,7 +105,7 @@
 {/if}
 
 <h3>Search</h3>
-<form action="index.php" method="get">
+<form action="{$baseurl}/index.php" method="get">
 <p>
 <input type="text" name="search" title="input search text" size="16"/>
 <input type="submit" value="Search" />
diff -urN soojung-0.4.8/templates/admin/bookmark_post.tpl soojung/templates/admin/bookmark_post.tpl
--- soojung-0.4.8/templates/admin/bookmark_post.tpl	2005-02-20 11:13:25.000000000 +0900
+++ soojung/templates/admin/bookmark_post.tpl	2005-05-17 19:29:07.000000000 +0900
@@ -5,23 +5,23 @@
 
 <form action="{$baseurl}/bookmark_post.php" method="post">
 	Name :
-	<input type="text" name="name" value="{$name}">
+	<input type="text" name="name" value="{$name}" />
 	<br />
 
 	Url : 
-	<input type="text" name="url" value="{$url}"> 
+	<input type="text" name="url" value="{$url}" /> 
 	<br />
 	
 	Description :
-	<input type="text" name="desc" value="{$desc}">
+	<input type="text" name="desc" value="{$desc}" />
 	<br />
 
 	Image URL :
-	<input type="text" name="image" value="{$image}">
+	<input type="text" name="image" value="{$image}" />
 	<br />
 
-	<input type="hidden" name="number" value="{$number}">
-	<input type="submit" name="mode" value="post">
+	<input type="hidden" name="number" value="{$number}" />
+	<input type="submit" name="mode" value="post" />
 </form>
 
 </div>
diff -urN soojung-0.4.8/templates/admin/config.tpl soojung/templates/admin/config.tpl
--- soojung-0.4.8/templates/admin/config.tpl	2005-03-16 16:19:02.000000000 +0900
+++ soojung/templates/admin/config.tpl	2005-06-16 19:50:48.000000000 +0900
@@ -7,17 +7,17 @@
 
 <div class="row">
 <span class="label">Blog Name:</span>
-<span class="formw"><input type="text" name="blogname" value="{$blog_name}" {if !$config_writable}disabled{/if}></span>
+<span class="formw"><input type="text" name="blogname" value="{$blog_name}" {if !$config_writable}disabled{/if} /></span>
 </div>
 
 <div class="row">
 <span class="label">Blog Description:</span>
-<span class="formw"><input type="text" name="desc" value="{$blog_desc}" {if !$config_writable}disabled{/if}></span>
+<span class="formw"><input type="text" name="desc" value="{$blog_desc}" {if !$config_writable}disabled{/if} /></span>
 </div>
 
 <div class="row">
 <span class="label">Blog URL:</span>
-<span class="formw"><input type="text" name="url" value="{$baseurl}" {if !$config_writable}disabled{/if}></span>
+<span class="formw"><input type="text" name="url" value="{$baseurl}" {if !$config_writable}disabled{/if} /></span>
 </div>
 
 <div class="row">
@@ -43,48 +43,59 @@
 <option value="by-nc-sa" {if $license == "by-nc-sa"}selected{/if}>Attribution-NonCommercial-ShareAlike License</option>
 <option value="by-sa" {if $license == "by-sa"}selected{/if}>Attribution-ShareAlike License</option>
 </select>
-<a href="http://creativecommons.org/licenses/">see more licenses information</a>
 </span>
+<div class="help">
+<a href="http://creativecommons.org/licenses/">* see more licenses information</a>
+</div>
 </div>
 
 <div class="row">
 <span class="label">Admin Name:</span>
-<span class="formw"><input type="text" name="adminname" value="{$admin_name}" {if !$config_writable}disabled{/if}></span>
+<span class="formw"><input type="text" name="adminname" value="{$admin_name}" {if !$config_writable}disabled{/if} /></span>
 </div>
 
 <div class="row">
 <span class="label">Admin Email:</span>
-<span class="formw"><input type="text" name="email" value="{$admin_email}" {if !$config_writable}disabled{/if}></span>
+<span class="formw"><input type="text" name="email" value="{$admin_email}" {if !$config_writable}disabled{/if} /></span>
 </div>
 
 <div class="row">
 <span class="label">Admin Password:</span>
-<span class="formw"><input type="password" name="password" {if !$config_writable}disabled{/if}> <i>If you want to change the password, input new password.</i></span>
+<span class="formw"><input type="password" name="password" {if !$config_writable}disabled{/if} /></span>
+<div class="help">* If you want to change the password, input new password.</div>
+
 </div>
 
 <div class="row">
 <span class="label">Entries per page:</span>
-<span class="formw"><input type="text" name="perpage" value="{$blog_entries_per_page}" {if !$config_writable}disabled{/if}></span>
+<span class="formw"><input type="text" name="perpage" value="{$blog_entries_per_page}" {if !$config_writable}disabled{/if} /></span>
 </div>
 
 <div class="row">
 <span class="label">Fancy URL:</span>
 <span class="formw">
-<input type="checkbox" name="fancyurl" {if $blog_fancyurl}checked{/if} {if !$config_writable}disabled{/if}>
+<input type="checkbox" name="fancyurl" {if $blog_fancyurl}checked{/if} {if !$config_writable}disabled{/if} />
 </span>
 </div>
 
 <div class="row">
 <span class="label">Notify email:</span>
 <span class="formw">
-<input type="checkbox" name="notify" {if $blog_notify}checked{/if} {if !$config_writable}disabled{/if}>
+<input type="checkbox" name="notify" {if $blog_notify}checked{/if} {if !$config_writable}disabled{/if} />
 </span>
 </div>
 
-<input type="hidden" name="mode" value="config_update">
+<div class="row">
+<span class="label">Spam Filter:</span>
+<span class="formw"><textarea name="word" rows="5" cols="40" {if !$config_writable}disabled{/if} >{$spam_words}</textarea></span>
+<div class="help">Input spam word in each line. It's regular expression supported.<br />
+example:<br />viagra<br />nude</div>
+</div>
+
+<input type="hidden" name="mode" value="config_update" />
 
 <div class="row">
-<span class="label"><input type="submit" value="update" {if !$config_writable}disabled{/if}></span>
+<span class="label"><input type="submit" value="update" {if !$config_writable}disabled{/if} /></span>
 </div>
 
 </form>
diff -urN soojung-0.4.8/templates/admin/header.tpl soojung/templates/admin/header.tpl
--- soojung-0.4.8/templates/admin/header.tpl	2005-03-28 10:45:58.000000000 +0900
+++ soojung/templates/admin/header.tpl	2005-06-16 19:50:48.000000000 +0900
@@ -6,6 +6,9 @@
 <script type="text/javascript" src="{$baseurl}/templates/admin/javascript.js"></script>
 <script type="text/javascript" src="{$baseurl}/libs/fckeditor/fckeditor.js"></script>
 <script type="text/javascript" src="{$baseurl}/libs/common.js"></script>
+<script type="text/javascript">
+{$sajax_functions}
+</script>
 <title>Admin</title>
 </head>
 <body>
diff -urN soojung-0.4.8/templates/admin/list.tpl soojung/templates/admin/list.tpl
--- soojung-0.4.8/templates/admin/list.tpl	2005-04-27 23:05:30.000000000 +0900
+++ soojung/templates/admin/list.tpl	2005-06-06 07:21:57.000000000 +0900
@@ -5,11 +5,11 @@
 
 <div class="submenu">
 <a href="{$baseurl}/admin.php?mode=list">show all</a> -
-<a href="{$baseurl}/admin.php?mode=list&flag=static">show only static</a> -
+<a href="{$baseurl}/admin.php?mode=list&amp;flag=static">show only static</a> -
 show only 
 <select name="category" onchange="return changeCategory(this)">
 {foreach name=categories from=$categories item=cate}
-	<option value="{$cate->name}" {if $flag == $cate->name}selected{/if}>{$cate->name}
+	<option value="{$cate->name|urlencode}" {if $flag|urldecode == $cate->name}selected{/if}>{$cate->name}</option>
 {/foreach}
 </select>
 category
diff -urN soojung-0.4.8/templates/admin/login.tpl soojung/templates/admin/login.tpl
--- soojung-0.4.8/templates/admin/login.tpl	2005-03-10 23:59:09.000000000 +0900
+++ soojung/templates/admin/login.tpl	2005-05-17 19:29:07.000000000 +0900
@@ -4,9 +4,9 @@
 {else}
 <form name="loginForm" action="{$original_dst}" method="post">
 {/if}
-Password: <input type="password" name="password">
-<input type="hidden" name="mode" value="login">
-<input type="submit" value="Log In">
+Password: <input type="password" name="password" />
+<input type="hidden" name="mode" value="login" />
+<input type="submit" value="Log In" />
 {foreach from=$hidden_attr item=attr}
 	 <input type="hidden" name="{$attr.name}" value="{$attr.value}" />
 {/foreach}
diff -urN soojung-0.4.8/templates/admin/post.tpl soojung/templates/admin/post.tpl
--- soojung-0.4.8/templates/admin/post.tpl	2005-04-19 22:20:58.000000000 +0900
+++ soojung/templates/admin/post.tpl	2005-06-16 19:50:48.000000000 +0900
@@ -1,5 +1,23 @@
 {include file="header.tpl"}
 {include file="menu.tpl"}
+<script type="text/javascript">
+{literal}
+function changeFormat(format) {
+    tempForm = document.postTempForm;
+    tempForm.format.value = format;
+    tempForm.title.value = document.postForm.title.value;
+    tempForm.date.value = document.postForm.date.value;
+    tempForm.category.value = document.postForm.category_input.value;
+    tempForm.SECRET.value = document.postForm.SECRET.checked;
+    tempForm.NO_COMMENT.value = document.postForm.NO_COMMENT.checked;
+    tempForm.NO_TRACKBACK.value = document.postForm.NO_TRACKBACK.checked;
+    tempForm.STATIC.value = document.postForm.STATIC.checked;
+    tempForm.NO_RSS.value = document.postForm.NO_RSS.checked;
+    tempForm.body.value = document.postForm.body.value;
+    tempForm.submit();
+}
+{/literal}
+</script>
 
 <div id="post">
 
@@ -15,18 +33,18 @@
 <form action="{$baseurl}/post.php" method="post" name="postForm">
 <div class="row">
 <span class="label">Title:</span>
-<span class="formw"><input type="text" name="title" value="{$title}"></span>
+<span class="formw"><input type="text" name="title" value="{$title|escape}" /></span>
 </div>
 
 <div class="row">
 <span class="label">Date:</span>
-<span class="formw"><input type="text" name="date" value="{$date}">
+<span class="formw"><input type="text" name="date" value="{$date}" />
 </div>
 
 <div class="row">
 <span class="label">Category:</span>
 <span class="formw">
-<input type="text" name="category_input" value="{$category}"> or 
+<input type="text" name="category_input" value="{$category|escape}" /> or 
 {foreach name=categories from=$categories item=cate}
 {if $smarty.foreach.categories.first}
 <select name="category">
@@ -42,21 +60,21 @@
 <div class="row">
 <span class="label">Options:</span>
 <span class="formw">
-<input type="checkbox" name="SECRET" {if $secret}checked{/if}>SECRET
-<input type="checkbox" name="NO_COMMENT" {if $no_comment}checked{/if}>NO_COMMENT
-<input type="checkbox" name="NO_TRACKBACK" {if $no_trackback}checked{/if}>NO_TRACKBACK
-<input type="checkbox" name="STATIC" {if $static}checked{/if}>STATIC
-<input type="checkbox" name="NO_RSS" {if $no_rss}checked{/if}>NO_RSS
+<input type="checkbox" name="SECRET" {if $secret}checked{/if} />SECRET
+<input type="checkbox" name="NO_COMMENT" {if $no_comment}checked{/if} />NO_COMMENT
+<input type="checkbox" name="NO_TRACKBACK" {if $no_trackback}checked{/if} />NO_TRACKBACK
+<input type="checkbox" name="STATIC" {if $static}checked{/if} />STATIC
+<input type="checkbox" name="NO_RSS" {if $no_rss}checked{/if} />NO_RSS
 </span>
 </div>
-
+  
 <div class="row">
 <span class="label">Format:</span>
 <span class="formw">
-<input type="radio" name="format" value="plain" {if $format == "plain" || $format == ""}checked{/if} onClick="go('{$baseurl}/post.php?blogid={$id}&format=plain')">plain
-<input type="radio" name="format" value="html" {if $format == "html"}checked{/if} onClick="go('{$baseurl}/post.php?blogid={$id}&format=html')">html
-<input type="radio" name="format" value="bbcode" {if $format == "bbcode"}checked{/if} onClick="go('{$baseurl}/post.php?blogid={$id}&format=bbcode')">bbcode
-<input type="radio" name="format" value="moniwiki" {if $format == "moniwiki"}checked{/if} onClick="go('{$baseurl}/post.php?blogid={$id}&format=moniwiki')">moniwiki
+<input type="radio" name="format" value="plain" {if $format == "plain" || $format == ""}checked{/if} onClick="changeFormat('plain');" />plain
+<input type="radio" name="format" value="html" {if $format == "html"}checked{/if} onClick="changeFormat('html')" />html
+<input type="radio" name="format" value="bbcode" {if $format == "bbcode"}checked{/if} onClick="changeFormat('bbcode');" />bbcode
+<input type="radio" name="format" value="moniwiki" {if $format == "moniwiki"}checked{/if} onClick="changeFormat('moniwiki');" />moniwiki
 </span>
 </div>
 
@@ -79,21 +97,34 @@
 <div class="row">
 <span class="label">Upload:</span>
 <span class="formw">
-<a href="#" onClick="window.open('{$baseurl}/upload.php','blah','width=500,height=300')">Upload Files</a>
+<a href="#" onClick="window.open('{$baseurl}/upload.php','blah','width=500,height=300,scrollbars=yes')">Upload Files</a>
 </span>
 </div>
 
 {if $id != null}
-<input type="hidden" name="id" value="{$id}">
+<input type="hidden" name="id" value="{$id}" />
 {/if}
 
 <div class="row">
 <span class="formw">
-<input type="submit" name="mode" value="Preview">
-<input type="submit" name="mode" value="Post">
+<input type="submit" name="mode" value="Preview" />
+<input type="submit" name="mode" value="Post" />
 </span>
 </div>
 
 </form>
 </div>
+
+<form action="{$baseurl}/post.php" method="post" name="postTempForm">
+<input type="hidden" name="title"/>
+<input type="hidden" name="date"/>
+<input type="hidden" name="format"/>
+<input type="hidden" name="category"/>
+<input type="hidden" name="body"/>
+<input type="hidden" name="SECRET"/>
+<input type="hidden" name="NO_COMMENT"/>
+<input type="hidden" name="NO_TRACKBACK"/>
+<input type="hidden" name="STATIC"/>
+<input type="hidden" name="NO_RSS"/>
+</form>
 {include file="footer.tpl"}
diff -urN soojung-0.4.8/templates/admin/sendping.tpl soojung/templates/admin/sendping.tpl
--- soojung-0.4.8/templates/admin/sendping.tpl	2005-02-19 13:13:04.000000000 +0900
+++ soojung/templates/admin/sendping.tpl	2005-05-17 19:29:07.000000000 +0900
@@ -15,7 +15,7 @@
 <div class="trackback_entry">
      <form action="sendping.php" method="post">
      Trackback URL to send trackback ping: <br /> 
-     <input type="text" name="trackback_url" value="http://"><br /><br />
+     <input type="text" name="trackback_url" value="http://" /><br /><br />
 
      Remote Blog's encoding :
      <select name="encoding">
@@ -23,10 +23,10 @@
          <option value="CP949">cp949 (euc-kr)</option>
      </select> 
      or 
-     <input type="text" name="encoding_input" value=""> 
+     <input type="text" name="encoding_input" value="" /> 
      <br />
-     <input type="hidden" name="mode" value="post">
-     <input type="hidden" name="blogid" value={$entry->entryId}>
+     <input type="hidden" name="mode" value="post" />
+     <input type="hidden" name="blogid" value={$entry->entryId} />
      <input type="submit" value="Send Ping"><br />
 </form>
 
diff -urN soojung-0.4.8/templates/admin/styles.css soojung/templates/admin/styles.css
--- soojung-0.4.8/templates/admin/styles.css	2005-04-27 22:33:43.000000000 +0900
+++ soojung/templates/admin/styles.css	2005-06-16 19:50:48.000000000 +0900
@@ -30,6 +30,12 @@
   padding-left: 15px;
 }
 
+div.help
+{ 
+  padding-left: 165px;
+  font-style: italic;
+}
+
 #menu
 {
   position:absolute;
diff -urN soojung-0.4.8/templates/admin/upload.tpl soojung/templates/admin/upload.tpl
--- soojung-0.4.8/templates/admin/upload.tpl	2005-02-19 00:24:20.000000000 +0900
+++ soojung/templates/admin/upload.tpl	2005-05-17 19:29:07.000000000 +0900
@@ -8,9 +8,9 @@
 <body>
 
 <form enctype="multipart/form-data" action="{$baseurl}/upload.php" method="post">
-Upload: <input type="file" name="file">
-<input type="hidden" name="mode" value="upload">
-<input type="submit" value="Upload">
+Upload: <input type="file" name="file" />
+<input type="hidden" name="mode" value="upload" />
+<input type="submit" value="Upload" />
 </form>
 
 <!-- file list -->
diff -urN soojung-0.4.8/templates/asual/asual.css soojung/templates/asual/asual.css
--- soojung-0.4.8/templates/asual/asual.css	2005-02-15 10:15:06.000000000 +0900
+++ soojung/templates/asual/asual.css	2005-06-14 20:44:39.000000000 +0900
@@ -141,6 +141,7 @@
 #column {
 	width: 18em; 
 	float: right;
+    overflow: hidden;
 }
 #column div {
 	display: block;
diff -urN soojung-0.4.8/templates/asual/header.tpl soojung/templates/asual/header.tpl
--- soojung-0.4.8/templates/asual/header.tpl	2005-02-24 23:15:59.000000000 +0900
+++ soojung/templates/asual/header.tpl	2005-05-12 03:18:47.000000000 +0900
@@ -17,7 +17,7 @@
 			<span>{$description}</span>
 		</h1>
 		<div id="searchbox">
-			<form action="index.php" method="get">
+			<form action="{$baseurl}/index.php" method="get">
 			<p id="searchlabel"><label for="searchfield">Search:</label></p>
 			<p id="searchfield"><input type="text" name="search" title="input search text" /></p>
 			<p id="searchimg"><input type="image" src="{$baseurl}/templates/{$skin}/images/asual-search.jpg" value="submit" alt="Search" /></p>
diff -urN soojung-0.4.8/templates/box/config.conf soojung/templates/box/config.conf
--- soojung-0.4.8/templates/box/config.conf	2005-03-27 21:01:48.000000000 +0900
+++ soojung/templates/box/config.conf	2005-06-06 06:12:20.000000000 +0900
@@ -1,5 +1,6 @@
 targetBlank=0
 ImageMaxWidth=510
+BodyFontSize=12px
 
 # sidebar configure
 # -1 : not appeared
diff -urN soojung-0.4.8/templates/box/entry.tpl soojung/templates/box/entry.tpl
--- soojung-0.4.8/templates/box/entry.tpl	2005-03-27 21:46:41.000000000 +0900
+++ soojung/templates/box/entry.tpl	2005-06-06 06:12:20.000000000 +0900
@@ -1,74 +1,74 @@
-{include file="header.tpl"}
-<div id="entries">
-	<div class="entry">
-		<div class="entrytitle" style="color: #777777;">{$entry->title|escape}</div>
-		<div class="entrybody">{$entry->getBody()}</div>
-		<div class="entrydate">
-			posted at {$entry->date|date_format:"%y/%m/%d %H:%M"}
-			| <a class="plink" href="{$entry->category->getHref()|escape}">{$entry->category->name|escape}</a>
-			{if $entry->isSetOption("NO_COMMENT") == false}| <a class="plink" href="#none" onclick="return fold_sidebar('div_CO_{$entry->entryId}');">Comments ({$entry->getCommentCount()})</a>{/if}
-            {if $entry->isSetOption("NO_TRACKBACK") == false}| <a class="plink" href="#none" onclick="return fold_sidebar('div_TB_{$entry->entryId}');">TrackBacks ({$entry->getTrackbackCount()})</a>{/if}
-		</div>
-        
-		{if $entry->isSetOption("NO_TRACKBACK") == false}
-		<div id="div_TB_{$entry->entryId}" style="text-align:left;">
-			<div class="graybox">
-				<div class="gray8" style="text-align:right; padding: 5px;">
-					&nbsp;Track this back : <span class="trackbackurl" onclick="copy_clip(this.innerHTML);">{$baseurl}/trackback.php?blogid={$entry->entryId}</span>
-				</div>
-				{foreach from=$trackbacks item=trackback}
-				<div id="TB{$trackback->date}" class="blue8" style="width: 100%; margin: 5px 5px 0 0; color: #999999;">
-					<img src="{$baseurl}/templates/{$skin}/imgs/comment.gif" alt="" /> Tracked from <a href="{$trackback->url|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><b>{$trackback->name|escape}</b></a>
-					at {$trackback->date|date_format:"%y/%m/%d %H:%M"}
-				</div>
-				<div class="blue8" style="margin: 0 0 5px 15px;  color: #555555;">
-					<a href="{$trackback->url|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$trackback->title|escape}</a><br />
-					{$trackback->getExcerpt()|strip_tags}
-				</div>
-				{/foreach}
-			</div>
-		</div>
-		{/if}
-        
-		{if $entry->isSetOption("NO_COMMENT") == false}
-		<div id="div_CO_{$entry->entryId}" style="text-align: left;">
-			<div class="graybox">
-		    	{foreach from=$comments item=comment}
-				<div id="CO{$comment->date}" class="blue8" style="margin: 5px 5px 0 0; color: #999999;">
-					<img src="{$baseurl}/templates/{$skin}/imgs/comment.gif" alt="" /> Commented by<b>
-					{if $comment->homepage != ""}
-					<a href="{$comment->homepage|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$comment->name|escape}</a>
-					{elseif $comment->email != ""}
-					<a href="mailto:{$comment->email|escape}">{$comment->name|escape}</a>
-					{else}
-					{$comment->name|escape}
-					{/if}
-                    </b>
-					at {$comment->date|date_format:"%y/%m/%d %H:%M"}
-				</div>
-				<div class="blue8" style="margin: 0 0 5px 15px; color:#555555;">{$comment->getBody()}</div>
-				{/foreach}
-				<br />
-				<form action="{$baseurl}/entry.php" method="post">
-					<div class="blue8" style="text-align:right; padding:0 0 3px 0;">
-						Name <input class="comment_text" type="text" name="name" value="{$w_name|escape}" style="width: 50px;" /> &nbsp;
-						Email <input class="comment_text" type="text" name="email" value="{$w_email|escape}" style="width: 50px;" /> &nbsp;
-						Homepage <input class="comment_text" type="text" name="url" value="{$w_url|default:"http://"|escape}" style="width: 200px;" />
-					</div>
-					<div style="text-align:right;">
-						<textarea class="comment_text" name="body" rows="3" cols="" style="width: 90%; overflow-y: auto; overflow-x: hidden;"></textarea>
-					</div>
-					<div style="text-align:right; padding: 3px 0 0 0;" class="gray7">
-						<input type="hidden" name="blogid" value="{$entry->entryId}" />
-						<input type="submit" value="save" style="color:#999999; background-color:#F7F7F7; border: 1px #CCCCCC solid; width: 50px; height: 17px; overflow: auto; font-size: 8pt;" />
-					</div>
-				</form>
-			</div>
-		</div>
-		{/if}
-
-	</div>
-</div>
-
-{include file="sidebar.tpl"}
-{include file="footer.tpl"}
+{include file="header.tpl"}
+<div id="entries">
+	<div class="entry">
+		<div class="entrytitle" style="color: #777777;">{$entry->title|escape}</div>
+		<div class="entrybody">{$entry->getBody()}</div>
+		<div class="entrydate">
+			posted at {$entry->date|date_format:"%y/%m/%d %H:%M"}
+			| <a class="plink" href="{$entry->category->getHref()|escape}">{$entry->category->name|escape}</a>
+			{if $entry->isSetOption("NO_COMMENT") == false}| <a class="plink" href="#none" onclick="return fold_sidebar('div_CO_{$entry->entryId}');">Comments ({$entry->getCommentCount()})</a>{/if}
+            {if $entry->isSetOption("NO_TRACKBACK") == false}| <a class="plink" href="#none" onclick="return fold_sidebar('div_TB_{$entry->entryId}');">TrackBacks ({$entry->getTrackbackCount()})</a>{/if}
+		</div>
+        
+		{if $entry->isSetOption("NO_TRACKBACK") == false}
+		<div id="div_TB_{$entry->entryId}" style="text-align:left;">
+			<div class="graybox">
+				<div class="gray8" style="text-align:right; padding: 5px;">
+					&nbsp;Track this back : <span class="trackbackurl" onclick="copy_clip(this.innerHTML);">{$baseurl}/trackback.php?blogid={$entry->entryId}</span>
+				</div>
+				{foreach from=$trackbacks item=trackback}
+				<div id="TB{$trackback->date}" class="blue8" style="width: 100%; margin: 5px 5px 0 0; color: #999999;">
+					<img src="{$baseurl}/templates/{$skin}/imgs/comment.gif" alt="" /> Tracked from <a href="{$trackback->url|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><b>{$trackback->name|escape}</b></a>
+					at {$trackback->date|date_format:"%y/%m/%d %H:%M"}
+				</div>
+				<div class="blue8" style="margin: 0 0 5px 15px;  color: #555555;">
+					<a href="{$trackback->url|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$trackback->title|escape}</a><br />
+					{$trackback->getExcerpt()|strip_tags}
+				</div>
+				{/foreach}
+			</div>
+		</div>
+		{/if}
+        
+		{if $entry->isSetOption("NO_COMMENT") == false}
+		<div id="div_CO_{$entry->entryId}" style="text-align: left;">
+			<div class="graybox">
+		    	{foreach from=$comments item=comment}
+				<div id="CO{$comment->date}" class="blue8" style="margin: 5px 5px 0 0; color: #999999;">
+					<img src="{$baseurl}/templates/{$skin}/imgs/comment.gif" alt="" /> Commented by<b>
+					{if $comment->homepage != ""}
+					<a href="{$comment->homepage|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$comment->name|escape}</a>
+					{elseif $comment->email != ""}
+					<a href="mailto:{$comment->email|escape}">{$comment->name|escape}</a>
+					{else}
+					{$comment->name|escape}
+					{/if}
+                    </b>
+					at {$comment->date|date_format:"%y/%m/%d %H:%M"}
+				</div>
+				<div class="blue8" style="margin: 0 0 5px 15px; color:#555555;">{$comment->getBody()}</div>
+				{/foreach}
+				<br />
+				<form action="{$baseurl}/entry.php" method="post">
+					<div class="blue8" style="text-align:right; padding:0 0 3px 0;">
+						Name <input class="comment_text" type="text" name="name" value="{$w_name|escape}" style="width: 50px;" /> &nbsp;
+						Email <input class="comment_text" type="text" name="email" value="{$w_email|escape}" style="width: 50px;" /> &nbsp;
+						Homepage <input class="comment_text" type="text" name="url" value="{$w_url|default:"http://"|escape}" style="width: 200px;" />
+					</div>
+					<div style="text-align:right;">
+						<textarea class="comment_text" name="body" rows="3" cols="" style="width: 90%; overflow-y: auto; overflow-x: hidden;"></textarea>
+					</div>
+					<div style="text-align:right; padding: 3px 0 0 0;" class="gray7">
+						<input type="hidden" name="blogid" value="{$entry->entryId}" />
+						<input type="submit" value="save" style="color:#999999; background-color:#F7F7F7; border: 1px #CCCCCC solid; width: 50px; height: 17px; overflow: auto; font-size: 8pt;" />
+					</div>
+				</form>
+			</div>
+		</div>
+		{/if}
+
+	</div>
+</div>
+
+{include file="sidebar.tpl"}
+{include file="footer.tpl"}
diff -urN soojung-0.4.8/templates/box/footer.tpl soojung/templates/box/footer.tpl
--- soojung-0.4.8/templates/box/footer.tpl	2005-03-27 21:01:48.000000000 +0900
+++ soojung/templates/box/footer.tpl	2005-06-06 06:12:20.000000000 +0900
@@ -1,11 +1,11 @@
-    </div>
-
-    <div id="footer">
-		<p>
-			{$license_link}<br />
-			Powered by <a href="http://soojung.kldp.net" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>soojung {$soojung_version}</a>
-		</p>
-	</div>
-</body>
-</html>
-
+    </div>
+
+    <div id="footer">
+		<p>
+			{$license_link}<br />
+			Powered by <a href="http://soojung.kldp.net" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>soojung {$soojung_version}</a>
+		</p>
+	</div>
+</body>
+</html>
+
diff -urN soojung-0.4.8/templates/box/header.tpl soojung/templates/box/header.tpl
--- soojung-0.4.8/templates/box/header.tpl	2005-03-27 21:01:48.000000000 +0900
+++ soojung/templates/box/header.tpl	2005-06-06 06:12:20.000000000 +0900
@@ -1,27 +1,32 @@
-{config_load file="config.conf"}
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
-<html>
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
-<title>{$title}</title>
-<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="{$baseurl}/rss2.php" />
-<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/styles.css" />
-<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/skin.css" />
-<script type="text/javascript" src="{$baseurl}/libs/common.js"></script>
-<script type="text/javascript" src="{$baseurl}/templates/{$skin}/javascript.js"></script>
-
-</head>
-<body onload="on_load({#ImageMaxWidth#});">
-<div id="bg">
-	<div id="leftbox" class="blackbox">
-		<div id="main">
-			<div id="header">
-				<div style="text-align:right;" class="silver8">
-					<a href="{$baseurl}/admin.php" class="silver7">admin</a>
-				</div>
-				<div class="blogtitle" style="font-size: 18pt;">
-					<a href="{$baseurl}" title="{$description}">{$title}</a> &nbsp; <a href="{$baseurl}/rss2.php" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><img src="{$baseurl}/templates/{$skin}/imgs/xml.gif" alt="rss 2.0 feed"/></a>
-				</div>
-				<div class="blogdesc">{$description}</div>
-			</div>
-
+{config_load file="config.conf"}
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<html>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
+<title>{$title}</title>
+<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="{$baseurl}/rss2.php" />
+<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/styles.css" />
+<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/skin.css" />
+<style type="text/css">
+.entrybody {literal}{{/literal}
+    font-size: {#BodyFontSize#}
+{literal}}{/literal}
+</style>
+<script type="text/javascript" src="{$baseurl}/libs/common.js"></script>
+<script type="text/javascript" src="{$baseurl}/templates/{$skin}/javascript.js"></script>
+
+</head>
+<body onload="on_load({#ImageMaxWidth#});">
+<div id="bg">
+	<div id="leftbox" class="blackbox">
+		<div id="main">
+			<div id="header">
+				<div style="text-align:right;" class="silver8">
+					<a href="{$baseurl}/admin.php" class="silver7">admin</a>
+				</div>
+				<div class="blogtitle" style="font-size: 18pt;">
+					<a href="{$baseurl}" title="{$description}">{$title}</a> &nbsp; <a href="{$baseurl}/rss2.php" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><img src="{$baseurl}/templates/{$skin}/imgs/xml.gif" alt="rss 2.0 feed"/></a>
+				</div>
+				<div class="blogdesc">{$description}</div>
+			</div>
+
diff -urN soojung-0.4.8/templates/box/index.tpl soojung/templates/box/index.tpl
--- soojung-0.4.8/templates/box/index.tpl	2005-03-27 21:46:41.000000000 +0900
+++ soojung/templates/box/index.tpl	2005-06-06 06:12:20.000000000 +0900
@@ -1,123 +1,123 @@
-{include file="header.tpl"}
-<div id="entries">
-    {if $view == "index"}
-    {foreach from=$entries item=entry}
-	<div class="entry">
-		<div class="entrytitle"><a href="{$entry->getHref()|escape}">{$entry->title|escape}</a></div>
-		<div class="entrybody">{$entry->getBody()}</div>
-		<div class="entrydate">
-			<a class="plink" href="{$entry->getHref()|escape}">posted at {$entry->date|date_format:"%y/%m/%d %H:%M"}</a>
-			| <a class="plink" href="{$entry->category->getHref()|escape}">{$entry->category->name|escape}</a>
-			{if $entry->isSetOption("NO_COMMENT") == false}| <a class="plink" href="#none" onclick="return fold_sidebar('div_CO_{$entry->entryId}');">Comments ({$entry->getCommentCount()})</a>{/if}
-			{if $entry->isSetOption("NO_TRACKBACK") == false}| <a class="plink" href="#none" onclick="return fold_sidebar('div_TB_{$entry->entryId}');">TrackBacks ({$entry->getTrackbackCount()})</a>{/if}
-		</div>
-        
-		{if $entry->isSetOption("NO_TRACKBACK") == false}
-		<div id="div_TB_{$entry->entryId}" style="text-align:left;" class="div_hide">
-			<div class="graybox">
-				<div class="gray8" style="text-align:right; padding: 5px;">
-					&nbsp;Track this back : <span class="trackbackurl" onclick="copy_clip(this.innerHTML);">{$baseurl}/trackback.php?blogid={$entry->entryId}</span>
-				</div>
-				{foreach from=$entry->getTrackbacks() item=trackback}
-				<div id="TB{$trackback->date}" class="blue8" style="width: 100%; margin: 5px 5px 0 0; color: #999999;">
-					<img src="{$baseurl}/templates/{$skin}/imgs/comment.gif" alt="" /> Tracked from <a href="{$trackback->url|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><b>{$trackback->name|escape}</b></a>
-					at {$trackback->date|date_format:"%y/%m/%d %H:%M"}
-				</div>
-				<div class="blue8" style="margin: 0 0 5px 15px;  color: #555555;">
-					<a href="{$trackback->url|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$trackback->title|escape}</a><br />
-					{$trackback->getExcerpt()|strip_tags|escape}
-				</div>
-				{/foreach}
-			</div>
-		</div>
-		{/if}
-        
-		{if $entry->isSetOption("NO_COMMENT") == false}
-		<div id="div_CO_{$entry->entryId}" style="text-align: left;" class="div_hide">
-			<div class="graybox">
-			    {foreach from=$entry->getComments() item=comment}
-		    	<div id="CO{$comment->date}" class="blue8" style="margin: 5px 5px 0 0; color: #999999;">
-					<img src="{$baseurl}/templates/{$skin}/imgs/comment.gif" alt="" /> Commented by<b>
-					{if $comment->homepage != ""}
-					<a href="{$comment->homepage|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$comment->name|escape}</a>
-					{elseif $comment->email != ""}
-					<a href="mailto:{$comment->email|escape}">{$comment->name|escape}</a>
-					{else}
-					{$comment->name|escape}
-					{/if}
-					</b>
-					at {$comment->date|date_format:"%y/%m/%d %H:%M"}
-				</div>
-				<div class="blue8" style="margin: 0 0 5px 15px; color:#555555;">{$comment->getBody()}</div>
-				{/foreach}
-				<br />
-				<form action="{$baseurl}/entry.php" method="post">
-					<div class="blue8" style="text-align:right; padding:0 0 3px 0;">
-    					Name <input class="comment_text" type="text" name="name" value="{$w_name|escape}" style="width: 50px;" /> &nbsp;
-						Email <input class="comment_text" type="text" name="email" value="{$w_email|escape}" style="width: 50px;" /> &nbsp;
-						Homepage <input class="comment_text" type="text" name="url" value="{$w_url|default:"http://"|escape}" style="width: 200px;" />
-					</div>
-					<div style="text-align:right;">
-						<textarea class="comment_text" name="body" rows="3" cols="" style="width: 90%; overflow-y: auto; overflow-x: hidden;"></textarea>
-					</div>
-	    			<div style="text-align: right; padding: 3px 0 0 0;" class="gray7">
-						<input type="hidden" name="blogid" value="{$entry->entryId}" />
-						<input type="submit" value="save" style="color:#999999; background-color:#F7F7F7; border: 1px #CCCCCC solid; width: 50px; height: 17px; overflow: auto; font-size: 8pt;" />
-					</div>
-				</form>
-			</div>
-		</div>
-		{/if}
-        
-	</div>
-	{/foreach}
-    
-	<div class="page">
-		<div class="link" style="clear:both;position:relative;float:left;text-align:left">
-	    	{if $prev_page_link != ""}
-			<a href="{$prev_page_link|escape}" class="link">&lt;&lt; prev</a>
-			{else}&lt;&lt; prev
-			{/if}
-		</div>
-				
-		<div class="link" style="position:relative;float:right;text-align:right">
-			{if $next_page_link != ""}
-			<a href="{$next_page_link|escape}" class="link">next &gt;&gt;</a>
-			{else}
-			next &gt;&gt; 
-			{/if}
-		</div>
-	</div>
-
-    {elseif $view == "archive"}
-	<div class="graybox">
-		{foreach from=$entries item=entry}
-		<font style="font-size: 8pt;">{$entry->date|date_format:"%y/%m/%d"}</font>
-    	&nbsp;<a href="{$entry->getHref()|escape}">{$entry->title|escape}</a>
-		<br />
-		{/foreach}
-	</div>
-				
-	{elseif $view == "category"}
-	<div class="graybox">
-		{foreach from=$entries item=entry}
-		<font style="font-size: 8pt;">{$entry->date|date_format:"%y/%m/%d"}</font>
-		&nbsp;<a href="{$entry->getHref()|escape}">{$entry->title|escape}</a>
-		<br />
-		{/foreach}
-	</div>
-    
-	{elseif $view == "search"}
-	<div class="graybox">
-		{foreach from=$entries item=entry}
-		<font style="font-size: 8pt;">{$entry->date|date_format:"%y/%m/%d"}</font>
-		&nbsp;<a href="{$entry->getHref()|escape}">{$entry->title|escape}</a>
-		<br />
-    	{/foreach}
-	</div>
-	{/if}
-</div>
-
-{include file="sidebar.tpl"}
-{include file="footer.tpl"}
-
+{include file="header.tpl"}
+<div id="entries">
+    {if $view == "index"}
+    {foreach from=$entries item=entry}
+	<div class="entry">
+		<div class="entrytitle"><a href="{$entry->getHref()|escape}">{$entry->title|escape}</a></div>
+		<div class="entrybody">{$entry->getBody()}</div>
+		<div class="entrydate">
+			<a class="plink" href="{$entry->getHref()|escape}">posted at {$entry->date|date_format:"%y/%m/%d %H:%M"}</a>
+			| <a class="plink" href="{$entry->category->getHref()|escape}">{$entry->category->name|escape}</a>
+			{if $entry->isSetOption("NO_COMMENT") == false}| <a class="plink" href="#none" onclick="return fold_sidebar('div_CO_{$entry->entryId}');">Comments ({$entry->getCommentCount()})</a>{/if}
+			{if $entry->isSetOption("NO_TRACKBACK") == false}| <a class="plink" href="#none" onclick="return fold_sidebar('div_TB_{$entry->entryId}');">TrackBacks ({$entry->getTrackbackCount()})</a>{/if}
+		</div>
+        
+		{if $entry->isSetOption("NO_TRACKBACK") == false}
+		<div id="div_TB_{$entry->entryId}" style="text-align:left;" class="div_hide">
+			<div class="graybox">
+				<div class="gray8" style="text-align:right; padding: 5px;">
+					&nbsp;Track this back : <span class="trackbackurl" onclick="copy_clip(this.innerHTML);">{$baseurl}/trackback.php?blogid={$entry->entryId}</span>
+				</div>
+				{foreach from=$entry->getTrackbacks() item=trackback}
+				<div id="TB{$trackback->date}" class="blue8" style="width: 100%; margin: 5px 5px 0 0; color: #999999;">
+					<img src="{$baseurl}/templates/{$skin}/imgs/comment.gif" alt="" /> Tracked from <a href="{$trackback->url|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><b>{$trackback->name|escape}</b></a>
+					at {$trackback->date|date_format:"%y/%m/%d %H:%M"}
+				</div>
+				<div class="blue8" style="margin: 0 0 5px 15px;  color: #555555;">
+					<a href="{$trackback->url|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$trackback->title|escape}</a><br />
+					{$trackback->getExcerpt()|strip_tags|escape}
+				</div>
+				{/foreach}
+			</div>
+		</div>
+		{/if}
+        
+		{if $entry->isSetOption("NO_COMMENT") == false}
+		<div id="div_CO_{$entry->entryId}" style="text-align: left;" class="div_hide">
+			<div class="graybox">
+			    {foreach from=$entry->getComments() item=comment}
+		    	<div id="CO{$comment->date}" class="blue8" style="margin: 5px 5px 0 0; color: #999999;">
+					<img src="{$baseurl}/templates/{$skin}/imgs/comment.gif" alt="" /> Commented by<b>
+					{if $comment->homepage != ""}
+					<a href="{$comment->homepage|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$comment->name|escape}</a>
+					{elseif $comment->email != ""}
+					<a href="mailto:{$comment->email|escape}">{$comment->name|escape}</a>
+					{else}
+					{$comment->name|escape}
+					{/if}
+					</b>
+					at {$comment->date|date_format:"%y/%m/%d %H:%M"}
+				</div>
+				<div class="blue8" style="margin: 0 0 5px 15px; color:#555555;">{$comment->getBody()}</div>
+				{/foreach}
+				<br />
+				<form action="{$baseurl}/entry.php" method="post">
+					<div class="blue8" style="text-align:right; padding:0 0 3px 0;">
+    					Name <input class="comment_text" type="text" name="name" value="{$w_name|escape}" style="width: 50px;" /> &nbsp;
+						Email <input class="comment_text" type="text" name="email" value="{$w_email|escape}" style="width: 50px;" /> &nbsp;
+						Homepage <input class="comment_text" type="text" name="url" value="{$w_url|default:"http://"|escape}" style="width: 200px;" />
+					</div>
+					<div style="text-align:right;">
+						<textarea class="comment_text" name="body" rows="3" cols="" style="width: 90%; overflow-y: auto; overflow-x: hidden;"></textarea>
+					</div>
+	    			<div style="text-align: right; padding: 3px 0 0 0;" class="gray7">
+						<input type="hidden" name="blogid" value="{$entry->entryId}" />
+						<input type="submit" value="save" style="color:#999999; background-color:#F7F7F7; border: 1px #CCCCCC solid; width: 50px; height: 17px; overflow: auto; font-size: 8pt;" />
+					</div>
+				</form>
+			</div>
+		</div>
+		{/if}
+        
+	</div>
+	{/foreach}
+    
+	<div class="page">
+		<div class="link" style="clear:both;position:relative;float:left;text-align:left">
+	    	{if $prev_page_link != ""}
+			<a href="{$prev_page_link|escape}" class="link">&lt;&lt; prev</a>
+			{else}&lt;&lt; prev
+			{/if}
+		</div>
+				
+		<div class="link" style="position:relative;float:right;text-align:right">
+			{if $next_page_link != ""}
+			<a href="{$next_page_link|escape}" class="link">next &gt;&gt;</a>
+			{else}
+			next &gt;&gt; 
+			{/if}
+		</div>
+	</div>
+
+    {elseif $view == "archive"}
+	<div class="graybox">
+		{foreach from=$entries item=entry}
+		<font style="font-size: 8pt;">{$entry->date|date_format:"%y/%m/%d"}</font>
+    	&nbsp;<a href="{$entry->getHref()|escape}">{$entry->title|escape}</a>
+		<br />
+		{/foreach}
+	</div>
+				
+	{elseif $view == "category"}
+	<div class="graybox">
+		{foreach from=$entries item=entry}
+		<font style="font-size: 8pt;">{$entry->date|date_format:"%y/%m/%d"}</font>
+		&nbsp;<a href="{$entry->getHref()|escape}">{$entry->title|escape}</a>
+		<br />
+		{/foreach}
+	</div>
+    
+	{elseif $view == "search"}
+	<div class="graybox">
+		{foreach from=$entries item=entry}
+		<font style="font-size: 8pt;">{$entry->date|date_format:"%y/%m/%d"}</font>
+		&nbsp;<a href="{$entry->getHref()|escape}">{$entry->title|escape}</a>
+		<br />
+    	{/foreach}
+	</div>
+	{/if}
+</div>
+
+{include file="sidebar.tpl"}
+{include file="footer.tpl"}
+
diff -urN soojung-0.4.8/templates/box/javascript.js soojung/templates/box/javascript.js
--- soojung-0.4.8/templates/box/javascript.js	2005-03-27 21:01:48.000000000 +0900
+++ soojung/templates/box/javascript.js	2005-06-06 06:12:20.000000000 +0900
@@ -1,65 +1,65 @@
-function on_load(max_x) {
-	objs = document.getElementsByTagName('IMG');
-	for(i=0; i<objs.length; i++) {
-		obj = objs[i];
-		if(obj.className != 'bbcode') continue;
-		img = new Image();
-		img.src = obj.src;
-		if(max_x<img.width){
-			cut=img.width/max_x;
-			obj.width = img.width/cut;
-			obj.height = img.height/cut;
-		}else{
-			obj.width = img.width;
-			obj.height = img.height;
-		}
-	}
-	return false;
-}
-
-function seturltarget(link, target) {
-	link.target = target;
-	return true;
-}
-
-function moreless(obj) {
-	obj.innerHTML=(obj.nextSibling.style.display=='none')?'LESS':'MORE';
-	obj.nextSibling.style.display=(obj.nextSibling.style.display=='none')?'block':'none';
-}
-
-function copy_clip(copyText){
-	if(window.clipboardData){ // IE
-		window.clipboardData.setData('Text',copyText);
-	}
-	else if (window.netscape){ // Mozilla
-		netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
-          
-		// Store support string in an object.
-		var str = 
-			Components.classes["@mozilla.org/supports-string;1"]
-			.createInstance(Components.interfaces.nsISupportsString);
-		if (!str) return false;
-		str.data=copyText;
-          
-		// Make transferable.
-		var trans = 
-			Components.classes["@mozilla.org/widget/transferable;1"]
-			.createInstance(Components.interfaces.nsITransferable);
-		if (!trans) return false;
-          
-		// Specify what datatypes we want to obtain, which is text in this case.
-		trans.addDataFlavor("text/unicode");
-		trans.setTransferData("text/unicode",str,copyText.length*2);
-          
-		var clipid=Components.interfaces.nsIClipboard;
-		var clip =
-			Components.classes["@mozilla.org/widget/clipboard;1"]
-			.getService(clipid);
-		if (!clip) return false;
-          
-		clip.setData(trans,null,clipid.kGlobalClipboard);
-	}
-	alert("Copied into a ClipBoard");
-	return false;
-}
-
+function on_load(max_x) {
+	objs = document.getElementsByTagName('IMG');
+	for(i=0; i<objs.length; i++) {
+		obj = objs[i];
+		if(obj.className != 'bbcode') continue;
+		img = new Image();
+		img.src = obj.src;
+		if(max_x<img.width){
+			cut=img.width/max_x;
+			obj.width = img.width/cut;
+			obj.height = img.height/cut;
+		}else{
+			obj.width = img.width;
+			obj.height = img.height;
+		}
+	}
+	return false;
+}
+
+function seturltarget(link, target) {
+	link.target = target;
+	return true;
+}
+
+function moreless(obj) {
+	obj.innerHTML=(obj.nextSibling.style.display=='none')?'LESS':'MORE';
+	obj.nextSibling.style.display=(obj.nextSibling.style.display=='none')?'block':'none';
+}
+
+function copy_clip(copyText){
+	if(window.clipboardData){ // IE
+		window.clipboardData.setData('Text',copyText);
+	}
+	else if (window.netscape){ // Mozilla
+		netscape.security.PrivilegeManager.enablePrivilege('UniversalXPConnect');
+          
+		// Store support string in an object.
+		var str = 
+			Components.classes["@mozilla.org/supports-string;1"]
+			.createInstance(Components.interfaces.nsISupportsString);
+		if (!str) return false;
+		str.data=copyText;
+          
+		// Make transferable.
+		var trans = 
+			Components.classes["@mozilla.org/widget/transferable;1"]
+			.createInstance(Components.interfaces.nsITransferable);
+		if (!trans) return false;
+          
+		// Specify what datatypes we want to obtain, which is text in this case.
+		trans.addDataFlavor("text/unicode");
+		trans.setTransferData("text/unicode",str,copyText.length*2);
+          
+		var clipid=Components.interfaces.nsIClipboard;
+		var clip =
+			Components.classes["@mozilla.org/widget/clipboard;1"]
+			.getService(clipid);
+		if (!clip) return false;
+          
+		clip.setData(trans,null,clipid.kGlobalClipboard);
+	}
+	alert("Copied into a ClipBoard");
+	return false;
+}
+
diff -urN soojung-0.4.8/templates/box/sidebar.tpl soojung/templates/box/sidebar.tpl
--- soojung-0.4.8/templates/box/sidebar.tpl	2005-03-28 08:45:03.000000000 +0900
+++ soojung/templates/box/sidebar.tpl	2005-06-06 06:12:20.000000000 +0900
@@ -1,137 +1,137 @@
-    </div>
-</div>
-
-<div id="sidebar" class="blackbox">
-	<div style="text-align: center;">
-		<i>your message goes here.</i>
-	</div>
-
-    {if #showCategory# != -1}
-	<div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_category');"> &nbsp;CATEGORY</a></div>
-	<ul id="div_category" {if #showCategory# == 0}class="hide"{/if}>
-		{foreach from=$categories item=category}
-		<li>
-			<a href="{$category->getHref()|escape}">{$category->name|substring:25|escape}</a>
-			({$category->getEntryCount()})
-		</li>
-		{foreachelse}
-		<li></li>
-		{/foreach}
-	</ul>
-    {/if}
-
-    {if #showCalendar# != -1}
-    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_calendar');"> &nbsp;CALENDAR</a></div>
-    <div id="div_calendar" style="text-align:center;" {if #showCalendar# == 0}class="hide"{/if}>
-        {$calendar->getCalendar()}
-    </div>
-    {/if}
-
-    {if #showStaticEntries# != -1 && count($static_entries) != 0}
-    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_static');"> &nbsp;static POST</a></div>
-    <ul id="div_static" {if #showStaticEntries# == 0}class="hide"{/if}>
-        {foreach from=$static_entries item=static}
-        <li>
-            <a href="{$static->getHref()|escape}">{$static->title|escape}</a>
-        </li>
-        {foreachelse}
-        <li></li>
-        {/foreach}
-    </ul>
-    {/if}
-
-    {if #showRecentEntries# != -1}
-    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_entry');"> &nbsp;recent POST</a></div>
-    <ul id="div_entry" {if #showRecentEntries# == 0}class="hide"{/if}>
-        {foreach from=$recent_entries item=entry}
-        <li>
-            <a href="{$entry->getHref()|escape}">{$entry->title|escape}</a>
-        </li>
-        {foreachelse}
-        <li></li>
-        {/foreach}
-    </ul>
-    {/if}
-
-    {if #showRecentComments# != -1 && count($recent_comments) != 0}
-    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_recent_comment');"> &nbsp;recent COMMENTs</a></div>
-    <ul id="div_recent_comment" {if #showRecentComments# == 0}class="hide"{/if}>
-        {foreach from=$recent_comments item=comment}
-        <li>
-            <a href="{$comment->getHref()|escape}">{$comment->getBody()|strip_tags:false|substring:35|escape}</a>
-        </li>
-        {/foreach}
-    </ul>
-    {/if}
-            
-    {if #showRecentTrackbacks# != -1 && count($recent_trackbacks) != 0}
-    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_recent_trackback');"> &nbsp;recent TRACKBACKs</a></div>
-    <ul id="div_recent_trackback" {if #showRecentTrackbacks# == 0}class="hide"{/if}>
-        {foreach from=$recent_trackbacks item=trackback}
-        <li>
-            <a href="{$trackback->getHref()|escape}">{$trackback->getExcerpt()|strip_tags|substring:27|escape}</a>
-        </li>
-        {/foreach}
-    </ul>
-    {/if}
-
-    {if #showArchives# != -1}
-    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_archive');"> &nbsp;ARCHIVEs</a></div>
-    <ul id="div_archive" {if #showArchives# == 0}class="hide"{/if}>
-        {foreach from=$archvies item=archive}
-        <li>
-            <a href="{$archive->getHref()|escape}">{$archive->getDate()|date_format:"%B %Y"|substring:25}</a> ({$archive->getEntryCount()})
-        </li>
-        {foreachelse}
-        <li></li>
-        {/foreach}
-    </ul>
-    {/if}
-
-    {if #showRecentReferers# != -1 && count($recent_referers) != 0}
-    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_recent_referer');"> &nbsp;recent REFERERs</a></div>
-    <ul id="div_recent_referer" {if #showRecentReferers# == 0}class="hide"{/if}>
-        {foreach from=$recent_referers item=referer}
-        <li>
-            <a href="{$referer|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$referer|substring:25|escape}</a>
-        </li>
-        {/foreach}
-    </ul>
-    {/if}
-
-    {if #showBookmarks# != -1 && count($bookmarks) != 0}
-    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_bookmark');"> &nbsp;BOOKMARKs</a></div>
-    <ul id="div_bookmark" {if #showBookmarks# == 0}class="hide"{/if}>
-        {foreach from=$bookmarks item=bookmark}
-        <li>
-            <a href="{$bookmark->url|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$bookmark->desc|substring:35|escape}</a>
-        </li>
-        {/foreach}
-    </ul>
-    {/if}
-    
-    {if #showSearch# != -1}
-    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_search');"> &nbsp;SEARCH</a></div>
-    <div id="div_search" {if #showSearch# == 0}class="hide"{/if}>
-    <form action="index.php" method="get">
-        <p style="margin-left:10px;">
-            <input type="text" name="search" title="input search text" size="16"/>
-            <input type="submit" value="Search" />
-        </p>
-    </form>
-    </div>
-    {/if}
-    
-    <br />
-    <p style="margin-left: 10px;">
-        Today : {$today_count}<br />
-        Total : {$total_count}<br />
-        <br />
-        <a href="{$baseurl}/rss2.php" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><img src="{$baseurl}/templates/{$skin}/imgs/rss20_logo.gif" alt="rss 2.0 feed" style="border:0px;"/></a><br />
-        
-        <a href="http://validator.w3.org/check?uri=referer" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><img src="{$baseurl}/templates/{$skin}/imgs/xhtml11.png" alt="Valid XHTML 1.0!" style="border:0px;"/></a><br />
-
-        <a class="nodecoration" title="Explanation of Level A Conformance" href="http://www.w3.org/WAI/WCAG1A-Conformance" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><img src="{$baseurl}/templates/{$skin}/imgs/wai_a.png" alt="Level A conformance icon, W3C-WAI Web Content Accessibility Guidelines 1.0" style="border:0px;"/></a>
-    </p>
-</div>
-
+    </div>
+</div>
+
+<div id="sidebar" class="blackbox">
+	<div style="text-align: center;">
+		<i>your message goes here.</i>
+	</div>
+
+    {if #showCategory# != -1}
+	<div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_category');"> &nbsp;CATEGORY</a></div>
+	<ul id="div_category" {if #showCategory# == 0}class="hide"{/if}>
+		{foreach from=$categories item=category}
+		<li>
+			<a href="{$category->getHref()|escape}">{$category->name|substring:25|escape}</a>
+			({$category->getEntryCount()})
+		</li>
+		{foreachelse}
+		<li></li>
+		{/foreach}
+	</ul>
+    {/if}
+
+    {if #showCalendar# != -1}
+    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_calendar');"> &nbsp;CALENDAR</a></div>
+    <div id="div_calendar" style="text-align:center;" {if #showCalendar# == 0}class="hide"{/if}>
+        {$calendar->getCalendar()}
+    </div>
+    {/if}
+
+    {if #showStaticEntries# != -1 && count($static_entries) != 0}
+    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_static');"> &nbsp;static POST</a></div>
+    <ul id="div_static" {if #showStaticEntries# == 0}class="hide"{/if}>
+        {foreach from=$static_entries item=static}
+        <li>
+            <a href="{$static->getHref()|escape}">{$static->title|escape}</a>
+        </li>
+        {foreachelse}
+        <li></li>
+        {/foreach}
+    </ul>
+    {/if}
+
+    {if #showRecentEntries# != -1}
+    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_entry');"> &nbsp;recent POST</a></div>
+    <ul id="div_entry" {if #showRecentEntries# == 0}class="hide"{/if}>
+        {foreach from=$recent_entries item=entry}
+        <li>
+            <a href="{$entry->getHref()|escape}">{$entry->title|escape}</a>
+        </li>
+        {foreachelse}
+        <li></li>
+        {/foreach}
+    </ul>
+    {/if}
+
+    {if #showRecentComments# != -1 && count($recent_comments) != 0}
+    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_recent_comment');"> &nbsp;recent COMMENTs</a></div>
+    <ul id="div_recent_comment" {if #showRecentComments# == 0}class="hide"{/if}>
+        {foreach from=$recent_comments item=comment}
+        <li>
+            <a href="{$comment->getHref()|escape}">{$comment->getBody()|strip_tags:false|substring:35|escape}</a>
+        </li>
+        {/foreach}
+    </ul>
+    {/if}
+            
+    {if #showRecentTrackbacks# != -1 && count($recent_trackbacks) != 0}
+    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_recent_trackback');"> &nbsp;recent TRACKBACKs</a></div>
+    <ul id="div_recent_trackback" {if #showRecentTrackbacks# == 0}class="hide"{/if}>
+        {foreach from=$recent_trackbacks item=trackback}
+        <li>
+            <a href="{$trackback->getHref()|escape}">{$trackback->getExcerpt()|strip_tags|substring:27|escape}</a>
+        </li>
+        {/foreach}
+    </ul>
+    {/if}
+
+    {if #showArchives# != -1}
+    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_archive');"> &nbsp;ARCHIVEs</a></div>
+    <ul id="div_archive" {if #showArchives# == 0}class="hide"{/if}>
+        {foreach from=$archvies item=archive}
+        <li>
+            <a href="{$archive->getHref()|escape}">{$archive->getDate()|date_format:"%B %Y"|substring:25}</a> ({$archive->getEntryCount()})
+        </li>
+        {foreachelse}
+        <li></li>
+        {/foreach}
+    </ul>
+    {/if}
+
+    {if #showRecentReferers# != -1 && count($recent_referers) != 0}
+    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_recent_referer');"> &nbsp;recent REFERERs</a></div>
+    <ul id="div_recent_referer" {if #showRecentReferers# == 0}class="hide"{/if}>
+        {foreach from=$recent_referers item=referer}
+        <li>
+            <a href="{$referer|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$referer|substring:25|escape}</a>
+        </li>
+        {/foreach}
+    </ul>
+    {/if}
+
+    {if #showBookmarks# != -1 && count($bookmarks) != 0}
+    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_bookmark');"> &nbsp;BOOKMARKs</a></div>
+    <ul id="div_bookmark" {if #showBookmarks# == 0}class="hide"{/if}>
+        {foreach from=$bookmarks item=bookmark}
+        <li>
+            <a href="{$bookmark->url|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$bookmark->desc|substring:35|escape}</a>
+        </li>
+        {/foreach}
+    </ul>
+    {/if}
+    
+    {if #showSearch# != -1}
+    <div class="menutitle"><a href="#none" onclick="return fold_sidebar('div_search');"> &nbsp;SEARCH</a></div>
+    <div id="div_search" {if #showSearch# == 0}class="hide"{/if}>
+    <form action="{$baseurl}/index.php" method="get">
+        <p style="margin-left:10px;">
+            <input type="text" name="search" title="input search text" size="16"/>
+            <input type="submit" value="Search" />
+        </p>
+    </form>
+    </div>
+    {/if}
+    
+    <br />
+    <p style="margin-left: 10px;">
+        Today : {$today_count}<br />
+        Total : {$total_count}<br />
+        <br />
+        <a href="{$baseurl}/rss2.php" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><img src="{$baseurl}/templates/{$skin}/imgs/rss20_logo.gif" alt="rss 2.0 feed" style="border:0px;"/></a><br />
+        
+        <a href="http://validator.w3.org/check?uri=referer" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><img src="{$baseurl}/templates/{$skin}/imgs/xhtml11.png" alt="Valid XHTML 1.0!" style="border:0px;"/></a><br />
+
+        <a class="nodecoration" title="Explanation of Level A Conformance" href="http://www.w3.org/WAI/WCAG1A-Conformance" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}><img src="{$baseurl}/templates/{$skin}/imgs/wai_a.png" alt="Level A conformance icon, W3C-WAI Web Content Accessibility Guidelines 1.0" style="border:0px;"/></a>
+    </p>
+</div>
+
diff -urN soojung-0.4.8/templates/box/skin.css soojung/templates/box/skin.css
--- soojung-0.4.8/templates/box/skin.css	2005-04-19 21:55:21.000000000 +0900
+++ soojung/templates/box/skin.css	2005-06-06 06:12:20.000000000 +0900
@@ -1,144 +1,144 @@
-.moreless {
-	background-color: #F7F7F7;
-	border:1px solid #CCCCCC;
-	margin-top: 0;
-	padding: 0;
-	padding: 5px;
-}
-
-.graybox {
-	background-color: #F7F7F7;
-	border:1px solid #CCCCCC;
-	margin-top: 15px;
-	padding: 0;
-	padding: 5px;
-}
-
-.blackbox {
-	border: 1px solid #AAAAAA;
-	padding: 0;
-	width: 100%;
-}
-
-.blogtitle {
-	font-family:Trebuchet MS,helvetica,verdana,tahoma,;
-	font-size:18pt;
-	color: #000000;
-	margin-bottom: 5px;
-	text-align: left;
-}
-.blogtitle a:link { color:#000000; }
-.blogtitle a:visited { color:#000000; }
-.blogtitle a:hover { color:#000000; text-decoration:none; }
-.blogdesc {
-	font-family:Trebuchet MS,helvetica,verdana,tahoma,;
-	font-size:10pt;
-	color: #999999;
-	text-align: left;
-}
-.entrytitle{
-	font-weight: bold;
-	font-size: 10pt;
-	margin-bottom: 10px;	
-}
-.entrybody{
-        font-weight: normal;
-        font-size: 9pt;
-}
-
-.entrydate {
-	text-align: right;
-	margin-top: 20px;
-	border-top: 1px dotted #CCCCCC;
-	font-size: 8pt;
-	color: #999999;
-}
-
-.menutitle { 
-	line-height:17px; 
-	font-size:8pt; 
-	font-weight:bold; 
-	background-color: #F7F7F7;
-	color:#999999; 
-	border:1px solid #DDDDDD;
-	margin-top:15px;
-	margin-bottom:3px;
-	font-family:georgia,verdana,tahoma,;
-}
-.menucontent { 
-	margin-top:5px;
-}
-
-.comment_text {
-	font-size:8pt;
-	padding-top:2px;
-	border:solid 1px #CCCCCC;
-	background-color:#FFFFFF;
-	color:#555555;
-}	
-
-.search { 
-	border:solid 1px #CCCCCC; 
-	font-size:8pt; 
-	color:#555555; 
-	background-color:#FFFFFF; 
-}
-
-.link { 
-	font-family:tahoma;
-	font-size:8pt; 
-	color:#999999;
-}
-a.link:link { color:#000000; }
-a.link:visited { color:#000000; }
-a.link:hover { color:#999999; text-decoration:none; }
-.link2 { 
-	font-family:tahoma;
-	font-size:8pt; 
-	color:#000000;
-}
-a.link2:link { color:#999999; }
-a.link2:visited { color:#999999; }
-a.link2:hover { color:#000000; text-decoration:none; }
-
-.silver7 { 
-	font-size:7pt; 
-	color:#CECBCE; 
-}
-.silver7 a:link { color:#CECBCE; }
-.silver7 a:visited { color:#CECBCE; }
-.silver7 a:hover { color:#777777; text-decoration:none; }
-
-.silver8 {
-	font-size: 8pt;
-	color: #CECBCE;
-}
-.silver8 a:link { color:#CECBCE; }
-.silver8 a:visited { color:#CECBCE; }
-.silver8 a:hover { color:#777777; text-decoration:none; }
-
-.gray7 { 
-	font-size:7pt; 
-	color:#999999; 
-}
-.gray7 a:link { color:#999999; }
-.gray7 a:visited { color:#999999; }
-.gray7 a:hover { color:#999999; }
-
-.gray8 { 
-	font-size:8pt; 
-	color:#999999; 
-}
-.gray8 a:link { color:#999999; }
-.gray8 a:visited { color:#999999; }
-.gray8 a:hover { color:#999999; }
-
-.blue8 { 
-	color:#777777; 
-	font-size:8pt;
-}
-.blue8 a:link { color:#3399CC; }
-.blue8 a:visited { color:#3399CC; }
-.blue8 a:hover { color:#777777; text-decoration:none; }
-
-
+.moreless {
+	background-color: #F7F7F7;
+	border:1px solid #CCCCCC;
+	margin-top: 0;
+	padding: 0;
+	padding: 5px;
+}
+
+.graybox {
+	background-color: #F7F7F7;
+	border:1px solid #CCCCCC;
+	margin-top: 15px;
+	padding: 0;
+	padding: 5px;
+}
+
+.blackbox {
+	border: 1px solid #AAAAAA;
+	padding: 0;
+	width: 100%;
+}
+
+.blogtitle {
+	font-family:Trebuchet MS,helvetica,verdana,tahoma,;
+	font-size:18pt;
+	color: #000000;
+	margin-bottom: 5px;
+	text-align: left;
+}
+.blogtitle a:link { color:#000000; }
+.blogtitle a:visited { color:#000000; }
+.blogtitle a:hover { color:#000000; text-decoration:none; }
+.blogdesc {
+	font-family:Trebuchet MS,helvetica,verdana,tahoma,;
+	font-size:10pt;
+	color: #999999;
+	text-align: left;
+}
+.entrytitle{
+	font-weight: bold;
+	font-size: 10pt;
+	margin-bottom: 10px;	
+}
+.entrybody{
+        font-weight: normal;
+        font-size: 9pt;
+}
+
+.entrydate {
+	text-align: right;
+	margin-top: 20px;
+	border-top: 1px dotted #CCCCCC;
+	font-size: 8pt;
+	color: #999999;
+}
+
+.menutitle { 
+	line-height:17px; 
+	font-size:8pt; 
+	font-weight:bold; 
+	background-color: #F7F7F7;
+	color:#999999; 
+	border:1px solid #DDDDDD;
+	margin-top:15px;
+	margin-bottom:3px;
+	font-family:georgia,verdana,tahoma,;
+}
+.menucontent { 
+	margin-top:5px;
+}
+
+.comment_text {
+	font-size:8pt;
+	padding-top:2px;
+	border:solid 1px #CCCCCC;
+	background-color:#FFFFFF;
+	color:#555555;
+}	
+
+.search { 
+	border:solid 1px #CCCCCC; 
+	font-size:8pt; 
+	color:#555555; 
+	background-color:#FFFFFF; 
+}
+
+.link { 
+	font-family:tahoma;
+	font-size:8pt; 
+	color:#999999;
+}
+a.link:link { color:#000000; }
+a.link:visited { color:#000000; }
+a.link:hover { color:#999999; text-decoration:none; }
+.link2 { 
+	font-family:tahoma;
+	font-size:8pt; 
+	color:#000000;
+}
+a.link2:link { color:#999999; }
+a.link2:visited { color:#999999; }
+a.link2:hover { color:#000000; text-decoration:none; }
+
+.silver7 { 
+	font-size:7pt; 
+	color:#CECBCE; 
+}
+.silver7 a:link { color:#CECBCE; }
+.silver7 a:visited { color:#CECBCE; }
+.silver7 a:hover { color:#777777; text-decoration:none; }
+
+.silver8 {
+	font-size: 8pt;
+	color: #CECBCE;
+}
+.silver8 a:link { color:#CECBCE; }
+.silver8 a:visited { color:#CECBCE; }
+.silver8 a:hover { color:#777777; text-decoration:none; }
+
+.gray7 { 
+	font-size:7pt; 
+	color:#999999; 
+}
+.gray7 a:link { color:#999999; }
+.gray7 a:visited { color:#999999; }
+.gray7 a:hover { color:#999999; }
+
+.gray8 { 
+	font-size:8pt; 
+	color:#999999; 
+}
+.gray8 a:link { color:#999999; }
+.gray8 a:visited { color:#999999; }
+.gray8 a:hover { color:#999999; }
+
+.blue8 { 
+	color:#777777; 
+	font-size:8pt;
+}
+.blue8 a:link { color:#3399CC; }
+.blue8 a:visited { color:#3399CC; }
+.blue8 a:hover { color:#777777; text-decoration:none; }
+
+
diff -urN soojung-0.4.8/templates/box/styles.css soojung/templates/box/styles.css
--- soojung-0.4.8/templates/box/styles.css	2005-03-27 21:01:48.000000000 +0900
+++ soojung/templates/box/styles.css	2005-06-06 06:12:20.000000000 +0900
@@ -1,187 +1,187 @@
-body,td {
-	font-size:8pt;
-	font-family: verdana,tahoma,;
-	line-height:150%;
-	background-color: #F7F7F7;
-	text-align: center;
-}
-
-pre
-{
-  padding: 5px;
-  border: 1px solid #EBD4C8;
-  background-color: #FCF7F4;
-}
-
-#bg {
-	padding: 0;
-	border: 0;
-	width: 800px;
-	border-spacing: 0px;
-	text-align: center;
-	margin: 20px auto;
-}
-
-#leftbox {
-	max-width: 590px;
-	width: 590px;
-	text-align: center;
-	background-color: #FFFFFF;
-	float: left;
-	padding-bottom: 5px;
-}
-
-#main {
-	margin: auto;
-	width: 90%;
-	text-align:left;
-}
-
-#header {
-	width: 100%;
-	background-color: #FFFFFF;
-	padding-bottom: 10px;
-}
-
-#entries {
-	background-color: #FFFFFF;
-}
-#entries .entry {
-	padding-top: 5px;
-	padding-bottom: 10px;
-	border-top: 1px solid #AAAAAA;
-}
-#entries .page {
-	border-top: 1px solid #AAAAAA;
-}
-
-#sidebar {
-	width: 200px;
-	background-color: #FFFFFF;
-	text-align: left;
-	float: right;
-	vertical-align: top;
-}
-	   
-#sidebar ul {
-	margin: 0px 5px 5px 5px;
-	padding: 0px 4px;
-	list-style: none;
-}
-#sidebar li {
-	width: 100%;
-	margin: 0px 0px 5px 0px;
-	white-space: nowrap;
-	overflow: hidden;
-}
-#sidebar p {
-	margin: 10px;
-}
-#sidebar p.addition {
-	font-size: 0.7em;
-}
-#sidebar p.addition img {
-	border: 0px !important;
-	vertical-align: middle;
-}
-#footer
-{
-  position: relative;
-  clear: both;
-  margin: 0;
-  padding: 0;
-  font-size: 90%;
-  color: #666;
-}
-
-#footer p 
-{
-  color: #999;
-  margin: 0;
-  padding: 8px 20px;
-  text-align: center;
-}
-#calendar
-{
-  margin: 0px;
-  background-color: #FFFFFF;
-}
-
-#calendar p
-{
-  text-align: center;
-  margin: 0px;
-}
-
-#calendar p .current
-{
-  font-size: 11px;
-  font-weight: bold;
-}
-
-#calendar table
-{
-  margin: 0px auto;
-  width: 85%;
-  font-size: 10px;
-  table-layout: fixed;
-  border-collapse: collapse;
-}
-
-#calendar th, #calendar td
-{
-  text-align: center;
-  font-size: 10px;
-  width: 14.3%;
-  margin: 0px;
-  padding: 2px;
-  background-color: #FFFFFF;
-}
-
-#calendar td
-{
-  color: #888;
-}
-
-#calendar table a
-{
-  font-weight: bold;
-  border-bottom: dotted 1px #888;
-}
-
-hr {
-	color: #CECBCE;
-	margin-top: 10px;
-}
-input, textarea, select {
-	font: 100% 'Lucida Sans Unicode', 'Lucida Grande', 'Bitstream Vera Sans', 'Trebuchet MS', Geneva, Arial, sans-serif;
-}
-input.text {
-	border: 1px solid #285090;
-}
-
-body, div, p, img, ul, li, h1, h2, h3, h4, h5, h6, form {
-	margin: 0;
-	padding: 0;
-	border: 0;
-}
-
-img {
-	border-width: 0;
-	max-width: 100%;
-	height: auto;
-}
-
-.div_hide, .hide
-{
-  display: none;
-}
-
-.trackbackurl {
-    font-size: 7pt;
-    cursor: pointer;
-}
-
-A:link { color:#777777; text-decoration:none; }
-A:visited { color:#777777; text-decoration:none; }
-A:hover { color:#000000; text-decoration:underline; }
+body,td {
+	font-size:8pt;
+	font-family: verdana,tahoma,;
+	line-height:150%;
+	background-color: #F7F7F7;
+	text-align: center;
+}
+
+pre
+{
+  padding: 5px;
+  border: 1px solid #EBD4C8;
+  background-color: #FCF7F4;
+}
+
+#bg {
+	padding: 0;
+	border: 0;
+	width: 800px;
+	border-spacing: 0px;
+	text-align: center;
+	margin: 20px auto;
+}
+
+#leftbox {
+	max-width: 590px;
+	width: 590px;
+	text-align: center;
+	background-color: #FFFFFF;
+	float: left;
+	padding-bottom: 5px;
+}
+
+#main {
+	margin: auto;
+	width: 90%;
+	text-align:left;
+}
+
+#header {
+	width: 100%;
+	background-color: #FFFFFF;
+	padding-bottom: 10px;
+}
+
+#entries {
+	background-color: #FFFFFF;
+}
+#entries .entry {
+	padding-top: 5px;
+	padding-bottom: 10px;
+	border-top: 1px solid #AAAAAA;
+}
+#entries .page {
+	border-top: 1px solid #AAAAAA;
+}
+
+#sidebar {
+	width: 200px;
+	background-color: #FFFFFF;
+	text-align: left;
+	float: right;
+	vertical-align: top;
+}
+	   
+#sidebar ul {
+	margin: 0px 5px 5px 5px;
+	padding: 0px 4px;
+	list-style: none;
+}
+#sidebar li {
+	width: 100%;
+	margin: 0px 0px 5px 0px;
+	white-space: nowrap;
+	overflow: hidden;
+}
+#sidebar p {
+	margin: 10px;
+}
+#sidebar p.addition {
+	font-size: 0.7em;
+}
+#sidebar p.addition img {
+	border: 0px !important;
+	vertical-align: middle;
+}
+#footer
+{
+  position: relative;
+  clear: both;
+  margin: 0;
+  padding: 0;
+  font-size: 90%;
+  color: #666;
+}
+
+#footer p 
+{
+  color: #999;
+  margin: 0;
+  padding: 8px 20px;
+  text-align: center;
+}
+#calendar
+{
+  margin: 0px;
+  background-color: #FFFFFF;
+}
+
+#calendar p
+{
+  text-align: center;
+  margin: 0px;
+}
+
+#calendar p .current
+{
+  font-size: 11px;
+  font-weight: bold;
+}
+
+#calendar table
+{
+  margin: 0px auto;
+  width: 85%;
+  font-size: 10px;
+  table-layout: fixed;
+  border-collapse: collapse;
+}
+
+#calendar th, #calendar td
+{
+  text-align: center;
+  font-size: 10px;
+  width: 14.3%;
+  margin: 0px;
+  padding: 2px;
+  background-color: #FFFFFF;
+}
+
+#calendar td
+{
+  color: #888;
+}
+
+#calendar table a
+{
+  font-weight: bold;
+  border-bottom: dotted 1px #888;
+}
+
+hr {
+	color: #CECBCE;
+	margin-top: 10px;
+}
+input, textarea, select {
+	font: 100% 'Lucida Sans Unicode', 'Lucida Grande', 'Bitstream Vera Sans', 'Trebuchet MS', Geneva, Arial, sans-serif;
+}
+input.text {
+	border: 1px solid #285090;
+}
+
+body, div, p, img, ul, li, h1, h2, h3, h4, h5, h6, form {
+	margin: 0;
+	padding: 0;
+	border: 0;
+}
+
+img {
+	border-width: 0;
+	max-width: 100%;
+	height: auto;
+}
+
+.div_hide, .hide
+{
+  display: none;
+}
+
+.trackbackurl {
+    font-size: 7pt;
+    cursor: pointer;
+}
+
+A:link { color:#777777; text-decoration:none; }
+A:visited { color:#777777; text-decoration:none; }
+A:hover { color:#000000; text-decoration:underline; }
diff -urN soojung-0.4.8/templates/bruise2/entry.tpl soojung/templates/bruise2/entry.tpl
--- soojung-0.4.8/templates/bruise2/entry.tpl	2005-03-31 20:03:09.000000000 +0900
+++ soojung/templates/bruise2/entry.tpl	2005-05-12 03:30:19.000000000 +0900
@@ -23,7 +23,7 @@
 
 {if $entry->isSetOption("NO_COMMENT") == false}
 <div class="comments">
-{$entry.comment_count} Comments<br />
+{$entry->comment_count} Comments<br />
 <a name="comment"></a>
 {foreach from=$comments item=comment}
 	<div class="comment">
diff -urN soojung-0.4.8/templates/bruise2/footer.tpl soojung/templates/bruise2/footer.tpl
--- soojung-0.4.8/templates/bruise2/footer.tpl	2005-03-01 02:01:21.000000000 +0900
+++ soojung/templates/bruise2/footer.tpl	2005-06-14 20:44:39.000000000 +0900
@@ -2,15 +2,14 @@
 
 </td>
 </tr>
-<div id="footer">
-<tr>
+<tr id="footer">
 	<td colspan="2">
 		<table border="0" cellpadding="0" cellspacing="0" width="100%">
 		<tr>
 			<td align="left">
-				<a href="/blog/post.php"><img src="{$baseurl}/templates/bruise/imgs/ico_edit.gif"></a>
-				<a href="/blog/admin.php"><img src="{$baseurl}/templates/bruise/imgs/ico_admin.gif"></a>
-				<a href="#none" onclick="return fold_sidebar('sidebar');"><img src="{$baseurl}/templates/bruise/imgs/ico_menu.gif"></a>
+				<a href="/blog/post.php"><img src="{$baseurl}/templates/{$skin}/imgs/ico_edit.gif" alt='edit' /></a>
+				<a href="/blog/admin.php"><img src="{$baseurl}/templates/{$skin}/imgs/ico_admin.gif" alt='admin' /></a>
+				<a href="#none" onclick="return fold_sidebar('sidebar');"><img src="{$baseurl}/templates/{$skin}/imgs/ico_menu.gif" alt='menu' /></a>
 			</td>
 			<td align="right">
 				<a href="http://soojung.kldp.net">수정</a>을 씁니다.
@@ -19,13 +18,12 @@
 		</table>
 	</td>
 </tr>
-</div>
 </table>
-</td><td valign="top" width="250">
+</td><td valign="top" style='width:250px;'>
 <div id="sidebar">
 <h3><a href="#none" onclick="return fold_sidebar('div_calendar');">Calendar</a></h3>
 <div id="div_calendar">
-	<li>{$calendar->getCalendar()}</li>
+	{$calendar->getCalendar()}
 </div>
 
 <h3><a href="#none" onclick="return fold_sidebar('div_category');">Categories</a></h3>
@@ -109,7 +107,7 @@
 {/if}
 
 <h3>Search</h3>
-<form action="index.php" method="get">
+<form action="{$baseurl}/index.php" method="get">
 <p>
 <input type="text" name="search" title="input search text" size="16"/>
 <input type="submit" value="Search" />
diff -urN soojung-0.4.8/templates/bruise2/header.tpl soojung/templates/bruise2/header.tpl
--- soojung-0.4.8/templates/bruise2/header.tpl	2005-02-24 23:16:00.000000000 +0900
+++ soojung/templates/bruise2/header.tpl	2005-06-14 20:44:39.000000000 +0900
@@ -6,19 +6,18 @@
 <link rel="stylesheet" type="text/css" href="{$baseurl}/templates/{$skin}/styles.css" />
 <link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="{$baseurl}/rss2.php" />
 <script type="text/javascript" src="{$baseurl}/libs/common.js"></script>
+</head>
 <body onload="return correct_bbcode_image();">
-<table border="0" align="center" cellpadding="0" cellspacing="0">
+<table border="0" cellpadding="0" cellspacing="0" style='margin:0 auto;'>
 <tr><td valign="top">
-<table border="0" align="center" cellpadding="0" cellspacing="0" width="640">
-<div id="header">
-<tr>
-	<td width="320" align="left">■ <a href="{$baseurl}" title="{$description}"><span class="blogTitle"><b>{$title}</b></span></a></td>
-	<td width="320" align="right">
+<table border="0" cellpadding="0" cellspacing="0" width='640px' style='margin:0 auto;'>
+<tr id="header">
+	<td style='text-align:left; width:320px;'>■ <a href="{$baseurl}" title="{$description}"><span class="blogTitle"><b>{$title}</b></span></a></td>
+	<td style='text-align:right; width:320px;'>
 	| <a href="{$baseurl}">main</a> |
 	<a href="{$baseurl}/admin.php">admin</a> |
 	</td>
 </tr>
-</div>
 <tr>
 	<td colspan="2">
 <div id="content">
diff -urN soojung-0.4.8/templates/ocean/header.tpl soojung/templates/ocean/header.tpl
--- soojung-0.4.8/templates/ocean/header.tpl	2005-02-24 23:16:00.000000000 +0900
+++ soojung/templates/ocean/header.tpl	2005-05-12 03:18:47.000000000 +0900
@@ -20,7 +20,7 @@
 			<h2>{$description}</h2>
 		</div>
 		<div id="controls">
-			<form id="searchform" action="index.php" method="get">
+			<form id="searchform" action="{$baseurl}/index.php" method="get">
 				<p>
 					<label id="searchlabel">Search:</label><input id="searchfield" type="text" name="search" title="input search text" />
 					<input id="searchimage" type="image" src="{$baseurl}/templates/{$skin}/images/ocean-search.jpg" value="submit" alt="Search" />
diff -urN soojung-0.4.8/templates/ocean/ocean.css soojung/templates/ocean/ocean.css
--- soojung-0.4.8/templates/ocean/ocean.css	2005-02-26 15:53:18.000000000 +0900
+++ soojung/templates/ocean/ocean.css	2005-06-14 20:44:39.000000000 +0900
@@ -195,6 +195,7 @@
 	font-size: 90%;
 	width: 18em; 
 	float: right;
+    overflow: hidden;
 }
 #column a.rounded {
 	color: #285090;
diff -urN soojung-0.4.8/templates/rubric/footer.tpl soojung/templates/rubric/footer.tpl
--- soojung-0.4.8/templates/rubric/footer.tpl	2005-03-01 02:01:21.000000000 +0900
+++ soojung/templates/rubric/footer.tpl	2005-05-12 03:18:48.000000000 +0900
@@ -25,7 +25,7 @@
 </li>
 <li id="search">
 	Search:
-	<form id="searchform" action="index.php" method="get">
+	<form id="searchform" action="{$baseurl}/index.php" method="get">
 	<div>
 		<input type="text" name="search" title="input search text" size="15" /><br />
 		<input type="submit" value="search" />
diff -urN soojung-0.4.8/templates/seaside/sidebar.tpl soojung/templates/seaside/sidebar.tpl
--- soojung-0.4.8/templates/seaside/sidebar.tpl	2005-03-01 02:01:21.000000000 +0900
+++ soojung/templates/seaside/sidebar.tpl	2005-05-12 03:18:48.000000000 +0900
@@ -9,7 +9,7 @@
 </ul>
 
 <h2>Search</h2>
-<form action="index.php" method="get">
+<form action="{$baseurl}/index.php" method="get">
 <p>
 <input type="text" name="search" id="search" title="input search text" size="16" onfocus="this.className='on'; return true" onblur="this.className='off'; return true" /> <input type="submit" value="Go" />
 </p>
diff -urN soojung-0.4.8/templates/simple/entry.tpl soojung/templates/simple/entry.tpl
--- soojung-0.4.8/templates/simple/entry.tpl	2005-03-31 20:03:09.000000000 +0900
+++ soojung/templates/simple/entry.tpl	2005-05-17 19:29:08.000000000 +0900
@@ -42,18 +42,18 @@
 {/foreach}
 </div>
 
-<form action="" method="post">
+<form action="entry.php" method="post">
 Post a comment<br />
 Name:<br />
-<input type="text" name="name" value="{$w_name|escape}"><br />
+<input type="text" name="name" value="{$w_name|escape}" /><br />
 Email Address:<br />
-<input type="text" name="email" value="{$w_email|escape}"><br />
+<input type="text" name="email" value="{$w_email|escape}" /><br />
 URL:<br />
-<input type="text" name="url" value="{$w_url|default:"http://"|escape}"><br />
+<input type="text" name="url" value="{$w_url|default:"http://"|escape}" /><br />
 Comments:<br />
 <textarea name="body" rows="5" cols="40"></textarea><br />
-<input type="hidden" name="blogid" value="{$entry->entryId}">
-<input type="submit" value="Post">
+<input type="hidden" name="blogid" value="{$entry->entryId}" />
+<input type="submit" value="Post" />
 </form>
 {/if}
 
diff -urN soojung-0.4.8/templates/simple/footer.tpl soojung/templates/simple/footer.tpl
--- soojung-0.4.8/templates/simple/footer.tpl	2005-04-19 21:55:22.000000000 +0900
+++ soojung/templates/simple/footer.tpl	2005-05-17 19:29:08.000000000 +0900
@@ -96,9 +96,9 @@
 {/if}
 
 <h3>Search</h3>
-<form action="index.php" method="get">
+<form action="{$baseurl}/index.php" method="get">
 <p>
-<input type="text" name="search" title="input search text" size="16"/>
+<input type="text" name="search" title="input search text" size="16" />
 <input type="submit" value="Search" />
 </p>
 </form>
diff -urN soojung-0.4.8/templates/simplebalance/footer.tpl soojung/templates/simplebalance/footer.tpl
--- soojung-0.4.8/templates/simplebalance/footer.tpl	2005-03-01 02:01:22.000000000 +0900
+++ soojung/templates/simplebalance/footer.tpl	2005-05-12 03:18:48.000000000 +0900
@@ -103,7 +103,7 @@
 
 {if #showSearchForm# != -1}
 <h3><a href="#none" onclick="return fold_sidebar('div_search');">Search</a></h3>
-<form action="index.php" method="get" id="div_search"{if #showSearchForm# == 0} class="hide"{/if}>
+<form action="{$baseurl}/index.php" method="get" id="div_search"{if #showSearchForm# == 0} class="hide"{/if}>
 	<p>
 	<input type="text" name="search" title="input search text" />
 	<input type="submit" value="go" />
diff -urN soojung-0.4.8/templates/soogle/entry.tpl soojung/templates/soogle/entry.tpl
--- soojung-0.4.8/templates/soogle/entry.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/soogle/entry.tpl	2005-06-16 21:05:06.000000000 +0900
@@ -0,0 +1,112 @@
+{include file="header.tpl"}
+<div class="bar">
+    <span class="classes">
+        <b>{$entry->title|escape}</b>
+    </span>
+    <span class="result">
+        Results <b>
+        1</b> - <b>1
+        </b> of about<b>
+        {php}
+            $entry = Entry::getEntry($_GET['blogid']);
+            $category = new Category($entry->category->name);
+            echo $category->getEntryCount();
+        {/php}
+        </b>for<b>
+        {$entry->category->name|escape}
+        </b> .(<b>
+        {php}
+            printf("%.2f",rand(1,10000)/10000);
+            $i = 1;
+        {/php}
+        </b> seconds)
+    </span>
+</div>
+<div class="entry">
+    <div class="entrybody">
+        {$entry->getBody()}
+        <p class="posted">
+            posted at {$entry->date|date_format:"%y/%m/%d %H:%M"} - <a class="fl" href="{$entry->category->getHref()|escape}">{$entry->category->name|escape}</a>
+            {if $entry->isSetOption("NO_COMMENT") == false}
+            - <a class="fl" href="#none" onclick="return fold_sidebar('div_CO_{$entry->entryId}');">Comments ({$entry->getCommentCount()})</a>
+            {/if}
+            {if $entry->isSetOption("NO_TRACKBACK") == false}
+            - <a class="fl" href="#none" onclick="return fold_sidebar('div_TB_{$entry->entryId}');">TrackBacks ({$entry->getTrackbackCount()})</a>
+            {/if}
+        </p>
+    </div>
+    
+    {if $entry->isSetOption("NO_TRACKBACK") == false}
+    <div id="div_TB_{$entry->entryId}">
+        <div class="trackbacks">
+            <div class="trackback_url">TrackBack URL: {$baseurl}/trackback.php?blogid={$entry->entryId}</div>
+            {if $entry->getTrackbackCount() != 0}
+            <div id="trackback">
+                {foreach from=$trackbacks item=trackback}
+                <div class="trackback">
+                    <div id="TB{$trackback->date}">
+                        <div class="trackback_name">
+                            Tracked from <a href="{$trackback->url|escape}" class="fl">{$trackback->name|escape}</a> at {$trackback->date|date_format:"%y/%m/%d %H:%M"}<br />
+        					<a href="{$trackback->url|escape}" class="f1">{$trackback->title|escape}</a>
+                            
+                        </div>
+                        <div class="trackback_body">
+                            {$trackback->getExcerpt()|strip_tags} ...<a href="{$trackback->url}" class="fl">more</a>
+                        </div>
+                    </div>
+                </div>
+                {/foreach}
+            </div>
+            {/if}
+        </div>
+    </div>
+    {/if}
+    
+    {if $entry->isSetOption("NO_COMMENT") == false}
+    <div id="div_CO_{$entry->entryId}">
+        <div class="comments">
+            {if $entry->getCommentCount() != 0}
+            <div id="comment">
+                {foreach from=$comments item=comment}
+                <div class="comment">
+                    <div class="comment_user">
+                        <div id="CO{$comment->date}">
+                            Commented by
+                            {if $comment->homepage != ""}
+                            <a href="{$comment->homepage|escape}" class="fl">{$comment->name|escape}</a>
+                        	{elseif $comment->email != ""}
+	    	                <a href="mailto:{$comment->email|escape}" class="fl">{$comment->name|escape}</a>
+                    	    {else}
+            	    	    {$comment->name|escape}
+                	        {/if}
+                             at {$entry->date|date_format:"%y/%m/%d %H:%M"} 
+                        </div>
+                    </div>
+                    <div class="comment_body">
+                    	{$comment->getBody()}
+                    </div>
+            	</div>
+                {/foreach}
+            </div>
+            {/if}
+            <div class='comment_post'>
+                <form action="{$baseurl}/entry.php" method="post">
+                    <div class="comment_name">
+                        Name <input class="comment_text" type="text" name="name" value="{$w_name|escape}" style="width: 100px;" /> &nbsp;
+                        Email <input class="comment_text" type="text" name="email" value="{$w_email|escape}" style="width: 100px;" /> &nbsp;
+                        Homepage <input class="comment_text" type="text" name="url" value="{$w_url|default:"http://"|escape}" style="width: 200px;" />
+                    </div>
+                    <div>
+                        <textarea class="comment_text" name="body" rows="3" cols=""></textarea>
+                    </div>
+                    <div>
+                        <input type="hidden" name="blogid" value="{$entry->entryId}" />
+                        <input type="submit" value="save" class="submit" />
+                    </div>
+                </form>            
+            </div>
+        </div>
+    </div>
+    {/if}
+</div>
+{include file="footer.tpl"}
diff -urN soojung-0.4.8/templates/soogle/footer.tpl soojung/templates/soogle/footer.tpl
--- soojung-0.4.8/templates/soogle/footer.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/soogle/footer.tpl	2005-06-16 21:05:06.000000000 +0900
@@ -0,0 +1,109 @@
+<div id="menu">
+    <div class="category">
+	    <ul id="div_category" class="hide">
+    	    {foreach from=$categories item=category}
+	    	<li>
+    			<a href="{$category->getHref()|escape}">{$category->name|substring:25|escape} ({$category->getEntryCount()})</a>
+    		</li>
+	    	{foreachelse}
+    		<li></li>
+		    {/foreach}
+	    </ul>
+    </div>
+    
+    <div class="archive">
+        <ul id="div_archive" class="hide">
+            {foreach from=$archvies item=archive}
+            <li>
+                <a href="{$archive->getHref()|escape}">{$archive->getDate()|date_format:"%B %Y"|substring:25} ({$archive->getEntryCount()})</a>
+            </li>
+            {foreachelse}
+            <li></li>
+            {/foreach}
+        </ul>
+    </div>
+    
+    <div class="calendar">
+        <div id="div_calendar" class="hide">
+            {$calendar->getCalendar()}    
+        </div>
+    </div>
+    
+    <div class="static">
+        <ul id="div_static" class="hide">
+            {foreach from=$static_entries item=static}
+            <li>
+                <a href="{$static->getHref()|escape}">{$static->title|escape}</a>
+            </li>
+            {foreachelse}
+            <li></li>
+            {/foreach}
+        </ul>
+    </div>
+    
+    <div class="recent_entry">
+        <ul id="div_entry" class="hide">
+            {foreach from=$recent_entries item=entry}
+            <li>
+                <a href="{$entry->getHref()|escape}">{$entry->title|escape}</a>
+            </li>
+            {foreachelse}
+            <li></li>
+            {/foreach}
+        </ul>
+    </div>
+    
+    <div class="recent_comment">
+        <ul id="div_recent_comment" class="hide">
+            {foreach from=$recent_comments item=comment}
+            <li>
+                <a href="{$comment->getHref()|escape}">{$comment->getBody()|strip_tags:false|substring:35|escape}</a>
+            </li>
+            {/foreach}
+        </ul>
+    </div>
+
+    <div class="recent_trackback">
+        <ul id="div_recent_trackback" class="hide">
+            {foreach from=$recent_trackbacks item=trackback}
+            <li>
+                <a href="{$trackback->getHref()|escape}">{$trackback->getExcerpt()|strip_tags|substring:27|escape}</a>
+            </li>
+            {/foreach}
+        </ul>
+    </div>
+
+    <div class="bookmark">
+        <ul id="div_bookmark" class="hide">
+            {foreach from=$bookmarks item=bookmark}
+            <li>
+                <a href="{$bookmark->url|escape}" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>{$bookmark->desc|substring:35|escape}</a>
+            </li>
+            {/foreach}
+        </ul>
+    </div>
+</div> 
+
+<div class="footer">
+    <div class="footerbox">
+        <div>
+            <form action="{$baseurl}/index.php" method="get">
+                <input type=text name=search size=31 value="{$keyword}" />
+                <input type=submit value="Search" />
+            </form>
+        </div>
+        <div>
+        	<a href="#none">Search within results</a> | 
+			<a href="http://soojung.kldp.net">Language Tools</a> |
+			<a href="http://soojung.kldp.net">Search Tips</a> |
+			<a href="http://kldp.net/forum/forum.php?forum_id=1821">Dissatisfied? Help us improve</a>
+        </div>
+    </div>
+    <p>
+        {$license_link}<br />
+        Powered by <a href="http://soojung.kldp.net" {if #targetBlank# == 1}onclick="seturltarget(this,'_blank');"{/if}>soojung {$soojung_version}</a>
+    </p>
+</div>
+
+</body>
+</html>
diff -urN soojung-0.4.8/templates/soogle/header.tpl soojung/templates/soogle/header.tpl
--- soojung-0.4.8/templates/soogle/header.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/soogle/header.tpl	2005-06-16 21:05:06.000000000 +0900
@@ -0,0 +1,42 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<html>
+<head>
+<meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8" />
+<title>{$title}</title>
+<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="{$baseurl}/rss2.php" />
+<link rel="stylesheet" type="text/css" href="{$baseurl}/templates/newsoogle/styles.css"/>
+<script type="text/javascript" src="{$baseurl}/libs/common.js"></script>
+</head>
+
+<body onload="return correct_bbcode_image();">
+<div id="header">
+<!-- banner -->
+    <div class="logo">
+        <a href="{$baseurl}">
+            <img width="150" height="55" alt="Go to Blog Home" src="{$baseurl}/templates/newsoogle/imgs/logo_sm.gif" />
+        </a>
+    </div>
+    <div class="topmenu">
+        <span class="blogtitle">{$title}</span> - {$description}
+        <div class='menu'>
+            <a href="{$baseurl}/rss2.php">RSS</a> |
+            <a href="#none" onclick="return fold_sidebar('div_category');">Category</a> |
+            <a href="#none" onclick="return fold_sidebar('div_archive');">Archive</a> |
+            <a href="#none" onclick="return fold_sidebar('div_calendar');">Calendar</a> |
+            <a href="#none" onclick="return fold_sidebar('div_static');">Satic Post</a> |
+            <a href="#none" onclick="return fold_sidebar('div_entry');">Post</a> |
+            <a href="#none" onclick="return fold_sidebar('div_recent_comment');">Comment</a> |
+            <a href="#none" onclick="return fold_sidebar('div_recent_trackback');">Trackback</a> |
+            <a href="#none" onclick="return fold_sidebar('div_bookmark');">Bookmark</a>
+        </div>
+    </div>
+    <div class="search">
+        <form action="{$baseurl}/index.php" method="get">
+            <input type="text" name="search" title="input search text" size="41" />
+            <input type="submit" value="Search" />
+        </form>
+    </div>
+    <div class="setting">
+    	<a href="{$baseurl}/admin.php" class="silver7">admin</a>
+    </div>
+</div>
Binary files soojung-0.4.8/templates/soogle/imgs/logo_sm.gif and soojung/templates/soogle/imgs/logo_sm.gif differ
Binary files soojung-0.4.8/templates/soogle/imgs/nav_current.gif and soojung/templates/soogle/imgs/nav_current.gif differ
Binary files soojung-0.4.8/templates/soogle/imgs/nav_next.gif and soojung/templates/soogle/imgs/nav_next.gif differ
Binary files soojung-0.4.8/templates/soogle/imgs/nav_page.gif and soojung/templates/soogle/imgs/nav_page.gif differ
Binary files soojung-0.4.8/templates/soogle/imgs/nav_previous.gif and soojung/templates/soogle/imgs/nav_previous.gif differ
diff -urN soojung-0.4.8/templates/soogle/index.tpl soojung/templates/soogle/index.tpl
--- soojung-0.4.8/templates/soogle/index.tpl	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/soogle/index.tpl	2005-06-16 21:05:06.000000000 +0900
@@ -0,0 +1,133 @@
+{include file="header.tpl"}
+<div id="entries">
+    <div class="bar">
+        <span class="classes">
+        <b>
+	    {if $view == "index"}
+		    All Entries
+            {php}$entry_count = Entry::getEntryCount();{/php}
+    	{elseif $view == "archive"}
+	    	Archive
+            {php}$entry_count = 0;{/php}
+    	{elseif $view == "category"}
+	    	Category
+            {php}
+                $category = new Category($_GET['category']);
+                $entry_count = $category->getEntryCount();
+            {/php}
+    	{elseif $view == "search"}
+	    	Search
+            {php}$entry_count = 0;{/php}
+    	{/if}
+        </b>
+        </span>
+        {foreach from=$entries item=entry}
+            {if $view == "archive" || $view == "search"} 
+                {php}$entry_count++;{/php}
+            {/if}
+            {php}$count++;{/php}
+        {/foreach}
+        <span class="result">
+            Results <b>
+            {php}
+                $temp = empty($_GET['page'])?0:$_GET['page']-1;
+                echo ($temp)*$count+1;
+            {/php}
+            </b> - <b>
+            {php}
+                echo ($temp)*$count+$count;
+            {/php}
+            </b> of about <b>
+            {php}
+                echo $entry_count;
+            {/php}
+            </b> for <b>
+            {$keyword}
+            </b>.  (<b>
+            {php}
+                printf("%.2f",rand(1,10000)/10000);
+                $i = empty($_GET['page'])?0:$_GET['page']-1;
+            {/php}
+            </b> seconds)
+        </span>
+    </div>
+
+    {foreach from=$entries item=entry}
+    <div class="entry">
+        <div class="entrytitle">
+        <a class="w" href="{$entry->getHref()|escape}" >{$entry->title|escape}</a>
+        </div>
+        <div class="entrybody">{$entry->getBody()|strip_tags|substring:300}</div>
+        <div class="entryinfo">
+        	{$entry->getHref()} - 
+			{$entry->getBody()|count_characters:true}k -  
+			{$entry->date|date_format:"%B %d, %Y"}
+            {if $entry->isSetOption("NO_COMMENT") == false} - <a class="fl" href="{$entry->getHref()|escape}#comment">Comments ({$entry->getCommentCount()})</a>{/if}
+            {if $entry->isSetOption("NO_TRACKBACK") == false} - <a class="fl" href="{$entry->getHref()|escape}#trackback">TrackBacks ({$entry->getTrackbackCount()})</a>{/if}
+        </div>
+    </div>
+    {/foreach}
+    {if $view == "index"}
+    <div class='nav'>
+    <table align='center'>
+        <tr>
+            <td>
+                Result Page:             
+            </td>
+            <td>
+                {if $prev_page_link != ""}
+              	<a href="{$prev_page_link|escape}" class='q'>
+                {/if}
+                <span class='i'><img src="{$baseurl}/templates/{$skin}/imgs/nav_previous.gif" alt="" /></span><br />
+                {if $prev_page_link != ""}
+                <span class='b'>Previous</span>
+              	</a>                
+                {else}
+                &nbsp;
+                {/if}
+            </td>
+            <td>
+                {if $prev_page_link != ""}
+              	<a href="{$prev_page_link|escape}">
+                <img src="{$baseurl}/templates/{$skin}/imgs/nav_page.gif" alt="" /><br />
+                {php}
+                echo $i;
+                {/php}
+                </a>
+                {/if}
+            </td>
+            <td>
+                <img src="{$baseurl}/templates/{$skin}/imgs/nav_current.gif" alt="current" /><br /><span class='i'>
+                {php}
+                echo $i+1;
+                {/php}
+                </span>
+            </td>
+            <td>
+                {if $next_page_link != ""}
+              	<a href="{$next_page_link|escape}">
+                <img src="{$baseurl}/templates/{$skin}/imgs/nav_page.gif" alt="next" /><br />
+                {php}
+                echo $i+2;
+                {/php}
+                </a>
+                {/if}
+            </td>
+            <td>
+                {if $next_page_link != ""}
+              	<a href="{$next_page_link|escape}">
+                {/if}
+                <img src="{$baseurl}/templates/{$skin}/imgs/nav_next.gif" alt="next_page" /><br />
+                {if $next_page_link != ""}
+                <span class='b'>Next</span>
+                </a>
+                {else}
+                &nbsp;
+                {/if}
+            </td>
+        </tr>
+    </table>
+    </div>
+    {/if}
+</div>
+{include file="footer.tpl"}
diff -urN soojung-0.4.8/templates/soogle/styles.css soojung/templates/soogle/styles.css
--- soojung-0.4.8/templates/soogle/styles.css	1970-01-01 09:00:00.000000000 +0900
+++ soojung/templates/soogle/styles.css	2005-06-16 21:05:06.000000000 +0900
@@ -0,0 +1,232 @@
+body
+{
+  font-family:arial,sans-serif;
+  background-color: #fff;
+}
+
+.fl:link{color:#7777CC}
+a    { color:#00c; text-decoration:none;}
+a.fl { color:#6f6f6f; text-decoration: underline;}
+a.w  {color:#00c; text-decoration: underline;}
+
+a:visited    { color:#00c; }
+a:visited.fl { color:#7777CC; }
+a:active, a:active.fl   { color:#f00; }
+.i,.i:link{color:#a90a08}
+
+img {
+    border: 0;
+}
+
+
+.div_hide, .hide {
+  display: none;
+}
+
+pre {
+  padding: 5px;
+  border: 1px solid #EBD4C8;
+  background-color: #FCF7F4;
+}
+
+/* Header */
+#header {
+    position: relative;
+    height: 60px;
+}
+.logo {
+    clear: both;
+    position: absolute;
+    float: left;
+}
+.topmenu {
+    clear: both;
+    position: absolute;
+    left: 170px;
+    width: -160px;
+    height: 20pt;
+    overflow: hidden;
+    font-size: 8pt;
+    line-height: 95%;
+}
+.blogtitle {
+    line-height: 100%;
+    font-size: 11pt;
+    font-weight: bold;
+}
+.menu {
+    font-size: 9pt;
+}
+.search {
+    position: absolute;
+    top: 20pt;
+    left: 160px;
+    width: -160px;          
+}
+.setting {
+    position: absolute;
+    left: 540px;
+    top: 21pt;
+    font-size: 8pt;
+}
+
+/* First Bar */
+.bar {
+    background-color: #e5ecf9;
+    color: #000000;
+    height: 20px;
+    border-top: 1px solid #00c;
+    padding-left: 10px;
+    padding-right: 10px;
+}
+.classes {
+    position: absolute;
+}
+.result {
+    float: right;
+}
+
+/* Entry */
+.entry {
+    margin-top: 20px;
+    width: 70%;
+}
+.entrytitle {
+    font-size: 12pt;
+}
+.entrybody {
+    margin: 10px;
+    font-size: 10pt;
+}
+.entryinfo {
+    font-size: 9pt;
+    color: #008000;
+}
+.posted {
+    background-color: #f8f8ff;
+    color: #000000;
+    height: 20px;
+    border-top: 1px solid #d3d3d3;
+    padding-left: 10px;
+    padding-right: 10px;
+    text-align: right;
+}
+
+.nav {
+    margin-top: 20px;
+    line-height:80%;
+}
+.nav a{font-size:10pt; color:#000}
+.nav .i{font-size:10pt; font-weight:bold}
+.nav .b {
+    font-size: 12pt;
+    color:#00c;
+    font-weight:bold;
+}
+.nav table {
+    border-spacing: 0;
+    padding:0;
+}
+.nav tr {
+    vertical-align: top;
+}
+.nav td {
+    vertical-align: bottom;
+    text-align: center;
+}
+/* comment */
+.trackbacks, .comments {
+    margin: 10px;
+    font-size: 10pt;
+    padding-left: 20px;
+    padding-right: 10px;
+}
+.trackback, .trackback_url, .comment, .comment_post {
+    background-color: #f8f8ff;
+    color: #000000;
+    border: 1px solid #d3d3d3;
+    padding: 5px 10px 5px 10px;
+    margin-top: 10px;
+    margin-left: 10px;
+}
+.trackback a.fl, .comment a.fl {text-decoration:none;}
+
+.comment_body, .trackback_body {
+    padding-left: 5px;
+    padding-top: 5px;
+    border-top: 1px solid #d3d3d3;
+}
+.comment_post {
+    padding-right: 20px;
+    padding-top: 20px;
+    text-align: right;
+}
+.comment_post .comment_text {
+    width: 90%;
+    overflow-y: auto;
+    overflow-x: hidden;
+}
+.comment_post .submit {
+    color:#999999;
+    background-color:#F7F7F7;
+    border: 1px #CCCCCC solid;
+    width: 50px;
+    height: 17px;
+    overflow: auto;
+    font-size: 8pt;
+}
+/* menu */
+#menu {
+    width: 150px;
+    font-size: 8pt;
+    overflow: hidden;
+}
+#menu ul {
+	margin: 0px 5px 0px 5px;
+	padding: 0px 4px;
+	list-style: none;
+}
+
+#menu li {
+	width: 100%;
+    margin-top: 2px;
+    margin-bottom: 2px;
+	white-space: nowrap;
+	overflow: hidden;
+    border: 0px;
+}
+#menu .category, #menu .archive, #menu .calendar,
+#menu .static, #menu .recent_entry, #menu .recent_comment,
+#menu .recent_trackback, #menu .bookmark {
+    position: absolute;
+    color:#999999;
+    background-color: #fffafa;
+    border: 1px #CCCCCC solid;
+    left: 80%;
+    top: 15%;
+}
+#menu .calendar {
+    text-align: center;
+}
+#menu .calendar p {
+    text-align: center;
+    width: 130px;
+}
+#menu .calendar table {
+    width: 130px;
+}
+/* footer */
+.footer {
+    font-size: 9pt;
+    text-align: center;
+    margin-top: 10px;
+}
+.footerbox {
+    padding: 20px;
+    background-color: #e5ecf9;
+    color: #000000;
+    border-top: 1px solid #00c;
+    border-bottom: 1px solid #00c;
+    margin-bottom: 50px;    
+}
+
diff -urN soojung-0.4.8/trackback.php soojung/trackback.php
--- soojung-0.4.8/trackback.php	2005-02-12 22:52:45.000000000 +0900
+++ soojung/trackback.php	2005-05-21 04:20:28.000000000 +0900
@@ -8,9 +8,10 @@
   $blogid = $_GET["blogid"];
   $entry = Entry::getEntry($blogid);
 
-  $excerpt = $entry->getBody();
+  $excerpt = strip_tags($entry->getBody());
   if (strlen ($excerpt) > 255)
-    $excerpt = substr($excerpt,0, 252) . "...";
+    $excerpt = substring($excerpt,252);
+
   echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
   echo "<response>\n";
   echo "<error>0</error>\n";
@@ -32,9 +33,12 @@
 if (isset($_REQUEST["url"]) || isset($_REQUEST["blogid"])) {
   $id = $_REQUEST["blogid"];
   $url = $_REQUEST["url"];
-  $title = $_REQUEST["title"];
-  $excerpt = $_REQUEST["excerpt"];
-  $name = $_REQUEST["blog_name"];
+  $title = stripslashes($_REQUEST["title"]);
+  $excerpt = stripslashes(strip_tags($_REQUEST["excerpt"]));
+  if (strlen ($excerpt) > 255)
+    $excerpt = substring($excerpt,252);  
+  $name = stripslashes($_REQUEST["blog_name"]);
+
 
 
 #  $encoding_title = detect_encoding ($title);
